/* A Bison parser, made by GNU Bison 3.3.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2019 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Undocumented macros, especially those whose name start with YY_,
   are private implementation details.  Do not rely on them.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.3.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* First part of user prologue.  */
#line 1 "gram.y" /* yacc.c:337  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2020, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node *limitOffset;
	Node *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 277 "gram.c" /* yacc.c:337  */
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSOLUTE_P = 276,
    ACCESS = 277,
    ACTION = 278,
    ADD_P = 279,
    ADMIN = 280,
    AFTER = 281,
    AGGREGATE = 282,
    ALL = 283,
    ALSO = 284,
    ALTER = 285,
    ALWAYS = 286,
    ANALYSE = 287,
    ANALYZE = 288,
    AND = 289,
    ANY = 290,
    ARRAY = 291,
    AS = 292,
    ASC = 293,
    ASSERTION = 294,
    ASSIGNMENT = 295,
    ASYMMETRIC = 296,
    AT = 297,
    ATTACH = 298,
    ATTRIBUTE = 299,
    AUTHORIZATION = 300,
    BACKWARD = 301,
    BEFORE = 302,
    BEGIN_P = 303,
    BETWEEN = 304,
    BIGINT = 305,
    BINARY = 306,
    BIT = 307,
    BOOLEAN_P = 308,
    BOTH = 309,
    BY = 310,
    CACHE = 311,
    CALL = 312,
    CALLED = 313,
    CASCADE = 314,
    CASCADED = 315,
    CASE = 316,
    CAST = 317,
    CATALOG_P = 318,
    CHAIN = 319,
    CHAR_P = 320,
    CHARACTER = 321,
    CHARACTERISTICS = 322,
    CHECK = 323,
    CHECKPOINT = 324,
    CLASS = 325,
    CLOSE = 326,
    CLUSTER = 327,
    COALESCE = 328,
    COLLATE = 329,
    COLLATION = 330,
    COLUMN = 331,
    COLUMNS = 332,
    COMMENT = 333,
    COMMENTS = 334,
    COMMIT = 335,
    COMMITTED = 336,
    CONCURRENTLY = 337,
    CONFIGURATION = 338,
    CONFLICT = 339,
    CONNECTION = 340,
    CONSTRAINT = 341,
    CONSTRAINTS = 342,
    CONTENT_P = 343,
    CONTINUE_P = 344,
    CONVERSION_P = 345,
    COPY = 346,
    COST = 347,
    CREATE = 348,
    CROSS = 349,
    CSV = 350,
    CUBE = 351,
    CURRENT_P = 352,
    CURRENT_CATALOG = 353,
    CURRENT_DATE = 354,
    CURRENT_ROLE = 355,
    CURRENT_SCHEMA = 356,
    CURRENT_TIME = 357,
    CURRENT_TIMESTAMP = 358,
    CURRENT_USER = 359,
    CURSOR = 360,
    CYCLE = 361,
    DATA_P = 362,
    DATABASE = 363,
    DAY_P = 364,
    DEALLOCATE = 365,
    DEC = 366,
    DECIMAL_P = 367,
    DECLARE = 368,
    DEFAULT = 369,
    DEFAULTS = 370,
    DEFERRABLE = 371,
    DEFERRED = 372,
    DEFINER = 373,
    DELETE_P = 374,
    DELIMITER = 375,
    DELIMITERS = 376,
    DEPENDS = 377,
    DESC = 378,
    DETACH = 379,
    DICTIONARY = 380,
    DISABLE_P = 381,
    DISCARD = 382,
    DISTINCT = 383,
    DO = 384,
    DOCUMENT_P = 385,
    DOMAIN_P = 386,
    DOUBLE_P = 387,
    DROP = 388,
    EACH = 389,
    ELSE = 390,
    ENABLE_P = 391,
    ENCODING = 392,
    ENCRYPTED = 393,
    END_P = 394,
    ENUM_P = 395,
    ESCAPE = 396,
    EVENT = 397,
    EXCEPT = 398,
    EXCLUDE = 399,
    EXCLUDING = 400,
    EXCLUSIVE = 401,
    EXECUTE = 402,
    EXISTS = 403,
    EXPLAIN = 404,
    EXPRESSION = 405,
    EXTENSION = 406,
    EXTERNAL = 407,
    EXTRACT = 408,
    FALSE_P = 409,
    FAMILY = 410,
    FETCH = 411,
    FILTER = 412,
    FIRST_P = 413,
    FLOAT_P = 414,
    FOLLOWING = 415,
    FOR = 416,
    FORCE = 417,
    FOREIGN = 418,
    FORWARD = 419,
    FREEZE = 420,
    FROM = 421,
    FULL = 422,
    FUNCTION = 423,
    FUNCTIONS = 424,
    GENERATED = 425,
    GLOBAL = 426,
    GRANT = 427,
    GRANTED = 428,
    GREATEST = 429,
    GROUP_P = 430,
    GROUPING = 431,
    GROUPS = 432,
    HANDLER = 433,
    HAVING = 434,
    HEADER_P = 435,
    HOLD = 436,
    HOUR_P = 437,
    IDENTITY_P = 438,
    IF_P = 439,
    ILIKE = 440,
    IMMEDIATE = 441,
    IMMUTABLE = 442,
    IMPLICIT_P = 443,
    IMPORT_P = 444,
    IN_P = 445,
    INCLUDE = 446,
    INCLUDING = 447,
    INCREMENT = 448,
    INDEX = 449,
    INDEXES = 450,
    INHERIT = 451,
    INHERITS = 452,
    INITIALLY = 453,
    INLINE_P = 454,
    INNER_P = 455,
    INOUT = 456,
    INPUT_P = 457,
    INSENSITIVE = 458,
    INSERT = 459,
    INSTEAD = 460,
    INT_P = 461,
    INTEGER = 462,
    INTERSECT = 463,
    INTERVAL = 464,
    INTO = 465,
    INVOKER = 466,
    IS = 467,
    ISNULL = 468,
    ISOLATION = 469,
    JOIN = 470,
    KEY = 471,
    LABEL = 472,
    LANGUAGE = 473,
    LARGE_P = 474,
    LAST_P = 475,
    LATERAL_P = 476,
    LEADING = 477,
    LEAKPROOF = 478,
    LEAST = 479,
    LEFT = 480,
    LEVEL = 481,
    LIKE = 482,
    LIMIT = 483,
    LISTEN = 484,
    LOAD = 485,
    LOCAL = 486,
    LOCALTIME = 487,
    LOCALTIMESTAMP = 488,
    LOCATION = 489,
    LOCK_P = 490,
    LOCKED = 491,
    LOGGED = 492,
    MAPPING = 493,
    MATCH = 494,
    MATERIALIZED = 495,
    MAXVALUE = 496,
    METHOD = 497,
    MINUTE_P = 498,
    MINVALUE = 499,
    MODE = 500,
    MONTH_P = 501,
    MOVE = 502,
    NAME_P = 503,
    NAMES = 504,
    NATIONAL = 505,
    NATURAL = 506,
    NCHAR = 507,
    NEW = 508,
    NEXT = 509,
    NFC = 510,
    NFD = 511,
    NFKC = 512,
    NFKD = 513,
    NO = 514,
    NONE = 515,
    NORMALIZE = 516,
    NORMALIZED = 517,
    NOT = 518,
    NOTHING = 519,
    NOTIFY = 520,
    NOTNULL = 521,
    NOWAIT = 522,
    NULL_P = 523,
    NULLIF = 524,
    NULLS_P = 525,
    NUMERIC = 526,
    OBJECT_P = 527,
    OF = 528,
    OFF = 529,
    OFFSET = 530,
    OIDS = 531,
    OLD = 532,
    ON = 533,
    ONLY = 534,
    OPERATOR = 535,
    OPTION = 536,
    OPTIONS = 537,
    OR = 538,
    ORDER = 539,
    ORDINALITY = 540,
    OTHERS = 541,
    OUT_P = 542,
    OUTER_P = 543,
    OVER = 544,
    OVERLAPS = 545,
    OVERLAY = 546,
    OVERRIDING = 547,
    OWNED = 548,
    OWNER = 549,
    PARALLEL = 550,
    PARSER = 551,
    PARTIAL = 552,
    PARTITION = 553,
    PASSING = 554,
    PASSWORD = 555,
    PLACING = 556,
    PLANS = 557,
    POLICY = 558,
    POSITION = 559,
    PRECEDING = 560,
    PRECISION = 561,
    PRESERVE = 562,
    PREPARE = 563,
    PREPARED = 564,
    PRIMARY = 565,
    PRIOR = 566,
    PRIVILEGES = 567,
    PROCEDURAL = 568,
    PROCEDURE = 569,
    PROCEDURES = 570,
    PROGRAM = 571,
    PUBLICATION = 572,
    QUOTE = 573,
    RANGE = 574,
    READ = 575,
    REAL = 576,
    REASSIGN = 577,
    RECHECK = 578,
    RECURSIVE = 579,
    REF = 580,
    REFERENCES = 581,
    REFERENCING = 582,
    REFRESH = 583,
    REINDEX = 584,
    RELATIVE_P = 585,
    RELEASE = 586,
    RENAME = 587,
    REPEATABLE = 588,
    REPLACE = 589,
    REPLICA = 590,
    RESET = 591,
    RESTART = 592,
    RESTRICT = 593,
    RETURNING = 594,
    RETURNS = 595,
    REVOKE = 596,
    RIGHT = 597,
    ROLE = 598,
    ROLLBACK = 599,
    ROLLUP = 600,
    ROUTINE = 601,
    ROUTINES = 602,
    ROW = 603,
    ROWS = 604,
    RULE = 605,
    SAVEPOINT = 606,
    SCHEMA = 607,
    SCHEMAS = 608,
    SCROLL = 609,
    SEARCH = 610,
    SECOND_P = 611,
    SECURITY = 612,
    SELECT = 613,
    SEQUENCE = 614,
    SEQUENCES = 615,
    SERIALIZABLE = 616,
    SERVER = 617,
    SESSION = 618,
    SESSION_USER = 619,
    SET = 620,
    SETS = 621,
    SETOF = 622,
    SHARE = 623,
    SHOW = 624,
    SIMILAR = 625,
    SIMPLE = 626,
    SKIP = 627,
    SMALLINT = 628,
    SNAPSHOT = 629,
    SOME = 630,
    SQL_P = 631,
    STABLE = 632,
    STANDALONE_P = 633,
    START = 634,
    STATEMENT = 635,
    STATISTICS = 636,
    STDIN = 637,
    STDOUT = 638,
    STORAGE = 639,
    STORED = 640,
    STRICT_P = 641,
    STRIP_P = 642,
    SUBSCRIPTION = 643,
    SUBSTRING = 644,
    SUPPORT = 645,
    SYMMETRIC = 646,
    SYSID = 647,
    SYSTEM_P = 648,
    TABLE = 649,
    TABLES = 650,
    TABLESAMPLE = 651,
    TABLESPACE = 652,
    TEMP = 653,
    TEMPLATE = 654,
    TEMPORARY = 655,
    TEXT_P = 656,
    THEN = 657,
    TIES = 658,
    TIME = 659,
    TIMESTAMP = 660,
    TO = 661,
    TRAILING = 662,
    TRANSACTION = 663,
    TRANSFORM = 664,
    TREAT = 665,
    TRIGGER = 666,
    TRIM = 667,
    TRUE_P = 668,
    TRUNCATE = 669,
    TRUSTED = 670,
    TYPE_P = 671,
    TYPES_P = 672,
    UESCAPE = 673,
    UNBOUNDED = 674,
    UNCOMMITTED = 675,
    UNENCRYPTED = 676,
    UNION = 677,
    UNIQUE = 678,
    UNKNOWN = 679,
    UNLISTEN = 680,
    UNLOGGED = 681,
    UNTIL = 682,
    UPDATE = 683,
    USER = 684,
    USING = 685,
    VACUUM = 686,
    VALID = 687,
    VALIDATE = 688,
    VALIDATOR = 689,
    VALUE_P = 690,
    VALUES = 691,
    VARCHAR = 692,
    VARIADIC = 693,
    VARYING = 694,
    VERBOSE = 695,
    VERSION_P = 696,
    VIEW = 697,
    VIEWS = 698,
    VOLATILE = 699,
    WHEN = 700,
    WHERE = 701,
    WHITESPACE_P = 702,
    WINDOW = 703,
    WITH = 704,
    WITHIN = 705,
    WITHOUT = 706,
    WORK = 707,
    WRAPPER = 708,
    WRITE = 709,
    XML_P = 710,
    XMLATTRIBUTES = 711,
    XMLCONCAT = 712,
    XMLELEMENT = 713,
    XMLEXISTS = 714,
    XMLFOREST = 715,
    XMLNAMESPACES = 716,
    XMLPARSE = 717,
    XMLPI = 718,
    XMLROOT = 719,
    XMLSERIALIZE = 720,
    XMLTABLE = 721,
    YEAR_P = 722,
    YES_P = 723,
    ZONE = 724,
    NOT_LA = 725,
    NULLS_LA = 726,
    WITH_LA = 727,
    POSTFIXOP = 728,
    UMINUS = 729
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 211 "gram.y" /* yacc.c:352  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;
	struct SelectLimit	*selectlimit;

#line 840 "gram.c" /* yacc.c:352  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */



#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  837
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   104135

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  492
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  674
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2761
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5558

#define YYUNDEFTOK  2
#define YYMAXUTOK   729

/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                                \
  ((unsigned) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   481,     2,     2,
     486,   487,   479,   477,   490,   478,   488,   480,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   491,   489,
     473,   475,   474,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   484,     2,   485,   482,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   476,   483
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   805,   805,   821,   833,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   905,   906,   907,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   927,
     928,   929,   930,   931,   932,   933,   934,   935,   936,   937,
     938,   939,   940,   941,   942,   943,   944,   945,   946,   947,
     948,   949,   950,   951,   952,   953,   954,   955,   956,   957,
     958,   959,   960,   961,   962,   963,   964,   965,   966,   967,
     969,   978,   993,  1004,  1005,  1006,  1015,  1016,  1020,  1021,
    1025,  1030,  1034,  1044,  1052,  1056,  1060,  1065,  1069,  1117,
    1119,  1123,  1127,  1131,  1135,  1149,  1167,  1175,  1186,  1187,
    1191,  1199,  1207,  1215,  1236,  1243,  1250,  1257,  1264,  1271,
    1288,  1306,  1317,  1318,  1329,  1339,  1349,  1364,  1382,  1383,
    1387,  1394,  1402,  1403,  1404,  1405,  1406,  1407,  1421,  1427,
    1433,  1442,  1450,  1458,  1462,  1470,  1478,  1485,  1495,  1496,
    1504,  1515,  1523,  1531,  1542,  1550,  1558,  1565,  1574,  1584,
    1585,  1589,  1590,  1593,  1595,  1599,  1600,  1601,  1602,  1606,
    1607,  1608,  1614,  1626,  1630,  1634,  1649,  1656,  1657,  1658,
    1662,  1663,  1664,  1668,  1669,  1673,  1677,  1678,  1685,  1692,
    1702,  1709,  1719,  1720,  1725,  1726,  1731,  1737,  1743,  1749,
    1755,  1765,  1775,  1776,  1780,  1781,  1789,  1804,  1810,  1816,
    1822,  1828,  1847,  1856,  1865,  1874,  1883,  1894,  1905,  1914,
    1923,  1932,  1943,  1954,  1963,  1972,  1981,  1990,  1999,  2008,
    2019,  2033,  2034,  2039,  2052,  2068,  2084,  2093,  2102,  2111,
    2120,  2129,  2137,  2145,  2153,  2162,  2171,  2187,  2196,  2205,
    2214,  2231,  2240,  2249,  2258,  2268,  2281,  2296,  2305,  2313,
    2328,  2336,  2346,  2356,  2363,  2371,  2379,  2386,  2393,  2401,
    2409,  2417,  2424,  2431,  2439,  2446,  2453,  2461,  2469,  2477,
    2485,  2493,  2501,  2511,  2518,  2526,  2534,  2542,  2550,  2558,
    2565,  2572,  2579,  2585,  2595,  2596,  2600,  2601,  2602,  2606,
    2614,  2618,  2619,  2623,  2630,  2637,  2644,  2654,  2657,  2658,
    2662,  2663,  2668,  2672,  2676,  2681,  2688,  2690,  2695,  2699,
    2703,  2714,  2722,  2775,  2788,  2802,  2814,  2821,  2825,  2839,
    2852,  2853,  2858,  2867,  2877,  2887,  2913,  2919,  2952,  2987,
    3009,  3010,  3014,  3015,  3024,  3025,  3026,  3029,  3030,  3035,
    3036,  3040,  3044,  3048,  3052,  3056,  3060,  3064,  3068,  3072,
    3076,  3080,  3084,  3088,  3097,  3101,  3105,  3109,  3113,  3114,
    3119,  3123,  3130,  3137,  3138,  3139,  3140,  3141,  3145,  3149,
    3157,  3168,  3187,  3206,  3226,  3246,  3266,  3299,  3300,  3301,
    3302,  3303,  3310,  3317,  3318,  3322,  3323,  3327,  3328,  3332,
    3336,  3343,  3347,  3354,  3355,  3356,  3360,  3361,  3364,  3385,
    3403,  3424,  3425,  3429,  3436,  3437,  3438,  3469,  3476,  3483,
    3494,  3505,  3517,  3526,  3535,  3558,  3576,  3577,  3596,  3603,
    3610,  3617,  3628,  3638,  3639,  3640,  3644,  3645,  3646,  3647,
    3648,  3649,  3650,  3651,  3652,  3661,  3668,  3672,  3685,  3701,
    3716,  3732,  3747,  3766,  3787,  3788,  3792,  3793,  3797,  3798,
    3801,  3807,  3808,  3811,  3815,  3823,  3828,  3834,  3835,  3839,
    3844,  3851,  3852,  3862,  3864,  3866,  3868,  3871,  3874,  3877,
    3881,  3882,  3883,  3884,  3885,  3888,  3889,  3893,  3894,  3897,
    3909,  3910,  3913,  3914,  3917,  3928,  3939,  3953,  3954,  3959,
    3960,  3961,  3964,  3965,  3966,  3967,  3970,  3971,  3974,  3975,
    3978,  3996,  4008,  4032,  4040,  4061,  4074,  4090,  4106,  4107,
    4108,  4120,  4133,  4149,  4163,  4164,  4176,  4196,  4206,  4219,
    4227,  4238,  4239,  4242,  4243,  4246,  4247,  4250,  4254,  4258,
    4262,  4266,  4270,  4274,  4278,  4282,  4286,  4290,  4295,  4299,
    4303,  4309,  4310,  4314,  4315,  4316,  4321,  4324,  4325,  4337,
    4352,  4367,  4368,  4376,  4377,  4381,  4382,  4386,  4387,  4391,
    4392,  4396,  4406,  4419,  4420,  4430,  4441,  4442,  4455,  4462,
    4479,  4487,  4498,  4501,  4505,  4509,  4513,  4520,  4532,  4542,
    4545,  4549,  4562,  4571,  4580,  4589,  4598,  4607,  4616,  4625,
    4634,  4643,  4652,  4661,  4670,  4679,  4688,  4697,  4706,  4715,
    4724,  4733,  4742,  4751,  4760,  4769,  4778,  4787,  4796,  4805,
    4823,  4834,  4835,  4836,  4837,  4841,  4842,  4846,  4847,  4857,
    4865,  4877,  4878,  4882,  4886,  4894,  4898,  4902,  4909,  4913,
    4918,  4923,  4930,  4937,  4942,  4952,  4964,  4979,  4980,  4985,
    4986,  4990,  4991,  5001,  5010,  5018,  5035,  5055,  5075,  5096,
    5127,  5136,  5157,  5172,  5173,  5177,  5185,  5200,  5209,  5221,
    5222,  5234,  5242,  5259,  5283,  5300,  5314,  5315,  5319,  5320,
    5324,  5325,  5329,  5330,  5334,  5348,  5352,  5353,  5357,  5358,
    5359,  5360,  5361,  5371,  5382,  5383,  5394,  5415,  5441,  5442,
    5443,  5447,  5449,  5471,  5473,  5475,  5477,  5479,  5484,  5485,
    5489,  5490,  5494,  5505,  5506,  5510,  5519,  5523,  5527,  5532,
    5542,  5543,  5547,  5548,  5552,  5553,  5557,  5558,  5562,  5563,
    5564,  5568,  5572,  5573,  5574,  5578,  5579,  5584,  5585,  5612,
    5613,  5614,  5615,  5616,  5617,  5630,  5640,  5654,  5656,  5661,
    5666,  5668,  5673,  5683,  5684,  5685,  5686,  5697,  5716,  5727,
    5739,  5749,  5759,  5770,  5779,  5786,  5793,  5802,  5811,  5820,
    5829,  5838,  5848,  5857,  5869,  5872,  5873,  5876,  5880,  5887,
    5888,  5889,  5890,  5891,  5892,  5895,  5898,  5899,  5907,  5914,
    5915,  5918,  5920,  5931,  5942,  5953,  5964,  5977,  5978,  5994,
    6009,  6010,  6014,  6026,  6036,  6044,  6053,  6062,  6063,  6066,
    6067,  6070,  6071,  6072,  6075,  6089,  6094,  6104,  6113,  6125,
    6126,  6130,  6138,  6150,  6160,  6173,  6183,  6205,  6215,  6233,
    6243,  6253,  6263,  6273,  6283,  6293,  6303,  6313,  6323,  6333,
    6343,  6357,  6358,  6359,  6360,  6361,  6362,  6363,  6364,  6365,
    6366,  6367,  6368,  6369,  6374,  6375,  6376,  6377,  6378,  6379,
    6380,  6385,  6386,  6387,  6391,  6392,  6395,  6396,  6399,  6401,
    6406,  6407,  6418,  6429,  6430,  6431,  6465,  6473,  6481,  6489,
    6497,  6505,  6513,  6521,  6529,  6542,  6550,  6558,  6566,  6574,
    6582,  6590,  6598,  6606,  6614,  6626,  6627,  6628,  6629,  6630,
    6631,  6632,  6633,  6634,  6635,  6636,  6637,  6638,  6639,  6644,
    6645,  6646,  6647,  6648,  6649,  6650,  6651,  6652,  6653,  6654,
    6655,  6659,  6660,  6674,  6684,  6694,  6704,  6714,  6724,  6734,
    6744,  6754,  6766,  6767,  6772,  6773,  6774,  6775,  6776,  6777,
    6782,  6783,  6784,  6785,  6786,  6787,  6788,  6789,  6792,  6793,
    6803,  6809,  6817,  6825,  6833,  6841,  6849,  6857,  6865,  6873,
    6881,  6889,  6897,  6905,  6913,  6921,  6929,  6937,  6947,  6948,
    6951,  6952,  6962,  6978,  6992,  7018,  7020,  7022,  7024,  7031,
    7040,  7041,  7044,  7051,  7058,  7065,  7079,  7087,  7095,  7103,
    7111,  7119,  7127,  7135,  7143,  7151,  7159,  7167,  7175,  7183,
    7191,  7199,  7207,  7215,  7223,  7231,  7243,  7244,  7248,  7249,
    7254,  7255,  7265,  7278,  7288,  7300,  7301,  7304,  7305,  7315,
    7325,  7326,  7330,  7334,  7338,  7349,  7362,  7376,  7393,  7394,
    7395,  7396,  7397,  7398,  7410,  7440,  7473,  7474,  7478,  7479,
    7483,  7484,  7488,  7489,  7492,  7493,  7498,  7510,  7529,  7534,
    7539,  7546,  7547,  7550,  7551,  7554,  7555,  7558,  7559,  7562,
    7563,  7564,  7567,  7568,  7569,  7585,  7597,  7610,  7622,  7637,
    7638,  7641,  7642,  7646,  7647,  7651,  7652,  7657,  7669,  7676,
    7683,  7698,  7699,  7703,  7704,  7719,  7728,  7737,  7746,  7755,
    7767,  7768,  7769,  7770,  7771,  7777,  7781,  7796,  7797,  7803,
    7813,  7817,  7822,  7830,  7871,  7875,  7879,  7883,  7891,  7892,
    7896,  7906,  7907,  7913,  7914,  7921,  7925,  7929,  7933,  7937,
    7941,  7945,  7949,  7953,  7957,  7961,  7965,  7969,  7973,  7977,
    7981,  7986,  7993,  7997,  8001,  8005,  8009,  8015,  8016,  8023,
    8024,  8028,  8029,  8032,  8044,  8048,  8063,  8071,  8079,  8091,
    8092,  8097,  8098,  8115,  8125,  8135,  8145,  8155,  8165,  8178,
    8188,  8201,  8211,  8224,  8232,  8234,  8236,  8241,  8243,  8248,
    8249,  8254,  8272,  8281,  8282,  8286,  8290,  8302,  8313,  8324,
    8337,  8338,  8339,  8343,  8355,  8356,  8366,  8378,  8382,  8386,
    8390,  8397,  8417,  8427,  8437,  8447,  8459,  8460,  8463,  8464,
    8465,  8468,  8469,  8472,  8482,  8491,  8508,  8517,  8526,  8535,
    8544,  8553,  8562,  8571,  8580,  8589,  8598,  8607,  8616,  8626,
    8636,  8645,  8654,  8663,  8672,  8681,  8690,  8700,  8710,  8720,
    8730,  8740,  8750,  8760,  8770,  8780,  8790,  8800,  8810,  8821,
    8832,  8843,  8854,  8865,  8876,  8886,  8896,  8907,  8918,  8928,
    8938,  8946,  8955,  8964,  8973,  8982,  8991,  9000,  9009,  9018,
    9027,  9041,  9042,  9045,  9046,  9056,  9065,  9074,  9083,  9093,
    9102,  9113,  9114,  9124,  9133,  9142,  9151,  9160,  9169,  9178,
    9187,  9196,  9205,  9214,  9223,  9232,  9241,  9250,  9259,  9268,
    9277,  9286,  9295,  9304,  9313,  9322,  9331,  9340,  9349,  9358,
    9376,  9385,  9386,  9389,  9391,  9397,  9398,  9399,  9400,  9401,
    9413,  9428,  9436,  9444,  9452,  9460,  9468,  9476,  9484,  9492,
    9500,  9508,  9516,  9524,  9532,  9540,  9548,  9556,  9564,  9572,
    9580,  9588,  9596,  9604,  9612,  9630,  9649,  9650,  9654,  9658,
    9678,  9685,  9693,  9701,  9718,  9731,  9735,  9742,  9751,  9760,
    9769,  9778,  9788,  9798,  9816,  9824,  9840,  9857,  9858,  9859,
    9864,  9870,  9879,  9880,  9881,  9882,  9883,  9887,  9888,  9891,
    9892,  9893,  9894,  9898,  9899,  9900,  9912,  9922,  9923,  9926,
    9935,  9941,  9960,  9968,  9975,  9982,  9990,  9998, 10006, 10013,
   10020, 10027, 10034, 10041, 10048, 10055, 10064, 10065, 10066, 10070,
   10073, 10076, 10079, 10082, 10089, 10091, 10093, 10098, 10100, 10104,
   10105, 10106, 10118, 10131, 10144, 10162, 10183, 10184, 10185, 10186,
   10196, 10212, 10222, 10223, 10227, 10228, 10232, 10236, 10240, 10258,
   10259, 10260, 10261, 10262, 10263, 10264, 10271, 10272, 10283, 10290,
   10297, 10308, 10325, 10333, 10341, 10349, 10360, 10364, 10375, 10387,
   10404, 10410, 10426, 10439, 10448, 10456, 10464, 10473, 10484, 10495,
   10505, 10506, 10517, 10527, 10538, 10549, 10560, 10571, 10580, 10592,
   10593, 10607, 10630, 10640, 10651, 10664, 10665, 10677, 10697, 10707,
   10718, 10729, 10733, 10740, 10741, 10745, 10752, 10753, 10757, 10758,
   10759, 10763, 10764, 10768, 10769, 10772, 10773, 10776, 10777, 10781,
   10782, 10786, 10793, 10795, 10800, 10801, 10814, 10821, 10831, 10838,
   10848, 10849, 10850, 10851, 10852, 10853, 10854, 10855, 10856, 10860,
   10864, 10871, 10878, 10879, 10883, 10884, 10885, 10895, 10905, 10906,
   10910, 10911, 10912, 10913, 10923, 10930, 10947, 10966, 10967, 10977,
   10983, 10989, 10995, 11011, 11029, 11033, 11041, 11047, 11054, 11060,
   11067, 11076, 11077, 11081, 11083, 11088, 11099, 11109, 11119, 11125,
   11134, 11143, 11149, 11150, 11161, 11175, 11176, 11187, 11198, 11199,
   11202, 11203, 11204, 11205, 11206, 11207, 11208, 11209, 11212, 11213,
   11217, 11218, 11219, 11230, 11248, 11249, 11253, 11258, 11282, 11293,
   11294, 11304, 11315, 11318, 11319, 11320, 11321, 11322, 11325, 11326,
   11327, 11375, 11376, 11380, 11381, 11396, 11397, 11404, 11412, 11420,
   11428, 11436, 11444, 11455, 11456, 11483, 11497, 11512, 11513, 11532,
   11536, 11540, 11557, 11564, 11571, 11581, 11582, 11585, 11598, 11599,
   11600, 11604, 11605, 11609, 11621, 11629, 11634, 11639, 11644, 11649,
   11657, 11665, 11670, 11675, 11682, 11683, 11687, 11688, 11689, 11696,
   11697, 11701, 11702, 11706, 11707, 11711, 11715, 11716, 11719, 11728,
   11741, 11746, 11751, 11755, 11766, 11767, 11771, 11779, 11795, 11803,
   11811, 11822, 11825, 11830, 11831, 11839, 11859, 11860, 11862, 11867,
   11868, 11872, 11873, 11876, 11877, 11902, 11903, 11907, 11908, 11912,
   11913, 11914, 11915, 11916, 11920, 11933, 11940, 11947, 11954, 11955,
   11959, 11960, 11964, 11965, 11969, 11970, 11974, 11985, 11986, 11987,
   11988, 11992, 11993, 12003, 12009, 12027, 12028, 12032, 12033, 12039,
   12044, 12052, 12059, 12067, 12073, 12080, 12115, 12140, 12144, 12170,
   12174, 12186, 12199, 12213, 12224, 12239, 12245, 12250, 12256, 12263,
   12264, 12272, 12276, 12280, 12286, 12293, 12298, 12299, 12300, 12301,
   12305, 12306, 12318, 12319, 12324, 12331, 12338, 12345, 12356, 12357,
   12370, 12374, 12381, 12394, 12407, 12408, 12423, 12433, 12445, 12450,
   12451, 12454, 12455, 12458, 12459, 12464, 12465, 12470, 12471, 12479,
   12484, 12485, 12489, 12493, 12499, 12523, 12533, 12546, 12547, 12551,
   12565, 12622, 12636, 12638, 12643, 12645, 12647, 12649, 12654, 12656,
   12661, 12669, 12689, 12694, 12701, 12706, 12712, 12717, 12726, 12728,
   12731, 12735, 12736, 12737, 12738, 12739, 12740, 12745, 12765, 12766,
   12767, 12768, 12779, 12785, 12793, 12794, 12800, 12805, 12810, 12815,
   12820, 12825, 12830, 12835, 12841, 12847, 12853, 12860, 12882, 12891,
   12895, 12903, 12907, 12915, 12927, 12948, 12952, 12958, 12962, 12975,
   12983, 12993, 12995, 12997, 12999, 13001, 13003, 13008, 13009, 13016,
   13025, 13033, 13042, 13053, 13061, 13062, 13063, 13067, 13069, 13071,
   13073, 13075, 13077, 13079, 13084, 13089, 13095, 13103, 13108, 13115,
   13122, 13126, 13130, 13166, 13167, 13169, 13177, 13192, 13194, 13196,
   13198, 13200, 13202, 13204, 13206, 13208, 13210, 13212, 13214, 13216,
   13218, 13221, 13223, 13225, 13228, 13230, 13232, 13234, 13237, 13242,
   13250, 13255, 13263, 13268, 13276, 13281, 13290, 13298, 13306, 13314,
   13332, 13340, 13348, 13356, 13364, 13380, 13388, 13396, 13404, 13412,
   13420, 13428, 13432, 13436, 13440, 13444, 13452, 13460, 13468, 13476,
   13496, 13518, 13529, 13536, 13552, 13557, 13563, 13567, 13571, 13575,
   13579, 13604, 13606, 13608, 13610, 13612, 13614, 13616, 13618, 13620,
   13622, 13624, 13626, 13628, 13630, 13632, 13634, 13636, 13638, 13640,
   13642, 13646, 13650, 13654, 13658, 13663, 13679, 13680, 13681, 13696,
   13730, 13732, 13734, 13745, 13769, 13780, 13791, 13798, 13808, 13818,
   13827, 13831, 13837, 13844, 13851, 13861, 13868, 13896, 13931, 13942,
   13943, 13950, 13956, 13960, 13964, 13968, 13972, 13976, 13980, 13984,
   13988, 13992, 13996, 14000, 14004, 14008, 14012, 14016, 14018, 14022,
   14026, 14030, 14039, 14044, 14051, 14066, 14073, 14077, 14081, 14085,
   14089, 14096, 14104, 14112, 14116, 14120, 14124, 14128, 14132, 14138,
   14142, 14151, 14155, 14159, 14164, 14178, 14180, 14184, 14186, 14188,
   14191, 14194, 14197, 14198, 14201, 14209, 14219, 14220, 14223, 14224,
   14225, 14230, 14234, 14238, 14242, 14249, 14250, 14258, 14259, 14263,
   14264, 14272, 14273, 14277, 14278, 14283, 14291, 14293, 14307, 14310,
   14337, 14338, 14341, 14342, 14350, 14357, 14364, 14372, 14381, 14398,
   14443, 14451, 14459, 14467, 14475, 14486, 14487, 14488, 14489, 14490,
   14504, 14505, 14506, 14509, 14510, 14513, 14516, 14517, 14518, 14521,
   14522, 14525, 14526, 14527, 14528, 14529, 14530, 14531, 14532, 14533,
   14534, 14535, 14536, 14539, 14541, 14546, 14548, 14553, 14555, 14557,
   14559, 14561, 14563, 14575, 14579, 14586, 14590, 14596, 14600, 14609,
   14620, 14621, 14624, 14628, 14632, 14638, 14639, 14644, 14648, 14655,
   14656, 14657, 14658, 14659, 14660, 14661, 14662, 14666, 14667, 14668,
   14669, 14679, 14683, 14690, 14697, 14698, 14714, 14718, 14723, 14727,
   14742, 14747, 14751, 14754, 14757, 14758, 14759, 14762, 14769, 14779,
   14793, 14794, 14798, 14809, 14810, 14813, 14814, 14817, 14821, 14828,
   14832, 14836, 14844, 14855, 14856, 14860, 14861, 14865, 14866, 14869,
   14870, 14880, 14881, 14885, 14886, 14889, 14905, 14913, 14921, 14943,
   14944, 14955, 14959, 14986, 14988, 14993, 14996, 14999, 15001, 15003,
   15005, 15015, 15017, 15028, 15032, 15036, 15040, 15044, 15053, 15060,
   15092, 15096, 15102, 15109, 15113, 15117, 15123, 15124, 15126, 15127,
   15128, 15132, 15165, 15192, 15196, 15202, 15204, 15221, 15222, 15223,
   15228, 15229, 15230, 15235, 15236, 15237, 15238, 15244, 15245, 15246,
   15247, 15248, 15268, 15269, 15270, 15271, 15272, 15273, 15274, 15275,
   15276, 15277, 15278, 15279, 15280, 15281, 15282, 15283, 15284, 15285,
   15286, 15287, 15288, 15289, 15290, 15291, 15292, 15293, 15294, 15295,
   15296, 15297, 15298, 15299, 15300, 15301, 15302, 15303, 15304, 15305,
   15306, 15307, 15308, 15309, 15310, 15311, 15312, 15313, 15314, 15315,
   15316, 15317, 15318, 15319, 15320, 15321, 15322, 15323, 15324, 15325,
   15326, 15327, 15328, 15329, 15330, 15331, 15332, 15333, 15334, 15335,
   15336, 15337, 15338, 15339, 15340, 15341, 15342, 15343, 15344, 15345,
   15346, 15347, 15348, 15349, 15350, 15351, 15352, 15353, 15354, 15355,
   15356, 15357, 15358, 15359, 15360, 15361, 15362, 15363, 15364, 15365,
   15366, 15367, 15368, 15369, 15370, 15371, 15372, 15373, 15374, 15375,
   15376, 15377, 15378, 15379, 15380, 15381, 15382, 15383, 15384, 15385,
   15386, 15387, 15388, 15389, 15390, 15391, 15392, 15393, 15394, 15395,
   15396, 15397, 15398, 15399, 15400, 15401, 15402, 15403, 15404, 15405,
   15406, 15407, 15408, 15409, 15410, 15411, 15412, 15413, 15414, 15415,
   15416, 15417, 15418, 15419, 15420, 15421, 15422, 15423, 15424, 15425,
   15426, 15427, 15428, 15429, 15430, 15431, 15432, 15433, 15434, 15435,
   15436, 15437, 15438, 15439, 15440, 15441, 15442, 15443, 15444, 15445,
   15446, 15447, 15448, 15449, 15450, 15451, 15452, 15453, 15454, 15455,
   15456, 15457, 15458, 15459, 15460, 15461, 15462, 15463, 15464, 15465,
   15466, 15467, 15468, 15469, 15470, 15471, 15472, 15473, 15474, 15475,
   15476, 15477, 15478, 15479, 15480, 15481, 15482, 15483, 15484, 15485,
   15486, 15487, 15488, 15489, 15490, 15491, 15492, 15493, 15494, 15495,
   15496, 15497, 15498, 15499, 15500, 15501, 15502, 15503, 15504, 15505,
   15506, 15507, 15508, 15509, 15510, 15511, 15512, 15513, 15514, 15515,
   15516, 15517, 15518, 15519, 15520, 15521, 15522, 15523, 15524, 15525,
   15526, 15527, 15528, 15529, 15530, 15531, 15532, 15533, 15534, 15535,
   15536, 15537, 15538, 15539, 15540, 15541, 15542, 15543, 15544, 15545,
   15546, 15547, 15548, 15549, 15550, 15551, 15552, 15553, 15554, 15555,
   15556, 15557, 15558, 15559, 15560, 15561, 15562, 15563, 15564, 15565,
   15566, 15580, 15581, 15582, 15583, 15584, 15585, 15586, 15587, 15588,
   15589, 15590, 15591, 15592, 15593, 15594, 15595, 15596, 15597, 15598,
   15599, 15600, 15601, 15602, 15603, 15604, 15605, 15606, 15607, 15608,
   15609, 15610, 15611, 15612, 15613, 15614, 15615, 15616, 15617, 15618,
   15619, 15620, 15621, 15622, 15623, 15624, 15625, 15626, 15627, 15628,
   15629, 15630, 15644, 15645, 15646, 15647, 15648, 15649, 15650, 15651,
   15652, 15653, 15654, 15655, 15656, 15657, 15658, 15659, 15660, 15661,
   15662, 15663, 15664, 15665, 15666, 15676, 15677, 15678, 15679, 15680,
   15681, 15682, 15683, 15684, 15685, 15686, 15687, 15688, 15689, 15690,
   15691, 15692, 15693, 15694, 15695, 15696, 15697, 15698, 15699, 15700,
   15701, 15702, 15703, 15704, 15705, 15706, 15707, 15708, 15709, 15710,
   15711, 15712, 15713, 15714, 15715, 15716, 15717, 15718, 15719, 15720,
   15721, 15722, 15723, 15724, 15725, 15726, 15727, 15728, 15729, 15730,
   15731, 15732, 15733, 15734, 15735, 15736, 15737, 15738, 15739, 15740,
   15741, 15742, 15743, 15744, 15745, 15746, 15747, 15748, 15749, 15750,
   15751, 15752
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS",
  "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER",
  "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE",
  "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT",
  "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALL", "CALLED",
  "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P",
  "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE",
  "CLUSTER", "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS",
  "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DESC", "DETACH", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS",
  "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE",
  "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED",
  "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P",
  "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL",
  "NATURAL", "NCHAR", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO",
  "NONE", "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM", "PUBLICATION",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STORED", "STRICT_P", "STRIP_P", "SUBSCRIPTION",
  "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "ColQualList", "ColConstraint",
  "ColConstraintElem", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "AlterStatsStmt", "CreateAsStmt", "create_as_target", "opt_with_data",
  "CreateMatViewStmt", "create_mv_target", "OptNoLog",
  "RefreshMatViewStmt", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "OptParenthesizedSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "am_type", "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertionStmt",
  "DefineStmt", "definition", "def_list", "def_elem", "def_arg",
  "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type_any_name", "drop_type_name", "drop_type_name_on_any_name",
  "any_name_list", "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type_any_name",
  "comment_type_name", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type_any_name", "security_label_type_name",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "GrantRoleStmt", "RevokeRoleStmt", "opt_grant_admin_option",
  "opt_granted_by", "AlterDefaultPrivilegesStmt", "DefACLOptionList",
  "DefACLOption", "DefACLAction", "defacl_privilege_target", "IndexStmt",
  "opt_unique", "opt_concurrently", "opt_index_name",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_class", "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "opt_no", "AlterObjectSchemaStmt", "AlterOperatorStmt",
  "operator_def_list", "operator_def_elem", "operator_def_arg",
  "AlterTypeStmt", "AlterOwnerStmt", "CreatePublicationStmt",
  "opt_publication_for_tables", "publication_for_tables",
  "AlterPublicationStmt", "CreateSubscriptionStmt",
  "publication_name_list", "publication_name_item",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "opt_transaction_chain", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "vac_analyze_option_list",
  "analyze_keyword", "vac_analyze_option_elem", "vac_analyze_option_name",
  "vac_analyze_option_arg", "opt_analyze", "opt_verbose", "opt_full",
  "opt_freeze", "opt_name_list", "vacuum_relation", "vacuum_relation_list",
  "opt_vacuum_relation_list", "ExplainStmt", "ExplainableStmt",
  "explain_option_list", "explain_option_elem", "explain_option_name",
  "explain_option_arg", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_materialized", "opt_with_clause",
  "into_clause", "OptTempTableName", "opt_table", "all_or_distinct",
  "distinct_clause", "opt_all_clause", "opt_sort_clause", "sort_clause",
  "sortby_list", "sortby", "select_limit", "opt_select_limit",
  "limit_clause", "offset_clause", "select_limit_value",
  "select_offset_value", "select_fetch_first_value", "I_or_F_const",
  "row_or_rows", "first_or_next", "group_clause", "group_by_list",
  "group_by_item", "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,    60,    62,    61,   728,    43,    45,    42,
      47,    37,    94,   729,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4805

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4805)))

#define YYTABLE_NINF -2668

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2668)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    9579,    38, 17640, -4805, -4805,    38, 61790, -4805, 69729,   577,
     797,   101,   193, 18057, 70196, 77668,   535,   363, 18545,    38,
   77668,   995, 52916, 66927,   943, 77668,   472,   884, 52916, 77668,
   78135,   920,  1097,   769, 78602, 70663, 65526,  1087, 77668,  1304,
     398, 79069, 71130,  1150, 71597,   884, 49190,   395,  1332, 79536,
   77668,  2024,  1832,  1481, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
     -17, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805,  2259, -4805,   883,  2374,    48,   862,  1578, -4805, -4805,
    2065, 61790, 77668, 77668, 77668,  1805, 77668,  1720, 77668,   480,
   61790, 57587, 72064,  1906,  1782, 45418, 80003, -4805, 61790, 77668,
   55719, 61790, 77668, 77668, 80470, 77668, 80937, 77668,   128, 68328,
   77668,  1873, 77668, 77668, 56186, 81404,  2022,   961,   240, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805,  1749,  1662, -4805,   283, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, 77668, 18914,   472,  2065,
   -4805,  2024, 77668,  2006, 77668,  1779, 81871,  1859, 77668, -4805,
   77668,  1876, 82338,   490,  1262, 57587,  1809, 45891,  1940, 77668,
   77668, 57587, 82805, 83272, 83739, 77668, 77668, -4805, -4805,  2019,
   77668, 77668, -4805,  2062, 58054,  1770,  2068,  2253,  2218,   805,
   -4805, 72531, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   60856,   363, -4805, -4805,  2175, 62257,  2252, -4805, -4805, 84206,
  100948,  2035, -4805,   499, 62724, 58521,  2360,  2010, 46364,  2401,
   -4805, 63191, -4805, 58988, 63658, -4805, -4805, -4805, -4805, -4805,
   84673, -4805, 85140,  2123,  2252, -4805,101401, 59455, -4805,  2265,
   85607, 86074, 86541,  2065,  2008,  1456,  2012, 41193, -4805, -4805,
   -4805,   577, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
     214,  1711,   259,   229,   325, -4805, -4805,   230,   231,   245,
     214,  2478,  2478, -4805, 77668, -4805, -4805,  1711,   595,  2014,
    2014,  2014,  2242,    24, -4805,  2014,  2173, -4805, -4805, -4805,
   -4805, 71597, -4805,  2042,   472,  2081,  2485,  2138, -4805, -4805,
   -4805, -4805, -4805,  2151,  2494,  2494, 77668, -4805, -4805,  2566,
    2124,  2384,  2111, -4805, -4805, -4805,  2331,  2336,  2344,   366,
     472,   223, -4805,  2471, -4805,  2355, 27907, 27907,   472, 72998,
   87008,   226, 60856,   472, 73465,  2169,   219,  2359, -4805, -4805,
   -4805,   735, -4805,  2597,  2183,  2430,  2111,   961, 42594, -4805,
    2167,  1662, 71597, -4805, -4805, -4805, 59922,  2489, 29823, 77668,
    2176, -4805,  2192,  2176,  2197,  2198,    48, -4805,  9579, 59922,
   77668,   408,   408,  2635,   408,  1753,  1755, -4805,  2386, -4805,
    2525,  2492, 71597,  2206,   838, -4805,  1543,  2220,  1944,  2222,
    1552,  1065, -4805, -4805,   815, 77668,   234,  2244, 73932,  5883,
    2225,  1662,  2226, -4805, -4805, -4805,  2376,  1455, -4805, -4805,
   -4805, -4805,  2527,  2584,  5383,   301, 74399, -4805, -4805, -4805,
   -4805, 77668, 77668, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805,  2232,   792, -4805, -4805,  2236,  2586,  2493,  7469,
    1359,  2538,  2407,  1748,  7781,  2505,  1345,  2603,  8801,   133,
    2617,  1613,  1557, 74866, 77668,  2594,  2622,  4034,  1507,   265,
    2517,  1791,  2538,  2636,  2468,  1748,  2657,  8818, 77668, -4805,
    2593,  2697,   819, -4805,   200, -4805, 22683, 29823, 48723, -4805,
    1662,  2387,  2555,    64,  2579, 61790,  2353, -4805, -4805, 77668,
   -4805, -4805,101854,  2436, -4805,   505, 61790, -4805,  2571,  2406,
   46837, 77668, 61790, -4805, -4805, 61790, 77668, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805,  2497,  2695, 77668,101854, -4805,  2646,
   77668, 77668, -4805, -4805,  2381, -4805, -4805, -4805, -4805,  2014,
   77668,  2802,101854,  2609,   119, 77668,  1618,  2846, 77668,  2621,
    1618,  2442, 87475, -4805, -4805,  1618, -4805, -4805, -4805, 77668,
   77668,  2415,  1292,  2625,  2749,  1618,  2652,  2875,  2882,  2673,
    2531,  2680,  2192,  2867,  2679,  1060,  1053,   198,  1925,  1618,
    2533, 87942, 88409, 77668,  2537, 77668,  2494, 61790, 61790, 61790,
   77668,  2806, -4805,  2668, -4805, -4805,  1429, -4805, -4805, -4805,
   -4805, -4805,  2839, -4805,   169,  2847,  2514,  2861,  1485, -4805,
   -4805,  2572, -4805,  2572,  2572,  2559,  2559,  2709,  2569,  2911,
   -4805, -4805, -4805,  2227,  2572,  2559, -4805,102760, -4805,  1562,
    1630, -4805,   260, -4805,  3025, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805,  2590, -4805,  1324,  1863, -4805, -4805,  2618,
   -4805,  2929,   320, -4805,  2936, -4805,  2592, 88876, -4805, 89343,
   89810,  2945,   365, -4805, 57587,  2963,   320,  2964,  2592,  2975,
     320,  2977,   541,  2981, -4805,  1215,  2967,  2984,   260,  2986,
    1960,  2592, 61323,  2987,   397, -4805,  2989,   429, -4805,  2990,
    2862, -4805, 29823, -4805,  2745, -4805,  1332, -4805,  1772, -4805,
   51980, -4805,  2012,  1711, -4805, 77668,  1711, 77668,  1711, 77668,
    1711, 77668,  1711, 77668, 77668, 77668,  1711, -4805, -4805, -4805,
   77668,  2667, 77668, 77668, -4805, -4805, -4805, 67394, 57587, 67861,
   -4805, 77668, -4805,   153,   472, -4805, -4805,101854,  3118, 57587,
    2494, -4805,  1793, -4805, -4805, 77668, 77668, -4805, -4805, -4805,
    2937, 77668,  3001,  3005, 67394, 57587, -4805, 90277, -4805, 60856,
    2889,  2685, -4805, -4805, -4805, -4805, -4805,  1872,  3168,   257,
    3169, 29823,  2690,   257,   257,  2691,  3020, -4805, -4805, -4805,
     298,  2696,  2701, -4805,   237,   237, -4805,  2702,  2703, -4805,
     255,  2704,  2705,  3187,  3189,   268,  2712,  2713,  2718,  2227,
     257,  2725, 29823, -4805,  2726,   237,  2727,  2729,  2730,  3208,
    2731, -4805,  3212,  2734,   274,   314,  2736,  2737, -4805,  2702,
   -4805,   270,  2739,  2742,  2744,  2746,  2748,  2750,  2751,  2753,
   29823, 29823, 29823, -4805, 26465,  1662,   472, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805,   277,  5914, -4805,  2781, -4805,
   -4805,  2950, -4805, -4805, 29823, -4805, -4805,   113, -4805,   294,
   -4805, -4805, -4805,  1662,  3031,  2756, -4805, -4805,   327,  2764,
   -4805,  1051, -4805, -4805, -4805, -4805, -4805, -4805, 60389,  3198,
   -4805,   346,   472,   200,  1692,  3146, 51044, 51512, -4805, -4805,
    3029, -4805, 77668, -4805, -4805,  1662,   175,  1823, -4805, -4805,
   51980, -4805, -4805,   577, 16468,  1827,  2176, 77668, 77668,  3219,
   -4805, -4805, -4805,  1831, -4805,  2767, -4805,  2192, -4805, -4805,
      48,    48, 29823,    48,  1245,   911, 28386, 30302,  3100,  2988,
    1346,  1488,  3103, -4805,  2995,  1753,  1755, 71597, 77668, 90744,
    2910, 29823, -4805,  3209,  2870,  2872,  2932, 50124, -4805,  2883,
    2849,  2890,  2948, 53851,  2800,  2895,  2898,  2954, -4805,  3079,
   -4805, -4805,  2902,  2903, 91211, -4805, -4805,  1403, -4805, -4805,
   -4805,  1403, -4805,  2837,  1317,  1130,   866,  2907,   419,   854,
    3228, -4805,  1272, -4805, -4805,  2965, -4805,  6612, 77668,  3167,
    9006,  3038,   301,  2961, -4805, -4805, -4805,  3096,  2916, 77668,
    2917,  3057,   301,   311, 91678, -4805, -4805, 77668, -4805, -4805,
   -4805, -4805,  2934,  3204, 25559, -4805,  1798,  2921,  2899,  2938,
   77668, 64592,   400,  3033,  3056,  1579,   401,   641,  2991, 77668,
    1730,  3063, 77668,  2851,  2935,  2939,  3155,  2854,  1447,  3260,
    2857, -4805, -4805, -4805,  3227, -4805,  2107,  2163,  3058, -4805,
    3160,  3205,  9093,  2925,  2928, 99589, -4805,  2955,   801, 47310,
   77668, 77668,  2956,  2960, 92145,  2934,  3237,  2973,  2976,  2966,
    2971,  1030,  3263,  1686,  2983, -4805, -4805, -4805,  1686,  2992,
    2993, 92612,  2934,  3271, 77668,  2997,  2998, 77668,102760,   301,
   -4805,  3339,   301,   301,  1365,  3346,  2999,   389,  3164,  1803,
    1618,  2857,  2310, -4805,  3008,  3009,   315, -4805,  3134, 77668,
    3011,  3012,  1663,   472, -4805, -4805,  3014,  3105,  3017,   608,
   -4805, -4805,  1081,  3027, 71597,  3129,  3132,  1730,   289,  1869,
    2857, -4805,  3026,  3028,  2854,  2854, 77668, 77668, 77668, 77668,
   77668,   209,  3389,  3392,  3034,   222,   966,  2951, -4805,  1686,
   56653,  3036, -4805,  1686, 77668,   220,  1953,  2857,  1480,  1781,
   -4805, -4805, -4805,   961, -4805, 29823, 29823, 29823,  2958, -4805,
    1905, 16468,   620, -4805,   302,  6631,  2952, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, 77668, -4805, 77668, -4805,  3234,101854,  3171,
    3235, -4805,  3003, -4805,  3239,   301, -4805, 77668, 77668,  3240,
    3186,  3253,  3255,  3190,  1224,101854,  3192,  3259, -4805,  3261,
    3262,  3069,   189,  3064,  2996,  3442,  3333, 77668, 53851, -4805,
    3457,  1403, -4805,101854,  3206,  3337, -4805, 77668,  3223,    72,
   -4805,  3373,  3059, -4805, -4805,    89, 77668,   287,  3041, -4805,
   -4805,  3343, 57587,   345,  3344,   472,  3054,  3348,  3220,   472,
   57587,  3265, 77668, 77668, 77668, 77668, -4805, -4805,  3229,   988,
     502, -4805, 56653,  3241, -4805, 77668,  3243,  2310,  3246,  3463,
      73,  2014, 93079,  3342, 93546,  3045,  3046,  3046,  3474,101854,
    3295, -4805,  1916, -4805,  3165, -4805, 61790, -4805, -4805, 61790,
   -4805, -4805,101854, 77668,  3050, -4805,  3051, -4805, -4805, 29823,
   -4805, -4805, -4805,  2478, -4805,101854,  2572,  2572, -4805, -4805,
    3478,  3116,  3135,  2478, -4805,  2478, -4805,101854, -4805,  3061,
    3062,  2478,  3136,  3141,  3144, -4805,  3052,  3145,  2478, -4805,
   -4805,  1892, -4805, -4805, 61790, 61790, -4805, 57587, 57587,  3393,
     397,  3405,  3110,  3406,  3125, 47310, 47310, -4805,   433, 61790,
   -4805, 57587, 61790, -4805, 77668, -4805, 77668, -4805, -4805, -4805,
   -4805,101854,101854, -4805, 57587, 56653,  3408,  3409,   541, 77668,
   77668, -4805, 77668, 77668, -4805, 77668, 77668,  1844, 94013,  2012,
   59922, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, 77668,
   -4805, 77668, -4805, 77668, -4805, 77668, -4805, 77668, -4805, -4805,
   -4805, 77668, -4805, 77668,  1855, -4805, -4805,  1882,   191, 77668,
   77668,   252, 61790, 77668,  3286, 61790, 61790, 77668, 77668, 77668,
   77668, 77668,  3156,  2764,    -1, -4805,   296,   902, 71597,  3294,
   -4805, -4805,  1932,  2024,  1070, 77668,  1156,  2151, -4805, -4805,
   -4805, -4805, 67861, 66927,  3398,   149, 77668, -4805, -4805,  6785,
   29823,  1662, 27423, -4805, -4805, 16468,  3121, 29823, 29823,  3081,
    2478,  2478, -4805,  1098, 29823, 29823, 29823,  2478,  2478, 29823,
   13020, 29823, 47310, 29823, 35092, 23653, 29823, 29823, 26944, -4805,
   29823,  3321, 36523, 29823,  1692,  3323, 29823,  1692, 13020,  3559,
    3559,  2881,  5137,  3083,  1662, -4805,  2478,   944, -4805,   377,
  101854, 29823, 29823, 29823, 29823, 53851,  3170,   256, 77668, 29823,
    3089,  3024, -4805, 29823, -4805,  3090, 29823,  3172,   865, 29823,
   29823, 29823, 29823, 29823, 29823, 29823, 29823, 29823, -4805, 37924,
     417,  3404,  3426,    80,   543, 75333, 27907,  3418, 22683, -4805,
     254,  3418, -4805, -4805, -4805, 77668,  3198, -4805, -4805,  3179,
   -4805, -4805, -4805, -4805, -4805,   303, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805,  3098, -4805, -4805, -4805, -4805,  3098, -4805,
    3102,  3410,  3411,   541, 77668, 59922, -4805, -4805, -4805,  2295,
   -4805, 29823, -4805,  1945,  1918, 77668, 77668, -4805,  3383, -4805,
    3106, -4805, 11781,  3383, -4805, -4805, 35568,  3230,  3379,  3318,
   -4805, -4805, -4805,  3113, 16468, 30781, 30781, -4805,  2036, 16468,
    2041, -4805, -4805, -4805, -4805, -4805, -4805,   712, -4805, 77668,
     766,  3100,  1488,  3174,  1377,  3571, 77668, -4805, 43061,  1947,
   -4805, 57587, 77668, 77668,  3322, -4805,  3563, -4805,102760, -4805,
    3133, -4805,102307, 98216, -4805, -4805,   645, -4805,   959, 57587,
   -4805, 77668, 77668, -4805, 53851, 57587, 77668, 77668, -4805, 57587,
   77668, 77668, -4805, -4805, -4805, -4805, -4805, 52448,  1155, 66927,
    3267, 65993, -4805, -4805,  3148, 77668,  3191,  3420,  3421,    10,
   -4805, -4805, 94480, -4805,  3359, 57587, 77668, 77668, 29823,  3370,
   77668, 77668, -4805,   276,  3242,  3244, -4805, 77668,  3245,  3399,
   61790,  3154, 77668, 77668,101854,  3248,   790, 61790,  3201, 47783,
   61790, 61790, 77668, 77668, 77668, 77668,  3291,  3491,101854, 77668,
    3436,   983, 71597,   242,  2208,  2857,  3387, -4805,   356, -4805,
   57587, -4805, 77668,  3382, -4805, -4805, -4805, 75800,  3612,  3288,
   -4805, -4805, -4805, 94947, -4805, -4805,  3385, -4805,  1951, -4805,
   57587, 57587, 77668, 10085, 95414,   601,  3402, -4805, -4805,101854,
   -4805, 77668, 76267, 77668, 77668,  3440, 77668, 68795, 95881, 96348,
      93,   951,  3441, 77668, 69262,  3443, -4805,  3320, 77668, -4805,
   -4805, 54318, 57587, 77668,   808, 53851, -4805, -4805, 77668, -4805,
     332, -4805, 77668,  7386,  3395, -4805, -4805,  3264,  3277, 77668,
     435,  2423,  2857,  3553, 77668, 77668,  3193,  1957, 57587, 77668,
   53851, -4805,  3403,  1327, 57587, 77668, 75800, -4805,  3407, 71597,
   71597, 57587, 77668, 71597, -4805, 77668, 87008, -4805, 57587,  1151,
   -4805, 57587, 77668, 75800, -4805,  3412,  3350, 57587, 77668, 14243,
   -4805, -4805, -4805,   301, -4805, -4805, -4805, -4805, -4805, 77668,
   77668,   301, 77668, 77668,   301,  1188, -4805, 57587, 77668, -4805,
   -4805, -4805,  3319, 57587, 77668, 77668,   214, -4805, 57587,  3041,
   77668, 53851, -4805, 77668,  7121, 77668, 77668, 77668, 77668, 77668,
   77668, 57587, 77668, -4805, -4805,  1806,  1311,   780,  1407,  1016,
   77668,  3503, 77668, 96815, 57587, 77668, 77668,   472, 77668, 53851,
    1643, -4805, -4805,  3326, -4805, 57587,  1151, -4805, 10309, 77668,
   77668, 77668,  3283,  3285,   263,  3372, -4805, -4805, -4805,   670,
     670,  3424, -4805, 29823, 29823, 28865,  3207, -4805, -4805, 29823,
   -4805, -4805, -4805,   357,  3656, 97282,   357, -4805,   357,  3483,
    3266,  3272,   357, 77668,   357,   357, 77668, -4805, -4805, -4805,
   -4805,  3486, 77668,   357,   357,   357,  3400, -4805, -4805,  3400,
     184, 29823,101854, 77668, -4805,  1963, -4805,  3247,   988, -4805,
   -4805, 53851, 77668,   208,   718,  3567,  3444, 65059,  1219,  3557,
   77668,  3279, 77668,  3682,  3328, 71597,  2415, -4805,  1219, 77668,
   -4805,  3002, 66927, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   77668, -4805, -4805,  3561, 77668, 29823,  3413, -4805,   472,  2415,
    2415,  2415,  2415, -4805, -4805, -4805, -4805,  3454,   197, -4805,
    3251,  2415, 77668,  3366,  3581,  1219,  3252,  3583, -4805,  2310,
    3584,  1638, 77668,  3467, 65059,  3311,  3296,  3480,  3709,  2014,
     472,  3484,  3470, -4805, 50584, -4805,  2415, 26012,  6646,  7333,
    3471,  3532, 60856,  3572,  3573,  3591, -4805,   169, -4805,  3718,
    1485,  3594, 29823,  1964,  3270,   260, -4805, -4805,  3274,  3062,
    3290,  3292,  3275,  3276, -4805,  2478,   215,  3278,  1048,   841,
    3416,  2478,  3518,  3280, -4805,   320, -4805,  2592, -4805, 77668,
   -4805, 77668, 77668, 77668, 77668,   365, -4805, -4805,   320,  2592,
     320,   541, -4805,  3548,   260,  2592,  3414,  3607, 60856, -4805,
     397, -4805,   429, -4805,  3495,   541, -4805,  3506,  2014, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805,  1975, -4805, 77668,
   -4805,  3587,  3589,  3593,  3595,  3596,  3297,  3298,  3331, 77668,
    3300,  3297,   301,  3300,  3300,  3297,  2764,  2764,  3297,  3298,
   57120,  3756,  3618, -4805,  3386,  3308,  3629,   212, -4805,   239,
    1094,  3551, -4805, -4805, -4805, -4805,101854, -4805, 57587,  3349,
    2494,  2494, -4805,   367,  3519,  3309, 57120,  3745,   541, -4805,
   61790, -4805, -4805,101854,  3390,  3415, 61790,  3530,  3362, 61790,
   -4805, -4805, 61790, -4805, -4805, -4805, -4805, -4805,101854, -4805,
    3597, 77668, 77668,  1981, -4805, -4805,  1270, -4805,  1680, 29823,
     176, -4805, 12579,  1995, 29823,  3327,  3329, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805,  3332,  3639, -4805,  2017,  2031,  2037,
    3334,  3335,  3459,  4243,  3336, 13940,  3338,  3340, 35092, 35092,
   26465,   893, -4805, 35092,  3341,  3517,  2046, 12259,  3330,  3345,
   14644, 29344, 29823, 29344, 29344, 14866,  3330,  3351,  2054, 53851,
    3514, 15173,  2058, -4805, 29823, 53851,  5024, 29823, -4805, 29823,
    3352, -4805, -4805,  3793,  3793,  3793, 13020, -4805,  3355, -4805,
   35092, 35092, -4805,  2626, 26465, -4805, -4805,  3652, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805,  4056, -4805,  3347, -4805, -4805,
    3565,  4293, 47310, 17034, 29823,   341, 29823,  3089, 29823,  3425,
    3793,  3793,  3793,   409,   409,   282,   282,   282,  1930,   543,
   -4805, -4805, -4805,  3354,  3357,  3358,  3541,  3360, 29823, -4805,
    1997,  2003, 77668,  2429,  2778,  2908, -4805, -4805, -4805, 38858,
    3417,   620,  3417, -4805,   961,  2478,   944, 51980, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, 77668, 16468, -4805, -4805,  3608,
    3363, -4805, -4805, 29823, -4805, -4805,  2728,  3365,   636,  3574,
    2221,  2221,  2036,  3575, -4805, -4805,  3422, -4805, 29823,  2082,
   -4805,  2214, -4805, -4805, -4805, -4805,  2764, -4805,  3615, -4805,
   -4805, -4805, 38858,  3419,  3423,  1076, 42127,  3577, -4805, 77668,
   -4805, 77668,   369, -4805,  3377, -4805, -4805, -4805, -4805, -4805,
   -4805, 98216,  1863, -4805,102307, -4805,102307, -4805,  1863,  3801,
   -4805, 98216,  1783, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, 57587, 57587,  3580, 77668,
    3579,  3586, 29823,  1025, 77668,  3375,  3376,  1295,  3672, 77668,
   -4805,  3720,   541, -4805, -4805,  3465, -4805, 16468, -4805, -4805,
   -4805, -4805, -4805, 57587, 77668, -4805, 60856, -4805, 77668, -4805,
  101854, -4805, -4805, -4805, 77668,  3427, 77668, -4805, 77668, 77668,
   77668, -4805, -4805, -4805, -4805, -4805, -4805, -4805,  1229,101854,
   -4805, -4805, 77668, 77668,   722,  3466,  3468, 77668, -4805,   787,
    3134, 10472, 77668, 77668, 77668,  3667, -4805, -4805, -4805, -4805,
    3609, -4805,  3724, -4805, 98216, -4805,  2592,  1329,  3472,  2857,
    3620, -4805,  3733,  3602, -4805,  3520,  1413, -4805, -4805,  3529,
   -4805, -4805, -4805, -4805,  3739,   541,  3740,   541, 77668, 77668,
   77668, 77668,  3533, -4805, -4805, -4805, -4805,  3535,  3668, -4805,
   53851, 53851, 53851,  2059, -4805, -4805,   472, -4805, -4805, -4805,
   -4805, -4805, -4805,  3701, -4805,  2094, -4805,    -7, -4805, -4805,
   -4805, -4805, -4805,  3746, 57587, 77668, 12849, 77668, 77668, 77668,
    3621,  1841, -4805,  1513,101854, -4805,100042, -4805, -4805,  2110,
   -4805,  3428, 77668,  3490, 57587,  3477, -4805, -4805, -4805,  3747,
    3432,  3432, -4805, -4805,  3432, -4805, -4805, -4805,  3673,  3604,
   -4805,   903,  3610, 57587,  3475, -4805, -4805, -4805, -4805,  3758,
    3507, -4805, -4805,  3508,  2472,  2857,  2310, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805,  3536, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805,  1511, -4805, -4805,  1375,   424,  2503,
    2857, -4805,  1762, -4805,  3522, -4805,  3524, -4805, -4805, -4805,
    3686,  3687,  3688,  3542,  3544,  3590,  3545,  3546,  3603, -4805,
    3550,  3606,  3554,  3611,  3555,  3825,   541,101854,  3696,   472,
    3600,  3818,   541, -4805,  3564, -4805,  3566, -4805,  2120,  3923,
   -4805, 77668, -4805,   443,  2628,  2857, -4805,  3568, -4805, 57587,
   77668, -4805, -4805, -4805, 29823,  3482,  3492,  3493, 16468, 16468,
   29823, -4805, -4805, 16468,  3488, -4805, -4805, -4805,101854, 77668,
    3765, -4805, -4805,   357, 77668, 77668, -4805,  3769, -4805, -4805,
    3770, 77668,  3772, -4805, -4805, -4805, -4805,   272,   272, -4805,
   -4805,  3807,  6249,  3499,   151, -4805, 53851, 44465,  1897,  2165,
     225,  1618, -4805, 60856, 77668, 60856, -4805,   718,  3602, 77668,
   77668, 77668,  3500,  3498, -4805, -4805, -4805, -4805, 57587,   733,
   57587,  2478, -4805, -4805,  3576, -4805, 77668,  2014,  3986,  3829,
   -4805,  3432, -4805,  3948,  2882,   345,  3661,  1804,  2531,  3889,
    2192,   374, 53851,  3296, -4805, -4805, -4805, -4805, 77668, 77668,
     988,   472, -4805,  3511,  3512, -4805, 77668,  3842, 77668, 77668,
   77668, 77668,  3349,  3521, 77668,  3526,101854, 77668,  1974,  2854,
    3967,  3861,  2024,  3311,  3605,  3868, 71597,  3543,  2129, -4805,
   -4805, -4805,  2131,   159, -4805,   472, 60856, 99136,  3856, -4805,
    7333, -4805, -4805,  7333,   997, 77668,  3841, -4805, -4805,  2024,
   -4805,101854,  3547, -4805,  2161, -4805,  2177, -4805, -4805, -4805,
    2478, -4805, -4805,  1296,  1296,  3549, -4805,  3552, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805,  3534, -4805, -4805, -4805,   397,
    3598,   541,  3599,   541, -4805, -4805, -4805, -4805, 77668, -4805,
   77668, 56653,   541, -4805, -4805, 77668, -4805,  3879, -4805, -4805,
    3678,  3683,  3684,  3692,  3694, 77668,  3297, -4805,  3562, 57587,
    1575, -4805, -4805,  3757, -4805, -4805, 71597,  3685, -4805, -4805,
   -4805, -4805,  3894,  3903, -4805, -4805, -4805,   872, -4805, 77668,
   77668, 57587, 67394,   436, 57587, -4805,  3839,  3844, -4805, -4805,
    3845,   301, -4805,  3848,  3849,  3853, -4805,  3854,  3855, -4805,
   -4805, -4805,  3569, 15559, 29823, -4805,  3929,101854, -4805,  6292,
   -4805, -4805, -4805, 29823, -4805, -4805, -4805, -4805, -4805, -4805,
    2136, 29823, -4805, 29823,  3904, -4805, 24138,  4058,  4058,  3582,
  101854, 35092, 35092, 35092, 35092,  1402,  2727, 35092, 35092, 35092,
   35092, 35092, 35092, 35092, 35092, 35092, 36047,   579, -4805,  3779,
   29823, 29823,  3913,  3904, -4805,101854,  3588,  3330,  3592,  3601,
   29823, -4805, -4805,  2184, 36990,  3613, 53851, -4805, 29823, 12277,
    2190,  3635, 15713,  1662,  7428,   472, 29823,  2281,  2669, 29823,
    2209, 29823,  3912, -4805, -4805, -4805, -4805,  3616, -4805, -4805,
    3819,101854, -4805, 29823,  3614,  4361, 35092, 35092,  5261, -4805,
    5949, 29823, 26465, -4805,  3424,  3634, 43528, -4805, 24623,  3619,
     884,   884,   884,   884, -4805, 77668, 77668, 77668, 39325,  3916,
    3622, 38391, 76734,  3623,  2137, -4805, 76734, 77201, 76734, -4805,
    3617, -4805,  1662, 29823,  3908,  3625,  3908,   200,  3630, -4805,
   -4805, -4805, -4805,  2024, -4805,  3632, -4805,  3365,   279, -4805,
   -4805, -4805,   783, -4805, -4805, -4805, -4805,  3623, 31260,  3748,
   -4805, -4805, -4805,  3649,  2211, -4805, -4805,  4001,  3748, -4805,
   -4805,  2235, 43061,  3419, 29823,  1662,  2246,  1860, -4805, -4805,
   98216, -4805,  3670,  2592,  2592,  1443,  3297,  3930,  1443,  7549,
   -4805, -4805, 39792, 77668, 77668, -4805, 77668,  2262,  1214, 77668,
   -4805, 77668, -4805, -4805, -4805, -4805,  4053, -4805, 77668, -4805,
   -4805,  3663,  3669, 77668, 77668, 77668, 77668,  3876, -4805, -4805,
    2222, -4805, -4805, 57587, 77668, -4805, -4805, -4805,   445,  2694,
    2857, -4805,  3691, -4805, -4805,  3896, 77668, -4805,  4050,  3719,
   77668,  3971, 77668,  3636, -4805,  1214,  3750,  3950,  1679,  2854,
     389,  3664, -4805,  1505, -4805, -4805,  3710, -4805, 77668, -4805,
   77668, -4805, -4805, -4805, -4805, -4805, -4805, -4805,  3771, -4805,
   -4805, -4805, -4805, 54318, -4805, -4805, 77668, -4805, 53851, 44465,
   53851, 77668, -4805,  1392,   447,  2733,  2857, -4805,  3721, -4805,
    3981,  3727,  3728,  3788,   161,   250,  3735,  3736,  3794,  3665,
    3666,  3674, -4805, 53851, 44945,  3822, 77668,  2592,  3671,  3707,
   77668,   214,   472, -4805, -4805,   472,  2592,   472, 77668, 77668,
   77668, 77668,   214, 53851, -4805,  4107,  3774, 77668, 77668, 77668,
   77668, -4805,  3730, -4805, 77668, 77668,  4007,   913,  1988, 57587,
   77668, 77668, 57587, 77668, 77668, 77668, 77668, 77668, 77668, 77668,
    3891, -4805,  4098,  4025,  2135,  4067,  3759, 77668, -4805, 77668,
     472, -4805,  3134, 77668, 77668, 77668, 77668, -4805, -4805, -4805,
   -4805, -4805,  3424, -4805,  3690,  3966,   357, -4805,  3969,  3973,
     357,   357,  3975,   357, -4805, -4805,  1618, -4805,   216, 77668,
   -4805,  2015, 77668, -4805, -4805, -4805,  3632,  2107,  2163, -4805,
   -4805, -4805, -4805, -4805, -4805, 77668,  3693, 77668, 77668, 35092,
   -4805,  1909,  1109,  1096, -4805,  3974, 77668,  3041, -4805, -4805,
   -4805,   235, 77668, -4805, -4805, -4805, -4805, -4805,    83,  3521,
   -4805,  3994, 65059,  2592, 57587, 57587,  2592, -4805,101854,  3697,
    3296, -4805,   340,  3789, 57587,   345,  1358, 97749,  3054,  3741,
    3922, 38858,  1511, -4805,  3711,  3875, -4805,  3717,  3715, -4805,
   -4805, 77668,  3602, 56653,  2263,  2310,  4169,   103,  2008, -4805,
   66460,  3909,  3521,  3994, -4805,  2854,  3932,  3931, -4805,  2024,
   77668,  3349,  3296,   472, 77668,  3191, 44465, -4805,  4208, -4805,
   98216, 29823, 29823, -4805,  3723, -4805,  3731,  7333, -4805,  3800,
    3729, -4805, -4805, -4805, -4805, -4805,  3814,  3737, 77668, -4805,
    3734,  3594, -4805,  3594, -4805,  3742, -4805, -4805, -4805, -4805,
   -4805, -4805, 77668, -4805, 77668, -4805,   541, -4805,  3860, -4805,
     541, 77668, 77668, 77668, 77668, 77668, 77668,  3297,   301, -4805,
    4052, 57120, -4805, -4805,  2279, 77668, -4805, -4805, -4805,  4118,
   -4805, -4805,   149,  4060, -4805, -4805,   928,   928,   928,  4017,
     928,   928,   928,   928,   928, -4805, 29823, 16468, -4805,  3744,
   -4805, 16468,  3751,  7699, 16468,  3913, -4805,  2292, 29823, -4805,
    2980,  2980,  2980,  3902,  4066, -4805,  1009,  3761,  2980,  2980,
    2980,   326,   326,   249,   249,   249,  4058,   579, 16468, 16468,
   -4805, -4805,  3755, -4805, -4805, -4805,  3330, -4805, 31739,   868,
    4178, 36523, -4805, -4805, -4805,  3787,  3796,  3762, -4805, 29823,
   32218,  3754,102760,  3947, -4805,  1760, 29823, 29823,  3869, -4805,
   14542, 29823,101854, -4805,  2302,  3869,   444, 29823,  3151,  4430,
   29823, 29823,  6122,  8024,  3763, 29823, 98669, -4805, -4805, -4805,
    2303, 29823, 77668, 77668, 77668, 77668, -4805, -4805, -4805, 76734,
   77201, 76734,  3766, 37457, 25091,  2137,  3777, 77668, -4805, -4805,
    3773, 38858,  4033,  3970, -4805, 38858,  3970,  1594,  3970,  4042,
    3880, 43995, -4805, -4805,  3792, -4805,  3980, -4805,  1798, 16468,
    4224,  4101,   472,  4101,   472,  3795, 47310, -4805, -4805, -4805,
   -4805,  3878,  4010, 16468, 27907, -4805,  2024,  1603, 77668,  1662,
     102, -4805,  3809, 77668, -4805,  3748, 16468, -4805,  3870,  2304,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805,  3881, 66927,  4123,
   -4805, 29823,  2312, -4805,  3846,  4216,   168,  2317,  2319,  1214,
   -4805,  4100, -4805,  1535,  4102,   350, -4805,   541, -4805,101854,
   -4805, 77668, 77668, -4805, -4805, -4805, -4805, 77668,  2800, -4805,
   -4805, 77668, 77668, 77668, 77668, -4805, -4805, 57587, 77668, -4805,
   77668, -4805, 53851,  2165,   214,  1909,  4110,  4112,  4031, -4805,
     301, -4805,  1909,  4032,   214, 77668, -4805, -4805,  2587, -4805,
  101854,   541,   541, -4805, -4805, -4805, -4805, -4805,  3826, -4805,
    4247,  3907, 77668, 77668, 77668, 77668, 77668, 57587, 77668, 77668,
    2478,  2478,101854,  3815, -4805,  2478,  2478,  3820, -4805, 57587,
   77668, 77668, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805,  3914, -4805, 29823,  4240, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -4805, 57587,
   77668,  3915, -4805,  3917, -4805,   912, -4805, -4805, 77668, 77668,
   77668, 77668,  4161, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805,  4164, 77668, -4805, -4805,   472,   472,
  101854,   541,   541, -4805, -4805, -4805,  3920, -4805, -4805,  3835,
    4115,   357, -4805,   357,   357, -4805, -4805,   357, -4805,  3847,
   -4805,  1618,  4210, -4805,  1214,  1649,  4166, -4805,  4170, 29823,
   -4805,  1249,  3902, -4805,  4218,  4300, -4805, -4805, -4805, -4805,
    3041,  2014,  3910, -4805, -4805, 61790,   382, -4805,  4148,   208,
    4068, 65059,  1762,  1790,  3857,  3983, -4805,  2592,  2592,  3924,
   77668,  4315, -4805, -4805, -4805, -4805, -4805, -4805, 57587,  3477,
   -4805,  4090,   104,  4192, 77668, 29823,  3623, -4805,  1796,  4195,
   -4805,   472, -4805, -4805,  3995,  3296, -4805,  2143, 77668,  4085,
   65059,  3349,  2345, -4805, -4805, -4805,  3911,  4306,  3311, -4805,
    1762,  3909, -4805, -4805,  4282,  3968,  3919,  4326, -4805,  3968,
    4198,  4094,  3887, -4805,  3543, -4805, -4805, 16468, 16468,   472,
  103213,  7333,101854,  4217, 77668,   196,  4186,   541,  2347, -4805,
   -4805,   541,   541, -4805, 77668, -4805,  3297,  3297,  3297,  3297,
    3297, -4805,  4105, -4805, -4805,  4180, -4805,   541, 57120, -4805,
   -4805, -4805, -4805, -4805,   928, -4805, -4805, -4805, -4805, -4805,
   16468, -4805, -4805, -4805, -4805, -4805,  8200, 35092,  4222, -4805,
    3905,101854, -4805,  3906,  2354,  2371, -4805, -4805,   868, -4805,
    4178, -4805, -4805, -4805,  8322,  3959, 16468,  4018,  3918,  3921,
    3869,  3869, 14542,  2373, -4805,  3869, 29823, 29823,  3869,  3869,
   29823, -4805, -4805,  8974,  4097, -4805, -4805,  9359, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, 54785,  3925,  3514, 76734,  3926,
   77668,  2137, 38858, -4805, -4805,   183, -4805, 38858,  4182, -4805,
   38858, 61790, -4805, 77668,  3927, 77668, -4805, 32697, 29823,  3952,
   -4805,  3952, -4805, -4805,  3933, -4805, 77668,  2756, -4805,  1076,
   -4805, -4805,  4316, 39792,  4275, 29823, -4805, -4805, -4805, -4805,
   57120,  4128, 57120,  1214,  9837,  4100, 39792, 48256, 77668, -4805,
   77668, -4805,  4081,  4100,  3935,  3041, -4805, -4805, -4805, -4805,
   -4805, -4805,  3939, -4805, -4805, -4805, -4805,  4011, -4805, -4805,
      52,  3294, -4805,  2389, -4805, -4805,  4379,  4270,  4271, -4805,
   -4805, -4805, -4805, -4805, -4805,  4098, -4805, -4805, 44465, 57587,
   77668, -4805,  4016, -4805, -4805, -4805, -4805, -4805, -4805, 41660,
   47310, -4805,   161,  3943,  3944,   250, -4805, -4805, -4805, 77668,
    9921,  3946,   978,  3294, 77668, 77668,  3951,  3955,  3956,  1287,
    1409,  1738,  3297,  4277, 77668, -4805, -4805, -4805,  4098, -4805,
   -4805, 77668, -4805,   357, -4805, -4805, -4805, -4805, 53851, -4805,
    2953,  3847,   472, 61790,  4399,  4399, 77668, -4805, 10042,  4177,
   -4805, -4805,   164,  3910,  4207,  4257, -4805,  3972, 77668,   235,
    3977, 77668,  3978,  4095,  1057,  1057, 77668, 77668, 77668,  2404,
    2024,  2592,  3707,   345,  4312, 65059,  4354,  3602,   381, -4805,
   -4805,  1796, -4805,  1148,  4334,  4026, -4805, 77668,  4436, 77668,
    3349,  3521, 77668,  3987, -4805, -4805, 66460,  4193,  2165,103666,
    1974,  3909,  3311,  1183, 77668, -4805,  1326, -4805,  2024, -4805,
   77668, 71597, 39792, -4805,102307, -4805,  2409, -4805, -4805,  4061,
    3417,  4103,  4106,  3997, 77668,   134, -4805, -4805, -4805, -4805,
   -4805, -4805, 77668, -4805,   436, -4805, -4805,  4684, 35092,101854,
    2424, 29823, -4805, 29823, -4805, -4805, -4805, -4805,   114, -4805,
   -4805, -4805,  3869,  3869,  3869, -4805,  4426,  3424, -4805, -4805,
    2432,  4450, 34134,  4412, -4805, 77668,  2438, -4805, 29823,  4004,
   -4805, -4805, 38858,   183,  4006,  2450, 77668,  2451,101854,  4008,
      41,  4009, 23168,  4003, -4805, -4805, -4805, -4805, -4805, 16468,
   16468, 77668, -4805, -4805, -4805, -4805,  4062, 77668,  2455, -4805,
     122, 16468,  1575,  1443,   436,  4216,  3041, -4805,  4012, -4805,
   -4805,  2854,  1276, 77668,  3041, 77668,  3910, -4805, 77668,  4099,
   -4805, -4805, 53851,  4317, -4805, -4805,  4069, -4805,  1014,  3294,
   77668,101854, -4805,   118,  4343, -4805,101854,101854, -4805, -4805,
   -4805, 29823,  4108, -4805, -4805, -4805, 29823, 29823, 64125, -4805,
   -4805, 77668, 77668, 77668, 77668, 77668, -4805,   541, -4805, -4805,
    2461, -4805, 40726, -4805, -4805,  2846,   472,  2846,  1650, -4805,
   -4805,  2846,  2846, -4805,  3417, -4805,  4399,   349, -4805, -4805,
   -4805,  1637,  4248,  4022, 29823, -4805,   956,  4232,  4116,  4027,
   -4805, 61790,  4506,  3521,  3994, 77668, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805,  2469,  3602,  4364,
    3296,  3919, -4805, 77668,  4074, -4805, 38858, -4805, -4805, -4805,
    2846, -4805,  1389,  4035,  4381,  3602,  2024,  2008, -4805,  3909,
    3521,  3994, -4805, -4805, -4805,  4044, -4805,  3931,  3311,  1974,
    4183, -4805,  4184, -4805,  4467,  4255,  4471,  3349, -4805,  3191,
    2473, -4805,  7333,103213,101854,  4411,  4092,  4093, -4805, -4805,
    4109, 77668, -4805, -4805,  3602, -4805,  4684,  2474, -4805,  2475,
    2481,  4114, -4805, 29823,  1233,  3617, 54785,  4059, -4805, 35092,
    2482, -4805,  3232, 77668,  2487, -4805, 16468, 77668, -4805, -4805,
   29823, -4805,  2515, -4805, 29823,  4064, 29823, -4805, 32697,  4054,
   -4805,  4510,  2024, -4805,  3417, 39792, -4805,  4187, -4805,  4387,
   -4805, -4805,  3910, 47310,  1276,  3365,  2014,  3910,  2529, -4805,
   -4805, 77668, -4805,  4022, 29823, -4805,  4157, -4805, -4805,  2530,
    1387,  4233,  4233,  2542,  2543, 10412, 77668,  2544,  2548, -4805,
    2549,  2478,  3298,  1738,  3298, -4805,  3297, -4805, -4805, 53851,
   -4805, 55252, -4805, -4805, -4805,   472, -4805,   472,  4287, 77668,
   49657,   472,   472, -4805, -4805, -4805, -4805,  4424,  4363, -4805,
    2310, -4805, 10457, -4805, -4805, -4805,   454, -4805,  4284,  4285,
   77668, -4805,  4079, -4805,  2553,  1762,  4204,  3602, -4805, -4805,
   77668,  4530,  4531, -4805,   663, 77668,  3623, 77668, -4805, -4805,
   -4805, 29823,   235, -4805,  3919,  3349,  3311,  1762,  3909,  2165,
   40259,  3968,  1974,  3931, -4805, -4805,  4288, -4805,  4289, -4805,
    4086,  4380,  7333, -4805, -4805,   359,  4406,  4407, -4805, -4805,
   -4805, -4805, -4805, -4805, -4805,  3330, 33176, 33176, 33176,  4089,
   -4805, -4805, 77668,  3902,  4087, 34134, 53851,  2554, -4805,100495,
   -4805,  2560,  2562, -4805,  2570, 32697,  2576, -4805, 77668,  4117,
   -4805, -4805, -4805, 43061, 57120,  4134,  4096,  3365, -4805,  4207,
   -4805, -4805,  1214,  3294, -4805, 16468, 77668, 61790,  4526, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805,  3294,  4179, -4805, -4805,
   64125, -4805, 77668, -4805, -4805,  2578, -4805, -4805, -4805, 77668,
    3711, -4805,  3711, -4805, -4805,  4236, -4805,  1445,  4202,  1119,
    1119,  4470, -4805,  4165, -4805, -4805,  4111, -4805,  4586,  4234,
   77668, -4805, -4805,   161,  2024, 65059,  3602, -4805, -4805, 10806,
   61790, -4805, -4805,  1974,  3909,  3311, 29823,  2580, -4805,  4216,
     168, -4805,  3931,  3968, -4805, -4805, 39792,  4119,  3296, -4805,
   -4805,  2134, 61790, 61790, 34613,  4252,  1100, 13058,  4460, -4805,
    4460,  4460, -4805,  2585, 36523, -4805, -4805, -4805, 77668,  4321,
    1268, -4805,  4274, -4805,  2591, -4805, -4805, -4805,  1171,   436,
    4122, -4805, -4805, -4805,  4232,  1214, -4805,  3294, -4805, 77668,
   -4805,  4124, -4805, -4805, -4805, 55252,  3711,  4026, -4805, -4805,
   -4805,  4588, -4805,   273, -4805, -4805, -4805, -4805, 77668,  3602,
    3815,  3919, -4805, -4805,  4126,  3931,  3311,  1974, 11092, -4805,
   40259, 77668, 77668,  3968, -4805,  2605, 39792,  3968, -4805,  2418,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805,  4125,  4130,  4575,
   -4805, -4805, -4805, -4805, -4805,   889, -4805, -4805, -4805, -4805,
    3514, -4805, -4805, 35092, 35092,  4346, -4805,  1268, -4805,  4132,
   -4805, -4805, -4805, -4805, 29823,  1214, -4805, -4805, -4805, 29823,
   -4805,  4469, -4805, -4805, -4805,  3602, -4805, -4805, 53384,  3968,
    1974,  3931,  4216, -4805, -4805, -4805, -4805, -4805,  4380, -4805,
    2611,  3417,  1983, -4805, -4805,  1987,  2198,  4219,  4456, 33655,
    4276, -4805,  4337, -4805,  4549,  3902,  3902, -4805, -4805, 29823,
   11183,  1214,  2612,   235, -4805, -4805,  2623, -4805, -4805, -4805,
   -4805, -4805,  3931,  3968, 77668,  3296, -4805, 39792, -4805, -4805,
    2418,  4253,  4259, -4805, -4805, -4805, 77668, 11576, -4805, -4805,
   61790, -4805, 53384,  3968, -4805, -4805,  3968, -4805, -4805,  4188,
    4191,  2632, -4805,  4150, -4805, -4805,  3417,  4475,  4478, -4805,
   53384, -4805, 61790, 61790,  2637, -4805, -4805, -4805
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1682,  1448,   624,  1534,  1533,  1448,     0,   256,     0,  1544,
       0,  1448,   415,  1120,     0,     0,     0,     0,   624,  1448,
       0,  1682,     0,     0,     0,     0,     0,  1695,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1448,     0,     0,
    1702,     0,     0,     0,     0,  1695,     0,  1546,     0,     0,
       0,     0,     0,     2,     4,    39,    74,    75,    32,    31,
      93,    57,    18,    65,   127,   126,   128,    44,    40,    82,
      27,    29,    41,    45,    67,    69,    34,    47,    58,   105,
      66,    25,    64,    88,    70,    91,    52,    12,    13,    53,
      14,    54,    15,    55,    16,   101,    76,    94,    37,    63,
      24,    46,    72,    73,     5,    48,    80,    11,    59,    60,
      62,    85,    86,    87,   110,    89,   122,    43,   119,    98,
      99,   116,   100,   117,     9,   102,    56,    17,   113,   112,
     114,    83,    49,    84,    71,    92,   111,    28,   115,    19,
      20,    22,    23,    21,    61,    30,    68,    33,    90,   118,
     108,   104,   123,   121,   129,   106,    77,     7,     8,    95,
       6,    26,    51,    10,    36,    35,    50,    42,   125,    38,
    1544,    97,   109,    96,    78,   103,    81,   107,   124,    79,
     120,  1652,  1651,  1704,  1655,  1681,     0,  1667,  1447,  1446,
    1461,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   623,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,  2297,  2312,
    2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,  2325,  2326,  2327,  2662,  2328,  2329,  2330,  2611,
    2612,  2663,  2613,  2614,  2331,  2332,  2333,  2334,  2335,  2336,
    2337,  2338,  2615,  2616,  2339,  2340,  2341,  2342,  2343,  2617,
    2664,  2344,  2345,  2346,  2347,  2348,  2665,  2349,  2350,  2351,
    2352,  2353,  2354,  2355,  2356,  2357,  2666,  2358,  2359,  2360,
    2667,  2361,  2362,  2363,  2364,  2365,  2366,  2618,  2619,  2367,
    2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,
    2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,
    2388,  2389,  2390,  2391,  2392,  2393,  2620,  2394,  2395,  2396,
    2397,  2621,  2398,  2399,  2400,  2622,  2401,  2402,  2403,  2668,
    2669,  2404,  2405,  2406,  2407,  2408,  2623,  2624,  2409,  2410,
    2411,  2412,  2413,  2414,  2415,  2670,  2416,  2417,  2418,  2419,
    2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2671,  2625,
    2428,  2429,  2430,  2431,  2626,  2627,  2628,  2432,  2672,  2673,
    2433,  2674,  2434,  2435,  2436,  2437,  2438,  2439,  2629,  2675,
    2440,  2676,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,
    2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,  2457,  2458,
    2459,  2630,  2677,  2631,  2460,  2461,  2462,  2463,  2464,  2465,
    2466,  2632,  2633,  2467,  2468,  2469,  2678,  2470,  2634,  2471,
    2635,  2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,
    2481,  2636,  2679,  2482,  2680,  2637,  2483,  2484,  2485,  2486,
    2487,  2488,  2489,  2490,  2491,  2492,  2493,  2638,  2494,  2639,
    2497,  2495,  2496,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
    2505,  2506,  2507,  2640,  2508,  2509,  2510,  2511,  2512,  2513,
    2514,  2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,  2523,
    2524,  2525,  2681,  2526,  2527,  2528,  2529,  2530,  2641,  2531,
    2532,  2533,  2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,
    2542,  2543,  2544,  2545,  2546,  2642,  2547,  2548,  2682,  2549,
    2550,  2643,  2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,
    2559,  2560,  2561,  2562,  2563,  2564,  2644,  2565,  2566,  2567,
    2568,  2683,  2569,  2570,  2571,  2572,  2573,  2574,  2645,  2646,
    2575,  2576,  2647,  2577,  2648,  2578,  2579,  2580,  2581,  2582,
    2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,  2591,  2592,
    2593,  2594,  2595,  2649,  2650,  2596,  2684,  2597,  2598,  2599,
    2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,  2651,  2652,
    2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,  2661,  2608,
    2609,  2610,   131,     0,     0,  2271,  2298,  2299,  2302,  2297,
     387,   386,  1642,  2265,  2298,  1543,  1523,   624,     0,  1461,
     414,  1682,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   179,     0,     0,     0,     0,   438,   437,     0,
       0,     0,  1086,   443,     0,     0,     0,     0,     0,   612,
    1591,  2495,  1589,  1643,   257,   260,   261,   258,   259,  2287,
       0,  1222,  1223,  1225,     0,     0,  1235,   897,   898,     0,
       0,     0,   906,     0,     0,     0,   895,     0,     0,     0,
     911,     0,   908,     0,     0,   912,   909,   892,   910,   899,
       0,   891,     0,     0,  1235,   913,     0,     0,   893,     0,
       0,     0,     0,  1461,  1588,   444,  1682,     0,  1565,  1566,
    1567,  1544,  1556,  1568,  1561,  1563,  1562,  1564,  1560,  2286,
    2313,  1021,  1021,  1021,  1021,  1018,  1019,  1021,  1021,  1021,
    2515,     0,     0,  1000,     0,  1002,  2288,  1021,  1026,   507,
     507,   507,     0,  1025,  1030,   507,     0,  1429,  1470,  2270,
    1694,     0,  1001,  1428,  2575,  1579,     0,     0,  1250,  1246,
    1248,  1249,  1247,     0,  1089,  1089,  2533,  1440,   241,  2544,
    2645,  2575,   240,   235,   236,   209,  2317,     0,     0,  1025,
       0,  1461,  1438,   983,  1701,  1699,     0,  2252,  2337,  2352,
    2443,   232,  2526,  2534,  2544,  2645,  2575,  2607,   188,   198,
     193,     0,   250,  2544,  2645,  2575,   246,  1458,     0,  1668,
    1804,  2261,     0,  1431,  1430,  1545,     0,  1548,     0,  2510,
    1672,  1675,  1550,  1673,  1664,     0,     0,     1,  1682,     0,
    1555,  1698,  1698,     0,  1698,     0,  1656,  1664,  1659,  1663,
       0,     0,     0,     0,     0,  1432,     0,     0,     0,   916,
       0,  1473,  2266,  1071,     0,     0,     0,     0,     0,  1322,
       0,  1129,  1128,  2303,  2293,  2294,     0,  2291,  2292,  2304,
    2305,  2306,     0,  2415,  1322,     0,     0,  2159,  2170,  2171,
    2172,  2341,  2398,  2167,  2168,  2169,  2161,  2162,  2163,  2164,
    2165,  2166,     0,     0,  1217,  2160,     0,  2415,     0,  1322,
       0,   158,     0,   135,  1322,     0,     0,  2415,     0,     0,
    2415,     0,     0,     0,     0,     0,  2415,     0,     0,     0,
       0,     0,   158,  2448,     0,   135,  2415,     0,     0,  1452,
       0,     0,     0,  1454,  1457,  1433,     0,  2244,     0,  2245,
    2272,  1526,     0,  2261,     0,     0,     0,   952,   945,     0,
     953,   960,     0,     0,   962,     0,     0,   946,     0,     0,
       0,     0,     0,   965,   966,     0,     0,   967,   947,   968,
     948,   969,   949,   970,     0,     0,     0,     0,   950,     0,
       0,     0,  1444,  1435,     0,  1581,  1583,  1582,  1580,   507,
       0,     0,     0,  2415,     0,     0,   135,  1511,     0,  2415,
     135,     0,     0,   442,   441,   135,  2291,   440,   439,  2341,
    2398,     0,  1119,     0,  1387,   135,  2415,     0,   181,  2415,
     698,  2415,  1550,     0,   627,     0,     0,   812,  2448,   135,
       0,     0,     0,     0,     0,     0,  1089,     0,     0,     0,
       0,     0,   611,   624,  1592,  1590,     0,  1226,   234,   233,
    1224,   904,  2415,  1161,   348,     0,     0,  2415,  1492,  2300,
    1879,  1908,  1886,  1908,  1908,  1875,  1875,  2381,  1888,  2415,
    1876,  1877,  1913,     0,  1908,  1875,  1880,     0,  1878,  1916,
    1916,  1903,   348,   920,  1860,  1861,  1862,  1863,  1889,  1890,
    1864,  1895,  1896,  1900,  1865,  1930,  1875,  2301,   905,     0,
     896,  2415,   348,  1125,  2415,  2295,   168,     0,   894,  2341,
    2398,  2415,   348,  1219,     0,  2415,   348,  2415,   164,  2415,
     348,  2415,   348,  2415,   628,     0,     0,  2415,   348,  2415,
    2448,   166,     0,  2415,   348,   914,  2415,   348,  2263,  2415,
       0,  1436,     0,  1584,     0,  1558,  2649,  1573,     0,  1569,
    1576,  1572,  1682,  1021,  1020,     0,  1021,     0,  1021,     0,
    1021,     0,  1021,     0,     0,     0,  1021,  2289,  2290,  1003,
       0,  1027,     0,     0,  1034,  1033,  1032,     0,     0,     0,
    1035,     0,  1808,  1619,     0,  1426,  1443,     0,     0,     0,
    1089,  1253,     0,  1251,  1088,     0,     0,  1439,   239,   237,
       0,     0,     0,     0,     0,     0,  1445,     0,  1437,     0,
       0,     0,  2274,  2276,  2277,  2173,  2247,     0,  2612,  2613,
    2614,  2236,     0,  2615,  2616,  2617,  2664,  2065,  2052,  2061,
    2066,  2053,  2055,  2062,  2618,  2619,  2000,  2620,  2621,  2284,
    2622,  2623,  2624,  2626,  2627,  2628,  2629,  2057,  2059,  2630,
    2631,  2633,     0,  2285,  2634,  2635,  2477,  2637,  2638,  2640,
    2641,  2063,  2643,  2644,  2645,  2646,  2647,  2648,  2283,     0,
    2064,  2650,  2652,  2653,  2654,  2655,  2657,  2658,  2659,  2660,
       0,     0,     0,  2258,     0,  2032,     0,  1868,  1869,  1891,
    1892,  1870,  1897,  1898,  1871,     0,  2257,  1933,  2118,  2031,
    2048,     0,  2037,  2038,     0,  2030,  2026,  1684,  2253,     0,
    2027,  2273,  2275,  2237,  1684,  2251,   201,   252,     0,   253,
    2259,  2544,   189,   231,   203,   230,   204,   202,     0,  2339,
     190,     0,     0,   191,     0,     0,     0,     0,   249,   247,
       0,  1434,     0,  1806,  1805,  2262,   925,     0,  1537,  1531,
    1540,  1536,  1547,  1544,  2183,     0,  1674,     0,     0,     0,
    1654,  1653,     3,     0,  1552,  1554,  1529,  1550,  1696,  1697,
       0,     0,     0,     0,     0,     0,     0,     0,  1753,  1712,
    1713,  1715,  1750,  1754,  1762,     0,  1660,     0,     0,  1810,
       0,     0,  1459,     0,     0,     0,     0,     0,  1160,     0,
       0,     0,     0,     0,   917,     0,     0,     0,  1479,     0,
    1481,  1482,  1483,     0,     0,  1484,  1485,  1473,   243,  1491,
    1489,  1472,  1474,  1487,     0,     0,     0,     0,     0,     0,
       0,  1503,     0,   172,   173,     0,   640,   624,     0,  2415,
       0,     0,     0,     0,  1168,  1175,  1321,     0,     0,     0,
       0,     0,     0,     0,     0,  1169,  1167,     0,  1170,   245,
    1180,  1199,  1202,     0,     0,  1127,  1130,     0,     0,     0,
       0,     0,  1312,     0,     0,     0,  1312,     0,     0,     0,
    1321,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     268,   270,   281,   343,     0,   603,     0,     0,     0,   606,
       0,  2415,  1322,     0,     0,     0,  1221,     0,     0,     0,
       0,     0,     0,     0,     0,  1202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,   134,   139,     0,     0,
       0,     0,  1202,     0,     0,     0,     0,     0,     0,     0,
     589,   602,     0,     0,     0,     0,     0,   599,     0,     0,
     135,   273,   579,   585,     0,     0,     0,   705,   704,     0,
       0,     0,     0,     0,  1403,  1402,     0,     0,     0,     0,
    1501,  1500,     0,     0,     0,     0,     0,     0,  1312,     0,
     262,   264,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   379,   380,     0,
       0,     0,   139,     0,     0,  1312,     0,   275,     0,     0,
    1453,  1450,  1451,     0,  1456,     0,     0,     0,     0,  2040,
       0,  2187,  1704,  2185,  1145,  2243,     0,  2307,  2685,  2686,
    2687,  2688,  2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,
    2697,  2698,  2699,  2700,  2701,  2702,  2703,  2704,  2705,  2706,
    2707,  2708,  2709,  2710,  2711,  2712,  2713,  2714,  2715,  2716,
    2717,  2718,  2719,  2720,  2721,  2722,  2723,  2724,  2725,  2726,
    2727,  2728,  2729,  2730,  2731,  2732,  2733,  2734,  2735,  2736,
    2737,  2738,  2739,  2740,  2741,  2742,  2743,  2744,  2745,  2746,
    2747,  2748,  2749,  2750,  2751,  2752,  2753,  2754,  2755,  2756,
    2757,  2758,  2759,  2760,  2761,  2240,  2239,  2268,  2308,  2309,
    2310,  2311,  2246,     0,  1522,     0,   959,     0,     0,     0,
       0,   961,     0,   954,     0,     0,   951,  2341,  2398,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   964,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   820,
       0,  1473,  1510,     0,     0,     0,   633,     0,  2415,     0,
     137,   858,     0,   810,   443,     0,     0,     0,  1192,  1386,
     137,     0,     0,   175,     0,     0,   702,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,   748,     0,     0,
       0,   811,     0,     0,   137,     0,  2415,   582,  2415,     0,
     507,   507,     0,     0,  1091,     0,     0,     0,     0,     0,
       0,  1646,  1648,  1647,     0,  1645,     0,   346,   347,     0,
    1209,  1234,     0,     0,     0,  1907,  1894,  1902,  1901,     0,
    1884,  1883,  1882,     0,  1881,     0,  1908,  1908,  1906,  1885,
    1860,     0,     0,     0,  1912,     0,  1910,     0,   887,  1856,
    1852,     0,  1919,  1920,  1921,  1918,  1931,  1917,     0,  1866,
    1922,  1875,  1872,   907,     0,     0,  1203,     0,     0,  2415,
     348,  2415,     0,  2415,     0,     0,     0,  1211,   348,     0,
    1205,     0,     0,  1207,     0,  1404,     0,   903,   901,   900,
     902,     0,     0,   885,     0,     0,     0,  2415,   348,     0,
       0,   880,     0,     0,   882,     0,     0,     0,     0,  1682,
       0,   220,   221,   219,  1574,   222,  1575,  1571,  1557,     0,
    1011,     0,  1015,     0,  1006,     0,  1012,     0,  1007,  1004,
    1005,     0,  1010,     0,     0,   508,   510,     0,     0,  2364,
    2380,     0,  2404,  2436,  2437,  2501,  2529,  2534,  2540,     0,
    2569,  2580,     0,  1036,  1066,  1031,   716,     0,     0,  1629,
    1427,  2190,     0,  1682,     0,     0,     0,     0,  1242,  1243,
     238,   210,     0,     0,     0,  1068,  2533,  1442,   982,   624,
       0,  2028,     0,  2035,  2036,  2235,     0,     0,     0,     0,
       0,     0,  2034,  2198,     0,     0,     0,     0,     0,     0,
    1956,     0,     0,     0,  2215,     0,  2221,     0,     0,  1993,
       0,     0,     0,     0,     0,     0,     0,     0,  1957,  1937,
    1938,  2032,  2183,     0,  2033,  2280,     0,  1930,  2256,  2173,
       0,  2170,  2171,  2172,     0,     0,     0,  2250,     0,  2181,
       0,     0,  1971,  2179,  1973,     0,     0,     0,     0,  2167,
    2168,  2169,  2161,  2162,  2163,  2164,  2165,  2166,  2177,  1953,
       0,     0,  2120,     0,  1952,     0,     0,  1766,     0,  2278,
    2238,  1766,   254,   255,   251,     0,     0,   206,   205,     0,
     224,   228,   229,   200,   227,     0,   223,   208,  2107,  2106,
     207,   199,   196,   194,   211,   213,   214,   197,   195,   248,
       0,     0,     0,   348,  1555,     0,  1538,  1539,  1535,  1542,
    1763,     0,  1676,     0,  1680,  1555,     0,  1551,  1671,  1670,
    1705,  1706,  1111,  1669,  1733,  1734,     0,     0,     0,     0,
    1759,  1757,  1724,  1716,  1723,     0,     0,  1721,     0,  1725,
    1933,  1752,  1658,  1710,  1711,  1714,  1657,     0,  1755,     0,
    1632,  1753,  1715,  1616,     0,  1594,     0,  1811,     0,     0,
    1460,     0,     0,     0,  1140,  1142,     0,  1141,     0,  1144,
       0,  1153,     0,     0,  1139,  1158,     0,  1147,  1145,     0,
    1499,     0,     0,   918,     0,     0,     0,     0,  1480,     0,
       0,  2569,   242,  1483,  1488,  1475,  1486,     0,     0,     0,
       0,     0,  1070,  1069,     0,     0,  1093,     0,     0,     0,
    1506,   496,     0,   345,     0,     0,     0,     0,     0,     0,
       0,     0,   806,   803,     0,     0,   802,     0,   638,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,  1312,     0,   710,     0,  1177,     0,  1176,
       0,  1181,     0,     0,  1178,  1173,  1174,  2534,  2544,  2575,
     244,  1179,  1201,     0,  1200,  1196,     0,  1122,     0,  1123,
       0,     0,     0,     0,     0,  2390,  2415,   286,   308,     0,
    1311,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   330,     0,     0,   333,
     332,     0,     0,     0,     0,     0,   337,   316,     0,   317,
       0,   336,     0,     0,     0,   604,   605,     0,     0,     0,
    1312,     0,   277,     0,     0,     0,     0,     0,     0,     0,
       0,  1218,     0,   733,     0,     0,  2534,  1197,     0,     0,
       0,     0,     0,     0,  1390,     0,     0,   161,     0,   156,
     160,     0,     0,  2534,  1198,     0,     0,     0,     0,     0,
     587,   588,   601,     0,   592,   593,   590,   594,   595,     0,
       0,     0,     0,     0,     0,     0,   586,     0,     0,   700,
     699,   703,     0,     0,     0,     0,     0,  1399,     0,  1192,
       0,     0,  1398,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1255,  1254,     0,     0,     0,     0,  1322,
       0,   848,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   163,   720,     0,   719,     0,   157,   162,     0,     0,
       0,     0,     0,     0,     0,     0,   218,  1449,  1455,  1704,
    1704,  1704,  2046,     0,     0,     0,     0,  1703,  2241,  2244,
    1525,  2269,  1524,     0,     0,     0,     0,   963,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   955,   956,   957,
     958,     0,     0,     0,     0,     0,   393,   390,   391,   393,
       0,     0,     0,     0,   822,     0,   825,   828,     0,  1471,
     462,     0,     0,   630,   678,     0,     0,   446,   170,     0,
       0,     0,     0,   735,     0,     0,     0,  1385,   132,   179,
     181,   444,     0,   180,   182,   184,   185,   186,   183,   187,
       0,   697,   701,     0,     0,     0,     0,   626,     0,     0,
       0,     0,     0,   750,   754,   753,   757,   755,     0,   751,
       0,     0,  1831,     0,     0,   155,     0,     0,   577,   581,
       0,     0,     0,     0,   446,   548,   359,  2415,     0,   507,
       0,  2415,     0,  1090,     0,   809,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1644,   348,  1162,     0,
    1493,     0,     0,     0,     0,   348,  1905,  1904,  1857,  1853,
       0,     0,     0,     0,   921,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1873,   348,  1126,   169,  2296,     0,
     889,     0,     0,     0,     0,   348,  1220,   877,   348,   165,
     348,   348,   629,     0,   348,   167,     0,     0,     0,   621,
     348,   915,   348,  2264,     0,   348,  1587,  2415,   507,  1559,
    1570,  1008,  1017,  1016,  1014,  1013,  1009,     0,  1028,     0,
     506,     0,     0,     0,     0,     0,  1044,  1045,     0,     0,
    1041,  1046,     0,  1042,  1043,  1048,  1038,  1037,  1049,  1050,
       0,     0,  1068,   714,     0,     0,     0,     0,  1626,     0,
    1624,     0,  1809,  1628,  1617,  1578,     0,  1577,     0,   570,
    1089,  1089,  1252,     0,     0,  1025,     0,     0,   348,  1441,
       0,   984,   990,     0,     0,     0,     0,     0,     0,     0,
     993,   994,     0,   995,   986,   996,   987,   997,     0,   988,
       0,     0,     0,     0,  2248,  2194,     0,  2195,     0,     0,
    2234,  2230,     0,     0,     0,     0,     0,  2199,  2202,  2203,
    2204,  2201,  2205,  2200,     0,     0,  2206,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2641,     0,     0,
       0,     0,  2001,     0,     0,  2154,     0,  2183,  2220,     0,
       0,     0,     0,     0,     0,  2183,  2226,     0,     0,     0,
       0,  2105,     0,  2102,     0,     0,     0,     0,  2247,     0,
       0,  2281,  1934,  1948,  1949,  1950,  1954,  2255,     0,  2249,
       0,     0,  1935,  1962,     0,  2227,  1989,     0,  1994,  1977,
    2207,  2208,  2209,  2210,  1996,     0,  1970,     0,  1975,  1979,
       0,  1958,     0,  1955,     0,  2250,  2182,     0,  2180,     0,
    1945,  1946,  1947,  1939,  1940,  1941,  1942,  1943,  1944,  1951,
    2158,  2156,  2157,     0,     0,     0,  2128,     0,     0,  1974,
    2407,  2443,     0,  1695,  1695,  1695,  1683,  1693,  2254,     0,
    1826,  1704,  1826,  2260,     0,     0,  1930,     0,  1807,   923,
     924,   922,  1528,  1532,  1541,  1555,  2184,  1549,  1678,     0,
       0,  1530,  1553,     0,  1109,  1110,     0,  1114,  2641,  2531,
       0,     0,     0,     0,  1726,  1760,     0,  1751,     0,  2274,
    1727,  2273,  1728,  1731,  1732,  1722,  1761,  1630,     0,  1756,
    1662,  1661,     0,  1829,     0,     0,     0,  1608,  1596,     0,
    1812,     0,  1766,  1634,     0,  2247,  1764,  1361,  1256,  1323,
    1143,     0,  1875,  1154,     0,  1138,     0,  1137,  1875,     0,
    1155,     0,  1875,  1362,  1257,  1324,   919,  1363,  1258,  1325,
    1364,  1259,  1490,  1478,  1477,  1476,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     787,  2415,   348,  1504,  1365,     0,  1260,   344,  1505,  1326,
    1509,   805,   804,     0,     0,  1327,     0,   639,     0,   643,
       0,   645,   646,   647,     0,     0,     0,   648,     0,  2341,
    2398,   650,   653,   654,   655,   662,   667,   657,     0,     0,
     669,   663,     0,     0,     0,     0,     0,     0,   675,   680,
       0,     0,     0,     0,     0,     0,  1171,  1172,  1366,  1263,
       0,  1328,     0,  1121,     0,  1264,   171,     0,     0,   269,
    2415,   288,     0,   682,   787,     0,  1314,   285,   314,     0,
     329,   324,   325,   323,  2415,   348,  2415,   348,     0,     0,
       0,     0,     0,   326,   321,   322,   318,     0,     0,   331,
    2316,  2382,  2545,     0,   686,   688,     0,   693,   334,  1284,
     355,   354,   353,     0,   338,     0,   360,   363,   335,   315,
     313,   310,   282,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2267,     0,     0,  1213,     0,  1369,  1329,     0,
    1351,     0,     0,     0,     0,   727,  1372,  1270,  1332,     0,
    1391,  1393,  1383,  1271,  1392,   159,  1301,   148,     0,     0,
     144,     0,     0,     0,     0,   138,  1373,  1272,  1333,     0,
       0,  1374,  1273,     0,     0,   274,   580,   591,   596,  1278,
     600,   597,  1341,   598,  1381,  1274,     0,  1377,  1304,  1336,
     563,  1384,  1400,  1275,  1192,  1395,  1397,     0,  1312,     0,
     263,   265,     0,   284,     0,  1276,     0,  1334,  1376,  1303,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1512,
       0,     0,     0,     0,     0,     0,   348,     0,     0,     0,
    1314,  2415,   348,  1375,     0,  1309,     0,  1349,     0,     0,
     381,     0,  1302,  1312,     0,   276,  1280,     0,  1343,     0,
       0,   216,   215,   217,     0,     0,     0,     0,  2188,  2189,
       0,  2186,  2041,  2243,     0,   972,   930,   971,     0,  2380,
       0,   929,   931,     0,     0,     0,   932,     0,   936,   937,
       0,     0,     0,   928,   926,   927,   392,     0,     0,   744,
     745,     0,     0,     0,     0,   824,     0,     0,     0,  1502,
       0,   135,   637,     0,     0,     0,   632,   677,   682,     0,
       0,     0,     0,   445,   449,   453,   454,   455,     0,     0,
       0,     0,   149,   136,     0,   866,     0,   507,     0,   737,
    1389,  1388,  1191,     0,   181,   174,     0,     0,   698,     0,
    1550,     0,     0,   359,   819,   817,   816,   818,     0,     0,
       0,   840,   815,     0,  1830,  1832,     0,     0,     0,     0,
       0,     0,   570,   448,     0,     0,   510,     0,   551,     0,
       0,     0,     0,   548,     0,     0,     0,  2300,     0,   836,
     808,  1132,     0,  1150,  1133,     0,     0,     0,     0,  1185,
    1117,  1186,  1163,  1118,     0,     0,   609,  1649,  1650,     0,
    1210,     0,     0,  1498,     0,  1496,     0,  1874,  1887,   888,
       0,  1915,  1914,  1916,  1916,     0,  1858,     0,  1899,  1924,
    1925,  1926,  1927,  1928,  1929,     0,  1923,  1867,  1204,   348,
       0,   348,     0,   348,  1212,  1206,  1208,  1405,     0,   886,
       0,     0,   348,   879,   881,     0,   883,     0,  1029,   509,
       0,     0,     0,     0,     0,     0,  1040,   607,  1047,     0,
    1061,  1056,  1058,     0,  1062,   713,     0,     0,  1627,  1620,
    1622,  1621,     0,     0,  1618,  2191,   878,     0,   576,     0,
       0,     0,     0,   348,     0,  1063,     0,     0,   991,   985,
       0,     0,   989,     0,     0,     0,   992,     0,     0,  1700,
    2192,  2193,     0,     0,     0,  2231,     0,     0,  2080,     0,
    2054,  2056,  2068,     0,  2081,  2039,  2082,  2058,  2060,  2069,
       0,     0,  2174,     0,     0,  2071,     0,  2003,  2004,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2019,  2018,  2072,  2153,
       0,     0,  2218,  2219,  2073,     0,     0,  2225,     0,     0,
       0,  2078,  2083,     0,     0,     0,     0,  2089,     0,  2110,
       0,     0,     0,  2029,  2184,     0,     0,     0,     0,     0,
       0,     0,     0,  1995,  1978,  1998,  1972,     0,  1976,  1980,
       0,     0,  1997,     0,     0,  1966,     0,     0,  1964,  1990,
    1960,     0,     0,  1991,     0,     0,     0,  2047,     0,     0,
    1695,  1695,  1695,  1695,  1692,     0,     0,     0,     0,  2531,
    2661,     0,  1790,  1765,  1767,  1777,  1790,  1795,  1790,  2049,
    1824,  2050,  2261,     0,  1736,     0,  1736,   192,     0,   225,
     212,  1527,  1679,  1682,  1707,     0,  2175,  1114,     0,  1709,
    1730,  1729,     0,  1720,  1758,  1717,  1631,  1615,     0,  1613,
    1600,  1602,  1601,     0,     0,  1603,  2247,     0,  1613,  1595,
    1639,     0,     0,  1829,     0,  1638,     0,  1875,  1135,  1136,
       0,  1159,     0,  1073,  1074,     0,  1072,     0,     0,     0,
     495,  1092,     0,     0,     0,   787,     0,     0,   499,     0,
    1507,     0,  1382,  1300,   641,   642,     0,   656,     0,   665,
     664,     0,     0,     0,     0,     0,     0,     0,   649,   671,
     613,   672,   674,     0,     0,   673,   676,   679,  1312,     0,
     711,  1286,     0,  1347,  1165,     0,     0,  1124,     0,     0,
       0,     0,     0,     0,   462,   309,     0,     0,     0,     0,
     368,     0,   290,   301,   366,   307,     0,   340,     0,   312,
       0,   305,   327,   319,   328,   320,   339,   341,     0,   690,
     691,   689,   685,     0,   692,   694,     0,   357,     0,     0,
       0,     0,  1368,     0,  1312,     0,   278,  1282,     0,  1345,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1350,     0,     0,     0,     0,   732,     0,   729,
       0,     0,     0,   141,   140,     0,   147,     0,     0,     0,
       0,     0,     0,     0,  1401,     0,     0,     0,     0,     0,
       0,   375,     0,   283,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   382,   350,     0,   843,     0,     0,     0,   384,     0,
       0,  1360,     0,     0,     0,     0,     0,  1367,  1265,  2044,
    2045,  2042,  1704,  2242,     0,     0,     0,   943,     0,     0,
       0,     0,     0,     0,   395,   396,   135,   394,   417,     0,
     787,     0,     0,   821,   826,   834,  2477,  2161,  2162,   832,
     827,   829,   831,   833,   830,     0,     0,     0,     0,     0,
     478,     0,     0,     0,   468,     0,     0,  1192,   461,   464,
     465,     0,     0,   633,   636,   634,   635,   670,     0,   448,
     485,   536,     0,   151,     0,     0,   152,   150,     0,     0,
     359,   734,     0,   731,     0,   177,   444,     0,   702,     0,
       0,     0,  1192,   625,   756,   759,   752,     0,   839,   841,
     813,     0,   682,     0,     0,   582,     0,   507,  1588,   565,
       0,   538,   448,   536,   547,     0,     0,   555,   358,     0,
       0,   570,   359,     0,     0,  1093,     0,   835,     0,  1131,
       0,     0,     0,  1182,  1187,  1183,     0,     0,  1146,     0,
    1184,  1164,  1421,  1422,  1419,  1420,     0,     0,     0,  1641,
       0,     0,  1494,     0,  1893,     0,  1911,  1909,  1854,  1859,
    1932,   890,     0,   873,     0,   875,   348,   721,     0,   622,
     348,     0,     0,     0,     0,     0,     0,  1039,     0,  1059,
       0,     0,  1022,  1065,     0,     0,  1625,  1623,   568,     0,
    1244,  1245,  1068,     0,  1023,  1067,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2196,     0,  2233,  2229,     0,
    2051,  2197,     0,     0,  2213,  2212,  2154,     0,     0,  2002,
    2014,  2015,  2016,  2214,     0,  2024,     0,     0,  2011,  2012,
    2013,  2005,  2006,  2007,  2008,  2009,  2010,  2017,  2223,  2222,
    2216,  2217,     0,  2075,  2076,  2077,  2224,  2084,     0,  2331,
    2111,     0,  2088,  2104,  2103,     0,     0,     0,  2091,     0,
       0,  2100,     0,  2155,  2282,  1936,     0,     0,  1963,  2228,
    1981,     0,     0,  1999,     0,  1959,  2174,     0,     0,     0,
       0,     0,  1968,     0,     0,     0,  2131,  2126,  2127,  2151,
       0,     0,     0,     0,     0,     0,  1686,  1685,  1691,  1790,
    1795,  1790,     0,     0,  1664,     0,  1777,     0,  1789,  1775,
    1788,     0,     0,  1801,  1799,     0,  1801,     0,  1801,     0,
    1769,     0,  1791,  1771,  1788,  1773,     0,  1816,  2262,  1825,
       0,  1749,  2041,  1749,     0,     0,     0,  1708,  1112,  1113,
    1718,     0,  2360,  1827,     0,  1614,     0,     0,     0,  1605,
    1611,  1593,     0,     0,  1635,  1613,  1636,  1156,     0,     0,
    1148,  1079,  1080,  1083,  1081,  1078,  1082,     0,     0,     0,
     787,     0,     0,   517,     0,  1106,  1106,     0,     0,   501,
     560,   512,   790,     0,     0,     0,   788,   348,  1261,     0,
     666,     0,     0,   661,   659,   658,   660,     0,   614,  1380,
    1262,     0,     0,     0,     0,  1166,  1315,     0,     0,  1285,
       0,   287,     0,   458,     0,     0,   293,   302,     0,   298,
       0,  1313,     0,     0,     0,     0,   297,   370,     0,   367,
       0,   348,   348,   342,   687,   356,   361,   362,   365,  1320,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   867,   850,     0,     0,   868,   869,     0,
       0,     0,  1215,  1216,  1214,  1352,  1353,  1358,  1355,  1354,
    1357,  1359,  1356,     0,  1268,     0,     0,   725,  1316,   145,
     142,   143,   146,  1317,  1298,  1279,  1342,   564,  1396,     0,
       0,     0,  1277,     0,  1335,     0,  1294,  1288,     0,     0,
       0,     0,     0,  1379,  1308,  1340,  1378,  1306,  1338,  1305,
    1337,  1307,  1339,  1299,     0,     0,  1834,   847,     0,     0,
       0,   348,   348,   846,   723,  1281,     0,  1344,  1290,     0,
       0,     0,   933,     0,     0,   935,   938,     0,   940,   400,
     418,   135,     0,   743,   807,     0,     0,   823,   786,     0,
     466,     0,   472,   476,     0,     0,   480,   481,   479,   467,
    1192,   507,   559,   776,   777,     0,     0,   797,     0,   631,
       0,   446,     0,   482,     0,     0,   450,   154,   153,     0,
       0,     0,   738,   742,   740,   739,   741,   736,     0,   727,
     181,  2415,     0,     0,     0,     0,   561,  1394,     0,   769,
     814,     0,  1833,   717,     0,   359,   578,     0,     0,     0,
     446,   570,     0,   451,   456,   457,   462,     0,   548,   537,
       0,   538,   549,   550,     0,   557,  1469,     0,   571,   557,
       0,     0,     0,   838,     0,   837,  1134,  1151,  1152,     0,
       0,  1115,     0,     0,     0,     0,   616,   348,     0,  1497,
    1855,   348,   348,  1241,     0,   884,  1053,  1054,  1055,  1052,
    1051,   608,     0,  1057,   715,     0,   569,   348,     0,   999,
     977,   998,   976,   978,     0,   980,   981,   975,   973,   974,
    2232,  2067,  2070,  2079,  2211,  2153,  2184,     0,     0,  2025,
       0,     0,  2074,  2651,     0,     0,  2115,  2116,     0,  2112,
    2113,  2108,  2109,  2090,     0,  2466,  2095,     0,     0,     0,
    1987,  1985,  1982,     0,  1983,  1967,     0,     0,  1965,  1961,
       0,  1992,  2117,     0,  2133,  2130,  2150,  2184,  1690,  1689,
    1688,  1687,  1776,  1772,  1774,     0,  2656,     0,  1779,  1786,
       0,  1768,     0,  1800,  1796,     0,  1797,     0,     0,  1798,
       0,     0,  1770,     0,  1786,     0,  1823,     0,     0,  2122,
    2279,  2122,   226,  1677,     0,  1719,     0,  1612,  1597,     0,
    1598,  1604,     0,     0,     0,     0,  1640,  1633,  1149,  1157,
       0,     0,     0,   497,     0,   512,     0,     0,     0,  1099,
    1108,  1098,     0,   512,     0,  1192,   792,   791,   794,   789,
     793,  1508,     0,   651,   652,   668,  1287,     0,  1348,  1296,
       0,  1629,   289,     0,   683,   296,     0,     0,     0,   291,
     369,   371,   292,   295,   299,   350,   311,   304,     0,     0,
       0,  1283,     0,  1346,  1292,  1319,  1370,  1266,  1330,     0,
       0,   856,     0,     0,     0,     0,  1371,  1267,  1331,     0,
       0,     0,     0,  1629,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,   349,   845,   844,   350,   383,
    1310,     0,  2043,     0,   934,   941,   942,   939,     0,   389,
     397,   400,     0,     0,  1232,  1232,     0,   787,     0,     0,
     463,   477,     0,   559,   516,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   730,   729,   176,     0,   446,     0,   682,     0,   763,
     764,   758,   760,     0,   771,   775,   842,     0,     0,     0,
     570,   448,     0,     0,  1585,   447,     0,     0,   459,     0,
     551,   538,   548,     0,     0,   567,     0,  1462,     0,   573,
       0,     0,     0,  1188,     0,  1194,     0,  1145,  1189,     0,
    1826,     0,     0,     0,     0,   620,  1233,  1495,   874,   876,
     722,  1060,     0,  1064,   348,   979,  2155,  2020,     0,     0,
       0,     0,  2085,     0,  2086,  2114,  2092,  2096,     0,  2093,
    2094,  1984,  1988,  1986,  1969,  2119,     0,  1704,  2152,  1819,
       0,  1822,     0,     0,  1778,     0,     0,  1780,     0,     0,
    1782,  1784,     0,     0,     0,     0,     0,     0,  2265,  2359,
    2624,  2528,     0,  1735,  1737,  1740,  1742,  1741,  1743,  1739,
    1748,     0,  1666,  1665,  2176,  1828,     0,     0,     0,  1094,
       0,  1637,  1061,     0,   348,  1106,  1192,   518,  2477,   519,
    1105,  1107,  1111,     0,  1192,     0,   559,   644,     0,     0,
     271,   681,     0,     0,   294,   303,   352,   364,     0,  1629,
       0,     0,   854,   863,   863,   851,     0,     0,   870,  1269,
     726,     0,     0,   266,  1295,  1289,     0,     0,     0,  1519,
    1520,     0,     0,     0,     0,     0,  1318,   348,  1291,   944,
       0,   420,   427,   401,   405,  1511,     0,  1511,     0,   402,
     406,  1511,  1511,   399,  1826,   416,  1232,     0,  1229,  1228,
     785,     0,   505,   584,     0,   470,     0,   527,     0,     0,
     798,     0,     0,   448,   536,     0,   494,   486,   487,   488,
     490,   489,   491,   492,   493,   484,   483,     0,   682,   860,
     359,  1469,   724,     0,     0,   695,     0,   761,   766,   765,
    1511,   770,     0,     0,     0,   682,     0,  1588,   566,   538,
     448,   536,   452,   462,   540,     0,   541,   555,   548,   551,
       0,   552,     0,   556,     0,     0,     0,   570,  1521,  1093,
       0,  1193,     0,     0,     0,     0,     0,     0,  1236,   615,
       0,     0,   619,   610,   682,  1024,  2021,     0,  2022,     0,
       0,  2098,  2097,     0,  2137,  1824,     0,     0,  1818,     0,
       0,  1848,     0,     0,     0,  1787,  1803,     0,  1783,  1781,
       0,  1792,     0,  1794,     0,     0,     0,  1744,     0,  2121,
    2123,     0,     0,  1610,  1826,     0,  1607,     0,  1075,     0,
    1076,  1100,   559,     0,  1111,  1114,   507,   559,     0,   787,
    1297,     0,   684,   584,     0,   306,     0,   279,  1293,     0,
       0,   865,   865,     0,     0,     0,     0,     0,     0,   377,
       0,     0,  1513,     0,  1514,  1515,  1518,   385,   398,     0,
     425,     0,   423,   422,   424,     0,   413,     0,     0,     0,
       0,     0,     0,   388,  1227,  1231,  1230,     0,     0,   471,
       0,   473,     0,   513,   514,   515,     0,   475,   523,   524,
       0,   795,     0,   800,     0,     0,     0,   682,   535,   706,
       0,     0,     0,  1463,     0,     0,   562,     0,   772,   773,
     768,     0,     0,   718,  1469,   570,   548,     0,   538,   460,
       0,   557,   551,   555,   553,   554,     0,  1466,     0,   572,
       0,  1102,  1116,  1195,  1190,  1425,     0,     0,   618,   617,
     712,  2023,  2101,  2087,  2099,  2132,     0,     0,     0,     0,
    1817,  1820,     0,  1851,     0,     0,     0,     0,  1837,     0,
    1785,     0,     0,  1793,     0,     0,     0,  1738,     0,     0,
    1599,  1609,  1095,     0,     0,   522,     0,  1114,  1096,   516,
     787,   511,   498,  1629,   300,   351,     0,     0,     0,   861,
     864,   852,   853,   872,   871,   728,  1629,     0,   373,   372,
       0,   376,     0,   421,   430,     0,   428,   403,   408,     0,
     412,   410,   409,   404,   407,     0,   504,     0,     0,     0,
       0,     0,   525,     0,   526,   558,     0,   799,     0,     0,
       0,   708,   859,     0,     0,   446,   682,   762,   767,     0,
       0,  1464,  1586,   551,   538,   548,     0,     0,   542,  1106,
    1106,   433,   555,   557,  1467,  1468,     0,     0,   359,  1424,
    1423,  1682,     0,     0,  2611,  2360,  2583,     0,  2149,  2138,
    2149,  2149,  2129,     0,     0,  1849,  1850,  1835,     0,     0,
    1839,  1802,  1815,  1746,     0,  1745,  2124,  2125,  1826,   348,
       0,   787,   520,  1097,   527,   500,   272,  1629,   855,     0,
     267,     0,   378,  1516,   426,     0,   411,   775,   583,   474,
     532,     0,   531,     0,   529,   528,   796,   801,     0,   682,
     849,  1469,   696,   774,     0,   555,   548,   551,     0,   539,
       0,  1108,  1108,   557,   431,     0,     0,   557,  1407,  1682,
    1406,  1408,  1416,  1413,  1415,  1414,  1412,  1239,  1240,     0,
    2142,  2141,  2140,  2144,  2143,     0,  2136,  2134,  2135,  1821,
       0,  1838,  1841,     0,     0,     0,  1847,  1840,  1842,     0,
    1813,  1747,  1606,  1077,     0,   502,   787,   280,   862,     0,
     429,     0,   530,   534,   533,   682,   707,  1465,   780,   557,
     551,   555,  1106,   543,  1107,   545,   544,   435,  1102,  1103,
       0,  1826,     0,  1417,  1411,  1664,  1651,     0,     0,     0,
       0,  2146,     0,  2147,     0,  1844,  1845,  1846,  1843,     0,
       0,   503,     0,     0,   709,   782,     0,   778,   781,   783,
     784,   434,   555,   557,  1108,   359,  1101,     0,  1084,  1409,
    1682,     0,     0,  2139,  2145,  2148,     0,     0,   521,   374,
       0,   746,     0,   557,   432,   546,   557,  1104,  1410,     0,
       0,     0,  1814,     0,   779,   436,  1826,     0,     0,  1836,
     780,  1085,     0,     0,     0,  1237,  1238,   747
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4805, -4805, -4805,  3810, -4805, -4805,  -848,   318,  3035,  -792,
   -4805, -4805, -4805,  1264, -4805, -4805, -4805, -4805,  3775, -4805,
    2122, -2451, -4805, -4805,   127,  3725, -1300,   106,  3307,  1768,
   -4805, -1144, -4805, -4805,  -566,   117, -4805,  3743,   278, -4805,
   -4805, -4805, -4805, -4805, -4805, -4805, -4805,  -784,  2248, -4805,
    2323,  1592, 14265, -4220, -4805, -4805, -1466, -3255, -4805,   892,
   -4805,   921, -4230,  -612, -4805, -4805, -4805,  2229, -4805, -4805,
   -4805,  2172,  1394,   -58, -4805, -4805, -4805, -4805, -4805, -4805,
    -465, -4805, -4805,  -710,   147,    47, -2465, -3779, -4805, -4805,
     756,  -105, -1431, -4805, -3623, -4805,   281, -2306, -4805, -4805,
   -4805,   -76, -1396,  1702, -4805,  -708, -1125,  2018, -2427,  -573,
   -4805,    54, -4805,  -686,  -478,  -476,  -607, -3818, -4320, -4805,
   -4805, -4805,  -715, -3249, -4572, -4804, -4318, -3916,  1709, -4805,
   -4805,   154, -3152, -3232,   155,   728, -4805,   156,   163, -4805,
     744,  -413,  -914, -1537, -4805,  -776, -4805, -4805, -4805, -2947,
   -4805, -4805, -4805, -4805,    77, -4805, -4805, -4805, -4805,   793,
   -4805, -4805, -4805, -4805, -4805, -4805, -2701,  2191,  2193, -4805,
   -3223, -4805,  -897, -4805,   946, -2993,  1620, -4805, -4805,  1384,
    3813,   776, -4805, -4805, -4805, -4805, -4805, -4805, -4805, -1726,
   -4805, -4805, -4805, -4805,   280,   -47, -4805, -4805, -4805, -4805,
   -4805, -4805, -4805,   170, -4805,  2228,  1386, -4805, -4805,   -36,
   -4805, -4805, -4805, -4805, -4805, -4805,  -659, -4552,  -816,  -795,
   -4805, -2975, -4805, -4805, -4805,   -10, -4805, -4805, -4805, -4805,
   -4805,  -916, -4805,  1453, -3631, -4805, -4805,   762, -4805, -4805,
   -4805, -4805, -4805,  -572,    51,  2978, -4805,  -180,  -376, -4805,
   -4805, -4805,    56, -4805, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -1096,  9590,  -825,  -569, -4805, -4805, -4805, -4805, -4805,
   -2192, -4805, -4805, -4805, -4805, -3720, -4805,  4719,  2230,   689,
     171, -4805,   -25,    95,  3578, -1143, -2665,   717,  -139, -4805,
   -4805, -4805, -2570, -4805, -4805, -4805, -4805, -3562,   172, -4805,
    -692, -4805, -3850, -4587, -4023, -3602,  -724, -4805, -3978, -3857,
   -3930, -3529, -4805, -4805, -4805, -4805,  -568,  -155,  2940, -4805,
   -1405,  2573,  -920, -4805, -2128,   775,  1797,  2946, -2776,  -107,
    2942, -2527,  -604, -3282, -4805, -4805, -2339,  -283, -4805, -4805,
    1341,   677, -4805, -4805, -4805, -4805,  -627,  2880,  -204, -4805,
   -4805,  4113, -4805, -4394, -4805,  4065, -4805, -4805, -4805, -4805,
    2790,  2805, -4805,  2808, -4805, -4805, -1393,  1563, -4805,  -782,
   -4805, -4805,  2343,   994, -4805, -4805, -4805, -4805, -4805, -4805,
   -4805, -4805,  1457,   975, -4805, -4805, -4805, -4805, -4805,  -550,
    -730, -4805, -4805,   173, -4805, -4805, -4805, -4805,  2174,  -896,
    -739,  3982,   694,   174, -4640, -4805, -4805, -1101, -4805,  3361,
   -4805, -4805, -4805, -4805, -4805,   800,   795, -4805, -4805, -4805,
   -4805, -2694, -4805, -4805, -4472, -4805, -4805, -4805, -4805, -4805,
    3963,    82,  2689, -4805, -4805, -4805,   -34, -4805, -4805,  -986,
    2681, -4805, -1925, -4805,  -583, -4805,  2885, -4805, -4805, -4805,
   -4805, -1885,   180, -3823, -4805,    12, -4805, -4805,   190, -4805,
     610, -4805, -4805, -3447,    14, -4805, -4805, -4805, -4805, -4434,
   -4805,    20,  -443,  1149, -2826, -4805,   181,    92, -4805, -4805,
       2,  5280,   -43,   -61,   -55,     6,   110,  3445, -4805, -4805,
    3489, -4805,    13,  1664, -4805, -4805,  -835,  -168, -4805,  1911,
    -638,  2653,  3429,  3431, -4805,  1898,  2687, -1981, -1970, -4805,
    1191,  -424,  -264, -4805, -4805, -4805, -4805,   643,  -636,  2671,
   -4805,  3438, -4805, -4805, -4805, -1935, -2859, -3472,  1217, -3473,
   -3404,   685,   669, -1613,   -26,   -37,  -761,  3447, -4805, -4805,
    1237,  -218, -4805, -4805,  -216, -2816,  1187, -4805, -4399, -2338,
    1243,  -673,  -501, -4805,  -589, -4805,  -374,  7654,  3015, -1054,
   -4805, -4805, -1011, 14051, -4805, -4805, -4805, 14067, 15057, -4805,
   -4805, 15294, 15635, -4805,  -802, 15857, 12731, -1027, -1888,   403,
   12777, -1821,  -148,    53, -4805, -3569, -2695, -4805, -4805, -4805,
      33,  1309,   626, -4805, -4437, -3853, -4805, -4805,   258, -4805,
    -378, -4805,  -381, -4805, -4805, -4805, -2820, -4076, -2764,  2798,
   -4805, -4805, -4805,  -187, -4805, 17175, -2754, -4805,  -419, -1376,
   -1521, -3471, -1911, -4805, -4805, -4805, -2634, -4805, -4805, -4805,
   -4805, -1411, -3321,  -380,  2025, -4805, -4805,  2126, -4805, -4805,
   -4805,  -901,  2405,  -777, -2651,  2028, -4805,  -773,  2801,  -794,
    9963,  -615,  9099,  -537, -2268, -1244, -1655, -4805,   262, -4805,
    5671,  5711,   -19,  -138,  3790,  -150,    -6, 12490,  -551,  -911,
    3831, 11335,  9995, -3175
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    52,    53,    54,    55,    56,  1537,  2518,  2369,  3312,
    3313,    57,    58,  1533,    59,    60,    61,    62,  1447,    63,
    1027,  1783,  2533,    64,  2202,   809,   810,   811,  2103,  2104,
    2457,  2105,  2093,  1334,  1925,  1469,   783,   784,  1429,  1470,
      66,    67,  1328,  2084,    68,    69,    70,  1500,  1591,  1501,
    1502,  1441,  1830,  4366,  5115,  3104,  2331,  3360,  3105,  3106,
    3743,  3744,  3823,  5129,  5130,    71,  1607,  1608,    72,    73,
    2499,  3277,  3876,  4729,  4730,  4963,   622,  4391,  4392,  4950,
    4951,  5143,  5285,  5286,  2534,  1775,  3355,  3961,  3303,  4462,
    3304,  4463,  3305,  4464,  3289,  3908,  3909,  4405,  3910,  3306,
    4423,  4995,  3307,  2221,  5159,  2575,  1947,  1945,  4645,  4977,
    4222,  4223,  5371,  5167,  5168,  5169,  5394,  4425,  4468,  4469,
    5025,  5327,  5328,  3358,  3967,  4475,  4795,  4746,  2990,    75,
      76,   718,  1809,  3468,   719,  2578,   656,   720,  2535,    81,
    2568,  5161,  2569,  1563,  2383,  3889,  3448,    82,  1053,  3709,
    4815,  5052,  5053,    83,   226,    84,  1791,    85,    86,  2513,
    3296,    87,  2238,  3007,    88,    89,  3038,  3039,  3040,    90,
    3734,  4663,  1503,  3093,  3094,  3095,  3096,  3764,    91,  1786,
    2542,  2543,    92,    93,    94,    95,  2695,  2696,    96,  2443,
      97,    98,    99,   100,  3799,  4327,  4439,  3135,  3319,  3933,
    4437,   101,  3281,  2536,  1799,  2558,  2559,  4449,  4771,  4772,
    4773,  5010,  5317,  4775,  5012,  5190,  5014,  4415,  5506,  5507,
    4737,  3688,  4236,   103,  4416,  4417,  5174,   104,  2236,   105,
     106,  1759,  2505,  2506,  3890,  2585,  3368,  3369,  3947,  3948,
     107,  3219,   108,  4303,  4304,   657,  5181,  5121,  5271,   109,
     110,  4307,  4308,   111,   112,   113,   114,   115,   710,   711,
     712,  1144,  1145,  2962,  1092,   116,  2113,   117,   990,   991,
    3256,   118,  1220,  2741,  2742,  4520,   119,   743,  1164,  1165,
    2537,   121,   752,  2715,   754,  1962,  3450,  3451,  4032,   122,
     123,  2692,  2718,   124,  1434,  2212,  2213,  4217,  2538,   658,
    1205,  2582,  2985,  4888,  4639,  4889,  5338,  5480,  4640,  4902,
    2907,  3639,   126,   659,  1475,  2288,  1112,  1113,  2588,  3372,
    2181,  2182,  2183,  3987,  2184,  3374,  2185,  1408,  2186,  1063,
    1064,  3380,  3381,  3382,  3983,  3990,  2527,  4805,  4806,   127,
    1472,  2285,   128,   129,   130,  1516,   902,  1122,  1123,   131,
     671,   672,   132,  4968,   133,  1066,   134,  4813,   135,   136,
     774,   775,  1202,  1203,   137,   138,  2302,  3746,   139,  1473,
     140,   141,  3129,  3130,  4319,   142,   143,   144,  1778,  1779,
     145,   146,  3184,  3185,   147,   148,   149,  5420,  5482,  5483,
    5484,  3996,  5341,  5422,  1195,   151,   152,   153,   190,   943,
     944,   945,   855,  2539,  4797,   155,   156,  1430,  1431,  1432,
    1433,  2207,   157,   158,   159,  3394,  3395,   160,   161,   162,
     163,  1763,   164,   165,  4941,   166,   167,  1724,   168,   169,
    1357,  1358,  1359,  1360,  2118,  2895,   616,   827,  1363,  1369,
    1374,  1375,  1376,   171,   722,  1158,  1159,  1160,  1927,   172,
    1198,   994,   723,  1153,   174,   724,  2164,  2937,  3653,  3654,
    3655,  3658,  4624,  4195,   725,  2933,   177,  1969,  2701,  2704,
    2929,   726,  2942,  2943,  2944,  3661,   727,   745,  1056,  2595,
     728,  1295,   182,   183,   184,   836,   830,   831,  2900,   186,
    2077,  2876,   761,  1380,   796,   797,   845,  2467,  2130,  2131,
    2155,  2156,  1389,  1390,  2143,  2147,  2148,  2920,  2913,  2136,
    4181,  4873,  4874,  4875,  4876,  4877,  4878,  4609,  2151,  2152,
    1392,  1393,  1394,  2160,   187,  2880,  3613,  3614,  3615,  4158,
    4159,  4173,  4169,  4594,  4860,  3616,  1193,  1400,  4602,  5450,
    3617,  4849,  4850,  5068,  4177,  3624,  3649,  3343,  3344,  3345,
    3618,  5237,  5238,  5447,  5448,  5070,  5071,  2187,  1860,  1094,
    1296,  1095,  1872,  1297,  1844,  1097,  1298,  1299,  1300,  1100,
    1301,  1302,  1303,  1103,  1836,  1304,  1305,  1854,  1869,  1870,
    1364,  5072,  1307,  1308,  1309,  3620,  1310,  4111,  4558,  4544,
    2802,  2803,  2100,  4107,  3555,  4101,  2072,  2866,  4882,  5089,
    5090,  3597,  4137,  4574,  4847,  5229,  5348,  5349,  5436,  1311,
    1312,  1313,  2863,  2068,   905,  1314,  3892,  2070,  2796,  1632,
    1633,  1972,  1994,  2748,  2764,  2765,  2840,  2776,  3514,  2784,
    2789,  3542,  3543,  2797,  2826,  1315,  2750,  2751,  3496,  1996,
    1316,   949,  1636,   950,  1991,  2821,  1324,  1317,  1318,  1963,
     820,  4856,  1148,   861,  3121,  1716,   952,   758,  1319,  1320,
    1321,  1322,  1509,   876,  1115,  1116,   613,   605,   878,  3097,
     614,   607,   608,  1721
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     604,   903,   180,   747,  1562,  1329,   185,   819,   835,   747,
    1021,   788,   175,  1395,   176,   846,  1924,   755,   904,   757,
     178,  1880,  1567,   763,  1325,  2396,  1630,   185,   777,   785,
     755,  2326,   792,  1850,  1414,   785,   785,  1717,   821,  2220,
     824,  1184,  1185,  1186,  1355,   869,  1788,  1190,  1624,  1722,
    2297,  3473,  3302,   909,  2955,  2957,   914,  1944,   822,   602,
     655,  1356,  3383,  1856,  1840,  1841,  3626,  1343,  2470,  2289,
    3182,  1984,   912,  3647,  1849,  3917,  2563,  3123,  3943,  3325,
    4224,  2747,   170,  1206,   856,  2298,   934,  1612,  2707,  3735,
    3715,  1006,  3216,  2309,  1476,   709,  1147,  3759,  3991,  3761,
     611,  3991,  1504,   721,  1057,  1773,  2461,   663,  4187,  1508,
    4124,  4263,  3894,  4225,  3972,  3660,  4219,    65,   753,  1059,
    3959,  1801,  3454,  1126,   848,  4482,  1130,  1526,  2423,  2424,
     849,   789,  1543,  1155,  1561,  4461,   840,  1138,  4287,  4155,
    4422,   782,  1068,  1590,  4172,  4471,  2882,    74,   816,  2811,
    4853,  4792,  3637,  1617,    77,    78,    79,  3563,  1761,  2583,
     833,  4799,  1766,    80,  2280,  2922,  1161,  1770,   808,  2193,
     102,   120,   125,   150,   154,  3666,  1355,  1780,  2925,  2646,
     173,   179,   927,  4470,  3621,   604,   859,   859,   862,  2892,
     859,  1804,  4753,  2781,   871,  2419,   821,  4981,  3956,   906,
    2901,  3580,   871,  4641,  4865,   871,  4867,  1388,   821,  1391,
     859,  4201,  4170,   821,  4175,  5040,  2116,   859,  5027,   821,
    1834,  4090,  2450,  5201,  2280,   729,   729,  4910,  1827, -2400,
   -2438, -2461,   669,  1840,  1841,  1800,  1336,  3621,  4943,  4944,
    4791,  2280,  4638, -1875,   620, -2498, -2300,  4549,  1856,  2459,
    2460,  1059,  3315,  2430,  1849, -2300, -2300,   854,  1443, -2328,
   -2272, -1888,  3520, -1908,  2111,  1471,  2435,  3292,   603,  4933,
     729,  1837,  1838,  3981, -1913,  1361, -1903,  4162,   669,  5120,
   -1916,  1871,  1848,   669,  3261,  1757,  3262,  1166,  1361, -2301,
    3266,  1752,  3268,  3269,  3665,  2040,  2300,  2819, -2301, -2301,
     669,  3273,  3274,  3275, -2667,  1471,  1505,  3001, -2271,   669,
    1471,  3494,   729, -2667, -2667,  2524,   939,  3882,  2300,  1827,
   -1916,   669,  2717,  2075,  2046, -2403,  2204,  4522,  4523,  4300,
    4525,  4526,  4527,  4528,  4529,   939,   729,  -419,  3716,  3520,
    1333,  4969, -2269,  1967,  3241,  4483,  2572,  4973,  1596,  2090,
    4163,  1505,   669,  1170,  1814,  2497,  2048,   729,  3458,  2678,
    2671,  5183,  4811,   669,  3421,  2300,  3423,  1444,  4432,   669,
    2516,  2573,  3911,  5061,  3293,  2417,  4458,  2572,  3279,  1827,
    4622,  4420,  2819,  4164,  1926,  3460,  5096,  5463,  5339,  5155,
    1597,  2127, -2459,  5050,  -135,   735,   735,   735,  4165,  5333,
    -135,  4459,  2573,  4413,  3109, -2159,    40,  5085,  4166,  1365,
     618,   735, -2159,  2521,   940,  1493,  4748,  4909,  4305,   736,
     736,   736,  2040,   615,  1827,   735,   794,  1564,  2867,  2275,
    1188,  1837,  1838,   940,  4167,   736,  1378,  4188,  2531,  2693,
    2988,  4301,    44,  3078,  2082,  2860,   188,  1624,  2691,   736,
     904,  2046,  2861,   857,  1722,  4916,  1827,  5203,  1848,  4433,
    2091,  4858,   870,   941,   923,  1565,  4649,  5082,  3769,   839,
     870,  5028, -2178,   870,  3046,  3339,  2300,  2300,   669, -2178,
    3340,  3770,   941,  2048,    48,  5117,  2301,  2308,  1827,  1878,
     189,   735,  1827,   924,  2380,  1827,  2989,  1015,  4947,  4189,
    2300,   904,  1717,  1025,  3079,  2226,  2672,  1828,  1975,   188,
    3817,  2300,  2112,  2083,  1189,   736,  1039,  2532,  2034,  2300,
     942,  2300,  2276,  2300,  2694,  4168,   795,  2005,  5413,  4749,
    4306,  2522,  1215,  3471,    51,  2879,  1379,  5156,  2673,   942,
    3941,  5464,  1878,  1128,  4434,  4302,  2080,  5006,   947,  4414,
    5097,  2674,   948,   189,  5321,  1082,  2040,  1141,  2517,  2574,
    3294,  1598,   825,   664,  5340,  2094,  2868,  3047,  5051,  4421,
    2106,  2106,  5154,  5299,  1566,  1722,  1908,  2092,  3280,  1928,
    3459,   670,  5062,  2399,  2117,  2046,  2675,   867,  4623,  4460,
    4765,  1059,  3520,  1342,  3894,  2498,  3716,  1011,  1828,  1445,
    1827,  5469,  4812,  2076,  1515,  1758,  1109,  3461,  3110,  1059,
     953,  3002,  1732,  4859,  2679,  2364,   821,  2048,   859,  4322,
     859,  2749,   862,   998,   859,  3255,  2449,   185,  2436,  1217,
    5332,   906, -2459,   995,  3982,   996,  1028,  1758,   859,  1878,
    5320,   997,  2560,  1968,  2431,   859,  4390,  2820,  3042,  3295,
    4974,  4563,   947,  1988,  3874,  3875,   948,  2437,  1828,  1829,
    2509,  5282,  1446,  2412,  1599,  1968,  2265,  5513,  1059,   604,
    3912,  2401,  2310,   862,   835,  4431,  2267,  4172,   871,   621,
    1396,  2525,   906,  3242,  1758,   871,  2274,  1162,   871,  4591,
    1623,   741,   742,  4595,   989,  2418,  1835,  4835,  4435,  5196,
    3406, -2459,  2881,  1828,   859,  1630,  1630,  1630,  5533,  2391,
    4229,  1163,  2394,  1168, -2459,  1172,  3681,  4479, -2400, -2438,
   -2461,  1176,   185,  1839,  1192,  1851, -2300,  2458,  2342,  4453,
    2343,  3535,  3586,  1917, -2498,  1828,   741,   742,   947,  4478,
   -2272,  1843,   948, -1908,  4534,  4582,  1852,  4584, -2328,  5415,
    1857,  5405, -2159,  2123, -1913,   821, -1903,  2161,  4627,  2162,
    1853,  5467,  1154,  2036,  2067,  1851,  1739,  1828,  4436, -2301,
    1207,  1828,  2088,  2381,  1828,   848,  2384,  2385,  1506,  1507,
    2078,   849,  4650,   904, -2667,  1192,  1852,  1059, -2271,  2885,
    1323,  1323,  2862,   821,   785,  1059,  1059,  2466,   785,  1157,
    1855,  3894,   741,   742,  4825,  3532,  3533,  3534,  3535,  1059,
    1875,  1734,   821,  2650, -2403,  1399,   821,  1741,  2667, -2178,
    1742,  2561,  1323,  1506,  1507,  2227,  3668,  4975,  3669,  5376,
    3818,  1450,  1047,  5353,   821,  5471,  1179,   665,  1535,  1435,
     180,  3117,  5380,  4788,   185,  3814,   821,  2507,  1727,  3853,
     175,  4251,   176,  4292,  2677,  1886,  1189,  1189,   178,  3662,
    2624,  1536,   821,  3061,  2121,  2689,  -135,  -135,  2284,  3956,
    3043,  2121,  5101,  3935,   868,  2033,  4062,   768,  5325,  1828,
     821,   826,  5300,  5331,  1012,   859,   859,  1910,  2064,  2065,
    2066,  2067,  2351,  1110,  4209,   666,  3033,  3015,  5512,  1733,
    3711,  1345,  1402,  1225,   843,  4394,  3520,  1181,  3924,   669,
    3521,  3522,  3523,  3621,  2845, -1731,  3621,   785,   785,  1913,
     170,  2284,  3100,  1878,  2697,  2411,  4031,  1332,  2137,  2959,
    2922,  1340,  4393,   667,   669,   668,  4458,   857,  2284,  1366,
    1323,  1323,  3642,  5457,  3251,  5309,   870,  3118,  1436,   604,
    2966,  5530,  2222,   870,   843,    65,   870,  3517,  3518,  2479,
     871,  4459,  3537,   769,   906,  3033,   871,  5324,  2228,   871,
    3631,  2138,  5105,  1048,  1888,  3101,  2311,  3034,  1428,  4038,
    2223,   850,  2169,  2280,   859,    74,  5490,  3621,  2562,  2312,
    5109,  2313,    77,    78,    79, -1875,  3868,  3869,  3629,  3567,
    3568,    80,  5019,  5494,  5406,  4199,   821,  3663,   102,   120,
     125,   150,   154,   859,   859,  5414,  4851,   615,   173,   179,
    2062,  2063,  2064,  2065,  2066,  2067,   841,     3,     4,   782,
    1582,  2984,  2396,  2927,  4224,   821,   821,   821,  1964,   859,
    4320,   604,   604,   604,  2606,  2607,  3034,  4917,  2698,  1974,
    2846,  4496,  2314,  1862,  4225,  2847,  3530,  3531,  3532,  3533,
    3534,  3535,  4190,  2974,  5491,  1985,   851,  4225,  1418,  -677,
    4830,  3867,  3102, -1875,  4349,   617,  3925,   939,  4706,  1796,
    2140,  1182,  4446,  3524,  3412,  4986,  1517, -1093,   715,  3964,
    2744,   842,  2848,  2214,  1758,  5477,  1338,  1403,  1621,  5481,
    1797,  2757,  4707,  2576,   669,  3525,   756,  2554,    15,  1437,
    2465,   859,  3210,   859,   859,  4854,  3992,  2229,  2086,  1049,
    4857,   770,  3516,  5163,  1850,  4861,  1863,  2137,  4863,  2224,
    1820,  4039,  2960,  1722,  2817,  2961,  4987,  4538,  2928,  4539,
    2141,  1346,    20,  1792,  4988,  3211,  1323,  1438,  5492,  5315,
    1419,  5511,  3037,  2349,  3147,  1050,  3712,  1518,  1630,  3891,
    3244,  3033,   771,   772,  2686,  2687,  5176,   843,   185,  2216,
    2138,  3803,  4989,  3526,  5257,   940,  1946,  1946,  5390,  1722,
    1439,   821,  3373,   755,  3016,  1793,  5255,  1864,  2217,  5210,
    1865,  5260,  2555,  4546,  5195,  5534,  4519,  1866,  2214,   821,
    4778,  3993,  1420,  5198,  5175,  1981,  2230,  2758,   821,  3991,
    1347,  1987,  4408,   766,  1051,  5545,  2215,   857,  5546,  4790,
    1052,  3037,  3147,  1211,   941,  1323,  4406,  4990,   870,  4784,
    3409,  2139,  4191,  4225,   870,  2849,  3148,   870,  3103,  2150,
    4991,  5197,  3034, -1875,  3308,  4633,  3621,  4350,  1440,  3988,
    2699,   835,  4992,  5164,  2034,   773,  1323,  1930,  1798,  1932,
    5431,  1934,  2954,  1936,   768,  1938,  1939,  1940,  5429,  4664,
    2700,  5443,  1942,  1622,  2216,  1456,  2605,  3035,   760,  2140,
    2759,   942,  4540,  1717,  1323,  1323,  1323,  2350,  1323,  3149,
     852,  3410,  5493,  2217,  2386,  4407,  2600,  2652,  1897,  1421,
    1866,  3080,  5030,  4547,  3148,   844,  2625,  2487,  1323,  1815,
    1816,  1817,  3703,   993,  2904,  3036,  5031,  3896,  2438,  2128,
    2129,  2638,  2133,    32,  2640,   849,   849,  5165,   849,  2119,
    4232,  5099,   904,  2644,  2676,  2218,  2659,   767,  2681,  2141,
    1898,  2760,  2685,  4932,  2761,  2688,   821,  3150,  3214,  2488,
     769,  5411,  5412,    40,  3704,  3994,  1794,  3149,  5057,  1422,
    1399,  4708,  3081,  3899,  4409,  2926,  3527,  3528,  3529,  1161,
    3530,  3531,  3532,  3533,  3534,  3535,  1323,  4626,  5391,  5116,
    1323,  1323,  5444,  1527,  2680,  2774,  5034,  2683,  2684,    44,
    5078,   821,   821,  2167,  5035,  1323,   790,  1423,  2232,  2905,
    5199,    35,  2556,  2134,  1866,  5432,  1418,  1151,  2233,  3309,
    5226,  1867,  4233,  5523,  3107,  3150,  2557,  3037,   785,  3901,
    2603,  1167,  1169,  1171,  2363,  3995,  1173,  1174,  1175,  2387,
    1424,    48,  2388,  1862, -1875,   716,  1180,  3737,  4993,  3131,
    2218,  4994,  3462, -1875,    49,  1839, -1875,  1413,  2219, -1875,
    5119,  3151,  2439,  2271,  2762,  5123,  5124,  5392,   785,  1795,
    4491,   859,  1425,   634,  1426,  3166,  3621,    50,  1878,  3651,
    3621,  2386,  4517,  4234,   821,  2299,  2708,  4235,  2208,  1443,
    1821,   717,  1548,   821,  5393,  1218,   859,  1346,  1419,  2209,
    5032,  2934,  1528,  5252,  5514,   188,  5008,  4851,  2976,  2135,
    3186,  1549,  1384,  3894,  1878,  3652,  1863,  2210,   770,  3059,
    3209,  1899,  4739,   906,  1427,   821,  1758,  3904,   785,  3151,
    2489,   793,  3463,   636,  2260,  3705,  4225,  2317,  3131,   634,
    4074,  5445,  4075,  3419,  1822,   785,  5446,  3784,   821,   189,
    1420,   821,  5009,  5029,  5005,  1630,  3738,  2414,  5018,   771,
     772,  1550,  5227,  2219,  5475,  5476,  1347,  5036,   817,  3905,
    1878,  2318,  3310,   859,  1361,  2763,  2234,  1864,  4412,  1211,
    1865,  2743,  3152,  2746,  1386,  3906,  5258,  3155,   821,  2753,
    3153,  4055,  5228,  3154,  2977,  2767,  2768,  2769,  1444,   636,
     859,   859,   859,   859,   821,  3165,  2786,  2788,  3140,  3141,
    3290,  2798,  3144,  4447,  2235,  3206,  2387,  3167,   821,  2388,
    3322,  3311,  4211,  4452,  1900,  3170,  -444,  3623,  3173,  1323,
    1323,  1323,  3728,  2490,  3245,  3246,  3247,   634,  3706,  2396,
    3190,  5329,  1823,  3334,  3335,  3336,  3337,  1421,  1551,  1545,
    3152,  3891,  1573,  3207,  1384,  3342,  3785,  3215,  3153,  3727,
    1428,  3154,  4646,  1529,  3155,  1428,  1059,  5535,  2211,  3133,
    1013,  3662,  1014,  2971,  3235,  4076,  4318,  3229,  3815,  2935,
    3370,  5268,  3907,  1602,  4382,  4077,  3208,  1546,  4385,  4386,
    1866,  4388,  2636,  1574,  2327,  4290,  1552,   636,  1824,  1553,
     647,  1530,   648,  1575,  3729,  1493,  -575,  2203,   904,   904,
    4070,  4071,  4072,  4073,  2395,  4018,  4078,  4079,  4080,  4081,
    4082,  4083,  4084,  4085,  4086,  4087,  1386,  2471,  1774,   821,
    2626,  4647,  2598,  3251,  1531,  2988,  1428,  2627,  5373,  3862,
    1428,   859,   859,  3134,  -444,    40,  4939,  5188,  1555,  3212,
    3816,  2639,  5269,  4942,  4501,  5182,  4502,  1851,  4185,  3739,
    3740,   859,  3392,  4232,  2645,  3490,   647,  4291,   648,  4940,
    2121,  4163,  4971,  1387,  3321,  4128,  4129,  4225,  1852,  5189,
     821,    44,  3213,  2040,  2452,  5179,  1603,  1913,  3741,  5202,
    2098,  3684,  1557,  1825,  1774,  3351,   859,   859,   859,   859,
    4212,  1867,  5193,  2223,  4164,  3819,  4213,  1758,  5157,   821,
    1425,  1592,  1426,  4214,  1558,  5209,   821,  3786,  2471,  4597,
    1868,  2367,  2453,    48,  5479,  1601,  2370,  4733,   828,  4166,
     604,  1602,  2099,   604,  1560,   904,    49,   862,  3145,  4266,
    3200,  5220,   837,  1323,  2048,  4233,  3201,  1404,  4215,  1593,
    3854,  5329,  3740,  1594,  2328,  3787,  1415,  4225,  3891,    50,
    4734,  1576,  1929,  4824,   647,  1931,   648,  1933,  4939,  1935,
    4216,  1937,  4267,  2936,  3687,  1941,  2782,  5049,   871,   871,
    4278,  3363,  1595,  2329,  2800,  1405,  3821,   735,  3788,   906,
     906,  4940,   653,   871,  1416,  1577,   871,  2441,  3553,  1578,
    3621,  2447,  2317,  3968,  3560,  4619,  4234,  3621,  2330,  1913,
    4235,   736,  3621,   859,   859,  3621,  3447,  1570,  1406,  1384,
     859, -1703,   821,  5148,  1385,  5537, -1703,  1417,  5149,  5112,
    2463,  2464,  1579,  3822,  1603,   185,  2318,  2305,  3621,  2306,
    3991,  2702,  5388,  2325,  1535,  4754,  4168,  1946,  1532,  3202,
    4403,  3621,  4268,  2040,   859,  1571,   871,  5323,  4225,   871,
     871,  2624,   821,   821,  5311,   859,  4752,  1536,  2714,  4666,
    2526,    40,   821,  5322,  4404,  4892,  4671,  4894,  5150,   821,
     838,  -135,  2046,  4653,  4654,   998,   755,   755,  1572,   185,
    2719,  1386,  4755, -1703,  1323,   995,  1323,   996,  2914,  4763,
    2307,  1323,  1323,   997,  5045,  4783,    40,    44,  1323,  1323,
    1323,  3813,  1157,  1323,  2048,  1323,   906,  1323,  1323,  1323,
    1323,  1323,  1323,  1851,  1323,  2405,  1323,  1323,  3469,  3470,
    1323,  2661,    35,  2662,  4030,  2663,  3386,  2664,  1387,  2665,
   -1703,  4230,    44,  2666,  1852,  1323,  1323,  1323,  1323,    48,
    2327,  1059,   859,  1323,  2406,  3021,  3625,  1323,  1853,  4769,
    1323,  2366,    49,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,   904,  1323,  3446,  4031,  2740,  1535,   853,   821,
    1323,  4743,  1323,  4770,    48,    50,  5407,  2713,  4402,   821,
   -2291,  1851,  3432,  5417,  -158,  1604,  1802,    49,   857,    51,
    1536,   857,  3017,  5402,  1040,  3022,  3023,  1059,  2528,   854,
    3203,  2454,  1852,  4065,  5219,   715,  2327,  3621,   821,  1803,
      50,  2106,  2335,  -158,  2455,  1323,  1855,   863,   729,   821,
     821,  1905,  2565,  1605,    51,    15,  3331,  3667,  1040,  1041,
    1323,   865,  4091,  3009,  5262,  3781,   870,   870,  3204,  1323,
    1323,  3056,  2456,  3717,  1906,  3627,   947,  5186,  5153,  4351,
     948,   870,  3055,   821,   870,  2393,  1606,  5470,  2898,    20,
    2940,  4368,  2945,  1041,  1042,  3491,  2938,  3621,  2336,  3745,
    3492,  3205,  4352,  3782,   729,  3895,  5466,  1538,   885,   227,
    3340,  2899,  4369,  3396,  2978,   619,  2981,  4939,  2975,  4724,
    2327,  4725,  4726,   713,   862,  4727,  1609,  1535,  3937,  1613,
    2328,  2894,  2357,   755,  4277,   755,  3783,  1017,  4896,  1018,
    4940,   791,  1043,  3944,   870,  3584,  4904,   870,   870,  2374,
    1536,  2420,  1323,  3954,   886,  3041,  3640,  4454,   929,  2329,
    3146,  4162,   729,  3896,   604,   946,   859,   859,  1409,  3897,
     938,   871,  5504,   906,   871,   871,  1043,   859,  1000,   859,
    1525,  3898,   744,   859,  2330,  1542,   821,  3720,   744,  1919,
    5536,  5145,  1920,  5147,  3672,  1002,  2328,  5151,  5152,  1839,
    1005,  2194,  1410,  4269,  1022,  4276,  1411,   785,  5251,  3899,
    1976,  3900,   947,  1977, -2272,  5375,   948,  1008,  2299,  2325,
    4779,  1225,  1846,  1847,  3520,  2329,  3066,   821,  3521,  3522,
    3523,  4261,  -574,  3077,  4163,  2451,  4906,  3232,  1044,  1412,
    2114,  3621,   821,  2115,  2120,  4116,  5187,  2121,  2125,  4481,
    2330,  2115,  1192,  1192,  1630,  4252,  1192,     3,     4,  4043,
    1630,  2656,  3776,   821,  2121,  3901,  1059,  4164,  3122,  3122,
      32,  4208,  2668,  1045,  3940,  2669,  1839,  1548,  2194,  1839,
    2328,  1413,  4165,   821,   821,  2325,  1992,   821,    51,   862,
     785,  3519,  4166,  3902,  3676,  2593,  1549,  2594,  3883,  2670,
      40,  3621,  2669,  3547,  1035,  2507,  4006,  4007,  1839,  2329,
    2194,  4293,    40,   859,  2923,  2924,   859,  3180,  4167, -1726,
   -1726,  2830,  2831,  2832,  2833,  3600,  5455,  3601,  5418,    29,
    3621,  3602, -1664,  3603,  2330,  3570,    44,  5350,  5351,   821,
     821,  3546,  1046,  3548,  3549, -1664,  1550,  1061,    44,  2705,
   -1664,  3186,  2706,  3965,  3217,  3966,  3220,  3222,  3903, -2570,
   -1730, -1730,  2897,  3904,  2946,  1913,  1065,  2121,  3053,  2325,
    3694,  3054,  1117,  3913,  3125,  2327,  1108,  3126,    48,  3599,
    3285,  3397,  1118,  3286,  2121,  1059,  1124,  1323,  1323,  1323,
      48,    49,  3438,  1323,  4395,  2669,  4396, -1664,  3489,   859,
    5519,  2121,  5520,    49,  1370,  3905, -1652,   859,  1135,  4168,
     859,  5501,  3498,  1142,    50,  2121,   859, -1664,  1192,   729,
    4999,  3906,    40,  3525,  1152,  1323,    50,   859,    51,  4472,
    1183,    40,   857,  1551,  3504,  3621,  1381,  2121,  1383,   870,
      51,  2299,   870,   870,  3122,  5212,   821, -1663,  3505,   821,
    1187,  2121, -2570,  3324,  3506,  1191,   755,  2121,    44,   841,
   -1663,  4949,  1194,  3539, -1664, -1663,  2121,    44,   859,  1323,
    1199,  3552, -1704, -1664,  2121,  3557,  3762, -1704,  3558,  3763,
    3891,  1552,  5452,  4596,  1553,  4599,  3217,  5102,  4227,  4228,
    3044,  3526, -1729, -1729,  4465,  5107,   859,  1197,  3356,  2395,
      48,  3480, -2570,  3352,  3483,  3373,  1204,  3484,  3327,    48,
    1200,  3767, -1663,    49,  3768, -2570,  5437,  5438,  3907,  5369,
   -2570,  1201,    49,  1209,   842, -2570,  1323,  3792,  1210,  1211,
    3793, -2570, -1663,  1555, -2570,  2328,    50,  3851, -2570,  3930,
    3793,  1208,  1212,  3476, -1704,    50,  3977,  1213,  3979,  3978,
    5419,  3980,  1214,   859,  1548,   859,  3122,   859,  3122,    51,
    2782,  2782,  1219,  1221,  2329,  2782,  2039, -2570,  1341,  2040,
    1344,  3621,  1348,  1549,  1350,  4103,  1354,  1557,  4002, -1663,
    2804,  4003,  1349,  2807,  1362,   904,  2624, -2570, -1663,  2330,
    2327, -1704,  2744,  1946,  4004,  5518,  1367,  2121,  2046,  1558,
     843,  4097,  2782,  2782,  4098, -2668,  5041,  4108,  1368,  1225,
    4109, -1664,  3520,    29,  1370,  1371,  3521,  3522,  3523,  1560,
    1382,  1397,  1401,  1550,  2325,  4034,  4119,  1448,  4197,  2121,
    2048,  4198,  1398,  4117, -2570,  4049,  1407, -2570,  1477,  2327,
    1413,  1474, -2302, -2570,   604,  3621,  4827,  1479,  1515,  3636,
     871,  3621,  4202,   871,  1519,  4203,   871,  3914,  1532,  3916,
    5551,  1624,  1480,  4207,  1520,   859,  2961,   835,   887,  1534,
    2327,  4277,  1059,  1323,  1059,   888,   889,   890,  1323,  4231,
    4455,  1547,  2669,  2669,  3527,  3528,  3529,  4272,  3530,  3531,
    3532,  3533,  3534,  3535,  2744,  1569,  4514,  3569, -2570,  1968,
    1584,  1521,  1323,  1323,  1323,  3119,    40,  1323, -2572,  4535,
    1551,   835,  2121,  1544,  1583,  1323,  1323,  1323,  1323,  4564,
    4576,  4629,  2706,  2121,  2961,  1600, -1663,  1610,  1323,  4635,
    1611,  1323,  4636,  1323,  4642,  1614,  4643,  2669,   844,  2669,
    3985, -2668,    44,  1620,  1323,  1323, -2668,  1723,  1323,  1619,
    2328,  1726,  3621,   760,  3811,  1059,  3673,  3674,  1552,  4662,
    4027,  1553,  4785,  1725,  4817,  4786,   906,  4003,  1323,  1728,
    1323,  4832,  1323,  1735,  4833,  4178,  2395,  1731,  1736,  2329,
    4783, -2570,  1744, -2668,    48,  3820,  1745,  3107,  4834,  4288,
    4841,  2121,  1323,  2706,  1748,  2327,   821,    49,  1751,  2328,
    1754, -2572,  1756,  3622,  2330, -2570,  4911, -2570, -2570,  4912,
    1555,  3525,  3131,  1762,  1765,  4248,  3605,  3606,  3607,   821,
      50,  5000,  4270,   835,  2669,  1767,  5042,  1323,  2329,  5043,
    2328,  1758,  3186,  1776,    51, -1418,  2055, -1418, -2588,  2325,
    1777,  5058,  1323, -2570,  2706,  1781, -2570, -2570, -2570,  5065,
    1782, -2572,  5066,  2330,  1557,  5075,  3622,  -178,  1913,  2329,
    3656,  2327,  3619,  3659, -2572,  2945,  1784,  5081,  5083, -2572,
    3951,  3951,  5094,  1787, -2572,  5095,  1558,  1785,  5138,  3526,
   -2572,  5139,  1789, -2572,  2330,  4374,  5178, -2572,  2325,  2085,
    5211,  5221,  5222,  5095,  2706,  3558,  1560,  1819,  5223,  5234,
    2327,  2121,  5235,  1790,  5240,  1805,  1323,  1913,  3122,  1812,
    3855,   207,   857,  1946,  3797,  3619, -2572,  1826,   870,  2325,
    1225,   870,  1451,  3520,   870,  1831, -2668, -2668, -2668, -2668,
    1832, -2588,  5243,  3806,  4953,  3951, -2572,  5056,  3635,  1833,
     859,  1835,   859,   859,   859,  1842,  5261,  5267,  4317,  2669,
    2706,  3411,  3413,  3414, -1664,  2328,  1452,  4379,  4389,  5273,
    5274,  5277,  2706,  2706,  2121,  5278,  5279, -1664,  2121,  5280,
    5307,  5357, -1664,  5308,  5358,  1839,  4253,  5361,  4954,  5362,
    1913, -2588,  2121, -2572,  2329,  1843, -2572,  5363,  4559,  1845,
    2121,  1859, -2572,  5365, -2588,  5384,  2121,  5409,  5385, -2588,
    5410,  1873,  5439,  4955, -2588,  3951,  1861,  1874,  5451,  2330,
   -2588,  5088,  1878, -2588,  1877,  4294,  1453, -2588,   627, -1664,
    4956,  2328,  5478,  1885,  4957,  5095, -2668,  4067,  5516,  5529,
    3636,  5517,  2121,  2062,  2063,  2064,  2065,  2066,  2067, -1664,
    5531,  1889,  1891,  5532,  2325,  4958, -2588, -2572,  4959,  5549,
    2329,  1454,  5358,  1892,  5557,  1894,   821,  5532,  1901,  1896,
    2328,  4096,  1902,  4960,  1904,  1909, -2588,  1912,  1915,  1918,
    1916,   603,  3527,  3528,  3529,  2330,  3530,  3531,  3532,  3533,
    3534,  3535,  2827,  1943,  2828,  1973, -1664,  1455,  3923,  2329,
    3926,  1225,  1982,  1980,  3520, -1664,  1983,  1989,  3521,  3522,
    3523,  1990,   760,   634, -1879, -1886,  1997,  1998,  2829,  4140,
    2325,  1999,  2000, -2588,  2330,  4566, -2588,  2001,    51,  2003,
    2004,  2005, -2588, -1876,   603, -1877, -1087,  1457,  2006,  2007,
   -2572,   893,   894,   895,  2008,   896,   897,   898,   899,   900,
     901,  2009,  2011,  2012, -1880,  2013,  2014,  2015, -1878,  2325,
    2016,  4961,  2017,  2018, -2572,  2020, -2572, -2572,  2021,  1459,
    2022,  2071,  2023,   636,  2024,  2089,  2025,  2026,  1323,  2027,
    2073,  2075,  1225,  2101,  1323,  3520,  2076, -2588,  5233,  3521,
    3522,  3523,  4511,   859,  2085,  2109,  2124,  2126,  3122,  3122,
    3526,  1385, -2572,  1387,  2157, -2572, -2572, -2572,  2159,  5236,
      35,  4962,  2282,  2170,  1461,  2168,  2171,  1722,  2172,  2830,
    2831,  2832,  2833,  1462,  2173,  3326,  2834,  2835,  2194,  2189,
    2190,  1463,  2836,   821,   821,   821,  2191,  2837,  2744,  2283,
    2192,  2195,   760, -1664,  2196,  4759,  2197,  2198,  2199,  2200,
     821,  1465,  2206,  2225,  2231,  2262,  2266,  2237,  2268,  2269,
    1466,  4042,  2270,  2272,  1467,  2273,  2286,  2290,  2291,  3975,
   -2588,  2303,  1946,   821,  2304,  2292,  2319,  2321,  2324,  2315,
    2325,  2322,  1946,   821,   821,  2323,  2332,  2333,   821,  2334,
    2338,  3122,  2337,  2339, -2588,  2344, -2588, -2588,  2345,  2358,
     821,  2348,  2354,  3525,  3971,   947,  2355,  2359,  1370,   948,
    2360,  2365,  2361,  2782,  2782,  2782,  2782,  2362,  1468,  2782,
    2782,  2782,  2782,  2782,  2782,  2782,  2782,  2782,  2782,  2368,
    4465,  3999, -2588,  2375,  2382, -2588, -2588, -2588,  2371,  2372,
     647,  2389,   648,  2377,  2378,  2390,  4100,  4506,  4507,  4508,
    4509,  4510,  2392,   650,  2397,  2398,  1493,  2403,  2404,  1192,
    2408,  4617,  2409,  2410,  2413,   652,  4134,  2415,  1774,   859,
    2416,  3526,  2421,  2432,  2422,  5104,  2433,  2838,  2782,  2782,
    2434,  2440,  2445,  2469,  3525,  2462,  2473,  2476,  2839,  2475,
     821,  2478,  2482, -2668, -2668, -2668,  2477,  3530,  3531,  3532,
    3533,  3534,  3535,   821,  2483,  2484,   821,  2485,  2486,  2039,
    2492,  2493,  2040,  2494,  2495,  2496,  2041,  2042,  2043,  2502,
    2500,  2503,  2501,  2508,  2511,  2512,  2515,   629,  1323,  2520,
    2526,  2529,  2540,  2044,  4670,  1566,  2544,  1323,  2545,  2548,
    2571,  2046,  2553,  2580,  2564,  1323,  2567,  1323,  2047,  2570,
    1323,  2590,  3526,  2592,  2608,  1323,  1323,  1323,  1323,  2596,
    2610,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  2584,  2587,  2048,  1323,  1323,  2601,  2602,  2621,  2611,
    2632,  2629,  2618,  4731,  1323,  2615,  2616,  2619,  1323,   835,
    2620,  2622,  1323,  2631,  2633,  2634,  2647,  2648,  2682,  4614,
    1323,  2703,  2690,  1323,  2716,  1323,  2749,  2754,   835,  2799,
    4804,  2805,  2040,  2809,  2818,  2824,  2842,  1323,  2844,  2864,
    1323,  1323,  3636,  2865,  2879,  1323,  1323,  2884,  2887,  2888,
    4138,   842,  1323,  2889,  2890,  2916,  2903,  2917,  2915,   821,
     821,   821,   604,  2918,  2932,  3622,  4160,  3636,  2939,  2950,
    4160,  4174,  4160,  4142,  4143,  4144,  4145,  1323,  2951,  2979,
    2953,  2984,  5495,  5496,  3527,  3528,  3529,  2993,  3530,  3531,
    3532,  3533,  3534,  3535,  2982,   998,  2986,  2987,  2998,   185,
    3010,  3008,  1323,  3018,  2049,   995,  3028,   996,  3003,  2050,
    3004,  3006,  3029,   997,  3032,  3045,  2945,  1338,  1323,  3014,
    3050,  3619,  1342,  3052,  3619,  3062,  3069,  3082,  3088,  3087,
    3114,  2051,  2052,  3113,  3115,  3120,  4226,  1946,  1946,  4545,
    2471,  3132,  3160,  3124,  3176,  3139,  2053,  3218,  3231,  3239,
    3159,  3240,  3243,  3258,  3252,  3263,  3264,   859,   859,   859,
     859,  1548,  3265,  4744,  3271,  3527,  3528,  3529,   843,  3530,
    3531,  3532,  3533,  3534,  3535,  3299,  3276,  3300,  3314,  3318,
    1549,  3316,  3287,  3320,  3329,  2054,  2299,  3338,  3346,  3347,
    3332,  3349,  3350,  4709,  4710,  3619,  4712,  3341,  3348,  2055,
    3354,  3357,  2056,  3361,  4282,  3359,  3362,  3365,  3366,  3384,
    3385,  2782,  3389,  3387,  3388,  3391,  3393,  3398,  3400,  3401,
    2396,  3402,  3403,  3404,  3416,  3408,  3428,  3417,  3431,  3437,
    1550,  4271,  1866,  3435,  4427,  4428,  3430,  3440,  2228,  3441,
    5108,  3453,  4329,  3442,  3445,  3443,  3444,  1913,  1910,  3636,
    1875,  2717,  3455,  4337,  3456,  3457,  3464,  3472,  3467,  1189,
    3474,  3478,  3481,  2039,  3482,  3503,  2040, -2151,  5142,  3479,
   -2668, -2668, -2668,  3554,  3500,  3486,  3501,  4952,  3571,  3502,
    2121,  3507,  3508,  3512,  3566,  3515,  3516,  3582,  3538,  2057,
    3596,  3591,  3544,  3581,  4272,  2046,  3638,   606,  3551,  3565,
    3592,  4371,  2047,  3594,  3595,  5132,  3598,  5134,  3632,  3633,
    3644,  3646,  3664, -1732,  3643,  3657,  3670,  1551,  3675,  3650,
    3677,  3682,  3683,  3623,  3678,  3648,  3686,  2048,  3689,  3724,
     603,  3691,  3713,   603,  3714,  3726,   859,  3725,  3730,  2039,
    3698,  3732,  2040,  3731,  3733,  3736,  3747,  3748,  3750,   821,
    3756,   859,  3757,  1323,  3758,  3766,  3796,  3771,  3800,  3780,
     821,  3801,  3807,  3794,  3802,  1552,  4418,  3798,  1553,  3808,
    3805,  2046,  1225,  3809,  3810,  3520,  2299,  3812, -2668,  3521,
    3522,  3523,  1968,  2395,  3826,  3827,  3828,  4273,  3824,  2058,
    3825,   821,  2059,  2060,  2061,  3622,  2062,  2063,  2064,  2065,
    2066,  2067,  3831,  2048,   603,  3217,  3509,  3840,  3829,  3510,
    3830,  3832,  3833,  4550,  4466,  3834,  3835,  1555,  3836,  3843,
    3837,  3839,  4997,  3838,   821,  3845,  3847,  2430,  2471,  3859,
    3849,  4476,  3850,  3863,  3856,  1323,  1323,  3866,  2049,  3860,
    3861,  3870,  3871,  2050,  3873,  3879,  3881,  3921,  3922,  3931,
    3932,   877,  3928,  3934,  3619,  3936,  3939,  5284,  3950,   904,
     913,  1557,  3951,  3953,  3969,  4587,  3122,  3960,  3122,  3970,
    4899,  3973,  5064,  3963,   935,   821,  3974,  3989,  3976,  3998,
    2053,  4010,   606,  1558,  5290,  5292,  4768,  4021,  4012,  4014,
    4022,   606,   879,  4001,  4008,  4023,  4024,  4009,  4033,   606,
    4036,   879,   606,  1560,  4025,  4274,  4026,  4035,  4275,  4037,
    1323,  4046,  4028,  1992, -2668,   879,  4047,  4048,  1481, -2668,
    4050,  4051,  1323,  4923,  1482,  4052,  4053,  4054,  4058, -2150,
    3541,  3520,  4068,  2055,  3540,  4093,  4110,  1585,  4121,  4094,
    4135,  4123,  4152,  4180,  4196,  4200,  4210,  4194,  4095,  4176,
    4239,  4218,  1323,  4241,  4247,  1323, -2668,  4254,  4255,  4242,
    4102,  4126,  4122,  1323,  1323,  4257,  1484,  4660,  4153,  4141,
    1323,  1323,  4182,  4161,  3525,  1323,  4258,  4184,  4186,  4260,
    4265,  1323,  4262,  4804,  1323,  1323,  4280,  4295,  4283,  1323,
    4575,  4264,  4296,  4297,  4298,  1323,   821,   821,   821,   821,
    4299,  4309,  4310,  4160,  4174,  4160,  4311,  1323,  4160,  2055,
    2325,  4589,  4312,  4313,  4323,  3622,  4326,  4325,  1586,  3622,
    1485,  4314,  4339,  2057,  5386,  4604,  4345,  1486,  4348,  4364,
    1487,  4340,  4365,  4367,  4271,  4370,  5144,  4380,  4381,  4399,
     906,  4383,  3526,  4430,  3572,  4384,  3573,  4387,  1323,  4702,
    4410,  4424,  3656,  4631,  4444,  4438,  1488,  2945,  4618,  4620,
    4445,  2669,  4448,   603,  4450,  4451,  4457,  4467,  4473,  4474,
    3574,  4484,   755,  4489,  3619,  1323,  4492,  4490,  3619,  4493,
    4494,  4497,  4504,  4495,  4512,  4516,  4518,  4500,  4952,  4524,
    1489,  4531,  4537,  4548,  4551,  3122,  3122, -2152,  4532, -2668,
    5074,  5284,  4542,  4552,  4557,  4665,  5297,  4541,  4592,  4553,
    4572,  5074,  4585,  2039,  2299,  4673,  2040,  4600,  4593,  4590,
    2041,  2042,  2043,  2058,  4588,  4606, -2668, -2668, -2668,  4674,
    2062,  2063,  2064,  2065,  2066,  2067,  4601,  2044,  4605,  4607,
    4608,  4615,  4613,  4616,  4625,  2046,  4628,  4630,  4761,  4632,
    4638,  4644,  2047,  1587,  4667,  4637,  4668,  1491,  4648,  4669,
    4672,  4678,  4679,  2039,  4680,  4692,  2040,  1492,  4701,  4713,
    4695,  2830,  2831,  2832,  2833,  4714,  1493,  2048,  3575,  1323,
    4699,  4704,  4722,  4705,  3576,  5356,  4721,  4723,  1494,  3577,
    5136,  4732,  4741,  4728,  4735,  2046,  4736,  4742,  4750, -2668,
    4745,  4751, -2668,  4756,   859,  4757,  2062,  2063,  2064,  2065,
    2066,  2067,  4760,  4764,  4758,  4766,  4774,  4777,  4782,   859,
    4787,  4789,  4793,  4798,  4800,  4794,  1588,  2048,  4796,  1496,
    1497,  2039,  4801,  4802,  2040,  3527,  3528,  3529,  4809,  3530,
    3531,  3532,  3533,  3534,  3535,  4814,  4821,  5131,  4828,  2782,
    4822,  4829,  4831,  1323,  4837,  4846,  4838,  4862,  5259,  1589,
    4881,  1059,  4887,  2046,  4890,  4839,  4893,  4903,  4840,   604,
   -2668,  4852,  4855,  4866,  5060,  2299,  4913,  4908,  4914,  4915,
    4884,  4905,  4920,   603,  1946,  1016,  4907,   603,  2049,  4926,
    4927,  1016,  4931,  2050,  3583,  2048,  4967,  4936,  4945,  1323,
    1225,  4937,  4938,  3520,  1016,  4409,  4976,  3521,  3522,  3523,
     904,  4978,   859,  2033,  3356,  2051,  2052,  4985,  4979,  4780,
    5003,  5004,  5241,  4982,  4567,  4984,   879,  1499,  5011,  3578,
    2053,  5013,   879,  5016,  5021,  5023,  5256,  5044, -2668,  5046,
    3579,  5063,  5047, -2668,  5048,   879,  4924,  5067,   821,  5073,
    5077,  3636,  5080,  5088,  5084,  5086,  5111,  5092,  5103,  5114,
    5113,   879,  4127,   904,  5120,  5126,   606,  5158,  5160,  2054,
    5166,  1107,  5173,  5170,  5171,   606,   879,  5127,  5128,  5180,
   -2668,  5191,   606,  2055,   879,   606,  2056,  5185,  5192,  4918,
    5200,  1323,  5204,  5205,  4922,  5206,  5207,  1107,   879,  5208,
    5215,  5216,  5217,  5218,  5248,  5232, -2668,  5249,   879,  5224,
    5245, -2668,  5253,  5254,  5266,  5289,  5270,  5510,  5295,  5296,
    1323,  1323,  5301,  5303,  1323,  5306,  5310,  5313,  5314,  5334,
    5335,  5337,  5336,  2055,  5342,  5343,  5352,  5354,  4966,   604,
    5370,  5379,  4160,  5372,  5387,  5381,  3622,  5389, -2668,  5299,
    1059,  3622,  5397,  5300,  3622,   604,  5398,  3217,  5396,  4868,
    5430,  1323,  1323,  4136,  5435,  5416,  5442,  5449,  5454,  5489,
    5459,  5462,  5468,  2057,  5497,  5487,  5503,  4226,  5499,  1323,
    5488,  5510,  5522,  5525,  5524,  5521,  5526,   606,   606,  5539,
    4226,   906,   859,   879,   859,  5540,  5550,  5547,  3619,  5510,
    5548,  2055,  3525,  5552,  5225,  3619,  5553,  2446,  1372,  1581,
    3619,  3323,  1478,  3619,  2108,  3630,  3112,   879,  3742,   606,
    4286,  5242,  3191, -2668,  4279,  5244,  1580,  5246,  5382,  3230,
     879,  3278,  3878,  4964,  5283,  5460,  3619,  4747,  4426,  4996,
    2782,  5022,  4740,   871,   906,  3680,  5374,  3439,  5456,  3619,
    4897,  5304,  5302,  5395,  1225,  5473,  3685,  3520,  4477,  4456,
    5264,  3521,  3522,  3523,  2782,  3297,  4419,  3298,  4885,  4284,
    3526,  3760,  3938,  2058,  4443,  5002,  2059,  2060,  2061,  4762,
    2062,  2063,  2064,  2065,  2066,  2067,  3946,   871,  5461,  5131,
     821, -2668,  1568,  3511,  5554,  5007,  3288,  5544,  4980,  3884,
    4485,  5400,  4418,  4925,  5122,   821,  5272,   762,  4513,  2519,
     821,  4928,  3122,  5098,  5515,  4486,  2956,  2589,  3671,  2299,
    5213,  2586,  5001, -2668,  5039,  2635,  2710,  1965,  2597,  1136,
    2062,  2063,  2064,  2065,  2066,  2067,   821,   606,   606,  1718,
    4466,  2711,  3228,  3846,  1060,  2712,   606,  4315,  4338,  3942,
    5538,  5421,  2205,  1107,   859,   821,  4226,   606,  4499,  1351,
    5037,  4498,  1373,   606,  2893,  2660,   606,  2902,  4621,  4886,
    5368,  4204,  2122,  2081,  3634,  2931,  3645,  4183,  1107,  2154,
    2153,  5364,  1323,  2912,  5247,  1323,  4611,  1323,  4156,   835,
    2158, -2668,  2930,  1107,  1059,  4583,  4598,  5079,  2062,  2063,
    2064,  2065,  2066,  2067,  2163,  4150,  1323,   603,  5231,  5230,
    4205,  4151,  1323,  5541,   603,  3619,  3622,  5441,  5498,   603,
    4868,  5355,   603,  4864,  5059,  2609,  1323,  4104,  5367,  4883,
    5366,  2869,  3589,  3587,  3254,  5091,  3495,  2878,   606,   606,
     606,     0,     0,     0,     0,   603,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2668,   821,   603,  1946,
       0,     0,     0,  3527,  3528,  3529,     0,  3530,  3531,  3532,
    3533,  3534,  3535,     0,     0,  3619,   904,     0,  1107,     0,
       0,  2782,     0,     0,     0,  1323,     0,     0,     0,     0,
    1323,  1323,     0,     0,     0,   859,   859,   859,   859,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,     0,     0,     0,   879,     0,     0,     0,     0,
       0,     0,     0,     0,  3526,     0,     0,     0,  1323,     0,
       0,     0,     0,   879,     0,   604,     0,     0,     0,     0,
       0,     0,     0,   606,     0,     0,     0,     0,     0,     0,
       0,   879,     0,     0,     0,   870,     0,   821,     0,     0,
    3622,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5194,   879,
       0,     0,     0,     0,     0,     0,     0,     0,  1107,     0,
     879,     0,     0,     0,  2039,     0,     0,  2040,     0,     0,
    5502,  2041,  2042,  2043,     0,     0,   879,     0,     0,     0,
     879,     0,     0,     0,     0,     0,     0,  1323,  2044,  3619,
     604,     0,   606,  1323,   603,     0,  2046,  5239,     0,     0,
       0,     0,     0,  2047,  1323,     0,     0,     0,  1323,     0,
    1323,     0,  1323,     0,     0,     0,     0,  2782,     0,  4226,
       0,     0,     0,   606,  5250,     0,     0,   906,  2048,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1323,     0,
       0,     0,  5378,     0,     0,     0,     0,     0,     0,  3619,
       0,   606,   606,   606,   603,   606,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1946,  1946,   606,     0,  2039,  3619,     0,
    2040,     0,     0,     0,  2041,  2042,  2043,  3527,  3528,  3529,
       0,  3530,  3531,  3532,  3533,  3534,  3535,     0,     0,   879,
       0,  2044,     0,     0,   859,     0,     0,   879,   879,  2046,
       0,  5318,     0,     0,     0,  1323,  2047,  5427,  5428,     0,
       0,   879,     0,     0,  5330,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5440,     0,     0,  2049,
       0,  2048,     0,   606,  2050,     0,     0,   606,   606,     0,
    1323,  1323,  1323,     0,     0,     0,  3217,     0,     0,  1323,
       0,     0,   606,     0,     0,     0,  2051,  2052,  1107,  1323,
       0,     0,  5091,  5172,  1718,     0,     0,  2945,     0,     0,
       0,  2053,     0,  3619,     0,     0,     0,     0,     0,     0,
       0,   871,     0,     0,     0,     0,     0,     0,   603,     0,
       0,  2039,     0,     0,  2040,     0,   859,     0,     0,     0,
     181,     0,     0,  1946,     0,     0,     0,     0,     0,     0,
    2054,     0,     0,     0,     0,  2782,  2782,     0,     0,     0,
       0,   181,     0,  2046,  2055,  1107,     0,  2056,     0,  2299,
   -2668,     0,     0,     0,   604,     0,  5401,     0,     0,     0,
    1323,     0,  2049,     0,     0,     0,     0,  2050,   603,     0,
    4226,   834,     0,     0,     0,  2048,   871,   871,  1323,     0,
       0,     0,     0,  5426,     0,     0,  1107,   185,  1323,  2051,
    2052,     0,  5239,  5423,     0,  5424,     0,   603,     0,     0,
       0,  5425,     0,     0,  2053,     0,     0,     0,     0,     0,
       0,     0,     0,   859,     0,     0,  5486,     0,     0,  1107,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3619,
       0,     0,     0,     0,  2057,     0,     0,  5555,  5556,     0,
    2444,     0,  4130,  2054,  5330,   859,   859,  1481,     0,     0,
    4226,     0,     0,  1482,     0,     0,     0,  2055,     0,     0,
    2056,  5426,     0,     0,     0,   185,  1483,     0,     0,     0,
       0,  5423,     0,  5424,     0,     0,     0,  1323,  1323,  5425,
       0,   879,     0,     0,     0,     0, -2668,     0,  1323,     0,
       0, -2668,     0,  1323,     0,  1484,   606,   606,   606,     0,
       0,     0,   603,  3619,     0,   847,     0,     0,     0,  3619,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1323,     0,     0,     0,     0, -2668,     0,
       0,     0,     0,  1323,  2058,     0,     0,  2059,  2060,  2061,
       0,  2062,  2063,  2064,  2065,  2066,  2067,  2057,   859,  1485,
       0,  4226,     0,     0,  3561,     0,  1486,     0,     0,  1487,
    5239,     0,  5426,     0,   604,     0,   185,     0,     0,   870,
       0,     0,  5423,     0,  5424,     0,     0,     0,     0,     0,
    5425,  2055,     0,     0,     0,  1488,   871,   871,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1107,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3619,     0,  2530,     0,     0,     0,  1107,     0,     0,  1489,
    2547,     0,  5404,     0,     0,     0,     0,     0,     0,  1718,
       0,     0,  2444,     0,  1107,     0,     0,     0,   603,     0,
       0,     0,     0,     0,   870,   870,     0,  2058,     0,     0,
    2059,  2060,  2061,   879,  2062,  2063,  2064,  2065,  2066,  2067,
       0,   879,     0,     0,  2808,     0,     0,     0,     0,     0,
       0, -2668,     0,   879,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,  1491,     0,     0,     0,
    1107,     0,     0,     0,     0,     0,  1492,   606,     0,     0,
     606,     0,     0,  1107,     0,  1493,     0,     0,  2628,     0,
     606,     0,   603,     0,     0,     0,  1107,  1494,   603,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1107,     0,
       0,     0,     0,   746,     0,  2444,     0,     0,     0,   746,
       0,     0,     0,     0,     0,   606,   606,     0,   879,   879,
       0,     0,     0,     0,     0,  1495,     0,     0,  1496,  1497,
     606,     0,   879,   606,     0,     0,     0,     0,   673,     0,
       0, -2668,  1107,  1107,     0,   879,   879,   759,  2062,  2063,
    2064,  2065,  2066,  2067,     0,     0,     0,     0,  1498,     0,
       0,   879,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   603,
       0,     0,     0,   606,     0,     0,   606,   606,     0,     0,
       0,     0,  5543,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   870,   870,  1499,     0,     0,     0,
       0,   606,     0,   606,     0,     0,     0,     0,   606,   606,
       0,     0,     0,     0,     0,   606,   606,   606,     0,     0,
     606,     0,   606,     0,   606,   606,   606,   606,   606,   606,
       0,   606,     0,   606,   606,     0,     0,   606,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1107,   606,   606,   606,   606,  1718,     0,     0,     0,
     606,     0,     0,     0,   606,     0,     0,   606,     0,     0,
     606,   606,   606,   606,   606,   606,   606,   606,   606,     0,
     606,   181,     0,     0,     0,     0,     0,   606,     0,   606,
       0,     0,     0,     0,     0,     0,     0,  2038,     0,     0,
       0,     0,     0,     0,  2039,     0,     0,  2040,     0,     0,
       0,  2041,  2042,  2043,     0,     0,     0,     0,     0,     0,
       0,  1451,     0,     0,     0,     0,   879,     0,  2044,     0,
       0,  2045,   606,     0,     0,     0,  2046,     0,     0,  2039,
       0,  2947,  2040,  2047,     0,     0,     0,   606,     0,     0,
       0,     0,     0,     0,     0,  1452,   606,   606,     0,  2963,
       0,     0,     0,     0,     0,  2967,     0,     0,  2048,  2970,
       0,  2046,     0,     0,     0,     0,   181,   834, -2668,     0,
       0,     0,   879,     0,     0,     0,     0,     0,     0,  1107,
       0,     0,     0,  1107,  1107,  2994,     0,     0,     0,     0,
     879,     0,     0,  2048,     0,  1718,   879,     0,     0,     0,
     879,     0,     0,     0,     0,  1453,     0,     0,   879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   879,     0,     0,   606,
    3048,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1454,   606,     0,     0,     0,  1107,     0,     0,   606,     0,
    1016,   606,   606,     0,     0,     0,     0,     0,     0,  1107,
    4131,     0,     0,     0,     0,     0,     0,     0,     0,  2049,
       0,   879,     0,     0,  2050,     0,  1455,     0,     0,     0,
       0,     0,  3098,     0,     0,     0,   847,     0,   181,     0,
       0,   879,   879,     0,     0,     0,  2051,  2052,     0,     0,
    1107,     0,  2039,     0, -2668,  2040,     0,     0,  3127, -2668,
       0,  2053,  1456,     0,  3136,     0,  1457,     0,     0,     0,
       0,  3142,  1718,   879,     0,     0,  1718,     0,  1016,     0,
       0,  3156,     0,     0,  2046,     0,     0,  3161,     0,     0,
       0, -2668,     0,     0,     0,     0, -2668,  1458,  1459,   879,
    2054,  1718,     0,     0,     0,   879,     0,  3174,     0,     0,
       0,     0,   879,  3177,  2055,     0,  2048,  2056,  3181,   879,
       0,     0,   879,     0,     0,     0,     0,     0,   879,     0,
       0,  3198,     0,     0,     0,  1460,     0,     0,     0,    35,
       0,     0,     0,  1461,  3223,     0,     0,     0,   879,  2055,
       0,     0,  1462,     0,   879,  1016,     0,     0,     0,   879,
    1463,     0,  1718,     0,     0,     0,     0,     0,  1464,     0,
       0,     0,   879,     0,     0,     0,     0,     0,     0,  2039,
    1465,     0,  2040,  4570,     0,   879,  2041,  2042,  2043,  1466,
    1718,     0,     0,  1467,     0,     0,   879,     0,     0,     0,
       0,     0,     0,  2044,  2057,     0,     0,     0,     0,     0,
       0,  2046,     0,     0,   606,   606,   606,     0,  2047,     0,
     606,     0,  2039,     0,     0,  2040,     0, -2668,     0,  2041,
    2042,  2043, -2668,     0,     0,     0,     0,     0,     0, -2668,
       0,     0,     0,  2048,     0,     0,  2044,  1468,     0,   992,
       0,     0,   606,  1107,  2046,     0,     0,     0,     0,     0,
       0,  2047,  1718,     0,     0,     0,     0,     0,     0, -2668,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2048,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   606,     0,     0,     0,
       0,  1058,   673,     0,  2058,     0,     0,  2059,  2060,  2061,
       0,  2062,  2063,  2064,  2065,  2066,  2067,     0,     0,     0,
       0,   746,  2055,   746,     0,   746,     0,     0,     0,     0,
       0,   746,  1177,  1178,     0,  1107,     0,     0,  1107, -2668,
       0,     0,     0,   879,     0,     0,  2062,  2063,  2064,  2065,
    2066,  2067,     0,   606,  2049,     0,     0,     0,     0,  2050,
       0,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2051,  2052,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1196,  2053,  2049,     0,   879,
    3452,     0,  2050,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2668,     0,     0,     0,     0,     0,  3466,     0,
       0,  1216,     0,     0,  2051,  2052,  3452,  1993,     0,  1326,
       0,     0,  1335,  1058,  1337,  2054,     0,     0,     0,  2053,
       0,   879,     0,     0,     0,     0,     0,  2002,     0,  2055,
       0,     0,  2056,     0,     0,     0,     0,  1107,     0,   879,
       0,     0,     0,     0,     0,     0,     0,   879,     0,     0,
       0,   606,     0,     0,  1107,     0,   746,   606,  2054,  2019,
     606,     0,     0,   606,     0,     0,     0,     0,     0,  1107,
       0,     0,  2055,     0,  2031,  2056,     0,     0,     0,     0,
     606,     0,     0,     0,     0,   606,     0,     0,     0,     0,
       0,     0, -2668,     0,     0,     0,     0,     0,     0,  2062,
    2063,  2064,  2065,  2066,  2067,     0,     0,     0,     0,   606,
     606,   606,     0,     0,   606,     0,     0,     0,     0,  2057,
       0,     0,   606,   606,   606,   606,     0,     0,     0,     0,
    1718,     0,     0,     0,  2239,   606,  1718,     0,   606,  2240,
     606,  2039,     0,     0,  2040,     0,     0,     0,  2041,  2042,
    2043,   606,   606,     0,     0,   606,     0,     0,     0,     0,
     847,   847,  2057,   847,     0,  2044,     0,     0,     0,     0,
       0,     0,     0,  2046,  2241,   606,     0,   606,     0,   606,
    2047,     0,     0,  3375,     0,     0,     0,  2242,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   606,
       0,     0,  2243,     0,  1451,  2048,     0,     0,     0,     0,
     606,     0,     0,     0,     0,     0,     0,     0,   879,  2058,
       0,     0,  2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,
    2066,  2067,     0,     0,   606,     0,  3880,     0,  1452,     0,
       0,     0,     0,  2244,     0,     0,     0,     0,     0,   606,
       0,     0,     0,     0,  2245,     0,     0,     0,     0,     0,
       0,     0,  2058,   606,     0,  2059,  2060,  2061,     0,  2062,
    2063,  2064,  2065,  2066,  2067,  2246,     0,     0,     0,  4060,
    2247,     0,  1107,     0,     0,  1107,     0,  1107,     0,     0,
       0,     0,  1107,  3692,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,   879,   879,     0,
       0,     0,  2720,   606,     0,     0,  2049,     0,     0,     0,
       0,  2050,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,     0,  1454,   879,     0,     0,   879,     0,     0,
       0,  1107,     0,  2051,  2052,     0,     0,     0,     0,     0,
       0,     0,  2248,  1058,     0,     0,     0,     0,  2053,     0,
    1107,  2721,     0,     0,  3376,     0,     0,     0,     0,  1455,
       0,  1058,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1107,     0,     0,     0,     0,
       0,     0,  2249,  2722,     0,     0,     0,  2054,     0,     0,
       0,     0,     0,     0,  3772,  1970,     0,     0,     0,  1457,
       0,  2055,     0,     0,  2056,     0,  2723,     0,     0,     0,
       0,  1718,  1718,  1718,     0,   207,  2250,  2724,     0,     0,
    1058,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1459,     0,     0,     0,   879,     0,     0,  2725,     0,
       0,     0,     0,  2726,     0,  1107,     0,  1107,  2251,     0,
       0,     0,     0,     0,  2252,   879,     0,     0,     0,     0,
       0,  2253,     0,     0,  2254,     0,     0,     0,     0,     0,
       0,     0,    35,     0,   879,     0,  3377,     0,     0,     0,
       0,     0,     0,     0,     0,  1462,     0,     0,     0,     0,
       0,  2057,     0,  1463,  2727,     0,  2255,  2035,     0,     0,
       0,  2283,   746,  2256,     0,     0,  2037,   746,   746,     0,
       0,  2257,     0,  1465,     0,  2728,     0,     0,  2258,  3857,
    2079,   746,  1466,     0,     0,     0,  1467,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1107,  1058,
       0,     0,  2096,  2097,  2259,  3378,     0,  1058,  1058,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     879,  1058,     0,     0,     0,   606,     0,     0,     0,     0,
       0,   606,     0,     0,     0,     0,     0,     0,     0,  1107,
    1468,     0,     0,     0,  3379,     0,     0,     0,   207,  2729,
       0,  2058,  2730,     0,  2059,  2060,  2061,     0,  2062,  2063,
    2064,  2065,  2066,  2067,     0,     0,  2468,  1718,  1107,     0,
       0,     0,     0,   746,   879,     0,   879,     0,  2731,     0,
       0,  2732,     0,   746,     0,     0,     0,  2733,     0,   879,
       0,   879,     0,     0,  2734,  1481,     0,     0,     0,     0,
       0,  1482,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1718,  1585,     0,     0,     0,     0,     0,
       0,     0,     0,  2735,     0,     0,     0,  1177,  1178,  2736,
       0,     0,  2737,     0,     0,     0,     0,  1107,     0,     0,
       0,     0,     0,  1484,     0,     0,     0,     0,     0,   181,
       0,  2738,     0,     0,     0,     0,     0,   879,  1107,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     746,  2444,  1107,   746,   746,     0,     0,  2739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4029,
       0,     0,     0,     0,     0,  1586,     0,  1485,     0,     0,
       0,     0,     0,   181,  1486,     0,     0,  1487,     0,     0,
       0,     0,   879,     0,  4045,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2400,     0,     0,
     879,     0,     0,  1488,  2407,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   879,     0,     0,   879,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1489,     0,     0,
       0,     0,     0,     0,     0,   606,     0,     0,  1107,     0,
    2825,     0,     0,     0,   606,     0,     0,     0,     0,     0,
       0,     0,   606,     0,   606,     0,     0,   606,     0,     0,
       0,  1107,   606,   606,   606,   606,     0,     0,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,     0,     0,
    3375,   606,   606,     0,     0,     0,  1107,     0,     0,     0,
    1587,   606,     0,     0,  1491,   606,     0,  1718,     0,   606,
       0,  1451,     0,     0,  1492,     0,     0,   606,     0,     0,
     606,     0,   606,  1493,     0,     0,   746,     0,     0,     0,
    1481,     0,  1107,     0,   606,  1494,  1482,   606,   606,     0,
       0,     0,   606,   606,     0,  1452,     0,     0,     0,   606,
       0,     0,     0,     0,     0,     0,     0,     0,  2039,   606,
       0,  2040,   606,     0,   181,  2041,  2042,  2043,     0,     0,
       0,     0,     0,  3188,   606,     0,  1496,  1497,  1484,     0,
       0,     0,  2044,     0,     0,     0,     0,     0,     0,     0,
    2046,     0,     0,     0,     0,     0,     0,  2047,     0,   606,
       0,     0,     0,     0,     0,  1453,  3189,     0,     0,     0,
       0,     0,     0,     0,     0,   606,  2541,     0,     0,     0,
    2546,  1107,  2048,  4249,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,   606,  2604,     0,     0,     0,     0,  1486,
    1454,     0,  1487,     0,  2612,     0,  2613,  1451,     0,     0,
       0,     0,  2617,     0,     0,     0,     0,     0,     0,  2623,
       0,     0,     0,     0,   879,     0,     0,     0,  1488,     0,
       0,  3376,     0,     0,  1499,     0,  1455,     0,     0,  2039,
       0,  1452,  2040,     0,     0,     0,  2041,  2042,  2043,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1489,  2044,     0,     0,     0,     0,     0,     0,
       0,  2046,     0,     0,  1718,     0,  1457,     0,  2047,  1718,
    1107,  1718,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2049,     0,     0,     0,     0,  2050,  4353,
       0,  1453,  4356,  2048,  1718,  1107,     0,     0,  1459,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,  2052,     0,     0,  1718,  1587,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,  2053,  1454,     0,     0,  1492,
     879,     0,     0,   879,     0,     0,     0,     0,  1493,    35,
       0,  2755,  2756,  1461,     0,     0,     0,     0,  2770,  2771,
    1494,     0,  1462,     0,     0,     0,     0,     0,     0,     0,
    1463,     0,  1455,     0,  2054,     0,     0,     0,  2283,     0,
       0,     0,     0,     0,     0,     0,     0,  2810,  2055,  2039,
    1465,  2056,  2040,     0,  2766,     0,  2041,  2042,  2043,  1466,
       0,  1496,  1497,  1467,  4440,     0,     0,     0,  1456,     0,
     606,     0,  1457,  2044,  2049,     0,     0,     0,     0,  2050,
       0,  2046,  3378,  2444,     0,     0,     0,     0,  2047,     0,
       0,  1498,     0,     0,     0,   879,   879,     0,     0,  1107,
       0,  2051,  2052,  1522,  1459,   879,     0,     0,     0,     0,
       0,     0,   606,  2048,     0,     0,  2053,  1468,     0,     0,
       0,  3379,     0,     0,   879,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2057,     0,
       0,  1523,     0,     0,     0,    35,  2886,  1107,     0,  1461,
       0,  1107,   606,   606,     0,  2054,  2921,  2921,  1462,  1499,
       0,  3452,     0,     0,     0,     0,  1463,     0,     0,  2055,
       0,     0,  2056,     0,  1524,     0,     0,     0,     0,  1451,
       0,     0,     0,     0,     0,     0,  1465,     0,     0,     0,
       0,   181,     0,     0,     0,  1466,     0,     0,     0,  1467,
       0,     0,   879,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1452,     0,     0,     0,     0,   746,     0,
       0,     0,     0,     0,  2049,     0,     0,   606,     0,  2050,
       0,     0,     0,     0,     0,     0,     0,     0,  2058,   606,
       0,  2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,  2066,
    2067,  2051,  2052,  1468,     0,  4113,     0,     0,  1058,  2057,
       0,     0,     0,     0,     0,     0,  2053,     0,     0,   606,
       0,     0,   606,  1453,     0,     0,     0,     0,     0,     0,
     606,   606,     0,  1107,     0,     0,     0,   606,   606,     0,
       0,     0,   606,  1107,     0,     0,     0,     0,   606,     0,
       0,   606,   606,     0,     0,  2054,   606,     0,  1454,     0,
       0,     0,   606,  3065,     0,     0,     0,     0,     0,  2055,
       0,     0,  2056,     0,   606,     0,     0,     0,  1337,     0,
       0,     0,   606,     0,     0,     0,   606,     0,     0,     0,
       0,     0,     0,     0,  1455,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2058,
       0,     0,  2059,  2060,  2061,   606,  2062,  2063,  2064,  2065,
    2066,  2067,     0,     0,  2039,     0,  4220,  2040,     0,     0,
    1456,  2041,  2042,  2043,  1457,     0,     0,     0,     0,     0,
       0,     0,   606,     0,   746,     0,     0,     0,  2044,     0,
    2031,     0,   746,     0,     0,   746,  2046,  1337,     0,  2057,
    1107,     0,     0,  2047,     0,  1539,  1459,   746,     0,     0,
       0,     0,     0,     0,  1337,     0,     0,  4686,   879,     0,
       0,     0,     0,  1718,     0,     0,     0,     0,  2048,  4696,
       0,     0,     0,     0,  2031,     0,     0,     0,     0,     0,
       0,  1107,     0,  1540,     0,     0,     0,    35,     0,     0,
       0,  1461,     0,     0,     0,     0,     0,  2825,   879,     0,
    1462,     0,     0,  1107,     0,     0,     0,     0,  1463,     0,
     879,     0,     0,  3593,     0,     0,  1541,     0,  3226,     0,
       0,     0,     0,     0,     0,     0,   606,     0,  1465,  3612,
       0,     0,     0,     0,     0,     0,     0,  1466,     0,  2058,
     879,  1467,  2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,
    2066,  2067,     0,     0,  3257,     0,  4533,  3257,     0,  3257,
       0,     0,     0,  3257,     0,  3257,  3257,     0,     0,     0,
       0,  1107,     0,     0,  3257,  3257,  3257,     0,     0,  2049,
    2039,     0,  3612,  2040,  2050,     0,   834,  2041,  2042,  2043,
       0,     0,     0,     0,     0,  1468,     0,     0,     0,     0,
     606,     0,     0,     0,  2044,     0,  2051,  2052,     0,     0,
       0,     0,  2046,     0,     0,     0,   606,     0,     0,  2047,
       0,  2053,     0,     0,     0,     0,     0,     0,     0,  3333,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   879,
       0,     0,     0,     0,  2048,     0,   606,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3405,  3407,     0,     0,
    2054,  3364,  3415,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1058,  2055,     0,     0,  2056,  3452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1107,     0,  1107,     0,     0,     0,     0,     0,     0,
       0,     0,  2039,     0,  1093,  2040,     0,     0,     0,  2041,
    2042,  2043,     0,     0,     0,     0,     0,     0,     0,   879,
       0,     0,     0,   746,     0,     0,  2044,     0,     0,  1058,
    1093,     0,     0,     0,  2046,     0,     0,     0,   606,     0,
       0,  2047,  1107,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2049,     0,     0,     0,     0,
    2050,     0,     0,     0,  2057,     0,  2048,   606,   606,     0,
       0,   606,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,  2052,     0,     0,   606,     0,     0,     0,
    3452,     0,  3452,   606,     0,     0,     0,  2053,   606,     0,
       0,   606,   606,     0,     0,     0,     0,     0,   606,   606,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   606,     0,   606,     0,     0,     0,
       0,   879,     0,   879,     0,     0,  2054,   606,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2055,     0,     0,  2056,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2058,     0,     0,  2059,  2060,  2061,
       0,  2062,  2063,  2064,  2065,  2066,  2067,  2049,     0,  1107,
     879,  4571,  2050,     0,     0,     0,     0,     0,     0,     0,
     606,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,  2052,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2053,
       0,     0,     0,     0,     0,     0,  3628,     0,   746,  1718,
       0,     0,     0,     0,   606,     0,     0,     0,     0,     0,
    2057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3641,  3641,     0,     0,     0,     0,     0,  2054,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1058,     0,
       0,     0,  2055,     0,     0,  2056,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1730,     0,     0,     0,
    5026,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   606,     0,  1107,     0,     0,     0,     0,
       0,  1747,   181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1755,     0,     0,   606,
    1107,     0,   606,     0,   606,     0,     0,     0,     0,   181,
    2058,     0,     0,  2059,  2060,  2061,     0,  2062,  2063,  2064,
    2065,  2066,  2067,   606,     0,     0,     0,  4826,     0,   606,
       0,     0,  2057,   606,     0,     0,     0,     0,     0,  1107,
       0,     0,     0,   606,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1058,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1718,     0,     0,     0,     0,     0,     0,
       0,     0,  1107,     0,     0,     0,     0,  1107,  1107,     0,
       0,     0,   606,     0,     0,     0,     0,   606,   606,   879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   879,     0,     0,     0,     0,     0,     0,
       0,     0,  2058,     0,     0,  2059,  2060,  2061,     0,  2062,
    2063,  2064,  2065,  2066,  2067,   606,     0,  3765,     0,  4836,
       0,     0,   606,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1481,     0,     0,     0,     0,
       0,  1482,     0,     0,     0,     0,     0,   606,  1548,     0,
       0,     0,  1481,     0,     0,     0,     0,     0,  1482,     0,
       0,  1971,     0,     0,     0,     0,     0,  1549,     0,     0,
       0,     0,  3804,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2031,  1484,  1107,  1107,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4149,     0,
    1484,  4154,     0,     0,   606,     0,     0,   606,     0,     0,
     606,     0,     0,     0,     0,     0,     0,  1550,     0,     0,
       0,   606,     0,   181,     0,   606,     0,   606,     0,   606,
       0,     0,     0,     0,     0,     0,   606,  1485,     0,     0,
    3844,     0,     0,     0,  1486,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,  1485,   606,     0,     0,     0,     0,
       0,  1486,     0,     0,  1487,     0,     0,     0,   746,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
    1718,     0,   879,     0,  3257,     0,     0,     0,     0,     0,
    1488,     0,  3927,     0,  2039,     0,     0,  2040,  3877,  3877,
       0,  2041,  2042,  2043,  1551,     0,     0,  1489,  3893,     0,
       0,     0,     0,     0,  1058,     0,  1058,     0,  2044,     0,
       0,     0,     0,     0,  1489,     0,  2046,     0,     0,     0,
       0,     0,   606,  2047,     0,     0,     0,     0,     0,     0,
    1481,   606,     0,     0,     0,     0,  1482,     0,     0,     0,
       0,     0,  1552,     0,  3452,  1553,     0,     0,  2048,     0,
       0,     0,  3949,     0,     0,     0,     0,   606,   606,   606,
    1554,     0,     0,     0,  1491,     0,   606,  1718,     0,     0,
    1107,  4005,     0,     0,  1492,     0,   606,  1587,  1484,     0,
       0,  1491,     0,  1493,     0,   879,  3984,  1058,     0,     0,
       0,  1492,     0,     0,  1555,  1494,     0,     0,   606,     0,
    1493,     0,     0,     0,     0,     0,     0,   612,     0,     0,
       0,   879,  1494,   662,   612,     0,     0,  1481,     0,   714,
       0,   612,     0,  1482,     0,     0,     0,   612,     0,   765,
       0,     0,  1485,  1556,     0,     0,  1496,  1497,  1557,  1486,
       0,     0,  1487,     0,     0,     0,     0,     0,   832,   832,
    1615,   606,   746,  1496,  1497,     0,     0,   606,     0,  2049,
    1558,     0,     0,     0,  2050,  1484,  1559,   606,  1488,  2347,
       0,     0,     0,   606,   606,   606,     0,     0,     0,     0,
    1560,     0,     0,  1616,     0,   606,  2051,  2052,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2053,  1489,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   879,     0,     0,  1485,
       0,  3612,     0,     0,     0,     0,  1486,     0,     0,  1487,
       0,     0,     0,     0,  1499,     0,     0,     0,     0,     0,
    2054,   606,     0,     0,     0,     0,     0,   606,     0,   181,
       0,  1499,     0,     0,  2055,  1488,     0,  2056,     0,     0,
       0,     0,     0,     0,     0,  1587,     0,     0,     0,  1491,
       0,     0,     0,     0,   606,   606,  4114,     0,     0,  1492,
       0,     0,     0,     0,     0,   606,     0,     0,  1493,  1489,
     606,     0,     0,     0,     0,     0,     0,   866,     0,  1718,
    1494,     0,     0,     0,     0,   908,     0,     0,   910,     0,
       0,   915,   916,     0,   919,     0,   922,     0,     0,   928,
     606,   930,     0,     0,     0,     0,     0,     0,     0,     0,
     606,     0,     0,     0,     0,     0,     0,     0,  2263,     0,
       0,  1496,  1497,     0,  2057,     0,     0,     0,   606,     0,
       0,     0,  1490,     0,     0,     0,  1491,     0,     0,     0,
       0,   606,     0,  1718,     0,     0,  1492,     0,     0,  2039,
       0,  2264,  2040,     0,     0,  1493,  2041,  2042,  2043,     0,
       0,  1718,  2474,   606,   606,     0,     0,  1494,     0,     0,
       0,     0,     0,  2044,     0,     0,     0,     0,     0,  2491,
       0,  2046,     0,     0,     0,     0,     0,     0,  2047,     0,
       0,     0,     0,     0,     0,     0,     0,  2510,     0,     0,
       0,     0,     0,     0,     0,  2340,     0,     0,  1496,  1497,
       0,     0,     0,  2048,     0,     0,     0,     0,     0,  1499,
     746,  3612,     0,     0,  2058,  3612,     0,  2059,  2060,  2061,
       0,  2062,  2063,  2064,  2065,  2066,  2067,     0,  2341,     0,
       0,  4845,     0,     0,     0,   746,     0,     0,     0,     0,
       0,     0,   746,  2591,     0,     0,   181,   181,     0,     0,
    3893,     0,     0,   746,     0,     0,  2599,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,     0,  4321,     0,     0,     0,     0,
       0,  2614,     0,  4330,     0,     0,  4331,     0,  4332,     0,
       0,     0,     0,     0,     0,     0,  1499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2049,     0,     0,     0,     0,  2050,
       0,     0,     0,     0,     0,  2643,  1093,     0,  1177,  1178,
       0,  4373,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2051,  2052,     0,     0,     0,     0,  3257,     0,  -130,
       0,  3257,  3257,     0,  3257,     0,  2053,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     1,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     2,
       0,     3,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2054,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     6,     0,     0,  2055,
       0,     0,  2056,     0,     0,     0,     0,   746,     7,     0,
       8,     9,     0,     0,     0,     0,     0,    10,     0,    11,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      12,     0,    13,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4480,     0,     0,  3893,     0,    14,
       0,     0,    15,     0,  2812,     0,     0,     0,     0,   746,
       0,     0,     0,     0,     0,     0,    16,     0,    17,     0,
       0,     0,    18,     0,     0,     0,     0,     0,    19,     0,
       0,     0,     0,     0,     0,     0,    20,     0,    21,  2057,
       0,  1010,     0,     0,     0,    22,     0,   181,  1023,  1024,
       0,     0,  1030,     0,  1033,  1034,     0,     0,     0,  1036,
       0,    23,     0,     0,     0,     0,     0,  4521,  4521,  4521,
    1055,  4521,  4521,  4521,  4521,  4521,     0,     0,    24,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   858,   860,     0,     0,   864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1132,
       0,  1134,     0,     0,     0,     0,   921,     0,    25,    26,
       0,  1150,     0,   931,    27,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    28,     0,     0,  2058,
       0,     0,  2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,
    2066,  2067,     0,   612,    29,     0,  4848,  2039,     0,     0,
    2040,     0,     0,     0,  2041,  2042,  2043,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2044,  3612,     0,     0,     0,     0,  3612,     0,  2046,
    3612,     0,     0,     0,     0,     0,  2047,    30,     0,     0,
       0,     0,     0,  4610,     0,  4612,     0,     0,  3013,     0,
       0,    31,     0,     0,     0,     0,     0,    32,    33,     0,
      34,  2048,  3030,     0,     0,    35,     0,     0,     0,     0,
      36,     0,     0,    37,     0,     0,     0,     0,   832,     0,
      38,  2039,     0,     0,  2040,   746,    39,    40,  2041,  2042,
    2043,   746,     0,     0,    41,   746,     0,     0,    42,     0,
       0,     0,     0,  3063,     0,  2044,     0,     0,    43,     0,
       0,     0,     0,  2046,  1442,     0,     0,     0,     0,     0,
    2047,  4689,  4690,    44,     0,     0,  4693,  4694,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    45,     0,  2048,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,    48,     0,     0,     0,     0,
       0,     0,  2049,     0,     0,     0,     0,  2050,    49,     0,
       0,     0,     0,     0,     0,     0,     0,  1618,     0,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,  2051,
    2052,    50,  2039,     0,     0,  2040,     0,     0,  1729,  2041,
    2042,  2043,     0,     0,  2053,    51,     0,     0,  -130,     0,
    1740,     0,     0,     0,     0,  1743,  2044,     0,   181,  4716,
    4717,     0,     0,     0,  2046,  1746,     0,     0,     0,     0,
    1750,  2047,  3257,     0,  3257,  3257,     0,     0,  3257,  1753,
       0,     0,     0,  2054,  1760,     0,  2049,  1764,     0,  1481,
       0,  2050,     0,     0,     0,  1482,  2048,  2055,     0,     0,
    2056,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,  2052,     0,     0,     0,     0,     0,
       0,     0,  3612,     0,     0,     0,     0,     0,  2053,  1818,
       0,     0,  2031,     0,     0,     0,  3283,  1484,     0,     0,
       0,     0,  4776,     0,     0,   884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   918,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2054,   937,     0,
       0,     0,     0,     0,     0,   872,   881,     0,     0,     0,
    4803,  2055,     0,   872,  2056,   881,   872,  2057,     0,     0,
       0,  1485,     0,     0,  1001,     0,  1004,     0,  1486,   881,
    1007,  1487,     0,     0,     0,     0,     0,  2049,     0,     0,
       0,     0,  2050,     0,  1032,  4521,     0,     0,     0,     0,
       0,  1037,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,  2051,  2052,     0,     0,     0,     0,
       0,     0,     0,     0,   612,     0,   612,     0,   612,  2053,
     612,     0,   612,   612,   612,     0,     0,     0,     0,   612,
       0,  1489,     0,     0,     0,     0,  3612,     0,     0,     0,
    1966,  2057,     0,     0,     0,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,  1979,     0,  2058,  2054,     0,
    2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,  2066,  2067,
       0,     0,  2055,     0,  4895,  2056,     0,     0,     0,     0,
       0,     0,     0,  1481,     0,     0,     0,     0,     0,  1482,
       0,     0,     0,     0,  1587,     0,     0,     0,  1491,   746,
       0,     0,     0,     0,     0,     0,     0,     0,  1492,     0,
    3465,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,   181,     0,     0,     0,     0,  3477,     0,  1494,
       0,  1484,     0,     0,     0,     0,     0,     0,     0,  3893,
       0,  2058,  3485,     0,  2059,  2060,  2061,     0,  2062,  2063,
    2064,  2065,  2066,  2067,     0,     0,     0,     0,  4930,     0,
       0,     0,  2057,     0,     0,     0,     0,  3058,     0,     0,
    1496,  1497,  2039,     0,     0,  2040,     0,     0,     0,  2041,
    2042,  2043,     0,     0,  3257,  1485,     0,     0,     0,     0,
       0,     0,  1486,  4965,     0,  1487,  2044,     0,     0,     0,
    1498,     0,     0,     0,  2046,     0,     0,     0,     0,     0,
       0,  2047,     0,     0,     0,     0,   832,  2039,     0,     0,
    2040,  1488,     0,     0,  2041,  2042,  2043,     0,     0,     0,
       0,  1513,  1514,     0,     0,     0,  2048,     0,     0,     0,
       0,  2044,     0,     0,     0,     0,  1481,     0,     0,  2046,
       0,     0,  1482,     0,     0,  1489,  2047,     0,     0,     0,
       0,     0,  2058,     0,     0,  2059,  2060,  2061,  1499,  2062,
    2063,  2064,  2065,  2066,  2067,     0,     0,     0,     0,  4972,
       0,  2048,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1484,     0,     0,  2261,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,   951,
    1749,     0,  1492,     0,     0,   999,     0,     0,     0,     0,
       0,  1493,     0,     0,   181,     0,     0,  2049,  1485,     0,
       0,     0,  2050,  1494,     0,  1486,     0,     0,  1487,  1771,
    1772,     0,     0,     0,     0,     0,     0,     0,     0,  2352,
       0,   181,     0,   746,  2051,  2052,     0,     0,     0,     0,
     881,     0,     0,     0,  1488,  1813,   881,     0,     0,  2053,
       0,  3233,  2049,     0,  1496,  1497,     0,  2050,     0,   881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1058,  3696,   881,     0,  5146,  1489,  2051,
    2052,     0,     0,     0,  3234,     0,     0,     0,  2054,   872,
     881,     0,     0,  3707,  2053,     0,   872,     0,   881,   872,
       0,     0,  2055,     0,     0,  2056,     0,     0,     0,  5485,
       0,     0,   881,     0,     0,     0,     0,     0,     0,  1882,
    1884,     0,   881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2054,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,  1491,     0,  2055,     0,     0,
    2056,     0,  1499,     0,     0,  1492,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,  1330,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3789,     0,
    3791,  1353,  2057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   881,     0,     0,
     181,     0,  5281,  1377,  3718,     0,     0,  1496,  1497,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,  2040,
       0,   881,     0,  2041,  2042,  2043,     0,  2057,     0,     0,
       0,     0,     0,     0,   881,     0,     0,  3719,     0,     0,
    2044,     0,     0,     0,     0,     0,     0,     0,  2046,  1512,
       0,     0,  1058,     0,     0,  2047,  5287,     0,  5288,     0,
       0,     0,  5293,  5294,     0,     0,  2514,     0,     0,     0,
       0,  3842,     0,     0,     0,     0,     0,     0,     0,     0,
    2048,     0,  2058,     0,     0,  2059,  2060,  2061,     0,  2062,
    2063,  2064,  2065,  2066,  2067,     0,     0,     0,     0,  5275,
       0,     0,     0,     0,     0,  1499,     0,     0,     0,     0,
       0,     0,  3864,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2058,     0,     0,
    2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,  2066,  2067,
       0,     0,     0,  1720,  5298,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   872,     0,     0,     0,     0,     0,   872,     0,     0,
     872,     0,     0,     0,     0,  1769,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2049,     0,  2641,     0,  2642,  2050,     0,     0,     0,
       0,     0,     0,     0,  1807,  1810,  1811,     0,     0,     0,
    3063,     0,  2653,     0,  2654,     0,     0,     0,  2051,  2052,
       0,     0,     0,     0,     0,     0,     0,     0,   612,     0,
     612,     0,   612,  2053,   612,     0,   612,     0,     0,     0,
     612,     0,     0,     0,     0,  4000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2281,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2054,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2320,     0,     0,     0,  2055,     0,     0,  2056,
       0,     0,     0,     0,     0,     0,  1058,     0,     0,     0,
       0,     0,  2039,     0,     0,  2040,     0,     0,     0,  2041,
    2042,  2043,     0,     0,     0,     0,     0,     0,     0,   881,
       0,     0,     0,     0,     0,     0,  2044,     0,     0,     0,
       0,     0,     0,     0,  2046,     0,     0,   881,     0,  5508,
       0,  2047,     0,     0,     0,     0,     0,     0,     0,     0,
    1330,  4059,     0,     0,     0,   881,     0,     0,     0,  2402,
       0,     0,     0,     0,     0,     0,  2048,     0,  1978,     0,
       0,     0,     0,     0,  4069,     0,  2057,  1330,     0,  5509,
       0,     0,     0,   881,     0,     0,  2425,  2426,  2427,  2428,
       0,     0,     0,  2039,   881,     0,  2040,     0,     0,  4092,
    2041,  2042,  2043,  5508,     0,     0,     0,     0,     0,     0,
     881,     0,     0,     0,   881,     0,     0,  2044,     0,     0,
       0,  5508,     0,     0,     0,  2046,     0,     0,     0,     0,
       0,     0,  2047,     0,     0,  1971,     0,     0,     0,     0,
       0,     0,     0,  5509,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2048,     0,     0,
       0,  5509,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2948,  2949,     0,     0,     0,  2058,  2049,     0,  2059,
    2060,  2061,  2050,  2062,  2063,  2064,  2065,  2066,  2067,     0,
    2964,  2965,     0,  5403,     0,  2968,  2969,     0,     0,     0,
    2972,     0,     0,     0,  2051,  2052,     0,     0,     0,     0,
       0,     0,     0,     0,  2983,  2110,     0,     0,     0,  2053,
       0,  2992,     0,     0,     0,  2995,  2996,  2480,  2481,  2999,
    3000,     0,     0,   881,     0,     0,  3005,     0,     0,     0,
       0,   881,   881,     0,     0,     0,     0,  2504,     0,     0,
       0,  3024,     0,  3026,     0,   881,     0,     0,  2054,     0,
       0,  2165,     0,     0,     0,     0,     0,     0,  2049,     0,
       0,  3049,  2055,  2050,     0,  2056,  3051,     0,     0,     0,
       0,     0,  2549,  2550,  2551,  2552,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,  2051,  2052,     0,     0,     0,
    3064,     0,     0,  3068,     0,  3070,  3073,  3075,  1720,     0,
    2053,     0,  3083,  3086,     0,     0,     0,     0,     0,     0,
       0,     0,  3099,     0,     0,     0,     0,  3108,     0,     0,
       0,  3111,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2293,     0,     0,     0,     0,  3128,  2054,
       0,     0,  2316,     0,  3137,  3138,     0,     0,     0,     0,
       0,  3143,  2057,  2055,     0,     0,  2056,     0,     0,     0,
       0,  3157,  3158,     0,     0,     0,     0,  3162,     0,     0,
       0,     0,     0,     0,  2353,     0,     0,     0,     0,  3169,
       0,     0,  3172,     0,     0,     0,     0,  3175,     0,     0,
    2651,     0,     0,  3178,  3179,     0,  2655,  2376,     0,  3183,
    2379,     0,  3187,     0,     0,     0,  3194,  3195,  3196,  3197,
       0,  3199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3224,  3225,   880,  3227,     0,     0,
       0,     0,     0,     0,     0,   880,     0,     0,  3236,  3237,
    3238,     0,     0,  2057,     0,     0,     0,     0,     0,   880,
       0,     0,  2058,  2429,     0,  2059,  2060,  2061,     0,  2062,
    2063,  2064,  2065,  2066,  2067,     0,     0,  2448,     0,  5472,
       0,     0,  4429,     0,     0,     0,  2039,     0,     0,  2040,
       0,     0,     0,  2041,  2042,  2043,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   881,     0,     0,     0,     0,
    2044,  3291,     0,     0,     0,     0,     0,     0,  2046,     0,
       0,     0,     0,     0,     0,  2047,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2822,  3328,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2048,     0,     0,  2058,     0,     0,  2059,  2060,  2061,     0,
    2062,  2063,  2064,  2065,  2066,  2067,     0,     0,     0,     0,
    5528,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2472,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2523,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1720,     0,     0,     0,     0,     0,     0,
       0,  2049,     0,     0,     0,     0,  2050,     0,  2566,     0,
       0,     0,     0,     0,     0,  2579,  1971,   881,     0,     0,
       0,     0,     0,     0,     0,   881,     0,     0,  2051,  2052,
       0,  2039,     0,     0,  2040,     0,     0,   881,  2041,  2042,
    2043,     0,     0,  2053,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2044,     0,     0,     0,  2904,
       0,     0,     0,  2046,     0,     0,     0,     0,     0,     0,
    2047,     0,  3011,  3012,     0,     0,     0,     0,     0,     0,
       0,  3488,  2054,  3025,     0,  3027,     0,     0,     0,  3031,
       0,     0,     0,     0,     0,  2048,  2055,     0,     0,  2056,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   872,
     872,     0,   881,   881,     0,     0,     0,     0,     0,     0,
       0,  2658,     0,     0,   872,     0,   881,   872,     0,     0,
       0,     0,     0,  4652,     0,     0,     0,     0,     0,   881,
     881,     0,     0,     0,  2905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   881,     0,     0,     0,     0,
       0,  1330,  1330,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4675,     0,     0,     0,  2709,     0,
       0,     0,     0,     0,     0,     0,  2057,   872,     0,     0,
     872,   872,     0,     0,     0,     0,  4691,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2049,     0,     0,     0,
     880,  2050,     0,     0,     0,     0,   880,     0,     0,  3168,
       0,     0,  3171,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,  2051,  2052,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   880,     0,     0,  2053,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     880,     0,     0,     0,  4718,     0,     0,     0,   880,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2877,     0,
    1720,     0,   880,     0,     0,     0,  2058,  2054,  2883,  2059,
    2060,  2061,   880,  2062,  2063,  2064,  2065,  2066,  2067,     0,
       0,  2055,     0,  5542,  2056,  3260,     0,     0,     0,     0,
       0,     0,     0,  3267,     0,     0,  3270,  1377,     0,     0,
       0,     0,  3272,     0,     0,     0,     0,     0,  1377,  1377,
       0,     0,     0,  3284,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3693,     0,     0,     0,  3695,     0,     0,
     881,     0,     0,  3697,     0,     0,     0,     0,     0,     0,
       0,     0,  1330,     0,     0,     0,     0,     0,     0,     0,
       0,  3708,  3710,     0,  3330,     0,  3710,   880,     0,     0,
       0,  3721,  3722,  3723,     0,     0,  4808,     0,     0,     0,
       0,  2057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   880,  3353,     0,     0,     0,   881,     0,     0,     0,
       0,     0,     0,     0,   880,     0,     0,  3752,  3753,  3754,
    3755,     0,     0,     0,   881,     0,     0,     0,     0,  1720,
     881,     0,     0,     0,   881,  1971,     0,     0,     0,     0,
       0,     0,   881,     0,     0,     0,     0,     0,     0,     0,
       0,  2906,     0,     0,  3773,     0,  3777,  3778,  3779,     0,
     881,  3420,     0,  3422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   872,     0,     0,   872,   872,     0,     0,     0,
       0,  2058,     0,     0,  2059,  2060,  2061,     0,  2062,  2063,
    2064,  2065,  2066,  2067,     0,   881,  3067,     0,     0,  2039,
       0,     0,  2040,     0,     0,     0,  2041,  2042,  2043,     0,
       0,  3089,     0,  1719,     0,   881,   881,  2039,     0,     0,
    2040,     0,     0,  2044,  2041,  2042,  2043,     0,     0,     0,
       0,  2046,  3116,     0,     0,     0,     0,     0,  2047,     0,
       0,  2044,     0,     0,     0,     0,  1720,   881,     0,  2046,
    1720,     0,     0,     0,     0,     0,  2047,     0,     0,     0,
    3852,  3487,     0,  2048,     0,     0,     0,     0,     0,  3858,
       0,     0,     0,   881,     0,  1720,     0,     0,     0,   881,
       0,  2048,     0,     0,     0,     0,   881,     0,     0,     0,
       0,     0,     0,   881,     0,     0,   881,     0,     0,     0,
    3872,     0,   881,     0,     0,     0,     0,     0,  3192,  3193,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   881,  3915,     0,     0,     0,     0,   881,     0,
       0,     0,     0,   881,     0,     0,  1720,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   881,     0,     0,     0,
    3540,     0,     0,     0,     0,  3541,     0,     0,     0,   881,
       0,     0,     0,     0,  1720,     0,     0,     0,     0,     0,
     881,     0,     0,     0,  2049,  3952,     0,     0,     0,  2050,
    3958,     0,     0,     0,     0,     0,     0,     0,     0,   880,
       0,     0,  2049,     0,     0,     0,     0,  2050,     0,     0,
       0,  2051,  2052,     0,     0,     0,     0,   880,     0,     0,
       0,     0,     0,  1971,  3997,  3317,  2053,     0,     0,  2051,
    2052,     0,     0,     0,     0,   880,     0,     0,     0,     0,
       0,     0,     0,     0,  2053,     0,  1720,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3842,   880,     0,  2054,     0,  4016,     0,  4017,
       0,     0,     0,     0,   880,     0,     0,     0,     0,  2055,
       0,     0,  2056,  2054,     0,     0,     0,     0,     0,     0,
     880,     0,     0,     0,   880,     0,     0,  2055,     0,     0,
    2056,     0,     0,     0,     0,     0,     0,     0,     0,  4041,
       0,     0,     0,     0,     0,  1971,     0,     0,     0,     0,
    1971,  1971,     0,     0,  4105,     0,     0,   881,     0,  2039,
       0,     0,  2040,     0,     0,     0,  2041,  2042,  2043,     0,
       0,     0,     0,     0,     0,     0,  3699,     0,  3700,  3701,
    3702,     0,     0,  2044,     0,     0,  3497,     0,     0,     0,
       0,  2046,     0,     0,     0,     0,     0,     0,  2047,  2057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   881,     0,     0,     0,  2057,     0,     0,
       0,     0,     0,  2048,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4106,     0,     0,     0,     0,     0,
       0,     0,     0,   880,     0,     0,     0,     0,     0,     0,
       0,   880,   880,     0,     0,   881,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   880,     0,     0,  5214,     0,
       0,     0,     0,   881,     0,     0,     0,     0,     0,     0,
       0,   881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   872,     0,     0,   872,     0,     0,   872,     0,  2058,
       0,     0,  2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,
    2066,  2067,     0,     0,     0,     0,     0,  2058,  1719,     0,
    2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,  2066,  2067,
       0,     0,     0,     0,  2049,     0,     0,     0,     0,  2050,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4237,     0,
    4238,  2051,  2052,     0,  1720,     0,     0,  4240,     0,     0,
    1720,     0,     0,     0,     0,     0,  2053,     0,     0,     0,
       0,     0,     0,  4250,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4256,     0,     0,     0,  4259,
       0,     0,     0,     0,     0,  3604,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2054,     0,  4281,     0,  3865,
       0,     0,     0,     0,     0,     0,     0,     0,  1377,  2055,
       0,     0,  2056,     0,     0,  4285,     0,     0,     0,     0,
    4289,     0,     0,  1481,     0,     0,     0,     0,     0,  1482,
       0,     0,   881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5360,     0,  4324,     0,     0,     0,  4328,
       0,     0,     0,     0,     0,     0,     0,  4333,  4334,  4335,
    4336,     0,     0,     0,     0,     0,  4341,  4342,  4343,  4344,
       0,  1484,     0,  4346,  4347,     0,     0,     0,     0,  4354,
    4355,     0,  4357,  4358,  4359,  4360,  4361,  4362,  4363,     0,
       0,     0,     0,     0,     0,   880,     0,     0,  4372,  2057,
       0,     0,  4375,  4376,  4377,  4378,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   881,   881,     0,     0,  1485,     0,     0,  3710,     0,
       0,     0,  1486,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4401,   881,     0,
       0,   881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4020,     0,     0,     0,     0,
    2039,     0,     0,  2040,     0,     0,     0,  2041,  2042,  2043,
       0,     0,     0,     0,     0,  1489,     0,     0,     0,  2058,
       0,     0,  2059,  2060,  2061,     0,  2062,  2063,  2064,  2065,
    2066,  2067,  2046,     0,     0,     0,     0,     0,  2039,  2047,
       0,  2040,     0,     0,     0,  2041,  2042,  2043,     0,     0,
       0,     0,     0,     0,     0,  1720,  1720,  1720,     0,     0,
       0,     0,  2044,  1719,  2048,  3795,     0,  3710,     0,     0,
    2046,     0,     0,     0,     0,     0,     0,  2047,  1587,   881,
       0,     0,  1491,     0,     0,     0,     0,   880,     0,     0,
       0,     0,  1492,     0,     0,   880,     0,     0,     0,   881,
       0,  1493,  2048,     0,  4515,     0,     0,   880,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,   881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1106,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3774,     0,     0,  1496,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1106,     0,     0,     0,
       0,     0,     0,     0,     0,  2049,     0,     0,     0,     0,
    2050,     0,   880,   880,  3775,     0,     0,     0,  5433,     0,
       0,     0,     0,     0,     0,     0,   880,     0,     0,     0,
       0,     0,  2051,  2052,   881,     0,     0,     0,     0,   880,
     880,     0,     0,  2049,     0,     0,     0,  2053,  2050,     0,
       0,     0,     0,     0,     0,   880,     0,     0,     0,     0,
       0,     0,  3918,  3919,  3920,     0,     0,     0,     0,     0,
    2051,  2052,     0,     0,     0,     0,     0,     0,     0,  3929,
       0,  1720,  1499,     0,     0,  2053,  2054,     0,   881,     0,
     881,     0,     0,  4243,  4244,  4245,  4246,     0,     0,     0,
    2055,     0,  3945,   881,     0,   881,     0,     0,     0,     0,
       0,     0,  3955,  3957,     0,     0,     0,  3962,     0,     0,
       0,     0,     0,     0,  2054,     0,     0,  1720,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2055,     0,
       0,  2056,     0,     0,     0,     0,  4655,     0,     0,     0,
    4656,  4657,  4658,  4659,     0,     0,     0,  4661,     0,     0,
       0,     0,     0,  5434,     0,     0,     0,     0,     0,     0,
       0,   881,     0,     0,     0,     0,     0,     0,     0,     0,
    1719,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2057,  4681,  4682,  4683,  4684,  4685,     0,  4687,  4688,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4697,
    4698,  1105,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   881,     0,  2057,     0,
       0,     0,  4040,     0,     0,  1330,  1634,  1105,     0,  4703,
       0,     0,     0,     0,   881,     0,     0,     0,     0,     0,
     880,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   881,     0,     0,   881,
       0,     0,  4397,     0,     0,     0,     0,  1106,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4400,     0,     0,
    2058,     0,  1106,  2059,  2060,  2061,     0,  2062,  2063,  2064,
    2065,  2066,  2067,     0,     0,     0,   880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,     0,     0,  2058,  1719,
     880,  2059,  2060,  2061,   880,  2062,  2063,  2064,  2065,  2066,
    2067,     0,   880,  4767,     0,     0,     0,     0,     0,     0,
       0,  1720,     0,     0,     0,     0,     0,     0,     0,     0,
     880,     0,     0,     0,     0,     0,     0,     0,  4146,  4147,
    4148,     0,     0,  1306,  1306,     0,     0,  1106,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4820,     0,   880,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   880,   880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1719,   880,     0,     0,
    1719,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   880,     0,  1719,     0,  1106,     0,   880,
       0,     0,     0,  1105,     0,     0,   880,     0,     0,     0,
       0,     0,     0,   880,     0,     0,   880,     0,   881,     0,
       0,     0,   880,     0,     0,   612,     0,     0,  1105,     0,
       0,     0,     0,  1631,  1635,     0,     0,     0,     0,     0,
       0,     0,   880,  1105,     0,     0,     0,     0,   880,     0,
       0,     0,     0,   880,     0,     0,  1719,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   880,     0,  1720,     0,
       0,     0,     0,  1720,     0,  1720,     0,     0,     0,   880,
       0,     0,     0,     0,  1719,     0,     0,     0,     0,  4919,
     880,     0,     0,     0,     0,     0,     0,     0,  1720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4929,     0,
       0,     0,     0,  4934,  4935,     0,     0,     0,  1720,     0,
       0,     0,     0,  4946,     0,     0,     0,     0,  1105,     0,
    4948,     0,     0,     0,   881,     0,     0,   881,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1719,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4998,     0,  4398,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4411,
       0,     0,     0,     0,     0,     0,  5015,     0,  5017,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5033,     0,     0,     0,  2188,     0,     0,
    4442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3710,     0,     0,     0,     0,     0,   881,
     881,  5054,     0,     0,     0,     0,     0,   880,  1105,   881,
       0,     0,     0,  2579,     0,     0,     0,     0,     0,     0,
    4711,     0,     0,     0,     0,     0,     0,     0,   881,     0,
    2039,     0,     0,  2040,     0,  4715,     0,  2041,  2042,  2043,
       0,     0,     0,     0,  2188,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2044,     0,     0,     0,     0,     0,
       0,     0,  2046,   880,  2658,     0,  5093,     0,     0,  2047,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1106,     0,  5110,  1995,     0,
       0,     0,     0,     0,  2048,     0,     0,     0,     0,  5118,
       0,     0,     0,     0,     0,   880,   881,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1106,  2010,
       0,     0,     0,   880,     0,     0,     0,     0,  4781,     0,
       0,   880,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2028,  2029,  2030,
       0,  2032,  2095,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5177,     0,     0,     0,     0,     0,
       0,  2074,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4578,  4579,  4580,  4581,     0,
       0,     0,     0,     0,     0,  1634,  1634,  1634,     0,     0,
       0,     0,     0,     0,     0,  2049,     0,     0,     0,     0,
    2050,     0,     0,     0,  1719,     0,     0,     0,  1105,     0,
    1719,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3710,     0,  2051,  2052,     0,     0,     0,     0,     0,  2132,
       0,     0,     0,  2144,  2149,     0,     0,  2053,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1105,  2054,     0,     0,     0,
    5263,     0,     0,     0,     0,     0,     0,     0,  1106,     0,
    2055,     0,   880,  2056,     0,  5276,     0,     0,  4900,     0,
    4901,     0,     0,     0,     0,  1106,     0,     0,     0,     0,
       0,  3513,     0,     0,     0,     0,  1105,     0,     0,     0,
       0,     0,   881,  1106,     0,     0,     0,  1720,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1481,     0,  5305,
       0,     0,     0,  1482,     0,     0,     0,     0,     0,  1105,
    1548,     0,     0,     0,  5316,     0,     0,     0,     0,     0,
       0,     0,   881,     0,     0,     0,     0,     0,     0,  1549,
       0,     0,     0,     0,   881,     0,     0,     0,     0,  1106,
    2057,   880,   880,     0,     0,  1484,     0,     0,     0,     0,
       0,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   881,  1106,     0,     0,   880,     0,
       0,   880,     0,     0,     0,     0,     0,  1106,     0,  1550,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5377,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,  1486,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5038,  1106,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1631,  1631,  1631,  1488,     0,     0,     0,  5399,
    2058,     0,     0,  2059,  2060,  2061,     0,  2062,  2063,  2064,
    2065,  2066,  2067,     0,     0,  1719,  1719,  1719,     0,     0,
       0,     0,     0,   881,     0,     0,  1551,     0,     0,  1489,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,     0,     0,     0,     0,  4810,     0,  1105,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,     0,     0,     0,  1105,     0,     0,     0,
       0,     0,     0,     0,  1552,     0,     0,  1553,   880,     0,
       0,     0,     0,     0,  1105,     0,     0,  5465,     0,     0,
       0,     0,  1554,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,   881,     0,     0,  1492,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
    1106,     0,  5133,     0,  5135,     0,  1555,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1105,     0,  2039,     0,     0,  2040,     0,     0,     0,  2041,
    2042,  2043,     0,  1105,     0,     0,     0,     0,  1634,     0,
       0,     0,     0,     0,   880,  3163,  1105,     0,  1496,  1497,
    1557,     0,     0,     0,  2046,     0,     0,     0,  1105,     0,
       0,  2047,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1558,     0,     0,     0,     0,     0,  3164,     0,
       0,     0,     0,     0,     0,     0,  2048,     0,     0,     0,
       0,  1719,  1560,     0,     0,   881,     0,   881,   880,     0,
     880,     0,  1105,  1105,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   880,     0,   880,     0,     0,     0,     0,
       0,     0,     0,     0,  2039,     0,     0,  2040,     0,     0,
       0,  2041,  2042,  2043,     0,     0,     0,  1719,  2952,     0,
       0,     0,  2188,  2958,   881,     0,  1499,     0,  2044,     0,
       0,  3545,     0,     0,   872,     0,  2046,     0,     0,     0,
       0,     0,     0,  2047,     0,     0,     0,     0,     0,  4970,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   880,     0,     0,  4983,     0,     0,     0,  2048,  1330,
       0,     0,     0,  1720,     0,     0,     0,  2049,   872,     0,
       0,  1096,  2050,     0,  1106,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5020,     0,  1098,  1106,     0,
       0,     0,     0,     0, -2668, -2668,     0,  1096,     0,     0,
       0,     0,     0,     0,     0,     0,   880,     0,     0,  2053,
    5312,  1105,     0,  1098,  2752,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,  2772,     0,  2773,  1106,
    2775,     0,     0,  2787,  2790,  2795,     0,     0,     0,     0,
    2801,     0,     0,  2806,     0,     0,   880,     0, -2668,   880,
       0,     0,     0,     0,     0,     0,     0,     0,  2813,  2814,
    2815,  2816,  2055,     0,     0,     0,  2823,     0,     0,  2049,
    2841,     0,     0,  2843,  2050,     0,  2850,  2851,  2852,  2853,
    2854,  2855,  2856,  2857,  2858,     0,  2859,     0,     0,     0,
       0,     0,     0,  1306,     0,  1631,  2051,  2052,     0,     0,
       0,     0,     0,     0,     0,     0,  5106,     0,     0,     0,
       0,  2053,  5383,     0,     0,     0,  2039,     0,     0,  2040,
       0,     0,     0,  2041,  2042,  2043,     0,     0,     0,     0,
       0,  1719,     0,     0,     0,     0,     0,     0,  2896,     0,
    2044,     0,     0,     0,     0,     0,     0,  1720,  2046,  1105,
    2054,     0,  2057,  1105,  1105,  2047,     0,     0,     0,     0,
       0,     0,  2029,  2030,  2055,     0,     0,  2056,     0,     0,
       0,     0,     0,   881,     0,     0,     0,     0,     0,     0,
    2048,     0,     0,     0,     0,     0,     0,   881,     0,     0,
       0,     0,     0,     0,     0,  1634,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5184,     0,     0,  5458,
       0,     0,     0,     0,     0,  1105,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1105,
       0,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,  5474,  5474,     0,     0,  2997,     0,     0,     0,     0,
       0,     0,  2058,  1096,  2057,  2059,  2060,  2061,     0,  2062,
    2063,  2064,  2065,  2066,  2067,     0,     0,     0,     0,  1098,
    1105,     0,  3550,     0,     0,     0,     0,     0,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   880,     0,
       0,  2049,     0,  1096,  1098,     0,  2050,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
       0,     0,     0,     0,  2188,     0,     0,  2188,  2051,  2052,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2053,     0,     0,     0,     0,  1719,     0,
       0,     0,     0,  1719,  5474,  1719,     0,     0,     0,     0,
       0,     0,     0,     0,  2058,     0,     0,  2059,  2060,  2061,
       0,  2062,  2063,  2064,  2065,  2066,  2067,     0,  1719,     0,
       0,     0,  2054,     0,  1720,     0,   881,     0,  1096,     0,
       0,     0,     0,     0,     0,     0,  2055,     0,  1719,  2056,
       0,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,     0,   880,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2039,     0,     0,  2040,     0,     0,     0,
    2041,  2042,  2043,     0,     0,     0,  1106,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2044,     0,     0,
    3556,     0,     0,  1106,     0,  2046,     0,     0,     0,     0,
       0,     0,  2047,     0,     0,     0,     0,     0,  1106,     0,
       0,  1720,     0,  1105,     0,     0,  2057,     0,     0,     0,
    3248,  3249,  1631,     0,     0,     0,  3253,  2048,  1096,   881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   880,
     880,     0,   872,     0,  1098,     0,     0,     0,     0,   880,
       0,     0,     0,     0,     0,   881,     0,     0,  3282,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   880,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1105,     0,     0,  1105,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2058,   872,   872,  2059,
    2060,  2061,     0,  2062,  2063,  2064,  2065,  2066,  2067,     0,
       0,     0,     0,     0,     0,     0,     0,  1858,  2049,     0,
       0,     0,     0,  2050,     0,     0,   880,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1876,     0,     0,
     881,     0,     0,     0,     0,  2051,  2052,  1887,     0,     0,
       0,  1890,     0,     0,     0,  1893,     0,  1895,     0,     0,
    2053,     0,     0,  1903,     0,     0,     0,     0,     0,  1911,
       0,     0,  1914,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1105,     0,  2054,
       0,  2188,     0,     0,  2958,     0,  2958,     0,     0,     0,
       0,  2188,     0,  2055,  1105,     0,  2056,     0,  1096,     0,
       0,     0,     0,  1720,     0,     0,     0,     0,     0,  1105,
       0,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1106,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1106,
       0,     0,     0,     0,     0,  1096,  3493,  1720,     0,     0,
       0,  3499,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,  2057,  2188,  1720,     0,   872,   872,     0,
       0,     0,     0,     0,     0,     0,     0,  2032,     0,     0,
       0,     0,     0,     0,     0,     0,  1096,     0,  2795,  2039,
    2795,  2795,  2040,     0,     0,     0,  2041,  2042,  2043,     0,
       0,  3559,  1098,     0,  3562,     0,  3564,     0,     0,     0,
       0,     0,   880,  2044,     0,     0,     0,  1719,     0,  1096,
       0,  2046,     0,     0,     0,     0,     0,     0,  2047,     0,
       0,     0,     0,     0,  1106,  1098,  1106,     0,     0,     0,
       0,  3585,     0,  3588,     0,  3590,     0,     0,     0,     0,
       0,     0,   880,  2048,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2058,   880,     0,  2059,  2060,  2061,     0,
    2062,  2063,  2064,  2065,  2066,  2067,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,     0,     0,     0,     0,
    2132,     0,  1105,     0,     0,  1105,     0,  1105,     0,     0,
       0,     0,  1105,     0,     0,  2149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1106,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2039,     0,     0,  2040,     0,     0,     0,
    2041,  2042,  2043,     0,  1634,     0,     0,  1099,     0,     0,
    1634,  1105,     0,     0,  2049,     0,     0,  2044,  1106,  2050,
    4112,     0,     0,     0,     0,  2046,     0,     0,     0,  3679,
    1105,     0,  2047,  1099,     0,     0,     0,     0,     0,     0,
       0,  2051,  2052,   880,     0,     0,     0,  2958,     0,  1096,
       0,     0,     0,     0,     0,  1105,  2053,  2048,     0,     0,
       0,     0,     0,     0,     0,  1098,  1096,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1098,     0,  1096,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2054,     0,     0,     0,     0,
    1098,     0,     0,     0,     0,     0,     0,     0,     0,  2055,
       0,     0,  2056,     0,     0,     0,  1106,     0,     0,     0,
       0,     0,     0,   880,     0,  1105,     0,  1105,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2958,     0,     0,
    1096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1106,     0,  1096,     0,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1096,     0,  2049,  1098,
       0,     0,     0,  2050,     0,     0,     0,     0,  1096,     0,
       0,     0,  1098,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,  2051,  2052,     0,     0,  2057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2053,     0,     0,     0,     0,     0,     0,     0,  1105,     0,
       0,     0,  1096,  1096,     0,     0,     0,     0,     0,     0,
       0,  4056,     0,     0,     0,   880,     0,   880,  1098,  1098,
       0,     0,     0,     0,  1101,     0,     0,     0,     0,  2054,
       0,     0,     0,     0,     0,     0,     0,  1106,     0,  1105,
       0,     0,     0,  2055,     0,     0,  2056,     0,     0,     0,
    1101,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1106,     0,     0,     0,   880,     0,     0,     0,  1105,  1099,
       0,  1631,     0,     0,     0,     0,     0,  1631,     0,  2058,
       0,     0,  2059,  2060,  2061,  1106,  2062,  2063,  2064,  2065,
    2066,  2067,     0,     0,  1099,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,     0,  1719,     0,     0,     0,     0,     0,     0,
       0,  1106,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2057,     0,     0,     0,  1105,     0,     0,
       0,  1096,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1098,  1105,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1105,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1099,  2630,     0,     0,     0,     0,
       0,     0,     0,  2637,     0,     0,     0,     0,     0,     0,
    2188,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2058,     0,     0,  2059,  2060,  2061,     0,
    2062,  2063,  2064,  2065,  2066,  2067,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1105,  1096,
       0,     0,     0,  1096,  1096,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1098,     0,  1719,     0,  1098,
    1098,  1105,     0,     0,  1099,     0,  1101,     0,     0,  2958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4057,     0,   880,     0,     0,  1105,     0,     0,     0,
    4061,  1101,     0,     0,  2958,     0,     0,   880,  4063,     0,
    4064,     0,     0,     0,     0,  1096,  1101,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1096,
       0,  1098,  1105,     0,     0,  1102,     0,  4088,  4089,     0,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2801,     0,     0,     0,     0,
       0,  1102,     0,  4115,     0,     0,  4118,     0,  4120,     0,
    1096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4125,     0,     0,     0,     0,     0,  1098,     0,  4132,  4133,
       0,     0,     0,     0,     0,     0,     0,     0,  2891,     0,
       0,  1101,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4179,  1105,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1106,     0,
       0,     0,     0,     0,     0,  4193,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4206,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1099,     0,  2958,     0,     0,     0,
    2188,     0,     0,     0,  1719,     0,   880,     0,  2039,     0,
       0,  2040,     0,     0,     0,  2041,  2042,  2043,     0,     0,
       0,  1101,     0,     0,     0,     0,     0,     0,     0,     0,
    1105,     0,  2044,     0,     0,     0,     0,     0,     0,     0,
    2046,     0,     0,     0,     0,     0,     0,  2047,     0,     0,
       0,     0,     0,     0,     0,  1105,     0,     0,     0,     0,
       0,  1099,     0,     0,     0,     0,     0,  1104,     0,     0,
       0,     0,  2048,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1096,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1104,     0,     0,     0,     0,     0,  1098,
       0,  1719,  1099,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   880,
       0,     0,     0,     0,     0,     0,     0,  1102,     0,     0,
       0,     0,  1106,     0,     0,  1099,     0,     0,     0,     0,
       0,     0,  1106,     0,     0,   880,     0,     0,     0,     0,
       0,     0,  1102,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1096,     0,  1102,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,  2049,  1098,     0,     0,     0,  2050,  1105,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,  2052,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2053,     0,     0,     0,     0,
       0,  1101,     0,     0,     0,     0,     0,  1105,     0,     0,
       0,  1105,     0,     0,     0,     0,     0,     0,     0,     0,
     880,     0,  1102,     0,     0,     0,     0,     0,     0,  1106,
       0,     0,     0,     0,  2054,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2055,     0,
       0,  2056,     0,     0,     0,     0,     0,  1096,  4487,  4488,
       0,     0,     0,     0,     0,     0,     0,     0,  1101,     0,
    1106,     0,     0,  1098,  1096,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,     0,     0,     0,  1096,
    1098,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1099,  1719,     0,  1098,     0,     0,     0,  1101,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1104,
    1099,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1102,  4530,     0,     0,     0,     0,  2057,     0,
       0,     0,  1101,  1105,  1104,  4536,     0,     0,     0,     0,
       0,     0,     0,  1105,     0,     0,     0,     0,     0,  1104,
    1106,     0,  3390,     0,     0,     0,     0,  1719,     0,     0,
    3399,     0,     0,     0,     0,     0,  1099,     0,     0,     0,
       0,     0,     0,     0,     0,  1719,  4554,  4556,     0,  1099,
    3418,     0,     0,  4560,  4561,     0,     0,     0,  4562,     0,
    3424,     0,  1099,  3425,  4565,  3426,  3427,  4568,  4569,  3429,
       0,     0,  4573,     0,  1099,  3433,     0,  3434,  4577,     0,
    3436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2058,     0,
       0,  2059,  2060,  2061,  1104,  2062,  2063,  2064,  2065,  2066,
    2067,     0,     0,     0,     0,     0,     0,     0,  1099,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1105,  1306,     0,     0,     0,     0,     0,     0,     0,     0,
    4807,     0,  1106,  3475,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4634,     0,
       0,     0,  1096,     0,     0,  1096,     0,  1096,     0,     0,
       0,  1105,  1096,     0,     0,     0,     0,     0,  1098,     0,
       0,  1098,  1101,  1098,     0,     0,     0,     0,  1098,     0,
       0,  1106,     0,  1105,     0,     0,     0,     0,     0,  1101,
       0,     0,  1102,     0,  2039,     0,     0,  2040,     0,     0,
       0,  2041,  2042,  2043,  1104,     0,     0,  1101,     0,     0,
       0,  1096,     0,     0,     0,     0,     0,     0,  2044,     0,
       0,     0,     0,     0,     0,     0,  2046,  1098,     0,     0,
    1096,     0,     0,  2047,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1098,  1099,     0,     0,
       0,  1105,  4700,     0,     0,  1096,     0,     0,  2048,  1102,
       0,     0,     0,  1101,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,     0,     0,     0,  1101,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1101,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1102,  1101,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2958,     0,
       0,     0,     0,     0,     0,  1096,  4738,  1096,     0,     0,
       0,     0,     0,  1102,     0,     0,     0,     0,     0,     0,
       0,  1098,     0,  1098,     0,  1101,  1101,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2049,
       0,     0,     0,  1105,  2050,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,     0,     0,     0,  1099,
    1099,     0,     0,     0,     0,     0,  2051,  2052,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3690,     0,     0,
       0,  2053,     0,     0,  1104,     0,     0,     0,  1096,     0,
       0,     0,  1105,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2958,     0,     0,     0,     0,     0,
    2054,  1099,     0,     0,     0,     0,     0,     0,     0,  1096,
       0,     0,     0,     0,  2055,  1099,     0,     0,     0,  1106,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,  1104,     0,     0,  1101,     0,     0,     0,  1096,     0,
    3749,     0,  3751,  4842,  4843,     0,     0,  4844,     0,     0,
       0,     0,     0,     0,  1098,     0,  1099,     0,  1106,     0,
       0,     0,     0,  1102,     0,     0,     0,     0,     0,     0,
       0,     0,  1104,     0,     0,     0,     0,     0,     0,     0,
    1102,     0,     0,     0,  4879,  4880,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1102,     0,
       0,     0,  4891,     0,  2057,  1104,     0,  1096,     0,  1105,
       0,  1106,     0,     0,     0,     0,  1106,  1106,     0,     0,
       0,     0,     0,  1098,     0,     0,     0,     0,  1096,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1096,     0,  1098,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1102,     0,     0,     0,  1098,     0,
       0,     0,     0,     0,     0,     0,     0,  1102,     0,     0,
       0,     0,  1101,     0,     0,     0,  1101,  1101,     0,     0,
    1102,  3841,     0,     0,     0,     0,     0,  3848,     0,     0,
       0,     0,  1102,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2058,     0,     0,  2059,  2060,  2061,
       0,  2062,  2063,  2064,  2065,  2066,  2067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4807,  1106,  1105,  1102,  1102,  1101,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1096,     0,
       0,     0,  1101,     0,     0,     0,     0,     0,     0,  1099,
    1105,     0,     0,     0,  1098,     0,     0,     0,     0,     0,
       0,  1096,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1104,     0,  1098,     0,     0,
       0,     0,     0,  1101,     0,     0,  1096,     0,     0,  1105,
       0,     0,  1104,     0,     0,     0,     0,     0,  2801,     0,
       0,     0,  1098,     0,     0,     0,     0,     0,     0,     0,
    1104,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1096,     0,     0,  5076,     0,     0,     0,     0,
       0,  1099,     0,     0,  1099,     0,     0,     0,  1098,  2032,
       0,     0,  1105,     0,     0,     0,     0,  1105,  1105,     0,
       0,     0,     0,     0,     0,     0,     0,   191,     0,     0,
       0,     0,     0,     0,     0,  1102,  1104,     0,     0,     0,
       0,     0,     0,     0,  4011,     0,  4013,     0,  4015,  1104,
       0,     0,     0,     0,     0,     0,     0,  4019,     0,     0,
       0,     0,  1104,     0,     0,     0,     0,     0,  5125,     0,
       0,     0,     0,     0,  1104,   192,     0,     0,     0,     0,
       0,  1096,     0,     0,     0,     0,     0,     0,     0,  1106,
     193,     0,     0,     0,     0,     0,     0,  1098,  4044,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   194,     0,
       0,  5162,     0,     0,   195,     0,     0,     0,  1104,  1104,
       0,     0,     0,  1099,     0,     0,     0,     0,     0,     0,
       0,   196,     0,     0,     0,  1105,     0,     0,     0,     0,
    1099,     0,   197,     0,     0,     0,     0,     0,     0,     0,
       0,   198,     0,     0,     0,  1099,  1101,     0,     0,     0,
       0,     0,     0,   199,     0,     0,     0,     0,   200,     0,
       0,     0,     0,  1102,     0,   201,     0,  1102,  1102,     0,
    1096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   202,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,     0,  1096,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,  1098,     0,     0,     0,  4879,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1101,  1102,
     204,  1101,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5265,     0,  1102,     0,     0,     0,  1104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1102,     0,     0,     0,     0,     0,
       0,     0,     0,   206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   207,   208,     0,     0,   209,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5319,     0,
    1105,     0,     0,     0,     0,     0,     0,     0,     0,  1096,
       0,     0,     0,   210,     0,     0,   211,     0,     0,     0,
     212,     0,   213,     0,     0,  1098,     0,     0,     0,   214,
    1101,     0,   215,  5347,  5347,  5347,     0,     0,  1099,     0,
       0,  1099,     0,  1099,     0,     0,     0,  1101,  1099,     0,
       0,   216,  4879,     0,     0,     0,     0,  1096,   217,     0,
       0,  1096,  1101,   218,   219,  1104,     0,   220,     0,  1104,
    1104,   221,     0,  1098,     0,     0,     0,  1098,     0,     0,
       0,   222,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1099,     0,   224,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   623,
       0,     0,   225,     0,     0,     0,  1099,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   624,     0,     0,     0,
       0,  1104,     0,  5408,     0,     0,     0,     0,     0,     0,
       0,  1099,     0,     0,     0,  1104,     0,     0,     0,   625,
       0,  5347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   626,     0,     0,     0,     0,  1102,     0,     0,
       0,     0,     0,   627,     0,     0,     0,  -858,     0,     0,
       0,     0,     0,     0,     0,     0,  1104,     0,     0,     0,
       0,     0,     0,  1096,     0,   628,     0,     0,     0,     0,
       0,   629,     0,  1096,     0,     0,     0,     0,     0,  1098,
       0,  1099,     0,  1099,     0,     0,     0,     0,   630,  1098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   631,
       0,     0,     0,     0,     0,     0,     0,     0,   632,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1102,
     633,     0,  1102,     0,     0,     0,     0,     0,   634,     0,
       0,  5500,   635,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1101,     0,     0,  1101,     0,
    1101, -1087,     0,     0,     0,  1101,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5347,     0,     0,     0,
       0,     0,     0,     0,  1099,     0,  5527,     0,     0,     0,
       0,  4503,     0,     0,     0,  4505,     0,     0,   636,     0,
    1096,     0,     0,     0,     0,     0,     0,  -575,     0,     0,
       0,     0,     0,     0,  1101,     0,  1098,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,     0,     0,     0,     0,
       0,     0,     0,  1101,     0,     0,     0,     0,     0,     0,
       0,  1096,     0,     0,     0,     0,     0,   637,     0,     0,
     638,  1102,     0,     0,  1099,     0,     0,  1098,  1101,     0,
       0,     0,     0,  1096,     0,     0,     0,     0,  1102,  1104,
     639,     0,     0,     0,     0,     0,     0,     0,     0,  1098,
       0,     0,     0,  1102,   640,     0,     0,     0,     0,     0,
       0,  -444,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     641,     0,     0,     0,     0,     0,     0,     0,     0,   642,
       0,     0,     0,  1099,     0,     0,  -444,     0,  1101,   643,
    1101,  1096,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1099,     0,     0,  1098,   644,     0,
       0,  1104,     0,     0,  1104,   645,     0,     0,  1099,     0,
       0,  -444,     0,     0,   646,   647,     0,   648,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   650,     0,
       0,     0,     0,   651,     0,     0,     0,     0,     0,     0,
     652,  2069,     0,   653,     0,     0,   654,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -444,
       0,     0,  4651,     0,     0,     0,     0,     0,     0,     0,
       0,  1101,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2069,
       0,     0,     0,  1096,     0,     0,  4676,  4677,     0,     0,
       0,     0,  1101,     0,  1099,     0,     0,     0,     0,  1098,
       0,     0,     0,  1104,     0,     0,     0,   674,     0,     0,
       0,     0,   675,     0,     0,     0,     0,  1099,     0,     0,
    1104,  1101,     0,     0,     0,     0,  1102,     0,     0,  1102,
       0,  1102,  1096,     0,     0,  1104,  1102,     0,     0,     0,
       0,     0,  1099,     0,     0,     0,     0,   676,  1098,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     677,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   678,  4719,  4720,  1099,     0,
       0,     0,     0,     0,     0,  1102,     0,     0,     0,     0,
    1101,     0,     0,   679,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1102,     0,     0,     0,     0,     0,
       0,  1101,     0,     0,     0,     0,   680,     0,     0,     0,
       0,     0,     0,     0,     0,  1101,     0,   681,     0,  1102,
       0,     0,     0,     0,     0,     0,   682,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   683,     0,
       0,     0,     0,   684,     0,     0,     0,     0,     0,     0,
     685,     0,     0,     0,     0,     0,     0,  1099,     0,  1096,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1102,
       0,  1102,  4816,     0,     0,     0,  4818,  4819,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4823,     0,     0,   687,     0,     0,     0,     0,
       0,  1101,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2069,     0,  1104,     0,
    2069,  1104,     0,  1104,  1101,     0,     0,     0,  1104,     0,
       0,     0,     0,     0,     0,   688,  1099,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   689,  1101,
       0,     0,     0,     0,     0,     0,     0,     0,   690,     0,
       0,  1099,  1102,     0,     0,  1096,     0,     0,   207,   691,
       0,     0,   692,     0,     0,     0,     0,  1104,     0,     0,
       0,  1098,     0,     0,     0,  1101,     0,     0,     0,     0,
    1096,     0,     0,     0,     0,     0,  1104,     0,   693,     0,
       0,   694,     0,  1102,     0,   695,  1098,   696,     0,     0,
       0,     0,     0,     0,   697,     0,     0,   698,     0,     0,
       0,  1104,     0,     0,     0,     0,     0,     0,     0,  1096,
       0,     0,  1102,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,   700,     0,  1098,   954,     0,     0,   701,
       0,   955,   702,     0,     0,     0,   703,     0,     0,     0,
       0,     0,     0,     0,   704,     0,   705,     0,     0,     0,
       0,   706,     0,     0,  1101,     0,     0,     0,     0,     0,
       0,     0,  1096,     0,   707,     0,   956,  1096,  1096,     0,
       0,  1104,     0,  1104,     0,  1099,     0,   708,  1098,   957,
     958,  1102,     0,  1098,  1098,     0,     0,     0,     0,     0,
     959,     0,     0,     0,   960,     0,     0,     0,     0,     0,
       0,     0,  1102,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   961,     0,     0,     0,  1102,     0,     0,     0,
       0,     0,     0,  1099,     0,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,   962,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   963,     0,     0,     0,
       0,     0,     0,  1101,     0,   964,     0,     0,     0,     0,
       0,     0,     0,     0,  1104,     0,     0,   965,     0,     0,
       0,     0,   966,     0,     0,     0,     0,     0,  1101,  5055,
       0,     0,     0,     0,     0,  1096,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   967,     0,
       0,  1098,     0,     0,     0,  1104,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1102,   968,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1104,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   969,  1102,     0,     0,     0,  5100,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
    2069,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
    1102,     0,     0,     0,     0,  2069,     0,     0,     0,  2783,
       0,     0,     0,     0,   970,     0,     0,     0,     0,     0,
       0,     0,     0,  2069,  2069,  2069,     0,  2069,     0,     0,
       0,     0,  5137,  1104,     0,     0,  1102,   971,     0,     0,
       0,     0,  1101,     0,     0,     0,     0,   207,   972,     0,
       0,   973,     0,     0,  1104,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1104,  2069,
       0,     0,     0,     0,     0,     0,     0,   974,     0,     0,
     975,     0,     0,     0,   976,     0,   977,     0,     0,     0,
    1101,     0,     0,   978,  1101,     0,   979,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1096,     0,     0,     0,     0,   980,  1099,     0,     0,     0,
       0,     0,   981,     0,     0,  1102,  1098,  2069,   982,     0,
       0,   983,     0,     0,     0,   984,     0,     0,     0,  2069,
       0,     0,     0,   985,  2069,   986,     0,     0,     0,     0,
     987,     0,     0,     0,     0,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1104,     0,   988,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1104,     0,  1102,     0,  1101,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1101,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1099,     0,  1102,
       0,     0,     0,     0,     0,     0,     0,     0,  1104,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1104,     0,     0,
       0,     0,     0,  1101,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1102,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1101,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1101,     0,  1099,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1102,     0,     0,     0,  1102,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1104,     0,     0,     0,
       0,     0,     0,     0,  5453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1104,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1101,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1102,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1102,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1104,  1101,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1104,     0,  1101,     0,  1104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1099,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1102,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1099,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1102,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1099,     0,  2069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1102,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2069,  2069,     0,
    2069,     0,     0,  2783,  2783,     0,  3536,     0,  2783,     0,
       0,     0,  2069,     0,     0,  2069,     0,     0,     0,  1104,
    2069,     0,  1101,     0,     0,     0,  2069,     0,  1099,  1104,
       0,  2069,     0,  1099,  1099,     0,     0,     0,  2069,  2069,
    2069,  2069,     0,     0,     0,  2783,  2783,     0,  2069,     0,
       0,     0,     0,     0,     0,  1102,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2069,     0,  2069,     0,
       0,     0,     0,     0,     0,  2069,  2069,  2069,  2069,  2069,
    2069,  2069,  2069,  2069,  2069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1104,     0,  1101,     0,
       0,  1099,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1101,     0,     0,     0,  1102,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1104,
       0,     0,  1101,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2069,     0,     0,     0,  1102,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1101,     0,     0,     0,     0,
    1101,  1101,     0,     0,     0,     0,     0,  1104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1099,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1102,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1101,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1104,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1104,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2069,  2069,     0,     0,     0,  2069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1102,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2069,     0,     0,
       0,     0,     0,     0,  1102,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1102,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1101,     0,  1104,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1102,     0,     0,     0,
       0,  1102,  1102,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1104,     0,     0,     0,     0,     0,     0,  2069,     0,
       0,     0,     0,     0,  2069,     0,     0,     0,     0,  1102,
       0,     0,     0,     0,     0,     0,  1104,     0,     0,     0,
       0,     0,  3536,  3536,     0,     0,  2783,  2783,  2783,  2783,
       0,     0,  2783,  2783,  2783,  2783,  2783,  2783,  2783,  2783,
    2783,  2783,  3536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1104,     0,     0,     0,     0,
       0,     0,     0,     0,  2069,     0,     0,  2069,     0,  2069,
       0,     0,  3536,  3536,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2069,  2783,  2783,  2069,     0,  2069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1104,     0,
       0,     0,     0,  1104,  1104,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1102,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1104,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2783,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1104,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2069,     0,     0,     0,  2069,     0,  2069,  2069,
       0,     0,     0,     0,     0,  3536,  3536,  3536,  3536,     0,
       0,     0,     0,  3536,  3536,  3536,  3536,  3536,  3536,  3536,
    3536,  3536,  3536,  2069,  2069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2069,     0,     0,  2069,     0,  2069,     0,     0,     0,     0,
    2069,     0,     0,  3536,  3536,     0,     0,  2069,  2069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3536,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2069,  2069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2069,     0,     0,     0,     0,
       0,  2069,  2783,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2069,
       0,  2069,     0,     0,     0,  2069,  2069,  2069,     0,     0,
    2069,     0,     0,  2069,  2069,     0,     0,     0,  2069,     0,
       0,     0,  2069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3536,  2783,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2069,  2069,  2069,
       0,     0,     0,     0,     0,     0,     0,  2783,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2069,  2069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3536,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2783,     0,     0,  3536,     0,     0,
       0,  2069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2069,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3536,     0,
    2783,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2069,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2783,  2783,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3536,  3536,     0,     0,     0,  2069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,     0,  1222,   669,
       0,  1223,  1224,  1225,   729,  1226,     0,     0,     0,     0,
       0,     0,  2069,   229,   230,   231,   232,   233,   234,   235,
     236,  1625,   237,   238,   239,     0,     0,     0,     0,  1227,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,  1228,   251,  1229,  1230,     0,   254,   255,
     256,   257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,
     264,     0,   265,   266,   267,   268,  1235,     0,  1236,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,
     293,   294,   295,   296,  1244,  1245,   299,  1246,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,  1626,     0,   311,   312,  1077,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,  1247,   327,   328,   329,   330,  1248,  1249,   332,     0,
     333,   334,  1250,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,  1251,     0,  1252,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,  1253,
    1254,     0,  1255,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,  1256,   389,   390,
     391,     0,   392,   393,   394,  1257,  1258,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,  1259,   412,  1260,   414,   415,   416,   417,
     418,   419,   420,   421,  1261,   423,  1262,   424,   425,   426,
     427,  1263,  1264,   429,  1265,   431,   432,   433,     0,   434,
     435,     0,     0,  1266,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,  1267,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  1268,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,  1269,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,  1270,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,  1271,   513,   514,
     515,   516,   517,   518,   519,   520,  1272,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,  1273,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,  1274,  1275,     0,
       0,   550,   551,  1276,   553,  1277,  1278,   555,   556,   557,
     558,   559,   560,   561,   562,     0,  1279,   563,   564,   565,
     566,   567,  1280,     0,   568,   569,   570,   571,   572,   573,
    1281,  1627,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
    1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,
     599,   600,   601,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,  1628,     0,     0,     0,     0,     0,     0,  1294,
    1629,   228,     0,  1222,   669,     0,  1223,  1224,  1225,   729,
    1226,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,  1227,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,   249,  1228,   251,
    1229,  1230,     0,   254,   255,   256,   257,   258,   259,  1231,
    1232,   260,   261,  1233,  1234,   264,     0,   265,   266,   267,
     268,  1235,     0,  1236,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,  1237,  1238,  1239,  1240,
    1241,  1242,  1243,   291,   292,   293,   294,   295,   296,  1244,
    1245,   299,  1246,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
    1077,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,  1247,   327,   328,   329,
     330,  1248,  1249,   332,     0,   333,   334,  1250,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,  1251,     0,  1252,   348,   349,     0,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,  1253,  1254,     0,  1255,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,     0,
       0,   387,  1256,   389,   390,   391,     0,   392,   393,   394,
    1257,  1258,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,  1259,   412,
    1260,   414,   415,   416,   417,   418,   419,   420,   421,  1261,
     423,  1262,   424,   425,   426,   427,  1263,  1264,   429,  1265,
     431,   432,   433,     0,   434,   435,     0,     0,  1266,   437,
     438,     0,     0,   439,   440,   441,   442,   443,   444,  1267,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,  1268,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,  1269,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,  1270,   499,   500,   501,
     502,   503,   504,   505,   506,   507,    40,   508,   509,   510,
     511,   512,  1271,   513,   514,   515,   516,   517,   518,   519,
     520,  1272,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1273,   537,     0,
     538,   539,    44,   540,   541,   542,   543,   544,   545,   546,
       0,   547,  1274,  1275,     0,     0,   550,   551,  1276,   553,
    1277,  1278,   555,   556,   557,   558,   559,   560,   561,   562,
       0,  1279,   563,   564,   565,   566,   567,  1280,     0,   568,
     569,   570,   571,   572,  1156,  1281,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,    49,   582,   583,
     584,   585,   586,   587,   588,  1282,  1283,  1284,  1285,   593,
    1286,  1287,  1288,  1289,   598,   599,   600,   601,  1290,     0,
      50,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,  5087,   228,     0,  1222,   669,
       0,  1223,  1224,  1225,   729,  1226,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,  1227,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,  1228,   251,  1229,  1230,     0,   254,   255,
     256,   257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,
     264,     0,   265,   266,   267,   268,  1235,     0,  1236,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,
     293,   294,   295,   296,  1244,  1245,   299,  1246,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,  1077,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,  1247,   327,   328,   329,   330,  1248,  1249,   332,     0,
     333,   334,  1250,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,  1251,     0,  1252,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,  1253,
    1254,     0,  1255,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,  1256,   389,   390,
     391,     0,   392,   393,   394,  1257,  1258,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,  1259,   412,  1260,   414,   415,   416,   417,
     418,   419,   420,   421,  1261,   423,  1262,   424,   425,   426,
     427,  1263,  1264,   429,  1265,   431,   432,   433,     0,   434,
     435,     0,     0,  1266,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,  1267,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  1268,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,  1269,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,  1270,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,  1271,   513,   514,
     515,   516,   517,   518,   519,   520,  1272,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,  1273,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,  1274,  1275,     0,
       0,   550,   551,  1276,   553,  1277,  1278,   555,   556,   557,
     558,   559,   560,   561,   562,     0,  1279,   563,   564,   565,
     566,   567,  1280,     0,   568,   569,   570,   571,   572,   573,
    1281,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
    1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,
     599,   600,   601,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,     0,     0,  1294,
    2785,   228,     0,  1222,   669,     0,  1223,  1224,  1225,   729,
    1226,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,  1227,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,   249,  1228,   251,
    1229,  1230,     0,   254,   255,   256,   257,   258,   259,  1231,
    1232,   260,   261,  1233,  1234,   264,     0,   265,   266,   267,
     268,  1235,     0,  1236,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,  1237,  1238,  1239,  1240,
    1241,  1242,  1243,   291,   292,   293,   294,   295,   296,  1244,
    1245,   299,  1246,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
    1077,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,  1247,   327,   328,   329,
     330,  1248,  1249,   332,     0,   333,   334,  1250,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,  1251,     0,  1252,   348,   349,     0,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,  1253,  1254,     0,  1255,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,     0,
       0,   387,  1256,   389,   390,   391,     0,   392,   393,   394,
    1257,  1258,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,  1259,   412,
    1260,   414,   415,   416,   417,   418,   419,   420,   421,  1261,
     423,  1262,   424,   425,   426,   427,  1263,  1264,   429,  1265,
     431,   432,   433,     0,   434,   435,     0,     0,  1266,   437,
     438,     0,     0,   439,   440,   441,   442,   443,   444,  1267,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,  1268,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,  1269,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,  1270,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,  1271,   513,   514,   515,   516,   517,   518,   519,
     520,  1272,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1273,   537,     0,
     538,   539,     0,   540,   541,   542,   543,   544,   545,   546,
       0,   547,  1274,  1275,     0,     0,   550,   551,  1276,   553,
    1277,  1278,   555,   556,   557,   558,   559,   560,   561,   562,
       0,  1279,   563,   564,   565,   566,   567,  1280,     0,   568,
     569,   570,   571,   572,   573,  1281,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,  1282,  1283,  1284,  1285,   593,
    1286,  1287,  1288,  1289,   598,   599,   600,   601,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
       0,     0,     0,     0,  1294,  4066,   228,     0,  1222,   669,
       0,  1223,  1224,  1225,   729,  1226,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,  1227,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,  1228,   251,  1229,  1230,     0,   254,   255,
     256,   257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,
     264,     0,   265,   266,   267,   268,  1235,     0,  1236,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,
     293,   294,   295,   296,  1244,  1245,   299,  1246,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,  1077,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,  1247,   327,   328,   329,   330,  1248,  1249,   332,     0,
     333,   334,  1250,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,  1251,     0,  1252,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,  1253,
    1254,     0,  1255,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,  1256,   389,   390,
     391,     0,   392,   393,   394,  1257,  1258,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,  1259,   412,  1260,   414,   415,   416,   417,
     418,   419,   420,   421,  1261,   423,  1262,   424,   425,   426,
     427,  1263,  1264,   429,  1265,   431,   432,   433,     0,   434,
     435,     0,     0,  1266,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,  1267,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  1268,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,  1269,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,  1270,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,  1271,   513,   514,
     515,   516,   517,   518,   519,   520,  1272,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,  1273,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,  1274,  1275,     0,
       0,   550,   551,  1276,   553,  1277,  1278,   555,   556,   557,
     558,   559,   560,   561,   562,     0,  1279,   563,   564,   565,
     566,   567,  1280,     0,   568,   569,   570,   571,   572,   573,
    1281,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
    1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,
     599,   600,   601,  1290,   609,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,     0,     0,  1294,
    4139,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,  4157,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0, -1790,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0, -1790,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,   354,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367, -1790,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380, -1790,   382,   383,   384,
     385,   386,     0,     0,   387,   388, -1790,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411, -1790,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491, -1790,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1370,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   245,   246,   247,   248,     0,  1070,
     251,  1071,  1072,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,  1073,  1074,   264,     0,   265,   266,
     267,   268,     0,     0,   270,     0,   271,   272,   273,   274,
     275,   276,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,   286,   287,   288,   289,     0,     0,     0,
     290,     0,     0,     0,   291,   292,   293,   294,   295,   296,
    1075,  1076,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,  1077,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,     0,   327,   328,
     329,   330,     0,     0,   332,     0,   333,   334,  1078,   336,
       0,   337,     0,   338,   339,     0,   340,   341,   342,   343,
     344,     0,   345,     0,     0,     0,   348,   349,     0,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,  2174,
     360,   361,   362,   363,   364,   365,   366,     0,   367,   368,
    2175,   370,   371,   372,   373,  1080,  1081,     0,  1082,     0,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,     0,   387,     0,   389,   390,   391,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,  1083,
     412,  1084,   414,   415,   416,   417,   418,   419,   420,     0,
       0,   423,     0,   424,   425,   426,   427,     0,     0,   429,
    1085,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,  2177,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   458,     0,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
    1086,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,  2178,   516,   517,   518,
     519,   520,  1088,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   537,
       0,   538,   539,     0,   540,   541,   542,   543,   544,   545,
     546,     0,   547,  1089,  1090,     0,     0,   550,   551,     0,
     553,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,     0,  1091,  2179,   575,   576,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   599,   600,   601,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,  2287,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   245,   246,   247,
     248,     0,  1070,   251,  1071,  1072,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,  1073,  1074,   264,
       0,   265,   266,   267,   268,     0,     0,   270,     0,   271,
     272,   273,   274,   275,   276,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,   286,   287,   288,   289,
       0,     0,     0,   290,     0,     0,     0,   291,   292,   293,
     294,   295,   296,  1075,  1076,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,  1077,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
       0,   327,   328,   329,   330,     0,     0,   332,     0,   333,
     334,  1078,   336,     0,   337,     0,   338,   339,     0,   340,
     341,   342,   343,   344,     0,   345,     0,     0,     0,   348,
     349,     0,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,  2174,   360,   361,   362,   363,   364,   365,   366,
       0,   367,   368,  2175,   370,   371,   372,   373,  1080,  1081,
       0,  1082,     0,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,     0,     0,   387,     0,   389,   390,   391,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,  1083,   412,  1084,   414,   415,   416,   417,   418,
     419,   420,     0,     0,   423,     0,   424,   425,   426,   427,
       0,     0,   429,  1085,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,  2177,
     442,   443,   444,     0,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   458,     0,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,  1086,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
       0,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,  2178,
     516,   517,   518,   519,   520,  1088,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   537,     0,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,     0,   547,  1089,  1090,     0,     0,
     550,   551,     0,   553,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,     0,  1091,
    2179,   575,   576,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   228,     0,
    1222,   669,     0,  1223,  1224,  1225,   729,  1226,     0,   599,
     600,   601,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,  3371,
       0,  1227,     0,     0,   240,   241,     0,   242,   243,   244,
     245,   246,   247,   248,   249,  1228,   251,  1229,  1230,     0,
     254,   255,   256,   257,   258,   259,  1231,  1232,   260,   261,
    1233,  1234,   264,     0,   265,   266,   267,   268,  1235,     0,
    1236,     0,   271,   272,   273,   274,   275,   276,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,   286,
     287,   288,   289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,
     291,   292,   293,   294,   295,   296,  1244,  1245,   299,  1246,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,  1077,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,  1247,   327,   328,   329,   330,  1248,  1249,
     332,     0,   333,   334,  1250,   336,     0,   337,     0,   338,
     339,     0,   340,   341,   342,   343,   344,     0,   345,  1251,
       0,  1252,   348,   349,     0,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,  1253,  1254,     0,  1255,     0,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,     0,   387,  1256,
     389,   390,   391,     0,   392,   393,   394,  1257,  1258,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,  1259,   412,  1260,   414,   415,
     416,   417,   418,   419,   420,   421,  1261,   423,  1262,   424,
     425,   426,   427,  1263,  1264,   429,  1265,   431,   432,   433,
       0,   434,   435,     0,     0,  1266,   437,   438,     0,     0,
     439,   440,   441,   442,   443,   444,  1267,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,  1268,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,  1269,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,  1270,   499,   500,   501,   502,   503,   504,
     505,   506,   507,    40,   508,   509,   510,   511,   512,  1271,
     513,   514,   515,   516,   517,   518,   519,   520,  1272,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  1273,   537,     0,   538,   539,    44,
     540,   541,   542,   543,   544,   545,   546,     0,   547,  1274,
    1275,     0,     0,   550,   551,  1276,   553,  1277,  1278,   555,
     556,   557,   558,   559,   560,   561,   562,     0,  1279,   563,
     564,   565,   566,   567,  1280,     0,   568,   569,   570,   571,
     572,  1156,  1281,     0,   575,   576,   577,   578,   579,   580,
       0,     0,   581,     0,    49,   582,   583,   584,   585,   586,
     587,   588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,
    1289,   598,   599,   600,   601,  1290,     0,    50,     0,     0,
       0,     0,  1291,  1292,     0,     0,     0,   228,     0,  1222,
     669,  1294,  1223,  1224,  1225,   729,  1226,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
    1227,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,   249,  1228,   251,  1229,  1230,  2791,   254,
     255,   256,   257,   258,   259,  1231,  1232,   260,   261,  1233,
    1234,   264,     0,   265,   266,   267,   268,  1235,     0,  1236,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,
     292,   293,   294,   295,   296,  1244,  1245,   299,  1246,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,  1077,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,  1247,   327,   328,   329,   330,  1248,  1249,   332,
       0,   333,   334,  1250,   336,     0,   337,     0,   338,   339,
    2792,   340,   341,   342,   343,   344,     0,   345,  1251,     0,
    1252,   348,   349,     0,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
    1253,  1254,     0,  1255,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,  2793,   387,  1256,   389,
     390,   391,     0,   392,   393,   394,  1257,  1258,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,  1259,   412,  1260,   414,   415,   416,
     417,   418,   419,   420,   421,  1261,   423,  1262,   424,   425,
     426,   427,  1263,  1264,   429,  1265,   431,   432,   433,     0,
     434,   435,     0,     0,  1266,   437,   438,     0,     0,   439,
     440,   441,   442,   443,   444,  1267,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,  1268,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,  1269,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,  1270,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,  1271,   513,
     514,   515,   516,   517,   518,   519,   520,  1272,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,  1273,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,  1274,  1275,
       0,  2794,   550,   551,  1276,   553,  1277,  1278,   555,   556,
     557,   558,   559,   560,   561,   562,     0,  1279,   563,   564,
     565,   566,   567,  1280,     0,   568,   569,   570,   571,   572,
     573,  1281,     0,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,
     598,   599,   600,   601,  1290,     0,     0,     0,     0,     0,
       0,  1291,  1292,     0,     0,     0,   228,     0,  1222,   669,
    1294,  1223,  1224,  1225,   729,  1226,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,  1227,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,  1228,   251,  1229,  1230,     0,   254,   255,
     256,   257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,
     264,     0,   265,   266,   267,   268,  1235,     0,  1236,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,
     293,   294,   295,   296,  1244,  1245,   299,  1246,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,  1077,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,  1247,   327,   328,   329,   330,  1248,  1249,   332,     0,
     333,   334,  1250,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,  1251,     0,  1252,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,  1253,
    1254,     0,  1255,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,  1256,   389,   390,
     391,     0,   392,   393,   394,  1257,  1258,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,  1259,   412,  1260,   414,   415,   416,   417,
     418,   419,   420,   421,  1261,   423,  1262,   424,   425,   426,
     427,  1263,  1264,   429,  1265,   431,   432,   433,     0,   434,
     435,     0,     0,  1266,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,  1267,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  1268,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,  1269,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,  1270,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,  1271,   513,   514,
     515,   516,   517,   518,   519,   520,  1272,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,  1273,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,  1274,  1275,     0,
       0,   550,   551,  1276,   553,  1277,  1278,   555,   556,   557,
     558,   559,   560,   561,   562,     0,  1279,   563,   564,   565,
     566,   567,  1280,     0,   568,   569,   570,   571,   572,   573,
    1281,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
    1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,
     599,   600,   601,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,     0,     0,  1992,  2745,  1294,
     228,     0,  1222,   669,     0,  1223,  1224,  1225,   729,  1226,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,  1227,     0,     0,   240,   241,     0,   242,
     243,   244,   245,   246,   247,   248,   249,  1228,   251,  1229,
    1230,     0,   254,   255,   256,   257,   258,   259,  1231,  1232,
     260,   261,  1233,  1234,   264,     0,   265,   266,   267,   268,
    1235,     0,  1236,     0,   271,   272,   273,   274,   275,   276,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,   286,   287,   288,   289,  1237,  1238,  1239,  1240,  1241,
    1242,  1243,   291,   292,   293,   294,   295,   296,  1244,  1245,
     299,  1246,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,  1077,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,  1247,   327,   328,   329,   330,
    1248,  1249,   332,     0,   333,   334,  1250,   336,     0,   337,
       0,   338,   339,     0,   340,   341,   342,   343,   344,     0,
     345,  1251,     0,  1252,   348,   349,     0,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,  1253,  1254,     0,  1255,     0,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,     0,
     387,  1256,   389,   390,   391,     0,   392,   393,   394,  1257,
    1258,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,  1259,   412,  1260,
     414,   415,   416,   417,   418,   419,   420,   421,  1261,   423,
    1262,   424,   425,   426,   427,  1263,  1264,   429,  1265,   431,
     432,   433,     0,   434,   435,     0,     0,  1266,   437,   438,
       0,     0,   439,   440,   441,   442,   443,   444,  1267,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,  1268,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,  1269,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,  1270,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,  1271,   513,   514,   515,   516,   517,   518,   519,   520,
    1272,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,  1273,   537,     0,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,     0,
     547,  1274,  1275,     0,     0,   550,   551,  1276,   553,  1277,
    1278,   555,   556,   557,   558,   559,   560,   561,   562,     0,
    1279,   563,   564,   565,   566,   567,  1280,     0,   568,   569,
     570,   571,   572,   573,  1281,     0,   575,   576,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,  1282,  1283,  1284,  1285,   593,  1286,
    1287,  1288,  1289,   598,   599,   600,   601,  1290,     0,     0,
       0,     0,     0,     0,  1291,  1292,  1293,     0,     0,   228,
       0,  1222,   669,  1294,  1223,  1224,  1225,   729,  1226,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,  2142,   237,   238,   239,     0,     0,
       0,     0,  1227,     0,     0,   240,   241,     0,   242,   243,
     244,   245,   246,   247,   248,   249,  1228,   251,  1229,  1230,
       0,   254,   255,   256,   257,   258,   259,  1231,  1232,   260,
     261,  1233,  1234,   264,     0,   265,   266,   267,   268,  1235,
       0,  1236,     0,   271,   272,   273,   274,   275,   276,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
     286,   287,   288,   289,  1237,  1238,  1239,  1240,  1241,  1242,
    1243,   291,   292,   293,   294,   295,   296,  1244,  1245,   299,
    1246,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,  1077,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,  1247,   327,   328,   329,   330,  1248,
    1249,   332,     0,   333,   334,  1250,   336,     0,   337,     0,
     338,   339,     0,   340,   341,   342,   343,   344,     0,   345,
    1251,     0,  1252,   348,   349,     0,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,  1253,  1254,     0,  1255,     0,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,     0,     0,   387,
    1256,   389,   390,   391,     0,   392,   393,   394,  1257,  1258,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,  1259,   412,  1260,   414,
     415,   416,   417,   418,   419,   420,   421,  1261,   423,  1262,
     424,   425,   426,   427,  1263,  1264,   429,  1265,   431,   432,
     433,     0,   434,   435,     0,     0,  1266,   437,   438,     0,
       0,   439,   440,   441,   442,   443,   444,  1267,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
    1268,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,  1269,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,  1270,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
    1271,   513,   514,   515,   516,   517,   518,   519,   520,  1272,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,  1273,   537,     0,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,     0,   547,
    1274,  1275,     0,     0,   550,   551,  1276,   553,  1277,  1278,
     555,   556,   557,   558,   559,   560,   561,   562,     0,  1279,
     563,   564,   565,   566,   567,  1280,     0,   568,   569,   570,
     571,   572,   573,  1281,     0,   575,   576,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,  1282,  1283,  1284,  1285,   593,  1286,  1287,
    1288,  1289,   598,   599,   600,   601,  1290,     0,     0,     0,
       0,     0,     0,  1291,  1292,     0,     0,     0,   228,     0,
    1222,   669,  1294,  1223,  1224,  1225,   729,  1226,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,  1227,     0,     0,   240,   241,     0,   242,   243,   244,
     245,   246,   247,   248,   249,  1228,   251,  1229,  1230,     0,
     254,   255,   256,   257,   258,   259,  1231,  1232,   260,   261,
    1233,  1234,   264,     0,   265,   266,   267,   268,  1235,     0,
    1236,     0,   271,   272,   273,   274,   275,   276,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,   286,
     287,   288,   289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,
     291,   292,   293,   294,   295,   296,  1244,  1245,   299,  1246,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,  1077,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,  1247,   327,   328,   329,   330,  1248,  1249,
     332,     0,   333,   334,  1250,   336,     0,   337,     0,   338,
     339,     0,   340,   341,   342,   343,   344,     0,   345,  1251,
       0,  1252,   348,   349,     0,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,  1253,  1254,     0,  1255,     0,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,     0,   387,  1256,
     389,   390,   391,     0,   392,   393,   394,  1257,  1258,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,  1259,   412,  1260,   414,   415,
     416,   417,   418,   419,   420,   421,  1261,   423,  1262,   424,
     425,   426,   427,  1263,  1264,   429,  1265,   431,   432,   433,
       0,   434,   435,     0,     0,  1266,   437,   438,     0,     0,
     439,   440,   441,   442,   443,   444,  1267,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,  1268,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,  1269,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,  1270,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,  1271,
     513,   514,   515,   516,   517,   518,   519,   520,  1272,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  1273,   537,     0,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,     0,   547,  1274,
    1275,     0,     0,   550,   551,  1276,   553,  1277,  1278,   555,
     556,   557,   558,   559,   560,   561,   562,     0,  1279,   563,
     564,   565,   566,   567,  1280,     0,   568,   569,   570,   571,
     572,   573,  1281,  3250,   575,   576,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,
    1289,   598,   599,   600,   601,  1290,     0,     0,     0,     0,
       0,     0,  1291,  1292,     0,     0,     0,   228,     0,  1222,
     669,  1294,  1223,  1224,  1225,   729,  1226,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
    1227,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,   249,  1228,   251,  1229,  1230,     0,   254,
     255,   256,   257,   258,   259,  1231,  1232,   260,   261,  1233,
    1234,   264,     0,   265,   266,   267,   268,  1235,     0,  1236,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,
     292,   293,   294,   295,   296,  1244,  1245,   299,  1246,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,  1077,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,  1247,   327,   328,   329,   330,  1248,  1249,   332,
       0,   333,   334,  1250,   336,     0,   337,     0,   338,   339,
    2792,   340,   341,   342,   343,   344,     0,   345,  1251,     0,
    1252,   348,   349,     0,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
    1253,  1254,     0,  1255,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,  1256,   389,
     390,   391,     0,   392,   393,   394,  1257,  1258,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,  1259,   412,  1260,   414,   415,   416,
     417,   418,   419,   420,   421,  1261,   423,  1262,   424,   425,
     426,   427,  1263,  1264,   429,  1265,   431,   432,   433,     0,
     434,   435,     0,     0,  1266,   437,   438,     0,     0,   439,
     440,   441,   442,   443,   444,  1267,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,  1268,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,  1269,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,  1270,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,  1271,   513,
     514,   515,   516,   517,   518,   519,   520,  1272,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,  1273,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,  1274,  1275,
       0,     0,   550,   551,  1276,   553,  1277,  1278,   555,   556,
     557,   558,   559,   560,   561,   562,     0,  1279,   563,   564,
     565,   566,   567,  1280,     0,   568,   569,   570,   571,   572,
     573,  1281,     0,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,
     598,   599,   600,   601,  1290,     0,     0,     0,     0,     0,
       0,  1291,  1292,     0,     0,     0,   228,     0,  1222,   669,
    1294,  1223,  1224,  1225,   729,  1226,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,  1227,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,  1228,   251,  1229,  1230,     0,   254,   255,
     256,   257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,
     264,     0,   265,   266,   267,   268,  1235,     0,  1236,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,
     293,   294,   295,   296,  1244,  1245,   299,  1246,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,  1077,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,  1247,   327,   328,   329,   330,  1248,  1249,   332,     0,
     333,   334,  1250,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,  1251,     0,  1252,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,  1253,
    1254,     0,  1255,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,  1256,   389,   390,
     391,     0,   392,   393,   394,  1257,  1258,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,  1259,   412,  1260,   414,   415,   416,   417,
     418,   419,   420,   421,  1261,   423,  1262,   424,   425,   426,
     427,  1263,  1264,   429,  1265,   431,   432,   433,     0,   434,
     435,     0,     0,  1266,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,  1267,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  1268,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,  1269,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,  1270,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,  1271,   513,   514,
     515,   516,   517,   518,   519,   520,  1272,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,  1273,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,  1274,  1275,     0,
       0,   550,   551,  1276,   553,  1277,  1278,   555,   556,   557,
     558,   559,   560,   561,   562,     0,  1279,   563,   564,   565,
     566,   567,  1280,     0,   568,   569,   570,   571,   572,   573,
    1281,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
    1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,
     599,   600,   601,  1290,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,   228,     0,  1222,   669,  1294,
    1223,  1224,  1225,   729,  1226,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,  1227,     0,
       0,   240,   241,     0,   242,   243,   244,   245,   246,   247,
     248,   249,  1228,   251,  1229,  1230,     0,   254,   255,   256,
     257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,   264,
       0,   265,   266,   267,   268,  1235,     0,  1236,     0,   271,
     272,   273,   274,   275,   276,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,   286,   287,   288,   289,
    1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,   293,
     294,   295,   296,  1244,  1245,   299,  1246,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,  1077,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
    1247,   327,   328,   329,   330,  1248,  1249,   332,     0,   333,
     334,  1250,   336,     0,   337,     0,   338,   339,     0,   340,
     341,   342,   343,   344,     0,   345,  1251,     0,  1252,   348,
     349,     0,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,  1253,  1254,
       0,  1255,     0,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,     0,     0,   387,  1256,   389,   390,   391,
       0,   392,   393,   394,  1257,  1258,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,  1259,   412,  1260,   414,   415,   416,   417,   418,
     419,   420,   421,  1261,   423,  1262,   424,   425,   426,   427,
    1263,  1264,   429,  1265,   431,   432,   433,     0,   434,   435,
       0,     0,  1266,   437,   438,     0,     0,   439,   440,   441,
     442,   443,   444,  1267,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,  1268,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,  1269,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
    1270,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,  1271,   513,   514,   515,
     516,   517,   518,   519,   520,  1272,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,  1273,   537,     0,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,     0,   547,  1274,  1275,     0,     0,
     550,   551,  1276,   553,  1277,  1278,   555,   556,   557,   558,
     559,   560,   561,   562,     0,  1279,   563,   564,   565,   566,
     567,  1280,     0,   568,   569,   570,   571,   572,   573,  1281,
       0,   575,   576,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,  1282,
    1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,   599,
     600,   601,  1290,     0,     0,     0,     0,     0,     0,  2145,
    2146,     0,     0,     0,   228,     0,  2919,   669,  1294,  1223,
    1224,  1225,   729,  1226,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,  1227,     0,     0,
     240,   241,     0,   242,   243,   244,   245,   246,   247,   248,
     249,  1228,   251,  1229,  1230,     0,   254,   255,   256,   257,
     258,   259,  1231,  1232,   260,   261,  1233,  1234,   264,     0,
     265,   266,   267,   268,  1235,     0,  1236,     0,   271,   272,
     273,   274,   275,   276,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,   286,   287,   288,   289,  1237,
    1238,  1239,  1240,  1241,  1242,  1243,   291,   292,   293,   294,
     295,   296,  1244,  1245,   299,  1246,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,  1077,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,  1247,
     327,   328,   329,   330,  1248,  1249,   332,     0,   333,   334,
    1250,   336,     0,   337,     0,   338,   339,     0,   340,   341,
     342,   343,   344,     0,   345,  1251,     0,  1252,   348,   349,
       0,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,  1253,  1254,     0,
    1255,     0,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,     0,   387,  1256,   389,   390,   391,     0,
     392,   393,   394,  1257,  1258,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,  1259,   412,  1260,   414,   415,   416,   417,   418,   419,
     420,   421,  1261,   423,  1262,   424,   425,   426,   427,  1263,
    1264,   429,  1265,   431,   432,   433,     0,   434,   435,     0,
       0,  1266,   437,   438,     0,     0,   439,   440,   441,   442,
     443,   444,  1267,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,  1268,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,  1269,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,  1270,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,  1271,   513,   514,   515,   516,
     517,   518,   519,   520,  1272,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
    1273,   537,     0,   538,   539,     0,   540,   541,   542,   543,
     544,   545,   546,     0,   547,  1274,  1275,     0,     0,   550,
     551,  1276,   553,  1277,  1278,   555,   556,   557,   558,   559,
     560,   561,   562,     0,  1279,   563,   564,   565,   566,   567,
    1280,     0,   568,   569,   570,   571,   572,   573,  1281,     0,
     575,   576,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,  1282,  1283,
    1284,  1285,   593,  1286,  1287,  1288,  1289,   598,   599,   600,
     601,  1290,     0,     0,     0,     0,     0,     0,  1291,  1292,
       0,     0,     0,   228,     0,  1222,   669,  1294,  1223,  1224,
    1225,   729,  1226,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,  1227,     0,     0,   240,
     241,     0,   242,   243,   244,   245,   246,   247,   248,   249,
    1228,   251,  1229,  1230,     0,   254,   255,   256,   257,   258,
     259,  1231,  1232,   260,   261,  1233,  1234,   264,     0,   265,
     266,   267,   268,  1235,     0,  1236,     0,   271,   272,   273,
     274,   275,   276,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,   286,   287,   288,  4192,  1237,  1238,
    1239,  1240,  1241,  1242,  1243,   291,   292,   293,   294,   295,
     296,  1244,  1245,   299,  1246,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,  1077,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,  1247,   327,
     328,   329,   330,  1248,  1249,   332,     0,   333,   334,  1250,
     336,     0,   337,     0,   338,   339,     0,   340,   341,   342,
     343,   344,     0,   345,  1251,     0,  1252,   348,   349,     0,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,  1253,  1254,     0,  1255,
       0,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,     0,     0,   387,  1256,   389,   390,   391,     0,   392,
     393,   394,  1257,  1258,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
    1259,   412,  1260,   414,   415,   416,   417,   418,   419,   420,
     421,  1261,   423,  1262,   424,   425,   426,   427,  1263,  1264,
     429,  1265,   431,   432,   433,     0,   434,   435,     0,     0,
    1266,   437,   438,     0,     0,   439,   440,   441,   442,   443,
     444,  1267,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,  1268,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,  1269,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,  1270,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,  1271,   513,   514,   515,   516,   517,
     518,   519,   520,  1272,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,  1273,
     537,     0,   538,   539,     0,   540,   541,   542,   543,   544,
     545,   546,     0,   547,  1274,  1275,     0,     0,   550,   551,
    1276,   553,  1277,  1278,   555,   556,   557,   558,   559,   560,
     561,   562,     0,  1279,   563,   564,   565,   566,   567,  1280,
       0,   568,   569,   570,   571,   572,   573,  1281,     0,   575,
     576,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,  1282,  1283,  1284,
    1285,   593,  1286,  1287,  1288,  1289,   598,   599,   600,   601,
    1290,     0,     0,     0,     0,     0,     0,  1291,  1292,     0,
       0,     0,   228,     0,  1222,   669,  1294,  1223,  1224,  1225,
     729,  1226,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,  1227,     0,     0,   240,   241,
       0,   242,   243,   244,   245,   246,   247,   248,   249,  1228,
     251,  1229,  1230,     0,   254,   255,   256,   257,   258,   259,
    1231,  1232,   260,   261,  1233,  1234,   264,     0,   265,   266,
     267,   268,  1235,     0,  1236,     0,   271,   272,   273,   274,
     275,   276,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,   286,   287,   288,   289,  1237,  1238,  1239,
    1240,  1241,  1242,  1243,   291,   292,   293,   294,   295,   296,
    1244,  1245,   299,  1246,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,  1077,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,  1247,   327,   328,
     329,   330,  1248,  1249,   332,     0,   333,   334,  1250,   336,
       0,   337,     0,   338,   339,     0,   340,   341,   342,   343,
     344,     0,   345,  1251,     0,  1252,   348,   349,     0,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,  1253,  1254,     0,  1255,     0,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,     0,   387,  1256,   389,   390,   391,     0,   392,   393,
     394,  1257,  1258,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,  1259,
     412,  1260,   414,   415,   416,   417,   418,   419,   420,   421,
    1261,   423,  1262,   424,   425,   426,   427,  1263,  1264,   429,
    1265,   431,   432,   433,     0,   434,   435,     0,     0,  1266,
     437,   438,     0,     0,   439,   440,   441,   442,   443,   444,
    1267,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,  1268,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
    1269,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,  1270,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,  1271,   513,   514,   515,   516,   517,   518,
     519,   520,  1272,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,  1273,   537,
       0,   538,   539,     0,   540,   541,   542,   543,   544,   545,
     546,     0,   547,  1274,  1275,     0,     0,   550,   551,  1276,
     553,  1277,  1278,   555,   556,   557,   558,   559,   560,   561,
     562,     0,  1279,   563,   564,   565,   566,   567,  1280,     0,
     568,   569,   570,   571,   572,   573,  1281,     0,   575,   576,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,  4543,  1282,  1283,  1284,  1285,
     593,  1286,  1287,  1288,  1289,   598,   599,   600,   601,  1290,
       0,     0,     0,     0,     0,     0,  1291,  1292,     0,     0,
       0,   228,     0,  1222,   669,  1294,  1223,  1224,  1225,   729,
    1226,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,  1227,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,   249,  1228,   251,
    1229,  1230,     0,   254,   255,   256,   257,   258,   259,  1231,
    1232,   260,   261,  1233,  1234,   264,     0,   265,   266,   267,
     268,  1235,     0,  1236,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,  1237,  1238,  1239,  1240,
    1241,  1242,  1243,   291,   292,   293,   294,   295,   296,  1244,
    1245,   299,  1246,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
    1077,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,  1247,   327,   328,   329,
     330,  1248,  1249,   332,     0,   333,   334,  1250,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,  1251,     0,  1252,   348,   349,     0,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,  1253,  1254,     0,  1255,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,     0,
       0,   387,  1256,   389,   390,   391,     0,   392,   393,   394,
    1257,  1258,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,  1259,   412,
    1260,   414,   415,   416,   417,   418,   419,  4555,   421,  1261,
     423,  1262,   424,   425,   426,   427,  1263,  1264,   429,  1265,
     431,   432,   433,     0,   434,   435,     0,     0,  1266,   437,
     438,     0,     0,   439,   440,   441,   442,   443,   444,  1267,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,  1268,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,  1269,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,  1270,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,  1271,   513,   514,   515,   516,   517,   518,   519,
     520,  1272,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1273,   537,     0,
     538,   539,     0,   540,   541,   542,   543,   544,   545,   546,
       0,   547,  1274,  1275,     0,     0,   550,   551,  1276,   553,
    1277,  1278,   555,   556,   557,   558,   559,   560,   561,   562,
       0,  1279,   563,   564,   565,   566,   567,  1280,     0,   568,
     569,   570,   571,   572,   573,  1281,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,  1282,  1283,  1284,  1285,   593,
    1286,  1287,  1288,  1289,   598,   599,   600,   601,  1290,     0,
       0,     0,     0,     0,     0,  1291,  1292,     0,     0,     0,
     228,     0,  1222,   669,  1294,  1223,  1224,  1225,   729,  1226,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,  1227,     0,     0,   240,   241,     0,   242,
     243,   244,   245,   246,   247,   248,   249,  1228,   251,  1229,
    1230,     0,   254,   255,   256,   257,   258,   259,  1231,  1232,
     260,   261,  1233,  1234,   264,     0,   265,   266,   267,   268,
    1235,     0,  1236,     0,   271,   272,   273,   274,   275,   276,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,   286,   287,  4869,   289,  1237,  1238,  1239,  1240,  1241,
    1242,  1243,   291,   292,   293,   294,   295,   296,  1244,  1245,
     299,  1246,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,  1077,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,  1247,   327,   328,   329,   330,
    1248,  1249,   332,     0,   333,   334,  1250,   336,     0,   337,
       0,   338,   339,     0,   340,   341,   342,   343,   344,     0,
     345,  1251,     0,  4870,   348,   349,     0,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,  1253,  1254,     0,  1255,     0,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,     0,
     387,  1256,   389,   390,   391,     0,   392,   393,   394,  1257,
    1258,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,  1259,   412,  1260,
     414,   415,   416,   417,   418,   419,   420,   421,  1261,   423,
    1262,   424,   425,   426,   427,  1263,  1264,   429,  1265,   431,
     432,   433,     0,   434,   435,     0,     0,  1266,   437,   438,
       0,     0,   439,   440,   441,   442,   443,   444,  1267,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,  1268,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,  1269,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,  4871,   496,   497,  1270,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,  1271,   513,   514,   515,   516,   517,   518,   519,   520,
    1272,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,  1273,   537,     0,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,     0,
     547,  1274,  1275,     0,     0,   550,   551,  1276,   553,  1277,
    1278,   555,   556,   557,   558,   559,   560,   561,   562,     0,
    1279,   563,   564,   565,   566,   567,  1280,     0,   568,   569,
     570,   571,   572,   573,  1281,     0,   575,   576,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,  1282,  1283,  1284,  1285,   593,  1286,
    1287,  1288,  1289,   598,   599,   600,   601,  1290,     0,     0,
       0,     0,     0,     0,  1291,  1292,     0,     0,     0,   228,
       0,  1222,   669,  4872,  1223,  1224,  1225,   729,  1226,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,  1227,     0,     0,   240,   241,     0,   242,   243,
     244,   245,   246,   247,   248,  5344,  1228,   251,  1229,  1230,
       0,   254,   255,   256,   257,   258,   259,  1231,  1232,   260,
     261,  1233,  1234,   264,     0,   265,   266,   267,   268,  1235,
       0,  1236,     0,   271,   272,   273,   274,   275,   276,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
     286,   287,   288,  5345,  1237,  1238,  1239,  1240,  1241,  1242,
    1243,   291,   292,   293,   294,   295,   296,  1244,  1245,   299,
    1246,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,  1077,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,  1247,   327,   328,   329,   330,  1248,
    1249,   332,     0,   333,   334,  1250,   336,     0,   337,     0,
     338,   339,     0,   340,   341,   342,   343,   344,     0,   345,
    1251,     0,  1252,   348,   349,     0,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,  1253,  1254,     0,  1255,     0,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,     0,     0,   387,
    1256,   389,   390,   391,     0,   392,   393,   394,  1257,  1258,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,  1259,   412,  1260,   414,
     415,   416,   417,   418,   419,   420,   421,  1261,   423,  1262,
     424,   425,   426,   427,  1263,  1264,   429,  1265,   431,   432,
     433,     0,   434,   435,     0,     0,  1266,   437,   438,     0,
       0,   439,   440,   441,   442,   443,   444,  1267,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
    1268,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,  1269,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,  1270,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
    1271,   513,   514,   515,   516,   517,   518,   519,   520,  1272,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,  1273,   537,     0,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,     0,   547,
    1274,  1275,     0,     0,   550,   551,  1276,   553,  1277,  1278,
     555,   556,   557,   558,   559,  5346,   561,   562,     0,  1279,
     563,   564,   565,   566,   567,  1280,     0,   568,   569,   570,
     571,   572,   573,  1281,     0,   575,   576,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,  1282,  1283,  1284,  1285,   593,  1286,  1287,
    1288,  1289,   598,   599,   600,   601,  1290,     0,     0,     0,
       0,     0,     0,  1291,  1292,     0,     0,     0,   228,     0,
    1222,   669,  1294,  1223,  1224,  1225,   729,  1226,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,  1227,     0,     0,   240,   241,     0,   242,   243,   244,
     245,   246,   247,   248,   249,  1228,   251,  1229,  1230,     0,
     254,   255,   256,   257,   258,   259,  1231,  1232,   260,   261,
    1233,  1234,   264,     0,   265,   266,   267,   268,  1235,     0,
    1236,     0,   271,   272,   273,   274,   275,   276,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,   286,
     287,   288,  5345,  1237,  1238,  1239,  1240,  1241,  1242,  1243,
     291,   292,   293,   294,   295,   296,  1244,  1245,   299,  1246,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,  1077,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,  1247,   327,   328,   329,   330,  1248,  1249,
     332,     0,   333,   334,  1250,   336,     0,   337,     0,   338,
     339,     0,   340,   341,   342,   343,   344,     0,   345,  1251,
       0,  1252,   348,   349,     0,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,  1253,  1254,     0,  1255,     0,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,     0,   387,  1256,
     389,   390,   391,     0,   392,   393,   394,  1257,  1258,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,  1259,   412,  1260,   414,   415,
     416,   417,   418,   419,   420,   421,  1261,   423,  1262,   424,
     425,   426,   427,  1263,  1264,   429,  1265,   431,   432,   433,
       0,   434,   435,     0,     0,  1266,   437,   438,     0,     0,
     439,   440,   441,   442,   443,   444,  1267,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,  1268,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,  1269,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,  1270,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,  1271,
     513,   514,   515,   516,   517,   518,   519,   520,  1272,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  1273,   537,     0,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,     0,   547,  1274,
    1275,     0,     0,   550,   551,  1276,   553,  1277,  1278,   555,
     556,   557,   558,   559,  5346,   561,   562,     0,  1279,   563,
     564,   565,   566,   567,  1280,     0,   568,   569,   570,   571,
     572,   573,  1281,     0,   575,   576,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,
    1289,   598,   599,   600,   601,  1290,     0,     0,     0,     0,
       0,     0,  1291,  1292,     0,     0,     0,   228,     0,  1222,
     669,  1294,  1223,  1224,  1225,   729,  1226,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
    1227,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,   249,  1228,   251,  1229,  1230,     0,   254,
     255,   256,   257,   258,   259,  1231,  1232,   260,   261,  1233,
    1234,   264,     0,   265,   266,   267,   268,  1235,     0,  1236,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,
     292,   293,   294,   295,   296,  1244,  1245,   299,  5069,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,  1077,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,  1247,   327,   328,   329,   330,  1248,  1249,   332,
       0,   333,   334,  1250,   336,     0,   337,     0,   338,   339,
       0,   340,   341,   342,   343,   344,     0,   345,  1251,     0,
    1252,   348,   349,     0,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
    1253,  1254,     0,  1255,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,  1256,   389,
     390,   391,     0,   392,   393,   394,  1257,  1258,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,  1259,   412,  1260,   414,   415,   416,
     417,   418,   419,   420,   421,  1261,   423,     0,   424,   425,
     426,   427,  1263,  1264,   429,  1265,   431,   432,   433,     0,
     434,   435,     0,     0,  1266,   437,   438,     0,     0,   439,
     440,   441,   442,   443,   444,  1267,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,  1268,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,  1269,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,  2777,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,  1271,   513,
     514,   515,   516,   517,   518,   519,   520,  1272,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,  1273,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,  1274,  1275,
       0,     0,   550,   551,  1276,   553,  1277,  1278,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,  1280,     0,   568,   569,   570,   571,   572,
     573,  1281,     0,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,
     598,   599,   600,   601,     0,     0,     0,     0,     0,     0,
       0,  2778,  2779,     0,     0,     0,   228,     0,  1222,   669,
    2780,  1223,  1224,  1225,   729,  1226,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,  1227,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248, -2668,  1228,   251,  1229,  1230,     0,   254,   255,
     256,   257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,
     264,     0,   265,   266,   267,   268,  1235,     0,  1236,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
    5345,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,
     293,   294,   295,   296,  1244,  1245,   299,  1246,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,  1077,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,  1247,   327,   328,   329,   330,  1248,  1249,   332,     0,
     333,   334,  1250,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,  1251,     0,  1252,
     348,   349,     0,   350,   351,   352,   353,   354, -2668,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,  1253,
    1254,     0,  1255,     0,   377,     0,     0,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,  1256,   389,   390,
   -2668,     0,   392,   393,   394,  1257,  1258,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,  1259,   412,  1260,   414,   415,   416,   417,
     418,   419,   420,   421,  1261,   423,  1262,   424,   425,     0,
     427,  1263,  1264,   429,  1265,   431,   432,   433,     0,   434,
     435,     0,     0,  1266,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,  1267,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  1268,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,  1269,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,  1270,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,  1271,   513,   514,
     515,   516,   517, -2668,   519,   520,  1272,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,  1273,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,  1274,  1275,     0,
       0,   550,   551,  1276,   553,  1277,  1278,   555,   556,   557,
     558,   559,  5346,   561,   562,     0,  1279,   563,   564,   565,
     566,   567,  1280,     0,   568,   569,   570,   571,   572,   573,
    1281,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
    1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,
     599,   600,   601, -2668,     0,     0,     0,     0,     0,     0,
    1291,  1292,     0,     0,     0,   228,     0,  1222,   669,  1294,
    1223,  1224,  1225,   729,  1226,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,  1227,     0,
       0,   240,   241,     0,   242,   243,   244,   245,   246,   247,
     248,   249,  1228,   251,  1229,  1230,     0,   254,   255,   256,
     257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,   264,
       0,   265,   266,   267,   268,  1235,     0,  1236,     0,   271,
     272,   273,   274,   275,   276,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,   286,   287,   288,   289,
    1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,   293,
     294,   295,   296,  1244,  1245,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,  1077,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
    1247,   327,   328,   329,   330,  1248,  1249,   332,     0,   333,
     334,  1250,   336,     0,   337,     0,   338,   339,     0,   340,
     341,   342,   343,   344,     0,   345,  1251,     0,  1252,   348,
     349,     0,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,  1253,  1254,
       0,  1255,     0,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,     0,     0,   387,  1256,   389,   390,   391,
       0,   392,   393,   394,  1257,  1258,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,  1259,   412,  1260,   414,   415,   416,   417,   418,
     419,   420,   421,  1261,   423,     0,   424,   425,   426,   427,
    1263,  1264,   429,  1265,   431,   432,   433,     0,   434,   435,
       0,     0,  1266,   437,   438,     0,     0,   439,   440,   441,
     442,   443,   444,  1267,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,  1268,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,  1269,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
    2777,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,  1271,   513,   514,   515,
     516,   517,   518,   519,   520,  1272,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,  1273,   537,     0,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,     0,   547,  1274,  1275,     0,     0,
     550,   551,  1276,   553,  1277,  1278,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,  1280,     0,   568,   569,   570,   571,   572,   573,  1281,
       0,   575,   576,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,  1282,
    1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,   599,
     600,   601,     0,     0,     0,     0,     0,     0,     0,  2778,
    2779,   228,     0,  1222,   669,     0,  1223,  1224,  2780,   729,
    1226,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,  1227,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,   249,  1228,   251,
    1229,  1230,     0,   254,   255,   256,   257,   258,   259,  1231,
    1232,   260,   261,  1233,  1234,   264,     0,   265,   266,   267,
     268,  1235,     0,  1236,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,  1237,  1238,  1239,  1240,
    1241,  1242,  1243,   291,   292,   293,   294,   295,   296,  1244,
    1245,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
    1077,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,  1247,   327,   328,   329,
     330,  1248,  1249,   332,     0,   333,   334,  1250,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,  1251,     0,  1252,   348,   349,     0,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,  1253,  1254,     0,  1255,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,     0,
       0,   387,  1256,   389,   390,   391,     0,   392,   393,   394,
    1257,  1258,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,  1259,   412,
    1260,   414,   415,   416,   417,   418,   419,   420,   421,  1261,
     423,     0,   424,   425,   426,   427,  1263,  1264,   429,  1265,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,   442,   443,   444,  1267,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,  1268,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,  1269,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,  2908,  2909,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,  1271,   513,   514,   515,   516,   517,   518,   519,
     520,  1272,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1273,   537,     0,
     538,   539,     0,   540,   541,   542,   543,   544,   545,   546,
       0,   547,  1274,  1275,     0,     0,   550,   551,  1276,   553,
    1277,  1278,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,  1280,     0,   568,
     569,   570,   571,   572,   573,  1281,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,  1282,  1283,  1284,  1285,   593,
    1286,  1287,  1288,  1289,   598,   599,   600,   601,     0,     0,
       0,     0,     0,     0,     0,  2910,  2911,     0,     0,     0,
     228,     0,  1222,   669,  2780,  1223,  1224,  1225,   729,  1226,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,  1227,     0,     0,   240,   241,     0,   242,
     243,   244,   245,   246,   247,   248,   249,  1228,   251,  1229,
    1230,     0,   254,   255,   256,   257,   258,   259,  1231,  1232,
     260,   261,  1233,  1234,   264,     0,   265,   266,   267,   268,
    1235,     0,  1236,     0,   271,   272,   273,   274,   275,   276,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,   286,   287,   288,   289,  1237,  1238,  1239,  1240,  1241,
    1242,  1243,   291,   292,   293,   294,   295,   296,  1244,  1245,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,  1077,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,  1247,   327,   328,   329,   330,
    1248,  1249,   332,     0,   333,   334,  1250,   336,     0,   337,
       0,   338,   339,     0,   340,   341,   342,   343,   344,     0,
     345,  1251,     0,  1252,   348,   349,     0,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,  1253,  1254,     0,  1255,     0,   377,     0,
     379,   380,   381,   382,   383,   384,   385,   386,     0,     0,
     387,  1256,   389,   390,   391,     0,   392,   393,   394,  1257,
    1258,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,  1259,   412,  1260,
     414,   415,   416,   417,   418,   419,   420,   421,  1261,   423,
       0,   424,   425,   426,   427,  1263,  1264,   429,  1265,   431,
     432,   433,     0,   434,   435,     0,     0,  1266,   437,   438,
       0,     0,   439,   440,   441,   442,   443,   444,  1267,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,  1268,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,  1269,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,  2777,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,  1271,   513,   514,   515,   516,   517,   518,   519,   520,
    1272,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,  1273,   537,     0,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,     0,
     547,  1274,  1275,     0,     0,   550,   551,  1276,   553,  1277,
    1278,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,  1280,     0,   568,   569,
     570,   571,   572,   573,  1281,     0,   575,   576,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,  1282,  1283,  1284,  1285,   593,  1286,
    1287,  1288,  1289,   598,   599,   600,   601,     0,     0,     0,
       0,     0,     0,     0,  2778,  2779,   228,     0,  1222,   669,
       0,  1223,  1224,  2780,   729,  1226,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,  1227,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,  1228,   251,  1229,  1230,     0,   254,   255,
     256,   257,   258,   259,  1231,  1232,   260,   261,  1233,  1234,
     264,     0,   265,   266,   267,   268,  1235,     0,  1236,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,
     293,   294,   295,   296,  1244,  1245,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,  1077,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,  1247,   327,   328,   329,   330,  1248,  1249,   332,     0,
     333,   334,  1250,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,  1251,     0,  1252,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,  1253,
    1254,     0,  1255,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,  1256,   389,   390,
     391,     0,   392,   393,   394,  1257,  1258,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,  1259,   412,  1260,   414,   415,   416,   417,
     418,   419,   420,   421,  1261,   423,     0,   424,   425,   426,
     427,  1263,  1264,   429,  1265,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,  1267,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,  1268,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,  1269,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,  2777,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,  1271,   513,   514,
     515,   516,   517,   518,   519,   520,  1272,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,  1273,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,  1274,  1275,     0,
       0,   550,   551,  1276,   553,  1277,  1278,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,  1280,     0,   568,   569,   570,   571,   572,   573,
    1281,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
    1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,
     599,   600,   601,   228,     0,  1222,   669,     0,  1223,  1224,
       0,   729,  1226,     0,     0,     0,     0,     0,     0,  2780,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,  1227,     0,     0,   240,
     241,     0,   242,   243,   244,   245,   246,   247,   248,   249,
    1228,   251,  1229,  1230,     0,  4099,   255,   256,   257,   258,
     259,  1231,  1232,   260,   261,  1233,  1234,   264,     0,   265,
     266,   267,   268,  1235,     0,  1236,     0,   271,   272,   273,
     274,   275,   276,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,   286,   287,   288,   289,  1237,  1238,
    1239,  1240,  1241,  1242,  1243,   291,   292,   293,   294,   295,
     296,  1244,  1245,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,  1077,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,  1247,   327,
     328,   329,   330,  1248,  1249,   332,     0,   333,   334,  1250,
     336,     0,   337,     0,   338,   339,     0,   340,   341,   342,
     343,   344,     0,   345,  1251,     0,  1252,   348,   349,     0,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,  1253,  1254,     0,  1255,
       0,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,     0,     0,   387,  1256,   389,   390,   391,     0,   392,
     393,   394,  1257,  1258,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
    1259,   412,  1260,   414,   415,   416,   417,   418,   419,   420,
     421,  1261,   423,     0,   424,   425,   426,   427,  1263,  1264,
     429,  1265,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,   442,   443,
     444,  1267,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,  1268,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,  1269,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,  2777,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,  1271,   513,   514,   515,   516,   517,
     518,   519,   520,  1272,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,  1273,
     537,     0,   538,   539,     0,   540,   541,   542,   543,   544,
     545,   546,     0,   547,  1274,  1275,     0,     0,   550,   551,
    1276,   553,  1277,  1278,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,  1280,
       0,   568,   569,   570,   571,   572,   573,  1281,     0,   575,
     576,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,  1282,  1283,  1284,
    1285,   593,  1286,  1287,  1288,  1289,   598,   599,   600,   601,
     228,     0,  1222,   669,     0,  1223,  1224,     0,   729,  1226,
       0,     0,     0,     0,     0,     0,  2780,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,  1227,     0,     0,   240,   241,     0,   242,
     243,   244,   245,   246,   247,   248,   249,  1228,   251,  1229,
    1230,     0,   254,   255,   256,   257,   258,   259,  1231,  1232,
     260,   261,  1233,  1234,   264,     0,   265,   266,   267,   268,
    1235,     0,  1236,     0,   271,   272,   273,   274,   275,   276,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,   286,   287,   288,   289,  1237,  1238,  1239,  1240,  1241,
    1242,  1243,   291,   292,   293,   294,   295,   296,  1244,  1245,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,  1077,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,  1247,   327,   328,   329,   330,
    1248,  1249,   332,     0,   333,   334,  1250,   336,     0,   337,
       0,   338,   339,     0,   340,   341,   342,   343,   344,     0,
     345,  1251,     0,  1252,   348,   349,     0,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,  1253,  1254,     0,  1255,     0,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,     0,
     387,  1256,   389,   390,   391,     0,   392,   393,   394,  1257,
    1258,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,  1259,   412,  1260,
     414,   415,   416,   417,   418,   419,   420,   421,  1261,   423,
       0,   424,   425,   426,   427,  1263,  1264,   429,  1265,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,   442,   443,   444,  1267,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,  1268,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,  1269,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,  2777,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,  1271,   513,   514,   515,   516,   517,   518,   519,   520,
    1272,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,  1273,   537,     0,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,     0,
     547,  1274,  1275,     0,     0,   550,   551,  1276,   553,  1277,
    1278,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,  1280,     0,   568,   569,
     570,   571,   572,   573,  1281,     0,   575,   576,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,  1282,  1283,  1284,  1285,  4586,  1286,
    1287,  1288,  1289,   598,   599,   600,   601,   228,     0,  1222,
     669,     0,  1223,  1224,  1225,   729,  1226,     0,     0,     0,
       0,     0,     0,  2780,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
    1227,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,     0,  1228,   251,  1229,  1230,     0,   254,
     255,   256,   257,   258,   259,  1231,  1232,   260,   261,  1233,
    1234,   264,     0,   265,   266,   267,   268,  1235,     0,  1236,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,
     292,   293,   294,   295,   296,  1244,  1245,   299,  1246,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,  1077,   314,   315,     0,
     316,   317,   318,     0,   319,     0,   321,     0,   322,   323,
     324,   325,  1247,   327,   328,   329,   330,  1248,  1249,   332,
       0,   333,   334,  1250,   336,     0,   337,     0,   338,   339,
       0,   340,   341,   342,   343,   344,     0,   345,  1251,     0,
    1252,   348,   349,     0,   350,   351,   352,   353,   354,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
    1253,  1254,     0,  1255,     0,   377,     0,     0,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,  1256,   389,
     390,     0,     0,   392,   393,   394,  1257,  1258,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,  1259,   412,  1260,   414,   415,   416,
     417,   418,   419,   420,   421,  1261,   423,  1262,   424,   425,
       0,   427,  1263,  1264,   429,  1265,   431,   432,   433,     0,
     434,   435,     0,     0,  1266,   437,   438,     0,     0,   439,
     440,   441,   442,   443,   444,  1267,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,  1268,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,  1269,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,  1270,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,  1271,   513,
     514,   515,   516,   517,     0,   519,   520,  1272,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,  1273,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,  1274,  1275,
       0,     0,   550,   551,  1276,   553,  1277,  1278,   555,   556,
     557,   558,   559,   560,   561,   562,     0,  1279,   563,   564,
     565,   566,   567,  1280,     0,   568,   569,   570,   571,   572,
     573,  1281,     0,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,
     598,   599,   600,   601,   228,     0,     0,     0,     0,     0,
       0,  1291,  1292,     0,     0,     0,     0,     0,     0,     0,
    1294,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,  1232,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,  1235,     0,  1236,     0,   271,   272,
     273,   274,   275,   276,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,   286,   287,   288,   289,  1237,
    1238,  1239,  1240,  1241,  1242,  1243,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,  1248,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,   339,     0,   340,   341,
     342,   343,   344,     0,   345,  1251,     0,   347,   348,   349,
       0,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,  3608,     0,   387,  1256,   389,   390,   391,     0,
     392,   393,   394,  1257,  1258,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,  1261,   423,     0,   424,   425,   426,   427,     0,
    1264,   429,   430,   431,   432,   433,     0,   434,   435,     0,
     818,   436,   437,   438,     0,     0,   439,   440,   441,   442,
     443,   444,  1267,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,  1268,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
    3609,   500,   501,   502,   503,   504,   505,   506,   507,    40,
     508,   509,   510,   511,   512,  1271,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
    1273,   537,     0,   538,   539,    44,   540,   541,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,  1276,   553,  1277,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
    1280,     0,   568,   569,   570,   571,   572,  1156,   574,     0,
     575,   576,   577,   578,   579,   580,     0,     0,   581,     0,
      49,   582,   583,   584,   585,   586,   587,   588,  1282,  1283,
    1284,  1285,   593,  1286,  1287,  1288,  1289,  3610,   599,   600,
     601,   228,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3611,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
    1232,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,  1235,     0,  1236,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,  1237,  1238,  1239,  1240,
    1241,  1242,  1243,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,  1248,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,  1251,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,  3608,
       0,   387,  1256,   389,   390,   391,     0,   392,   393,   394,
    1257,  1258,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,  1261,
     423,     0,   424,   425,   426,   427,     0,  1264,   429,   430,
     431,   432,   433,     0,   434,   435,     0,   818,   436,   437,
     438,     0,     0,   439,   440,   441,   442,   443,   444,  1267,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,  1268,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,  3609,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,  1271,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,  1273,   537,     0,
     538,   539,     0,   540,   541,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,  1276,   553,
    1277,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,  1280,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,  1282,  1283,  1284,  1285,   593,
    1286,  1287,  1288,  1289,  3610,   599,   600,   601,   228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3611,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,  1232,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,  1235,     0,
    1236,     0,   271,   272,   273,   274,   275,   276,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,   286,
     287,   288,   289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,  1248,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
     339,     0,   340,   341,   342,   343,   344,     0,   345,  1251,
       0,   347,   348,   349,     0,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,     0,   387,  1256,
     389,   390,   391,     0,   392,   393,   394,  1257,  1258,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1261,   423,     0,   424,
     425,   426,   427,     0,  1264,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,   442,   443,   444,  1267,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,  1268,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,  3609,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,  1271,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  1273,   537,     0,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,  1276,   553,  1277,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,  1280,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,
    1289,  3610,   599,   600,   601,   228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,  1232,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,  1235,     0,  1236,     0,   271,
     272,   273,   274,   275,   276,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,   286,   287,   288,   289,
    1237,  1238,  1239,  1240,  1241,  1242,  1243,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,  1248,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,   339,     0,   340,
     341,   342,   343,   344,     0,   345,  1251,     0,   347,   348,
     349,     0,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,     0,     0,   387,  1256,   389,   390,   391,
       0,   392,   393,   394,  1257,  1258,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,  1261,   423,     0,   424,   425,   426,   427,
       0,  1264,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
     442,   443,   444,  1267,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,  1268,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,  1271,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,  1273,   537,     0,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,  1276,   553,  1277,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,  1280,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,  1282,
    1283,  1284,  1285,   593,  1286,  1287,  1288,  1289,   598,   599,
     600,   601,   228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4221,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,  1232,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,  1235,     0,  1236,     0,   271,   272,   273,   274,
     275,   276,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,   286,   287,   288,   289,  1237,  1238,  1239,
    1240,  1241,  1242,  1243,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,  1248,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,   339,     0,   340,   341,   342,   343,
     344,     0,   345,  1251,     0,   347,   348,   349,     0,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,     0,   387,  1256,   389,   390,   391,     0,   392,   393,
     394,  1257,  1258,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
    1261,   423,     0,   424,   425,   426,   427,     0,  1264,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,   442,   443,   444,
    1267,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,  1268,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,  1271,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,  1273,   537,
       0,   538,   539,     0,   540,   541,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,  1276,
     553,  1277,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,  1280,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,   576,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,  1282,  1283,  1284,  1285,
     593,  1286,  1287,  1288,  1289,   598,   599,   600,   601,   873,
       0,  1505,   669,     0,     0,     0,     0,   729,     0,     0,
       0,     0,     0,     0,     0,  5326,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,   270,     0,   271,   272,   273,   274,   275,   276,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
     286,   287,   288,   289,     0,     0,     0,   290,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
    1921,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,   339,     0,   340,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,     0,     0,   387,
     388,   389,   390,   391,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,  1922,     0,   436,   437,   438,     0,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,  1923,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   576,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   873,     0,     0,     0,
       0,     0,     0,  1506,  1507,  5140,     0,     0,     0,     0,
       0,     0,  5141,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     3,     4,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,   270,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,     0,     0,     0,   290,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,   388,   389,   390,
     391,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,    40,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,    44,   540,   541,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,  1156,
     574,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,    49,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   228,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,   270,     0,   271,   272,   273,
     274,   275,   276,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,   286,   287,   288,   289,     0,     0,
       0,   290,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,   339,     0,   340,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,     0,     0,   387,   388,   389,   390,   391,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,   541,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     576,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4921,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,    40,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,    44,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,  1156,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,    49,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   609,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    51,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,     0,
       0,     0,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,   354,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,   384,   385,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1352,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,   354,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2941,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   354,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4136,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   246,   247,   248,   249,   250,     0,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
       0,     0,   271,   272,   273,   274,   275,     0,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,     0,
     287,   288,   289,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
       0,     0,     0,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,   354,
       0,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,     0,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,     0,     0,   380,
       0,   382,   383,   384,   385,   386,     0,     0,   387,   388,
       0,   390,     0,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,     0,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,     0,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,     0,
     513,   514,   515,   516,   517,     0,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,     0,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,     0,     0,  1069,     0,
    1505,   669,     0,     0,     0,   887,   729,     0,     0,     0,
       0,  4603,   888,   889,   890,   229,   230,   231,   232,   233,
     234,   235,   236,  1638,   237,   238,   239,  1639,  1640,  1641,
    1642,  1643,  1644,  1645,   240,   241,  1646,   242,   243,   244,
     245,   246,   247,   248,     0,  1070,   251,  1071,  1072,  1647,
     254,   255,   256,   257,   258,   259,  1648,  1649,   260,   261,
    1073,  1074,   264,  1650,   265,   266,   267,   268,     0,  1651,
     270,  1652,   271,   272,   273,   274,   275,   276,   277,   278,
     279,  1653,   280,   281,   282,   283,   284,   285,  1654,   286,
     287,   288,   289,  1655,  1656,  1657,   290,  1658,  1659,  1660,
     291,   292,   293,   294,   295,   296,  1075,  1076,   299,  1661,
     300,  1662,   301,   302,   303,   304,   305,   306,  1663,   307,
     308,   309,   310,  1664,  1665,   311,   312,  1077,   314,   315,
    1666,   316,   317,   318,  1667,   319,   320,   321,  1668,   322,
     323,   324,   325,     0,   327,   328,   329,   330,     0,  1669,
     332,  1670,   333,   334,  1078,   336,  1671,   337,  1672,   338,
     339,  1673,   340,   341,   342,   343,   344,  1674,   345,     0,
    1675,     0,   348,   349,  1676,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,  1677,   360,   361,   362,   363,
     364,   365,   366,  1678,   367,   368,     0,   370,   371,   372,
     373,  1080,  1081,  1679,  1082,  1680,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,  1681,  1682,   387,     0,
     389,   390,   391,  1683,   392,   393,   394,  1684,  1685,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,  1083,   412,  1084,   414,   415,
     416,   417,   418,   419,   420,  3885,     0,   423,  1686,   424,
     425,   426,   427,  1687,     0,   429,  1085,   431,   432,   433,
    1688,   434,   435,  1689,  1690,  3886,   437,   438,  1691,  1692,
     439,   440,     0,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1693,   455,   456,     0,
     458,     0,   460,   461,   462,  1694,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,  1086,   474,   475,   476,
     477,  1695,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,  1696,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   499,   500,   501,   502,   503,   504,
     505,   506,   507,  1697,   508,   509,   510,   511,   512,  1698,
     513,   514,  2178,   516,   517,   518,   519,   520,  1088,   522,
    1699,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   537,  1700,   538,   539,  1701,
     540,   541,   542,   543,   544,   545,   546,  1702,   547,  1089,
    1090,  1703,  1704,   550,   551,     0,   553,     0,  1705,   555,
     556,   557,   558,   559,   560,   561,   562,  1706,  1707,   563,
     564,   565,   566,   567,  1708,  1709,   568,   569,   570,   571,
     572,     0,  1091,  1710,   575,   576,   577,   578,   579,   580,
    1711,  1712,   581,  1713,  1714,   582,   583,   584,   585,   586,
     587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   599,   600,   601,     0,     0,     0,   893,   894,
     895,     0,  3887,  3888,   898,   899,   900,   901,  1069,     0,
    1505,   669,     0,     0,     0,   887,   729,     0,     0,     0,
       0,     0,   888,   889,   890,   229,   230,   231,   232,   233,
     234,   235,   236,  1638,   237,   238,   239,  1639,  1640,  1641,
    1642,  1643,  1644,  1645,   240,   241,  1646,   242,   243,   244,
     245,   246,   247,   248,     0,  1070,   251,  1071,  1072,  1647,
     254,   255,   256,   257,   258,   259,  1648,  1649,   260,   261,
    1073,  1074,   264,  1650,   265,   266,   267,   268,     0,  1651,
     270,  1652,   271,   272,   273,   274,   275,   276,   277,   278,
     279,  1653,   280,   281,   282,   283,   284,   285,  1654,   286,
     287,   288,   289,  1655,  1656,  1657,   290,  1658,  1659,  1660,
     291,   292,   293,   294,   295,   296,  1075,  1076,   299,  1661,
     300,  1662,   301,   302,   303,   304,   305,   306,  1663,   307,
     308,   309,   310,  1664,  1665,   311,   312,  1077,   314,   315,
    1666,   316,   317,   318,  1667,   319,   320,   321,  1668,   322,
     323,   324,   325,     0,   327,   328,   329,   330,     0,  1669,
     332,  1670,   333,   334,  1078,   336,  1671,   337,  1672,   338,
     339,  1673,   340,   341,   342,   343,   344,  1674,   345,     0,
    1675,     0,   348,   349,  1676,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,  1677,   360,   361,   362,   363,
     364,   365,   366,  1678,   367,   368,     0,   370,   371,   372,
     373,  1080,  1081,  1679,  1082,  1680,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,  1681,  1682,   387,     0,
     389,   390,   391,  1683,   392,   393,   394,  1684,  1685,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,  1083,   412,  1084,   414,   415,
     416,   417,   418,   419,   420,  4316,     0,   423,  1686,   424,
     425,   426,   427,  1687,     0,   429,  1085,   431,   432,   433,
    1688,   434,   435,  1689,  1690,  3886,   437,   438,  1691,  1692,
     439,   440,     0,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1693,   455,   456,     0,
     458,     0,   460,   461,   462,  1694,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,  1086,   474,   475,   476,
     477,  1695,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,  1696,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   499,   500,   501,   502,   503,   504,
     505,   506,   507,  1697,   508,   509,   510,   511,   512,  1698,
     513,   514,  2178,   516,   517,   518,   519,   520,  1088,   522,
    1699,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   537,  1700,   538,   539,  1701,
     540,   541,   542,   543,   544,   545,   546,  1702,   547,  1089,
    1090,  1703,  1704,   550,   551,     0,   553,     0,  1705,   555,
     556,   557,   558,   559,   560,   561,   562,  1706,  1707,   563,
     564,   565,   566,   567,  1708,  1709,   568,   569,   570,   571,
     572,     0,  1091,  1710,   575,   576,   577,   578,   579,   580,
    1711,  1712,   581,  1713,  1714,   582,   583,   584,   585,   586,
     587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   599,   600,   601,     0,     0,     0,   893,   894,
     895,   609,  3887,  3888,   898,   899,   900,   901,   887,     0,
       0,     0,     0,     0,     0,   888,   889,   890,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   891,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   892,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   354,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,     0,
       0,   893,   894,   895,   609,   896,   897,   898,   899,   900,
     901,   887,     0,     0,     0,     0,     0,     0,   888,   889,
     890,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,  1019,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,  1020,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,   354,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,     0,     0,   893,   894,   895,   609,   896,   897,
     898,   899,   900,   901,   887,     0,     0,     0,     0,     0,
       0,   888,   889,   890,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,  1119,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,  1120,
       0,   333,   334,   335,   336,     0,   337,     0,   338,     0,
       0,     0,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,  1121,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,   384,   385,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,     0,     0,   893,   894,   895,
     609,   896,   897,   898,   899,   900,   901,   887,     0,     0,
       0,     0,     0,     0,   888,   889,   890,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,  1737,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,  1738,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,     0,     0,
     893,   894,   895,   609,   896,   897,   898,   899,   900,   901,
     887,     0,     0,     0,     0,     0,     0,   888,   889,   890,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   354,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,     0,     0,   893,   894,   895,   609,   896,   897,   898,
     899,   900,   901,   887,     0,     0,     0,     0,     0,     0,
     888,   889,   890,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   246,
     247,   248,   249,   250,     0,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,  3019,   267,   268,   269,     0,     0,     0,
     271,   272,   273,   274,   275,     0,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,     0,   287,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,  3020,     0,
     333,   334,   335,   336,     0,   337,     0,   338,     0,     0,
       0,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,   354,     0,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,     0,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,     0,     0,   380,     0,   382,
     383,   384,   385,   386,     0,     0,   387,   388,     0,   390,
       0,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,     0,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,     0,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,     0,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,     0,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,     0,     0,   893,   894,   895,   609,
     896,   897,   898,   899,   900,   901,   887,     0,     0,     0,
       0,     0,     0,   888,   889,   890,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,  4898,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,  1637,     0,     0,   893,
     894,   895,     0,   896,   897,   898,   899,   900,   901,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,  1638,   237,   238,   239,  1639,  1640,  1641,  1642,  1643,
    1644,  1645,   240,   241,  1646,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,  1647,   254,   255,
     256,   257,   258,   259,  1648,  1649,   260,   261,   262,   263,
     264,  1650,   265,   266,   267,   268,   269,  1651,   270,  1652,
     271,   272,   273,   274,   275,   276,   277,   278,   279,  1653,
     280,   281,   282,   283,   284,   285,  1654,   286,   287,   288,
     289,  1655,  1656,  1657,   290,  1658,  1659,  1660,   291,   292,
     293,   294,   295,   296,   297,   298,   299,  1661,   300,  1662,
     301,   302,   303,   304,   305,   306,  1663,   307,   308,   309,
     310,  1664,  1665,   311,   312,   313,   314,   315,  1666,   316,
     317,   318,  1667,   319,   320,   321,  1668,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,  1669,   332,  1670,
     333,   334,   335,   336,  1671,   337,  1672,   338,   339,  1673,
     340,   341,   342,   343,   344,  1674,   345,   346,  1675,   347,
     348,   349,  1676,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,  1677,   360,   361,   362,   363,   364,   365,
     366,  1678,   367,   368,   369,   370,   371,   372,   373,   374,
     375,  1679,   376,  1680,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,  1681,  1682,   387,   388,   389,   390,
     391,  1683,   392,   393,   394,  1684,  1685,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,  1686,   424,   425,   426,
     427,  1687,   428,   429,   430,   431,   432,   433,  1688,   434,
     435,  1689,  1690,   436,   437,   438,  1691,  1692,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1693,   455,   456,   457,   458,   459,
     460,   461,   462,  1694,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,  1695,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,  1696,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,  1697,   508,   509,   510,   511,   512,  1698,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,  1699,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,  1700,   538,   539,  1701,   540,   541,
     542,   543,   544,   545,   546,  1702,   547,   548,   549,  1703,
    1704,   550,   551,   552,   553,   554,  1705,   555,   556,   557,
     558,   559,   560,   561,   562,  1706,  1707,   563,   564,   565,
     566,   567,  1708,  1709,   568,   569,   570,   571,   572,   573,
     574,  1710,   575,   576,   577,   578,   579,   580,  1711,  1712,
     581,  1713,  1714,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   609,     0,     0,     0,     0,     0,     0,
       0,     0,  1715,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   354,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,     0,   823,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,  5291,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,     0,  1070,   251,  1071,  1072,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,  1073,
    1074,   264,     0,   265,   266,   267,   268,     0,     0,   270,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,     0,     0,     0,   290,     0,     0,     0,   291,
     292,   293,   294,   295,   296,  1075,  1076,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,  1077,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,     0,   327,   328,   329,   330,     0,     0,   332,
       0,   333,   334,  1078,   336,     0,   337,     0,   338,   339,
       0,   340,   341,   342,   343,   344,     0,   345,     0,     0,
       0,   348,   349,     0,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,  2174,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,  2175,   370,   371,   372,   373,
    1080,  1081,     0,  1082,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,     0,   389,
     390,   391,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,  1083,   412,  1084,   414,   415,   416,
     417,   418,   419,   420,     0,     0,   423,     0,   424,   425,
     426,   427,     0,     0,   429,  1085,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,  2176,   439,
     440,  2177,   442,   443,   444,     0,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   458,
       0,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,  1086,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,  2178,   516,   517,   518,   519,   520,  1088,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,  1089,  1090,
       0,     0,   550,   551,     0,   553,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
       0,  1091,  2179,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
       0,     0,     0,     0,     0,     0,     0,  3367,     0,     0,
       0,   599,   600,   601,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2180,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,     0,  1070,   251,  1071,  1072,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,  1073,
    1074,   264,     0,   265,   266,   267,   268,     0,     0,   270,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,     0,     0,     0,   290,     0,     0,     0,   291,
     292,   293,   294,   295,   296,  1075,  1076,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,  1077,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,     0,   327,   328,   329,   330,     0,     0,   332,
       0,   333,   334,  1078,   336,     0,   337,     0,   338,   339,
       0,   340,   341,   342,   343,   344,     0,   345,     0,     0,
       0,   348,   349,     0,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,  2174,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,  2175,   370,   371,   372,   373,
    1080,  1081,     0,  1082,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,     0,   389,
     390,   391,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,  1083,   412,  1084,   414,   415,   416,
     417,   418,   419,   420,     0,     0,   423,     0,   424,   425,
     426,   427,     0,     0,   429,  1085,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,  2176,   439,
     440,  2177,   442,   443,   444,     0,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   458,
       0,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,  1086,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,  2178,   516,   517,   518,   519,   520,  1088,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,  1089,  1090,
       0,     0,   550,   551,     0,   553,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
       0,  1091,  2179,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
       0,     0,     0,     0,     0,     0,     0,   873,     0,  1505,
     669,   599,   600,   601,     0,   729,     0,     0,     0,     0,
       0,     0,     0,  2180,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,   270,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,     0,     0,     0,   290,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,  2102,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,  1921,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,   339,
       0,   340,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,   388,   389,
     390,   391,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,  1922,     0,   436,   437,   438,     0,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,  1923,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   873,     0,  1505,   669,     0,
       0,  1506,  1507,   729,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,   270,     0,   271,
     272,   273,   274,   275,   276,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,   286,   287,   288,   289,
       0,     0,     0,   290,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,  2107,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,  1921,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,   339,     0,   340,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,     0,     0,   387,   388,   389,   390,   391,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
    1922,     0,   436,   437,   438,     0,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,  1923,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   873,     0,  1505,   669,     0,     0,  1506,
    1507,   729,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,   270,     0,   271,   272,   273,
     274,   275,   276,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,   286,   287,   288,   289,     0,     0,
       0,   290,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,  1921,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,   339,     0,   340,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,     0,     0,   387,   388,   389,   390,   391,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,  1922,     0,
     436,   437,   438,     0,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,   541,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,  1923,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     576,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   873,     0,     0,   669,     0,     0,  1506,  1507,   729,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,   270,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,     0,     0,     0,   290,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,  2973,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,  1921,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,     0,
       0,   387,   388,   389,   390,   391,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,  1922,     0,   436,   437,
     438,     0,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,   541,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,  1923,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   609,
       0,     0,     0,     0,     0,   741,   742,   729,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   730,   231,   232,
     233,   234,   235,   236,   731,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   732,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   733,   335,   336,     0,   337,     0,
     734,     0,   735,     0,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,     0,   356,   357,   358,   359,   736,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   737,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     738,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   739,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   740,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,  1637,     0,  5505,
     669,     0,     0,   741,   742,   729,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,  1638,   237,   238,   239,  1639,  1640,  1641,  1642,
    1643,  1644,  1645,   240,   241,  1646,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,  1647,   254,
     255,   256,   257,   258,   259,  1648,  1649,   260,   261,   262,
     263,   264,  1650,   265,   266,   267,   268,   269,  1651,   270,
    1652,   271,   272,   273,   274,   275,   276,   277,   278,   279,
    1653,   280,   281,   282,   283,   284,   285,  1654,   286,   287,
     288,   289,  1655,  1656,  1657,   290,  1658,  1659,  1660,   291,
     292,   293,   294,   295,   296,   297,   298,   299,  1661,   300,
    1662,   301,   302,   303,   304,   305,   306,  1663,   307,   308,
     309,   310,  1664,  1665,   311,   312,   313,   314,   315,  1666,
     316,   317,   318,  1667,   319,   320,   321,  1668,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,  1669,   332,
    1670,   333,   334,   335,   336,  1671,   337,  1672,   338,   339,
    1673,   340,   341,   342,   343,   344,  1674,   345,   346,  1675,
     347,   348,   349,  1676,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,  1677,   360,   361,   362,   363,   364,
     365,   366,  1678,   367,   368,   369,   370,   371,   372,   373,
     374,   375,  1679,   376,  1680,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,  1681,  1682,   387,   388,   389,
     390,   391,  1683,   392,   393,   394,  1684,  1685,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,  1686,   424,   425,
     426,   427,  1687,   428,   429,   430,   431,   432,   433,  1688,
     434,   435,  1689,  1690,   436,   437,   438,  1691,  1692,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,  1693,   455,   456,   457,   458,
     459,   460,   461,   462,  1694,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
    1695,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,  1696,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,  1697,   508,   509,   510,   511,   512,  1698,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,  1699,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,  1700,   538,   539,  1701,   540,
     541,   542,   543,   544,   545,   546,  1702,   547,   548,   549,
    1703,  1704,   550,   551,   552,   553,   554,  1705,   555,   556,
     557,   558,   559,   560,   561,   562,  1706,  1707,   563,   564,
     565,   566,   567,  1708,  1709,   568,   569,   570,   571,   572,
     573,   574,  1710,   575,   576,   577,   578,   579,   580,  1711,
    1712,   581,  1713,  1714,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,  1637,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,  1638,
     237,   238,   239,  1639,  1640,  1641,  1642,  1643,  1644,  1645,
     240,   241,  1646,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,  1647,   254,   255,   256,   257,
     258,   259,  1648,  1649,   260,   261,   262,   263,   264,  1650,
     265,   266,   267,   268,   269,  1651,   270,  1652,   271,   272,
     273,   274,   275,   276,   277,   278,   279,  1653,   280,   281,
     282,   283,   284,   285,  1654,   286,   287,   288,   289,  1655,
    1656,  1657,   290,  1658,  1659,  1660,   291,   292,   293,   294,
     295,   296,   297,   298,   299,  1661,   300,  1662,   301,   302,
     303,   304,   305,   306,  1663,   307,   308,   309,   310,  1664,
    1665,   311,   312,   313,   314,   315,  1666,   316,   317,   318,
    1667,   319,   320,   321,  1668,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,  1669,   332,  1670,   333,   334,
     335,   336,  1671,   337,  1672,   338,   339,  1673,   340,   341,
     342,   343,   344,  1674,   345,   346,  1675,   347,   348,   349,
    1676,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,  1677,   360,   361,   362,   363,   364,   365,   366,  1678,
     367,   368,   369,   370,   371,   372,   373,   374,   375,  1679,
     376,  1680,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,  1681,  1682,   387,   388,   389,   390,   391,  1683,
     392,   393,   394,  1684,  1685,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,  1686,   424,   425,   426,   427,  1687,
     428,   429,   430,   431,   432,   433,  1688,   434,   435,  1689,
    1690,   436,   437,   438,  1691,  1692,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1693,   455,   456,   457,   458,   459,   460,   461,
     462,  1694,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,  1695,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
    1696,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,  1697,
     508,   509,   510,   511,   512,  1698,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,  1699,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,  1700,   538,   539,  1701,   540,   541,   542,   543,
     544,   545,   546,  1702,   547,   548,   549,  1703,  1704,   550,
     551,   552,   553,   554,  1705,   555,   556,   557,   558,   559,
     560,   561,   562,  1706,  1707,   563,   564,   565,   566,   567,
    1708,  1709,   568,   569,   570,   571,   572,   573,   574,  1710,
     575,   576,   577,   578,   579,   580,  1711,  1712,   581,  1713,
    1714,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,  1637,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,  3090,   234,   235,   236,  1638,   237,   238,   239,
    1639,  1640,  1641,  1642,  1643,  1644,  1645,   240,   241,  1646,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,  1647,   254,   255,   256,   257,   258,   259,  1648,
    1649,   260,   261,   262,   263,   264,  1650,   265,   266,   267,
     268,   269,  1651,   270,  1652,   271,   272,   273,   274,   275,
     276,   277,   278,   279,  1653,   280,   281,   282,   283,   284,
     285,  1654,   286,   287,   288,   289,  1655,  1656,  1657,   290,
    1658,  1659,  1660,   291,   292,   293,   294,   295,   296,   297,
     298,   299,  1661,   300,  1662,   301,   302,   303,   304,   305,
     306,  1663,   307,   308,   309,   310,  1664,  1665,   311,   312,
     313,  3091,   315,  1666,   316,   317,   318,  1667,   319,   320,
     321,  1668,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,  1669,   332,  1670,   333,   334,   335,   336,  1671,
     337,  1672,   338,   339,  1673,   340,   341,   342,   343,   344,
    1674,   345,   346,  1675,   347,   348,   349,  1676,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,  1677,   360,
     361,   362,   363,   364,   365,   366,  1678,   367,   368,   369,
     370,   371,   372,   373,   374,   375,  1679,   376,  1680,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,  1681,
    1682,   387,   388,   389,   390,   391,  1683,   392,   393,   394,
    1684,  1685,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,  1686,   424,   425,   426,   427,  1687,   428,   429,   430,
     431,   432,   433,  1688,   434,   435,  1689,  1690,   436,   437,
     438,  1691,  1692,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,  1693,
     455,   456,   457,   458,   459,   460,   461,   462,  1694,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,  1695,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,  1696,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,  1697,   508,   509,   510,
     511,   512,  1698,  3092,   514,   515,   516,   517,   518,   519,
     520,   521,   522,  1699,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,  1700,
     538,   539,  1701,   540,   541,   542,   543,   544,   545,   546,
    1702,   547,   548,   549,  1703,  1704,   550,   551,   552,   553,
     554,  1705,   555,   556,   557,   558,   559,   560,   561,   562,
    1706,  1707,   563,   564,   565,   566,   567,  1708,  1709,   568,
     569,   570,   571,   572,   573,   574,  1710,   575,   576,   577,
     578,   579,   580,  1711,  1712,   581,  1713,  1714,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,  1232,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,  1235,     0,
    1236,     0,   271,   272,   273,   274,   275,   276,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,   286,
     287,   288,   289,  1237,  1238,  1239,  1240,  1241,  1242,  1243,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,  1248,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
     339,     0,   340,   341,   342,   343,   344,     0,   345,  1251,
       0,   347,   348,   349,     0,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,     0,   387,  1256,
     389,   390,   391,     0,   392,   393,   394,  1257,  1258,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,  1261,   423,     0,   424,
     425,   426,   427,     0,  1264,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,   442,   443,   444,  1267,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,  1268,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,  1271,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  1273,   537,     0,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,  1276,   553,  1277,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,  1280,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,  1282,  1283,  1284,  1285,   593,  1286,  1287,  1288,
    1289,   598,   599,   600,   601,   873,     0,     0,   669,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,   270,     0,   271,
     272,   273,   274,   275,   276,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,   286,   287,   288,   289,
       0,     0,     0,   290,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,  1921,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,   339,     0,   340,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,     0,     0,   387,   388,   389,   390,   391,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
    1922,     0,   436,   437,   438,     0,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,  1923,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   873,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,   911,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,   270,     0,   271,   272,   273,   274,
     275,   276,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,   286,   287,   288,   289,     0,     0,     0,
     290,     0,     0,   874,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,   339,     0,   340,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,     0,   387,   388,   389,   390,   391,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,   875,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,   541,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,   576,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   873,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,   932,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,   270,     0,   271,   272,   273,   274,   275,   276,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
     286,   287,   288,   289,     0,     0,     0,   290,     0,     0,
     874,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,   339,     0,   340,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,     0,     0,   387,
     388,   389,   390,   391,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   933,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
     875,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   576,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   873,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,   270,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,     0,     0,     0,   290,     0,     0,   874,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,   388,   389,   390,
     391,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,   875,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,  2442,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   873,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,   270,     0,   271,   272,   273,
     274,   275,   276,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,   286,   287,   288,   289,     0,     0,
       0,   290,     0,     0,   874,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,   339,     0,   340,   341,   342,
     343,   344,     0,   345,   346,  3449,   347,   348,   349,     0,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,     0,     0,   387,   388,   389,   390,   391,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,   875,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,   541,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     576,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     873,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,   270,     0,   271,   272,   273,   274,   275,   276,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,   286,   287,   288,   289,     0,     0,     0,   290,     0,
       0,   874,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,   339,     0,   340,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,     0,
     387,   388,   389,   390,   391,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,   875,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,   576,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   873,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,   270,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,     0,     0,     0,   290,     0,     0,   874,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,   339,
       0,   340,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,   388,   389,
     390,   391,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,  1038,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,   875,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   873,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,   270,     0,   271,   272,
     273,   274,   275,   276,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,   286,   287,   288,   289,     0,
       0,     0,   290,     0,     0,   874,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,   339,     0,   340,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,  1114,   355,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,     0,   387,   388,   389,   390,   391,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,   875,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,   541,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   873,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,   270,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,     0,     0,     0,   290,
       0,     0,   874,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,  1127,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,     0,
       0,   387,   388,   389,   390,   391,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,   875,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,   541,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
     270,     0,   271,   272,   273,   274,   275,   276,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,   286,
     287,   288,   289,     0,     0,     0,   290,     0,     0,   874,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
     339,     0,   340,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,  1139,
     355,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,     0,   387,   388,
     389,   390,   391,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,  1140,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,   875,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   873,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     3,     4,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,   270,     0,   271,
     272,   273,   274,   275,   276,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,   286,   287,   288,   289,
       0,     0,     0,   290,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,   339,     0,   340,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,     0,     0,   387,   388,   389,   390,   391,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,   576,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   873,     0,     0,   669,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,   270,     0,   271,   272,   273,   274,
     275,   276,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,   286,   287,   288,   289,     0,     0,     0,
     290,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,  2087,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,   339,     0,   340,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,     0,   387,   388,   389,   390,   391,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,   541,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,   576,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   873,
       0,     0,   669,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,   270,     0,   271,   272,   273,   274,   275,   276,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
     286,   287,   288,   289,     0,     0,     0,   290,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,   339,     0,   340,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,     0,     0,   387,
     388,   389,   390,   391,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,   576,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   873,     0,     0,   669,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,   270,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,     0,     0,     0,   290,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,  1907,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,   388,   389,   390,
     391,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,   270,     0,   271,   272,   273,
     274,   275,   276,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,   286,   287,   288,   289,     0,     0,
       0,   290,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,   339,     0,   340,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,     0,     0,   387,   388,   389,   390,   391,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,   541,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
     576,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,   270,     0,   271,   272,   273,   274,   275,   276,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,   286,   287,   288,   289,     0,     0,     0,   290,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,   339,     0,   340,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,  1062,   355,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,     0,
     387,   388,   389,   390,   391,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,   576,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,   270,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,     0,     0,     0,   290,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,   339,
       0,   340,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,  1111,   355,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,   388,   389,
     390,   391,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,   270,     0,   271,   272,
     273,   274,   275,   276,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,   286,   287,   288,   289,     0,
       0,     0,   290,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,   339,     0,   340,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,  1125,   355,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,     0,   387,   388,   389,   390,   391,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,   541,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,   576,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,   270,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,     0,     0,     0,   290,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,  1129,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,     0,
       0,   387,   388,   389,   390,   391,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,   541,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
     270,     0,   271,   272,   273,   274,   275,   276,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,   286,
     287,   288,   289,     0,     0,     0,   290,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
     339,     0,   340,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,     0,   387,   388,
     389,   390,   391,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,     0,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,   576,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   246,   247,
     248,   249,   250,     0,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
    2214,   265,   266,   267,   268,   269,     0,     0,  2294,   271,
     272,   273,   274,   275,     0,   277,   278,   279,  2215,   280,
     281,   282,   283,   284,   285,     0,     0,   287,   288,   289,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,  2295,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,  2217,   338,     0,     0,     0,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,  2296,     0,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,     0,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,     0,     0,   380,     0,   382,   383,
     384,   385,   386,     0,     0,   387,   388,     0,   390,     0,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,     0,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
       0,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,  2218,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,     0,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,  2219,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,  2214,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,  2215,   280,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,  2295,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,  2217,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,   354,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,  3301,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,  2218,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,  2219,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   786,   235,   236,   748,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   749,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,   787,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   750,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   751,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,   748,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   246,
     247,   248,   249,   250,     0,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,     0,     0,
     271,   272,   273,   274,   275,     0,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   749,     0,   287,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,     0,     0,
       0,   341,   342,   343,   344,  2980,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,   354,     0,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,     0,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,     0,     0,   380,     0,   382,
     383,   384,   385,   386,     0,     0,   387,   388,     0,   390,
       0,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,     0,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,     0,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   750,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   751,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,     0,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,     0,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,  2214,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,  2215,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,  2295,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,  2217,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   354,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
    2218,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,  2219,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,   748,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     749,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   750,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   751,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   609,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,  1948,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,  1949,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,  1950,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,  1951,   338,     0,
       0,     0,  1952,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,   354,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,  1953,  1954,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,  1955,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
    1956,   497,   498,   499,   500,   501,  1957,   503,   504,   505,
     506,   507,     0,  1958,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,  1959,   540,
       0,  1960,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
    1961,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   749,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,   354,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   750,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   751,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,   925,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   926,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,   818,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,  3071,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   246,   247,   248,   249,   250,     0,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
       0,     0,   271,   272,   273,   274,   275,     0,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,     0,
     287,   288,   289,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
       0,     0,     0,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,   354,
       0,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,     0,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,     0,     0,   380,
       0,   382,   383,   384,   385,   386,     0,     0,   387,   388,
       0,   390,     0,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,     0,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,     0,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,     0,
     513,   514,   515,   516,   517,     0,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,     0,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,  3072,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
    3084,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   246,   247,
     248,   249,   250,     0,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,     0,     0,   271,
     272,   273,   274,   275,     0,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,     0,   287,   288,   289,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,     0,     0,     0,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,   354,     0,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,     0,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,     0,     0,   380,     0,   382,   383,
     384,   385,   386,     0,     0,   387,   388,     0,   390,     0,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,     0,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
       0,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,     0,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,  3085,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,   610,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,   354,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,     0,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,   660,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   661,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,   778,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   246,
     247,   248,   249,   250,     0,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,     0,     0,
     271,   272,   273,   274,   275,     0,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,     0,   287,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,     0,     0,
       0,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,   354,     0,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,     0,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,     0,     0,   380,     0,   382,
     383,   384,   385,   386,     0,     0,   387,   388,     0,   390,
       0,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,     0,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,     0,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   779,     0,   513,   514,
     515,   516,   517,     0,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,     0,
     542,   543,   544,   545,   546,     0,   547,   780,   549,     0,
       0,   781,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,     0,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,   812,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   354,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   813,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   814,   549,     0,     0,   815,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,   818,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   609,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,   882,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,     0,
       0,     0,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,   883,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,   384,   385,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,  1054,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,   354,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,  1327,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   354,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
    1338,   246,   247,   248,   249,   250,     0,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   798,   261,
     262,   263,  1339,     0,   265,   266,   267,   268,   269,     0,
       0,     0,   271,   272,   273,   274,   275,     0,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,     0,
     287,   288,   289,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
       0,     0,     0,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,   354,
       0,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,     0,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,     0,     0,   380,
       0,   382,   383,   384,   385,   386,     0,     0,   387,   388,
       0,   390,     0,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   801,   411,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,     0,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,     0,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   802,   494,
     495,   496,   497,   498,   499,   500,   501,   803,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,  1331,     0,
     513,   514,   515,   516,   517,     0,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,     0,   542,   543,   544,   545,   546,     0,   547,   805,
     549,     0,     0,   806,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     807,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   246,   247,
     248,   249,   250,     0,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,     0,     0,   271,
     272,   273,   274,   275,     0,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,     0,   287,   288,   289,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,     0,     0,     0,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,  1449,     0,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,     0,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,     0,     0,   380,     0,   382,   383,
     384,   385,   386,     0,     0,   387,   388,     0,   390,     0,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,     0,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,   818,   436,   437,   438,     0,     0,   439,   440,   441,
       0,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,     0,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,  1510,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,  1511,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,     0,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,   778,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   246,
     247,   248,   249,   250,     0,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,     0,     0,
     271,   272,   273,   274,   275,     0,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,     0,   287,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,     0,     0,
       0,   341,   342,   343,  2870,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,   354,     0,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,     0,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,     0,     0,   380,     0,   382,
     383,   384,   385,   386,     0,     0,   387,   388,     0,   390,
       0,     0,   392,   393,  2871,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,     0,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,     0,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,     0,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,  2872,   540,     0,
     542,  2873,   544,  2874,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,  2875,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,     0,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   609,     0,     0,   669,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   354,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,   729,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   609,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,  4157,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,     0,
       0,     0,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,   354,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,   384,   385,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,  4171,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,   354,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   354,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   246,   247,   248,   249,   250,     0,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
       0,     0,   271,   272,   273,   274,   275,     0,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,     0,
     287,   288,   289,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
       0,     0,     0,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,   354,
       0,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,     0,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,     0,     0,   380,
       0,   382,   383,   384,   385,   386,     0,     0,   387,   388,
       0,   390,     0,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,     0,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,     0,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,     0,
     513,   514,   515,   516,   517,     0,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,     0,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   764,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   246,   247,
     248,   249,   250,     0,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,     0,     0,   271,
     272,   273,   274,   275,     0,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,     0,   287,   288,   289,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,     0,     0,     0,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,   354,     0,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,     0,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,     0,     0,   380,     0,   382,   383,
     384,   385,   386,     0,     0,   387,   388,     0,   390,     0,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,     0,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
       0,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   776,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,     0,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   798,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,     0,   799,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,   354,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,     0,     0,   392,   393,
     800,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   801,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   802,   494,   495,   496,   497,   498,   499,   500,
     501,   803,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   804,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   805,   549,     0,     0,   806,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   807,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
     354,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     829,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   246,
     247,   248,   249,   250,     0,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,     0,     0,
     271,   272,   273,   274,   275,     0,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,     0,   287,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,     0,     0,
       0,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,   907,     0,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,     0,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,     0,     0,   380,     0,   382,
     383,   384,   385,   386,     0,     0,   387,   388,     0,   390,
       0,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,     0,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,     0,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,     0,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,     0,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,   917,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   920,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   609,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,     0,
       0,     0,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,   936,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,   384,   385,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,  1003,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,  1009,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   246,   247,   248,   249,   250,     0,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
       0,     0,   271,   272,   273,   274,   275,     0,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,     0,
     287,   288,   289,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
       0,     0,     0,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,  1026,
       0,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,     0,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,     0,     0,   380,
       0,   382,   383,   384,   385,   386,     0,     0,   387,   388,
       0,   390,     0,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,     0,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,     0,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,     0,
     513,   514,   515,   516,   517,     0,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,     0,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   246,   247,
     248,   249,   250,     0,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,     0,     0,   271,
     272,   273,   274,   275,     0,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,     0,   287,   288,   289,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,     0,     0,     0,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,  1029,     0,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,     0,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,     0,     0,   380,     0,   382,   383,
     384,   385,   386,     0,     0,   387,   388,     0,   390,     0,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,     0,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
       0,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,     0,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,  1031,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,     0,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
    1067,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   246,
     247,   248,   249,   250,     0,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,     0,     0,
     271,   272,   273,   274,   275,     0,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,     0,   287,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,     0,     0,
       0,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,  1131,     0,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,     0,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,     0,     0,   380,     0,   382,
     383,   384,   385,   386,     0,     0,   387,   388,     0,   390,
       0,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,     0,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,     0,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,     0,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,     0,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,  1133,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,  1143,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   609,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,     0,
       0,     0,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,  1146,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,   384,   385,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,  1149,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   798,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   354,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   801,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   802,   494,   495,   496,   497,   498,   499,   500,   501,
     803,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,  1331,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   805,   549,     0,     0,   806,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   807,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   246,   247,   248,   249,   250,     0,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
       0,     0,   271,   272,   273,   274,   275,     0,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,     0,
     287,   288,   289,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
       0,     0,     0,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,  1768,
       0,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,     0,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,     0,     0,   380,
       0,   382,   383,   384,   385,   386,     0,     0,   387,   388,
       0,   390,     0,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,     0,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,     0,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,     0,
     513,   514,   515,   516,   517,     0,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,     0,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   246,   247,
     248,   249,   250,     0,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,     0,     0,   271,
     272,   273,   274,   275,     0,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,     0,   287,   288,   289,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,     0,     0,     0,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,  1806,     0,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,     0,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,     0,     0,   380,     0,   382,   383,
     384,   385,   386,     0,     0,   387,   388,     0,   390,     0,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,     0,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
       0,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,     0,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,  1808,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,     0,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
    1879,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   246,
     247,   248,   249,   250,     0,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,     0,     0,
     271,   272,   273,   274,   275,     0,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,     0,   287,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,     0,     0,
       0,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,  1881,     0,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,     0,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,     0,     0,   380,     0,   382,
     383,   384,   385,   386,     0,     0,   387,   388,     0,   390,
       0,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,     0,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,     0,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,     0,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,     0,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,  1883,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,   494,   495,   496,   497,   498,   499,   500,  1986,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   548,   549,     0,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   609,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,  2166,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,     0,
       0,     0,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,   354,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,   384,   385,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,     0,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   798,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,   354,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     801,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   802,   494,   495,   496,   497,   498,
     499,   500,   501,   803,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,  1331,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,  2201,   543,
     544,   545,   546,     0,   547,   805,   549,     0,     0,   806,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   807,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   798,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,   354,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   801,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   802,   494,   495,   496,   497,   498,   499,   500,   501,
    2277,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,  2278,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   805,   549,     0,     0,  2279,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   807,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   246,   247,   248,   249,   250,     0,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   798,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
       0,     0,   271,   272,   273,   274,   275,     0,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,     0,
     287,   288,   289,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
       0,     0,     0,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,   354,
       0,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,     0,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,     0,     0,   380,
       0,   382,   383,   384,   385,   386,     0,     0,   387,   388,
       0,   390,     0,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   801,   411,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,     0,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,     0,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   802,   494,
     495,   496,   497,   498,   499,   500,   501,  2356,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,  2278,     0,
     513,   514,   515,   516,   517,     0,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,     0,   542,   543,   544,   545,   546,     0,   547,   805,
     549,     0,     0,  2279,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     807,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   246,   247,
     248,   249,   250,     0,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   798,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,     0,     0,   271,
     272,   273,   274,   275,     0,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,     0,   287,   288,   289,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,     0,     0,     0,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,   354,     0,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,     0,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,     0,     0,   380,     0,   382,   383,
     384,   385,   386,     0,     0,   387,   388,     0,   390,     0,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   801,   411,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,     0,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
       0,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,     0,   802,   494,   495,   496,   497,
     498,   499,   500,   501,  2373,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,  2278,     0,   513,   514,   515,
     516,   517,     0,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,     0,   542,
     543,   544,   545,   546,     0,   547,   805,   549,     0,     0,
    2279,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   807,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,  2577,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,     0,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,   249,   250,     0,   252,   253,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,   262,   263,   264,     0,   265,   266,   267,   268,   269,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,   297,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   334,   335,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,     0,   345,
     346,     0,   347,   348,   349,     0,   350,   351,   352,   353,
    2581,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,   369,   370,   371,
     372,   373,   374,   375,     0,   376,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
     388,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,     0,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,     0,   427,     0,   428,   429,   430,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,   441,     0,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,   515,   516,   517,     0,   519,   520,   521,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
     548,   549,     0,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,   573,   574,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   609,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,     0,   246,
     247,   248,   249,   250,     0,   252,   253,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,   262,   263,
     264,     0,   265,   266,   267,   268,   269,     0,     0,     0,
     271,   272,   273,   274,   275,     0,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,     0,   287,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   291,   292,
     293,   294,   295,   296,   297,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   334,   335,   336,     0,   337,     0,   338,     0,     0,
       0,   341,   342,   343,   344,     0,   345,   346,     0,   347,
     348,   349,     0,   350,   351,   352,   353,  2657,     0,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,     0,   369,   370,   371,   372,   373,   374,
     375,     0,   376,     0,   377,     0,     0,   380,     0,   382,
     383,   384,   385,   386,     0,     0,   387,   388,     0,   390,
       0,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,     0,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,     0,
     427,     0,   428,   429,   430,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
     441,     0,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,     0,   513,   514,
     515,   516,   517,     0,   519,   520,   521,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,     0,   538,   539,     0,   540,     0,
     542,   543,   544,   545,   546,     0,   547,   548,   549,     0,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,   573,
     574,     0,   575,     0,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   609,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,     0,   246,   247,   248,   249,
     250,     0,   252,   253,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,   262,   263,   264,     0,   265,
     266,   267,   268,   269,     0,     0,     0,   271,   272,   273,
     274,   275,     0,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,     0,   287,   288,   289,     0,     0,
       0,     0,     0,     0,     0,   291,   292,   293,   294,   295,
     296,   297,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,   313,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   334,   335,
     336,     0,   337,     0,   338,     0,     0,     0,   341,   342,
     343,   344,     0,   345,   346,     0,   347,   348,   349,     0,
     350,   351,   352,   353,  2991,     0,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
       0,   369,   370,   371,   372,   373,   374,   375,     0,   376,
       0,   377,     0,     0,   380,     0,   382,   383,   384,   385,
     386,     0,     0,   387,   388,     0,   390,     0,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,     0,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,     0,   427,     0,   428,
     429,   430,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,   441,     0,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,   515,   516,   517,
       0,   519,   520,   521,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,     0,   538,   539,     0,   540,     0,   542,   543,   544,
     545,   546,     0,   547,   548,   549,     0,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,   573,   574,     0,   575,
       0,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     609,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,     0,   246,   247,   248,   249,   250,     0,   252,
     253,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     798,   261,   262,   263,   264,     0,   265,   266,   267,   268,
     269,     0,     0,     0,   271,   272,   273,   274,   275,     0,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,     0,   287,   288,   289,     0,     0,     0,     0,     0,
       0,     0,   291,   292,   293,   294,   295,   296,   297,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,   313,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   334,   335,   336,     0,   337,
       0,   338,     0,     0,     0,   341,   342,   343,   344,     0,
     345,   346,     0,   347,   348,   349,     0,   350,   351,   352,
     353,   354,     0,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,     0,   369,   370,
     371,   372,   373,   374,   375,     0,   376,     0,   377,     0,
       0,   380,     0,   382,   383,   384,   385,   386,     0,     0,
     387,   388,     0,   390,     0,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   801,   411,     0,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,     0,   427,     0,   428,   429,   430,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,   441,     0,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     802,   494,   495,   496,   497,   498,   499,   500,   501,   803,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
    2278,     0,   513,   514,   515,   516,   517,     0,   519,   520,
     521,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,     0,   538,
     539,     0,   540,     0,   542,   543,   544,   545,   546,     0,
     547,   805,   549,     0,     0,  2279,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,   573,   574,     0,   575,     0,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   807,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   609,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,     0,
     246,   247,   248,   249,   250,     0,   252,   253,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,   262,
     263,   264,     0,   265,   266,   267,   268,   269,     0,     0,
       0,   271,   272,   273,   274,   275,     0,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   287,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   291,
     292,   293,   294,   295,   296,   297,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,   313,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   334,   335,   336,     0,   337,     0,   338,     0,
       0,     0,   341,   342,   343,   344,     0,   345,   346,     0,
     347,   348,   349,     0,   350,   351,   352,   353,  3060,     0,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,     0,   369,   370,   371,   372,   373,
     374,   375,     0,   376,     0,   377,     0,     0,   380,     0,
     382,   383,   384,   385,   386,     0,     0,   387,   388,     0,
     390,     0,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
       0,   427,     0,   428,   429,   430,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,   441,     0,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,   515,   516,   517,     0,   519,   520,   521,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,     0,   538,   539,     0,   540,
       0,   542,   543,   544,   545,   546,     0,   547,   548,   549,
       0,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
     573,   574,     0,   575,     0,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   609,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,     0,   246,   247,   248,
     249,   250,     0,   252,   253,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,   262,   263,   264,     0,
     265,   266,   267,   268,   269,     0,     0,     0,   271,   272,
     273,   274,   275,     0,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   287,   288,   289,     0,
       0,     0,     0,     0,     0,     0,   291,   292,   293,   294,
     295,   296,   297,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,   313,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   334,
     335,   336,     0,   337,     0,   338,     0,     0,     0,   341,
     342,   343,   344,     0,   345,   346,     0,   347,   348,   349,
       0,   350,   351,   352,   353,  3074,     0,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,     0,   369,   370,   371,   372,   373,   374,   375,     0,
     376,     0,   377,     0,     0,   380,     0,   382,   383,   384,
     385,   386,     0,     0,   387,   388,     0,   390,     0,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,     0,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,     0,   427,     0,
     428,   429,   430,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,   441,     0,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,   515,   516,
     517,     0,   519,   520,   521,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,     0,   538,   539,     0,   540,     0,   542,   543,
     544,   545,   546,     0,   547,   548,   549,     0,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,   573,   574,     0,
     575,     0,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   609,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,     0,   246,   247,   248,   249,   250,     0,
     252,   253,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,   262,   263,   264,     0,   265,   266,   267,
     268,   269,     0,     0,     0,   271,   272,   273,   274,   275,
       0,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,     0,   287,   288,   289,     0,     0,     0,     0,
       0,     0,     0,   291,   292,   293,   294,   295,   296,   297,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
     313,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   334,   335,   336,     0,
     337,     0,   338,     0,     0,     0,   341,   342,   343,   344,
       0,   345,   346,     0,   347,   348,   349,     0,   350,   351,
     352,   353,  3076,     0,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,     0,   369,
     370,   371,   372,   373,   374,   375,     0,   376,     0,   377,
       0,     0,   380,     0,   382,   383,   384,   385,   386,     0,
       0,   387,   388,     0,   390,     0,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,     0,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,     0,   427,     0,   428,   429,   430,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,   441,     0,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,   515,   516,   517,     0,   519,
     520,   521,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,     0,
     538,   539,     0,   540,     0,   542,   543,   544,   545,   546,
       0,   547,   548,   549,     0,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,   573,   574,     0,   575,     0,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
       0,   246,   247,   248,   249,   250,     0,   252,   253,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
     262,   263,   264,     0,   265,   266,   267,   268,   269,     0,
       0,     0,   271,   272,   273,   274,   275,     0,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,     0,
     287,   288,   289,     0,     0,     0,     0,     0,     0,     0,
     291,   292,   293,   294,   295,   296,   297,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,   313,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   334,   335,   336,     0,   337,     0,   338,
       0,     0,     0,   341,   342,   343,   344,     0,   345,   346,
       0,   347,   348,   349,     0,   350,   351,   352,   353,  3221,
       0,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,     0,   369,   370,   371,   372,
     373,   374,   375,     0,   376,     0,   377,     0,     0,   380,
       0,   382,   383,   384,   385,   386,     0,     0,   387,   388,
       0,   390,     0,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,     0,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,     0,   427,     0,   428,   429,   430,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,   441,     0,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,     0,
     513,   514,   515,   516,   517,     0,   519,   520,   521,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,     0,   538,   539,     0,
     540,     0,   542,   543,   544,   545,   546,     0,   547,   548,
     549,     0,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,   573,   574,     0,   575,     0,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,     0,   246,   247,
     248,   249,   250,     0,   252,   253,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,   262,   263,   264,
       0,   265,   266,   267,   268,   269,     0,     0,     0,   271,
     272,   273,   274,   275,     0,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,     0,   287,   288,   289,
       0,     0,     0,     0,     0,     0,     0,   291,   292,   293,
     294,   295,   296,   297,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,  3259,   313,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     334,   335,   336,     0,   337,     0,   338,     0,     0,     0,
     341,   342,   343,   344,     0,   345,   346,     0,   347,   348,
     349,     0,   350,   351,   352,   353,   354,     0,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,     0,   369,   370,   371,   372,   373,   374,   375,
       0,   376,     0,   377,     0,     0,   380,     0,   382,   383,
     384,   385,   386,     0,     0,   387,   388,     0,   390,     0,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,     0,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,     0,   427,
       0,   428,   429,   430,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,   441,
       0,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,   515,
     516,   517,     0,   519,   520,   521,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,     0,   538,   539,     0,   540,     0,   542,
     543,   544,   545,   546,     0,   547,   548,   549,     0,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,   573,   574,
       0,   575,     0,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,   348,   349,     0,   350,
     351,   352,   353,  4441,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,     0,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   245,   246,   247,   248,     0,  1070,   251,  1071,  1072,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,  1073,  1074,   264,     0,   265,   266,   267,   268,     0,
       0,   270,     0,   271,   272,   273,   274,   275,   276,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
     286,   287,   288,   289,     0,     0,     0,   290,     0,     0,
       0,   291,   292,   293,   294,   295,   296,  1075,  1076,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,  1077,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,     0,   327,   328,   329,   330,     0,
       0,   332,     0,   333,   334,  1078,   336,     0,   337,     0,
     338,   339,     0,   340,   341,   342,   343,   344,     0,   345,
       0,     0,     0,   348,   349,     0,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,  2174,   360,   361,   362,
     363,   364,   365,   366,     0,   367,   368,  2175,   370,   371,
     372,   373,  1080,  1081,     0,  1082,     0,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,     0,     0,   387,
       0,   389,   390,   391,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,  1083,   412,  1084,   414,
     415,   416,   417,   418,   419,   420,     0,     0,   423,     0,
     424,   425,   426,   427,     0,     0,   429,  1085,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,  2177,   442,   443,   444,     0,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   458,     0,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,  1086,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,  2178,   516,   517,   518,   519,   520,  1088,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   537,     0,   538,   539,
       0,   540,   541,   542,   543,   544,   545,   546,     0,   547,
    1089,  1090,     0,     0,   550,   551,     0,   553,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,     0,  1091,  2179,   575,   576,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,   609,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   599,   600,   601,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,     0,   246,   247,   248,   249,   250,
       0,   252,   253,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,   262,   263,   264,     0,   265,   266,
     267,   268,   269,     0,     0,     0,   271,   272,   273,   274,
     275,     0,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,     0,   287,   288,   289,     0,     0,     0,
       0,     0,     0,     0,   291,   292,   293,   294,   295,   296,
     297,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,   313,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   334,   335,   336,
       0,   337,     0,   338,     0,     0,     0,   341,   342,   343,
     344,     0,   345,   346,     0,   347,     0,   349,     0,   350,
     351,   352,   353,   354,     0,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,     0,
     369,   370,   371,   372,   373,   374,   375,     0,   376,     0,
     377,     0,     0,   380,     0,   382,   383,   384,   385,   386,
       0,     0,   387,   388,     0,   390,     0,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
       0,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,     0,   427,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,   441,     0,   443,     0,
     445,   446,   447,   448,   449,   450,   451,     0,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,     0,   472,
     473,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,   494,   495,   496,   497,   498,     0,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,   515,   516,   517,     0,
     519,   520,   521,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
       0,   538,   539,     0,   540,     0,   542,   543,   544,   545,
     546,     0,   547,   548,   549,     0,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,   573,   574,     0,   575,     0,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,  1069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,   245,   246,   247,   248,     0,  1070,   251,  1071,  1072,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,  1073,  1074,   264,     0,   265,   266,   267,   268,     0,
       0,   270,     0,   271,   272,   273,   274,   275,   276,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
     286,   287,   288,   289,     0,     0,     0,   290,     0,     0,
       0,   291,   292,   293,   294,   295,   296,  1075,  1076,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,  1077,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,     0,   327,   328,   329,   330,     0,
       0,   332,     0,   333,   334,  1078,   336,     0,   337,     0,
     338,   339,     0,   340,   341,   342,   343,   344,     0,   345,
       0,     0,     0,   348,   349,     0,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,   368,     0,   370,   371,
     372,   373,  1080,  1081,     0,  1082,     0,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,     0,     0,   387,
       0,   389,   390,   391,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,  1083,   412,  1084,   414,
     415,   416,   417,   418,   419,   420,     0,     0,   423,     0,
     424,   425,   426,   427,  2273,     0,   429,  1085,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,     0,   442,   443,   444,     0,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   458,     0,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,  1086,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,  2178,   516,   517,   518,   519,   520,  1088,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   537,     0,   538,   539,
    3986,   540,   541,   542,   543,   544,   545,   546,     0,   547,
    1089,  1090,     0,     0,   550,   551,     0,   553,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,     0,  1091,     0,   575,   576,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,  1069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   599,   600,   601,     0,     0,     0,   229,
     230,   231,   232,   233,   234,   235,   236,     0,   237,   238,
     239,     0,     0,     0,     0,     0,     0,     0,   240,   241,
       0,   242,   243,   244,   245,   246,   247,   248,     0,  1070,
     251,  1071,  1072,     0,   254,   255,   256,   257,   258,   259,
       0,     0,   260,   261,  1073,  1074,   264,     0,   265,   266,
     267,   268,     0,     0,   270,     0,   271,   272,   273,   274,
     275,   276,   277,   278,   279,     0,   280,   281,   282,   283,
     284,   285,     0,   286,   287,   288,   289,     0,     0,     0,
     290,     0,     0,     0,   291,   292,   293,   294,   295,   296,
    1075,  1076,   299,     0,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   308,   309,   310,     0,     0,   311,
     312,  1077,   314,   315,     0,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,     0,   327,   328,
     329,   330,     0,     0,   332,     0,   333,   334,  1078,   336,
       0,   337,     0,   338,   339,     0,   340,   341,   342,   343,
     344,     0,   345,     0,     0,     0,   348,   349,     0,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,     0,
     360,   361,   362,   363,   364,   365,   366,     0,   367,   368,
       0,   370,   371,   372,   373,  1080,  1081,     0,  1082,     0,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
       0,     0,   387,     0,   389,   390,   391,     0,   392,   393,
     394,     0,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,  1083,
     412,  1084,   414,   415,   416,   417,   418,   419,   420,  2346,
       0,   423,     0,   424,   425,   426,   427,     0,     0,   429,
    1085,   431,   432,   433,     0,   434,   435,     0,     0,   436,
     437,   438,     0,     0,   439,   440,     0,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   458,     0,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
    1086,   474,   475,   476,   477,     0,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   499,   500,
     501,   502,   503,   504,   505,   506,   507,     0,   508,   509,
     510,   511,   512,     0,   513,   514,  1087,   516,   517,   518,
     519,   520,  1088,   522,     0,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,     0,   537,
       0,   538,   539,     0,   540,   541,   542,   543,   544,   545,
     546,     0,   547,  1089,  1090,     0,     0,   550,   551,     0,
     553,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,     0,     0,   563,   564,   565,   566,   567,     0,     0,
     568,   569,   570,   571,   572,     0,  1091,     0,   575,   576,
     577,   578,   579,   580,     0,     0,   581,     0,     0,   582,
     583,   584,   585,   586,   587,  1069,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   599,   600,   601,     0,
       0,     0,   229,   230,   231,   232,   233,   234,   235,   236,
       0,   237,   238,   239,     0,     0,     0,     0,     0,     0,
       0,   240,   241,     0,   242,   243,   244,   245,   246,   247,
     248,     0,  1070,   251,  1071,  1072,     0,   254,   255,   256,
     257,   258,   259,     0,     0,   260,   261,  1073,  1074,   264,
       0,   265,   266,   267,   268,     0,     0,   270,     0,   271,
     272,   273,   274,   275,   276,   277,   278,   279,     0,   280,
     281,   282,   283,   284,   285,     0,   286,   287,   288,   289,
       0,     0,     0,   290,     0,     0,     0,   291,   292,   293,
     294,   295,   296,  1075,  1076,   299,     0,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   308,   309,   310,
       0,     0,   311,   312,  1077,   314,   315,     0,   316,   317,
     318,     0,   319,   320,   321,     0,   322,   323,   324,   325,
       0,   327,   328,   329,   330,     0,     0,   332,     0,   333,
     334,  1078,   336,     0,   337,     0,   338,   339,     0,   340,
     341,   342,   343,   344,     0,   345,     0,     0,     0,   348,
     349,     0,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,     0,   360,   361,   362,   363,   364,   365,   366,
       0,   367,   368,     0,   370,   371,   372,   373,  1080,  1081,
       0,  1082,     0,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,     0,     0,   387,     0,   389,   390,   391,
       0,   392,   393,   394,     0,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,  1083,   412,  1084,   414,   415,   416,   417,   418,
     419,   420,  3790,     0,   423,     0,   424,   425,   426,   427,
       0,     0,   429,  1085,   431,   432,   433,     0,   434,   435,
       0,     0,   436,   437,   438,     0,     0,   439,   440,     0,
     442,   443,   444,     0,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   458,     0,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,  1086,   474,   475,   476,   477,     0,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
       0,   499,   500,   501,   502,   503,   504,   505,   506,   507,
       0,   508,   509,   510,   511,   512,     0,   513,   514,  1087,
     516,   517,   518,   519,   520,  1088,   522,     0,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,     0,   537,     0,   538,   539,     0,   540,   541,   542,
     543,   544,   545,   546,     0,   547,  1089,  1090,     0,     0,
     550,   551,     0,   553,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,     0,     0,   563,   564,   565,   566,
     567,     0,     0,   568,   569,   570,   571,   572,     0,  1091,
       0,   575,   576,   577,   578,   579,   580,     0,     0,   581,
       0,     0,   582,   583,   584,   585,   586,   587,  1069,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   599,
     600,   601,     0,     0,     0,   229,   230,   231,   232,   233,
     234,   235,   236,     0,   237,   238,   239,     0,     0,     0,
       0,     0,     0,     0,   240,   241,     0,   242,   243,   244,
     245,   246,   247,   248,     0,  1070,   251,  1071,  1072,     0,
     254,   255,   256,   257,   258,   259,     0,     0,   260,   261,
    1073,  1074,   264,     0,   265,   266,   267,   268,     0,     0,
     270,     0,   271,   272,   273,   274,   275,   276,   277,   278,
     279,     0,   280,   281,   282,   283,   284,   285,     0,   286,
     287,   288,   289,     0,     0,     0,   290,     0,     0,     0,
     291,   292,   293,   294,   295,   296,  1075,  1076,   299,     0,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     308,   309,   310,     0,     0,   311,   312,  1077,   314,   315,
       0,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,     0,   327,   328,   329,   330,     0,     0,
     332,     0,   333,   334,  1078,   336,  5359,   337,     0,   338,
     339,     0,   340,   341,   342,   343,   344,     0,   345,     0,
       0,     0,   348,   349,     0,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,     0,   360,   361,   362,   363,
     364,   365,   366,     0,   367,   368,     0,   370,   371,   372,
     373,  1080,  1081,     0,  1082,     0,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,     0,     0,   387,     0,
     389,   390,   391,     0,   392,   393,   394,     0,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,  1083,   412,  1084,   414,   415,
     416,   417,   418,   419,   420,     0,     0,   423,     0,   424,
     425,   426,   427,     0,     0,   429,  1085,   431,   432,   433,
       0,   434,   435,     0,     0,   436,   437,   438,     0,     0,
     439,   440,     0,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     458,     0,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,  1086,   474,   475,   476,
     477,     0,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   499,   500,   501,   502,   503,   504,
     505,   506,   507,     0,   508,   509,   510,   511,   512,     0,
     513,   514,  1087,   516,   517,   518,   519,   520,  1088,   522,
       0,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,     0,   537,     0,   538,   539,     0,
     540,   541,   542,   543,   544,   545,   546,     0,   547,  1089,
    1090,     0,     0,   550,   551,     0,   553,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,     0,     0,   563,
     564,   565,   566,   567,     0,     0,   568,   569,   570,   571,
     572,     0,  1091,     0,   575,   576,   577,   578,   579,   580,
       0,     0,   581,     0,     0,   582,   583,   584,   585,   586,
     587,  1069,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   599,   600,   601,     0,     0,     0,   229,   230,
     231,   232,   233,   234,   235,   236,     0,   237,   238,   239,
       0,     0,     0,     0,     0,     0,     0,   240,   241,     0,
     242,   243,   244,   245,   246,   247,   248,     0,  1070,   251,
    1071,  1072,     0,   254,   255,   256,   257,   258,   259,     0,
       0,   260,   261,  1073,  1074,   264,     0,   265,   266,   267,
     268,     0,     0,   270,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,     0,   280,   281,   282,   283,   284,
     285,     0,   286,   287,   288,   289,     0,     0,     0,   290,
       0,     0,     0,   291,   292,   293,   294,   295,   296,  1075,
    1076,   299,     0,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   308,   309,   310,     0,     0,   311,   312,
    1077,   314,   315,     0,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,     0,   327,   328,   329,
     330,     0,     0,   332,     0,   333,   334,  1078,   336,     0,
     337,     0,   338,   339,     0,   340,   341,   342,   343,   344,
       0,   345,     0,     0,     0,   348,   349,     0,   350,   351,
     352,   353,  1079,   355,   356,   357,   358,   359,     0,   360,
     361,   362,   363,   364,   365,   366,     0,   367,   368,     0,
     370,   371,   372,   373,  1080,  1081,     0,  1082,     0,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,     0,
       0,   387,     0,   389,   390,   391,     0,   392,   393,   394,
       0,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,  1083,   412,
    1084,   414,   415,   416,   417,   418,   419,   420,     0,     0,
     423,     0,   424,   425,   426,   427,     0,     0,   429,  1085,
     431,   432,   433,     0,   434,   435,     0,     0,   436,   437,
     438,     0,     0,   439,   440,     0,   442,   443,   444,     0,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   458,     0,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,  1086,
     474,   475,   476,   477,     0,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,     0,   499,   500,   501,
     502,   503,   504,   505,   506,   507,     0,   508,   509,   510,
     511,   512,     0,   513,   514,  1087,   516,   517,   518,   519,
     520,  1088,   522,     0,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,     0,   537,     0,
     538,   539,     0,   540,   541,   542,   543,   544,   545,   546,
       0,   547,  1089,  1090,     0,     0,   550,   551,     0,   553,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
       0,     0,   563,   564,   565,   566,   567,     0,     0,   568,
     569,   570,   571,   572,     0,  1091,     0,   575,   576,   577,
     578,   579,   580,     0,     0,   581,     0,     0,   582,   583,
     584,   585,   586,   587,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   599,   600,   601,     0,     0,
       0,   229,   230,   231,   232,   233,   234,   235,   236,     0,
     237,   238,   239,     0,     0,     0,     0,     0,     0,     0,
     240,   241,     0,   242,   243,   244,   245,   246,   247,   248,
       0,  1070,   251,  1071,  1072,     0,   254,   255,   256,   257,
     258,   259,     0,     0,   260,   261,  1073,  1074,   264,     0,
     265,   266,   267,   268,     0,     0,   270,     0,   271,   272,
     273,   274,   275,   276,   277,   278,   279,     0,   280,   281,
     282,   283,   284,   285,     0,   286,   287,   288,   289,     0,
       0,     0,   290,     0,     0,     0,   291,   292,   293,   294,
     295,   296,  1075,  1076,   299,     0,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   308,   309,   310,     0,
       0,   311,   312,  1077,   314,   315,     0,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,     0,
     327,   328,   329,   330,     0,     0,   332,     0,   333,   334,
    1078,   336,     0,   337,     0,   338,   339,     0,   340,   341,
     342,   343,   344,     0,   345,     0,     0,     0,   348,   349,
       0,   350,   351,   352,   353,  1137,   355,   356,   357,   358,
     359,     0,   360,   361,   362,   363,   364,   365,   366,     0,
     367,   368,     0,   370,   371,   372,   373,  1080,  1081,     0,
    1082,     0,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,     0,     0,   387,     0,   389,   390,   391,     0,
     392,   393,   394,     0,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,  1083,   412,  1084,   414,   415,   416,   417,   418,   419,
     420,     0,     0,   423,     0,   424,   425,   426,   427,     0,
       0,   429,  1085,   431,   432,   433,     0,   434,   435,     0,
       0,   436,   437,   438,     0,     0,   439,   440,     0,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   458,     0,   460,   461,
     462,     0,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,  1086,   474,   475,   476,   477,     0,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     499,   500,   501,   502,   503,   504,   505,   506,   507,     0,
     508,   509,   510,   511,   512,     0,   513,   514,  1087,   516,
     517,   518,   519,   520,  1088,   522,     0,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
       0,   537,     0,   538,   539,     0,   540,   541,   542,   543,
     544,   545,   546,     0,   547,  1089,  1090,     0,     0,   550,
     551,     0,   553,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,     0,     0,   563,   564,   565,   566,   567,
       0,     0,   568,   569,   570,   571,   572,     0,  1091,     0,
     575,   576,   577,   578,   579,   580,     0,     0,   581,     0,
       0,   582,   583,   584,   585,   586,   587,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   599,   600,
     601,     0,     0,     0,   229,   230,   231,   232,   233,   234,
     235,   236,     0,   237,   238,   239,     0,     0,     0,     0,
       0,     0,     0,   240,   241,     0,   242,   243,   244,   245,
     246,   247,   248,     0,  1070,   251,  1071,  1072,     0,   254,
     255,   256,   257,   258,   259,     0,     0,   260,   261,  1073,
    1074,   264,     0,   265,   266,   267,   268,     0,     0,   270,
       0,   271,   272,   273,   274,   275,   276,   277,   278,   279,
       0,   280,   281,   282,   283,   284,   285,     0,   286,   287,
     288,   289,     0,     0,     0,   290,     0,     0,     0,   291,
     292,   293,   294,   295,   296,  1075,  1076,   299,     0,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   308,
     309,   310,     0,     0,   311,   312,  1077,   314,   315,     0,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,     0,   327,   328,   329,   330,     0,     0,   332,
       0,   333,   334,  1078,   336,     0,   337,     0,   338,   339,
       0,   340,   341,   342,   343,   344,     0,   345,     0,     0,
       0,   348,   349,     0,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,     0,   360,   361,   362,   363,   364,
     365,   366,     0,   367,   368,     0,   370,   371,   372,   373,
    1080,  1081,     0,  1082,     0,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,     0,     0,   387,     0,   389,
     390,   391,     0,   392,   393,   394,     0,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,  1083,   412,  1084,   414,   415,   416,
     417,   418,   419,   420,     0,     0,   423,     0,   424,   425,
     426,   427,     0,     0,   429,  1085,   431,   432,   433,     0,
     434,   435,     0,     0,   436,   437,   438,     0,     0,   439,
     440,     0,   442,   443,   444,     0,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   458,
       0,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,  1086,   474,   475,   476,   477,
       0,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   499,   500,   501,   502,   503,   504,   505,
     506,   507,     0,   508,   509,   510,   511,   512,     0,   513,
     514,  1087,   516,   517,   518,   519,   520,  1088,   522,     0,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,     0,   537,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,  1089,  1090,
       0,     0,   550,   551,     0,   553,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,     0,     0,   563,   564,
     565,   566,   567,     0,     0,   568,   569,   570,   571,   572,
       0,  1091,     0,   575,   576,   577,   578,   579,   580,     0,
       0,   581,     0,     0,   582,   583,   584,   585,   586,   587,
    1069,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   599,   600,   601,     0,     0,     0,   229,   230,   231,
     232,   233,   234,   235,   236,     0,   237,   238,   239,     0,
       0,     0,     0,     0,     0,     0,   240,   241,     0,   242,
     243,   244,   245,   246,   247,   248,     0,  1070,   251,  1071,
    1072,     0,   254,   255,   256,   257,   258,   259,     0,     0,
     260,   261,  1073,  1074,   264,     0,   265,   266,   267,   268,
       0,     0,   270,     0,   271,   272,   273,   274,   275,   276,
     277,   278,   279,     0,   280,   281,   282,   283,   284,   285,
       0,   286,   287,   288,   289,     0,     0,     0,   290,     0,
       0,     0,   291,   292,   293,   294,   295,   296,  1075,  1076,
     299,     0,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   308,   309,   310,     0,     0,   311,   312,  1077,
     314,   315,     0,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,     0,   327,   328,   329,   330,
       0,     0,   332,     0,   333,   334,  1078,   336,     0,   337,
       0,   338,   339,     0,   340,   341,   342,   343,   344,     0,
     345,     0,     0,     0,   348,   349,     0,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,     0,   360,   361,
     362,   363,   364,   365,   366,     0,   367,   368,     0,   370,
     371,   372,   373,  1080,  1081,     0,  1082,     0,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,     0,     0,
     387,     0,   389,   390,   391,     0,   392,   393,   394,     0,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,  1083,   412,  1084,
     414,   415,   416,   417,   418,   419,   420,     0,     0,   423,
       0,   424,   425,   426,   427,     0,     0,   429,  1085,   431,
     432,   433,     0,   434,   435,     0,     0,   436,   437,   438,
       0,     0,   439,   440,     0,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   458,     0,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,  1086,   474,
     475,   476,   477,     0,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   499,   500,   501,   502,
     503,   504,   505,   506,   507,     0,   508,   509,   510,   511,
     512,     0,   513,   514,  2178,   516,   517,   518,   519,   520,
    1088,   522,     0,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,     0,   537,     0,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,     0,
     547,  1089,  1090,     0,     0,   550,   551,     0,   553,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,     0,
       0,   563,   564,   565,   566,   567,     0,     0,   568,   569,
     570,   571,   572,     0,  1091,     0,   575,   576,   577,   578,
     579,   580,     0,     0,   581,     0,     0,   582,   583,   584,
     585,   586,   587,  1069,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   599,   600,   601,     0,     0,     0,
     229,   230,   231,   232,   233,   234,   235,   236,     0,   237,
     238,   239,     0,     0,     0,     0,     0,     0,     0,   240,
     241,     0,   242,   243,   244,   245,   246,   247,   248,     0,
    1070,   251,  1071,  1072,     0,   254,   255,   256,   257,   258,
     259,     0,     0,   260,   261,  1073,  1074,   264,     0,   265,
     266,   267,   268,     0,     0,   270,     0,   271,   272,   273,
     274,   275,   276,   277,   278,   279,     0,   280,   281,   282,
     283,   284,   285,     0,   286,   287,   288,   289,     0,     0,
       0,   290,     0,     0,     0,   291,   292,   293,   294,   295,
     296,  1075,  1076,   299,     0,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   308,   309,   310,     0,     0,
     311,   312,  1077,   314,   315,     0,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,     0,   327,
     328,   329,   330,     0,     0,   332,     0,   333,   334,  1078,
     336,     0,   337,     0,   338,   339,     0,   340,   341,   342,
     343,   344,     0,   345,     0,     0,     0,   348,   349,     0,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
       0,   360,   361,   362,   363,   364,   365,   366,     0,   367,
     368,     0,   370,   371,   372,   373,  1080,  1081,     0,  1082,
       0,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,     0,     0,   387,     0,   389,   390,   391,     0,   392,
     393,   394,     0,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
    1083,   412,  1084,   414,   415,   416,   417,   418,   419,   420,
       0,     0,   423,     0,   424,   425,   426,   427,     0,     0,
     429,  1085,   431,   432,   433,     0,   434,   435,     0,     0,
     436,   437,   438,     0,     0,   439,   440,     0,   442,   443,
     444,     0,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   458,     0,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,  1086,   474,   475,   476,   477,     0,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,     0,   499,
     500,   501,   502,   503,   504,   505,   506,   507,     0,   508,
     509,   510,   511,   512,     0,   513,   514,     0,   516,   517,
     518,   519,   520,  1088,   522,     0,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,     0,
     537,     0,   538,   539,     0,   540,   541,   542,   543,   544,
     545,   546,     0,   547,  1089,  1090,     0,     0,   550,   551,
       0,   553,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,     0,     0,   563,   564,   565,   566,   567,     0,
       0,   568,   569,   570,   571,   572,     0,  1091,     0,   575,
     576,   577,   578,   579,   580,     0,     0,   581,     0,     0,
     582,   583,   584,   585,   586,   587,  1069,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   599,   600,   601,
       0,     0,     0,   229,   230,   231,   232,   233,   234,   235,
     236,     0,   237,   238,   239,     0,     0,     0,     0,     0,
       0,     0,   240,   241,     0,   242,   243,   244,   245,   246,
     247,   248,     0,     0,   251,     0,     0,     0,   254,   255,
     256,   257,   258,   259,     0,     0,   260,   261,     0,     0,
     264,     0,   265,   266,   267,   268,     0,     0,   270,     0,
     271,   272,   273,   274,   275,   276,   277,   278,   279,     0,
     280,   281,   282,   283,   284,   285,     0,   286,   287,   288,
     289,     0,     0,     0,   290,     0,     0,     0,   291,   292,
     293,   294,   295,   296,     0,     0,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   308,   309,
     310,     0,     0,   311,   312,   313,   314,   315,     0,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,     0,   327,   328,   329,   330,     0,     0,   332,     0,
     333,   334,     0,   336,     0,   337,     0,   338,   339,     0,
     340,   341,   342,   343,   344,     0,   345,     0,     0,     0,
     348,   349,     0,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,     0,   360,   361,   362,   363,   364,   365,
     366,     0,   367,   368,     0,   370,   371,   372,   373,     0,
       0,     0,     0,     0,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,     0,     0,   387,     0,   389,   390,
     391,     0,   392,   393,   394,     0,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,     0,   412,     0,   414,   415,   416,   417,
     418,   419,   420,     0,     0,   423,     0,   424,   425,   426,
     427,     0,     0,   429,     0,   431,   432,   433,     0,   434,
     435,     0,     0,   436,   437,   438,     0,     0,   439,   440,
       0,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   458,     0,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,     0,   474,   475,   476,   477,     0,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   499,   500,   501,   502,   503,   504,   505,   506,
     507,     0,   508,   509,   510,   511,   512,     0,   513,   514,
       0,   516,   517,   518,   519,   520,     0,   522,     0,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,     0,   537,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,     0,     0,     0,
       0,   550,   551,     0,   553,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,     0,     0,   563,   564,   565,
     566,   567,     0,     0,   568,   569,   570,   571,   572,     0,
       0,     0,   575,   576,   577,   578,   579,   580,     0,     0,
     581,     0,     0,   582,   583,   584,   585,   586,   587,  5024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     599,   600,   601,     0,     0,     0,   229,   230,   231,   232,
     233,   234,   235,   236,     0,   237,   238,   239,     0,     0,
       0,     0,     0,     0,     0,   240,   241,     0,   242,   243,
     244,     0,   246,   247,   248,     0,     0,     0,     0,     0,
       0,   254,   255,   256,   257,   258,   259,     0,     0,   260,
     261,     0,     0,   264,     0,   265,   266,   267,   268,     0,
       0,     0,     0,   271,   272,   273,   274,   275,     0,   277,
     278,   279,     0,   280,   281,   282,   283,   284,   285,     0,
       0,   287,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   291,   292,   293,   294,   295,   296,     0,     0,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   308,   309,   310,     0,     0,   311,   312,   313,   314,
     315,     0,   316,   317,   318,     0,   319,   320,   321,     0,
     322,   323,   324,   325,     0,   327,   328,   329,   330,     0,
       0,   332,     0,   333,   334,     0,   336,     0,   337,     0,
     338,     0,     0,     0,   341,   342,   343,   344,     0,   345,
       0,     0,     0,   348,   349,     0,   350,   351,   352,   353,
     354,     0,   356,   357,   358,   359,     0,   360,   361,   362,
     363,   364,   365,   366,     0,   367,     0,     0,   370,   371,
     372,   373,     0,     0,     0,     0,     0,   377,     0,     0,
     380,     0,   382,   383,   384,   385,   386,     0,     0,   387,
       0,     0,   390,     0,     0,   392,   393,   394,     0,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,     0,     0,     0,   414,
     415,   416,   417,   418,   419,   420,     0,     0,   423,     0,
     424,   425,     0,   427,     0,     0,   429,     0,   431,   432,
     433,     0,   434,   435,     0,     0,   436,   437,   438,     0,
       0,   439,   440,     0,     0,   443,     0,     0,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   458,     0,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,     0,   474,   475,
     476,   477,     0,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
     494,   495,   496,   497,     0,   499,   500,   501,   502,   503,
     504,   505,   506,   507,     0,   508,   509,   510,   511,   512,
       0,   513,   514,     0,   516,   517,     0,   519,   520,     0,
     522,     0,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,     0,   537,     0,   538,   539,
       0,   540,     0,   542,   543,   544,   545,   546,     0,   547,
       0,     0,     0,     0,   550,   551,     0,   553,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,     0,     0,
     563,   564,   565,   566,   567,     0,     0,   568,   569,   570,
     571,   572,     0,     0,     0,   575,     0,   577,   578,   579,
     580,     0,     0,   581,     0,     0,   582,   583,   584,   585,
     586,   587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   599,   600,   601
};

static const yytype_int16 yycheck[] =
{
       6,   205,     0,    22,   918,   799,     0,    44,    51,    28,
     637,    36,     0,   848,     0,   183,  1160,    23,   205,    25,
       0,  1117,   919,    29,   797,  1562,   946,    21,    34,    35,
      36,  1497,    38,  1087,   859,    41,    42,   948,    44,  1435,
      46,   749,   750,   751,   821,   200,  1032,   755,   944,   950,
    1481,  2716,  2517,   208,  2182,  2183,   211,  1182,    45,     6,
      13,   822,  2589,  1090,  1075,  1076,  2882,   806,  1723,  1474,
    2409,  1214,   210,  2932,  1085,  3298,  1802,  2345,  3333,  2530,
    3682,  1992,     0,   775,   191,  1481,   224,   935,  1973,  3064,
    3037,   628,  2430,  1486,   871,    18,   711,  3090,  3380,  3092,
       8,  3383,   884,    21,   670,  1021,  1627,    15,  3637,   885,
    3581,  3734,  3287,  3682,  3363,  2941,  3678,     0,    23,   670,
    3352,  1037,  2692,   691,   185,  3975,   694,   909,  1594,  1595,
     185,    36,   914,   716,   918,  3958,   170,   706,  3769,  3611,
    3919,    35,   679,   927,  3617,  3963,  2081,     0,    42,  2037,
    4587,  4471,  2906,   937,     0,     0,     0,  2808,  1006,  1814,
      50,  4479,  1010,     0,  1464,  2146,   717,  1015,    41,  1413,
       0,     0,     0,     0,     0,  2951,   953,  1025,  2148,  1905,
       0,     0,   219,  3962,  2879,   191,   192,   193,   194,  2114,
     196,  1039,  4422,  2014,   200,  1588,   202,  4749,  3350,   205,
    2125,  2835,   208,  4226,  4603,   211,  4605,   845,   214,   845,
     216,  3658,  3616,   219,  3618,  4802,  1360,   223,  4790,   225,
    1068,  3542,  1615,  5027,  1524,    11,    11,  4661,    59,     0,
       0,     0,     6,  1244,  1245,    37,   802,  2932,  4710,  4711,
    4470,  1541,    74,     6,    51,     0,     6,  4100,  1275,  1625,
    1626,   802,  2520,    44,  1265,    15,    16,    34,    24,     0,
       6,     6,    13,     6,    89,   869,    44,    59,     6,  4703,
      11,  1073,  1074,   114,     6,   826,     6,    94,     6,   161,
       6,  1106,  1084,     6,  2476,   166,  2478,    28,   839,     6,
    2482,   999,  2484,  2485,  2945,    13,    76,    41,    15,    16,
       6,  2493,  2494,  2495,     6,   909,     5,    31,     6,     6,
     914,   135,    11,    15,    16,    28,   116,   166,    76,    59,
       6,     6,   173,   210,    42,     0,  1427,  4047,  4048,   168,
    4050,  4051,  4052,  4053,  4054,   116,    11,   121,  3039,    13,
     114,  4735,   278,   190,    81,  3976,   273,   183,    83,     3,
     167,     5,     6,    28,  1046,   166,    74,    11,   146,   107,
     169,  5001,   166,     6,  2632,    76,  2634,   133,    28,     6,
     298,   298,   147,   259,   166,    86,   273,   273,   194,    59,
     278,   298,    41,   200,  1160,   146,   264,   114,    29,    40,
     125,  1377,   166,   259,     5,   166,   166,   166,   215,  5203,
      11,   298,   298,   168,    72,    28,   358,   366,   225,   828,
     309,   166,    35,   324,   214,   282,    34,   365,   168,   190,
     190,   190,    13,   440,    59,   166,    28,   294,   348,   118,
     406,  1233,  1234,   214,   251,   190,    28,   158,    93,   143,
     430,   280,   394,   350,   117,    28,   408,  1343,   449,   190,
     637,    42,    35,   191,  1355,  4675,    59,  5029,  1260,   119,
     114,   278,   200,   263,   336,   332,   116,  4866,   475,   486,
     208,  4791,    28,   211,   118,   278,    76,    76,     6,    35,
     283,   488,   263,    74,   436,  4919,    86,    86,    59,   490,
     452,   166,    59,   365,  1548,    59,   486,   635,  4718,   220,
      76,   688,  1413,   641,   411,    86,   315,   338,  1200,   408,
      86,    76,   337,   186,   490,   190,   654,   172,  1295,    76,
     320,    76,   211,    76,   228,   342,   128,   486,  5332,   147,
     280,   442,   166,   166,   486,   166,   128,   188,   347,   320,
     166,   268,   490,   693,   204,   384,  1323,   166,   484,   314,
     428,   360,   488,   452,  5194,   209,    13,   707,   486,   486,
     352,   296,   167,    28,   205,  1341,   486,   211,   434,   486,
    1346,  1347,  4966,   119,   441,  1476,  1142,   231,   394,  1162,
     368,   218,   468,   268,  1360,    42,   395,   107,   486,   486,
     486,  1142,    13,   374,  3769,   406,  3297,   107,   338,   365,
      59,  5405,   406,   490,   486,   486,   107,   368,   276,  1160,
     616,   335,   107,   430,   362,  1531,   622,    74,   624,  3794,
     626,   445,   628,   621,   630,   268,   406,   621,   406,   406,
    5202,   637,   406,   621,   475,   621,   642,   486,   644,   490,
    5192,   621,   140,   490,   435,   651,   430,   391,   406,   441,
     486,  4122,   484,  1219,   382,   383,   488,   435,   338,   490,
    1761,  5133,   428,  1579,   399,   490,  1450,  5471,  1219,   675,
     445,  1568,    31,   679,   717,  3930,  1452,  4150,   684,   486,
     848,   394,   688,   420,   486,   691,  1462,   721,   694,  4161,
     490,   477,   478,  4165,   617,   406,   439,  4550,   358,  5019,
     485,   475,  2078,   338,   710,  1625,  1626,  1627,  5512,  1557,
    3685,   730,  1560,   732,   488,   734,  2984,  3972,   489,   489,
     489,   740,   716,   486,   761,   451,   486,  1623,  1512,  3952,
    1512,   482,   391,  1152,   489,   338,   477,   478,   484,  3971,
     486,   486,   488,   486,  4065,  4149,   472,  4151,   489,  5336,
     490,  5323,   375,  1368,   486,   761,   486,  1395,  4205,  1395,
     486,  5401,   715,   486,   482,   451,   970,   338,   428,   486,
     776,   338,  1338,  1549,   338,   836,  1552,  1553,   477,   478,
     486,   836,   432,   970,   486,   822,   472,  1338,   486,   486,
     796,   797,   375,   799,   800,  1346,  1347,  1632,   804,   717,
     486,  3976,   477,   478,  4524,   479,   480,   481,   482,  1360,
     490,   966,   818,  1909,   489,   852,   822,   972,  1943,   375,
     975,   319,   828,   477,   478,   406,  2954,  4743,  2956,  5263,
     406,   868,    27,  5232,   840,  5407,   744,   302,   449,    24,
     838,   406,  5276,  4466,   838,  3184,   852,  1758,   955,   406,
     838,   406,   838,   406,  1950,   490,   490,   490,   838,   490,
    1871,   472,   868,  2294,   490,  1961,   477,   478,  1472,  4021,
    2263,   490,  4895,  3324,   394,  1294,  3510,   108,  5198,   338,
     886,   486,   428,  5201,   394,   891,   892,   490,   479,   480,
     481,   482,  1519,   394,  3670,   360,   178,   107,  5470,   394,
     178,   166,    64,    10,   284,  3880,    13,   312,   175,     6,
      17,    18,    19,  3608,    49,   279,  3611,   923,   924,   490,
     838,  1525,   114,   490,    22,   317,   490,   800,   216,   284,
    2911,   804,  3879,   398,     6,   400,   273,   675,  1542,   829,
     946,   947,  2912,  5377,  2465,  5175,   684,  2340,   133,   955,
    2194,  5503,    86,   691,   284,   838,   694,  2778,  2779,  1735,
     966,   298,  2783,   194,   970,   178,   972,  5197,   114,   975,
    2895,   259,  4902,   168,  1124,   167,   335,   259,   861,   107,
     114,   119,  1401,  2283,   990,   838,    97,  3682,   486,   348,
    4906,   350,   838,   838,   838,    36,  3264,  3265,  2886,  2820,
    2821,   838,  4781,  5440,  5324,  3656,  1012,  2942,   838,   838,
     838,   838,   838,  1019,  1020,  5333,  4585,   440,   838,   838,
     477,   478,   479,   480,   481,   482,   143,    32,    33,   923,
     924,   430,  2569,   267,  4636,  1041,  1042,  1043,  1188,  1045,
    3794,  1047,  1048,  1049,  1846,  1847,   259,  4678,   146,  1199,
     185,  3998,   411,   109,  4623,   190,   477,   478,   479,   480,
     481,   482,   279,  2207,   175,  1215,   204,  4636,     3,   282,
    4541,  3263,   264,   114,   161,   278,   343,   116,   166,    26,
     368,   486,  3941,   190,   243,    28,   294,   486,    93,  3357,
    1991,   208,   227,    68,   486,  5413,    45,   259,   279,  5417,
      47,     3,   190,  1811,     6,   212,   163,   119,   113,   294,
     490,  1117,   332,  1119,  1120,  4588,   119,   263,    67,   314,
    4592,   352,   486,   167,  2178,  4597,   182,   216,  4600,   263,
    1053,   259,   487,  2034,  2045,   490,    79,   128,   372,   130,
     428,   406,   147,    83,    87,   365,  1152,   332,   259,   486,
      85,  5469,   434,   352,     3,   350,   434,   365,  2078,  3287,
     490,   178,   393,   394,  1958,  1959,  4984,   284,  1162,   144,
     259,   268,   115,   280,  5104,   214,  1182,  1183,    59,  2080,
     365,  1187,  2587,  1189,   394,   125,  5102,   243,   163,  5039,
     246,  5107,   204,   325,  5017,  5513,   268,   356,    68,  1205,
    4455,   204,   137,  5021,  4983,  1211,   352,   109,  1214,  4491,
     475,  1217,   116,   293,   409,  5533,    86,   955,  5536,  4468,
     415,   434,     3,   488,   263,  1231,   117,   170,   966,  4461,
     182,   320,   449,  4802,   972,   370,    85,   975,   430,  1387,
     183,  5020,   259,   284,    25,  4220,  3941,   334,   433,  3377,
     348,  1294,   195,   297,  2031,   486,  1262,  1165,   205,  1167,
     160,  1169,  2182,  1171,   108,  1173,  1174,  1175,  5344,  4262,
     368,     3,  1180,   454,   144,   259,  1845,   294,   394,   368,
     182,   320,   273,  2194,  1290,  1291,  1292,   486,  1294,   138,
     428,   243,   403,   163,   106,   186,  1833,  1912,    83,   234,
     356,   350,   119,   435,    85,   422,  1874,    83,  1314,  1047,
    1048,  1049,    83,   619,    38,   332,   133,    68,   352,  1380,
    1381,  1889,  1383,   328,  1892,  1380,  1381,   371,  1383,  1363,
     116,  4893,  1519,  1902,  1949,   310,  1919,   240,  1953,   428,
     125,   243,  1957,   365,   246,  1960,  1352,   196,   332,   125,
     194,  5329,  5330,   358,   125,   358,   296,   138,  4829,   294,
    1397,   449,   411,   114,   268,  2159,   473,   474,   475,  1920,
     477,   478,   479,   480,   481,   482,  1382,  4203,   259,   365,
    1386,  1387,   114,    24,  1952,  2012,    60,  1955,  1956,   394,
    4862,  1397,  1398,  1399,    68,  1401,   309,   332,   126,   123,
    5023,   336,   414,   158,   356,   305,     3,   713,   136,   190,
     177,   467,   198,  5489,  2325,   196,   428,   434,  1424,   170,
    1839,   732,   733,   734,   394,   428,   737,   738,   739,   241,
     365,   436,   244,   109,   475,   440,   747,    24,   381,  2350,
     310,   384,   348,   484,   449,   486,   487,   488,   423,   490,
    4921,   300,   486,  1459,   356,  4926,  4927,   338,  1464,   399,
    3987,  1467,   397,   171,   399,  2379,  4161,   472,   490,   393,
    4165,   106,  4042,   259,  1480,  1481,   406,   263,   161,    24,
      51,   486,    37,  1489,   365,   791,  1492,   406,    85,   172,
     307,   114,   133,  5095,  5472,   408,   348,  5066,   343,   254,
    2411,    56,   156,  4678,   490,   429,   182,   190,   352,  2293,
    2426,   296,   263,  1519,   449,  1521,   486,   268,  1524,   300,
     296,   217,   428,   231,  1447,   296,  5095,   162,  2439,   171,
     128,   263,   130,  2629,   105,  1541,   268,    24,  1544,   452,
     137,  1547,   394,  4792,  4767,  2465,   133,  1584,  4780,   393,
     394,   106,   319,   423,  5411,  5412,   475,   231,   408,   310,
     490,   196,   343,  1569,  2115,   467,   294,   243,  3907,   488,
     246,  1990,   421,  1992,   228,   326,  5105,  2369,  1584,  1998,
     429,  3492,   349,   432,   429,  2004,  2005,  2006,   133,   231,
    1596,  1597,  1598,  1599,  1600,  2379,  2015,  2016,  2359,  2360,
    2511,  2020,  2363,  3942,   332,   294,   241,  2383,  1614,   244,
    2526,   392,   169,  3951,   399,  2391,   324,   446,  2394,  1625,
    1626,  1627,   293,   399,  2459,  2460,  2461,   171,   399,  3166,
    2414,  5200,   203,  2549,  2550,  2551,  2552,   234,   193,   294,
     421,  3769,    85,   332,   156,  2561,   133,  2429,   429,  3054,
    1533,   432,   117,   294,  2446,  1538,  2207,  5514,   341,   332,
     398,   490,   400,  2200,  2448,   263,  3794,    24,   293,   292,
    2586,   284,   423,    30,  3866,   273,   365,   332,  3870,  3871,
     356,  3873,  1886,   126,   237,   293,   241,   231,   259,   244,
     398,   332,   400,   136,   365,   282,   240,   294,  1885,  1886,
    3521,  3522,  3523,  3524,   259,  3431,  3527,  3528,  3529,  3530,
    3531,  3532,  3533,  3534,  3535,  3536,   228,  1723,   426,  1725,
    1875,   186,  1829,  3244,   365,   430,  1609,  1877,  5257,  3250,
    1613,  1737,  1738,   406,   442,   358,   449,   348,   293,   332,
     365,  1891,   355,   334,  4012,  5000,  4014,   451,  3633,   336,
     337,  1757,  2600,   116,  1904,   485,   398,   365,   400,   472,
     490,   167,  4737,   275,  2525,  3586,  3587,  5336,   472,   380,
    1776,   394,   365,    13,   294,  4998,   133,   490,   365,  5028,
      88,   486,   337,   354,   426,   147,  1792,  1793,  1794,  1795,
     347,   467,  5015,   114,   200,  3188,   353,   486,   161,  1805,
     397,   294,   399,   360,   359,  5037,  1812,   294,  1814,   215,
     486,  1533,   332,   436,  5416,    24,  1538,   168,   486,   225,
    1826,    30,   130,  1829,   379,  2012,   449,  1833,  2365,   150,
      24,  5054,     0,  1839,    74,   198,    30,   294,   395,   332,
    3233,  5410,   337,   336,   397,   332,   294,  5416,  3976,   472,
     201,   294,  1163,  4518,   398,  1166,   400,  1168,   449,  1170,
     417,  1172,   183,   486,  2989,  1176,  2014,  4814,  1874,  1875,
     365,  2579,   365,   426,  2022,   332,   114,   166,   365,  1885,
    1886,   472,   426,  1889,   332,   328,  1892,  1609,  2799,   332,
    4585,  1613,   162,  3359,  2805,   292,   259,  4592,   451,   490,
     263,   190,  4597,  1909,  1910,  4600,  2682,   294,   365,   156,
    1916,   156,  1918,   263,   161,  5517,   161,   365,   268,  4912,
      15,    16,   365,   161,   133,  1919,   196,   348,  4623,   350,
    5212,  1968,   487,   486,   449,   145,   342,  1943,   190,   133,
      31,  4636,   263,    13,  1950,   332,  1952,  5196,  5517,  1955,
    1956,  2962,  1958,  1959,  5177,  1961,  4421,   472,  1983,  4265,
     449,   358,  1968,  5195,    55,  4630,  4272,  4632,   318,  1975,
     489,   486,    42,  4241,  4242,  1973,  1982,  1983,   365,  1973,
    1986,   228,   192,   228,  1990,  1973,  1992,  1973,  2136,  4440,
     411,  1997,  1998,  1973,  4810,  4460,   358,   394,  2004,  2005,
    2006,   490,  1920,  2009,    74,  2011,  2012,  2013,  2014,  2015,
    2016,  2017,  2018,   451,  2020,   352,  2022,  2023,  2710,  2711,
    2026,  1929,   336,  1931,   449,  1933,  2592,  1935,   275,  1937,
     275,  3686,   394,  1941,   472,  2041,  2042,  2043,  2044,   436,
     237,  2592,  2048,  2049,   381,  2249,  2881,  2053,   486,   253,
    2056,   365,   449,  2059,  2060,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2249,  2069,  2679,   490,  1989,   449,   490,  2075,
    2076,  4410,  2078,   277,   436,   472,  5325,  1982,  3899,  2085,
     332,   451,  2648,  5338,   336,   294,   161,   449,  1826,   486,
     472,  1829,  2247,  5316,   324,  2250,  2251,  2648,  1780,    34,
     294,   320,   472,  3514,  5051,    93,   237,  4802,  2114,   184,
     472,  2887,     5,   365,   333,  2121,   486,   312,    11,  2125,
    2126,   161,  1804,   332,   486,   113,  2545,  2952,   324,   359,
    2136,   411,  3543,  2240,  5109,   294,  1874,  1875,   332,  2145,
    2146,  2291,   361,  3040,   184,  2884,   484,  5006,  4964,   161,
     488,  1889,  2290,  2159,  1892,   352,   365,  5406,   240,   147,
    2166,    26,  2168,   359,   394,   485,  2164,  4862,     5,  3066,
     490,   365,   184,   332,    11,   278,  5399,   913,   272,     5,
     283,   263,    47,  2602,  2209,    11,  2211,   449,  2207,  4381,
     237,  4383,  4384,    19,  2200,  4387,   932,   449,   394,   935,
     397,  2119,  1525,  2209,  3741,  2211,   365,   398,  4635,   400,
     472,    37,   442,  3338,  1952,  2842,  4643,  1955,  1956,  1542,
     472,   352,  2228,  3348,   442,  2262,     5,  3953,   355,   426,
    2368,    94,    11,    68,  2240,   486,  2242,  2243,   294,    74,
     218,  2247,  5465,  2249,  2250,  2251,   442,  2253,   242,  2255,
     909,    86,    22,  2259,   451,   914,  2262,  3041,    28,   487,
    5515,  4955,   490,  4957,   481,   486,   397,  4961,  4962,   486,
     411,   488,   328,  3739,   334,  3741,   332,  2283,  5094,   114,
     487,   116,   484,   490,   486,  5260,   488,   411,  2294,   486,
     147,    10,    65,    66,    13,   426,  2302,  2303,    17,    18,
      19,  3732,   240,  2309,   167,   352,  4645,  2445,   240,   365,
     487,  5006,  2318,   490,   487,    34,  5010,   490,   487,  3974,
     451,   490,  2359,  2360,  3244,  3718,  2363,    32,    33,  3472,
    3250,   487,  3116,  2339,   490,   170,  2887,   200,  2344,  2345,
     328,   481,   487,    90,  3330,   490,   486,    37,   488,   486,
     397,   488,   215,  2359,  2360,   486,   484,  2363,   486,  2365,
    2366,  2780,   225,   198,  2979,   449,    56,   451,  3284,   487,
     358,  5066,   490,  2792,   355,  3286,  3403,  3404,   486,   426,
     488,  3774,   358,  2389,   348,   349,  2392,  2406,   251,   348,
     349,   255,   256,   257,   258,   398,  5371,   400,   264,   265,
    5095,   398,   143,   400,   451,  2824,   394,  5227,  5228,  2415,
    2416,  2791,   194,  2793,  2794,   156,   106,   242,   394,   487,
     161,  3332,   490,   449,  2430,   451,  2432,  2433,   263,     0,
     348,   349,   487,   268,   487,   490,   184,   490,   487,   486,
    3006,   490,    82,  3291,   487,   237,   411,   490,   436,  2868,
     487,   487,   442,   490,   490,  3006,    55,  2463,  2464,  2465,
     436,   449,   487,  2469,   449,   490,   451,   208,   487,  2475,
     487,   490,   489,   449,   487,   310,   489,  2483,   355,   342,
    2486,  5456,   487,   218,   472,   490,  2492,   228,  2525,    11,
    4758,   326,   358,   212,   486,  2501,   472,  2503,   486,  3965,
     486,   358,  2240,   193,   487,  5200,   842,   490,   844,  2247,
     486,  2517,  2250,  2251,  2520,  5042,  2522,   143,   487,  2525,
     278,   490,    93,  2529,   487,   352,  2532,   490,   394,   143,
     156,  4723,   490,   487,   275,   161,   490,   394,  2544,  2545,
      55,   487,   156,   284,   490,   487,   487,   161,   490,   490,
    4678,   241,  5368,  4166,   244,  4168,  2562,  4896,  3683,  3684,
     352,   280,   348,   349,  3960,  4904,  2572,   486,  2574,   259,
     436,  2726,   143,  2571,  2729,  3980,    82,  2732,  2531,   436,
     442,   487,   208,   449,   490,   156,  5350,  5351,   423,  5254,
     161,   440,   449,   469,   208,   166,  2602,   487,   214,   488,
     490,   172,   228,   293,   175,   397,   472,   487,   179,  3317,
     490,    45,   281,  2720,   228,   472,   487,   281,   487,   490,
     486,   490,   278,  2629,    37,  2631,  2632,  2633,  2634,   486,
    2778,  2779,   161,   278,   426,  2783,    10,   208,   469,    13,
     281,  5336,    45,    56,   214,  3556,   479,   337,   487,   275,
    2024,   490,   469,  2027,   165,  2842,  3667,   228,   284,   451,
     237,   275,  3563,  2669,   487,  5481,   490,   490,    42,   359,
     284,   487,  2820,  2821,   490,    49,  4804,   487,   486,    10,
     490,   422,    13,   265,   487,   487,    17,    18,    19,   379,
      55,   166,   486,   106,   486,  3456,   487,   453,   487,   490,
      74,   490,   210,    34,   275,  3481,   486,   278,   332,   237,
     488,   486,   486,   284,  2720,  5410,  4537,   190,   486,  2906,
    2726,  5416,   487,  2729,   488,   490,  2732,  3293,   190,  3295,
    5546,  3627,   148,   487,   148,  2741,   490,  2780,    10,   332,
     237,  4278,  3293,  2749,  3295,    17,    18,    19,  2754,   487,
     487,   148,   490,   490,   473,   474,   475,   170,   477,   478,
     479,   480,   481,   482,  3665,   148,   487,   141,   339,   490,
     148,   278,  2778,  2779,  2780,   352,   358,  2783,     0,   487,
     193,  2824,   490,   278,   190,  2791,  2792,  2793,  2794,   487,
     487,   487,   490,   490,   490,   278,   422,   161,  2804,   487,
     332,  2807,   490,  2809,   487,   148,   487,   490,   422,   490,
    3376,   185,   394,   116,  2820,  2821,   190,   430,  2824,   226,
     397,   242,  5517,   394,   352,  3376,  2976,  2977,   241,  4260,
    3445,   244,   487,   278,   487,   490,  2842,   490,  2844,   486,
    2846,   487,  2848,   272,   490,  3622,   259,   411,   442,   426,
    5315,   422,   355,   227,   436,   352,   161,  3768,   487,  3770,
     487,   490,  2868,   490,   218,   237,  2872,   449,   487,   397,
      68,    93,   263,  2879,   451,   446,   487,   448,   449,   490,
     293,   212,  3793,    37,   263,  3710,  2873,  2874,  2875,  2895,
     472,   487,  3740,  2936,   490,   453,   487,  2903,   426,   490,
     397,   486,  3813,   278,   486,   487,   280,   489,     0,   486,
     161,   487,  2918,   484,   490,   263,   487,   488,   489,   487,
      45,   143,   490,   451,   337,   487,  2932,    45,   490,   426,
    2936,   237,  2879,  2939,   156,  2941,   263,   487,   487,   161,
     490,   490,   487,   263,   166,   490,   359,   416,   487,   280,
     172,   490,    85,   175,   451,  3852,   487,   179,   486,   490,
     487,   487,   487,   490,   490,   490,   379,   161,   487,   487,
     237,   490,   490,   294,   487,   442,  2982,   490,  2984,   442,
     352,   313,  2720,  2989,  3134,  2932,   208,   148,  2726,   486,
      10,  2729,    58,    13,  2732,   148,   370,    17,    18,    19,
     486,    93,   487,  3153,    51,   490,   228,  4828,   280,   148,
    3016,   439,  3018,  3019,  3020,   306,   487,   487,  3794,   490,
     490,  2618,  2619,  2620,   143,   397,    92,  3862,  3876,   487,
     487,   487,   490,   490,   490,   487,   487,   156,   490,   490,
     487,   487,   161,   490,   490,   486,   352,   487,    95,   487,
     490,   143,   490,   275,   426,   486,   278,   487,  4112,   148,
     490,    36,   284,   487,   156,   487,   490,   487,   490,   161,
     490,   453,   487,   120,   166,   490,   486,   148,   487,   451,
     172,   490,   490,   175,   148,   352,   152,   179,    86,   208,
     137,   397,   487,   148,   141,   490,   470,  3516,   487,   487,
    3287,   490,   490,   477,   478,   479,   480,   481,   482,   228,
     487,   148,   148,   490,   486,   162,   208,   339,   165,   487,
     426,   187,   490,   148,   487,   148,  3132,   490,   161,   148,
     397,  3550,   148,   180,   148,   148,   228,   148,   148,   394,
     278,  2879,   473,   474,   475,   451,   477,   478,   479,   480,
     481,   482,   128,   486,   130,    37,   275,   223,  3308,   426,
    3310,    10,   161,   226,    13,   284,   161,   278,    17,    18,
      19,   486,   394,   171,     6,     6,   486,   486,   154,  3598,
     486,   161,   486,   275,   451,    34,   278,   486,   486,   486,
     486,   486,   284,     6,  2932,     6,   194,   263,   486,   486,
     422,   473,   474,   475,   486,   477,   478,   479,   480,   481,
     482,   486,   486,   486,     6,   486,   486,   486,     6,   486,
     486,   268,   486,   486,   446,   486,   448,   449,   486,   295,
     486,   450,   486,   231,   486,    37,   486,   486,  3244,   486,
     290,   210,    10,    97,  3250,    13,   490,   339,  5069,    17,
      18,    19,  4028,  3259,   490,   226,    37,   490,  3264,  3265,
     280,   161,   484,   275,   161,   487,   488,   489,   273,    37,
     336,   318,   338,    64,   340,   365,   406,  4178,   406,   255,
     256,   257,   258,   349,   352,   283,   262,   263,   488,   406,
     441,   357,   268,  3299,  3300,  3301,   406,   273,  4199,   365,
     352,   406,   394,   422,   406,  4430,   352,   228,   406,   406,
    3316,   377,   475,   406,    86,   148,   278,   352,   357,   223,
     386,  3471,   406,   406,   390,   268,   122,   406,   429,  3366,
     422,   298,  3338,  3339,   278,   397,   273,   486,   183,   348,
     486,   406,  3348,  3349,  3350,   406,    86,   490,  3354,   122,
     190,  3357,   294,   148,   446,   430,   448,   449,   430,   122,
    3366,   406,   406,   212,  3362,   484,   406,   394,   487,   488,
     394,   108,   406,  3521,  3522,  3523,  3524,   406,   444,  3527,
    3528,  3529,  3530,  3531,  3532,  3533,  3534,  3535,  3536,   406,
    4786,  3389,   484,   122,    55,   487,   488,   489,   406,   406,
     398,    55,   400,   406,   406,   406,  3554,  4022,  4023,  4024,
    4025,  4026,   248,   411,   406,   406,   282,   406,   406,  3456,
     406,  4194,   317,   406,   397,   423,  3594,   298,   426,  3435,
     298,   280,   406,    44,   406,  4901,    44,   413,  3586,  3587,
     406,   490,   406,   491,   212,   487,   212,   212,   424,   278,
    3456,   212,   212,   473,   474,   475,   453,   477,   478,   479,
     480,   481,   482,  3469,   278,   212,  3472,   212,   278,    10,
     278,   212,    13,   212,   212,   406,    17,    18,    19,    37,
     416,   148,   486,    26,   278,   148,   263,   114,  3494,   430,
     449,   148,   148,    34,  4270,   441,   148,  3503,   278,   234,
      37,    42,   273,   161,   263,  3511,   263,  3513,    49,   263,
    3516,    37,   280,   218,    36,  3521,  3522,  3523,  3524,   354,
     404,  3527,  3528,  3529,  3530,  3531,  3532,  3533,  3534,  3535,
    3536,   486,   486,    74,  3540,  3541,   486,   486,   486,   404,
     430,   148,   406,  4391,  3550,   484,   484,   406,  3554,  3592,
     406,   406,  3558,   148,   148,   430,   148,   148,   272,  4186,
    3566,   267,   406,  3569,   166,  3571,   445,   486,  3611,   248,
    4490,   248,    13,   490,   404,   486,   486,  3583,   406,   175,
    3586,  3587,  3769,   157,   166,  3591,  3592,   408,   490,   487,
    3596,   208,  3598,   183,   183,   216,   490,   279,   368,  3605,
    3606,  3607,  3608,   490,   430,  3611,  3612,  3794,    37,   287,
    3616,  3617,  3618,  3600,  3601,  3602,  3603,  3623,    55,   352,
     487,   430,  5443,  5444,   473,   474,   475,   268,   477,   478,
     479,   480,   481,   482,   486,  3633,   216,   216,   268,  3633,
     486,   242,  3648,   442,   185,  3633,   355,  3633,   406,   190,
     406,   406,   161,  3633,   218,   268,  3662,    45,  3664,   411,
     278,  3608,   374,   278,  3611,   263,   226,   226,   348,   226,
     406,   212,   213,   278,   397,   122,  3682,  3683,  3684,  4098,
    3686,   278,   332,   490,   365,   278,   227,   184,   362,   406,
     278,   406,   320,    37,   487,   212,   430,  3703,  3704,  3705,
    3706,    37,   430,  4411,   218,   473,   474,   475,   284,   477,
     478,   479,   480,   481,   482,   148,   316,   273,   161,    37,
      56,   442,   475,   395,   163,   266,  3732,   273,   362,   148,
     317,   148,   148,  4348,  4349,  3682,  4351,   486,   486,   280,
     273,   430,   283,   263,  3750,   449,    37,   263,   278,   278,
     218,  3899,   161,   181,   181,    37,   162,   487,   484,   469,
    5297,   469,   487,   487,   246,   487,   218,   487,   161,   263,
     106,   107,   356,   278,  3924,  3925,   362,   190,   114,   190,
    4905,    25,  3801,   190,   453,   190,   190,   490,   490,  3976,
     490,   173,   406,  3812,   486,   166,   245,   278,   449,   490,
      55,   411,   272,    10,   442,   166,    13,   290,  4952,   394,
      17,    18,    19,   299,   487,   218,   487,  4728,   166,   487,
     490,   487,   487,   487,   469,   487,   486,   262,   487,   370,
     289,   406,   487,   486,   170,    42,   471,     6,   487,   487,
     486,  3847,    49,   486,   486,  4941,   486,  4943,   240,   486,
     428,   236,   475,   279,   279,   278,    55,   193,   278,   436,
     281,   486,   486,   446,   278,   446,   194,    74,   148,   202,
    3608,   406,   406,  3611,   406,   151,  3882,   268,   406,    10,
     453,   148,    13,   263,   282,   365,   357,   148,   148,  3895,
     357,  3897,   357,  3899,   226,   194,   406,   151,   151,   278,
    3906,   228,   427,   475,   300,   241,  3912,   430,   244,   151,
     300,    42,    10,   406,   406,    13,  3922,   381,    49,    17,
      18,    19,   490,   259,   238,   238,   238,   263,   406,   470,
     406,  3937,   473,   474,   475,  3941,   477,   478,   479,   480,
     481,   482,   352,    74,  3682,  3951,   487,   122,   406,   490,
     406,   406,   406,  4101,  3960,   352,   406,   293,   352,   263,
     406,   406,  4756,   352,  3970,   365,   148,    44,  3974,   487,
     406,  3969,   406,   485,   406,  3981,  3982,   212,   185,   487,
     487,   212,   212,   190,   212,   178,   487,   487,   490,     3,
     161,   201,   416,    45,  3941,   334,   107,  5141,   487,  4186,
     210,   337,   490,   161,    37,  4153,  4012,   486,  4014,   148,
    4637,   406,  4847,   487,   224,  4021,   148,   161,   475,   178,
     227,   487,   191,   359,  5149,  5150,  4445,   148,   430,   430,
     352,   200,   201,   486,   485,   352,   352,   485,   281,   208,
     146,   210,   211,   379,   352,   381,   352,   362,   384,   146,
    4056,   212,   490,   484,   185,   224,   212,   212,    24,   190,
     212,   212,  4068,  4690,    30,   212,   212,   212,   139,   290,
     166,    13,   490,   280,   161,   487,   441,    43,   166,   487,
     446,   262,   166,   175,   435,    84,   416,   339,   487,   472,
      37,   161,  4098,   430,   218,  4101,   227,   406,   202,   430,
     487,   487,   486,  4109,  4110,    55,    72,  4257,   486,   490,
    4116,  4117,   487,   490,   212,  4121,   397,   487,   486,   148,
     170,  4127,   486,  5043,  4130,  4131,   416,   406,   357,  4135,
    4136,   381,   151,   406,   406,  4141,  4142,  4143,  4144,  4145,
     352,   406,   406,  4149,  4150,  4151,   352,  4153,  4154,   280,
     486,  4157,   487,   487,   332,  4161,   449,   486,   124,  4165,
     126,   487,    55,   370,  5289,  4171,   436,   133,   161,   278,
     136,   397,    74,   148,   107,   416,  4952,   487,   212,   486,
    4186,   212,   280,   486,   128,   212,   130,   212,  4194,  4339,
     216,   197,  4198,  4218,   453,   406,   162,  4203,  4196,  4197,
     278,   490,   327,  3941,   487,   490,    37,   298,   276,   278,
     154,     3,  4218,   490,  4161,  4221,   416,   486,  4165,   490,
     406,   487,   362,   486,   172,   107,   166,   485,  5139,   212,
     196,   487,   166,    55,   447,  4241,  4242,   290,   487,   370,
    4855,  5385,   487,   447,   490,  4264,  5160,   486,   215,   487,
     487,  4866,   486,    10,  4260,  4274,    13,   215,   288,   486,
      17,    18,    19,   470,   487,   285,   473,   474,   475,  4275,
     477,   478,   479,   480,   481,   482,   396,    34,   486,    55,
     179,   403,   487,   273,   475,    42,   416,   406,  4438,   166,
      74,   191,    49,   259,   184,   449,   184,   263,   196,   268,
     268,   475,    55,    10,   397,   490,    13,   273,    68,   148,
     490,   255,   256,   257,   258,   151,   282,    74,   262,  4325,
     406,   406,   487,   406,   268,  5236,   406,   212,   294,   273,
    4945,   121,   114,   486,   168,    42,   166,    37,   190,   470,
     430,   273,    49,   486,  4350,   362,   477,   478,   479,   480,
     481,   482,    37,   263,   430,   163,   161,   362,   273,  4365,
     449,    55,    80,    37,   166,   397,   332,    74,   449,   335,
     336,    10,   278,   486,    13,   473,   474,   475,   161,   477,
     478,   479,   480,   481,   482,   199,   281,  4938,   166,  4537,
     210,   486,   486,  4399,   435,   298,   378,   215,  5106,   365,
     448,  4952,    86,    42,   129,   487,   278,   326,   487,  4415,
      49,   486,   486,   486,  4833,  4421,    37,   406,   148,   148,
     487,   486,   406,  4161,  4430,   635,   487,  4165,   185,   486,
     486,   641,   486,   190,   141,    74,    37,   486,   161,  4445,
      10,   486,   486,    13,   654,   268,   239,    17,    18,    19,
    4637,   194,  4458,  4872,  4460,   212,   213,   362,   486,  4457,
     148,   107,  5077,   486,    34,   487,   635,   433,   134,   413,
     227,   445,   641,    37,   487,   282,  5103,   416,   185,   376,
     424,    55,   376,   190,   487,   654,  4690,    37,  4494,    77,
     486,  4678,   486,   490,   486,   486,   397,   435,   486,   430,
     183,   670,   141,  4690,   161,   397,   675,   259,   486,   266,
     278,   680,     6,   397,   487,   684,   685,  4936,  4937,   155,
     227,   486,   691,   280,   693,   694,   283,   453,   147,  4679,
     486,  4537,   349,   349,  4689,    68,   281,   706,   707,    68,
     129,   449,   449,   434,   490,   486,   185,    37,   717,   435,
     486,   190,   365,   166,   397,   268,   323,  5468,   134,   196,
    4566,  4567,   278,   278,  4570,   486,   362,    37,    37,   281,
     281,   191,   486,   280,   168,   168,   487,   490,  4733,  4585,
     446,    55,  4588,   487,   348,   406,  4592,   385,   227,   119,
    5141,  4597,     6,   428,  4600,  4601,   362,  4603,   487,  4605,
     348,  4607,  4608,   486,   144,   486,   285,   333,   486,    34,
     486,    23,   486,   370,   268,   490,   147,  4623,   486,  4625,
     490,  5532,   166,   286,   348,   406,    77,   796,   797,   376,
    4636,  4637,  4638,   802,  4640,   376,   486,   449,  4585,  5550,
     449,   280,   212,   168,  5063,  4592,   168,  1612,   838,   924,
    4597,  2529,   877,  4600,  1347,  2887,  2333,   826,  3066,   828,
    3768,  5080,  2414,   370,  3743,  5084,   923,  5086,  5280,  2440,
     839,  2499,  3278,  4731,  5139,  5385,  4623,  4415,  3922,  4755,
    4828,  4786,  4401,  4689,  4690,  2983,  5259,  2669,  5374,  4636,
    4636,  5169,  5168,  5300,    10,  5410,  2987,    13,  3970,  3955,
    5113,    17,    18,    19,  4852,  2514,  3913,  2514,  4616,  3763,
     280,  3091,  3328,   470,  3938,  4762,   473,   474,   475,  4439,
     477,   478,   479,   480,   481,   482,  3340,  4733,  5387,  5280,
    4736,   370,   919,   490,  5550,  4771,  2508,  5532,  4748,  3286,
    3978,  5313,  4748,  4692,  4924,  4751,  5122,    28,  4031,  1771,
    4756,  4695,  4758,  4892,  5478,  3980,  2183,  1817,  2961,  4765,
    5043,  1815,  4760,   470,  4801,  1885,  1976,  1189,  1826,   704,
     477,   478,   479,   480,   481,   482,  4782,   946,   947,   948,
    4786,  1976,  2439,  3220,   671,  1977,   955,  3793,  3813,  3332,
    5520,  5341,  1431,   962,  4800,  4801,  4802,   966,  4003,   817,
    4798,  4001,   839,   972,  2115,  1920,   975,  2126,  4198,  4619,
    5253,  3662,  1367,  1324,  2903,  2162,  2918,  3626,   987,  1390,
    1389,  5245,  4828,  2136,  5088,  4831,  4183,  4833,  3611,  4872,
    1392,   470,  2161,  1002,  5385,  4150,  4167,  4863,   477,   478,
     479,   480,   481,   482,  1397,  3608,  4852,  4585,  5066,  5065,
    3663,  3608,  4858,  5526,  4592,  4802,  4862,  5358,  5447,  4597,
    4866,  5235,  4600,  4601,  4831,  1850,  4872,  3558,  5249,  4611,
    5248,  2073,  2847,  2845,  2469,  4881,  2750,  2076,  1047,  1048,
    1049,    -1,    -1,    -1,    -1,  4623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,  4903,  4636,  4905,
      -1,    -1,    -1,   473,   474,   475,    -1,   477,   478,   479,
     480,   481,   482,    -1,    -1,  4862,  5103,    -1,  1087,    -1,
      -1,  5069,    -1,    -1,    -1,  4931,    -1,    -1,    -1,    -1,
    4936,  4937,    -1,    -1,    -1,  4941,  4942,  4943,  4944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4689,    -1,    -1,    -1,  1124,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   280,    -1,    -1,    -1,  4974,    -1,
      -1,    -1,    -1,  1142,    -1,  4981,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1160,    -1,    -1,    -1,  4733,    -1,  5003,    -1,    -1,
    5006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5016,  1188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1197,    -1,
    1199,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
    5459,    17,    18,    19,    -1,    -1,  1215,    -1,    -1,    -1,
    1219,    -1,    -1,    -1,    -1,    -1,    -1,  5063,    34,  5006,
    5066,    -1,  1231,  5069,  4802,    -1,    42,  5073,    -1,    -1,
      -1,    -1,    -1,    49,  5080,    -1,    -1,    -1,  5084,    -1,
    5086,    -1,  5088,    -1,    -1,    -1,    -1,  5235,    -1,  5095,
      -1,    -1,    -1,  1262,  5092,    -1,    -1,  5103,    74,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5114,    -1,
      -1,    -1,  5267,    -1,    -1,    -1,    -1,    -1,    -1,  5066,
      -1,  1290,  1291,  1292,  4862,  1294,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5149,  5150,  1314,    -1,    10,  5095,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,    -1,    -1,  1338,
      -1,    34,    -1,    -1,  5180,    -1,    -1,  1346,  1347,    42,
      -1,  5187,    -1,    -1,    -1,  5191,    49,  5342,  5343,    -1,
      -1,  1360,    -1,    -1,  5200,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5354,    -1,    -1,   185,
      -1,    74,    -1,  1382,   190,    -1,    -1,  1386,  1387,    -1,
    5226,  5227,  5228,    -1,    -1,    -1,  5232,    -1,    -1,  5235,
      -1,    -1,  1401,    -1,    -1,    -1,   212,   213,  1407,  5245,
      -1,    -1,  5248,  4981,  1413,    -1,    -1,  5253,    -1,    -1,
      -1,   227,    -1,  5200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5267,    -1,    -1,    -1,    -1,    -1,    -1,  5006,    -1,
      -1,    10,    -1,    -1,    13,    -1,  5282,    -1,    -1,    -1,
       0,    -1,    -1,  5289,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,  5443,  5444,    -1,    -1,    -1,
      -1,    21,    -1,    42,   280,  1474,    -1,   283,    -1,  5315,
      49,    -1,    -1,    -1,  5320,    -1,  5314,    -1,    -1,    -1,
    5326,    -1,   185,    -1,    -1,    -1,    -1,   190,  5066,    -1,
    5336,    51,    -1,    -1,    -1,    74,  5342,  5343,  5344,    -1,
      -1,    -1,    -1,  5341,    -1,    -1,  1515,  5341,  5354,   212,
     213,    -1,  5358,  5341,    -1,  5341,    -1,  5095,    -1,    -1,
      -1,  5341,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5379,    -1,    -1,  5419,    -1,    -1,  1548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5336,
      -1,    -1,    -1,    -1,   370,    -1,    -1,  5552,  5553,    -1,
    1610,    -1,   141,   266,  5410,  5411,  5412,    24,    -1,    -1,
    5416,    -1,    -1,    30,    -1,    -1,    -1,   280,    -1,    -1,
     283,  5419,    -1,    -1,    -1,  5419,    43,    -1,    -1,    -1,
      -1,  5419,    -1,  5419,    -1,    -1,    -1,  5443,  5444,  5419,
      -1,  1610,    -1,    -1,    -1,    -1,   185,    -1,  5454,    -1,
      -1,   190,    -1,  5459,    -1,    72,  1625,  1626,  1627,    -1,
      -1,    -1,  5200,  5410,    -1,   185,    -1,    -1,    -1,  5416,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5489,    -1,    -1,    -1,    -1,   227,    -1,
      -1,    -1,    -1,  5499,   470,    -1,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,   370,  5514,   126,
      -1,  5517,    -1,    -1,   490,    -1,   133,    -1,    -1,   136,
    5526,    -1,  5520,    -1,  5530,    -1,  5520,    -1,    -1,  5267,
      -1,    -1,  5520,    -1,  5520,    -1,    -1,    -1,    -1,    -1,
    5520,   280,    -1,    -1,    -1,   162,  5552,  5553,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5517,    -1,  1782,    -1,    -1,    -1,  1745,    -1,    -1,   196,
    1790,    -1,  5320,    -1,    -1,    -1,    -1,    -1,    -1,  1758,
      -1,    -1,  1802,    -1,  1763,    -1,    -1,    -1,  5336,    -1,
      -1,    -1,    -1,    -1,  5342,  5343,    -1,   470,    -1,    -1,
     473,   474,   475,  1782,   477,   478,   479,   480,   481,   482,
      -1,  1790,    -1,    -1,   487,    -1,    -1,    -1,    -1,    -1,
      -1,   370,    -1,  1802,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,
    1819,    -1,    -1,    -1,    -1,    -1,   273,  1826,    -1,    -1,
    1829,    -1,    -1,  1832,    -1,   282,    -1,    -1,  1878,    -1,
    1839,    -1,  5410,    -1,    -1,    -1,  1845,   294,  5416,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1857,    -1,
      -1,    -1,    -1,    22,    -1,  1905,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,  1874,  1875,    -1,  1877,  1878,
      -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,   335,   336,
    1889,    -1,  1891,  1892,    -1,    -1,    -1,    -1,    17,    -1,
      -1,   470,  1901,  1902,    -1,  1904,  1905,    26,   477,   478,
     479,   480,   481,   482,    -1,    -1,    -1,    -1,   365,    -1,
      -1,  1920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5517,
      -1,    -1,    -1,  1952,    -1,    -1,  1955,  1956,    -1,    -1,
      -1,    -1,  5530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5552,  5553,   433,    -1,    -1,    -1,
      -1,  1990,    -1,  1992,    -1,    -1,    -1,    -1,  1997,  1998,
      -1,    -1,    -1,    -1,    -1,  2004,  2005,  2006,    -1,    -1,
    2009,    -1,  2011,    -1,  2013,  2014,  2015,  2016,  2017,  2018,
      -1,  2020,    -1,  2022,  2023,    -1,    -1,  2026,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2040,  2041,  2042,  2043,  2044,  2045,    -1,    -1,    -1,
    2049,    -1,    -1,    -1,  2053,    -1,    -1,  2056,    -1,    -1,
    2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,    -1,
    2069,   621,    -1,    -1,    -1,    -1,    -1,  2076,    -1,  2078,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    58,    -1,    -1,    -1,    -1,  2115,    -1,    34,    -1,
      -1,    37,  2121,    -1,    -1,    -1,    42,    -1,    -1,    10,
      -1,  2171,    13,    49,    -1,    -1,    -1,  2136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    92,  2145,  2146,    -1,  2189,
      -1,    -1,    -1,    -1,    -1,  2195,    -1,    -1,    74,  2199,
      -1,    42,    -1,    -1,    -1,    -1,   716,   717,    49,    -1,
      -1,    -1,  2171,    -1,    -1,    -1,    -1,    -1,    -1,  2178,
      -1,    -1,    -1,  2182,  2183,  2225,    -1,    -1,    -1,    -1,
    2189,    -1,    -1,    74,    -1,  2194,  2195,    -1,    -1,    -1,
    2199,    -1,    -1,    -1,    -1,   152,    -1,    -1,  2207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2225,    -1,    -1,  2228,
    2270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     187,  2240,    -1,    -1,    -1,  2244,    -1,    -1,  2247,    -1,
    2290,  2250,  2251,    -1,    -1,    -1,    -1,    -1,    -1,  2258,
     141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,
      -1,  2270,    -1,    -1,   190,    -1,   223,    -1,    -1,    -1,
      -1,    -1,  2322,    -1,    -1,    -1,   836,    -1,   838,    -1,
      -1,  2290,  2291,    -1,    -1,    -1,   212,   213,    -1,    -1,
    2299,    -1,    10,    -1,   185,    13,    -1,    -1,  2348,   190,
      -1,   227,   259,    -1,  2354,    -1,   263,    -1,    -1,    -1,
      -1,  2361,  2321,  2322,    -1,    -1,  2325,    -1,  2368,    -1,
      -1,  2371,    -1,    -1,    42,    -1,    -1,  2377,    -1,    -1,
      -1,    49,    -1,    -1,    -1,    -1,   227,   294,   295,  2348,
     266,  2350,    -1,    -1,    -1,  2354,    -1,  2397,    -1,    -1,
      -1,    -1,  2361,  2403,   280,    -1,    74,   283,  2408,  2368,
      -1,    -1,  2371,    -1,    -1,    -1,    -1,    -1,  2377,    -1,
      -1,  2421,    -1,    -1,    -1,   332,    -1,    -1,    -1,   336,
      -1,    -1,    -1,   340,  2434,    -1,    -1,    -1,  2397,   280,
      -1,    -1,   349,    -1,  2403,  2445,    -1,    -1,    -1,  2408,
     357,    -1,  2411,    -1,    -1,    -1,    -1,    -1,   365,    -1,
      -1,    -1,  2421,    -1,    -1,    -1,    -1,    -1,    -1,    10,
     377,    -1,    13,   141,    -1,  2434,    17,    18,    19,   386,
    2439,    -1,    -1,   390,    -1,    -1,  2445,    -1,    -1,    -1,
      -1,    -1,    -1,    34,   370,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,  2463,  2464,  2465,    -1,    49,    -1,
    2469,    -1,    10,    -1,    -1,    13,    -1,   185,    -1,    17,
      18,    19,   190,    -1,    -1,    -1,    -1,    -1,    -1,   370,
      -1,    -1,    -1,    74,    -1,    -1,    34,   444,    -1,   618,
      -1,    -1,  2501,  2502,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    49,  2511,    -1,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2545,    -1,    -1,    -1,
      -1,   670,   671,    -1,   470,    -1,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,    -1,    -1,    -1,
      -1,   730,   280,   732,    -1,   734,    -1,    -1,    -1,    -1,
      -1,   740,   741,   742,    -1,  2584,    -1,    -1,  2587,   470,
      -1,    -1,    -1,  2592,    -1,    -1,   477,   478,   479,   480,
     481,   482,    -1,  2602,   185,    -1,    -1,    -1,    -1,   190,
      -1,    -1,  1162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   764,   227,   185,    -1,  2648,
    2690,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,  2708,    -1,
      -1,   790,    -1,    -1,   212,   213,  2716,  1227,    -1,   798,
      -1,    -1,   801,   802,   803,   266,    -1,    -1,    -1,   227,
      -1,  2690,    -1,    -1,    -1,    -1,    -1,  1247,    -1,   280,
      -1,    -1,   283,    -1,    -1,    -1,    -1,  2706,    -1,  2708,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2716,    -1,    -1,
      -1,  2720,    -1,    -1,  2723,    -1,   885,  2726,   266,  1279,
    2729,    -1,    -1,  2732,    -1,    -1,    -1,    -1,    -1,  2738,
      -1,    -1,   280,    -1,  1294,   283,    -1,    -1,    -1,    -1,
    2749,    -1,    -1,    -1,    -1,  2754,    -1,    -1,    -1,    -1,
      -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,  2778,
    2779,  2780,    -1,    -1,  2783,    -1,    -1,    -1,    -1,   370,
      -1,    -1,  2791,  2792,  2793,  2794,    -1,    -1,    -1,    -1,
    2799,    -1,    -1,    -1,    22,  2804,  2805,    -1,  2807,    27,
    2809,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,  2820,  2821,    -1,    -1,  2824,    -1,    -1,    -1,    -1,
    1380,  1381,   370,  1383,    -1,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    62,  2844,    -1,  2846,    -1,  2848,
      49,    -1,    -1,    37,    -1,    -1,    -1,    75,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2868,
      -1,    -1,    90,    -1,    58,    74,    -1,    -1,    -1,    -1,
    2879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2887,   470,
      -1,    -1,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    -1,    -1,  2903,    -1,   487,    -1,    92,    -1,
      -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,  2918,
      -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   470,  2932,    -1,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,   163,    -1,    -1,    -1,   487,
     168,    -1,  2951,    -1,    -1,  2954,    -1,  2956,    -1,    -1,
      -1,    -1,  2961,  3003,    -1,    -1,    -1,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2976,  2977,    -1,
      -1,    -1,    27,  2982,    -1,    -1,   185,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1160,    -1,   187,  3003,    -1,    -1,  3006,    -1,    -1,
      -1,  3010,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   240,  1142,    -1,    -1,    -1,    -1,   227,    -1,
    3029,    76,    -1,    -1,   218,    -1,    -1,    -1,    -1,   223,
      -1,  1160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3054,    -1,    -1,    -1,    -1,
      -1,    -1,   280,   108,    -1,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,  3114,  1194,    -1,    -1,    -1,   263,
      -1,   280,    -1,    -1,   283,    -1,   131,    -1,    -1,    -1,
      -1,  3090,  3091,  3092,    -1,   313,   314,   142,    -1,    -1,
    1219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,    -1,  3114,    -1,    -1,   163,    -1,
      -1,    -1,    -1,   168,    -1,  3124,    -1,  3126,   346,    -1,
      -1,    -1,    -1,    -1,   352,  3134,    -1,    -1,    -1,    -1,
      -1,   359,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   336,    -1,  3153,    -1,   340,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   349,    -1,    -1,    -1,    -1,
      -1,   370,    -1,   357,   219,    -1,   394,  1296,    -1,    -1,
      -1,   365,  1341,   401,    -1,    -1,  1305,  1346,  1347,    -1,
      -1,   409,    -1,   377,    -1,   240,    -1,    -1,   416,  3239,
    1319,  1360,   386,    -1,    -1,    -1,   390,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,  1338,
      -1,    -1,  1341,  1342,   442,   409,    -1,  1346,  1347,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3239,  1360,    -1,    -1,    -1,  3244,    -1,    -1,    -1,    -1,
      -1,  3250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3258,
     444,    -1,    -1,    -1,   448,    -1,    -1,    -1,   313,   314,
      -1,   470,   317,    -1,   473,   474,   475,    -1,   477,   478,
     479,   480,   481,   482,    -1,    -1,   485,  3286,  3287,    -1,
      -1,    -1,    -1,  1452,  3293,    -1,  3295,    -1,   343,    -1,
      -1,   346,    -1,  1462,    -1,    -1,    -1,   352,    -1,  3308,
      -1,  3310,    -1,    -1,   359,    24,    -1,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3332,    43,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   388,    -1,    -1,    -1,  1506,  1507,   394,
      -1,    -1,   397,    -1,    -1,    -1,    -1,  3356,    -1,    -1,
      -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,  1919,
      -1,   416,    -1,    -1,    -1,    -1,    -1,  3376,  3377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1549,  3431,  3391,  1552,  1553,    -1,    -1,   442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3449,
      -1,    -1,    -1,    -1,    -1,   124,    -1,   126,    -1,    -1,
      -1,    -1,    -1,  1973,   133,    -1,    -1,   136,    -1,    -1,
      -1,    -1,  3431,    -1,  3474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1566,    -1,    -1,
    3449,    -1,    -1,   162,  1573,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3471,    -1,    -1,  3474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3494,    -1,    -1,  3497,    -1,
    2050,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3511,    -1,  3513,    -1,    -1,  3516,    -1,    -1,
      -1,  3520,  3521,  3522,  3523,  3524,    -1,    -1,  3527,  3528,
    3529,  3530,  3531,  3532,  3533,  3534,  3535,  3536,    -1,    -1,
      37,  3540,  3541,    -1,    -1,    -1,  3545,    -1,    -1,    -1,
     259,  3550,    -1,    -1,   263,  3554,    -1,  3556,    -1,  3558,
      -1,    58,    -1,    -1,   273,    -1,    -1,  3566,    -1,    -1,
    3569,    -1,  3571,   282,    -1,    -1,  1735,    -1,    -1,    -1,
      24,    -1,  3581,    -1,  3583,   294,    30,  3586,  3587,    -1,
      -1,    -1,  3591,  3592,    -1,    92,    -1,    -1,    -1,  3598,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,  3608,
      -1,    13,  3611,    -1,  2164,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,   332,  3623,    -1,   335,   336,    72,    -1,
      -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,  3648,
      -1,    -1,    -1,    -1,    -1,   152,   365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3664,  1785,    -1,    -1,    -1,
    1789,  3670,    74,  3713,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   126,  3682,  1843,    -1,    -1,    -1,    -1,   133,
     187,    -1,   136,    -1,  1853,    -1,  1855,    58,    -1,    -1,
      -1,    -1,  1861,    -1,    -1,    -1,    -1,    -1,    -1,  1868,
      -1,    -1,    -1,    -1,  3713,    -1,    -1,    -1,   162,    -1,
      -1,   218,    -1,    -1,   433,    -1,   223,    -1,    -1,    10,
      -1,    92,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,  3763,    -1,   263,    -1,    49,  3768,
    3769,  3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,   190,  3829,
      -1,   152,  3832,    74,  3793,  3794,    -1,    -1,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,   213,    -1,    -1,  3813,   259,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,   227,   187,    -1,    -1,   273,
    3829,    -1,    -1,  3832,    -1,    -1,    -1,    -1,   282,   336,
      -1,  2000,  2001,   340,    -1,    -1,    -1,    -1,  2007,  2008,
     294,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,    -1,   223,    -1,   266,    -1,    -1,    -1,   365,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2036,   280,    10,
     377,   283,    13,    -1,  2003,    -1,    17,    18,    19,   386,
      -1,   335,   336,   390,  3934,    -1,    -1,    -1,   259,    -1,
    3899,    -1,   263,    34,   185,    -1,    -1,    -1,    -1,   190,
      -1,    42,   409,  3953,    -1,    -1,    -1,    -1,    49,    -1,
      -1,   365,    -1,    -1,    -1,  3924,  3925,    -1,    -1,  3928,
      -1,   212,   213,   294,   295,  3934,    -1,    -1,    -1,    -1,
      -1,    -1,  3941,    74,    -1,    -1,   227,   444,    -1,    -1,
      -1,   448,    -1,    -1,  3953,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,
      -1,   332,    -1,    -1,    -1,   336,  2095,  3976,    -1,   340,
      -1,  3980,  3981,  3982,    -1,   266,  2145,  2146,   349,   433,
      -1,  4031,    -1,    -1,    -1,    -1,   357,    -1,    -1,   280,
      -1,    -1,   283,    -1,   365,    -1,    -1,    -1,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,    -1,
      -1,  2571,    -1,    -1,    -1,   386,    -1,    -1,    -1,   390,
      -1,    -1,  4031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    92,    -1,    -1,    -1,    -1,  2207,    -1,
      -1,    -1,    -1,    -1,   185,    -1,    -1,  4056,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,  4068,
      -1,   473,   474,   475,    -1,   477,   478,   479,   480,   481,
     482,   212,   213,   444,    -1,   487,    -1,    -1,  2207,   370,
      -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,  4098,
      -1,    -1,  4101,   152,    -1,    -1,    -1,    -1,    -1,    -1,
    4109,  4110,    -1,  4112,    -1,    -1,    -1,  4116,  4117,    -1,
      -1,    -1,  4121,  4122,    -1,    -1,    -1,    -1,  4127,    -1,
      -1,  4130,  4131,    -1,    -1,   266,  4135,    -1,   187,    -1,
      -1,    -1,  4141,  2302,    -1,    -1,    -1,    -1,    -1,   280,
      -1,    -1,   283,    -1,  4153,    -1,    -1,    -1,  2277,    -1,
      -1,    -1,  4161,    -1,    -1,    -1,  4165,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,  4194,   477,   478,   479,   480,
     481,   482,    -1,    -1,    10,    -1,   487,    13,    -1,    -1,
     259,    17,    18,    19,   263,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4221,    -1,  2383,    -1,    -1,    -1,    34,    -1,
    2780,    -1,  2391,    -1,    -1,  2394,    42,  2356,    -1,   370,
    4239,    -1,    -1,    49,    -1,   294,   295,  2406,    -1,    -1,
      -1,    -1,    -1,    -1,  2373,    -1,    -1,  4297,  4257,    -1,
      -1,    -1,    -1,  4262,    -1,    -1,    -1,    -1,    74,  4309,
      -1,    -1,    -1,    -1,  2824,    -1,    -1,    -1,    -1,    -1,
      -1,  4280,    -1,   332,    -1,    -1,    -1,   336,    -1,    -1,
      -1,   340,    -1,    -1,    -1,    -1,    -1,  2847,  4297,    -1,
     349,    -1,    -1,  4302,    -1,    -1,    -1,    -1,   357,    -1,
    4309,    -1,    -1,  2863,    -1,    -1,   365,    -1,  2437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4325,    -1,   377,  2879,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   386,    -1,   470,
    4339,   390,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    -1,    -1,  2473,    -1,   487,  2476,    -1,  2478,
      -1,    -1,    -1,  2482,    -1,  2484,  2485,    -1,    -1,    -1,
      -1,  4370,    -1,    -1,  2493,  2494,  2495,    -1,    -1,   185,
      10,    -1,  2932,    13,   190,    -1,  2936,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,   444,    -1,    -1,    -1,    -1,
    4399,    -1,    -1,    -1,    34,    -1,   212,   213,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,  4415,    -1,    -1,    49,
      -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4438,
      -1,    -1,    -1,    -1,    74,    -1,  4445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2615,  2616,    -1,    -1,
     266,  2580,  2621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2592,   280,    -1,    -1,   283,  4518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4490,    -1,  4492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,   680,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4518,
      -1,    -1,    -1,  2682,    -1,    -1,    34,    -1,    -1,  2648,
     706,    -1,    -1,    -1,    42,    -1,    -1,    -1,  4537,    -1,
      -1,    49,  4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
     190,    -1,    -1,    -1,   370,    -1,    74,  4566,  4567,    -1,
      -1,  4570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,   213,    -1,    -1,  4585,    -1,    -1,    -1,
    4630,    -1,  4632,  4592,    -1,    -1,    -1,   227,  4597,    -1,
      -1,  4600,  4601,    -1,    -1,    -1,    -1,    -1,  4607,  4608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4623,    -1,  4625,    -1,    -1,    -1,
      -1,  4630,    -1,  4632,    -1,    -1,   266,  4636,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,    -1,    -1,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,   185,    -1,  4678,
    4679,   487,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,  2885,    -1,  2887,  4728,
      -1,    -1,    -1,    -1,  4733,    -1,    -1,    -1,    -1,    -1,
     370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2910,  2911,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2887,    -1,
      -1,    -1,   280,    -1,    -1,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   962,    -1,    -1,    -1,
    4789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4802,    -1,  4804,    -1,    -1,    -1,    -1,
      -1,   987,  3362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,  4828,
    4829,    -1,  4831,    -1,  4833,    -1,    -1,    -1,    -1,  3389,
     470,    -1,    -1,   473,   474,   475,    -1,   477,   478,   479,
     480,   481,   482,  4852,    -1,    -1,    -1,   487,    -1,  4858,
      -1,    -1,   370,  4862,    -1,    -1,    -1,    -1,    -1,  4868,
      -1,    -1,    -1,  4872,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4912,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4921,    -1,    -1,    -1,    -1,  4926,  4927,    -1,
      -1,    -1,  4931,    -1,    -1,    -1,    -1,  4936,  4937,  4938,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,  4974,    -1,  3096,    -1,   487,
      -1,    -1,  4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    -1,    -1,    -1,  5006,    37,    -1,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    30,    -1,
      -1,  1197,    -1,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,  3151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3592,    72,  5043,  5044,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3608,    -1,
      72,  3611,    -1,    -1,  5063,    -1,    -1,  5066,    -1,    -1,
    5069,    -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,
      -1,  5080,    -1,  3633,    -1,  5084,    -1,  5086,    -1,  5088,
      -1,    -1,    -1,    -1,    -1,    -1,  5095,   126,    -1,    -1,
    3219,    -1,    -1,    -1,   133,    -1,    -1,   136,    -1,    -1,
      -1,    -1,    -1,    -1,   126,  5114,    -1,    -1,    -1,    -1,
      -1,   133,    -1,    -1,   136,    -1,    -1,    -1,  3287,    -1,
      -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
    5139,    -1,  5141,    -1,  3263,    -1,    -1,    -1,    -1,    -1,
     162,    -1,  3311,    -1,    10,    -1,    -1,    13,  3277,  3278,
      -1,    17,    18,    19,   193,    -1,    -1,   196,  3287,    -1,
      -1,    -1,    -1,    -1,  3293,    -1,  3295,    -1,    34,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    42,    -1,    -1,    -1,
      -1,    -1,  5191,    49,    -1,    -1,    -1,    -1,    -1,    -1,
      24,  5200,    -1,    -1,    -1,    -1,    30,    -1,    -1,    -1,
      -1,    -1,   241,    -1,  5254,   244,    -1,    -1,    74,    -1,
      -1,    -1,  3341,    -1,    -1,    -1,    -1,  5226,  5227,  5228,
     259,    -1,    -1,    -1,   263,    -1,  5235,  5236,    -1,    -1,
    5239,  3400,    -1,    -1,   273,    -1,  5245,   259,    72,    -1,
      -1,   263,    -1,   282,    -1,  5254,  3375,  3376,    -1,    -1,
      -1,   273,    -1,    -1,   293,   294,    -1,    -1,  5267,    -1,
     282,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      -1,  5280,   294,    14,    15,    -1,    -1,    24,    -1,    20,
      -1,    22,    -1,    30,    -1,    -1,    -1,    28,    -1,    30,
      -1,    -1,   126,   332,    -1,    -1,   335,   336,   337,   133,
      -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    49,    50,
     332,  5320,  3481,   335,   336,    -1,    -1,  5326,    -1,   185,
     359,    -1,    -1,    -1,   190,    72,   365,  5336,   162,  1515,
      -1,    -1,    -1,  5342,  5343,  5344,    -1,    -1,    -1,    -1,
     379,    -1,    -1,   365,    -1,  5354,   212,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   227,   196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5385,    -1,    -1,   126,
      -1,  3941,    -1,    -1,    -1,    -1,   133,    -1,    -1,   136,
      -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
     266,  5410,    -1,    -1,    -1,    -1,    -1,  5416,    -1,  3969,
      -1,   433,    -1,    -1,   280,   162,    -1,   283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,  5443,  5444,  3565,    -1,    -1,   273,
      -1,    -1,    -1,    -1,    -1,  5454,    -1,    -1,   282,   196,
    5459,    -1,    -1,    -1,    -1,    -1,    -1,   198,    -1,  5468,
     294,    -1,    -1,    -1,    -1,   206,    -1,    -1,   209,    -1,
      -1,   212,   213,    -1,   215,    -1,   217,    -1,    -1,   220,
    5489,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      -1,   335,   336,    -1,   370,    -1,    -1,    -1,  5517,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,
      -1,  5530,    -1,  5532,    -1,    -1,   273,    -1,    -1,    10,
      -1,   365,    13,    -1,    -1,   282,    17,    18,    19,    -1,
      -1,  5550,  1728,  5552,  5553,    -1,    -1,   294,    -1,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,  1745,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,   335,   336,
      -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,    -1,   433,
    3769,  4161,    -1,    -1,   470,  4165,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,    -1,   365,    -1,
      -1,   487,    -1,    -1,    -1,  3794,    -1,    -1,    -1,    -1,
      -1,    -1,  3801,  1819,    -1,    -1,  4196,  4197,    -1,    -1,
    3769,    -1,    -1,  3812,    -1,    -1,  1832,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1845,
      -1,    -1,    -1,    -1,    -1,  3794,    -1,    -1,    -1,    -1,
      -1,  1857,    -1,  3802,    -1,    -1,  3805,    -1,  3807,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,  1901,  1902,    -1,  3887,  3888,
      -1,  3850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,    -1,    -1,    -1,    -1,  3866,    -1,     0,
      -1,  3870,  3871,    -1,  3873,    -1,   227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    30,
      -1,    32,    33,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    48,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    57,    -1,    -1,   280,
      -1,    -1,   283,    -1,    -1,    -1,    -1,  3976,    69,    -1,
      71,    72,    -1,    -1,    -1,    -1,    -1,    78,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    -1,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3973,    -1,    -1,  3976,    -1,   110,
      -1,    -1,   113,    -1,  2040,    -1,    -1,    -1,    -1,  4028,
      -1,    -1,    -1,    -1,    -1,    -1,   127,    -1,   129,    -1,
      -1,    -1,   133,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,   149,   370,
      -1,   632,    -1,    -1,    -1,   156,    -1,  4457,   639,   640,
      -1,    -1,   643,    -1,   645,   646,    -1,    -1,    -1,   650,
      -1,   172,    -1,    -1,    -1,    -1,    -1,  4046,  4047,  4048,
     661,  4050,  4051,  4052,  4053,  4054,    -1,    -1,   189,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   192,   193,    -1,    -1,   196,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   700,
      -1,   702,    -1,    -1,    -1,    -1,   216,    -1,   229,   230,
      -1,   712,    -1,   223,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    -1,   744,   265,    -1,   487,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,  4592,    -1,    -1,    -1,    -1,  4597,    -1,    42,
    4600,    -1,    -1,    -1,    -1,    -1,    49,   308,    -1,    -1,
      -1,    -1,    -1,  4182,    -1,  4184,    -1,    -1,  2244,    -1,
      -1,   322,    -1,    -1,    -1,    -1,    -1,   328,   329,    -1,
     331,    74,  2258,    -1,    -1,   336,    -1,    -1,    -1,    -1,
     341,    -1,    -1,   344,    -1,    -1,    -1,    -1,   829,    -1,
     351,    10,    -1,    -1,    13,  4264,   357,   358,    17,    18,
      19,  4270,    -1,    -1,   365,  4274,    -1,    -1,   369,    -1,
      -1,    -1,    -1,  2299,    -1,    34,    -1,    -1,   379,    -1,
      -1,    -1,    -1,    42,   865,    -1,    -1,    -1,    -1,    -1,
      49,  4300,  4301,   394,    -1,    -1,  4305,  4306,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   414,    -1,    74,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,
     431,    -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,   190,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   938,    -1,    -1,
    4760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
     213,   472,    10,    -1,    -1,    13,    -1,    -1,   959,    17,
      18,    19,    -1,    -1,   227,   486,    -1,    -1,   489,    -1,
     971,    -1,    -1,    -1,    -1,   976,    34,    -1,  4798,  4368,
    4369,    -1,    -1,    -1,    42,   986,    -1,    -1,    -1,    -1,
     991,    49,  4381,    -1,  4383,  4384,    -1,    -1,  4387,  1000,
      -1,    -1,    -1,   266,  1005,    -1,   185,  1008,    -1,    24,
      -1,   190,    -1,    -1,    -1,    30,    74,   280,    -1,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4862,    -1,    -1,    -1,    -1,    -1,   227,  1050,
      -1,    -1,  4872,    -1,    -1,    -1,  2502,    72,    -1,    -1,
      -1,    -1,  4451,    -1,    -1,   202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   214,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   225,    -1,
      -1,    -1,    -1,    -1,    -1,   200,   201,    -1,    -1,    -1,
    4489,   280,    -1,   208,   283,   210,   211,   370,    -1,    -1,
      -1,   126,    -1,    -1,   624,    -1,   626,    -1,   133,   224,
     630,   136,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,   190,    -1,   644,  4524,    -1,    -1,    -1,    -1,
      -1,   651,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1165,    -1,  1167,    -1,  1169,   227,
    1171,    -1,  1173,  1174,  1175,    -1,    -1,    -1,    -1,  1180,
      -1,   196,    -1,    -1,    -1,    -1,  5006,    -1,    -1,    -1,
    1191,   370,    -1,    -1,    -1,    -1,  5016,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1206,    -1,   470,   266,    -1,
     473,   474,   475,    -1,   477,   478,   479,   480,   481,   482,
      -1,    -1,   280,    -1,   487,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,  4678,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,
    2706,    -1,    -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,
      -1,    -1,  5092,    -1,    -1,    -1,    -1,  2723,    -1,   294,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4678,
      -1,   470,  2738,    -1,   473,   474,   475,    -1,   477,   478,
     479,   480,   481,   482,    -1,    -1,    -1,    -1,   487,    -1,
      -1,    -1,   370,    -1,    -1,    -1,    -1,   332,    -1,    -1,
     335,   336,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,  4723,   126,    -1,    -1,    -1,    -1,
      -1,    -1,   133,  4732,    -1,   136,    34,    -1,    -1,    -1,
     365,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    49,    -1,    -1,    -1,    -1,  1367,    10,    -1,    -1,
      13,   162,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,   891,   892,    -1,    -1,    -1,    74,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    -1,    -1,    24,    -1,    -1,    42,
      -1,    -1,    30,    -1,    -1,   196,    49,    -1,    -1,    -1,
      -1,    -1,   470,    -1,    -1,   473,   474,   475,   433,   477,
     478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,   487,
      -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    72,    -1,    -1,  1448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,
      -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,   616,
     990,    -1,   273,    -1,    -1,   622,    -1,    -1,    -1,    -1,
      -1,   282,    -1,    -1,  5314,    -1,    -1,   185,   126,    -1,
      -1,    -1,   190,   294,    -1,   133,    -1,    -1,   136,  1019,
    1020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1520,
      -1,  5341,    -1,  4952,   212,   213,    -1,    -1,    -1,    -1,
     635,    -1,    -1,    -1,   162,  1045,   641,    -1,    -1,   227,
      -1,   332,   185,    -1,   335,   336,    -1,   190,    -1,   654,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4952,  3010,   670,    -1,  4956,   196,   212,
     213,    -1,    -1,    -1,   365,    -1,    -1,    -1,   266,   684,
     685,    -1,    -1,  3029,   227,    -1,   691,    -1,   693,   694,
      -1,    -1,   280,    -1,    -1,   283,    -1,    -1,    -1,  5419,
      -1,    -1,   707,    -1,    -1,    -1,    -1,    -1,    -1,  1119,
    1120,    -1,   717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,    -1,   280,    -1,    -1,
     283,    -1,   433,    -1,    -1,   273,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   799,    -1,    -1,    -1,   294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,    -1,
    3126,   818,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   802,    -1,    -1,
    5520,    -1,  5131,   840,   332,    -1,    -1,   335,   336,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,   826,    -1,    17,    18,    19,    -1,   370,    -1,    -1,
      -1,    -1,    -1,    -1,   839,    -1,    -1,   365,    -1,    -1,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,   886,
      -1,    -1,  5141,    -1,    -1,    49,  5145,    -1,  5147,    -1,
      -1,    -1,  5151,  5152,    -1,    -1,  1767,    -1,    -1,    -1,
      -1,  3217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      74,    -1,   470,    -1,    -1,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,   487,
      -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,    -1,  3258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,    -1,    -1,
     473,   474,   475,    -1,   477,   478,   479,   480,   481,   482,
      -1,    -1,    -1,   948,   487,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   966,    -1,    -1,    -1,    -1,    -1,   972,    -1,    -1,
     975,    -1,    -1,    -1,    -1,  1012,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   185,    -1,  1894,    -1,  1896,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1041,  1042,  1043,    -1,    -1,    -1,
    3356,    -1,  1913,    -1,  1915,    -1,    -1,    -1,   212,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,
    1931,    -1,  1933,   227,  1935,    -1,  1937,    -1,    -1,    -1,
    1941,    -1,    -1,    -1,    -1,  3391,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1467,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1492,    -1,    -1,    -1,   280,    -1,    -1,   283,
      -1,    -1,    -1,    -1,    -1,    -1,  5385,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1124,
      -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    -1,    -1,  1142,    -1,  5468,
      -1,    49,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1187,  3497,    -1,    -1,    -1,  1160,    -1,    -1,    -1,  1569,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    -1,  1205,    -1,
      -1,    -1,    -1,    -1,  3520,    -1,   370,  1214,    -1,  5468,
      -1,    -1,    -1,  1188,    -1,    -1,  1596,  1597,  1598,  1599,
      -1,    -1,    -1,    10,  1199,    -1,    13,    -1,    -1,  3545,
      17,    18,    19,  5532,    -1,    -1,    -1,    -1,    -1,    -1,
    1215,    -1,    -1,    -1,  1219,    -1,    -1,    34,    -1,    -1,
      -1,  5550,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    49,    -1,    -1,  3581,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,
      -1,  5550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2172,  2173,    -1,    -1,    -1,   470,   185,    -1,   473,
     474,   475,   190,   477,   478,   479,   480,   481,   482,    -1,
    2191,  2192,    -1,   487,    -1,  2196,  2197,    -1,    -1,    -1,
    2201,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2215,  1352,    -1,    -1,    -1,   227,
      -1,  2222,    -1,    -1,    -1,  2226,  2227,  1737,  1738,  2230,
    2231,    -1,    -1,  1338,    -1,    -1,  2237,    -1,    -1,    -1,
      -1,  1346,  1347,    -1,    -1,    -1,    -1,  1757,    -1,    -1,
      -1,  2252,    -1,  2254,    -1,  1360,    -1,    -1,   266,    -1,
      -1,  1398,    -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,
      -1,  2272,   280,   190,    -1,   283,  2277,    -1,    -1,    -1,
      -1,    -1,  1792,  1793,  1794,  1795,    -1,    -1,    -1,    -1,
      -1,  2292,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,
    2301,    -1,    -1,  2304,    -1,  2306,  2307,  2308,  1413,    -1,
     227,    -1,  2313,  2314,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2323,    -1,    -1,    -1,    -1,  2328,    -1,    -1,
      -1,  2332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1480,    -1,    -1,    -1,    -1,  2349,   266,
      -1,    -1,  1489,    -1,  2355,  2356,    -1,    -1,    -1,    -1,
      -1,  2362,   370,   280,    -1,    -1,   283,    -1,    -1,    -1,
      -1,  2372,  2373,    -1,    -1,    -1,    -1,  2378,    -1,    -1,
      -1,    -1,    -1,    -1,  1521,    -1,    -1,    -1,    -1,  2390,
      -1,    -1,  2393,    -1,    -1,    -1,    -1,  2398,    -1,    -1,
    1910,    -1,    -1,  2404,  2405,    -1,  1916,  1544,    -1,  2410,
    1547,    -1,  2413,    -1,    -1,    -1,  2417,  2418,  2419,  2420,
      -1,  2422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2435,  2436,   201,  2438,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,  2449,  2450,
    2451,    -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,   224,
      -1,    -1,   470,  1600,    -1,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,    -1,    -1,  1614,    -1,   487,
      -1,    -1,  3928,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1610,    -1,    -1,    -1,    -1,
      34,  2512,    -1,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2048,  2540,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      74,    -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,
     487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1725,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1776,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1758,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,   190,    -1,  1805,    -1,
      -1,    -1,    -1,    -1,    -1,  1812,  4122,  1782,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1790,    -1,    -1,   212,   213,
      -1,    10,    -1,    -1,    13,    -1,    -1,  1802,    17,    18,
      19,    -1,    -1,   227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,    38,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      49,    -1,  2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2742,   266,  2253,    -1,  2255,    -1,    -1,    -1,  2259,
      -1,    -1,    -1,    -1,    -1,    74,   280,    -1,    -1,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1874,
    1875,    -1,  1877,  1878,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1918,    -1,    -1,  1889,    -1,  1891,  1892,    -1,    -1,
      -1,    -1,    -1,  4239,    -1,    -1,    -1,    -1,    -1,  1904,
    1905,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1920,    -1,    -1,    -1,    -1,
      -1,  1958,  1959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4280,    -1,    -1,    -1,  1975,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   370,  1952,    -1,    -1,
    1955,  1956,    -1,    -1,    -1,    -1,  4302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,
     635,   190,    -1,    -1,    -1,    -1,   641,    -1,    -1,  2389,
      -1,    -1,  2392,    -1,    -1,    -1,    -1,    -1,    -1,   654,
      -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   670,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     685,    -1,    -1,    -1,  4370,    -1,    -1,    -1,   693,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2075,    -1,
    2045,    -1,   707,    -1,    -1,    -1,   470,   266,  2085,   473,
     474,   475,   717,   477,   478,   479,   480,   481,   482,    -1,
      -1,   280,    -1,   487,   283,  2475,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2483,    -1,    -1,  2486,  2114,    -1,    -1,
      -1,    -1,  2492,    -1,    -1,    -1,    -1,    -1,  2125,  2126,
      -1,    -1,    -1,  2503,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3004,    -1,    -1,    -1,  3008,    -1,    -1,
    2115,    -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3032,  3033,    -1,  2544,    -1,  3037,   802,    -1,    -1,
      -1,  3042,  3043,  3044,    -1,    -1,  4492,    -1,    -1,    -1,
      -1,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   826,  2572,    -1,    -1,    -1,  2171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   839,    -1,    -1,  3078,  3079,  3080,
    3081,    -1,    -1,    -1,  2189,    -1,    -1,    -1,    -1,  2194,
    2195,    -1,    -1,    -1,  2199,  4541,    -1,    -1,    -1,    -1,
      -1,    -1,  2207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,    -1,    -1,  3115,    -1,  3117,  3118,  3119,    -1,
    2225,  2631,    -1,  2633,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2247,    -1,    -1,  2250,  2251,    -1,    -1,    -1,
      -1,   470,    -1,    -1,   473,   474,   475,    -1,   477,   478,
     479,   480,   481,   482,    -1,  2270,  2303,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,  2318,    -1,   948,    -1,  2290,  2291,    10,    -1,    -1,
      13,    -1,    -1,    34,    17,    18,    19,    -1,    -1,    -1,
      -1,    42,  2339,    -1,    -1,    -1,    -1,    -1,    49,    -1,
      -1,    34,    -1,    -1,    -1,    -1,  2321,  2322,    -1,    42,
    2325,    -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,
    3231,  2741,    -1,    74,    -1,    -1,    -1,    -1,    -1,  3240,
      -1,    -1,    -1,  2348,    -1,  2350,    -1,    -1,    -1,  2354,
      -1,    74,    -1,    -1,    -1,    -1,  2361,    -1,    -1,    -1,
      -1,    -1,    -1,  2368,    -1,    -1,  2371,    -1,    -1,    -1,
    3271,    -1,  2377,    -1,    -1,    -1,    -1,    -1,  2415,  2416,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2397,  3294,    -1,    -1,    -1,    -1,  2403,    -1,
      -1,    -1,    -1,  2408,    -1,    -1,  2411,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,  2434,
      -1,    -1,    -1,    -1,  2439,    -1,    -1,    -1,    -1,    -1,
    2445,    -1,    -1,    -1,   185,  3346,    -1,    -1,    -1,   190,
    3351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1124,
      -1,    -1,   185,    -1,    -1,    -1,    -1,   190,    -1,    -1,
      -1,   212,   213,    -1,    -1,    -1,    -1,  1142,    -1,    -1,
      -1,    -1,    -1,  4829,  3385,  2522,   227,    -1,    -1,   212,
     213,    -1,    -1,    -1,    -1,  1160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   227,    -1,  2511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4868,  1188,    -1,   266,    -1,  3428,    -1,  3430,
      -1,    -1,    -1,    -1,  1199,    -1,    -1,    -1,    -1,   280,
      -1,    -1,   283,   266,    -1,    -1,    -1,    -1,    -1,    -1,
    1215,    -1,    -1,    -1,  1219,    -1,    -1,   280,    -1,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3470,
      -1,    -1,    -1,    -1,    -1,  4921,    -1,    -1,    -1,    -1,
    4926,  4927,    -1,    -1,   307,    -1,    -1,  2592,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3016,    -1,  3018,  3019,
    3020,    -1,    -1,    34,    -1,    -1,    37,    -1,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    49,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2648,    -1,    -1,    -1,   370,    -1,    -1,
      -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1338,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1346,  1347,    -1,    -1,  2690,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1360,    -1,    -1,  5044,    -1,
      -1,    -1,    -1,  2708,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2726,    -1,    -1,  2729,    -1,    -1,  2732,    -1,   470,
      -1,    -1,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    -1,    -1,    -1,    -1,    -1,   470,  1413,    -1,
     473,   474,   475,    -1,   477,   478,   479,   480,   481,   482,
      -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3689,    -1,
    3691,   212,   213,    -1,  2799,    -1,    -1,  3698,    -1,    -1,
    2805,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,
      -1,    -1,    -1,  3714,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3726,    -1,    -1,    -1,  3730,
      -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,  3748,    -1,  3259,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2895,   280,
      -1,    -1,   283,    -1,    -1,  3766,    -1,    -1,    -1,    -1,
    3771,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    30,
      -1,    -1,  2887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5239,    -1,  3796,    -1,    -1,    -1,  3800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3808,  3809,  3810,
    3811,    -1,    -1,    -1,    -1,    -1,  3817,  3818,  3819,  3820,
      -1,    72,    -1,  3824,  3825,    -1,    -1,    -1,    -1,  3830,
    3831,    -1,  3833,  3834,  3835,  3836,  3837,  3838,  3839,    -1,
      -1,    -1,    -1,    -1,    -1,  1610,    -1,    -1,  3849,   370,
      -1,    -1,  3853,  3854,  3855,  3856,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2976,  2977,    -1,    -1,   126,    -1,    -1,  3879,    -1,
      -1,    -1,   133,    -1,    -1,   136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3898,  3003,    -1,
      -1,  3006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3435,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,   470,
      -1,    -1,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,   482,    42,    -1,    -1,    -1,    -1,    -1,    10,    49,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3090,  3091,  3092,    -1,    -1,
      -1,    -1,    34,  1758,    74,  3132,    -1,  3998,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    49,   259,  3114,
      -1,    -1,   263,    -1,    -1,    -1,    -1,  1782,    -1,    -1,
      -1,    -1,   273,    -1,    -1,  1790,    -1,    -1,    -1,  3134,
      -1,   282,    74,    -1,  4035,    -1,    -1,  1802,    -1,    -1,
      -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,  3153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,   335,   336,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   706,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
     190,    -1,  1877,  1878,   365,    -1,    -1,    -1,   160,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1891,    -1,    -1,    -1,
      -1,    -1,   212,   213,  3239,    -1,    -1,    -1,    -1,  1904,
    1905,    -1,    -1,   185,    -1,    -1,    -1,   227,   190,    -1,
      -1,    -1,    -1,    -1,    -1,  1920,    -1,    -1,    -1,    -1,
      -1,    -1,  3299,  3300,  3301,    -1,    -1,    -1,    -1,    -1,
     212,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3316,
      -1,  3286,   433,    -1,    -1,   227,   266,    -1,  3293,    -1,
    3295,    -1,    -1,  3703,  3704,  3705,  3706,    -1,    -1,    -1,
     280,    -1,  3339,  3308,    -1,  3310,    -1,    -1,    -1,    -1,
      -1,    -1,  3349,  3350,    -1,    -1,    -1,  3354,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,  3332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,
      -1,   283,    -1,    -1,    -1,    -1,  4247,    -1,    -1,    -1,
    4251,  4252,  4253,  4254,    -1,    -1,    -1,  4258,    -1,    -1,
      -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     370,  4292,  4293,  4294,  4295,  4296,    -1,  4298,  4299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4310,
    4311,   680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,   370,    -1,
      -1,    -1,  3469,    -1,    -1,  3472,   946,   706,    -1,  4340,
      -1,    -1,    -1,    -1,  3449,    -1,    -1,    -1,    -1,    -1,
    2115,    -1,   962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3471,    -1,    -1,  3474,
      -1,    -1,  3882,    -1,    -1,    -1,    -1,   987,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3897,    -1,    -1,
     470,    -1,  1002,   473,   474,   475,    -1,   477,   478,   479,
     480,   481,   482,    -1,    -1,    -1,  2171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2189,    -1,    -1,    -1,   470,  2194,
    2195,   473,   474,   475,  2199,   477,   478,   479,   480,   481,
     482,    -1,  2207,  4444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3605,  3606,
    3607,    -1,    -1,   796,   797,    -1,    -1,  1087,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4504,    -1,  2270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2290,  2291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2321,  2322,    -1,    -1,
    2325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2348,    -1,  2350,    -1,  1197,    -1,  2354,
      -1,    -1,    -1,   962,    -1,    -1,  2361,    -1,    -1,    -1,
      -1,    -1,    -1,  2368,    -1,    -1,  2371,    -1,  3713,    -1,
      -1,    -1,  2377,    -1,    -1,  4616,    -1,    -1,   987,    -1,
      -1,    -1,    -1,   946,   947,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2397,  1002,    -1,    -1,    -1,    -1,  2403,    -1,
      -1,    -1,    -1,  2408,    -1,    -1,  2411,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2421,    -1,  3763,    -1,
      -1,    -1,    -1,  3768,    -1,  3770,    -1,    -1,    -1,  2434,
      -1,    -1,    -1,    -1,  2439,    -1,    -1,    -1,    -1,  4680,
    2445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4699,    -1,
      -1,    -1,    -1,  4704,  4705,    -1,    -1,    -1,  3813,    -1,
      -1,    -1,    -1,  4714,    -1,    -1,    -1,    -1,  1087,    -1,
    4721,    -1,    -1,    -1,  3829,    -1,    -1,  3832,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4757,    -1,  3895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3906,
      -1,    -1,    -1,    -1,    -1,    -1,  4777,    -1,  4779,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4794,    -1,    -1,    -1,  1407,    -1,    -1,
    3937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4814,    -1,    -1,    -1,    -1,    -1,  3924,
    3925,  4822,    -1,    -1,    -1,    -1,    -1,  2592,  1197,  3934,
      -1,    -1,    -1,  3970,    -1,    -1,    -1,    -1,    -1,    -1,
    4350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3953,    -1,
      10,    -1,    -1,    13,    -1,  4365,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,  1474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,  2648,  4021,    -1,  4887,    -1,    -1,    49,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1515,    -1,  4908,  1231,    -1,
      -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,  4920,
      -1,    -1,    -1,    -1,    -1,  2690,  4031,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1548,  1262,
      -1,    -1,    -1,  2708,    -1,    -1,    -1,    -1,  4458,    -1,
      -1,  2716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1290,  1291,  1292,
      -1,  1294,  1341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4985,    -1,    -1,    -1,    -1,    -1,
      -1,  1314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4142,  4143,  4144,  4145,    -1,
      -1,    -1,    -1,    -1,    -1,  1625,  1626,  1627,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
     190,    -1,    -1,    -1,  2799,    -1,    -1,    -1,  1407,    -1,
    2805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5051,    -1,   212,   213,    -1,    -1,    -1,    -1,    -1,  1382,
      -1,    -1,    -1,  1386,  1387,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1474,   266,    -1,    -1,    -1,
    5111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1728,    -1,
     280,    -1,  2887,   283,    -1,  5126,    -1,    -1,  4638,    -1,
    4640,    -1,    -1,    -1,    -1,  1745,    -1,    -1,    -1,    -1,
      -1,   301,    -1,    -1,    -1,    -1,  1515,    -1,    -1,    -1,
      -1,    -1,  4257,  1763,    -1,    -1,    -1,  4262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,  5170,
      -1,    -1,    -1,    30,    -1,    -1,    -1,    -1,    -1,  1548,
      37,    -1,    -1,    -1,  5185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4297,    -1,    -1,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,  4309,    -1,    -1,    -1,    -1,  1819,
     370,  2976,  2977,    -1,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,  1832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4339,  1845,    -1,    -1,  3003,    -1,
      -1,  3006,    -1,    -1,    -1,    -1,    -1,  1857,    -1,   106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5266,    -1,    -1,    -1,   126,
      -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,   136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4800,  1901,  1902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1625,  1626,  1627,   162,    -1,    -1,    -1,  5310,
     470,    -1,    -1,   473,   474,   475,    -1,   477,   478,   479,
     480,   481,   482,    -1,    -1,  3090,  3091,  3092,    -1,    -1,
      -1,    -1,    -1,  4438,    -1,    -1,   193,    -1,    -1,   196,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3114,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4494,    -1,  1728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3134,
      -1,    -1,    -1,    -1,    -1,    -1,  1745,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   241,    -1,    -1,   244,  3153,    -1,
      -1,    -1,    -1,    -1,  1763,    -1,    -1,  5398,    -1,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,
      -1,    -1,    -1,  4518,    -1,    -1,   273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   282,    -1,    -1,    -1,    -1,
    2040,    -1,  4942,    -1,  4944,    -1,   293,   294,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1819,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,  1832,    -1,    -1,    -1,    -1,  2078,    -1,
      -1,    -1,    -1,    -1,  3239,   332,  1845,    -1,   335,   336,
     337,    -1,    -1,    -1,    42,    -1,    -1,    -1,  1857,    -1,
      -1,    49,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   359,    -1,    -1,    -1,    -1,    -1,   365,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,
      -1,  3286,   379,    -1,    -1,  4630,    -1,  4632,  3293,    -1,
    3295,    -1,  1901,  1902,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3308,    -1,  3310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,  3332,  2178,    -1,
      -1,    -1,  2182,  2183,  4679,    -1,   433,    -1,    34,    -1,
      -1,    37,    -1,    -1,  4689,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    49,    -1,    -1,    -1,    -1,    -1,  4736,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3376,    -1,    -1,  4751,    -1,    -1,    -1,    74,  4756,
      -1,    -1,    -1,  4728,    -1,    -1,    -1,   185,  4733,    -1,
      -1,   680,   190,    -1,  2244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4782,    -1,   680,  2258,    -1,
      -1,    -1,    -1,    -1,   212,   213,    -1,   706,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,   227,
    5180,  2040,    -1,   706,  1997,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3449,    -1,  2009,    -1,  2011,  2299,
    2013,    -1,    -1,  2016,  2017,  2018,    -1,    -1,    -1,    -1,
    2023,    -1,    -1,  2026,    -1,    -1,  3471,    -1,   266,  3474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2041,  2042,
    2043,  2044,   280,    -1,    -1,    -1,  2049,    -1,    -1,   185,
    2053,    -1,    -1,  2056,   190,    -1,  2059,  2060,  2061,  2062,
    2063,  2064,  2065,  2066,  2067,    -1,  2069,    -1,    -1,    -1,
      -1,    -1,    -1,  2076,    -1,  2078,   212,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4903,    -1,    -1,    -1,
      -1,   227,  5282,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,  3556,    -1,    -1,    -1,    -1,    -1,    -1,  2121,    -1,
      34,    -1,    -1,    -1,    -1,    -1,    -1,  4912,    42,  2178,
     266,    -1,   370,  2182,  2183,    49,    -1,    -1,    -1,    -1,
      -1,    -1,  2145,  2146,   280,    -1,    -1,   283,    -1,    -1,
      -1,    -1,    -1,  4938,    -1,    -1,    -1,    -1,    -1,    -1,
      74,    -1,    -1,    -1,    -1,    -1,    -1,  4952,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5003,    -1,    -1,  5379,
      -1,    -1,    -1,    -1,    -1,  2244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2258,
      -1,    -1,  2502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5411,  5412,    -1,    -1,  2228,    -1,    -1,    -1,    -1,
      -1,    -1,   470,   962,   370,   473,   474,   475,    -1,   477,
     478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,   962,
    2299,    -1,   166,    -1,    -1,    -1,    -1,    -1,   987,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3713,    -1,
      -1,   185,    -1,  1002,   987,    -1,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1002,
      -1,    -1,    -1,    -1,  2584,    -1,    -1,  2587,   212,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,  3763,    -1,
      -1,    -1,    -1,  3768,  5514,  3770,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,    -1,  3793,    -1,
      -1,    -1,   266,    -1,  5139,    -1,  5141,    -1,  1087,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,  3813,   283,
      -1,    -1,    -1,    -1,  1087,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3829,    -1,    -1,  3832,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,  2706,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    -1,    -1,  2723,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    49,    -1,    -1,    -1,    -1,    -1,  2738,    -1,
      -1,  5236,    -1,  2502,    -1,    -1,   370,    -1,    -1,    -1,
    2463,  2464,  2465,    -1,    -1,    -1,  2469,    74,  1197,  5254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3924,
    3925,    -1,  5267,    -1,  1197,    -1,    -1,    -1,    -1,  3934,
      -1,    -1,    -1,    -1,    -1,  5280,    -1,    -1,  2501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2584,    -1,    -1,  2587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   470,  5342,  5343,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,   482,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1092,   185,    -1,
      -1,    -1,    -1,   190,    -1,    -1,  4031,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1112,    -1,    -1,
    5385,    -1,    -1,    -1,    -1,   212,   213,  1122,    -1,    -1,
      -1,  1126,    -1,    -1,    -1,  1130,    -1,  1132,    -1,    -1,
     227,    -1,    -1,  1138,    -1,    -1,    -1,    -1,    -1,  1144,
      -1,    -1,  1147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2706,    -1,   266,
      -1,  2951,    -1,    -1,  2954,    -1,  2956,    -1,    -1,    -1,
      -1,  2961,    -1,   280,  2723,    -1,   283,    -1,  1407,    -1,
      -1,    -1,    -1,  5468,    -1,    -1,    -1,    -1,    -1,  2738,
      -1,    -1,    -1,    -1,  1407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3029,
      -1,    -1,    -1,    -1,    -1,  1474,  2749,  5532,    -1,    -1,
      -1,  2754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1474,    -1,   370,  3054,  5550,    -1,  5552,  5553,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2780,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1515,    -1,  2791,    10,
    2793,  2794,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,  2804,  1515,    -1,  2807,    -1,  2809,    -1,    -1,    -1,
      -1,    -1,  4257,    34,    -1,    -1,    -1,  4262,    -1,  1548,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,
      -1,    -1,    -1,    -1,  3124,  1548,  3126,    -1,    -1,    -1,
      -1,  2844,    -1,  2846,    -1,  2848,    -1,    -1,    -1,    -1,
      -1,    -1,  4297,    74,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   470,  4309,    -1,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4339,    -1,    -1,    -1,    -1,    -1,
    2903,    -1,  2951,    -1,    -1,  2954,    -1,  2956,    -1,    -1,
      -1,    -1,  2961,    -1,    -1,  2918,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,  3244,    -1,    -1,   680,    -1,    -1,
    3250,  3010,    -1,    -1,   185,    -1,    -1,    34,  3258,   190,
      37,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,  2982,
    3029,    -1,    49,   706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,   213,  4438,    -1,    -1,    -1,  3287,    -1,  1728,
      -1,    -1,    -1,    -1,    -1,  3054,   227,    74,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1728,  1745,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1745,    -1,  1763,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,
    1763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,
      -1,    -1,   283,    -1,    -1,    -1,  3356,    -1,    -1,    -1,
      -1,    -1,    -1,  4518,    -1,  3124,    -1,  3126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3377,    -1,    -1,
    1819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3391,    -1,  1832,    -1,    -1,  1819,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1845,    -1,   185,  1832,
      -1,    -1,    -1,   190,    -1,    -1,    -1,    -1,  1857,    -1,
      -1,    -1,  1845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1857,   212,   213,    -1,    -1,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,    -1,
      -1,    -1,  1901,  1902,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,    -1,  4630,    -1,  4632,  1901,  1902,
      -1,    -1,    -1,    -1,   680,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3497,    -1,  3258,
      -1,    -1,    -1,   280,    -1,    -1,   283,    -1,    -1,    -1,
     706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3520,    -1,    -1,    -1,  4679,    -1,    -1,    -1,  3287,   962,
      -1,  3244,    -1,    -1,    -1,    -1,    -1,  3250,    -1,   470,
      -1,    -1,   473,   474,   475,  3545,   477,   478,   479,   480,
     481,   482,    -1,    -1,   987,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1002,
      -1,    -1,    -1,  4728,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   370,    -1,    -1,    -1,  3356,    -1,    -1,
      -1,  2040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2040,  3377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1087,  1880,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1888,    -1,    -1,    -1,    -1,    -1,    -1,
    3670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1908,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,   482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3497,  2178,
      -1,    -1,    -1,  2182,  2183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2178,    -1,  4912,    -1,  2182,
    2183,  3520,    -1,    -1,  1197,    -1,   962,    -1,    -1,  3769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3494,    -1,  4938,    -1,    -1,  3545,    -1,    -1,    -1,
    3503,   987,    -1,    -1,  3794,    -1,    -1,  4952,  3511,    -1,
    3513,    -1,    -1,    -1,    -1,  2244,  1002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2258,
      -1,  2244,  3581,    -1,    -1,   680,    -1,  3540,  3541,    -1,
      -1,    -1,    -1,    -1,    -1,  2258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3558,    -1,    -1,    -1,    -1,
      -1,   706,    -1,  3566,    -1,    -1,  3569,    -1,  3571,    -1,
    2299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3583,    -1,    -1,    -1,    -1,    -1,  2299,    -1,  3591,  3592,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2113,    -1,
      -1,  1087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3623,  3670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3928,    -1,
      -1,    -1,    -1,    -1,    -1,  3648,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1407,    -1,  3976,    -1,    -1,    -1,
    3980,    -1,    -1,    -1,  5139,    -1,  5141,    -1,    10,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,  1197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3769,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3794,    -1,    -1,    -1,    -1,
      -1,  1474,    -1,    -1,    -1,    -1,    -1,   680,    -1,    -1,
      -1,    -1,    74,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2502,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   706,    -1,    -1,    -1,    -1,    -1,  2502,
      -1,  5236,  1515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   962,    -1,    -1,
      -1,    -1,  4112,    -1,    -1,  1548,    -1,    -1,    -1,    -1,
      -1,    -1,  4122,    -1,    -1,  5280,    -1,    -1,    -1,    -1,
      -1,    -1,   987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2584,    -1,  1002,  2587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2584,    -1,   185,  2587,    -1,    -1,    -1,   190,  3928,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,
      -1,  1407,    -1,    -1,    -1,    -1,    -1,  3976,    -1,    -1,
      -1,  3980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5385,    -1,  1087,    -1,    -1,    -1,    -1,    -1,    -1,  4239,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,
      -1,   283,    -1,    -1,    -1,    -1,    -1,  2706,  3981,  3982,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1474,    -1,
    4280,    -1,    -1,  2706,  2723,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1728,    -1,    -1,    -1,  2738,
    2723,    -1,  4302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1745,  5468,    -1,  2738,    -1,    -1,    -1,  1515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   962,
    1763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1197,  4056,    -1,    -1,    -1,    -1,   370,    -1,
      -1,    -1,  1548,  4112,   987,  4068,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4122,    -1,    -1,    -1,    -1,    -1,  1002,
    4370,    -1,  2597,    -1,    -1,    -1,    -1,  5532,    -1,    -1,
    2605,    -1,    -1,    -1,    -1,    -1,  1819,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5550,  4109,  4110,    -1,  1832,
    2625,    -1,    -1,  4116,  4117,    -1,    -1,    -1,  4121,    -1,
    2635,    -1,  1845,  2638,  4127,  2640,  2641,  4130,  4131,  2644,
      -1,    -1,  4135,    -1,  1857,  2650,    -1,  2652,  4141,    -1,
    2655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   470,    -1,
      -1,   473,   474,   475,  1087,   477,   478,   479,   480,   481,
     482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1901,  1902,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4239,  4194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4490,    -1,  4492,  2718,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4221,    -1,
      -1,    -1,  2951,    -1,    -1,  2954,    -1,  2956,    -1,    -1,
      -1,  4280,  2961,    -1,    -1,    -1,    -1,    -1,  2951,    -1,
      -1,  2954,  1728,  2956,    -1,    -1,    -1,    -1,  2961,    -1,
      -1,  4541,    -1,  4302,    -1,    -1,    -1,    -1,    -1,  1745,
      -1,    -1,  1407,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,  1197,    -1,    -1,  1763,    -1,    -1,
      -1,  3010,    -1,    -1,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,  3010,    -1,    -1,
    3029,    -1,    -1,    49,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3029,  2040,    -1,    -1,
      -1,  4370,  4325,    -1,    -1,  3054,    -1,    -1,    74,  1474,
      -1,    -1,    -1,  1819,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3054,    -1,    -1,    -1,    -1,  1832,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1845,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1515,  1857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4678,    -1,
      -1,    -1,    -1,    -1,    -1,  3124,  4399,  3126,    -1,    -1,
      -1,    -1,    -1,  1548,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3124,    -1,  3126,    -1,  1901,  1902,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,
      -1,    -1,    -1,  4492,   190,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2178,    -1,    -1,    -1,  2182,
    2183,    -1,    -1,    -1,    -1,    -1,   212,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2992,    -1,    -1,
      -1,   227,    -1,    -1,  1407,    -1,    -1,    -1,  3217,    -1,
      -1,    -1,  4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4804,    -1,    -1,    -1,    -1,    -1,
     266,  2244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3258,
      -1,    -1,    -1,    -1,   280,  2258,    -1,    -1,    -1,  4829,
      -1,    -1,    -1,    -1,    -1,  3258,    -1,    -1,    -1,    -1,
      -1,  1474,    -1,    -1,  2040,    -1,    -1,    -1,  3287,    -1,
    3075,    -1,  3077,  4566,  4567,    -1,    -1,  4570,    -1,    -1,
      -1,    -1,    -1,    -1,  3287,    -1,  2299,    -1,  4868,    -1,
      -1,    -1,    -1,  1728,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1745,    -1,    -1,    -1,  4607,  4608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1763,    -1,
      -1,    -1,  4625,    -1,   370,  1548,    -1,  3356,    -1,  4678,
      -1,  4921,    -1,    -1,    -1,    -1,  4926,  4927,    -1,    -1,
      -1,    -1,    -1,  3356,    -1,    -1,    -1,    -1,  3377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3391,    -1,  3377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1819,    -1,    -1,    -1,  3391,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1832,    -1,    -1,
      -1,    -1,  2178,    -1,    -1,    -1,  2182,  2183,    -1,    -1,
    1845,  3216,    -1,    -1,    -1,    -1,    -1,  3222,    -1,    -1,
      -1,    -1,  1857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   470,    -1,    -1,   473,   474,   475,
      -1,   477,   478,   479,   480,   481,   482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5043,  5044,  4804,  1901,  1902,  2244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3497,    -1,
      -1,    -1,  2258,    -1,    -1,    -1,    -1,    -1,    -1,  2502,
    4829,    -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,
      -1,  3520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1728,    -1,  3520,    -1,    -1,
      -1,    -1,    -1,  2299,    -1,    -1,  3545,    -1,    -1,  4868,
      -1,    -1,  1745,    -1,    -1,    -1,    -1,    -1,  4831,    -1,
      -1,    -1,  3545,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3581,    -1,    -1,  4858,    -1,    -1,    -1,    -1,
      -1,  2584,    -1,    -1,  2587,    -1,    -1,    -1,  3581,  4872,
      -1,    -1,  4921,    -1,    -1,    -1,    -1,  4926,  4927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    27,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2040,  1819,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3419,    -1,  3421,    -1,  3423,  1832,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3432,    -1,    -1,
      -1,    -1,  1845,    -1,    -1,    -1,    -1,    -1,  4931,    -1,
      -1,    -1,    -1,    -1,  1857,    75,    -1,    -1,    -1,    -1,
      -1,  3670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5239,
      90,    -1,    -1,    -1,    -1,    -1,    -1,  3670,  3473,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,  4974,    -1,    -1,   114,    -1,    -1,    -1,  1901,  1902,
      -1,    -1,    -1,  2706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,    -1,  5044,    -1,    -1,    -1,    -1,
    2723,    -1,   142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   151,    -1,    -1,    -1,  2738,  2502,    -1,    -1,    -1,
      -1,    -1,    -1,   163,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,    -1,  2178,    -1,   175,    -1,  2182,  2183,    -1,
    3769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   194,    -1,  3769,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3794,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,
      -1,  3794,    -1,    -1,    -1,  5088,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,  2244,
     240,  2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5114,    -1,  2258,    -1,    -1,    -1,  2040,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   313,   314,    -1,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5191,    -1,
    5239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3928,
      -1,    -1,    -1,   343,    -1,    -1,   346,    -1,    -1,    -1,
     350,    -1,   352,    -1,    -1,  3928,    -1,    -1,    -1,   359,
    2706,    -1,   362,  5226,  5227,  5228,    -1,    -1,  2951,    -1,
      -1,  2954,    -1,  2956,    -1,    -1,    -1,  2723,  2961,    -1,
      -1,   381,  5245,    -1,    -1,    -1,    -1,  3976,   388,    -1,
      -1,  3980,  2738,   393,   394,  2178,    -1,   397,    -1,  2182,
    2183,   401,    -1,  3976,    -1,    -1,    -1,  3980,    -1,    -1,
      -1,   411,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3010,    -1,   429,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,   442,    -1,    -1,    -1,  3029,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    -1,    -1,    -1,
      -1,  2244,    -1,  5326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3054,    -1,    -1,    -1,  2258,    -1,    -1,    -1,    62,
      -1,  5344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    -1,    -1,    -1,    -1,  2502,    -1,    -1,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2299,    -1,    -1,    -1,
      -1,    -1,    -1,  4112,    -1,   108,    -1,    -1,    -1,    -1,
      -1,   114,    -1,  4122,    -1,    -1,    -1,    -1,    -1,  4112,
      -1,  3124,    -1,  3126,    -1,    -1,    -1,    -1,   131,  4122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,
     163,    -1,  2587,    -1,    -1,    -1,    -1,    -1,   171,    -1,
      -1,  5454,   175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2951,    -1,    -1,  2954,    -1,
    2956,   194,    -1,    -1,    -1,  2961,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3217,    -1,  5499,    -1,    -1,    -1,
      -1,  4016,    -1,    -1,    -1,  4020,    -1,    -1,   231,    -1,
    4239,    -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,    -1,    -1,    -1,  3010,    -1,  4239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4280,    -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,
     283,  2706,    -1,    -1,  3287,    -1,    -1,  4280,  3054,    -1,
      -1,    -1,    -1,  4302,    -1,    -1,    -1,    -1,  2723,  2502,
     303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4302,
      -1,    -1,    -1,  2738,   317,    -1,    -1,    -1,    -1,    -1,
      -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   352,
      -1,    -1,    -1,  3356,    -1,    -1,   359,    -1,  3124,   362,
    3126,  4370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3377,    -1,    -1,  4370,   381,    -1,
      -1,  2584,    -1,    -1,  2587,   388,    -1,    -1,  3391,    -1,
      -1,   394,    -1,    -1,   397,   398,    -1,   400,   401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   411,    -1,
      -1,    -1,    -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,
     423,  1306,    -1,   426,    -1,    -1,   429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   442,
      -1,    -1,  4237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1364,
      -1,    -1,    -1,  4492,    -1,    -1,  4281,  4282,    -1,    -1,
      -1,    -1,  3258,    -1,  3497,    -1,    -1,    -1,    -1,  4492,
      -1,    -1,    -1,  2706,    -1,    -1,    -1,    22,    -1,    -1,
      -1,    -1,    27,    -1,    -1,    -1,    -1,  3520,    -1,    -1,
    2723,  3287,    -1,    -1,    -1,    -1,  2951,    -1,    -1,  2954,
      -1,  2956,  4541,    -1,    -1,  2738,  2961,    -1,    -1,    -1,
      -1,    -1,  3545,    -1,    -1,    -1,    -1,    62,  4541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      75,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,  4371,  4372,  3581,    -1,
      -1,    -1,    -1,    -1,    -1,  3010,    -1,    -1,    -1,    -1,
    3356,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3029,    -1,    -1,    -1,    -1,    -1,
      -1,  3377,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3391,    -1,   142,    -1,  3054,
      -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   163,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,    -1,    -1,    -1,  3670,    -1,  4678,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,
      -1,    -1,    -1,    -1,    -1,  4678,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,
      -1,  3126,  4497,    -1,    -1,    -1,  4501,  4502,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4517,    -1,    -1,   240,    -1,    -1,    -1,    -1,
      -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1631,    -1,  2951,    -1,
    1635,  2954,    -1,  2956,  3520,    -1,    -1,    -1,  2961,    -1,
      -1,    -1,    -1,    -1,    -1,   280,  3769,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,  3545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,
      -1,  3794,  3217,    -1,    -1,  4804,    -1,    -1,   313,   314,
      -1,    -1,   317,    -1,    -1,    -1,    -1,  3010,    -1,    -1,
      -1,  4804,    -1,    -1,    -1,  3581,    -1,    -1,    -1,    -1,
    4829,    -1,    -1,    -1,    -1,    -1,  3029,    -1,   343,    -1,
      -1,   346,    -1,  3258,    -1,   350,  4829,   352,    -1,    -1,
      -1,    -1,    -1,    -1,   359,    -1,    -1,   362,    -1,    -1,
      -1,  3054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4868,
      -1,    -1,  3287,    -1,    -1,    -1,   381,    -1,    -1,    -1,
      -1,    -1,    -1,   388,    -1,  4868,    22,    -1,    -1,   394,
      -1,    27,   397,    -1,    -1,    -1,   401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   409,    -1,   411,    -1,    -1,    -1,
      -1,   416,    -1,    -1,  3670,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4921,    -1,   429,    -1,    62,  4926,  4927,    -1,
      -1,  3124,    -1,  3126,    -1,  3928,    -1,   442,  4921,    75,
      76,  3356,    -1,  4926,  4927,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,  3391,    -1,    -1,    -1,
      -1,    -1,    -1,  3976,    -1,    -1,    -1,  3980,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,    -1,  3769,    -1,   151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3217,    -1,    -1,   163,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,  3794,  4824,
      -1,    -1,    -1,    -1,    -1,  5044,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   194,    -1,
      -1,  5044,    -1,    -1,    -1,  3258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3497,   219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   240,  3520,    -1,    -1,    -1,  4894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4112,
    1995,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4122,
    3545,    -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,  2014,
      -1,    -1,    -1,    -1,   280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2028,  2029,  2030,    -1,  2032,    -1,    -1,
      -1,    -1,  4947,  3356,    -1,    -1,  3581,   303,    -1,    -1,
      -1,    -1,  3928,    -1,    -1,    -1,    -1,   313,   314,    -1,
      -1,   317,    -1,    -1,  3377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3391,  2074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   343,    -1,    -1,
     346,    -1,    -1,    -1,   350,    -1,   352,    -1,    -1,    -1,
    3976,    -1,    -1,   359,  3980,    -1,   362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5239,    -1,    -1,    -1,    -1,   381,  4239,    -1,    -1,    -1,
      -1,    -1,   388,    -1,    -1,  3670,  5239,  2132,   394,    -1,
      -1,   397,    -1,    -1,    -1,   401,    -1,    -1,    -1,  2144,
      -1,    -1,    -1,   409,  2149,   411,    -1,    -1,    -1,    -1,
     416,    -1,    -1,    -1,    -1,    -1,    -1,  4280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3497,    -1,   442,    -1,    -1,  4302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3520,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3545,    -1,  3769,    -1,  4112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4370,    -1,  3794,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3581,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3670,    -1,    -1,
      -1,    -1,    -1,  4239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4280,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4302,    -1,  4541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3976,    -1,    -1,    -1,  3980,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3769,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4370,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4678,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3928,  4492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3976,    -1,  4541,    -1,  3980,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4829,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4868,    -1,  2752,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2772,  2773,    -1,
    2775,    -1,    -1,  2778,  2779,    -1,  2781,    -1,  2783,    -1,
      -1,    -1,  2787,    -1,    -1,  2790,    -1,    -1,    -1,  4112,
    2795,    -1,  4678,    -1,    -1,    -1,  2801,    -1,  4921,  4122,
      -1,  2806,    -1,  4926,  4927,    -1,    -1,    -1,  2813,  2814,
    2815,  2816,    -1,    -1,    -1,  2820,  2821,    -1,  2823,    -1,
      -1,    -1,    -1,    -1,    -1,  4370,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,  2843,    -1,
      -1,    -1,    -1,    -1,    -1,  2850,  2851,  2852,  2853,  2854,
    2855,  2856,  2857,  2858,  2859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4239,    -1,  4804,    -1,
      -1,  5044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4829,    -1,    -1,    -1,  4492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4302,
      -1,    -1,  4868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2997,    -1,    -1,    -1,  4541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4921,    -1,    -1,    -1,    -1,
    4926,  4927,    -1,    -1,    -1,    -1,    -1,  4370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4678,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5044,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3248,  3249,    -1,    -1,    -1,  3253,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4804,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3282,    -1,    -1,
      -1,    -1,    -1,    -1,  4829,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4868,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5239,    -1,  4678,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4921,    -1,    -1,    -1,
      -1,  4926,  4927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4804,    -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,
      -1,    -1,    -1,    -1,  3499,    -1,    -1,    -1,    -1,  5044,
      -1,    -1,    -1,    -1,    -1,    -1,  4829,    -1,    -1,    -1,
      -1,    -1,  3517,  3518,    -1,    -1,  3521,  3522,  3523,  3524,
      -1,    -1,  3527,  3528,  3529,  3530,  3531,  3532,  3533,  3534,
    3535,  3536,  3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4868,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3559,    -1,    -1,  3562,    -1,  3564,
      -1,    -1,  3567,  3568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3585,  3586,  3587,  3588,    -1,  3590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4921,    -1,
      -1,    -1,    -1,  4926,  4927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3679,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4057,    -1,    -1,    -1,  4061,    -1,  4063,  4064,
      -1,    -1,    -1,    -1,    -1,  4070,  4071,  4072,  4073,    -1,
      -1,    -1,    -1,  4078,  4079,  4080,  4081,  4082,  4083,  4084,
    4085,  4086,  4087,  4088,  4089,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4115,    -1,    -1,  4118,    -1,  4120,    -1,    -1,    -1,    -1,
    4125,    -1,    -1,  4128,  4129,    -1,    -1,  4132,  4133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4487,  4488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4530,    -1,    -1,    -1,    -1,
      -1,  4536,  4537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4554,
      -1,  4556,    -1,    -1,    -1,  4560,  4561,  4562,    -1,    -1,
    4565,    -1,    -1,  4568,  4569,    -1,    -1,    -1,  4573,    -1,
      -1,    -1,  4577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4634,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4700,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4738,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4827,  4828,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4842,  4843,  4844,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4852,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4879,  4880,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5069,    -1,    -1,  5072,    -1,    -1,
      -1,  5076,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5233,    -1,
    5235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5319,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5443,  5444,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5495,  5496,    -1,    -1,    -1,  5500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,  5527,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,   486,
     487,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,    -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   486,   487,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,
     487,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   486,   487,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,     3,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,
     487,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    37,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    -1,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,    -1,    -1,    -1,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,    -1,
      -1,   262,    -1,   264,   265,   266,   267,    -1,    -1,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
      -1,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,    -1,   305,    -1,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,    -1,
     411,    -1,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,   468,   469,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,   487,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    -1,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
      -1,   149,   150,   151,   152,    -1,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,    -1,    -1,   262,    -1,   264,   265,   266,   267,
      -1,    -1,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,    -1,   305,    -1,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,    -1,   411,    -1,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,   467,
     468,   469,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,   487,
      -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,    -1,    -1,
      -1,    -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,
       6,   486,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,
     486,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,   479,    -1,    -1,     3,
      -1,     5,     6,   486,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
      -1,    -1,    -1,   477,   478,    -1,    -1,    -1,     3,    -1,
       5,     6,   486,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,
       6,   486,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,
     486,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,   486,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,    -1,    -1,    -1,     3,    -1,     5,     6,   486,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,
      -1,    -1,    -1,     3,    -1,     5,     6,   486,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,    -1,    -1,    -1,    -1,    -1,   477,   478,    -1,
      -1,    -1,     3,    -1,     5,     6,   486,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,    -1,    -1,    -1,    -1,    -1,   477,   478,    -1,    -1,
      -1,     3,    -1,     5,     6,   486,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,
       3,    -1,     5,     6,   486,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,     3,
      -1,     5,     6,   486,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
      -1,    -1,    -1,   477,   478,    -1,    -1,    -1,     3,    -1,
       5,     6,   486,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,
       6,   486,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,
     486,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   478,    -1,    -1,    -1,     3,    -1,     5,     6,   486,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
     478,     3,    -1,     5,     6,    -1,     8,     9,   486,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,   478,    -1,    -1,    -1,
       3,    -1,     5,     6,   486,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   477,   478,     3,    -1,     5,     6,
      -1,     8,     9,   486,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,     5,     6,    -1,     8,     9,
      -1,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   486,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,     5,     6,    -1,     8,     9,    -1,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,   486,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,   486,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    -1,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,    -1,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,    -1,    -1,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,   477,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     486,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
     279,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,   472,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,   279,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   486,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   486,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   486,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,   278,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,   477,   478,   479,    -1,    -1,    -1,    -1,
      -1,    -1,   486,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    32,    33,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,   472,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   486,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,   472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   486,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     486,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   486,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,
      -1,   486,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    -1,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,    -1,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,    -1,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   467,   468,   469,    -1,    -1,    -1,   473,   474,
     475,    -1,   477,   478,   479,   480,   481,   482,     3,    -1,
       5,     6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    -1,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,    -1,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,    -1,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   467,   468,   469,    -1,    -1,    -1,   473,   474,
     475,     3,   477,   478,   479,   480,   481,   482,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,    -1,
      -1,   473,   474,   475,     3,   477,   478,   479,   480,   481,
     482,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,    -1,    -1,    -1,   473,   474,   475,     3,   477,   478,
     479,   480,   481,   482,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,    -1,    -1,    -1,   473,   474,   475,
       3,   477,   478,   479,   480,   481,   482,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,    -1,
     473,   474,   475,     3,   477,   478,   479,   480,   481,   482,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
      -1,    -1,    -1,   473,   474,   475,     3,   477,   478,   479,
     480,   481,   482,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,    -1,    -1,   473,   474,   475,     3,
     477,   478,   479,   480,   481,   482,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,   482,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    -1,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,    -1,    -1,
      -1,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,    -1,   262,    -1,   264,   265,
     266,   267,    -1,    -1,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,   284,   285,
     286,   287,   288,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,    -1,   305,
      -1,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,    -1,   411,    -1,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,   467,   468,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    -1,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,    -1,    -1,
      -1,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,    -1,   262,    -1,   264,   265,
     266,   267,    -1,    -1,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,   284,   285,
     286,   287,   288,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,    -1,   305,
      -1,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,    -1,   411,    -1,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,
       6,   467,   468,   469,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   479,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,   278,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,    -1,     3,    -1,     5,     6,    -1,
      -1,   477,   478,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
     278,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,    -1,     3,    -1,     5,     6,    -1,    -1,   477,
     478,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,   278,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
      -1,     3,    -1,    -1,     6,    -1,    -1,   477,   478,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,   278,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,     3,
      -1,    -1,    -1,    -1,    -1,   477,   478,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,   166,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    -1,     3,    -1,     5,
       6,    -1,    -1,   477,   478,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,     6,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
     278,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,   101,    -1,    -1,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,
      -1,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    -1,    -1,    -1,   101,    -1,    -1,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,   101,    -1,    -1,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    32,    33,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,     6,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    -1,    -1,    76,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,   163,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,   163,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    93,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,   172,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,   163,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      93,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,   163,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    93,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,   279,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,   279,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,   279,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    37,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    37,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    37,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,    -1,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    49,    50,    -1,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
     174,    -1,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
     224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,    -1,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,    46,
      47,    48,    49,    50,    -1,    52,    53,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    65,    66,
      67,    -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      77,    78,    79,    80,    81,    -1,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    -1,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,
      -1,   168,   169,   170,   171,    -1,   173,   174,    -1,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,
     217,   218,   219,   220,    -1,    -1,   223,   224,    -1,   226,
      -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
     287,    -1,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,    -1,
      -1,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    47,    48,    49,
      50,    -1,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    77,    78,    79,
      80,    81,    -1,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,
     170,   171,    -1,   173,   174,    -1,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,   219,
     220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    -1,    46,    47,    48,    49,    50,    -1,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,
     173,   174,    -1,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,    -1,   216,   217,   218,   219,   220,    -1,    -1,
     223,   224,    -1,   226,    -1,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,    -1,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    -1,
      46,    47,    48,    49,    50,    -1,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    -1,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,    -1,
      -1,    -1,   168,   169,   170,   171,    -1,   173,   174,    -1,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,    -1,
     216,   217,   218,   219,   220,    -1,    -1,   223,   224,    -1,
     226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,   287,    -1,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    -1,    46,    47,    48,
      49,    50,    -1,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    77,    78,
      79,    80,    81,    -1,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    -1,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,   168,
     169,   170,   171,    -1,   173,   174,    -1,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,   218,
     219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,   287,    -1,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    -1,    46,    47,    48,    49,    50,    -1,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      -1,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,   171,
      -1,   173,   174,    -1,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,    -1,   216,   217,   218,   219,   220,    -1,
      -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      -1,    46,    47,    48,    49,    50,    -1,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    -1,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    -1,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,   159,   160,    -1,   162,    -1,   164,
      -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,   174,
      -1,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
      -1,   216,   217,   218,   219,   220,    -1,    -1,   223,   224,
      -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,   287,    -1,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    -1,    46,    47,
      48,    49,    50,    -1,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    73,    -1,    -1,    -1,    77,
      78,    79,    80,    81,    -1,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    -1,    95,    96,    97,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,    -1,    -1,    -1,
     168,   169,   170,   171,    -1,   173,   174,    -1,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,    -1,   216,   217,
     218,   219,   220,    -1,    -1,   223,   224,    -1,   226,    -1,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,   287,
      -1,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    -1,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,    -1,   149,   150,   151,   152,    -1,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
      -1,    -1,    -1,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,    -1,    -1,   262,    -1,
     264,   265,   266,   267,    -1,    -1,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
      -1,   305,    -1,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,    -1,   411,    -1,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,   468,   469,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    -1,    46,    47,    48,    49,    50,
      -1,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    77,    78,    79,    80,
      81,    -1,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    -1,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,    -1,    -1,    -1,   168,   169,   170,
     171,    -1,   173,   174,    -1,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,    -1,   216,   217,   218,   219,   220,
      -1,    -1,   223,   224,    -1,   226,    -1,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,    -1,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,    -1,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    45,    46,    47,    48,    -1,    50,    51,    52,    53,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    65,    66,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,    -1,   149,   150,   151,   152,    -1,
      -1,   155,    -1,   157,   158,   159,   160,    -1,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
      -1,    -1,    -1,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,    -1,    -1,   223,
      -1,   225,   226,   227,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,    -1,    -1,   262,    -1,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,    -1,   288,   289,   290,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
      -1,   305,    -1,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,    -1,    -1,   408,   409,    -1,   411,    -1,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,   437,    -1,   439,   440,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,   468,   469,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    -1,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    42,    43,    44,    45,    46,    47,    48,    -1,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    64,    65,    66,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    -1,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,
     101,    -1,    -1,    -1,   105,   106,   107,   108,   109,   110,
     111,   112,   113,    -1,   115,    -1,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,    -1,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,   140,
     141,   142,    -1,   144,   145,   146,   147,    -1,   149,   150,
     151,   152,    -1,    -1,   155,    -1,   157,   158,   159,   160,
      -1,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,    -1,    -1,    -1,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,    -1,   229,   230,
     231,    -1,    -1,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,    -1,   264,   265,   266,   267,    -1,    -1,   270,
     271,   272,   273,   274,    -1,   276,   277,    -1,    -1,   280,
     281,   282,    -1,    -1,   285,   286,    -1,   288,   289,   290,
      -1,   292,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,    -1,   305,    -1,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,    -1,    -1,   408,   409,    -1,
     411,    -1,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,    -1,   437,    -1,   439,   440,
     441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,
     451,   452,   453,   454,   455,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,   468,   469,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    42,    43,    44,    45,    46,    47,
      48,    -1,    50,    51,    52,    53,    -1,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    64,    65,    66,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    -1,    94,    95,    96,    97,
      -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,    -1,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,    -1,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,   140,   141,   142,    -1,   144,   145,   146,   147,
      -1,   149,   150,   151,   152,    -1,    -1,   155,    -1,   157,
     158,   159,   160,    -1,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,    -1,    -1,   223,    -1,   225,   226,   227,
      -1,   229,   230,   231,    -1,    -1,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,    -1,   264,   265,   266,   267,
      -1,    -1,   270,   271,   272,   273,   274,    -1,   276,   277,
      -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,    -1,
     288,   289,   290,    -1,   292,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,    -1,   305,    -1,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,    -1,    -1,
     408,   409,    -1,   411,    -1,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,    -1,   424,   425,   426,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,    -1,   437,
      -1,   439,   440,   441,   442,   443,   444,    -1,    -1,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
     468,   469,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,
      45,    46,    47,    48,    -1,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    -1,    63,    64,
      65,    66,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    -1,    94,
      95,    96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,    -1,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,    -1,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,    -1,   144,
     145,   146,   147,    -1,   149,   150,   151,   152,    -1,    -1,
     155,    -1,   157,   158,   159,   160,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,    -1,
      -1,    -1,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,    -1,    -1,   223,    -1,
     225,   226,   227,    -1,   229,   230,   231,    -1,    -1,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,    -1,    -1,   262,    -1,   264,
     265,   266,   267,    -1,    -1,   270,   271,   272,   273,   274,
      -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,
     285,   286,    -1,   288,   289,   290,    -1,   292,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,    -1,
     305,    -1,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,    -1,    -1,   408,   409,    -1,   411,    -1,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,   426,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,    -1,   437,    -1,   439,   440,   441,   442,   443,   444,
      -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,   454,
     455,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   467,   468,   469,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    -1,    29,    30,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,
      42,    43,    44,    45,    46,    47,    48,    -1,    50,    51,
      52,    53,    -1,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,
      -1,    -1,    -1,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,    -1,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,    -1,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,   140,   141,
     142,    -1,   144,   145,   146,   147,    -1,   149,   150,   151,
     152,    -1,    -1,   155,    -1,   157,   158,   159,   160,    -1,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,    -1,    -1,    -1,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
      -1,   223,    -1,   225,   226,   227,    -1,   229,   230,   231,
      -1,    -1,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,    -1,    -1,
     262,    -1,   264,   265,   266,   267,    -1,    -1,   270,   271,
     272,   273,   274,    -1,   276,   277,    -1,    -1,   280,   281,
     282,    -1,    -1,   285,   286,    -1,   288,   289,   290,    -1,
     292,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,    -1,   305,    -1,   307,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,    -1,    -1,   408,   409,    -1,   411,
      -1,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,   426,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,    -1,   437,    -1,   439,   440,   441,
     442,   443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   467,   468,   469,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    -1,
      29,    30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      -1,    50,    51,    52,    53,    -1,    55,    56,    57,    58,
      59,    60,    -1,    -1,    63,    64,    65,    66,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    -1,    94,    95,    96,    97,    -1,
      -1,    -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,    -1,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
      -1,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,    -1,   144,   145,   146,   147,    -1,
     149,   150,   151,   152,    -1,    -1,   155,    -1,   157,   158,
     159,   160,    -1,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,    -1,    -1,    -1,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,    -1,   223,    -1,   225,   226,   227,    -1,
     229,   230,   231,    -1,    -1,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,    -1,   262,    -1,   264,   265,   266,   267,    -1,
      -1,   270,   271,   272,   273,   274,    -1,   276,   277,    -1,
      -1,   280,   281,   282,    -1,    -1,   285,   286,    -1,   288,
     289,   290,    -1,   292,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,    -1,   305,    -1,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,    -1,    -1,   408,
     409,    -1,   411,    -1,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,    -1,   424,   425,   426,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,    -1,   437,    -1,
     439,   440,   441,   442,   443,   444,    -1,    -1,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,   468,
     469,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    40,    -1,    42,    43,    44,    45,
      46,    47,    48,    -1,    50,    51,    52,    53,    -1,    55,
      56,    57,    58,    59,    60,    -1,    -1,    63,    64,    65,
      66,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    -1,    94,    95,
      96,    97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
      -1,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,    -1,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,   140,   141,   142,    -1,   144,   145,
     146,   147,    -1,   149,   150,   151,   152,    -1,    -1,   155,
      -1,   157,   158,   159,   160,    -1,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,    -1,    -1,
      -1,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,    -1,   229,   230,   231,    -1,    -1,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,    -1,    -1,   262,    -1,   264,   265,
     266,   267,    -1,    -1,   270,   271,   272,   273,   274,    -1,
     276,   277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,
     286,    -1,   288,   289,   290,    -1,   292,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,    -1,   305,
      -1,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
      -1,    -1,   408,   409,    -1,   411,    -1,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
      -1,   437,    -1,   439,   440,   441,   442,   443,   444,    -1,
      -1,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   467,   468,   469,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    -1,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,
      43,    44,    45,    46,    47,    48,    -1,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    64,    65,    66,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    -1,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      -1,    94,    95,    96,    97,    -1,    -1,    -1,   101,    -1,
      -1,    -1,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,    -1,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,    -1,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,    -1,   149,   150,   151,   152,
      -1,    -1,   155,    -1,   157,   158,   159,   160,    -1,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,    -1,    -1,    -1,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,    -1,   229,   230,   231,    -1,
      -1,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,    -1,    -1,   262,
      -1,   264,   265,   266,   267,    -1,    -1,   270,   271,   272,
     273,   274,    -1,   276,   277,    -1,    -1,   280,   281,   282,
      -1,    -1,   285,   286,    -1,   288,   289,   290,    -1,   292,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,    -1,   305,    -1,   307,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,    -1,    -1,   408,   409,    -1,   411,    -1,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,   426,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,    -1,   437,    -1,   439,   440,   441,   442,
     443,   444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,
     453,   454,   455,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,   468,   469,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    -1,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    45,    46,    47,    48,    -1,
      50,    51,    52,    53,    -1,    55,    56,    57,    58,    59,
      60,    -1,    -1,    63,    64,    65,    66,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    -1,    94,    95,    96,    97,    -1,    -1,
      -1,   101,    -1,    -1,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,    -1,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,    -1,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
     140,   141,   142,    -1,   144,   145,   146,   147,    -1,   149,
     150,   151,   152,    -1,    -1,   155,    -1,   157,   158,   159,
     160,    -1,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,    -1,    -1,    -1,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,    -1,   223,    -1,   225,   226,   227,    -1,   229,
     230,   231,    -1,    -1,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,    -1,   262,    -1,   264,   265,   266,   267,    -1,    -1,
     270,   271,   272,   273,   274,    -1,   276,   277,    -1,    -1,
     280,   281,   282,    -1,    -1,   285,   286,    -1,   288,   289,
     290,    -1,   292,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,    -1,   305,    -1,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,    -1,    -1,   408,   409,
      -1,   411,    -1,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,   426,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,    -1,   437,    -1,   439,
     440,   441,   442,   443,   444,    -1,    -1,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,   468,   469,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    -1,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    39,    40,    -1,    42,    43,    44,    45,    46,
      47,    48,    -1,    -1,    51,    -1,    -1,    -1,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    -1,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    -1,    94,    95,    96,
      97,    -1,    -1,    -1,   101,    -1,    -1,    -1,   105,   106,
     107,   108,   109,   110,    -1,    -1,   113,    -1,   115,    -1,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,    -1,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,   140,   141,   142,    -1,   144,   145,   146,
     147,    -1,   149,   150,   151,   152,    -1,    -1,   155,    -1,
     157,   158,    -1,   160,    -1,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,    -1,    -1,    -1,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,    -1,   202,   203,   204,   205,    -1,
      -1,    -1,    -1,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,    -1,    -1,   223,    -1,   225,   226,
     227,    -1,   229,   230,   231,    -1,    -1,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,    -1,    -1,   262,    -1,   264,   265,   266,
     267,    -1,    -1,   270,    -1,   272,   273,   274,    -1,   276,
     277,    -1,    -1,   280,   281,   282,    -1,    -1,   285,   286,
      -1,   288,   289,   290,    -1,   292,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,    -1,   305,    -1,
     307,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,   369,   370,   371,   372,    -1,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,    -1,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,    -1,    -1,    -1,
      -1,   408,   409,    -1,   411,    -1,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,   426,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,    -1,
      -1,    -1,   439,   440,   441,   442,   443,   444,    -1,    -1,
     447,    -1,    -1,   450,   451,   452,   453,   454,   455,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,   468,   469,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    -1,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    42,    43,
      44,    -1,    46,    47,    48,    -1,    -1,    -1,    -1,    -1,
      -1,    55,    56,    57,    58,    59,    60,    -1,    -1,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    77,    78,    79,    80,    81,    -1,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    -1,
      -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   106,   107,   108,   109,   110,    -1,    -1,   113,
      -1,   115,    -1,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,    -1,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,   140,   141,   142,    -1,
     144,   145,   146,   147,    -1,   149,   150,   151,   152,    -1,
      -1,   155,    -1,   157,   158,    -1,   160,    -1,   162,    -1,
     164,    -1,    -1,    -1,   168,   169,   170,   171,    -1,   173,
      -1,    -1,    -1,   177,   178,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,    -1,   202,   203,
     204,   205,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
     214,    -1,   216,   217,   218,   219,   220,    -1,    -1,   223,
      -1,    -1,   226,    -1,    -1,   229,   230,   231,    -1,    -1,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    -1,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,    -1,    -1,   262,    -1,
     264,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,    -1,   276,   277,    -1,    -1,   280,   281,   282,    -1,
      -1,   285,   286,    -1,    -1,   289,    -1,    -1,   292,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
      -1,   305,    -1,   307,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,   369,    -1,   371,   372,    -1,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
      -1,    -1,    -1,    -1,   408,   409,    -1,   411,    -1,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,   426,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,    -1,    -1,    -1,   439,    -1,   441,   442,   443,
     444,    -1,    -1,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,   468,   469
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    30,    32,    33,    48,    57,    69,    71,    72,
      78,    80,    91,    93,   110,   113,   127,   129,   133,   139,
     147,   149,   156,   172,   189,   229,   230,   235,   247,   265,
     308,   322,   328,   329,   331,   336,   341,   344,   351,   357,
     358,   365,   369,   379,   394,   414,   425,   431,   436,   449,
     472,   486,   493,   494,   495,   496,   497,   503,   504,   506,
     507,   508,   509,   511,   515,   527,   532,   533,   536,   537,
     538,   557,   560,   561,   576,   621,   622,   623,   626,   629,
     630,   631,   639,   645,   647,   649,   650,   653,   656,   657,
     661,   670,   674,   675,   676,   677,   680,   682,   683,   684,
     685,   693,   695,   715,   719,   721,   722,   732,   734,   741,
     742,   745,   746,   747,   748,   749,   757,   759,   763,   768,
     772,   773,   781,   782,   785,   790,   804,   831,   834,   835,
     836,   841,   844,   846,   848,   850,   851,   856,   857,   860,
     862,   863,   867,   868,   869,   872,   873,   876,   877,   878,
     885,   887,   888,   889,   895,   897,   898,   904,   905,   906,
     909,   910,   911,   912,   914,   915,   917,   918,   920,   921,
     923,   935,   941,   944,   946,   947,   956,   958,   963,   968,
     972,   973,   974,   975,   976,   977,   981,  1016,   408,   452,
     890,    27,    75,    90,   108,   114,   131,   142,   151,   163,
     168,   175,   194,   219,   240,   280,   303,   313,   314,   317,
     343,   346,   350,   352,   359,   362,   381,   388,   393,   394,
     397,   401,   411,   416,   429,   442,   646,   890,     3,    20,
      21,    22,    23,    24,    25,    26,    27,    29,    30,    31,
      39,    40,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    55,    56,    57,    58,    59,    60,
      63,    64,    65,    66,    67,    69,    70,    71,    72,    73,
      75,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      87,    88,    89,    90,    91,    92,    94,    95,    96,    97,
     101,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     115,   117,   118,   119,   120,   121,   122,   124,   125,   126,
     127,   130,   131,   132,   133,   134,   136,   137,   138,   140,
     141,   142,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   155,   157,   158,   159,   160,   162,   164,   165,
     167,   168,   169,   170,   171,   173,   174,   176,   177,   178,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     191,   192,   193,   194,   195,   196,   197,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   209,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   223,   224,   225,
     226,   227,   229,   230,   231,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   264,   265,   266,   267,   269,   270,
     271,   272,   273,   274,   276,   277,   280,   281,   282,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   302,   303,   304,   305,   306,
     307,   308,   309,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   359,   360,
     361,   362,   363,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   392,   393,
     395,   396,   397,   398,   399,   400,   401,   403,   404,   405,
     408,   409,   410,   411,   412,   414,   415,   416,   417,   418,
     419,   420,   421,   424,   425,   426,   427,   428,   431,   432,
     433,   434,   435,   436,   437,   439,   440,   441,   442,   443,
     444,   447,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,  1075,  1150,  1158,  1159,  1162,  1163,  1164,     3,
      28,   969,  1144,  1158,  1162,   440,   928,   278,   309,   890,
      51,   486,   568,    22,    39,    62,    75,    86,   108,   114,
     131,   142,   151,   163,   171,   175,   231,   280,   283,   303,
     317,   343,   352,   362,   381,   388,   397,   398,   400,   401,
     411,   416,   423,   426,   429,   577,   628,   737,   791,   805,
      28,   308,  1144,   969,    28,   302,   360,   398,   400,     6,
     218,   842,   843,  1153,    22,    27,    62,    75,    90,   108,
     131,   142,   151,   163,   168,   175,   194,   240,   280,   293,
     303,   314,   317,   343,   346,   350,   352,   359,   362,   381,
     388,   394,   397,   401,   409,   411,   416,   429,   442,   646,
     750,   751,   752,   890,  1144,    93,   440,   486,   623,   626,
     629,   923,   936,   944,   947,   956,   963,   968,   972,    11,
      21,    28,    46,   158,   164,   166,   190,   220,   254,   311,
     330,   477,   478,   769,   770,   969,  1152,  1154,    28,    93,
     326,   358,   774,   775,   776,  1158,   163,  1158,  1149,  1153,
     394,   984,   769,  1158,   408,  1144,   293,   240,   108,   194,
     352,   393,   394,   486,   852,   853,   351,  1158,    28,   363,
     404,   408,   519,   528,   529,  1158,    25,   172,   774,   775,
     309,   890,  1158,   217,    28,   128,   986,   987,    63,    87,
     231,   249,   343,   352,   363,   404,   408,   455,   516,   517,
     518,   519,    28,   363,   404,   408,   519,   408,   279,  1027,
    1142,  1158,   984,   479,  1158,   167,   486,   929,   486,   324,
     978,   979,  1144,   978,   973,   974,   977,     0,   489,   486,
     928,   143,   208,   284,   422,   988,   989,   973,   975,   976,
     119,   204,   428,   490,    34,   894,   821,  1150,   754,  1158,
     754,  1145,  1158,   312,   754,   411,  1144,   107,   394,   809,
    1150,  1158,  1164,     3,   104,   364,  1155,  1156,  1160,  1162,
    1163,  1164,    28,   184,  1142,   272,   442,    10,    17,    18,
      19,    70,   155,   473,   474,   475,   477,   478,   479,   480,
     481,   482,   838,   840,  1105,  1106,  1158,   184,  1144,   809,
    1144,    28,  1155,  1156,   809,  1144,  1144,   184,  1142,  1144,
     184,   754,  1144,   336,   365,    28,   184,  1027,  1144,   355,
    1144,   754,    28,   238,  1155,  1156,   184,  1142,   218,   116,
     214,   263,   320,   891,   892,   893,   486,   484,   488,  1133,
    1135,  1142,  1148,  1158,    22,    27,    62,    75,    76,    86,
      90,   108,   131,   142,   151,   163,   168,   194,   219,   240,
     280,   303,   314,   317,   343,   346,   350,   352,   359,   362,
     381,   388,   394,   397,   401,   409,   411,   416,   442,   646,
     760,   761,  1153,   894,   943,   947,   956,   963,   972,  1142,
     242,   754,   486,   184,   754,   411,  1145,   754,   411,   184,
    1144,   107,   394,   398,   400,  1155,  1156,   398,   400,    70,
     155,   838,   334,  1144,  1144,  1155,   184,   512,  1158,   184,
    1144,   184,   754,  1144,  1144,   355,  1144,   754,   238,  1155,
     324,   359,   394,   442,   240,    90,   194,    27,   168,   314,
     350,   409,   415,   640,    28,  1144,   970,   526,  1153,  1160,
     843,   242,   184,   821,   822,   184,   847,   184,  1145,     3,
      50,    52,    53,    65,    66,   111,   112,   132,   159,   184,
     206,   207,   209,   250,   252,   271,   321,   367,   373,   404,
     405,   437,   756,  1049,  1051,  1053,  1055,  1057,  1059,  1060,
    1061,  1063,  1064,  1065,  1067,  1068,  1159,  1162,   411,   107,
     394,   184,   808,   809,   184,  1156,  1157,    82,   442,    70,
     155,   184,   839,   840,    55,   184,   808,   184,  1157,   184,
     808,   184,  1144,   184,  1144,   355,   847,   184,   756,   184,
     238,  1157,   218,   184,   753,   754,   184,  1143,  1144,   184,
    1144,   894,   486,   945,   577,   936,   436,   923,   937,   938,
     939,  1160,   928,  1154,   770,   771,    28,   771,  1154,   771,
      28,   771,  1154,   771,   771,   771,  1154,  1152,  1152,   969,
     771,   312,   486,   486,   597,   597,   597,   278,   406,   490,
     597,   352,  1027,  1028,   490,   886,  1153,   486,   942,    55,
     442,   440,   854,   855,    82,   792,   792,  1158,    45,   469,
     214,   488,   281,   281,   278,   166,  1153,   406,   894,   161,
     764,   278,     5,     8,     9,    10,    12,    36,    50,    52,
      53,    61,    62,    65,    66,    73,    75,    98,    99,   100,
     101,   102,   103,   104,   111,   112,   114,   148,   153,   154,
     159,   174,   176,   206,   207,   209,   224,   232,   233,   250,
     252,   261,   263,   268,   269,   271,   280,   291,   304,   321,
     348,   364,   373,   389,   404,   405,   410,   412,   413,   423,
     429,   437,   457,   458,   459,   460,   462,   463,   464,   465,
     470,   477,   478,   479,   486,   973,  1052,  1055,  1058,  1059,
    1060,  1062,  1063,  1064,  1067,  1068,  1072,  1074,  1075,  1076,
    1078,  1101,  1102,  1103,  1107,  1127,  1132,  1139,  1140,  1150,
    1151,  1152,  1153,  1158,  1138,  1139,  1153,    28,   534,  1141,
    1142,   363,   516,   114,   525,  1153,   526,  1153,    45,    67,
     516,   469,   374,   892,   281,   166,   406,   475,    45,   469,
     214,   893,   486,  1142,   479,  1135,  1028,   922,   923,   924,
     925,  1160,   165,   930,  1072,  1110,   978,   490,   486,   931,
     487,   487,   495,   922,   932,   933,   934,  1142,    28,   128,
     985,   985,    55,   985,   156,   161,   228,   275,   992,   994,
     995,  1010,  1012,  1013,  1014,   988,   989,   166,   210,  1027,
    1029,   486,    64,   259,   294,   332,   365,   486,   819,   294,
     328,   332,   365,   488,   755,   294,   332,   365,     3,    85,
     137,   234,   294,   332,   365,   397,   399,   449,   527,   530,
     899,   900,   901,   902,   786,    24,   133,   294,   332,   365,
     433,   543,  1144,    24,   133,   365,   428,   510,   453,   184,
    1027,    58,    92,   152,   187,   223,   259,   263,   294,   295,
     332,   340,   349,   357,   365,   377,   386,   390,   444,   527,
     531,   824,   832,   861,   486,   806,  1135,   332,   510,   190,
     148,    24,    30,    43,    72,   126,   133,   136,   162,   196,
     259,   263,   273,   282,   294,   332,   335,   336,   365,   433,
     539,   541,   542,   664,   861,     5,   477,   478,   637,  1154,
      28,   184,  1142,   754,   754,   486,   837,   294,   365,   488,
     148,   278,   294,   332,   365,   832,   861,    24,   133,   294,
     332,   365,   190,   505,   332,   449,   472,   498,   505,   294,
     332,   365,   832,   861,   278,   294,   332,   148,    37,    56,
     106,   193,   241,   244,   259,   293,   332,   337,   359,   365,
     379,   539,   634,   635,   294,   332,   441,   664,   672,   148,
     294,   332,   365,    85,   126,   136,   294,   328,   332,   365,
     529,   517,   519,   190,   148,    43,   124,   259,   332,   365,
     539,   540,   294,   332,   336,   365,    83,   125,   296,   399,
     278,    24,    30,   133,   294,   332,   365,   558,   559,   505,
     161,   332,   498,   505,   148,   332,   365,   539,  1144,   226,
     116,   279,   454,   490,   891,    28,   128,   438,   479,   487,
     814,  1072,  1111,  1112,  1159,  1072,  1134,     3,    28,    32,
      33,    34,    35,    36,    37,    38,    41,    54,    61,    62,
      68,    74,    76,    86,    93,    98,    99,   100,   102,   103,
     104,   114,   116,   123,   128,   129,   135,   139,   143,   154,
     156,   161,   163,   166,   172,   175,   179,   190,   198,   208,
     210,   221,   222,   228,   232,   233,   263,   268,   275,   278,
     279,   283,   284,   301,   310,   326,   339,   358,   364,   375,
     391,   394,   402,   406,   407,   413,   422,   423,   429,   430,
     438,   445,   446,   448,   449,   479,  1147,  1161,  1162,  1163,
    1164,  1165,  1133,   430,   919,   278,   242,   821,   486,  1144,
    1049,   411,   107,   394,   809,   272,   442,    70,   155,   840,
    1144,   809,   809,  1144,   355,   161,  1144,  1049,   218,   754,
    1144,   487,   597,  1144,    68,  1049,   263,   166,   486,   723,
    1144,   498,    37,   913,  1144,   263,   498,   453,   184,  1142,
     498,   754,   754,   723,   426,   577,   278,   161,   870,   871,
     498,   263,    45,   513,   263,   416,   671,   263,   931,    85,
     294,   648,    83,   125,   296,   399,    26,    47,   205,   696,
      37,   723,   161,   184,   498,   442,   184,  1142,   184,   624,
    1142,  1142,   442,   754,   792,  1150,  1150,  1150,  1144,   161,
     646,    51,   105,   203,   259,   354,   148,    59,   338,   490,
     544,   148,   486,   148,   498,   439,  1066,  1066,  1066,   486,
    1054,  1054,   306,   486,  1056,   148,    65,    66,  1066,  1054,
    1051,   451,   472,   486,  1069,   486,  1069,   490,   544,    36,
    1050,   486,   109,   182,   243,   246,   356,   467,   486,  1070,
    1071,   755,  1054,   453,   148,   490,   544,   148,   490,   184,
     753,   184,   754,   184,   754,   148,   490,   544,  1157,   148,
     544,   148,   148,   544,   148,   544,   148,    83,   125,   296,
     399,   161,   148,   544,   148,   161,   184,   184,   526,   148,
     490,   544,   148,   490,   544,   148,   278,  1110,   394,   487,
     490,   154,   278,   413,   523,   526,   637,   940,   936,   771,
     969,   771,   969,   771,   969,   771,   969,   771,   969,   969,
     969,   771,   969,   486,   598,   599,  1158,   598,    28,   108,
     131,   163,   168,   218,   219,   314,   346,   352,   359,   394,
     397,   416,   777,  1141,  1157,   776,  1144,   190,   490,   959,
    1153,  1049,  1113,    37,  1157,   792,   487,   490,  1142,  1144,
     226,  1158,   161,   161,   777,  1157,   351,  1158,   526,   278,
     486,  1136,   484,   973,  1114,  1072,  1131,   486,   486,   161,
     486,   486,   973,   486,   486,   486,   486,   486,   486,   486,
    1072,   486,   486,   486,   486,   486,   486,   486,   486,   973,
     486,   486,   486,   486,   486,   486,   486,   486,  1072,  1072,
    1072,   973,  1072,  1110,  1135,  1153,   486,  1153,     3,    10,
      13,    17,    18,    19,    34,    37,    42,    49,    74,   185,
     190,   212,   213,   227,   266,   280,   283,   370,   470,   473,
     474,   475,   477,   478,   479,   480,   481,   482,  1105,  1107,
    1109,   450,  1088,   290,  1072,   210,   490,   982,   486,  1153,
    1135,   982,   117,   186,   535,   490,    67,   114,   526,    37,
       3,   114,   231,   524,   637,  1068,  1153,  1153,    88,   130,
    1084,    97,   114,   520,   521,   523,   637,   114,   520,   226,
    1142,    89,   337,   758,   487,   490,   523,   637,   926,   928,
     487,   490,   979,  1143,    37,   487,   490,   931,   975,   975,
     990,   991,  1072,   975,   158,   254,  1001,   216,   259,   320,
     368,   428,    28,   996,  1072,   477,   478,   997,   998,  1072,
    1074,  1010,  1011,   995,   994,   992,   993,   161,  1013,   273,
    1015,   992,  1010,  1029,   948,  1142,    37,  1158,   365,  1110,
      64,   406,   406,   352,   190,   201,   284,   287,   367,   438,
     479,   812,   813,   814,   816,   818,   820,  1049,  1159,   406,
     441,   406,   352,  1147,   488,   406,   406,   352,   228,   406,
     406,   397,   516,   294,   899,   901,   475,   903,   161,   172,
     190,   341,   787,   788,    68,    86,   144,   163,   310,   423,
     594,   595,    86,   114,   263,   406,    86,   406,   114,   263,
     352,    86,   126,   136,   294,   332,   720,   352,   654,    22,
      27,    62,    75,    90,   131,   142,   163,   168,   240,   280,
     314,   346,   352,   359,   362,   394,   401,   409,   416,   442,
     646,  1144,   148,   332,   365,   539,   278,   637,   357,   223,
     406,  1158,   406,   268,   637,   118,   211,   352,   363,   408,
     518,   754,   338,   365,   824,   833,   122,   487,   807,   812,
     406,   429,   397,  1142,    76,   144,   184,   584,   594,  1158,
      76,    86,   858,   298,   278,   348,   350,   411,    86,   858,
      31,   335,   348,   350,   411,   348,  1142,   162,   196,   273,
     754,   486,   406,   406,   183,   486,   548,   237,   397,   426,
     451,   548,    86,   490,   122,     5,     5,   294,   190,   148,
     332,   365,   539,   861,   430,   430,   260,  1049,   406,   352,
     486,   838,  1144,  1142,   406,   406,   352,   833,   122,   394,
     394,   406,   406,   394,   723,   108,   365,   530,   406,   500,
     530,   406,   406,   352,   833,   122,  1142,   406,   406,  1142,
    1051,   637,    55,   636,   637,   637,   106,   241,   244,    55,
     406,   498,   248,   352,   498,   259,   635,   406,   406,   268,
    1153,   664,   754,   406,   406,   352,   381,  1153,   406,   317,
     406,   317,   723,   397,  1027,   298,   298,    86,   406,   858,
     352,   406,   406,   548,   548,   754,   754,   754,   754,  1142,
      44,   435,    44,    44,   406,    44,   406,   435,   352,   486,
     490,   530,   429,   681,  1156,   406,   500,   530,  1142,   406,
     858,   352,   294,   332,   320,   333,   361,   522,   891,  1111,
    1111,  1112,   487,    15,    16,   490,   988,   989,   485,   491,
    1148,  1158,  1142,   212,  1049,   278,   212,   453,   212,   637,
     754,   754,   212,   278,   212,   212,   278,    83,   125,   296,
     399,  1049,   278,   212,   212,   212,   406,   166,   406,   562,
     416,   486,    37,   148,   754,   724,   725,  1161,    26,   899,
    1049,   278,   148,   651,  1144,   263,   298,   486,   499,   737,
     430,   324,   442,  1142,    28,   394,   449,   828,   499,   148,
    1156,    93,   172,   514,   576,   630,   695,   772,   790,   895,
     148,  1153,   672,   673,   148,   278,  1153,  1156,   234,   754,
     754,   754,   754,   273,   119,   204,   414,   428,   697,   698,
     140,   319,   486,   681,   263,   499,  1142,   263,   632,   634,
     263,    37,   273,   298,   486,   597,   597,   184,   627,  1142,
     161,   184,   793,  1148,   486,   727,   819,   486,   810,   810,
      37,  1049,   218,   449,   451,   971,   354,   822,   821,  1049,
    1145,   486,   486,  1110,  1152,   756,  1066,  1066,    36,  1050,
     404,   404,  1152,  1152,  1049,   484,   484,  1152,   406,   406,
     406,   486,   406,  1152,  1054,   808,   809,  1157,  1156,   148,
     544,   148,   430,   148,   430,   839,   840,   544,   808,  1157,
     808,  1144,  1144,  1049,   756,  1157,   681,   148,   148,   544,
     753,   754,  1143,  1144,  1144,   754,   487,   184,  1142,   936,
     938,   969,   969,   969,   969,   969,   969,   598,   487,   490,
     487,   169,   315,   347,   360,   395,  1143,   753,   107,   362,
     808,  1143,   272,   808,   808,  1143,  1141,  1141,  1143,   753,
     406,   449,   783,   143,   228,   678,   679,    22,   146,   348,
     368,   960,  1027,   267,   961,   487,   490,   943,   406,  1142,
     852,   853,   855,   775,   774,   775,   166,   173,   784,  1158,
      27,    76,   108,   131,   142,   163,   168,   219,   240,   314,
     317,   343,   346,   352,   359,   388,   394,   397,   416,   442,
     646,   765,   766,  1110,  1133,   485,  1110,  1114,  1115,   445,
    1128,  1129,  1072,  1110,   486,  1152,  1152,     3,   109,   182,
     243,   246,   356,   467,  1116,  1117,  1153,  1110,  1110,  1110,
    1152,  1152,  1072,  1072,   838,  1072,  1119,   348,   477,   478,
     486,  1073,  1074,  1107,  1121,   487,  1110,  1072,  1110,  1122,
    1072,    54,   166,   222,   407,  1072,  1110,  1125,  1110,   248,
    1074,  1072,  1082,  1083,  1084,   248,  1072,  1084,   487,   490,
    1152,  1070,  1049,  1072,  1072,  1072,  1072,  1161,   404,    41,
     391,  1137,   754,  1072,   486,   973,  1126,   128,   130,   154,
     255,   256,   257,   258,   262,   263,   268,   273,   413,   424,
    1118,  1072,   486,  1072,   406,    49,   185,   190,   227,   370,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
      28,    35,   375,  1104,   175,   157,  1089,   348,   486,  1101,
     171,   231,   394,   398,   400,   426,   983,  1142,  1140,   166,
    1017,  1111,  1017,  1142,   408,   486,  1153,   490,   487,   183,
     183,   544,   934,   924,   923,   927,  1072,   487,   240,   263,
     980,   934,   932,   490,    38,   123,   430,   802,   348,   349,
     477,   478,   998,  1000,  1074,   368,   216,   279,   490,     5,
     999,  1152,   999,   348,   349,  1000,  1141,   267,   372,   962,
    1011,   993,   430,   957,   114,   292,   486,   949,   972,    37,
    1158,   486,   964,   965,   966,  1158,   487,  1156,  1144,  1144,
     287,    55,  1159,   487,   814,   816,   813,   816,  1159,   284,
     487,   490,   755,  1156,  1144,  1144,  1147,  1156,  1144,  1144,
    1156,  1145,  1144,   114,   523,  1154,   343,   429,   774,   352,
     172,   774,   486,  1144,   430,   794,   216,   216,   430,   486,
     620,   184,  1144,   268,  1156,  1144,  1144,  1072,   268,  1144,
    1144,    31,   335,   406,   406,  1144,   406,   655,   242,   821,
     486,   754,   754,  1049,   411,   107,   394,   809,   442,    70,
     155,   840,   809,   809,  1144,   754,  1144,   754,   355,   161,
    1049,   754,   218,   178,   259,   294,   332,   434,   658,   659,
     660,  1027,   406,   858,   352,   268,   118,   211,  1156,  1144,
     278,  1144,   278,   487,   490,  1155,  1157,  1144,   332,   539,
     184,   584,   263,  1049,  1144,  1152,  1158,  1142,  1144,   226,
    1144,    28,   429,  1144,   184,  1144,   184,  1158,   350,   411,
     350,   411,   226,  1144,    28,   429,  1144,   226,   348,  1142,
      24,   133,   365,   665,   666,   667,   668,  1161,  1156,  1144,
     114,   167,   264,   430,   547,   550,   551,  1161,  1144,    72,
     276,  1144,   542,   278,   406,   397,  1142,   406,   858,   352,
     122,  1146,  1158,  1146,   490,   487,   490,  1156,  1144,   864,
     865,  1161,   278,   332,   406,   689,  1156,  1144,  1144,   278,
    1028,  1028,  1156,  1144,  1028,  1145,  1155,     3,    85,   138,
     196,   300,   421,   429,   432,   501,  1156,  1144,  1144,   278,
     332,  1156,  1144,   332,   365,   539,   634,   637,   754,  1144,
     637,   754,  1144,   637,  1156,  1144,   365,  1156,  1144,  1144,
    1154,  1156,   828,  1144,   874,   875,  1161,  1144,   332,   365,
     539,   540,  1142,  1142,  1144,  1144,  1144,  1144,  1156,  1144,
      24,    30,   133,   294,   332,   365,   294,   332,   365,   723,
     332,   365,   332,   365,   332,   861,  1041,  1158,   184,   733,
    1158,   184,  1158,  1156,  1144,  1144,  1153,  1144,   864,    24,
     559,   362,  1155,   332,   365,   539,  1144,  1144,  1144,   406,
     406,    81,   420,   320,   490,   988,   988,   988,  1072,  1072,
     438,  1112,   487,  1072,  1134,   268,   762,  1153,    37,   131,
     754,   762,   762,   212,   430,   430,   762,   754,   762,   762,
     754,   218,   754,   762,   762,   762,   316,   563,   563,   194,
     394,   694,  1072,  1049,   754,   487,   490,   475,   697,   586,
    1161,  1144,    59,   166,   352,   441,   652,   659,   660,   148,
     273,   227,   578,   580,   582,   584,   591,   594,    25,   190,
     343,   392,   501,   502,   161,  1146,   442,  1142,    37,   690,
     395,  1028,   723,   512,  1158,   513,   283,   577,  1144,   163,
     754,  1110,   317,  1153,   723,   723,   723,   723,   273,   278,
     283,   486,   723,  1039,  1040,  1041,   362,   148,   486,   148,
     148,   147,   972,   754,   273,   578,  1158,   430,   615,   449,
     549,   263,    37,   597,  1153,   263,   278,     3,   728,   729,
     723,   487,   811,   812,   817,    37,   218,   340,   409,   448,
     823,   824,   825,   823,   278,   218,   526,   181,   181,   161,
     544,    37,   498,   162,   907,   908,  1110,   487,   487,   544,
     484,   469,   469,   487,   487,  1152,   485,  1152,   487,   182,
     243,  1071,   243,  1071,  1071,  1152,   246,   487,   544,   753,
     754,  1146,   754,  1146,   544,   544,   544,   544,   218,   544,
     362,   161,   526,   544,   544,   278,   544,   263,   487,   599,
     190,   190,   190,   190,   190,   453,  1143,   637,   638,   175,
     778,   779,  1156,    25,   784,   406,   486,   166,   146,   368,
     146,   368,   348,   428,   245,  1049,  1156,   449,   625,   792,
     792,   166,   278,   778,    55,   544,   821,  1049,   411,   394,
     809,   272,   442,   809,   809,  1049,   218,   754,  1144,   487,
     485,   485,   490,  1072,   135,  1129,  1130,    37,   487,  1072,
     487,   487,   487,   166,   487,   487,   487,   487,   487,   487,
     490,   490,   487,   301,  1120,   487,   486,  1073,  1073,  1110,
      13,    17,    18,    19,   190,   212,   280,   473,   474,   475,
     477,   478,   479,   480,   481,   482,  1107,  1073,   487,   487,
     161,   166,  1123,  1124,   487,    37,  1125,  1110,  1125,  1125,
     166,   487,   487,  1161,   299,  1086,    37,   487,   490,  1072,
    1161,   490,  1072,  1136,  1072,   487,   469,  1073,  1073,   141,
    1110,   166,   128,   130,   154,   262,   268,   273,   413,   424,
    1118,   486,   262,   141,   838,  1072,   391,  1137,  1072,  1126,
    1072,   406,   486,   973,   486,   486,   289,  1093,   486,  1110,
     398,   400,   398,   400,  1142,   984,   984,   984,   221,   349,
     466,   486,   973,  1018,  1019,  1020,  1027,  1032,  1042,  1075,
    1077,  1078,  1158,   446,  1037,   988,  1037,   892,  1152,  1070,
     521,   934,   240,   486,   991,   280,  1105,  1108,   471,   803,
       5,  1152,  1000,   279,   428,   997,   236,  1018,   446,  1038,
     436,   393,   429,   950,   951,   952,  1158,   278,   953,  1158,
     966,   967,   490,  1017,   475,  1136,   820,   755,   816,   816,
      55,   818,   481,  1157,  1157,   278,  1143,   281,   278,  1072,
     595,  1146,   486,   486,   486,   620,   194,   598,   713,   148,
     544,   406,  1156,  1144,   526,  1144,  1049,  1144,   453,   754,
     754,   754,   754,    83,   125,   296,   399,  1049,  1144,   641,
    1144,   178,   434,   406,   406,   641,   658,   664,   332,   365,
     539,  1144,  1144,  1144,   202,   268,   151,   812,   293,   365,
     406,   263,   148,   282,   662,   713,   365,    24,   133,   336,
     337,   365,   543,   552,   553,   664,   859,   357,   148,   544,
     148,   544,  1144,  1144,  1144,  1144,   357,   357,   226,   667,
     668,   667,   487,   490,   669,  1153,   194,   487,   490,   475,
     488,   151,  1156,  1144,   332,   365,   539,  1144,  1144,  1144,
     278,   294,   332,   365,    24,   133,   294,   332,   365,  1049,
     260,  1049,   487,   490,   475,  1142,   406,  1157,   430,   686,
     151,   228,   300,   268,  1153,   300,  1157,   427,   151,   406,
     406,   352,   381,   490,   828,   293,   365,    86,   406,   858,
     352,   114,   161,   554,   406,   406,   238,   238,   238,   406,
     406,   352,   406,   406,   352,   406,   352,   406,   352,   406,
     122,   544,  1049,   263,  1153,   365,   859,   148,   544,   406,
     406,   487,  1144,   406,   858,   352,   406,  1156,  1144,   487,
     487,   487,  1112,   485,  1049,   754,   212,   762,  1146,  1146,
     212,   212,  1144,   212,   382,   383,   564,  1153,   564,   178,
     487,   487,   166,   723,   725,   260,   280,   477,   478,   637,
     726,   816,  1108,  1153,  1165,   278,    68,    74,    86,   114,
     116,   170,   198,   263,   268,   310,   326,   423,   587,   588,
     590,   147,   445,   498,   526,  1144,   526,   662,  1142,  1142,
    1142,   487,   490,  1157,   175,   343,  1157,  1152,   416,  1142,
     597,     3,   161,   691,    45,   513,   334,   394,   671,   107,
     931,   166,   874,   549,   598,  1142,   698,   730,   731,  1153,
     487,   490,  1144,   161,   598,  1142,   624,  1142,  1144,   625,
     486,   579,  1142,   487,  1146,   449,   451,   616,   548,    37,
     148,   972,   615,   406,   148,  1027,   475,   487,   490,   487,
     490,   114,   475,   826,  1153,   526,   394,   815,   816,   161,
     827,   825,   119,   204,   358,   428,   883,  1144,   178,   972,
    1049,   486,   487,   490,   487,  1152,  1069,  1069,   485,   485,
     487,   544,   430,   544,   430,   544,  1144,  1144,   681,   544,
     754,   148,   352,   352,   352,   352,   352,  1143,   490,  1156,
     449,   490,   780,   281,  1028,   362,   146,   146,   107,   259,
    1142,  1144,  1157,   777,   544,  1156,   212,   212,   212,   637,
     212,   212,   212,   212,   212,  1114,   402,  1072,   139,  1049,
     487,  1072,  1118,  1072,  1072,  1123,   487,  1110,   490,  1049,
    1073,  1073,  1073,  1073,   128,   130,   263,   273,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1072,  1072,
    1124,  1123,  1049,   487,   487,   487,  1110,   487,   490,    55,
    1074,  1087,   487,  1161,  1083,   307,   387,  1085,   487,   490,
     441,  1079,    37,   487,  1153,  1072,    34,    34,  1072,   487,
    1072,   166,   486,   262,  1113,  1072,   487,   141,  1073,  1073,
     141,   141,  1072,  1072,   989,   446,   486,  1094,  1158,   487,
    1110,   490,   984,   984,   984,   984,  1142,  1142,  1142,   973,
    1032,  1042,   166,   486,   973,  1019,  1020,    37,  1021,  1022,
    1158,   490,    94,   167,   200,   215,   225,   251,   342,  1024,
    1022,    37,  1021,  1023,  1158,  1022,   472,  1036,  1135,  1072,
     175,  1002,   487,  1002,   487,   943,   486,   803,   158,   220,
     279,   449,    97,  1072,   339,   955,   435,   487,   490,  1136,
      84,   955,   487,   490,   965,  1038,  1072,   487,   481,   820,
     416,   169,   347,   353,   360,   395,   417,   789,   161,   789,
     487,   486,   602,   603,   797,  1077,  1158,   598,   598,   713,
    1148,   487,   116,   198,   259,   263,   714,  1144,  1144,    37,
    1144,   430,   430,   754,   754,   754,   754,   218,   755,  1156,
    1144,   406,   858,   352,   406,   202,  1144,    55,   397,  1144,
     148,   584,   486,   586,   381,   170,   150,   183,   263,   548,
     498,   107,   170,   263,   381,   384,   548,   635,   365,   553,
     416,  1144,  1158,   357,   666,  1144,   551,   726,  1161,  1144,
     293,   365,   406,   858,   352,   406,   151,   406,   406,   352,
     168,   280,   384,   735,   736,   168,   280,   743,   744,   406,
     406,   352,   487,   487,   487,   865,   260,   637,   816,   866,
    1108,  1153,  1165,   332,  1144,   486,   449,   687,  1144,  1154,
    1153,  1153,  1153,  1144,  1144,  1144,  1144,  1154,   875,    55,
     397,  1144,  1144,  1144,  1144,   436,  1144,  1144,   161,   161,
     334,   161,   184,  1156,  1144,  1144,  1156,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,   278,    74,   545,   148,    26,    47,
     416,  1158,  1144,  1153,   664,  1144,  1144,  1144,  1144,   988,
     487,   212,   762,   212,   212,   762,   762,   212,   762,   498,
     430,   569,   570,   641,   713,   449,   451,   754,  1142,   486,
     754,  1144,  1073,    31,    55,   589,   117,   186,   116,   268,
     216,  1142,   828,   168,   314,   709,   716,   717,  1158,   651,
     298,   486,   579,   592,   197,   609,   582,  1157,  1157,  1049,
     486,   549,    28,   119,   204,   358,   428,   692,   406,   688,
    1156,   184,  1142,   673,   453,   278,  1018,   828,   327,   699,
     487,   490,  1041,   662,   681,   487,   632,    37,   273,   298,
     486,   945,   581,   583,   585,   594,  1158,   298,   610,   611,
     579,   609,   548,   276,   278,   617,   972,   627,   625,   549,
    1153,  1148,   794,   726,     3,   729,   817,  1072,  1072,   490,
     486,   823,   416,   490,   406,   486,   641,   487,   907,   908,
     485,  1146,  1146,   544,   362,   544,  1143,  1143,  1143,  1143,
    1143,   637,   172,   779,   487,  1144,   107,   784,   166,   268,
     767,  1153,   767,   767,   212,   767,   767,   767,   767,   767,
    1072,   487,   487,   487,  1124,   487,  1072,   166,   128,   130,
     273,   486,   487,   456,  1081,  1110,   325,   435,    55,  1087,
    1074,   447,   447,   487,  1072,   259,  1072,   490,  1080,  1051,
    1072,  1072,  1072,  1113,   487,  1072,    34,    34,  1072,  1072,
     141,   487,   487,  1072,  1095,  1158,   487,  1072,  1142,  1142,
    1142,  1142,  1022,  1023,  1022,   486,   461,  1074,   487,  1158,
     486,  1019,   215,   288,  1025,  1019,  1025,   215,  1024,  1025,
     215,   396,  1030,   486,  1158,   486,   285,    55,   179,  1009,
    1153,  1009,  1153,   487,   838,   403,   273,  1139,   972,   292,
     972,   952,   278,   486,   954,   475,   966,   955,   416,   487,
     406,   774,   166,   713,  1072,   487,   490,   449,    74,   796,
     800,   796,   487,   487,   191,   600,   117,   186,   196,   116,
     432,   544,  1049,  1146,  1146,  1144,  1144,  1144,  1144,  1144,
    1157,  1144,   584,   663,   667,  1154,   589,   184,   184,   268,
     637,   589,   268,  1154,  1158,  1049,   544,   544,   475,    55,
     397,  1144,  1144,  1144,  1144,  1144,  1156,  1144,  1144,  1152,
    1152,  1049,   490,  1152,  1152,   490,  1156,  1144,  1144,   406,
    1072,    68,  1157,  1144,   406,   406,   166,   190,   449,  1143,
    1143,   754,  1143,   148,   151,   754,  1153,  1153,  1049,   544,
     544,   406,   487,   212,   762,   762,   762,   762,   486,   565,
     566,   498,   121,   168,   201,   168,   166,   712,  1072,   263,
     588,   114,    37,   828,   597,   430,   619,  1150,    34,   147,
     190,   273,   578,   554,   145,   192,   486,   362,   430,   598,
      37,  1157,   686,   513,   263,   486,   163,  1144,  1110,   253,
     277,   700,   701,   702,   161,   705,  1153,   362,   549,   147,
     972,   754,   273,   578,   625,   487,   490,   449,   586,    55,
     615,   554,   610,    80,   397,   618,   449,   896,    37,   618,
     166,   278,   486,  1153,   814,   829,   830,  1159,  1049,   161,
    1142,   166,   406,   849,   199,   642,   544,   487,   544,   544,
    1144,   281,   210,   544,   778,   767,   487,  1073,   166,   486,
    1113,   486,   487,   490,   487,  1087,   487,   435,   378,   487,
     487,   487,  1072,  1072,  1072,   487,   298,  1096,   487,  1033,
    1034,  1077,   486,  1086,  1021,   486,  1143,  1019,   278,   430,
    1026,  1019,   215,  1019,  1150,  1040,   486,  1040,  1158,    96,
     176,   345,   486,  1003,  1004,  1005,  1006,  1007,  1008,  1072,
    1072,   448,  1090,  1090,   487,   969,   950,    86,   795,   797,
     129,  1072,   778,   278,   778,   487,   600,   603,   280,   838,
     754,   754,   801,   326,   600,   486,   828,   487,   406,   365,
     961,   487,   490,    37,   148,   148,   545,   726,  1157,  1144,
     406,   486,   809,   838,   840,   736,   486,   486,   744,  1144,
     487,   486,   365,   961,  1144,  1144,   486,   486,   486,   449,
     472,   916,   334,   916,   916,   161,  1144,   545,  1144,   762,
     571,   572,  1161,    51,    95,   120,   137,   141,   162,   165,
     180,   268,   318,   567,   565,  1153,   809,    37,   845,   845,
    1142,   713,   487,   183,   486,   619,   239,   601,   194,   486,
     717,   709,   486,  1142,   487,   362,    28,    79,    87,   115,
     170,   183,   195,   381,   384,   593,   593,  1141,  1144,  1146,
     487,   972,   687,   148,   107,   662,   166,   701,   348,   394,
     703,   134,   706,   445,   708,  1144,    37,  1144,   625,   579,
    1142,   487,   583,   282,     3,   612,  1162,   616,   610,   615,
     119,   133,   307,  1144,    60,    68,   231,   972,   754,  1027,
     795,   816,   487,   490,   416,  1037,   376,   376,   487,   641,
     259,   434,   643,   644,  1144,   544,  1073,  1113,   487,  1082,
    1110,   259,   468,    55,   988,   487,   490,    37,  1035,   114,
    1047,  1048,  1073,    77,  1143,   487,  1072,   486,  1019,  1026,
     486,   487,  1040,   487,   486,   366,   486,   487,   490,  1091,
    1092,  1158,   435,  1144,   487,   490,   264,   428,   780,   789,
     544,   796,   828,   486,   548,   802,  1142,   828,   598,   619,
    1144,   397,   667,   183,   430,   546,   365,   961,  1144,  1113,
     161,   739,   739,  1113,  1113,  1072,   397,  1110,  1110,   555,
     556,  1160,   753,   754,   753,   754,  1143,   544,   487,   490,
     479,   486,   523,   573,   637,   913,  1153,   913,   263,   268,
     318,   913,   913,  1037,   845,    40,   188,   161,   259,   596,
     486,   633,  1072,   167,   297,   371,   278,   605,   606,   607,
     397,   487,  1150,     6,   718,   579,   609,  1144,   487,   662,
     155,   738,   549,   896,  1142,   453,  1018,   913,   348,   380,
     707,   486,   147,   662,   972,   945,   610,   579,   609,   586,
     486,   617,   615,   616,   349,   349,    68,   281,    68,   625,
     794,   487,   823,   829,  1049,   129,   449,   449,   434,   641,
     662,   487,   487,   487,   435,  1110,   177,   319,   349,  1097,
    1036,  1033,   486,  1073,   487,   490,    37,  1043,  1044,  1158,
     487,  1143,  1110,   487,  1110,   486,  1110,  1004,   490,    37,
     972,  1037,   797,   365,   166,   619,   838,   802,   803,   597,
     619,   487,   713,  1144,   633,  1072,   397,   487,   284,   355,
     323,   740,   740,   487,   487,   487,  1144,   487,   487,   487,
     490,  1152,   916,   572,   523,   574,   575,  1153,  1153,   268,
     598,   479,   598,  1153,  1153,   134,   196,   634,   487,   119,
     428,   278,   607,   278,   606,  1144,   486,   487,   490,   554,
     362,   662,   754,    37,    37,   486,  1144,   704,  1158,  1072,
     709,   896,   625,   615,   554,   610,   486,   613,   614,  1077,
    1158,   618,   616,   617,   281,   281,   486,   191,   798,    29,
     205,   884,   168,   168,    49,    97,   419,  1072,  1098,  1099,
    1098,  1098,   487,  1040,   490,  1048,  1161,   487,   490,   161,
    1049,   487,   487,   487,  1003,   487,  1092,  1094,   964,   778,
     446,   604,   487,   803,   601,   713,   961,  1144,   809,    55,
     961,   406,   555,   754,   487,   490,   598,   348,   487,   385,
      59,   259,   338,   365,   608,   608,   487,     6,   362,  1144,
     735,   972,   662,   487,  1150,   616,   610,   615,  1072,   487,
     490,   800,   800,   617,   618,   795,   486,   549,   264,   486,
     879,   881,   885,   947,   956,   963,   972,   809,   809,  1099,
     348,   160,   305,   160,   305,   144,  1100,  1100,  1100,   487,
    1074,  1044,   285,     3,   114,   263,   268,  1045,  1046,   333,
    1031,   487,  1037,   544,   486,   713,   605,   961,   754,   486,
     575,   708,    23,   114,   268,  1144,   662,   896,   486,   617,
     615,   616,   487,   614,   754,   801,   801,   618,   487,   797,
     799,   618,   880,   881,   882,   973,   974,   490,   490,    34,
      97,   175,   259,   403,  1086,  1073,  1073,   268,  1046,   486,
    1072,   713,  1110,   147,   662,     5,   710,   711,  1152,  1153,
    1161,   618,   616,   617,   800,   798,   487,   490,  1037,   487,
     489,   406,   166,  1099,   348,   286,    77,  1072,   487,   487,
     709,   487,   490,   617,   618,   801,   549,   797,   882,   376,
     376,  1043,   487,  1150,   711,   618,   618,   449,   449,   487,
     486,  1037,   168,   168,   710,   809,   809,   487
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   492,   493,   494,   494,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   495,   495,   495,   495,   495,   495,   495,   495,   495,
     495,   496,   497,   498,   498,   498,   499,   499,   500,   500,
     501,   501,   501,   501,   501,   501,   501,   501,   501,   502,
     502,   502,   502,   502,   502,   503,   504,   504,   505,   505,
     506,   506,   506,   506,   507,   507,   507,   507,   507,   507,
     508,   509,   510,   510,   511,   511,   511,   511,   512,   512,
     513,   513,   514,   514,   514,   514,   514,   514,   515,   515,
     515,   516,   516,   516,   517,   517,   517,   517,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   519,
     519,   520,   520,   521,   521,   522,   522,   522,   522,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   524,
     525,   525,   525,   526,   526,   527,   528,   528,   528,   528,
     529,   529,   530,   530,   531,   531,   532,   532,   532,   532,
     532,   533,   534,   534,   535,   535,   536,   537,   537,   537,
     537,   537,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   539,   539,   540,   540,   541,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   542,   542,   542,   542,   542,   542,
     542,   542,   542,   542,   543,   543,   544,   544,   544,   545,
     545,   546,   546,   547,   547,   547,   547,   548,   549,   549,
     550,   550,   551,   551,   551,   551,   552,   552,   553,   553,
     553,   553,   554,   554,   554,   554,   555,   556,   556,   557,
     558,   558,   559,   559,   559,   559,   560,   560,   561,   561,
     562,   562,   563,   563,   564,   564,   564,   565,   565,   566,
     566,   567,   567,   567,   567,   567,   567,   567,   567,   567,
     567,   567,   567,   567,   568,   568,   569,   569,   570,   570,
     571,   571,   572,   573,   573,   573,   573,   573,   574,   574,
     575,   576,   576,   576,   576,   576,   576,   577,   577,   577,
     577,   577,   577,   577,   577,   578,   578,   579,   579,   580,
     580,   581,   581,   582,   582,   582,   583,   583,   584,   585,
     585,   586,   586,   587,   587,   587,   587,   588,   588,   588,
     588,   588,   588,   588,   588,   588,   589,   589,   590,   590,
     590,   590,   591,   592,   592,   592,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   594,   594,   595,   595,   595,
     595,   595,   595,   595,   596,   596,   597,   597,   598,   598,
     599,   600,   600,   601,   601,   601,   601,   602,   602,   603,
     603,   604,   604,   605,   605,   605,   605,   605,   606,   607,
     608,   608,   608,   608,   608,   609,   609,   610,   610,   611,
     612,   612,   613,   613,   614,   614,   614,   615,   615,   616,
     616,   616,   617,   617,   617,   617,   618,   618,   619,   619,
     620,   621,   621,   622,   622,   623,   623,   624,   625,   625,
     625,   626,   626,   627,   628,   628,   629,   630,   630,   631,
     631,   632,   632,   633,   633,   634,   634,   635,   635,   635,
     635,   635,   635,   635,   635,   635,   635,   635,   635,   635,
     635,   636,   636,   637,   637,   637,   637,   638,   638,   639,
     639,   640,   640,   641,   641,   642,   642,   643,   643,   644,
     644,   645,   645,   646,   646,   647,   648,   648,   649,   649,
     650,   650,   651,   651,   652,   652,   652,   652,   653,   654,
     654,   655,   656,   656,   656,   656,   656,   656,   656,   656,
     656,   656,   656,   656,   656,   656,   656,   656,   656,   656,
     656,   656,   656,   656,   656,   656,   656,   656,   656,   656,
     657,   658,   658,   658,   658,   659,   659,   660,   660,   661,
     661,   662,   662,   663,   663,   664,   665,   665,   666,   666,
     666,   666,   667,   668,   669,   670,   670,   671,   671,   672,
     672,   673,   673,   674,   674,   674,   675,   675,   675,   675,
     676,   676,   677,   678,   678,   679,   679,   680,   680,   681,
     681,   682,   682,   683,   684,   685,   686,   686,   687,   687,
     688,   688,   689,   689,   690,   690,   691,   691,   692,   692,
     692,   692,   692,   693,   694,   694,   695,   695,   696,   696,
     696,   697,   697,   698,   698,   698,   698,   698,   699,   699,
     700,   700,   701,   702,   702,   703,   703,   704,   705,   705,
     706,   706,   707,   707,   708,   708,   709,   709,   710,   710,
     710,   711,   711,   711,   711,   712,   712,   713,   713,   714,
     714,   714,   714,   714,   714,   715,   715,   716,   716,   717,
     718,   718,   719,   720,   720,   720,   720,   721,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   723,   724,   724,   725,   725,   726,
     726,   726,   726,   726,   726,   727,   728,   728,   729,   730,
     730,   731,   731,   732,   732,   732,   732,   733,   733,   734,
     735,   735,   736,   736,   736,   736,   736,   737,   737,   738,
     738,   739,   739,   739,   740,   740,   741,   742,   742,   743,
     743,   744,   744,   745,   745,   746,   746,   747,   748,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   751,   751,   751,   751,   751,   751,
     751,   752,   752,   752,   753,   753,   754,   754,   755,   755,
     756,   756,   757,   758,   758,   758,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     761,   762,   762,   763,   763,   763,   763,   763,   763,   763,
     763,   763,   764,   764,   765,   765,   765,   765,   765,   765,
     766,   766,   766,   766,   766,   766,   766,   766,   767,   767,
     768,   768,   769,   769,   769,   769,   769,   769,   769,   769,
     769,   769,   769,   769,   769,   769,   769,   769,   770,   770,
     771,   771,   772,   773,   773,   774,   774,   774,   774,   774,
     775,   775,   776,   776,   776,   776,   777,   777,   777,   777,
     777,   777,   777,   777,   777,   777,   777,   777,   777,   777,
     777,   777,   777,   777,   777,   777,   778,   778,   779,   779,
     780,   780,   781,   782,   782,   783,   783,   784,   784,   785,
     786,   786,   787,   787,   787,   788,   788,   788,   789,   789,
     789,   789,   789,   789,   790,   790,   791,   791,   792,   792,
     793,   793,   794,   794,   795,   795,   796,   796,   797,   797,
     797,   798,   798,   799,   799,   800,   800,   801,   801,   802,
     802,   802,   803,   803,   803,   804,   804,   804,   804,   805,
     805,   806,   806,   807,   807,   808,   808,   809,   809,   809,
     809,   810,   810,   811,   811,   812,   812,   812,   812,   812,
     813,   813,   813,   813,   813,   814,   815,   816,   816,   816,
     817,   817,   817,   818,   819,   819,   819,   819,   820,   820,
     821,   822,   822,   823,   823,   824,   824,   824,   824,   824,
     824,   824,   824,   824,   824,   824,   824,   824,   824,   824,
     824,   824,   825,   825,   825,   825,   825,   826,   826,   827,
     827,   828,   828,   829,   830,   830,   831,   831,   831,   832,
     832,   833,   833,   834,   834,   834,   834,   834,   834,   835,
     835,   836,   836,   837,   837,   837,   837,   838,   838,   839,
     839,   840,   841,   842,   842,   843,   843,   844,   844,   844,
     845,   845,   845,   846,   847,   847,   848,   849,   849,   849,
     849,   850,   851,   851,   851,   851,   852,   852,   853,   853,
     853,   854,   854,   855,   856,   856,   857,   857,   857,   857,
     857,   857,   857,   857,   857,   857,   857,   857,   857,   857,
     857,   857,   857,   857,   857,   857,   857,   857,   857,   857,
     857,   857,   857,   857,   857,   857,   857,   857,   857,   857,
     857,   857,   857,   857,   857,   857,   857,   857,   857,   857,
     857,   857,   857,   857,   857,   857,   857,   857,   857,   857,
     857,   858,   858,   859,   859,   860,   860,   860,   860,   860,
     860,   861,   861,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   862,   862,   862,
     863,   864,   864,   865,   865,   866,   866,   866,   866,   866,
     867,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   869,   870,   870,   871,   871,
     872,   872,   872,   872,   873,   874,   874,   875,   876,   876,
     876,   876,   876,   876,   877,   877,   878,   879,   879,   879,
     880,   880,   881,   881,   881,   881,   881,   882,   882,   883,
     883,   883,   883,   884,   884,   884,   885,   886,   886,   887,
     888,   888,   889,   889,   889,   889,   889,   889,   889,   889,
     889,   889,   889,   889,   889,   889,   890,   890,   890,   891,
     891,   891,   891,   891,   892,   892,   892,   893,   893,   894,
     894,   894,   895,   895,   895,   895,   896,   896,   896,   896,
     897,   898,   899,   899,   900,   900,   901,   901,   901,   902,
     902,   902,   902,   902,   902,   902,   903,   903,   904,   904,
     904,   905,   906,   906,   906,   906,   907,   907,   908,   909,
     910,   910,   911,   912,   912,   912,   912,   912,   912,   912,
     913,   913,   914,   915,   915,   915,   915,   915,   915,   916,
     916,   917,   918,   918,   918,   919,   919,   920,   920,   921,
     921,   922,   922,   923,   923,   924,   925,   925,   926,   926,
     926,   927,   927,   928,   928,   929,   929,   930,   930,   931,
     931,   932,   933,   933,   934,   934,   935,   935,   935,   935,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   937,
     937,   938,   939,   939,   940,   940,   940,   941,   942,   942,
     943,   943,   943,   943,   944,   944,   944,   945,   945,   946,
     946,   946,   946,   947,   948,   948,   949,   949,   949,   949,
     949,   950,   950,   951,   951,   952,   953,   953,   953,   954,
     954,   954,   955,   955,   956,   957,   957,   958,   959,   959,
     960,   960,   960,   960,   960,   960,   960,   960,   961,   961,
     962,   962,   962,   963,   964,   964,   965,   965,   966,   967,
     967,   968,   969,   970,   970,   970,   970,   970,   971,   971,
     971,   972,   972,   973,   973,   974,   974,   974,   974,   974,
     974,   974,   974,   975,   975,   976,   976,   976,   976,   976,
     976,   976,   977,   977,   977,   978,   978,   979,   980,   980,
     980,   981,   981,   982,   982,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   984,   984,   985,   985,   985,   986,
     986,   987,   987,   988,   988,   989,   990,   990,   991,   991,
     992,   992,   992,   992,   993,   993,   994,   994,   994,   994,
     994,   995,   995,   996,   996,   997,   998,   998,   998,   999,
     999,  1000,  1000,  1001,  1001,  1002,  1002,  1003,  1003,  1004,
    1004,  1004,  1004,  1004,  1005,  1006,  1007,  1008,  1009,  1009,
    1010,  1010,  1011,  1011,  1012,  1012,  1013,  1014,  1014,  1014,
    1014,  1015,  1015,  1016,  1016,  1017,  1017,  1018,  1018,  1019,
    1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1019,  1020,
    1020,  1020,  1020,  1020,  1020,  1021,  1021,  1021,  1021,  1022,
    1022,  1023,  1023,  1023,  1023,  1023,  1024,  1024,  1024,  1024,
    1025,  1025,  1026,  1026,  1027,  1027,  1027,  1027,  1028,  1028,
    1029,  1029,  1029,  1030,  1031,  1031,  1032,  1032,  1033,  1034,
    1034,  1035,  1035,  1036,  1036,  1037,  1037,  1038,  1038,  1038,
    1039,  1039,  1040,  1040,  1041,  1042,  1042,  1043,  1043,  1044,
    1044,  1044,  1045,  1045,  1046,  1046,  1046,  1046,  1047,  1047,
    1048,  1048,  1049,  1049,  1049,  1049,  1049,  1049,  1050,  1050,
    1050,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1052,  1052,
    1052,  1052,  1053,  1053,  1054,  1054,  1055,  1055,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1056,  1056,  1057,
    1057,  1058,  1058,  1059,  1060,  1061,  1061,  1062,  1062,  1063,
    1064,  1065,  1065,  1065,  1065,  1065,  1065,  1066,  1066,  1067,
    1067,  1067,  1067,  1068,  1069,  1069,  1069,  1070,  1070,  1070,
    1070,  1070,  1070,  1070,  1070,  1070,  1070,  1070,  1070,  1070,
    1070,  1071,  1071,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,  1072,
    1072,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1076,  1076,  1077,
    1077,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,
    1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,
    1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,
    1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,
    1078,  1078,  1078,  1078,  1078,  1079,  1079,  1080,  1080,  1080,
    1080,  1081,  1082,  1082,  1083,  1083,  1084,  1084,  1085,  1085,
    1085,  1086,  1086,  1086,  1086,  1087,  1087,  1088,  1088,  1089,
    1089,  1090,  1090,  1091,  1091,  1092,  1093,  1093,  1093,  1094,
    1095,  1095,  1096,  1096,  1097,  1097,  1097,  1097,  1098,  1098,
    1099,  1099,  1099,  1099,  1099,  1100,  1100,  1100,  1100,  1100,
    1101,  1101,  1101,  1102,  1102,  1103,  1104,  1104,  1104,  1105,
    1105,  1106,  1106,  1106,  1106,  1106,  1106,  1106,  1106,  1106,
    1106,  1106,  1106,  1107,  1107,  1108,  1108,  1109,  1109,  1109,
    1109,  1109,  1109,  1110,  1110,  1111,  1111,  1112,  1112,  1112,
    1113,  1113,  1114,  1114,  1114,  1115,  1115,  1116,  1116,  1117,
    1117,  1117,  1117,  1117,  1117,  1117,  1117,  1118,  1118,  1118,
    1118,  1119,  1119,  1120,  1121,  1121,  1122,  1122,  1122,  1122,
    1122,  1122,  1123,  1124,  1125,  1125,  1125,  1126,  1126,  1127,
    1128,  1128,  1129,  1130,  1130,  1131,  1131,  1132,  1132,  1133,
    1133,  1133,  1133,  1134,  1134,  1135,  1135,  1136,  1136,  1137,
    1137,  1138,  1138,  1139,  1139,  1140,  1140,  1140,  1140,  1141,
    1141,  1142,  1142,  1143,  1143,  1144,  1145,  1146,  1147,  1148,
    1149,  1150,  1150,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1152,  1153,  1154,  1154,
    1154,  1155,  1156,  1156,  1156,  1157,  1157,  1158,  1158,  1158,
    1159,  1159,  1159,  1160,  1160,  1160,  1160,  1161,  1161,  1161,
    1161,  1161,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,
    1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,
    1164,  1164,  1164,  1164,  1164,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     2,     5,     1,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     5,     0,     3,
       5,     5,     5,     5,     3,     5,     3,     5,     3,     5,
       5,     6,     1,     1,     6,     4,     9,     7,     1,     0,
       2,     0,     1,     1,     1,     1,     1,     1,     2,     3,
       3,     2,     5,     1,     3,     3,     3,     3,     1,     3,
       3,     2,     2,     2,     2,     3,     3,     3,     3,     1,
       3,     1,     3,     1,     1,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     3,     5,     1,     1,     1,
       1,     1,     0,     1,     1,     2,     1,     2,     3,     2,
       1,     1,     2,     1,     2,     1,     2,     3,     4,     3,
       2,     4,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     4,     6,     4,     6,    10,    13,     4,     6,
       4,    10,    13,     4,     6,     4,     6,     5,     7,    11,
      14,     1,     3,     4,     3,     3,     2,     5,     3,     6,
       4,     6,     6,     5,     7,     6,     6,     5,     5,     6,
       9,     4,     5,     7,     6,     4,     8,     4,     2,     4,
       3,     6,     4,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     3,     2,     1,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    13,    16,    12,    15,    14,    17,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     7,     5,     1,     2,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     8,     3,
       9,     4,    10,    11,     2,     0,     3,     0,     1,     3,
       1,     4,     0,     2,     2,     2,     0,     1,     3,     3,
       6,     4,     0,     1,     1,     2,     2,     0,     3,     3,
       2,     1,     1,     2,     2,     4,     0,     1,     0,     6,
       1,     1,     1,     3,     3,     3,     5,     2,     0,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     6,     8,     7,    10,     6,     2,     3,
       0,     8,    11,     5,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     3,     0,     1,     2,     2,     2,     1,
       2,     3,     2,     2,     2,     2,     3,     3,     3,     1,
       3,     1,     0,     1,     2,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     5,     7,     1,     0,     7,     2,     0,     3,     5,
       5,     8,     2,     0,     2,     2,     2,     1,     5,     2,
       0,     2,     7,     6,    10,     6,     6,     6,     6,     7,
       6,     9,     9,     6,     6,     6,     7,     6,     8,     8,
       8,     8,     6,     6,     7,     7,     8,     6,     9,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     7,
       6,     4,     0,     1,     3,     4,     1,     3,     1,     2,
       2,     2,     2,     1,     1,    10,    13,     2,     0,     2,
       2,     1,     0,     5,     4,     4,    11,    14,    12,    15,
       5,     7,    11,     2,     1,     4,     0,     8,    11,     1,
       1,     7,     9,     8,    10,     8,     4,     0,     5,     0,
       2,     0,     2,     0,     2,     0,     2,     0,     1,     1,
       1,     1,     1,     8,     1,     1,    16,    20,     1,     1,
       2,     1,     3,     1,     1,     1,     3,     1,     2,     0,
       1,     2,     4,     1,     1,     1,     1,     1,     3,     0,
       1,     0,     1,     1,     4,     0,     1,     1,     1,     3,
       0,     1,     1,     1,     1,     2,     0,     0,     2,     2,
       1,     2,     2,     2,     2,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     6,     5,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     7,     5,     8,     3,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     7,     9,     9,     8,     3,     0,    13,
       1,     3,     5,     5,     3,     6,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     6,     4,     6,     8,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     1,     1,     1,
       3,     3,     3,     3,     2,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     6,
       6,     6,     6,     8,     9,     8,     6,     6,     8,     9,
       8,     9,     9,     7,    10,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     2,     3,     3,     3,     3,     2,
       1,     2,     1,     3,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     8,     8,     8,     8,     8,     8,     9,
       8,     8,     2,     0,     1,     2,     1,     1,     1,     2,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     2,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     4,     4,     3,     4,     4,     1,     1,
       1,     0,     7,     7,    10,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     1,     2,     2,     4,
       3,     2,     2,     2,     2,     2,     2,     3,     2,     2,
       2,     5,     5,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,     1,     1,     1,    15,    18,     1,     0,     1,     0,
       1,     0,     2,     0,     1,     3,     4,     5,     2,     2,
       4,     4,     0,     1,     3,     2,     0,     1,     0,     1,
       1,     0,     2,     2,     0,     8,    11,     6,     6,     2,
       0,     3,     2,     1,     3,     1,     3,     2,     1,     1,
       2,     3,     2,     1,     3,     3,     3,     2,     2,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     4,     5,
       1,     3,     3,     1,     3,     3,     5,     6,     1,     3,
       2,     1,     3,     1,     2,     4,     5,     1,     1,     1,
       1,     3,     3,     2,     2,     1,     2,     2,     2,     2,
       1,     2,     2,     2,     2,     1,     1,     1,     3,     3,
       5,     2,     0,     2,     1,     3,     5,     5,     5,     1,
       2,     1,     0,     4,     6,     4,     6,     4,     6,     4,
       6,     4,     6,     3,     5,     5,     5,     1,     3,     1,
       3,     2,     2,     1,     2,     1,     2,    11,    10,    10,
       2,     2,     0,     9,     2,     0,    10,    11,    11,     5,
       5,     8,     4,     4,     7,     7,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     5,     6,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     8,    10,
       6,     6,     6,     6,     6,     6,     6,     8,     6,     8,
       6,     8,     7,     9,     6,     8,     7,     9,     8,    10,
       8,    10,     9,    11,     8,    10,     9,    11,     8,     8,
       7,     6,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     8,     8,     8,    10,     9,
       8,     1,     0,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     6,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       7,     6,     6,     6,     6,     6,     6,     7,     7,     6,
       9,     9,     6,     6,     6,     6,     6,     6,     8,     8,
       8,     6,     7,     6,     6,     5,     1,     0,     3,     3,
       5,     6,     6,     6,     8,     1,     3,     1,     5,     5,
       6,     7,     4,     4,     4,     6,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     3,     2,     0,     2,
       2,     2,     3,     3,     3,     3,     3,     3,     2,     3,
       2,     5,     4,     3,     3,     3,     1,     1,     0,     3,
       2,     2,     1,     2,     1,     3,     2,     1,     0,     2,
       3,     0,     9,    11,    12,    14,     3,     4,     4,     0,
       2,     5,     1,     0,     1,     2,     3,     3,     3,     1,
       2,     1,     1,     1,     1,     1,     1,     0,     5,     4,
       6,     4,     3,     5,     7,     9,     1,     3,     1,     5,
       4,     4,     6,     4,     6,     6,     5,     7,     9,     6,
       1,     0,     6,    11,    11,    11,    13,     9,    11,     1,
       1,    10,     4,     2,     5,     2,     0,     6,     5,     3,
       5,     1,     3,     1,     1,     2,     1,     1,     1,     1,
       0,     1,     0,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     1,     3,     1,     0,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     0,     5,     3,     0,
       1,     1,     1,     1,     3,     9,    12,     3,     0,     2,
       3,     2,     3,     7,     1,     3,     1,     4,     4,     7,
       2,     1,     1,     1,     3,     2,     8,     5,     0,     4,
       3,     0,     2,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       1,     2,     0,     8,     1,     3,     3,     5,     2,     1,
       3,     7,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     9,     1,     2,     4,
       4,     4,     2,     2,     3,     1,     3,     7,     1,     2,
       0,     1,     0,     2,     0,     3,     3,     4,     4,     4,
       4,     3,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     6,
       4,     2,     3,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     3,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     4,     5,     2,     0,     1,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     1,     4,     5,     4,     0,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     6,     4,     0,     2,     6,     2,     1,
       3,     4,     0,     2,     0,     2,     0,     2,     4,     0,
       1,     0,     1,     3,     3,     7,    12,     1,     3,     2,
       3,     3,     1,     2,     2,     2,     2,     1,     1,     3,
       3,     2,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     4,
       1,     2,     2,     1,     3,     3,     2,     1,     0,     5,
       2,     5,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     3,     3,     2,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     3,     4,     4,     5,
       1,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     1,     4,
       3,     5,     6,     8,     6,     6,     4,     4,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       6,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     3,     3,     4,     2,     2,     5,     0,     5,
       0,     2,     0,     1,     3,     3,     2,     2,     0,     6,
       1,     0,     3,     0,     3,     3,     3,     0,     1,     4,
       2,     2,     2,     2,     2,     3,     2,     2,     3,     0,
       4,     3,     5,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     3,
       1,     3,     3,     3,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     1,     0,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     5,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &yyvsp[(yyi + 1) - (yynrhs)]
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return (YYSIZE_T) (yystpcpy (yyres, yystr) - yyres);
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
                    yysize = yysize1;
                  else
                    return 2;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
      yysize = yysize1;
    else
      return 2;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yynewstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  *yyssp = (yytype_int16) yystate;

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = (YYSIZE_T) (yyssp - yyss + 1);

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
# undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 806 "gram.y" /* yacc.c:1652  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 25862 "gram.c" /* yacc.c:1652  */
    break;

  case 3:
#line 822 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 25878 "gram.c" /* yacc.c:1652  */
    break;

  case 4:
#line 834 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 25889 "gram.c" /* yacc.c:1652  */
    break;

  case 130:
#line 969 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 25895 "gram.c" /* yacc.c:1652  */
    break;

  case 131:
#line 979 "gram.y" /* yacc.c:1652  */
    {
					CallStmt *n = makeNode(CallStmt);
					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *)n;
				}
#line 25905 "gram.c" /* yacc.c:1652  */
    break;

  case 132:
#line 994 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25917 "gram.c" /* yacc.c:1652  */
    break;

  case 133:
#line 1004 "gram.y" /* yacc.c:1652  */
    {}
#line 25923 "gram.c" /* yacc.c:1652  */
    break;

  case 134:
#line 1005 "gram.y" /* yacc.c:1652  */
    {}
#line 25929 "gram.c" /* yacc.c:1652  */
    break;

  case 135:
#line 1006 "gram.y" /* yacc.c:1652  */
    {}
#line 25935 "gram.c" /* yacc.c:1652  */
    break;

  case 136:
#line 1015 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25941 "gram.c" /* yacc.c:1652  */
    break;

  case 137:
#line 1016 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25947 "gram.c" /* yacc.c:1652  */
    break;

  case 138:
#line 1020 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25953 "gram.c" /* yacc.c:1652  */
    break;

  case 139:
#line 1021 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 25959 "gram.c" /* yacc.c:1652  */
    break;

  case 140:
#line 1026 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 25968 "gram.c" /* yacc.c:1652  */
    break;

  case 141:
#line 1031 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 25976 "gram.c" /* yacc.c:1652  */
    break;

  case 142:
#line 1035 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 25990 "gram.c" /* yacc.c:1652  */
    break;

  case 143:
#line 1045 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 26002 "gram.c" /* yacc.c:1652  */
    break;

  case 144:
#line 1053 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 26010 "gram.c" /* yacc.c:1652  */
    break;

  case 145:
#line 1057 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26018 "gram.c" /* yacc.c:1652  */
    break;

  case 146:
#line 1061 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 26026 "gram.c" /* yacc.c:1652  */
    break;

  case 147:
#line 1066 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26034 "gram.c" /* yacc.c:1652  */
    break;

  case 148:
#line 1070 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 26083 "gram.c" /* yacc.c:1652  */
    break;

  case 149:
#line 1117 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 26089 "gram.c" /* yacc.c:1652  */
    break;

  case 150:
#line 1120 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 26097 "gram.c" /* yacc.c:1652  */
    break;

  case 151:
#line 1124 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26105 "gram.c" /* yacc.c:1652  */
    break;

  case 152:
#line 1128 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 26113 "gram.c" /* yacc.c:1652  */
    break;

  case 153:
#line 1132 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26121 "gram.c" /* yacc.c:1652  */
    break;

  case 154:
#line 1136 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 26129 "gram.c" /* yacc.c:1652  */
    break;

  case 155:
#line 1150 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26141 "gram.c" /* yacc.c:1652  */
    break;

  case 156:
#line 1168 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 26153 "gram.c" /* yacc.c:1652  */
    break;

  case 157:
#line 1176 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 26165 "gram.c" /* yacc.c:1652  */
    break;

  case 158:
#line 1186 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26171 "gram.c" /* yacc.c:1652  */
    break;

  case 159:
#line 1187 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26177 "gram.c" /* yacc.c:1652  */
    break;

  case 160:
#line 1192 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26189 "gram.c" /* yacc.c:1652  */
    break;

  case 161:
#line 1200 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26201 "gram.c" /* yacc.c:1652  */
    break;

  case 162:
#line 1208 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26213 "gram.c" /* yacc.c:1652  */
    break;

  case 163:
#line 1216 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 26225 "gram.c" /* yacc.c:1652  */
    break;

  case 164:
#line 1237 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26236 "gram.c" /* yacc.c:1652  */
    break;

  case 165:
#line 1244 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26247 "gram.c" /* yacc.c:1652  */
    break;

  case 166:
#line 1251 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26258 "gram.c" /* yacc.c:1652  */
    break;

  case 167:
#line 1258 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26269 "gram.c" /* yacc.c:1652  */
    break;

  case 168:
#line 1265 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26280 "gram.c" /* yacc.c:1652  */
    break;

  case 169:
#line 1272 "gram.y" /* yacc.c:1652  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26291 "gram.c" /* yacc.c:1652  */
    break;

  case 170:
#line 1289 "gram.y" /* yacc.c:1652  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26303 "gram.c" /* yacc.c:1652  */
    break;

  case 171:
#line 1307 "gram.y" /* yacc.c:1652  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 26316 "gram.c" /* yacc.c:1652  */
    break;

  case 172:
#line 1317 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = +1; }
#line 26322 "gram.c" /* yacc.c:1652  */
    break;

  case 173:
#line 1318 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = -1; }
#line 26328 "gram.c" /* yacc.c:1652  */
    break;

  case 174:
#line 1330 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26342 "gram.c" /* yacc.c:1652  */
    break;

  case 175:
#line 1340 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26356 "gram.c" /* yacc.c:1652  */
    break;

  case 176:
#line 1350 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26375 "gram.c" /* yacc.c:1652  */
    break;

  case 177:
#line 1365 "gram.y" /* yacc.c:1652  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26394 "gram.c" /* yacc.c:1652  */
    break;

  case 178:
#line 1382 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26400 "gram.c" /* yacc.c:1652  */
    break;

  case 179:
#line 1383 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26406 "gram.c" /* yacc.c:1652  */
    break;

  case 180:
#line 1388 "gram.y" /* yacc.c:1652  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 26416 "gram.c" /* yacc.c:1652  */
    break;

  case 181:
#line 1394 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26422 "gram.c" /* yacc.c:1652  */
    break;

  case 188:
#line 1422 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26432 "gram.c" /* yacc.c:1652  */
    break;

  case 189:
#line 1428 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 26442 "gram.c" /* yacc.c:1652  */
    break;

  case 190:
#line 1434 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 26452 "gram.c" /* yacc.c:1652  */
    break;

  case 191:
#line 1443 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26464 "gram.c" /* yacc.c:1652  */
    break;

  case 192:
#line 1451 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26476 "gram.c" /* yacc.c:1652  */
    break;

  case 194:
#line 1463 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26488 "gram.c" /* yacc.c:1652  */
    break;

  case 195:
#line 1471 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26500 "gram.c" /* yacc.c:1652  */
    break;

  case 196:
#line 1479 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26511 "gram.c" /* yacc.c:1652  */
    break;

  case 197:
#line 1486 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26522 "gram.c" /* yacc.c:1652  */
    break;

  case 198:
#line 1495 "gram.y" /* yacc.c:1652  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 26528 "gram.c" /* yacc.c:1652  */
    break;

  case 199:
#line 1497 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26539 "gram.c" /* yacc.c:1652  */
    break;

  case 200:
#line 1505 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26554 "gram.c" /* yacc.c:1652  */
    break;

  case 201:
#line 1516 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 26566 "gram.c" /* yacc.c:1652  */
    break;

  case 202:
#line 1524 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26578 "gram.c" /* yacc.c:1652  */
    break;

  case 203:
#line 1532 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26593 "gram.c" /* yacc.c:1652  */
    break;

  case 204:
#line 1543 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26605 "gram.c" /* yacc.c:1652  */
    break;

  case 205:
#line 1551 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26617 "gram.c" /* yacc.c:1652  */
    break;

  case 206:
#line 1559 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26628 "gram.c" /* yacc.c:1652  */
    break;

  case 207:
#line 1566 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26640 "gram.c" /* yacc.c:1652  */
    break;

  case 208:
#line 1575 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26652 "gram.c" /* yacc.c:1652  */
    break;

  case 209:
#line 1584 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26658 "gram.c" /* yacc.c:1652  */
    break;

  case 210:
#line 1586 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 26664 "gram.c" /* yacc.c:1652  */
    break;

  case 211:
#line 1589 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26670 "gram.c" /* yacc.c:1652  */
    break;

  case 212:
#line 1590 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26676 "gram.c" /* yacc.c:1652  */
    break;

  case 213:
#line 1594 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26682 "gram.c" /* yacc.c:1652  */
    break;

  case 214:
#line 1596 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26688 "gram.c" /* yacc.c:1652  */
    break;

  case 215:
#line 1599 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read uncommitted"; }
#line 26694 "gram.c" /* yacc.c:1652  */
    break;

  case 216:
#line 1600 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "read committed"; }
#line 26700 "gram.c" /* yacc.c:1652  */
    break;

  case 217:
#line 1601 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "repeatable read"; }
#line 26706 "gram.c" /* yacc.c:1652  */
    break;

  case 218:
#line 1602 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "serializable"; }
#line 26712 "gram.c" /* yacc.c:1652  */
    break;

  case 219:
#line 1606 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "true"; }
#line 26718 "gram.c" /* yacc.c:1652  */
    break;

  case 220:
#line 1607 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "false"; }
#line 26724 "gram.c" /* yacc.c:1652  */
    break;

  case 221:
#line 1608 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "on"; }
#line 26730 "gram.c" /* yacc.c:1652  */
    break;

  case 222:
#line 1614 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26736 "gram.c" /* yacc.c:1652  */
    break;

  case 223:
#line 1627 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26744 "gram.c" /* yacc.c:1652  */
    break;

  case 224:
#line 1631 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26752 "gram.c" /* yacc.c:1652  */
    break;

  case 225:
#line 1635 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 26771 "gram.c" /* yacc.c:1652  */
    break;

  case 226:
#line 1650 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 26782 "gram.c" /* yacc.c:1652  */
    break;

  case 227:
#line 1656 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26788 "gram.c" /* yacc.c:1652  */
    break;

  case 228:
#line 1657 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 26794 "gram.c" /* yacc.c:1652  */
    break;

  case 229:
#line 1658 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 26800 "gram.c" /* yacc.c:1652  */
    break;

  case 230:
#line 1662 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26806 "gram.c" /* yacc.c:1652  */
    break;

  case 231:
#line 1663 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26812 "gram.c" /* yacc.c:1652  */
    break;

  case 232:
#line 1664 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 26818 "gram.c" /* yacc.c:1652  */
    break;

  case 233:
#line 1668 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26824 "gram.c" /* yacc.c:1652  */
    break;

  case 234:
#line 1669 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26830 "gram.c" /* yacc.c:1652  */
    break;

  case 235:
#line 1673 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 26836 "gram.c" /* yacc.c:1652  */
    break;

  case 236:
#line 1677 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26842 "gram.c" /* yacc.c:1652  */
    break;

  case 237:
#line 1679 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 26853 "gram.c" /* yacc.c:1652  */
    break;

  case 238:
#line 1686 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 26864 "gram.c" /* yacc.c:1652  */
    break;

  case 239:
#line 1693 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26875 "gram.c" /* yacc.c:1652  */
    break;

  case 240:
#line 1703 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 26886 "gram.c" /* yacc.c:1652  */
    break;

  case 241:
#line 1710 "gram.y" /* yacc.c:1652  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 26896 "gram.c" /* yacc.c:1652  */
    break;

  case 242:
#line 1719 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26902 "gram.c" /* yacc.c:1652  */
    break;

  case 243:
#line 1720 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26908 "gram.c" /* yacc.c:1652  */
    break;

  case 244:
#line 1725 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26914 "gram.c" /* yacc.c:1652  */
    break;

  case 245:
#line 1726 "gram.y" /* yacc.c:1652  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26920 "gram.c" /* yacc.c:1652  */
    break;

  case 246:
#line 1732 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26930 "gram.c" /* yacc.c:1652  */
    break;

  case 247:
#line 1738 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 26940 "gram.c" /* yacc.c:1652  */
    break;

  case 248:
#line 1744 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 26950 "gram.c" /* yacc.c:1652  */
    break;

  case 249:
#line 1750 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 26960 "gram.c" /* yacc.c:1652  */
    break;

  case 250:
#line 1756 "gram.y" /* yacc.c:1652  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 26970 "gram.c" /* yacc.c:1652  */
    break;

  case 251:
#line 1766 "gram.y" /* yacc.c:1652  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 26981 "gram.c" /* yacc.c:1652  */
    break;

  case 252:
#line 1775 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 26987 "gram.c" /* yacc.c:1652  */
    break;

  case 253:
#line 1776 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26993 "gram.c" /* yacc.c:1652  */
    break;

  case 254:
#line 1780 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 26999 "gram.c" /* yacc.c:1652  */
    break;

  case 255:
#line 1781 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 27005 "gram.c" /* yacc.c:1652  */
    break;

  case 256:
#line 1790 "gram.y" /* yacc.c:1652  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 27014 "gram.c" /* yacc.c:1652  */
    break;

  case 257:
#line 1805 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 27024 "gram.c" /* yacc.c:1652  */
    break;

  case 258:
#line 1811 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 27034 "gram.c" /* yacc.c:1652  */
    break;

  case 259:
#line 1817 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 27044 "gram.c" /* yacc.c:1652  */
    break;

  case 260:
#line 1823 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 27054 "gram.c" /* yacc.c:1652  */
    break;

  case 261:
#line 1829 "gram.y" /* yacc.c:1652  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 27064 "gram.c" /* yacc.c:1652  */
    break;

  case 262:
#line 1848 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27077 "gram.c" /* yacc.c:1652  */
    break;

  case 263:
#line 1857 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27090 "gram.c" /* yacc.c:1652  */
    break;

  case 264:
#line 1866 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27103 "gram.c" /* yacc.c:1652  */
    break;

  case 265:
#line 1875 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27116 "gram.c" /* yacc.c:1652  */
    break;

  case 266:
#line 1884 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27131 "gram.c" /* yacc.c:1652  */
    break;

  case 267:
#line 1895 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27146 "gram.c" /* yacc.c:1652  */
    break;

  case 268:
#line 1906 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27159 "gram.c" /* yacc.c:1652  */
    break;

  case 269:
#line 1915 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27172 "gram.c" /* yacc.c:1652  */
    break;

  case 270:
#line 1924 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27185 "gram.c" /* yacc.c:1652  */
    break;

  case 271:
#line 1933 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27200 "gram.c" /* yacc.c:1652  */
    break;

  case 272:
#line 1944 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27215 "gram.c" /* yacc.c:1652  */
    break;

  case 273:
#line 1955 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27228 "gram.c" /* yacc.c:1652  */
    break;

  case 274:
#line 1964 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27241 "gram.c" /* yacc.c:1652  */
    break;

  case 275:
#line 1973 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27254 "gram.c" /* yacc.c:1652  */
    break;

  case 276:
#line 1982 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27267 "gram.c" /* yacc.c:1652  */
    break;

  case 277:
#line 1991 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27280 "gram.c" /* yacc.c:1652  */
    break;

  case 278:
#line 2000 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27293 "gram.c" /* yacc.c:1652  */
    break;

  case 279:
#line 2009 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27308 "gram.c" /* yacc.c:1652  */
    break;

  case 280:
#line 2020 "gram.y" /* yacc.c:1652  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 27323 "gram.c" /* yacc.c:1652  */
    break;

  case 281:
#line 2033 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27329 "gram.c" /* yacc.c:1652  */
    break;

  case 282:
#line 2034 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27335 "gram.c" /* yacc.c:1652  */
    break;

  case 283:
#line 2040 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27351 "gram.c" /* yacc.c:1652  */
    break;

  case 284:
#line 2053 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27367 "gram.c" /* yacc.c:1652  */
    break;

  case 285:
#line 2069 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 27383 "gram.c" /* yacc.c:1652  */
    break;

  case 286:
#line 2085 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27395 "gram.c" /* yacc.c:1652  */
    break;

  case 287:
#line 2094 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27407 "gram.c" /* yacc.c:1652  */
    break;

  case 288:
#line 2103 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27419 "gram.c" /* yacc.c:1652  */
    break;

  case 289:
#line 2112 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27431 "gram.c" /* yacc.c:1652  */
    break;

  case 290:
#line 2121 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27443 "gram.c" /* yacc.c:1652  */
    break;

  case 291:
#line 2130 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27454 "gram.c" /* yacc.c:1652  */
    break;

  case 292:
#line 2138 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 27465 "gram.c" /* yacc.c:1652  */
    break;

  case 293:
#line 2146 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *)n;
				}
#line 27476 "gram.c" /* yacc.c:1652  */
    break;

  case 294:
#line 2154 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27488 "gram.c" /* yacc.c:1652  */
    break;

  case 295:
#line 2163 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27500 "gram.c" /* yacc.c:1652  */
    break;

  case 296:
#line 2172 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27519 "gram.c" /* yacc.c:1652  */
    break;

  case 297:
#line 2188 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27531 "gram.c" /* yacc.c:1652  */
    break;

  case 298:
#line 2197 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27543 "gram.c" /* yacc.c:1652  */
    break;

  case 299:
#line 2206 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 27555 "gram.c" /* yacc.c:1652  */
    break;

  case 300:
#line 2215 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 27575 "gram.c" /* yacc.c:1652  */
    break;

  case 301:
#line 2232 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27587 "gram.c" /* yacc.c:1652  */
    break;

  case 302:
#line 2241 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27599 "gram.c" /* yacc.c:1652  */
    break;

  case 303:
#line 2250 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27611 "gram.c" /* yacc.c:1652  */
    break;

  case 304:
#line 2259 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27624 "gram.c" /* yacc.c:1652  */
    break;

  case 305:
#line 2269 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27637 "gram.c" /* yacc.c:1652  */
    break;

  case 306:
#line 2282 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 27655 "gram.c" /* yacc.c:1652  */
    break;

  case 307:
#line 2297 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27667 "gram.c" /* yacc.c:1652  */
    break;

  case 308:
#line 2306 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27678 "gram.c" /* yacc.c:1652  */
    break;

  case 309:
#line 2314 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27696 "gram.c" /* yacc.c:1652  */
    break;

  case 310:
#line 2329 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27707 "gram.c" /* yacc.c:1652  */
    break;

  case 311:
#line 2337 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27720 "gram.c" /* yacc.c:1652  */
    break;

  case 312:
#line 2347 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27733 "gram.c" /* yacc.c:1652  */
    break;

  case 313:
#line 2357 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 27743 "gram.c" /* yacc.c:1652  */
    break;

  case 314:
#line 2364 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27754 "gram.c" /* yacc.c:1652  */
    break;

  case 315:
#line 2372 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27765 "gram.c" /* yacc.c:1652  */
    break;

  case 316:
#line 2380 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 27775 "gram.c" /* yacc.c:1652  */
    break;

  case 317:
#line 2387 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 27785 "gram.c" /* yacc.c:1652  */
    break;

  case 318:
#line 2394 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27796 "gram.c" /* yacc.c:1652  */
    break;

  case 319:
#line 2402 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27807 "gram.c" /* yacc.c:1652  */
    break;

  case 320:
#line 2410 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27818 "gram.c" /* yacc.c:1652  */
    break;

  case 321:
#line 2418 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27828 "gram.c" /* yacc.c:1652  */
    break;

  case 322:
#line 2425 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27838 "gram.c" /* yacc.c:1652  */
    break;

  case 323:
#line 2432 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27849 "gram.c" /* yacc.c:1652  */
    break;

  case 324:
#line 2440 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27859 "gram.c" /* yacc.c:1652  */
    break;

  case 325:
#line 2447 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27869 "gram.c" /* yacc.c:1652  */
    break;

  case 326:
#line 2454 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27880 "gram.c" /* yacc.c:1652  */
    break;

  case 327:
#line 2462 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27891 "gram.c" /* yacc.c:1652  */
    break;

  case 328:
#line 2470 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27902 "gram.c" /* yacc.c:1652  */
    break;

  case 329:
#line 2478 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27913 "gram.c" /* yacc.c:1652  */
    break;

  case 330:
#line 2486 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27924 "gram.c" /* yacc.c:1652  */
    break;

  case 331:
#line 2494 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27935 "gram.c" /* yacc.c:1652  */
    break;

  case 332:
#line 2502 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 27948 "gram.c" /* yacc.c:1652  */
    break;

  case 333:
#line 2512 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 27958 "gram.c" /* yacc.c:1652  */
    break;

  case 334:
#line 2519 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 27969 "gram.c" /* yacc.c:1652  */
    break;

  case 335:
#line 2527 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27980 "gram.c" /* yacc.c:1652  */
    break;

  case 336:
#line 2535 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27991 "gram.c" /* yacc.c:1652  */
    break;

  case 337:
#line 2543 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28002 "gram.c" /* yacc.c:1652  */
    break;

  case 338:
#line 2551 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 28013 "gram.c" /* yacc.c:1652  */
    break;

  case 339:
#line 2559 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28023 "gram.c" /* yacc.c:1652  */
    break;

  case 340:
#line 2566 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28033 "gram.c" /* yacc.c:1652  */
    break;

  case 341:
#line 2573 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28043 "gram.c" /* yacc.c:1652  */
    break;

  case 342:
#line 2580 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 28053 "gram.c" /* yacc.c:1652  */
    break;

  case 343:
#line 2586 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28064 "gram.c" /* yacc.c:1652  */
    break;

  case 344:
#line 2595 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28070 "gram.c" /* yacc.c:1652  */
    break;

  case 345:
#line 2596 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28076 "gram.c" /* yacc.c:1652  */
    break;

  case 346:
#line 2600 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 28082 "gram.c" /* yacc.c:1652  */
    break;

  case 347:
#line 2601 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 28088 "gram.c" /* yacc.c:1652  */
    break;

  case 348:
#line 2602 "gram.y" /* yacc.c:1652  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 28094 "gram.c" /* yacc.c:1652  */
    break;

  case 349:
#line 2607 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 28106 "gram.c" /* yacc.c:1652  */
    break;

  case 350:
#line 2614 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28112 "gram.c" /* yacc.c:1652  */
    break;

  case 351:
#line 2618 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28118 "gram.c" /* yacc.c:1652  */
    break;

  case 352:
#line 2619 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28124 "gram.c" /* yacc.c:1652  */
    break;

  case 353:
#line 2624 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28135 "gram.c" /* yacc.c:1652  */
    break;

  case 354:
#line 2631 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28146 "gram.c" /* yacc.c:1652  */
    break;

  case 355:
#line 2638 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 28157 "gram.c" /* yacc.c:1652  */
    break;

  case 356:
#line 2645 "gram.y" /* yacc.c:1652  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 28168 "gram.c" /* yacc.c:1652  */
    break;

  case 357:
#line 2654 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28174 "gram.c" /* yacc.c:1652  */
    break;

  case 358:
#line 2657 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28180 "gram.c" /* yacc.c:1652  */
    break;

  case 359:
#line 2658 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28186 "gram.c" /* yacc.c:1652  */
    break;

  case 360:
#line 2662 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28192 "gram.c" /* yacc.c:1652  */
    break;

  case 361:
#line 2663 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28198 "gram.c" /* yacc.c:1652  */
    break;

  case 362:
#line 2669 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 28206 "gram.c" /* yacc.c:1652  */
    break;

  case 363:
#line 2673 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 28214 "gram.c" /* yacc.c:1652  */
    break;

  case 364:
#line 2677 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 28223 "gram.c" /* yacc.c:1652  */
    break;

  case 365:
#line 2682 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 28231 "gram.c" /* yacc.c:1652  */
    break;

  case 366:
#line 2689 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28237 "gram.c" /* yacc.c:1652  */
    break;

  case 367:
#line 2691 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28243 "gram.c" /* yacc.c:1652  */
    break;

  case 368:
#line 2696 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28251 "gram.c" /* yacc.c:1652  */
    break;

  case 369:
#line 2700 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28259 "gram.c" /* yacc.c:1652  */
    break;

  case 370:
#line 2704 "gram.y" /* yacc.c:1652  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 28274 "gram.c" /* yacc.c:1652  */
    break;

  case 371:
#line 2715 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 28282 "gram.c" /* yacc.c:1652  */
    break;

  case 372:
#line 2723 "gram.y" /* yacc.c:1652  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28337 "gram.c" /* yacc.c:1652  */
    break;

  case 373:
#line 2776 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 28352 "gram.c" /* yacc.c:1652  */
    break;

  case 374:
#line 2789 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 28368 "gram.c" /* yacc.c:1652  */
    break;

  case 375:
#line 2803 "gram.y" /* yacc.c:1652  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 28381 "gram.c" /* yacc.c:1652  */
    break;

  case 376:
#line 2815 "gram.y" /* yacc.c:1652  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 28389 "gram.c" /* yacc.c:1652  */
    break;

  case 377:
#line 2822 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 28397 "gram.c" /* yacc.c:1652  */
    break;

  case 378:
#line 2826 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 28405 "gram.c" /* yacc.c:1652  */
    break;

  case 379:
#line 2840 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 28419 "gram.c" /* yacc.c:1652  */
    break;

  case 380:
#line 2852 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28425 "gram.c" /* yacc.c:1652  */
    break;

  case 381:
#line 2853 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28431 "gram.c" /* yacc.c:1652  */
    break;

  case 382:
#line 2859 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28443 "gram.c" /* yacc.c:1652  */
    break;

  case 383:
#line 2868 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28456 "gram.c" /* yacc.c:1652  */
    break;

  case 384:
#line 2878 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28469 "gram.c" /* yacc.c:1652  */
    break;

  case 385:
#line 2888 "gram.y" /* yacc.c:1652  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 28488 "gram.c" /* yacc.c:1652  */
    break;

  case 386:
#line 2914 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28498 "gram.c" /* yacc.c:1652  */
    break;

  case 387:
#line 2920 "gram.y" /* yacc.c:1652  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28508 "gram.c" /* yacc.c:1652  */
    break;

  case 388:
#line 2955 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 28545 "gram.c" /* yacc.c:1652  */
    break;

  case 389:
#line 2988 "gram.y" /* yacc.c:1652  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 28568 "gram.c" /* yacc.c:1652  */
    break;

  case 390:
#line 3009 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 28574 "gram.c" /* yacc.c:1652  */
    break;

  case 391:
#line 3010 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 28580 "gram.c" /* yacc.c:1652  */
    break;

  case 392:
#line 3014 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 28586 "gram.c" /* yacc.c:1652  */
    break;

  case 393:
#line 3015 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 28592 "gram.c" /* yacc.c:1652  */
    break;

  case 394:
#line 3024 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28598 "gram.c" /* yacc.c:1652  */
    break;

  case 395:
#line 3025 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 28604 "gram.c" /* yacc.c:1652  */
    break;

  case 396:
#line 3026 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 28610 "gram.c" /* yacc.c:1652  */
    break;

  case 397:
#line 3029 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28616 "gram.c" /* yacc.c:1652  */
    break;

  case 398:
#line 3030 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28622 "gram.c" /* yacc.c:1652  */
    break;

  case 399:
#line 3035 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28628 "gram.c" /* yacc.c:1652  */
    break;

  case 400:
#line 3036 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 28634 "gram.c" /* yacc.c:1652  */
    break;

  case 401:
#line 3041 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28642 "gram.c" /* yacc.c:1652  */
    break;

  case 402:
#line 3045 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28650 "gram.c" /* yacc.c:1652  */
    break;

  case 403:
#line 3049 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28658 "gram.c" /* yacc.c:1652  */
    break;

  case 404:
#line 3053 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28666 "gram.c" /* yacc.c:1652  */
    break;

  case 405:
#line 3057 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 28674 "gram.c" /* yacc.c:1652  */
    break;

  case 406:
#line 3061 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28682 "gram.c" /* yacc.c:1652  */
    break;

  case 407:
#line 3065 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28690 "gram.c" /* yacc.c:1652  */
    break;

  case 408:
#line 3069 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28698 "gram.c" /* yacc.c:1652  */
    break;

  case 409:
#line 3073 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28706 "gram.c" /* yacc.c:1652  */
    break;

  case 410:
#line 3077 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 28714 "gram.c" /* yacc.c:1652  */
    break;

  case 411:
#line 3081 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 28722 "gram.c" /* yacc.c:1652  */
    break;

  case 412:
#line 3085 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28730 "gram.c" /* yacc.c:1652  */
    break;

  case 413:
#line 3089 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28738 "gram.c" /* yacc.c:1652  */
    break;

  case 414:
#line 3098 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28746 "gram.c" /* yacc.c:1652  */
    break;

  case 415:
#line 3101 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 28752 "gram.c" /* yacc.c:1652  */
    break;

  case 416:
#line 3106 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28760 "gram.c" /* yacc.c:1652  */
    break;

  case 417:
#line 3109 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = NULL; }
#line 28766 "gram.c" /* yacc.c:1652  */
    break;

  case 418:
#line 3113 "gram.y" /* yacc.c:1652  */
    {}
#line 28772 "gram.c" /* yacc.c:1652  */
    break;

  case 419:
#line 3114 "gram.y" /* yacc.c:1652  */
    {}
#line 28778 "gram.c" /* yacc.c:1652  */
    break;

  case 420:
#line 3120 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 28786 "gram.c" /* yacc.c:1652  */
    break;

  case 421:
#line 3124 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 28794 "gram.c" /* yacc.c:1652  */
    break;

  case 422:
#line 3131 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 28802 "gram.c" /* yacc.c:1652  */
    break;

  case 423:
#line 3137 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28808 "gram.c" /* yacc.c:1652  */
    break;

  case 424:
#line 3138 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 28814 "gram.c" /* yacc.c:1652  */
    break;

  case 425:
#line 3139 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 28820 "gram.c" /* yacc.c:1652  */
    break;

  case 426:
#line 3140 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 28826 "gram.c" /* yacc.c:1652  */
    break;

  case 427:
#line 3141 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 28832 "gram.c" /* yacc.c:1652  */
    break;

  case 428:
#line 3146 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28840 "gram.c" /* yacc.c:1652  */
    break;

  case 429:
#line 3150 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28848 "gram.c" /* yacc.c:1652  */
    break;

  case 430:
#line 3157 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28854 "gram.c" /* yacc.c:1652  */
    break;

  case 431:
#line 3171 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28875 "gram.c" /* yacc.c:1652  */
    break;

  case 432:
#line 3190 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28896 "gram.c" /* yacc.c:1652  */
    break;

  case 433:
#line 3209 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28918 "gram.c" /* yacc.c:1652  */
    break;

  case 434:
#line 3229 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28940 "gram.c" /* yacc.c:1652  */
    break;

  case 435:
#line 3249 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28962 "gram.c" /* yacc.c:1652  */
    break;

  case 436:
#line 3269 "gram.y" /* yacc.c:1652  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28984 "gram.c" /* yacc.c:1652  */
    break;

  case 437:
#line 3299 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28990 "gram.c" /* yacc.c:1652  */
    break;

  case 438:
#line 3300 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28996 "gram.c" /* yacc.c:1652  */
    break;

  case 439:
#line 3301 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29002 "gram.c" /* yacc.c:1652  */
    break;

  case 440:
#line 3302 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 29008 "gram.c" /* yacc.c:1652  */
    break;

  case 441:
#line 3304 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 29019 "gram.c" /* yacc.c:1652  */
    break;

  case 442:
#line 3311 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 29030 "gram.c" /* yacc.c:1652  */
    break;

  case 443:
#line 3317 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 29036 "gram.c" /* yacc.c:1652  */
    break;

  case 444:
#line 3318 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 29042 "gram.c" /* yacc.c:1652  */
    break;

  case 445:
#line 3322 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29048 "gram.c" /* yacc.c:1652  */
    break;

  case 446:
#line 3323 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29054 "gram.c" /* yacc.c:1652  */
    break;

  case 447:
#line 3327 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29060 "gram.c" /* yacc.c:1652  */
    break;

  case 448:
#line 3328 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29066 "gram.c" /* yacc.c:1652  */
    break;

  case 449:
#line 3333 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29074 "gram.c" /* yacc.c:1652  */
    break;

  case 450:
#line 3337 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29082 "gram.c" /* yacc.c:1652  */
    break;

  case 451:
#line 3344 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 29090 "gram.c" /* yacc.c:1652  */
    break;

  case 452:
#line 3348 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 29098 "gram.c" /* yacc.c:1652  */
    break;

  case 453:
#line 3354 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29104 "gram.c" /* yacc.c:1652  */
    break;

  case 454:
#line 3355 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29110 "gram.c" /* yacc.c:1652  */
    break;

  case 455:
#line 3356 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29116 "gram.c" /* yacc.c:1652  */
    break;

  case 456:
#line 3360 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29122 "gram.c" /* yacc.c:1652  */
    break;

  case 457:
#line 3361 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29128 "gram.c" /* yacc.c:1652  */
    break;

  case 458:
#line 3365 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 29151 "gram.c" /* yacc.c:1652  */
    break;

  case 459:
#line 3386 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29173 "gram.c" /* yacc.c:1652  */
    break;

  case 460:
#line 3404 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 29195 "gram.c" /* yacc.c:1652  */
    break;

  case 461:
#line 3424 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 29201 "gram.c" /* yacc.c:1652  */
    break;

  case 462:
#line 3425 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29207 "gram.c" /* yacc.c:1652  */
    break;

  case 463:
#line 3430 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29218 "gram.c" /* yacc.c:1652  */
    break;

  case 464:
#line 3436 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29224 "gram.c" /* yacc.c:1652  */
    break;

  case 465:
#line 3437 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29230 "gram.c" /* yacc.c:1652  */
    break;

  case 466:
#line 3439 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 29247 "gram.c" /* yacc.c:1652  */
    break;

  case 467:
#line 3470 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29258 "gram.c" /* yacc.c:1652  */
    break;

  case 468:
#line 3477 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29269 "gram.c" /* yacc.c:1652  */
    break;

  case 469:
#line 3484 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29284 "gram.c" /* yacc.c:1652  */
    break;

  case 470:
#line 3495 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29299 "gram.c" /* yacc.c:1652  */
    break;

  case 471:
#line 3506 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 29315 "gram.c" /* yacc.c:1652  */
    break;

  case 472:
#line 3518 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29328 "gram.c" /* yacc.c:1652  */
    break;

  case 473:
#line 3527 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 29341 "gram.c" /* yacc.c:1652  */
    break;

  case 474:
#line 3536 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *)n;
				}
#line 29368 "gram.c" /* yacc.c:1652  */
    break;

  case 475:
#line 3559 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 29387 "gram.c" /* yacc.c:1652  */
    break;

  case 476:
#line 3576 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 29393 "gram.c" /* yacc.c:1652  */
    break;

  case 477:
#line 3577 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 29399 "gram.c" /* yacc.c:1652  */
    break;

  case 478:
#line 3597 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 29410 "gram.c" /* yacc.c:1652  */
    break;

  case 479:
#line 3604 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29421 "gram.c" /* yacc.c:1652  */
    break;

  case 480:
#line 3611 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29432 "gram.c" /* yacc.c:1652  */
    break;

  case 481:
#line 3618 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29443 "gram.c" /* yacc.c:1652  */
    break;

  case 482:
#line 3629 "gram.y" /* yacc.c:1652  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 29454 "gram.c" /* yacc.c:1652  */
    break;

  case 483:
#line 3638 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 29460 "gram.c" /* yacc.c:1652  */
    break;

  case 484:
#line 3639 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 29466 "gram.c" /* yacc.c:1652  */
    break;

  case 485:
#line 3640 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 29472 "gram.c" /* yacc.c:1652  */
    break;

  case 486:
#line 3644 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 29478 "gram.c" /* yacc.c:1652  */
    break;

  case 487:
#line 3645 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 29484 "gram.c" /* yacc.c:1652  */
    break;

  case 488:
#line 3646 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 29490 "gram.c" /* yacc.c:1652  */
    break;

  case 489:
#line 3647 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 29496 "gram.c" /* yacc.c:1652  */
    break;

  case 490:
#line 3648 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 29502 "gram.c" /* yacc.c:1652  */
    break;

  case 491:
#line 3649 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 29508 "gram.c" /* yacc.c:1652  */
    break;

  case 492:
#line 3650 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 29514 "gram.c" /* yacc.c:1652  */
    break;

  case 493:
#line 3651 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 29520 "gram.c" /* yacc.c:1652  */
    break;

  case 494:
#line 3652 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 29526 "gram.c" /* yacc.c:1652  */
    break;

  case 495:
#line 3662 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29537 "gram.c" /* yacc.c:1652  */
    break;

  case 496:
#line 3668 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29543 "gram.c" /* yacc.c:1652  */
    break;

  case 497:
#line 3673 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29560 "gram.c" /* yacc.c:1652  */
    break;

  case 498:
#line 3687 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29579 "gram.c" /* yacc.c:1652  */
    break;

  case 499:
#line 3702 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29598 "gram.c" /* yacc.c:1652  */
    break;

  case 500:
#line 3718 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29617 "gram.c" /* yacc.c:1652  */
    break;

  case 501:
#line 3733 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29636 "gram.c" /* yacc.c:1652  */
    break;

  case 502:
#line 3750 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method	= (yyvsp[-8].str);
					n->exclusions		= (yyvsp[-6].list);
					n->including		= (yyvsp[-4].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29657 "gram.c" /* yacc.c:1652  */
    break;

  case 503:
#line 3768 "gram.y" /* yacc.c:1652  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29679 "gram.c" /* yacc.c:1652  */
    break;

  case 504:
#line 3787 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = true; }
#line 29685 "gram.c" /* yacc.c:1652  */
    break;

  case 505:
#line 3788 "gram.y" /* yacc.c:1652  */
    {  (yyval.boolean) = false; }
#line 29691 "gram.c" /* yacc.c:1652  */
    break;

  case 506:
#line 3792 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29697 "gram.c" /* yacc.c:1652  */
    break;

  case 507:
#line 3793 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29703 "gram.c" /* yacc.c:1652  */
    break;

  case 508:
#line 3797 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29709 "gram.c" /* yacc.c:1652  */
    break;

  case 509:
#line 3798 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29715 "gram.c" /* yacc.c:1652  */
    break;

  case 510:
#line 3802 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 29723 "gram.c" /* yacc.c:1652  */
    break;

  case 511:
#line 3807 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29729 "gram.c" /* yacc.c:1652  */
    break;

  case 512:
#line 3808 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29735 "gram.c" /* yacc.c:1652  */
    break;

  case 513:
#line 3812 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 29743 "gram.c" /* yacc.c:1652  */
    break;

  case 514:
#line 3816 "gram.y" /* yacc.c:1652  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 29755 "gram.c" /* yacc.c:1652  */
    break;

  case 515:
#line 3824 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29763 "gram.c" /* yacc.c:1652  */
    break;

  case 516:
#line 3828 "gram.y" /* yacc.c:1652  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29771 "gram.c" /* yacc.c:1652  */
    break;

  case 517:
#line 3834 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29777 "gram.c" /* yacc.c:1652  */
    break;

  case 518:
#line 3836 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29783 "gram.c" /* yacc.c:1652  */
    break;

  case 519:
#line 3840 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 29791 "gram.c" /* yacc.c:1652  */
    break;

  case 520:
#line 3845 "gram.y" /* yacc.c:1652  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 29799 "gram.c" /* yacc.c:1652  */
    break;

  case 521:
#line 3851 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29805 "gram.c" /* yacc.c:1652  */
    break;

  case 522:
#line 3852 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 29811 "gram.c" /* yacc.c:1652  */
    break;

  case 523:
#line 3863 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29817 "gram.c" /* yacc.c:1652  */
    break;

  case 524:
#line 3865 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29823 "gram.c" /* yacc.c:1652  */
    break;

  case 525:
#line 3867 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29829 "gram.c" /* yacc.c:1652  */
    break;

  case 526:
#line 3869 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 29835 "gram.c" /* yacc.c:1652  */
    break;

  case 527:
#line 3871 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29841 "gram.c" /* yacc.c:1652  */
    break;

  case 528:
#line 3874 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29847 "gram.c" /* yacc.c:1652  */
    break;

  case 529:
#line 3877 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29853 "gram.c" /* yacc.c:1652  */
    break;

  case 530:
#line 3881 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 29859 "gram.c" /* yacc.c:1652  */
    break;

  case 531:
#line 3882 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 29865 "gram.c" /* yacc.c:1652  */
    break;

  case 532:
#line 3883 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 29871 "gram.c" /* yacc.c:1652  */
    break;

  case 533:
#line 3884 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 29877 "gram.c" /* yacc.c:1652  */
    break;

  case 534:
#line 3885 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 29883 "gram.c" /* yacc.c:1652  */
    break;

  case 535:
#line 3888 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29889 "gram.c" /* yacc.c:1652  */
    break;

  case 536:
#line 3889 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 29895 "gram.c" /* yacc.c:1652  */
    break;

  case 537:
#line 3893 "gram.y" /* yacc.c:1652  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 29901 "gram.c" /* yacc.c:1652  */
    break;

  case 538:
#line 3894 "gram.y" /* yacc.c:1652  */
    { (yyval.partspec) = NULL; }
#line 29907 "gram.c" /* yacc.c:1652  */
    break;

  case 539:
#line 3898 "gram.y" /* yacc.c:1652  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 29921 "gram.c" /* yacc.c:1652  */
    break;

  case 540:
#line 3909 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29927 "gram.c" /* yacc.c:1652  */
    break;

  case 541:
#line 3910 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 29933 "gram.c" /* yacc.c:1652  */
    break;

  case 542:
#line 3913 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 29939 "gram.c" /* yacc.c:1652  */
    break;

  case 543:
#line 3914 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 29945 "gram.c" /* yacc.c:1652  */
    break;

  case 544:
#line 3918 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 29960 "gram.c" /* yacc.c:1652  */
    break;

  case 545:
#line 3929 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 29975 "gram.c" /* yacc.c:1652  */
    break;

  case 546:
#line 3940 "gram.y" /* yacc.c:1652  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 29990 "gram.c" /* yacc.c:1652  */
    break;

  case 547:
#line 3953 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29996 "gram.c" /* yacc.c:1652  */
    break;

  case 548:
#line 3954 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30002 "gram.c" /* yacc.c:1652  */
    break;

  case 549:
#line 3959 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30008 "gram.c" /* yacc.c:1652  */
    break;

  case 550:
#line 3960 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30014 "gram.c" /* yacc.c:1652  */
    break;

  case 551:
#line 3961 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30020 "gram.c" /* yacc.c:1652  */
    break;

  case 552:
#line 3964 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 30026 "gram.c" /* yacc.c:1652  */
    break;

  case 553:
#line 3965 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 30032 "gram.c" /* yacc.c:1652  */
    break;

  case 554:
#line 3966 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 30038 "gram.c" /* yacc.c:1652  */
    break;

  case 555:
#line 3967 "gram.y" /* yacc.c:1652  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 30044 "gram.c" /* yacc.c:1652  */
    break;

  case 556:
#line 3970 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30050 "gram.c" /* yacc.c:1652  */
    break;

  case 557:
#line 3971 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30056 "gram.c" /* yacc.c:1652  */
    break;

  case 558:
#line 3974 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30062 "gram.c" /* yacc.c:1652  */
    break;

  case 559:
#line 3975 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 30068 "gram.c" /* yacc.c:1652  */
    break;

  case 560:
#line 3978 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30074 "gram.c" /* yacc.c:1652  */
    break;

  case 561:
#line 3998 "gram.y" /* yacc.c:1652  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30089 "gram.c" /* yacc.c:1652  */
    break;

  case 562:
#line 4010 "gram.y" /* yacc.c:1652  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30104 "gram.c" /* yacc.c:1652  */
    break;

  case 563:
#line 4033 "gram.y" /* yacc.c:1652  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);
					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 30116 "gram.c" /* yacc.c:1652  */
    break;

  case 564:
#line 4041 "gram.y" /* yacc.c:1652  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);
					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 30128 "gram.c" /* yacc.c:1652  */
    break;

  case 565:
#line 4062 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30145 "gram.c" /* yacc.c:1652  */
    break;

  case 566:
#line 4075 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30162 "gram.c" /* yacc.c:1652  */
    break;

  case 567:
#line 4092 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 30178 "gram.c" /* yacc.c:1652  */
    break;

  case 568:
#line 4106 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 30184 "gram.c" /* yacc.c:1652  */
    break;

  case 569:
#line 4107 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 30190 "gram.c" /* yacc.c:1652  */
    break;

  case 570:
#line 4108 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 30196 "gram.c" /* yacc.c:1652  */
    break;

  case 571:
#line 4121 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30213 "gram.c" /* yacc.c:1652  */
    break;

  case 572:
#line 4134 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 30230 "gram.c" /* yacc.c:1652  */
    break;

  case 573:
#line 4150 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 30246 "gram.c" /* yacc.c:1652  */
    break;

  case 574:
#line 4163 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 30252 "gram.c" /* yacc.c:1652  */
    break;

  case 575:
#line 4164 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 30258 "gram.c" /* yacc.c:1652  */
    break;

  case 576:
#line 4177 "gram.y" /* yacc.c:1652  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 30270 "gram.c" /* yacc.c:1652  */
    break;

  case 577:
#line 4197 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 30284 "gram.c" /* yacc.c:1652  */
    break;

  case 578:
#line 4207 "gram.y" /* yacc.c:1652  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30298 "gram.c" /* yacc.c:1652  */
    break;

  case 579:
#line 4220 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30310 "gram.c" /* yacc.c:1652  */
    break;

  case 580:
#line 4228 "gram.y" /* yacc.c:1652  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30322 "gram.c" /* yacc.c:1652  */
    break;

  case 581:
#line 4238 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30328 "gram.c" /* yacc.c:1652  */
    break;

  case 582:
#line 4239 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30334 "gram.c" /* yacc.c:1652  */
    break;

  case 583:
#line 4242 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30340 "gram.c" /* yacc.c:1652  */
    break;

  case 584:
#line 4243 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30346 "gram.c" /* yacc.c:1652  */
    break;

  case 585:
#line 4246 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30352 "gram.c" /* yacc.c:1652  */
    break;

  case 586:
#line 4247 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30358 "gram.c" /* yacc.c:1652  */
    break;

  case 587:
#line 4251 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 30366 "gram.c" /* yacc.c:1652  */
    break;

  case 588:
#line 4255 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30374 "gram.c" /* yacc.c:1652  */
    break;

  case 589:
#line 4259 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30382 "gram.c" /* yacc.c:1652  */
    break;

  case 590:
#line 4263 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 30390 "gram.c" /* yacc.c:1652  */
    break;

  case 591:
#line 4267 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30398 "gram.c" /* yacc.c:1652  */
    break;

  case 592:
#line 4271 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30406 "gram.c" /* yacc.c:1652  */
    break;

  case 593:
#line 4275 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 30414 "gram.c" /* yacc.c:1652  */
    break;

  case 594:
#line 4279 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 30422 "gram.c" /* yacc.c:1652  */
    break;

  case 595:
#line 4283 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 30430 "gram.c" /* yacc.c:1652  */
    break;

  case 596:
#line 4287 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30438 "gram.c" /* yacc.c:1652  */
    break;

  case 597:
#line 4291 "gram.y" /* yacc.c:1652  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 30447 "gram.c" /* yacc.c:1652  */
    break;

  case 598:
#line 4296 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30455 "gram.c" /* yacc.c:1652  */
    break;

  case 599:
#line 4300 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 30463 "gram.c" /* yacc.c:1652  */
    break;

  case 600:
#line 4304 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30471 "gram.c" /* yacc.c:1652  */
    break;

  case 601:
#line 4309 "gram.y" /* yacc.c:1652  */
    {}
#line 30477 "gram.c" /* yacc.c:1652  */
    break;

  case 602:
#line 4310 "gram.y" /* yacc.c:1652  */
    {}
#line 30483 "gram.c" /* yacc.c:1652  */
    break;

  case 603:
#line 4314 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30489 "gram.c" /* yacc.c:1652  */
    break;

  case 604:
#line 4315 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30495 "gram.c" /* yacc.c:1652  */
    break;

  case 605:
#line 4317 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 30504 "gram.c" /* yacc.c:1652  */
    break;

  case 606:
#line 4321 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 30510 "gram.c" /* yacc.c:1652  */
    break;

  case 607:
#line 4324 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30516 "gram.c" /* yacc.c:1652  */
    break;

  case 608:
#line 4325 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30522 "gram.c" /* yacc.c:1652  */
    break;

  case 609:
#line 4338 "gram.y" /* yacc.c:1652  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *)n;
			}
#line 30541 "gram.c" /* yacc.c:1652  */
    break;

  case 610:
#line 4354 "gram.y" /* yacc.c:1652  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 30556 "gram.c" /* yacc.c:1652  */
    break;

  case 611:
#line 4367 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 30562 "gram.c" /* yacc.c:1652  */
    break;

  case 612:
#line 4368 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 30568 "gram.c" /* yacc.c:1652  */
    break;

  case 613:
#line 4376 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30574 "gram.c" /* yacc.c:1652  */
    break;

  case 614:
#line 4377 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 30580 "gram.c" /* yacc.c:1652  */
    break;

  case 615:
#line 4381 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30586 "gram.c" /* yacc.c:1652  */
    break;

  case 616:
#line 4382 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30592 "gram.c" /* yacc.c:1652  */
    break;

  case 617:
#line 4386 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30598 "gram.c" /* yacc.c:1652  */
    break;

  case 618:
#line 4387 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30604 "gram.c" /* yacc.c:1652  */
    break;

  case 619:
#line 4391 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30610 "gram.c" /* yacc.c:1652  */
    break;

  case 620:
#line 4392 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30616 "gram.c" /* yacc.c:1652  */
    break;

  case 621:
#line 4397 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 30630 "gram.c" /* yacc.c:1652  */
    break;

  case 622:
#line 4407 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 30644 "gram.c" /* yacc.c:1652  */
    break;

  case 623:
#line 4419 "gram.y" /* yacc.c:1652  */
    {}
#line 30650 "gram.c" /* yacc.c:1652  */
    break;

  case 624:
#line 4420 "gram.y" /* yacc.c:1652  */
    {}
#line 30656 "gram.c" /* yacc.c:1652  */
    break;

  case 625:
#line 4431 "gram.y" /* yacc.c:1652  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30669 "gram.c" /* yacc.c:1652  */
    break;

  case 626:
#line 4441 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 30675 "gram.c" /* yacc.c:1652  */
    break;

  case 627:
#line 4442 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = NULL; }
#line 30681 "gram.c" /* yacc.c:1652  */
    break;

  case 628:
#line 4456 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30692 "gram.c" /* yacc.c:1652  */
    break;

  case 629:
#line 4463 "gram.y" /* yacc.c:1652  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30703 "gram.c" /* yacc.c:1652  */
    break;

  case 630:
#line 4480 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30715 "gram.c" /* yacc.c:1652  */
    break;

  case 631:
#line 4488 "gram.y" /* yacc.c:1652  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30727 "gram.c" /* yacc.c:1652  */
    break;

  case 632:
#line 4499 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30733 "gram.c" /* yacc.c:1652  */
    break;

  case 633:
#line 4501 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30739 "gram.c" /* yacc.c:1652  */
    break;

  case 634:
#line 4506 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30747 "gram.c" /* yacc.c:1652  */
    break;

  case 635:
#line 4510 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30755 "gram.c" /* yacc.c:1652  */
    break;

  case 636:
#line 4514 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 30766 "gram.c" /* yacc.c:1652  */
    break;

  case 637:
#line 4521 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30774 "gram.c" /* yacc.c:1652  */
    break;

  case 638:
#line 4533 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30785 "gram.c" /* yacc.c:1652  */
    break;

  case 639:
#line 4543 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30791 "gram.c" /* yacc.c:1652  */
    break;

  case 640:
#line 4545 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 30797 "gram.c" /* yacc.c:1652  */
    break;

  case 641:
#line 4550 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30805 "gram.c" /* yacc.c:1652  */
    break;

  case 642:
#line 4563 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30818 "gram.c" /* yacc.c:1652  */
    break;

  case 643:
#line 4572 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30831 "gram.c" /* yacc.c:1652  */
    break;

  case 644:
#line 4581 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 30844 "gram.c" /* yacc.c:1652  */
    break;

  case 645:
#line 4590 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30857 "gram.c" /* yacc.c:1652  */
    break;

  case 646:
#line 4599 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30870 "gram.c" /* yacc.c:1652  */
    break;

  case 647:
#line 4608 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 30883 "gram.c" /* yacc.c:1652  */
    break;

  case 648:
#line 4617 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30896 "gram.c" /* yacc.c:1652  */
    break;

  case 649:
#line 4626 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30909 "gram.c" /* yacc.c:1652  */
    break;

  case 650:
#line 4635 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30922 "gram.c" /* yacc.c:1652  */
    break;

  case 651:
#line 4644 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30935 "gram.c" /* yacc.c:1652  */
    break;

  case 652:
#line 4653 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30948 "gram.c" /* yacc.c:1652  */
    break;

  case 653:
#line 4662 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30961 "gram.c" /* yacc.c:1652  */
    break;

  case 654:
#line 4671 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30974 "gram.c" /* yacc.c:1652  */
    break;

  case 655:
#line 4680 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30987 "gram.c" /* yacc.c:1652  */
    break;

  case 656:
#line 4689 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31000 "gram.c" /* yacc.c:1652  */
    break;

  case 657:
#line 4698 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31013 "gram.c" /* yacc.c:1652  */
    break;

  case 658:
#line 4707 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31026 "gram.c" /* yacc.c:1652  */
    break;

  case 659:
#line 4716 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31039 "gram.c" /* yacc.c:1652  */
    break;

  case 660:
#line 4725 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31052 "gram.c" /* yacc.c:1652  */
    break;

  case 661:
#line 4734 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31065 "gram.c" /* yacc.c:1652  */
    break;

  case 662:
#line 4743 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31078 "gram.c" /* yacc.c:1652  */
    break;

  case 663:
#line 4752 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31091 "gram.c" /* yacc.c:1652  */
    break;

  case 664:
#line 4761 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31104 "gram.c" /* yacc.c:1652  */
    break;

  case 665:
#line 4770 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31117 "gram.c" /* yacc.c:1652  */
    break;

  case 666:
#line 4779 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31130 "gram.c" /* yacc.c:1652  */
    break;

  case 667:
#line 4788 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 31143 "gram.c" /* yacc.c:1652  */
    break;

  case 668:
#line 4797 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 31156 "gram.c" /* yacc.c:1652  */
    break;

  case 669:
#line 4806 "gram.y" /* yacc.c:1652  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 31169 "gram.c" /* yacc.c:1652  */
    break;

  case 670:
#line 4824 "gram.y" /* yacc.c:1652  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31181 "gram.c" /* yacc.c:1652  */
    break;

  case 671:
#line 4834 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 31187 "gram.c" /* yacc.c:1652  */
    break;

  case 672:
#line 4835 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 31193 "gram.c" /* yacc.c:1652  */
    break;

  case 673:
#line 4836 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 31199 "gram.c" /* yacc.c:1652  */
    break;

  case 674:
#line 4837 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 31205 "gram.c" /* yacc.c:1652  */
    break;

  case 675:
#line 4841 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31211 "gram.c" /* yacc.c:1652  */
    break;

  case 676:
#line 4842 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31217 "gram.c" /* yacc.c:1652  */
    break;

  case 677:
#line 4846 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31223 "gram.c" /* yacc.c:1652  */
    break;

  case 678:
#line 4847 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31229 "gram.c" /* yacc.c:1652  */
    break;

  case 679:
#line 4858 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31241 "gram.c" /* yacc.c:1652  */
    break;

  case 680:
#line 4866 "gram.y" /* yacc.c:1652  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 31253 "gram.c" /* yacc.c:1652  */
    break;

  case 681:
#line 4877 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31259 "gram.c" /* yacc.c:1652  */
    break;

  case 682:
#line 4878 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 31265 "gram.c" /* yacc.c:1652  */
    break;

  case 683:
#line 4883 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31273 "gram.c" /* yacc.c:1652  */
    break;

  case 684:
#line 4887 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31281 "gram.c" /* yacc.c:1652  */
    break;

  case 685:
#line 4894 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31287 "gram.c" /* yacc.c:1652  */
    break;

  case 686:
#line 4899 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 31295 "gram.c" /* yacc.c:1652  */
    break;

  case 687:
#line 4903 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 31303 "gram.c" /* yacc.c:1652  */
    break;

  case 688:
#line 4910 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31311 "gram.c" /* yacc.c:1652  */
    break;

  case 689:
#line 4914 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 31320 "gram.c" /* yacc.c:1652  */
    break;

  case 690:
#line 4919 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 31329 "gram.c" /* yacc.c:1652  */
    break;

  case 691:
#line 4924 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 31337 "gram.c" /* yacc.c:1652  */
    break;

  case 692:
#line 4931 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 31345 "gram.c" /* yacc.c:1652  */
    break;

  case 693:
#line 4937 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31351 "gram.c" /* yacc.c:1652  */
    break;

  case 694:
#line 4942 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 31357 "gram.c" /* yacc.c:1652  */
    break;

  case 695:
#line 4954 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31372 "gram.c" /* yacc.c:1652  */
    break;

  case 696:
#line 4966 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31387 "gram.c" /* yacc.c:1652  */
    break;

  case 697:
#line 4979 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31393 "gram.c" /* yacc.c:1652  */
    break;

  case 698:
#line 4980 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31399 "gram.c" /* yacc.c:1652  */
    break;

  case 699:
#line 4985 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31405 "gram.c" /* yacc.c:1652  */
    break;

  case 700:
#line 4986 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31411 "gram.c" /* yacc.c:1652  */
    break;

  case 701:
#line 4990 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31417 "gram.c" /* yacc.c:1652  */
    break;

  case 702:
#line 4991 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 31423 "gram.c" /* yacc.c:1652  */
    break;

  case 703:
#line 5002 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 31436 "gram.c" /* yacc.c:1652  */
    break;

  case 704:
#line 5011 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 31448 "gram.c" /* yacc.c:1652  */
    break;

  case 705:
#line 5019 "gram.y" /* yacc.c:1652  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31459 "gram.c" /* yacc.c:1652  */
    break;

  case 706:
#line 5038 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31481 "gram.c" /* yacc.c:1652  */
    break;

  case 707:
#line 5058 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31503 "gram.c" /* yacc.c:1652  */
    break;

  case 708:
#line 5078 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31526 "gram.c" /* yacc.c:1652  */
    break;

  case 709:
#line 5099 "gram.y" /* yacc.c:1652  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31549 "gram.c" /* yacc.c:1652  */
    break;

  case 710:
#line 5128 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31562 "gram.c" /* yacc.c:1652  */
    break;

  case 711:
#line 5137 "gram.y" /* yacc.c:1652  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31575 "gram.c" /* yacc.c:1652  */
    break;

  case 712:
#line 5159 "gram.y" /* yacc.c:1652  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 31590 "gram.c" /* yacc.c:1652  */
    break;

  case 713:
#line 5172 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 31596 "gram.c" /* yacc.c:1652  */
    break;

  case 714:
#line 5173 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 31602 "gram.c" /* yacc.c:1652  */
    break;

  case 715:
#line 5178 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 31613 "gram.c" /* yacc.c:1652  */
    break;

  case 716:
#line 5185 "gram.y" /* yacc.c:1652  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 31624 "gram.c" /* yacc.c:1652  */
    break;

  case 717:
#line 5201 "gram.y" /* yacc.c:1652  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31637 "gram.c" /* yacc.c:1652  */
    break;

  case 718:
#line 5210 "gram.y" /* yacc.c:1652  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31650 "gram.c" /* yacc.c:1652  */
    break;

  case 719:
#line 5221 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 31656 "gram.c" /* yacc.c:1652  */
    break;

  case 720:
#line 5222 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 31662 "gram.c" /* yacc.c:1652  */
    break;

  case 721:
#line 5235 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31674 "gram.c" /* yacc.c:1652  */
    break;

  case 722:
#line 5243 "gram.y" /* yacc.c:1652  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31686 "gram.c" /* yacc.c:1652  */
    break;

  case 723:
#line 5260 "gram.y" /* yacc.c:1652  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31698 "gram.c" /* yacc.c:1652  */
    break;

  case 724:
#line 5286 "gram.y" /* yacc.c:1652  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31714 "gram.c" /* yacc.c:1652  */
    break;

  case 725:
#line 5302 "gram.y" /* yacc.c:1652  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31728 "gram.c" /* yacc.c:1652  */
    break;

  case 726:
#line 5314 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31734 "gram.c" /* yacc.c:1652  */
    break;

  case 727:
#line 5315 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 31740 "gram.c" /* yacc.c:1652  */
    break;

  case 728:
#line 5319 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31746 "gram.c" /* yacc.c:1652  */
    break;

  case 729:
#line 5320 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 31752 "gram.c" /* yacc.c:1652  */
    break;

  case 730:
#line 5324 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31758 "gram.c" /* yacc.c:1652  */
    break;

  case 731:
#line 5325 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 31764 "gram.c" /* yacc.c:1652  */
    break;

  case 732:
#line 5329 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31770 "gram.c" /* yacc.c:1652  */
    break;

  case 733:
#line 5330 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NULL; }
#line 31776 "gram.c" /* yacc.c:1652  */
    break;

  case 734:
#line 5335 "gram.y" /* yacc.c:1652  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 31794 "gram.c" /* yacc.c:1652  */
    break;

  case 735:
#line 5348 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 31800 "gram.c" /* yacc.c:1652  */
    break;

  case 736:
#line 5352 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31806 "gram.c" /* yacc.c:1652  */
    break;

  case 737:
#line 5353 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 31812 "gram.c" /* yacc.c:1652  */
    break;

  case 738:
#line 5357 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "all"; }
#line 31818 "gram.c" /* yacc.c:1652  */
    break;

  case 739:
#line 5358 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "select"; }
#line 31824 "gram.c" /* yacc.c:1652  */
    break;

  case 740:
#line 5359 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "insert"; }
#line 31830 "gram.c" /* yacc.c:1652  */
    break;

  case 741:
#line 5360 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "update"; }
#line 31836 "gram.c" /* yacc.c:1652  */
    break;

  case 742:
#line 5361 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "delete"; }
#line 31842 "gram.c" /* yacc.c:1652  */
    break;

  case 743:
#line 5372 "gram.y" /* yacc.c:1652  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 31854 "gram.c" /* yacc.c:1652  */
    break;

  case 744:
#line 5382 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 31860 "gram.c" /* yacc.c:1652  */
    break;

  case 745:
#line 5383 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 31866 "gram.c" /* yacc.c:1652  */
    break;

  case 746:
#line 5397 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = false;
					n->deferrable	 = false;
					n->initdeferred  = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 31889 "gram.c" /* yacc.c:1652  */
    break;

  case 747:
#line 5419 "gram.y" /* yacc.c:1652  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = true;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 31913 "gram.c" /* yacc.c:1652  */
    break;

  case 748:
#line 5441 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 31919 "gram.c" /* yacc.c:1652  */
    break;

  case 749:
#line 5442 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 31925 "gram.c" /* yacc.c:1652  */
    break;

  case 750:
#line 5443 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 31931 "gram.c" /* yacc.c:1652  */
    break;

  case 751:
#line 5448 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31937 "gram.c" /* yacc.c:1652  */
    break;

  case 752:
#line 5450 "gram.y" /* yacc.c:1652  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 31960 "gram.c" /* yacc.c:1652  */
    break;

  case 753:
#line 5472 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 31966 "gram.c" /* yacc.c:1652  */
    break;

  case 754:
#line 5474 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 31972 "gram.c" /* yacc.c:1652  */
    break;

  case 755:
#line 5476 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 31978 "gram.c" /* yacc.c:1652  */
    break;

  case 756:
#line 5478 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 31984 "gram.c" /* yacc.c:1652  */
    break;

  case 757:
#line 5480 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 31990 "gram.c" /* yacc.c:1652  */
    break;

  case 758:
#line 5484 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31996 "gram.c" /* yacc.c:1652  */
    break;

  case 759:
#line 5485 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32002 "gram.c" /* yacc.c:1652  */
    break;

  case 760:
#line 5489 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32008 "gram.c" /* yacc.c:1652  */
    break;

  case 761:
#line 5490 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32014 "gram.c" /* yacc.c:1652  */
    break;

  case 762:
#line 5495 "gram.y" /* yacc.c:1652  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32026 "gram.c" /* yacc.c:1652  */
    break;

  case 763:
#line 5505 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32032 "gram.c" /* yacc.c:1652  */
    break;

  case 764:
#line 5506 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32038 "gram.c" /* yacc.c:1652  */
    break;

  case 765:
#line 5510 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32044 "gram.c" /* yacc.c:1652  */
    break;

  case 766:
#line 5519 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32050 "gram.c" /* yacc.c:1652  */
    break;

  case 767:
#line 5523 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32056 "gram.c" /* yacc.c:1652  */
    break;

  case 768:
#line 5528 "gram.y" /* yacc.c:1652  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 32064 "gram.c" /* yacc.c:1652  */
    break;

  case 769:
#line 5532 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 32076 "gram.c" /* yacc.c:1652  */
    break;

  case 770:
#line 5542 "gram.y" /* yacc.c:1652  */
    {}
#line 32082 "gram.c" /* yacc.c:1652  */
    break;

  case 771:
#line 5543 "gram.y" /* yacc.c:1652  */
    {}
#line 32088 "gram.c" /* yacc.c:1652  */
    break;

  case 772:
#line 5547 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32094 "gram.c" /* yacc.c:1652  */
    break;

  case 773:
#line 5548 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32100 "gram.c" /* yacc.c:1652  */
    break;

  case 774:
#line 5552 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 32106 "gram.c" /* yacc.c:1652  */
    break;

  case 775:
#line 5553 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 32112 "gram.c" /* yacc.c:1652  */
    break;

  case 778:
#line 5562 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 32118 "gram.c" /* yacc.c:1652  */
    break;

  case 779:
#line 5563 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 32124 "gram.c" /* yacc.c:1652  */
    break;

  case 780:
#line 5564 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32130 "gram.c" /* yacc.c:1652  */
    break;

  case 781:
#line 5569 "gram.y" /* yacc.c:1652  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 32138 "gram.c" /* yacc.c:1652  */
    break;

  case 782:
#line 5572 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32144 "gram.c" /* yacc.c:1652  */
    break;

  case 783:
#line 5573 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32150 "gram.c" /* yacc.c:1652  */
    break;

  case 784:
#line 5574 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 32156 "gram.c" /* yacc.c:1652  */
    break;

  case 785:
#line 5578 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = (yyvsp[0].range); }
#line 32162 "gram.c" /* yacc.c:1652  */
    break;

  case 786:
#line 5579 "gram.y" /* yacc.c:1652  */
    { (yyval.range) = NULL; }
#line 32168 "gram.c" /* yacc.c:1652  */
    break;

  case 787:
#line 5584 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 32174 "gram.c" /* yacc.c:1652  */
    break;

  case 788:
#line 5586 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 32202 "gram.c" /* yacc.c:1652  */
    break;

  case 789:
#line 5612 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 32208 "gram.c" /* yacc.c:1652  */
    break;

  case 790:
#line 5613 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 32214 "gram.c" /* yacc.c:1652  */
    break;

  case 791:
#line 5614 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 32220 "gram.c" /* yacc.c:1652  */
    break;

  case 792:
#line 5615 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 32226 "gram.c" /* yacc.c:1652  */
    break;

  case 793:
#line 5616 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 32232 "gram.c" /* yacc.c:1652  */
    break;

  case 794:
#line 5617 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 32238 "gram.c" /* yacc.c:1652  */
    break;

  case 795:
#line 5632 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 32251 "gram.c" /* yacc.c:1652  */
    break;

  case 796:
#line 5643 "gram.y" /* yacc.c:1652  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 32264 "gram.c" /* yacc.c:1652  */
    break;

  case 797:
#line 5655 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32270 "gram.c" /* yacc.c:1652  */
    break;

  case 798:
#line 5657 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32276 "gram.c" /* yacc.c:1652  */
    break;

  case 799:
#line 5662 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 32282 "gram.c" /* yacc.c:1652  */
    break;

  case 800:
#line 5667 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32288 "gram.c" /* yacc.c:1652  */
    break;

  case 801:
#line 5669 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32294 "gram.c" /* yacc.c:1652  */
    break;

  case 802:
#line 5674 "gram.y" /* yacc.c:1652  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 32305 "gram.c" /* yacc.c:1652  */
    break;

  case 803:
#line 5683 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 32311 "gram.c" /* yacc.c:1652  */
    break;

  case 804:
#line 5684 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 32317 "gram.c" /* yacc.c:1652  */
    break;

  case 805:
#line 5685 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 32323 "gram.c" /* yacc.c:1652  */
    break;

  case 806:
#line 5686 "gram.y" /* yacc.c:1652  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 32329 "gram.c" /* yacc.c:1652  */
    break;

  case 807:
#line 5698 "gram.y" /* yacc.c:1652  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 32341 "gram.c" /* yacc.c:1652  */
    break;

  case 808:
#line 5717 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32356 "gram.c" /* yacc.c:1652  */
    break;

  case 809:
#line 5728 "gram.y" /* yacc.c:1652  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32372 "gram.c" /* yacc.c:1652  */
    break;

  case 810:
#line 5740 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32386 "gram.c" /* yacc.c:1652  */
    break;

  case 811:
#line 5750 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32400 "gram.c" /* yacc.c:1652  */
    break;

  case 812:
#line 5760 "gram.y" /* yacc.c:1652  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 32415 "gram.c" /* yacc.c:1652  */
    break;

  case 813:
#line 5771 "gram.y" /* yacc.c:1652  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 32428 "gram.c" /* yacc.c:1652  */
    break;

  case 814:
#line 5780 "gram.y" /* yacc.c:1652  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 32439 "gram.c" /* yacc.c:1652  */
    break;

  case 815:
#line 5787 "gram.y" /* yacc.c:1652  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32450 "gram.c" /* yacc.c:1652  */
    break;

  case 816:
#line 5794 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32463 "gram.c" /* yacc.c:1652  */
    break;

  case 817:
#line 5803 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32476 "gram.c" /* yacc.c:1652  */
    break;

  case 818:
#line 5812 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32489 "gram.c" /* yacc.c:1652  */
    break;

  case 819:
#line 5821 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32502 "gram.c" /* yacc.c:1652  */
    break;

  case 820:
#line 5830 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32515 "gram.c" /* yacc.c:1652  */
    break;

  case 821:
#line 5839 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32529 "gram.c" /* yacc.c:1652  */
    break;

  case 822:
#line 5849 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 32542 "gram.c" /* yacc.c:1652  */
    break;

  case 823:
#line 5858 "gram.y" /* yacc.c:1652  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32556 "gram.c" /* yacc.c:1652  */
    break;

  case 824:
#line 5869 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32562 "gram.c" /* yacc.c:1652  */
    break;

  case 825:
#line 5872 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32568 "gram.c" /* yacc.c:1652  */
    break;

  case 826:
#line 5873 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32574 "gram.c" /* yacc.c:1652  */
    break;

  case 827:
#line 5877 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32582 "gram.c" /* yacc.c:1652  */
    break;

  case 828:
#line 5881 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32590 "gram.c" /* yacc.c:1652  */
    break;

  case 829:
#line 5887 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 32596 "gram.c" /* yacc.c:1652  */
    break;

  case 830:
#line 5888 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32602 "gram.c" /* yacc.c:1652  */
    break;

  case 831:
#line 5889 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 32608 "gram.c" /* yacc.c:1652  */
    break;

  case 832:
#line 5890 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 32614 "gram.c" /* yacc.c:1652  */
    break;

  case 833:
#line 5891 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 32620 "gram.c" /* yacc.c:1652  */
    break;

  case 834:
#line 5892 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32626 "gram.c" /* yacc.c:1652  */
    break;

  case 835:
#line 5895 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32632 "gram.c" /* yacc.c:1652  */
    break;

  case 836:
#line 5898 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32638 "gram.c" /* yacc.c:1652  */
    break;

  case 837:
#line 5899 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32644 "gram.c" /* yacc.c:1652  */
    break;

  case 838:
#line 5908 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 32652 "gram.c" /* yacc.c:1652  */
    break;

  case 839:
#line 5914 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32658 "gram.c" /* yacc.c:1652  */
    break;

  case 840:
#line 5915 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32664 "gram.c" /* yacc.c:1652  */
    break;

  case 841:
#line 5919 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32670 "gram.c" /* yacc.c:1652  */
    break;

  case 842:
#line 5921 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32676 "gram.c" /* yacc.c:1652  */
    break;

  case 843:
#line 5932 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32691 "gram.c" /* yacc.c:1652  */
    break;

  case 844:
#line 5943 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32706 "gram.c" /* yacc.c:1652  */
    break;

  case 845:
#line 5954 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32721 "gram.c" /* yacc.c:1652  */
    break;

  case 846:
#line 5965 "gram.y" /* yacc.c:1652  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 32736 "gram.c" /* yacc.c:1652  */
    break;

  case 847:
#line 5977 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32742 "gram.c" /* yacc.c:1652  */
    break;

  case 848:
#line 5978 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32748 "gram.c" /* yacc.c:1652  */
    break;

  case 849:
#line 5996 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32763 "gram.c" /* yacc.c:1652  */
    break;

  case 850:
#line 6009 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32769 "gram.c" /* yacc.c:1652  */
    break;

  case 851:
#line 6010 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32775 "gram.c" /* yacc.c:1652  */
    break;

  case 852:
#line 6015 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32791 "gram.c" /* yacc.c:1652  */
    break;

  case 853:
#line 6028 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32804 "gram.c" /* yacc.c:1652  */
    break;

  case 854:
#line 6037 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 32816 "gram.c" /* yacc.c:1652  */
    break;

  case 855:
#line 6045 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 32829 "gram.c" /* yacc.c:1652  */
    break;

  case 856:
#line 6054 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 32840 "gram.c" /* yacc.c:1652  */
    break;

  case 857:
#line 6062 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 32846 "gram.c" /* yacc.c:1652  */
    break;

  case 858:
#line 6063 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32852 "gram.c" /* yacc.c:1652  */
    break;

  case 859:
#line 6066 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32858 "gram.c" /* yacc.c:1652  */
    break;

  case 860:
#line 6067 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32864 "gram.c" /* yacc.c:1652  */
    break;

  case 861:
#line 6070 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32870 "gram.c" /* yacc.c:1652  */
    break;

  case 862:
#line 6071 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32876 "gram.c" /* yacc.c:1652  */
    break;

  case 863:
#line 6072 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 32882 "gram.c" /* yacc.c:1652  */
    break;

  case 864:
#line 6076 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 32900 "gram.c" /* yacc.c:1652  */
    break;

  case 865:
#line 6089 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 32906 "gram.c" /* yacc.c:1652  */
    break;

  case 866:
#line 6095 "gram.y" /* yacc.c:1652  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32917 "gram.c" /* yacc.c:1652  */
    break;

  case 867:
#line 6105 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32930 "gram.c" /* yacc.c:1652  */
    break;

  case 868:
#line 6114 "gram.y" /* yacc.c:1652  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32943 "gram.c" /* yacc.c:1652  */
    break;

  case 869:
#line 6125 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32949 "gram.c" /* yacc.c:1652  */
    break;

  case 870:
#line 6126 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32955 "gram.c" /* yacc.c:1652  */
    break;

  case 871:
#line 6131 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32967 "gram.c" /* yacc.c:1652  */
    break;

  case 872:
#line 6139 "gram.y" /* yacc.c:1652  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32979 "gram.c" /* yacc.c:1652  */
    break;

  case 873:
#line 6151 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32993 "gram.c" /* yacc.c:1652  */
    break;

  case 874:
#line 6161 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33007 "gram.c" /* yacc.c:1652  */
    break;

  case 875:
#line 6174 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33021 "gram.c" /* yacc.c:1652  */
    break;

  case 876:
#line 6184 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33035 "gram.c" /* yacc.c:1652  */
    break;

  case 877:
#line 6206 "gram.y" /* yacc.c:1652  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33046 "gram.c" /* yacc.c:1652  */
    break;

  case 878:
#line 6216 "gram.y" /* yacc.c:1652  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 33057 "gram.c" /* yacc.c:1652  */
    break;

  case 879:
#line 6234 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33071 "gram.c" /* yacc.c:1652  */
    break;

  case 880:
#line 6244 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33085 "gram.c" /* yacc.c:1652  */
    break;

  case 881:
#line 6254 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33099 "gram.c" /* yacc.c:1652  */
    break;

  case 882:
#line 6264 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33113 "gram.c" /* yacc.c:1652  */
    break;

  case 883:
#line 6274 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33127 "gram.c" /* yacc.c:1652  */
    break;

  case 884:
#line 6284 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33141 "gram.c" /* yacc.c:1652  */
    break;

  case 885:
#line 6294 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33155 "gram.c" /* yacc.c:1652  */
    break;

  case 886:
#line 6304 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33169 "gram.c" /* yacc.c:1652  */
    break;

  case 887:
#line 6314 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33183 "gram.c" /* yacc.c:1652  */
    break;

  case 888:
#line 6324 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33197 "gram.c" /* yacc.c:1652  */
    break;

  case 889:
#line 6334 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 33211 "gram.c" /* yacc.c:1652  */
    break;

  case 890:
#line 6344 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 33225 "gram.c" /* yacc.c:1652  */
    break;

  case 891:
#line 6357 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33231 "gram.c" /* yacc.c:1652  */
    break;

  case 892:
#line 6358 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33237 "gram.c" /* yacc.c:1652  */
    break;

  case 893:
#line 6359 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 33243 "gram.c" /* yacc.c:1652  */
    break;

  case 894:
#line 6360 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33249 "gram.c" /* yacc.c:1652  */
    break;

  case 895:
#line 6361 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 33255 "gram.c" /* yacc.c:1652  */
    break;

  case 896:
#line 6362 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33261 "gram.c" /* yacc.c:1652  */
    break;

  case 897:
#line 6363 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 33267 "gram.c" /* yacc.c:1652  */
    break;

  case 898:
#line 6364 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 33273 "gram.c" /* yacc.c:1652  */
    break;

  case 899:
#line 6365 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 33279 "gram.c" /* yacc.c:1652  */
    break;

  case 900:
#line 6366 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 33285 "gram.c" /* yacc.c:1652  */
    break;

  case 901:
#line 6367 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 33291 "gram.c" /* yacc.c:1652  */
    break;

  case 902:
#line 6368 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 33297 "gram.c" /* yacc.c:1652  */
    break;

  case 903:
#line 6369 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 33303 "gram.c" /* yacc.c:1652  */
    break;

  case 904:
#line 6374 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 33309 "gram.c" /* yacc.c:1652  */
    break;

  case 905:
#line 6375 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33315 "gram.c" /* yacc.c:1652  */
    break;

  case 906:
#line 6376 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 33321 "gram.c" /* yacc.c:1652  */
    break;

  case 907:
#line 6377 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 33327 "gram.c" /* yacc.c:1652  */
    break;

  case 908:
#line 6378 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33333 "gram.c" /* yacc.c:1652  */
    break;

  case 909:
#line 6379 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33339 "gram.c" /* yacc.c:1652  */
    break;

  case 910:
#line 6380 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 33345 "gram.c" /* yacc.c:1652  */
    break;

  case 911:
#line 6385 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 33351 "gram.c" /* yacc.c:1652  */
    break;

  case 912:
#line 6386 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 33357 "gram.c" /* yacc.c:1652  */
    break;

  case 913:
#line 6387 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 33363 "gram.c" /* yacc.c:1652  */
    break;

  case 914:
#line 6391 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33369 "gram.c" /* yacc.c:1652  */
    break;

  case 915:
#line 6392 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 33375 "gram.c" /* yacc.c:1652  */
    break;

  case 916:
#line 6395 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33381 "gram.c" /* yacc.c:1652  */
    break;

  case 917:
#line 6396 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 33387 "gram.c" /* yacc.c:1652  */
    break;

  case 918:
#line 6400 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33393 "gram.c" /* yacc.c:1652  */
    break;

  case 919:
#line 6402 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 33399 "gram.c" /* yacc.c:1652  */
    break;

  case 920:
#line 6406 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33405 "gram.c" /* yacc.c:1652  */
    break;

  case 921:
#line 6407 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 33411 "gram.c" /* yacc.c:1652  */
    break;

  case 922:
#line 6419 "gram.y" /* yacc.c:1652  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33423 "gram.c" /* yacc.c:1652  */
    break;

  case 923:
#line 6429 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33429 "gram.c" /* yacc.c:1652  */
    break;

  case 924:
#line 6430 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 33435 "gram.c" /* yacc.c:1652  */
    break;

  case 925:
#line 6431 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 33441 "gram.c" /* yacc.c:1652  */
    break;

  case 926:
#line 6466 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33453 "gram.c" /* yacc.c:1652  */
    break;

  case 927:
#line 6474 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33465 "gram.c" /* yacc.c:1652  */
    break;

  case 928:
#line 6482 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33477 "gram.c" /* yacc.c:1652  */
    break;

  case 929:
#line 6490 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33489 "gram.c" /* yacc.c:1652  */
    break;

  case 930:
#line 6498 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33501 "gram.c" /* yacc.c:1652  */
    break;

  case 931:
#line 6506 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33513 "gram.c" /* yacc.c:1652  */
    break;

  case 932:
#line 6514 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33525 "gram.c" /* yacc.c:1652  */
    break;

  case 933:
#line 6522 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33537 "gram.c" /* yacc.c:1652  */
    break;

  case 934:
#line 6530 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33554 "gram.c" /* yacc.c:1652  */
    break;

  case 935:
#line 6543 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33566 "gram.c" /* yacc.c:1652  */
    break;

  case 936:
#line 6551 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33578 "gram.c" /* yacc.c:1652  */
    break;

  case 937:
#line 6559 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33590 "gram.c" /* yacc.c:1652  */
    break;

  case 938:
#line 6567 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33602 "gram.c" /* yacc.c:1652  */
    break;

  case 939:
#line 6575 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33614 "gram.c" /* yacc.c:1652  */
    break;

  case 940:
#line 6583 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33626 "gram.c" /* yacc.c:1652  */
    break;

  case 941:
#line 6591 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33638 "gram.c" /* yacc.c:1652  */
    break;

  case 942:
#line 6599 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33650 "gram.c" /* yacc.c:1652  */
    break;

  case 943:
#line 6607 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33662 "gram.c" /* yacc.c:1652  */
    break;

  case 944:
#line 6615 "gram.y" /* yacc.c:1652  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33674 "gram.c" /* yacc.c:1652  */
    break;

  case 945:
#line 6626 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 33680 "gram.c" /* yacc.c:1652  */
    break;

  case 946:
#line 6627 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 33686 "gram.c" /* yacc.c:1652  */
    break;

  case 947:
#line 6628 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33692 "gram.c" /* yacc.c:1652  */
    break;

  case 948:
#line 6629 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 33698 "gram.c" /* yacc.c:1652  */
    break;

  case 949:
#line 6630 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33704 "gram.c" /* yacc.c:1652  */
    break;

  case 950:
#line 6631 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 33710 "gram.c" /* yacc.c:1652  */
    break;

  case 951:
#line 6632 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33716 "gram.c" /* yacc.c:1652  */
    break;

  case 952:
#line 6633 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 33722 "gram.c" /* yacc.c:1652  */
    break;

  case 953:
#line 6634 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 33728 "gram.c" /* yacc.c:1652  */
    break;

  case 954:
#line 6635 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33734 "gram.c" /* yacc.c:1652  */
    break;

  case 955:
#line 6636 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 33740 "gram.c" /* yacc.c:1652  */
    break;

  case 956:
#line 6637 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 33746 "gram.c" /* yacc.c:1652  */
    break;

  case 957:
#line 6638 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 33752 "gram.c" /* yacc.c:1652  */
    break;

  case 958:
#line 6639 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 33758 "gram.c" /* yacc.c:1652  */
    break;

  case 959:
#line 6644 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 33764 "gram.c" /* yacc.c:1652  */
    break;

  case 960:
#line 6645 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 33770 "gram.c" /* yacc.c:1652  */
    break;

  case 961:
#line 6646 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33776 "gram.c" /* yacc.c:1652  */
    break;

  case 962:
#line 6647 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 33782 "gram.c" /* yacc.c:1652  */
    break;

  case 963:
#line 6648 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 33788 "gram.c" /* yacc.c:1652  */
    break;

  case 964:
#line 6649 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 33794 "gram.c" /* yacc.c:1652  */
    break;

  case 965:
#line 6650 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33800 "gram.c" /* yacc.c:1652  */
    break;

  case 966:
#line 6651 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 33806 "gram.c" /* yacc.c:1652  */
    break;

  case 967:
#line 6652 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33812 "gram.c" /* yacc.c:1652  */
    break;

  case 968:
#line 6653 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 33818 "gram.c" /* yacc.c:1652  */
    break;

  case 969:
#line 6654 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 33824 "gram.c" /* yacc.c:1652  */
    break;

  case 970:
#line 6655 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 33830 "gram.c" /* yacc.c:1652  */
    break;

  case 971:
#line 6659 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33836 "gram.c" /* yacc.c:1652  */
    break;

  case 972:
#line 6660 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 33842 "gram.c" /* yacc.c:1652  */
    break;

  case 973:
#line 6676 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33855 "gram.c" /* yacc.c:1652  */
    break;

  case 974:
#line 6686 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33868 "gram.c" /* yacc.c:1652  */
    break;

  case 975:
#line 6696 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33881 "gram.c" /* yacc.c:1652  */
    break;

  case 976:
#line 6706 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33894 "gram.c" /* yacc.c:1652  */
    break;

  case 977:
#line 6716 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33907 "gram.c" /* yacc.c:1652  */
    break;

  case 978:
#line 6726 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33920 "gram.c" /* yacc.c:1652  */
    break;

  case 979:
#line 6736 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33933 "gram.c" /* yacc.c:1652  */
    break;

  case 980:
#line 6746 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33946 "gram.c" /* yacc.c:1652  */
    break;

  case 981:
#line 6756 "gram.y" /* yacc.c:1652  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33959 "gram.c" /* yacc.c:1652  */
    break;

  case 982:
#line 6766 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33965 "gram.c" /* yacc.c:1652  */
    break;

  case 983:
#line 6767 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 33971 "gram.c" /* yacc.c:1652  */
    break;

  case 984:
#line 6772 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 33977 "gram.c" /* yacc.c:1652  */
    break;

  case 985:
#line 6773 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33983 "gram.c" /* yacc.c:1652  */
    break;

  case 986:
#line 6774 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33989 "gram.c" /* yacc.c:1652  */
    break;

  case 987:
#line 6775 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33995 "gram.c" /* yacc.c:1652  */
    break;

  case 988:
#line 6776 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 34001 "gram.c" /* yacc.c:1652  */
    break;

  case 989:
#line 6777 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 34007 "gram.c" /* yacc.c:1652  */
    break;

  case 990:
#line 6782 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 34013 "gram.c" /* yacc.c:1652  */
    break;

  case 991:
#line 6783 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 34019 "gram.c" /* yacc.c:1652  */
    break;

  case 992:
#line 6784 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 34025 "gram.c" /* yacc.c:1652  */
    break;

  case 993:
#line 6785 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 34031 "gram.c" /* yacc.c:1652  */
    break;

  case 994:
#line 6786 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 34037 "gram.c" /* yacc.c:1652  */
    break;

  case 995:
#line 6787 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 34043 "gram.c" /* yacc.c:1652  */
    break;

  case 996:
#line 6788 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 34049 "gram.c" /* yacc.c:1652  */
    break;

  case 997:
#line 6789 "gram.y" /* yacc.c:1652  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 34055 "gram.c" /* yacc.c:1652  */
    break;

  case 998:
#line 6792 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34061 "gram.c" /* yacc.c:1652  */
    break;

  case 999:
#line 6793 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 34067 "gram.c" /* yacc.c:1652  */
    break;

  case 1000:
#line 6804 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = false;
					(yyval.node) = (Node *)n;
				}
#line 34077 "gram.c" /* yacc.c:1652  */
    break;

  case 1001:
#line 6810 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = true;
					(yyval.node) = (Node *)n;
				}
#line 34087 "gram.c" /* yacc.c:1652  */
    break;

  case 1002:
#line 6818 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34099 "gram.c" /* yacc.c:1652  */
    break;

  case 1003:
#line 6826 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34111 "gram.c" /* yacc.c:1652  */
    break;

  case 1004:
#line 6834 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34123 "gram.c" /* yacc.c:1652  */
    break;

  case 1005:
#line 6842 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34135 "gram.c" /* yacc.c:1652  */
    break;

  case 1006:
#line 6850 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34147 "gram.c" /* yacc.c:1652  */
    break;

  case 1007:
#line 6858 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 34159 "gram.c" /* yacc.c:1652  */
    break;

  case 1008:
#line 6866 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34171 "gram.c" /* yacc.c:1652  */
    break;

  case 1009:
#line 6874 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34183 "gram.c" /* yacc.c:1652  */
    break;

  case 1010:
#line 6882 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34195 "gram.c" /* yacc.c:1652  */
    break;

  case 1011:
#line 6890 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34207 "gram.c" /* yacc.c:1652  */
    break;

  case 1012:
#line 6898 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34219 "gram.c" /* yacc.c:1652  */
    break;

  case 1013:
#line 6906 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34231 "gram.c" /* yacc.c:1652  */
    break;

  case 1014:
#line 6914 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34243 "gram.c" /* yacc.c:1652  */
    break;

  case 1015:
#line 6922 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 34255 "gram.c" /* yacc.c:1652  */
    break;

  case 1016:
#line 6930 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 34267 "gram.c" /* yacc.c:1652  */
    break;

  case 1017:
#line 6938 "gram.y" /* yacc.c:1652  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 34279 "gram.c" /* yacc.c:1652  */
    break;

  case 1018:
#line 6947 "gram.y" /* yacc.c:1652  */
    {}
#line 34285 "gram.c" /* yacc.c:1652  */
    break;

  case 1019:
#line 6948 "gram.y" /* yacc.c:1652  */
    {}
#line 34291 "gram.c" /* yacc.c:1652  */
    break;

  case 1020:
#line 6951 "gram.y" /* yacc.c:1652  */
    {}
#line 34297 "gram.c" /* yacc.c:1652  */
    break;

  case 1021:
#line 6952 "gram.y" /* yacc.c:1652  */
    {}
#line 34303 "gram.c" /* yacc.c:1652  */
    break;

  case 1022:
#line 6964 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34319 "gram.c" /* yacc.c:1652  */
    break;

  case 1023:
#line 6980 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34336 "gram.c" /* yacc.c:1652  */
    break;

  case 1024:
#line 6994 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34353 "gram.c" /* yacc.c:1652  */
    break;

  case 1025:
#line 7019 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34359 "gram.c" /* yacc.c:1652  */
    break;

  case 1026:
#line 7021 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34365 "gram.c" /* yacc.c:1652  */
    break;

  case 1027:
#line 7023 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34371 "gram.c" /* yacc.c:1652  */
    break;

  case 1028:
#line 7025 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 34382 "gram.c" /* yacc.c:1652  */
    break;

  case 1029:
#line 7032 "gram.y" /* yacc.c:1652  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 34393 "gram.c" /* yacc.c:1652  */
    break;

  case 1030:
#line 7040 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 34399 "gram.c" /* yacc.c:1652  */
    break;

  case 1031:
#line 7041 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 34405 "gram.c" /* yacc.c:1652  */
    break;

  case 1032:
#line 7045 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34416 "gram.c" /* yacc.c:1652  */
    break;

  case 1033:
#line 7052 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34427 "gram.c" /* yacc.c:1652  */
    break;

  case 1034:
#line 7059 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34438 "gram.c" /* yacc.c:1652  */
    break;

  case 1035:
#line 7066 "gram.y" /* yacc.c:1652  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34449 "gram.c" /* yacc.c:1652  */
    break;

  case 1036:
#line 7080 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34461 "gram.c" /* yacc.c:1652  */
    break;

  case 1037:
#line 7088 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34473 "gram.c" /* yacc.c:1652  */
    break;

  case 1038:
#line 7096 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34485 "gram.c" /* yacc.c:1652  */
    break;

  case 1039:
#line 7104 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34497 "gram.c" /* yacc.c:1652  */
    break;

  case 1040:
#line 7112 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34509 "gram.c" /* yacc.c:1652  */
    break;

  case 1041:
#line 7120 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34521 "gram.c" /* yacc.c:1652  */
    break;

  case 1042:
#line 7128 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34533 "gram.c" /* yacc.c:1652  */
    break;

  case 1043:
#line 7136 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34545 "gram.c" /* yacc.c:1652  */
    break;

  case 1044:
#line 7144 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34557 "gram.c" /* yacc.c:1652  */
    break;

  case 1045:
#line 7152 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34569 "gram.c" /* yacc.c:1652  */
    break;

  case 1046:
#line 7160 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34581 "gram.c" /* yacc.c:1652  */
    break;

  case 1047:
#line 7168 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34593 "gram.c" /* yacc.c:1652  */
    break;

  case 1048:
#line 7176 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34605 "gram.c" /* yacc.c:1652  */
    break;

  case 1049:
#line 7184 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34617 "gram.c" /* yacc.c:1652  */
    break;

  case 1050:
#line 7192 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34629 "gram.c" /* yacc.c:1652  */
    break;

  case 1051:
#line 7200 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34641 "gram.c" /* yacc.c:1652  */
    break;

  case 1052:
#line 7208 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34653 "gram.c" /* yacc.c:1652  */
    break;

  case 1053:
#line 7216 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34665 "gram.c" /* yacc.c:1652  */
    break;

  case 1054:
#line 7224 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34677 "gram.c" /* yacc.c:1652  */
    break;

  case 1055:
#line 7232 "gram.y" /* yacc.c:1652  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34689 "gram.c" /* yacc.c:1652  */
    break;

  case 1056:
#line 7243 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 34695 "gram.c" /* yacc.c:1652  */
    break;

  case 1057:
#line 7244 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 34701 "gram.c" /* yacc.c:1652  */
    break;

  case 1058:
#line 7248 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34707 "gram.c" /* yacc.c:1652  */
    break;

  case 1059:
#line 7249 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34713 "gram.c" /* yacc.c:1652  */
    break;

  case 1060:
#line 7254 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 34719 "gram.c" /* yacc.c:1652  */
    break;

  case 1061:
#line 7255 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 34725 "gram.c" /* yacc.c:1652  */
    break;

  case 1062:
#line 7266 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 34739 "gram.c" /* yacc.c:1652  */
    break;

  case 1063:
#line 7279 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34753 "gram.c" /* yacc.c:1652  */
    break;

  case 1064:
#line 7289 "gram.y" /* yacc.c:1652  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34767 "gram.c" /* yacc.c:1652  */
    break;

  case 1065:
#line 7300 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 34773 "gram.c" /* yacc.c:1652  */
    break;

  case 1066:
#line 7301 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 34779 "gram.c" /* yacc.c:1652  */
    break;

  case 1067:
#line 7304 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34785 "gram.c" /* yacc.c:1652  */
    break;

  case 1068:
#line 7305 "gram.y" /* yacc.c:1652  */
    { (yyval.rolespec) = NULL; }
#line 34791 "gram.c" /* yacc.c:1652  */
    break;

  case 1069:
#line 7316 "gram.y" /* yacc.c:1652  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 34802 "gram.c" /* yacc.c:1652  */
    break;

  case 1070:
#line 7325 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34808 "gram.c" /* yacc.c:1652  */
    break;

  case 1071:
#line 7326 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 34814 "gram.c" /* yacc.c:1652  */
    break;

  case 1072:
#line 7331 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34822 "gram.c" /* yacc.c:1652  */
    break;

  case 1073:
#line 7335 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34830 "gram.c" /* yacc.c:1652  */
    break;

  case 1074:
#line 7339 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34838 "gram.c" /* yacc.c:1652  */
    break;

  case 1075:
#line 7351 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34854 "gram.c" /* yacc.c:1652  */
    break;

  case 1076:
#line 7364 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34871 "gram.c" /* yacc.c:1652  */
    break;

  case 1077:
#line 7378 "gram.y" /* yacc.c:1652  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34888 "gram.c" /* yacc.c:1652  */
    break;

  case 1078:
#line 7393 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 34894 "gram.c" /* yacc.c:1652  */
    break;

  case 1079:
#line 7394 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 34900 "gram.c" /* yacc.c:1652  */
    break;

  case 1080:
#line 7395 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 34906 "gram.c" /* yacc.c:1652  */
    break;

  case 1081:
#line 7396 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 34912 "gram.c" /* yacc.c:1652  */
    break;

  case 1082:
#line 7397 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 34918 "gram.c" /* yacc.c:1652  */
    break;

  case 1083:
#line 7398 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 34924 "gram.c" /* yacc.c:1652  */
    break;

  case 1084:
#line 7413 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-13].boolean);
					n->concurrent = (yyvsp[-11].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilenodeSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 34956 "gram.c" /* yacc.c:1652  */
    break;

  case 1085:
#line 7443 "gram.y" /* yacc.c:1652  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-16].boolean);
					n->concurrent = (yyvsp[-14].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilenodeSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *)n;
				}
#line 34988 "gram.c" /* yacc.c:1652  */
    break;

  case 1086:
#line 7473 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 34994 "gram.c" /* yacc.c:1652  */
    break;

  case 1087:
#line 7474 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 35000 "gram.c" /* yacc.c:1652  */
    break;

  case 1088:
#line 7478 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 35006 "gram.c" /* yacc.c:1652  */
    break;

  case 1089:
#line 7479 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 35012 "gram.c" /* yacc.c:1652  */
    break;

  case 1090:
#line 7483 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35018 "gram.c" /* yacc.c:1652  */
    break;

  case 1091:
#line 7484 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 35024 "gram.c" /* yacc.c:1652  */
    break;

  case 1092:
#line 7488 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35030 "gram.c" /* yacc.c:1652  */
    break;

  case 1093:
#line 7489 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 35036 "gram.c" /* yacc.c:1652  */
    break;

  case 1094:
#line 7492 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35042 "gram.c" /* yacc.c:1652  */
    break;

  case 1095:
#line 7493 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35048 "gram.c" /* yacc.c:1652  */
    break;

  case 1096:
#line 7499 "gram.y" /* yacc.c:1652  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 35064 "gram.c" /* yacc.c:1652  */
    break;

  case 1097:
#line 7511 "gram.y" /* yacc.c:1652  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 35080 "gram.c" /* yacc.c:1652  */
    break;

  case 1098:
#line 7530 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 35089 "gram.c" /* yacc.c:1652  */
    break;

  case 1099:
#line 7535 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 35098 "gram.c" /* yacc.c:1652  */
    break;

  case 1100:
#line 7540 "gram.y" /* yacc.c:1652  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 35107 "gram.c" /* yacc.c:1652  */
    break;

  case 1101:
#line 7546 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35113 "gram.c" /* yacc.c:1652  */
    break;

  case 1102:
#line 7547 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35119 "gram.c" /* yacc.c:1652  */
    break;

  case 1103:
#line 7550 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 35125 "gram.c" /* yacc.c:1652  */
    break;

  case 1104:
#line 7551 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 35131 "gram.c" /* yacc.c:1652  */
    break;

  case 1105:
#line 7554 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35137 "gram.c" /* yacc.c:1652  */
    break;

  case 1106:
#line 7555 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35143 "gram.c" /* yacc.c:1652  */
    break;

  case 1107:
#line 7558 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35149 "gram.c" /* yacc.c:1652  */
    break;

  case 1108:
#line 7559 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35155 "gram.c" /* yacc.c:1652  */
    break;

  case 1109:
#line 7562 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_ASC; }
#line 35161 "gram.c" /* yacc.c:1652  */
    break;

  case 1110:
#line 7563 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DESC; }
#line 35167 "gram.c" /* yacc.c:1652  */
    break;

  case 1111:
#line 7564 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 35173 "gram.c" /* yacc.c:1652  */
    break;

  case 1112:
#line 7567 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 35179 "gram.c" /* yacc.c:1652  */
    break;

  case 1113:
#line 7568 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 35185 "gram.c" /* yacc.c:1652  */
    break;

  case 1114:
#line 7569 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 35191 "gram.c" /* yacc.c:1652  */
    break;

  case 1115:
#line 7587 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-6].boolean);
					n->funcname = (yyvsp[-4].list);
					n->parameters = (yyvsp[-3].list);
					n->returnType = (yyvsp[-1].typnam);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35206 "gram.c" /* yacc.c:1652  */
    break;

  case 1116:
#line 7599 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-9].boolean);
					n->funcname = (yyvsp[-7].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-6].list), (yyvsp[-2].list));
					n->returnType = TableFuncTypeName((yyvsp[-2].list));
					n->returnType->location = (yylsp[-4]);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35222 "gram.c" /* yacc.c:1652  */
    break;

  case 1117:
#line 7612 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35237 "gram.c" /* yacc.c:1652  */
    break;

  case 1118:
#line 7624 "gram.y" /* yacc.c:1652  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = true;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35252 "gram.c" /* yacc.c:1652  */
    break;

  case 1119:
#line 7637 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 35258 "gram.c" /* yacc.c:1652  */
    break;

  case 1120:
#line 7638 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 35264 "gram.c" /* yacc.c:1652  */
    break;

  case 1121:
#line 7641 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35270 "gram.c" /* yacc.c:1652  */
    break;

  case 1122:
#line 7642 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35276 "gram.c" /* yacc.c:1652  */
    break;

  case 1123:
#line 7646 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35282 "gram.c" /* yacc.c:1652  */
    break;

  case 1124:
#line 7647 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35288 "gram.c" /* yacc.c:1652  */
    break;

  case 1125:
#line 7651 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35294 "gram.c" /* yacc.c:1652  */
    break;

  case 1126:
#line 7653 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35300 "gram.c" /* yacc.c:1652  */
    break;

  case 1127:
#line 7658 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 35311 "gram.c" /* yacc.c:1652  */
    break;

  case 1128:
#line 7670 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35322 "gram.c" /* yacc.c:1652  */
    break;

  case 1129:
#line 7677 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35333 "gram.c" /* yacc.c:1652  */
    break;

  case 1130:
#line 7684 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 35345 "gram.c" /* yacc.c:1652  */
    break;

  case 1131:
#line 7698 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35351 "gram.c" /* yacc.c:1652  */
    break;

  case 1132:
#line 7699 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35357 "gram.c" /* yacc.c:1652  */
    break;

  case 1133:
#line 7703 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35363 "gram.c" /* yacc.c:1652  */
    break;

  case 1134:
#line 7705 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35369 "gram.c" /* yacc.c:1652  */
    break;

  case 1135:
#line 7720 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35382 "gram.c" /* yacc.c:1652  */
    break;

  case 1136:
#line 7729 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35395 "gram.c" /* yacc.c:1652  */
    break;

  case 1137:
#line 7738 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35408 "gram.c" /* yacc.c:1652  */
    break;

  case 1138:
#line 7747 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35421 "gram.c" /* yacc.c:1652  */
    break;

  case 1139:
#line 7756 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35434 "gram.c" /* yacc.c:1652  */
    break;

  case 1140:
#line 7767 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 35440 "gram.c" /* yacc.c:1652  */
    break;

  case 1141:
#line 7768 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 35446 "gram.c" /* yacc.c:1652  */
    break;

  case 1142:
#line 7769 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 35452 "gram.c" /* yacc.c:1652  */
    break;

  case 1143:
#line 7770 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 35458 "gram.c" /* yacc.c:1652  */
    break;

  case 1144:
#line 7771 "gram.y" /* yacc.c:1652  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 35464 "gram.c" /* yacc.c:1652  */
    break;

  case 1146:
#line 7782 "gram.y" /* yacc.c:1652  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 35476 "gram.c" /* yacc.c:1652  */
    break;

  case 1147:
#line 7796 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 35482 "gram.c" /* yacc.c:1652  */
    break;

  case 1148:
#line 7798 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35492 "gram.c" /* yacc.c:1652  */
    break;

  case 1149:
#line 7804 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35503 "gram.c" /* yacc.c:1652  */
    break;

  case 1150:
#line 7814 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35511 "gram.c" /* yacc.c:1652  */
    break;

  case 1151:
#line 7818 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35520 "gram.c" /* yacc.c:1652  */
    break;

  case 1152:
#line 7823 "gram.y" /* yacc.c:1652  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35529 "gram.c" /* yacc.c:1652  */
    break;

  case 1153:
#line 7831 "gram.y" /* yacc.c:1652  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35543 "gram.c" /* yacc.c:1652  */
    break;

  case 1154:
#line 7872 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 35551 "gram.c" /* yacc.c:1652  */
    break;

  case 1155:
#line 7876 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 35559 "gram.c" /* yacc.c:1652  */
    break;

  case 1156:
#line 7880 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 35567 "gram.c" /* yacc.c:1652  */
    break;

  case 1157:
#line 7884 "gram.y" /* yacc.c:1652  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 35576 "gram.c" /* yacc.c:1652  */
    break;

  case 1158:
#line 7891 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35582 "gram.c" /* yacc.c:1652  */
    break;

  case 1159:
#line 7892 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35588 "gram.c" /* yacc.c:1652  */
    break;

  case 1160:
#line 7897 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 35599 "gram.c" /* yacc.c:1652  */
    break;

  case 1161:
#line 7906 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35605 "gram.c" /* yacc.c:1652  */
    break;

  case 1162:
#line 7908 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35611 "gram.c" /* yacc.c:1652  */
    break;

  case 1163:
#line 7913 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35617 "gram.c" /* yacc.c:1652  */
    break;

  case 1164:
#line 7914 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35623 "gram.c" /* yacc.c:1652  */
    break;

  case 1165:
#line 7922 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(false), (yylsp[-3]));
				}
#line 35631 "gram.c" /* yacc.c:1652  */
    break;

  case 1166:
#line 7926 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[-4]));
				}
#line 35639 "gram.c" /* yacc.c:1652  */
    break;

  case 1167:
#line 7930 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35647 "gram.c" /* yacc.c:1652  */
    break;

  case 1168:
#line 7934 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 35655 "gram.c" /* yacc.c:1652  */
    break;

  case 1169:
#line 7938 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 35663 "gram.c" /* yacc.c:1652  */
    break;

  case 1170:
#line 7942 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 35671 "gram.c" /* yacc.c:1652  */
    break;

  case 1171:
#line 7946 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-2]));
				}
#line 35679 "gram.c" /* yacc.c:1652  */
    break;

  case 1172:
#line 7950 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-2]));
				}
#line 35687 "gram.c" /* yacc.c:1652  */
    break;

  case 1173:
#line 7954 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 35695 "gram.c" /* yacc.c:1652  */
    break;

  case 1174:
#line 7958 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 35703 "gram.c" /* yacc.c:1652  */
    break;

  case 1175:
#line 7962 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35711 "gram.c" /* yacc.c:1652  */
    break;

  case 1176:
#line 7966 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 35719 "gram.c" /* yacc.c:1652  */
    break;

  case 1177:
#line 7970 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 35727 "gram.c" /* yacc.c:1652  */
    break;

  case 1178:
#line 7974 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 35735 "gram.c" /* yacc.c:1652  */
    break;

  case 1179:
#line 7978 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35743 "gram.c" /* yacc.c:1652  */
    break;

  case 1180:
#line 7982 "gram.y" /* yacc.c:1652  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 35752 "gram.c" /* yacc.c:1652  */
    break;

  case 1181:
#line 7987 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35760 "gram.c" /* yacc.c:1652  */
    break;

  case 1182:
#line 7994 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35768 "gram.c" /* yacc.c:1652  */
    break;

  case 1183:
#line 7998 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35776 "gram.c" /* yacc.c:1652  */
    break;

  case 1184:
#line 8002 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35784 "gram.c" /* yacc.c:1652  */
    break;

  case 1185:
#line 8006 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35792 "gram.c" /* yacc.c:1652  */
    break;

  case 1186:
#line 8010 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35800 "gram.c" /* yacc.c:1652  */
    break;

  case 1187:
#line 8015 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35806 "gram.c" /* yacc.c:1652  */
    break;

  case 1188:
#line 8017 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 35814 "gram.c" /* yacc.c:1652  */
    break;

  case 1189:
#line 8023 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 35820 "gram.c" /* yacc.c:1652  */
    break;

  case 1190:
#line 8024 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 35826 "gram.c" /* yacc.c:1652  */
    break;

  case 1191:
#line 8028 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35832 "gram.c" /* yacc.c:1652  */
    break;

  case 1192:
#line 8029 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 35838 "gram.c" /* yacc.c:1652  */
    break;

  case 1193:
#line 8033 "gram.y" /* yacc.c:1652  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35851 "gram.c" /* yacc.c:1652  */
    break;

  case 1194:
#line 8045 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 35859 "gram.c" /* yacc.c:1652  */
    break;

  case 1195:
#line 8049 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 35867 "gram.c" /* yacc.c:1652  */
    break;

  case 1196:
#line 8064 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35879 "gram.c" /* yacc.c:1652  */
    break;

  case 1197:
#line 8072 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35891 "gram.c" /* yacc.c:1652  */
    break;

  case 1198:
#line 8080 "gram.y" /* yacc.c:1652  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35903 "gram.c" /* yacc.c:1652  */
    break;

  case 1199:
#line 8091 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35909 "gram.c" /* yacc.c:1652  */
    break;

  case 1200:
#line 8092 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35915 "gram.c" /* yacc.c:1652  */
    break;

  case 1203:
#line 8116 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35929 "gram.c" /* yacc.c:1652  */
    break;

  case 1204:
#line 8126 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35943 "gram.c" /* yacc.c:1652  */
    break;

  case 1205:
#line 8136 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35957 "gram.c" /* yacc.c:1652  */
    break;

  case 1206:
#line 8146 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35971 "gram.c" /* yacc.c:1652  */
    break;

  case 1207:
#line 8156 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35985 "gram.c" /* yacc.c:1652  */
    break;

  case 1208:
#line 8166 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35999 "gram.c" /* yacc.c:1652  */
    break;

  case 1209:
#line 8179 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36013 "gram.c" /* yacc.c:1652  */
    break;

  case 1210:
#line 8189 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36027 "gram.c" /* yacc.c:1652  */
    break;

  case 1211:
#line 8202 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36041 "gram.c" /* yacc.c:1652  */
    break;

  case 1212:
#line 8212 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36055 "gram.c" /* yacc.c:1652  */
    break;

  case 1213:
#line 8225 "gram.y" /* yacc.c:1652  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 36067 "gram.c" /* yacc.c:1652  */
    break;

  case 1214:
#line 8233 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 36073 "gram.c" /* yacc.c:1652  */
    break;

  case 1215:
#line 8235 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 36079 "gram.c" /* yacc.c:1652  */
    break;

  case 1216:
#line 8237 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 36085 "gram.c" /* yacc.c:1652  */
    break;

  case 1217:
#line 8242 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36091 "gram.c" /* yacc.c:1652  */
    break;

  case 1218:
#line 8244 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 36097 "gram.c" /* yacc.c:1652  */
    break;

  case 1219:
#line 8248 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 36103 "gram.c" /* yacc.c:1652  */
    break;

  case 1220:
#line 8250 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 36109 "gram.c" /* yacc.c:1652  */
    break;

  case 1221:
#line 8255 "gram.y" /* yacc.c:1652  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 36120 "gram.c" /* yacc.c:1652  */
    break;

  case 1222:
#line 8273 "gram.y" /* yacc.c:1652  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36130 "gram.c" /* yacc.c:1652  */
    break;

  case 1223:
#line 8281 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36136 "gram.c" /* yacc.c:1652  */
    break;

  case 1224:
#line 8282 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36142 "gram.c" /* yacc.c:1652  */
    break;

  case 1225:
#line 8287 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 36150 "gram.c" /* yacc.c:1652  */
    break;

  case 1226:
#line 8291 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 36158 "gram.c" /* yacc.c:1652  */
    break;

  case 1227:
#line 8304 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 36172 "gram.c" /* yacc.c:1652  */
    break;

  case 1228:
#line 8315 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 36186 "gram.c" /* yacc.c:1652  */
    break;

  case 1229:
#line 8326 "gram.y" /* yacc.c:1652  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 36200 "gram.c" /* yacc.c:1652  */
    break;

  case 1230:
#line 8337 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 36206 "gram.c" /* yacc.c:1652  */
    break;

  case 1231:
#line 8338 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 36212 "gram.c" /* yacc.c:1652  */
    break;

  case 1232:
#line 8339 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 36218 "gram.c" /* yacc.c:1652  */
    break;

  case 1233:
#line 8344 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 36232 "gram.c" /* yacc.c:1652  */
    break;

  case 1234:
#line 8355 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 36238 "gram.c" /* yacc.c:1652  */
    break;

  case 1235:
#line 8356 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 36244 "gram.c" /* yacc.c:1652  */
    break;

  case 1236:
#line 8367 "gram.y" /* yacc.c:1652  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 36258 "gram.c" /* yacc.c:1652  */
    break;

  case 1237:
#line 8379 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 36266 "gram.c" /* yacc.c:1652  */
    break;

  case 1238:
#line 8383 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 36274 "gram.c" /* yacc.c:1652  */
    break;

  case 1239:
#line 8387 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 36282 "gram.c" /* yacc.c:1652  */
    break;

  case 1240:
#line 8391 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 36290 "gram.c" /* yacc.c:1652  */
    break;

  case 1241:
#line 8398 "gram.y" /* yacc.c:1652  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 36303 "gram.c" /* yacc.c:1652  */
    break;

  case 1242:
#line 8418 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 36317 "gram.c" /* yacc.c:1652  */
    break;

  case 1243:
#line 8428 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 36331 "gram.c" /* yacc.c:1652  */
    break;

  case 1244:
#line 8438 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-4].ival);
					(yyval.node) = (Node *)n;
				}
#line 36345 "gram.c" /* yacc.c:1652  */
    break;

  case 1245:
#line 8448 "gram.y" /* yacc.c:1652  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].ival);
					n->concurrent = (yyvsp[-1].boolean);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-4].ival);
					(yyval.node) = (Node *)n;
				}
#line 36359 "gram.c" /* yacc.c:1652  */
    break;

  case 1246:
#line 8459 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 36365 "gram.c" /* yacc.c:1652  */
    break;

  case 1247:
#line 8460 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 36371 "gram.c" /* yacc.c:1652  */
    break;

  case 1248:
#line 8463 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 36377 "gram.c" /* yacc.c:1652  */
    break;

  case 1249:
#line 8464 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 36383 "gram.c" /* yacc.c:1652  */
    break;

  case 1250:
#line 8465 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 36389 "gram.c" /* yacc.c:1652  */
    break;

  case 1251:
#line 8468 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36395 "gram.c" /* yacc.c:1652  */
    break;

  case 1252:
#line 8469 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 36401 "gram.c" /* yacc.c:1652  */
    break;

  case 1253:
#line 8472 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 36407 "gram.c" /* yacc.c:1652  */
    break;

  case 1254:
#line 8483 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *)n;
				}
#line 36420 "gram.c" /* yacc.c:1652  */
    break;

  case 1255:
#line 8492 "gram.y" /* yacc.c:1652  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *)n;
				}
#line 36433 "gram.c" /* yacc.c:1652  */
    break;

  case 1256:
#line 8509 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36446 "gram.c" /* yacc.c:1652  */
    break;

  case 1257:
#line 8518 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36459 "gram.c" /* yacc.c:1652  */
    break;

  case 1258:
#line 8527 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36472 "gram.c" /* yacc.c:1652  */
    break;

  case 1259:
#line 8536 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36485 "gram.c" /* yacc.c:1652  */
    break;

  case 1260:
#line 8545 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36498 "gram.c" /* yacc.c:1652  */
    break;

  case 1261:
#line 8554 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36511 "gram.c" /* yacc.c:1652  */
    break;

  case 1262:
#line 8563 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36524 "gram.c" /* yacc.c:1652  */
    break;

  case 1263:
#line 8572 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36537 "gram.c" /* yacc.c:1652  */
    break;

  case 1264:
#line 8581 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36550 "gram.c" /* yacc.c:1652  */
    break;

  case 1265:
#line 8590 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36563 "gram.c" /* yacc.c:1652  */
    break;

  case 1266:
#line 8599 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36576 "gram.c" /* yacc.c:1652  */
    break;

  case 1267:
#line 8608 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36589 "gram.c" /* yacc.c:1652  */
    break;

  case 1268:
#line 8617 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36603 "gram.c" /* yacc.c:1652  */
    break;

  case 1269:
#line 8627 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36617 "gram.c" /* yacc.c:1652  */
    break;

  case 1270:
#line 8637 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36630 "gram.c" /* yacc.c:1652  */
    break;

  case 1271:
#line 8646 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36643 "gram.c" /* yacc.c:1652  */
    break;

  case 1272:
#line 8655 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36656 "gram.c" /* yacc.c:1652  */
    break;

  case 1273:
#line 8664 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36669 "gram.c" /* yacc.c:1652  */
    break;

  case 1274:
#line 8673 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36682 "gram.c" /* yacc.c:1652  */
    break;

  case 1275:
#line 8682 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36695 "gram.c" /* yacc.c:1652  */
    break;

  case 1276:
#line 8691 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36709 "gram.c" /* yacc.c:1652  */
    break;

  case 1277:
#line 8701 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36723 "gram.c" /* yacc.c:1652  */
    break;

  case 1278:
#line 8711 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36737 "gram.c" /* yacc.c:1652  */
    break;

  case 1279:
#line 8721 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36751 "gram.c" /* yacc.c:1652  */
    break;

  case 1280:
#line 8731 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36765 "gram.c" /* yacc.c:1652  */
    break;

  case 1281:
#line 8741 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36779 "gram.c" /* yacc.c:1652  */
    break;

  case 1282:
#line 8751 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36793 "gram.c" /* yacc.c:1652  */
    break;

  case 1283:
#line 8761 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36807 "gram.c" /* yacc.c:1652  */
    break;

  case 1284:
#line 8771 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36821 "gram.c" /* yacc.c:1652  */
    break;

  case 1285:
#line 8781 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36835 "gram.c" /* yacc.c:1652  */
    break;

  case 1286:
#line 8791 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36849 "gram.c" /* yacc.c:1652  */
    break;

  case 1287:
#line 8801 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36863 "gram.c" /* yacc.c:1652  */
    break;

  case 1288:
#line 8811 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36878 "gram.c" /* yacc.c:1652  */
    break;

  case 1289:
#line 8822 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36893 "gram.c" /* yacc.c:1652  */
    break;

  case 1290:
#line 8833 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36908 "gram.c" /* yacc.c:1652  */
    break;

  case 1291:
#line 8844 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36923 "gram.c" /* yacc.c:1652  */
    break;

  case 1292:
#line 8855 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36938 "gram.c" /* yacc.c:1652  */
    break;

  case 1293:
#line 8866 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36953 "gram.c" /* yacc.c:1652  */
    break;

  case 1294:
#line 8877 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36967 "gram.c" /* yacc.c:1652  */
    break;

  case 1295:
#line 8887 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36981 "gram.c" /* yacc.c:1652  */
    break;

  case 1296:
#line 8897 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36996 "gram.c" /* yacc.c:1652  */
    break;

  case 1297:
#line 8908 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37011 "gram.c" /* yacc.c:1652  */
    break;

  case 1298:
#line 8919 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37025 "gram.c" /* yacc.c:1652  */
    break;

  case 1299:
#line 8929 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37039 "gram.c" /* yacc.c:1652  */
    break;

  case 1300:
#line 8939 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37051 "gram.c" /* yacc.c:1652  */
    break;

  case 1301:
#line 8947 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37064 "gram.c" /* yacc.c:1652  */
    break;

  case 1302:
#line 8956 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37077 "gram.c" /* yacc.c:1652  */
    break;

  case 1303:
#line 8965 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37090 "gram.c" /* yacc.c:1652  */
    break;

  case 1304:
#line 8974 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37103 "gram.c" /* yacc.c:1652  */
    break;

  case 1305:
#line 8983 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37116 "gram.c" /* yacc.c:1652  */
    break;

  case 1306:
#line 8992 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37129 "gram.c" /* yacc.c:1652  */
    break;

  case 1307:
#line 9001 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37142 "gram.c" /* yacc.c:1652  */
    break;

  case 1308:
#line 9010 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37155 "gram.c" /* yacc.c:1652  */
    break;

  case 1309:
#line 9019 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37168 "gram.c" /* yacc.c:1652  */
    break;

  case 1310:
#line 9028 "gram.y" /* yacc.c:1652  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37184 "gram.c" /* yacc.c:1652  */
    break;

  case 1311:
#line 9041 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = COLUMN; }
#line 37190 "gram.c" /* yacc.c:1652  */
    break;

  case 1312:
#line 9042 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 37196 "gram.c" /* yacc.c:1652  */
    break;

  case 1313:
#line 9045 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 1; }
#line 37202 "gram.c" /* yacc.c:1652  */
    break;

  case 1314:
#line 9046 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 37208 "gram.c" /* yacc.c:1652  */
    break;

  case 1315:
#line 9057 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37221 "gram.c" /* yacc.c:1652  */
    break;

  case 1316:
#line 9066 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37234 "gram.c" /* yacc.c:1652  */
    break;

  case 1317:
#line 9075 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37247 "gram.c" /* yacc.c:1652  */
    break;

  case 1318:
#line 9084 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37261 "gram.c" /* yacc.c:1652  */
    break;

  case 1319:
#line 9094 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37274 "gram.c" /* yacc.c:1652  */
    break;

  case 1320:
#line 9103 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37287 "gram.c" /* yacc.c:1652  */
    break;

  case 1321:
#line 9113 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 37293 "gram.c" /* yacc.c:1652  */
    break;

  case 1322:
#line 9114 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false;	}
#line 37299 "gram.c" /* yacc.c:1652  */
    break;

  case 1323:
#line 9125 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37312 "gram.c" /* yacc.c:1652  */
    break;

  case 1324:
#line 9134 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37325 "gram.c" /* yacc.c:1652  */
    break;

  case 1325:
#line 9143 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37338 "gram.c" /* yacc.c:1652  */
    break;

  case 1326:
#line 9152 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37351 "gram.c" /* yacc.c:1652  */
    break;

  case 1327:
#line 9161 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37364 "gram.c" /* yacc.c:1652  */
    break;

  case 1328:
#line 9170 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37377 "gram.c" /* yacc.c:1652  */
    break;

  case 1329:
#line 9179 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37390 "gram.c" /* yacc.c:1652  */
    break;

  case 1330:
#line 9188 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37403 "gram.c" /* yacc.c:1652  */
    break;

  case 1331:
#line 9197 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37416 "gram.c" /* yacc.c:1652  */
    break;

  case 1332:
#line 9206 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37429 "gram.c" /* yacc.c:1652  */
    break;

  case 1333:
#line 9215 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37442 "gram.c" /* yacc.c:1652  */
    break;

  case 1334:
#line 9224 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37455 "gram.c" /* yacc.c:1652  */
    break;

  case 1335:
#line 9233 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37468 "gram.c" /* yacc.c:1652  */
    break;

  case 1336:
#line 9242 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37481 "gram.c" /* yacc.c:1652  */
    break;

  case 1337:
#line 9251 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37494 "gram.c" /* yacc.c:1652  */
    break;

  case 1338:
#line 9260 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37507 "gram.c" /* yacc.c:1652  */
    break;

  case 1339:
#line 9269 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37520 "gram.c" /* yacc.c:1652  */
    break;

  case 1340:
#line 9278 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37533 "gram.c" /* yacc.c:1652  */
    break;

  case 1341:
#line 9287 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37546 "gram.c" /* yacc.c:1652  */
    break;

  case 1342:
#line 9296 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37559 "gram.c" /* yacc.c:1652  */
    break;

  case 1343:
#line 9305 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37572 "gram.c" /* yacc.c:1652  */
    break;

  case 1344:
#line 9314 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37585 "gram.c" /* yacc.c:1652  */
    break;

  case 1345:
#line 9323 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37598 "gram.c" /* yacc.c:1652  */
    break;

  case 1346:
#line 9332 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37611 "gram.c" /* yacc.c:1652  */
    break;

  case 1347:
#line 9341 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37624 "gram.c" /* yacc.c:1652  */
    break;

  case 1348:
#line 9350 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37637 "gram.c" /* yacc.c:1652  */
    break;

  case 1349:
#line 9359 "gram.y" /* yacc.c:1652  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37650 "gram.c" /* yacc.c:1652  */
    break;

  case 1350:
#line 9377 "gram.y" /* yacc.c:1652  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 37661 "gram.c" /* yacc.c:1652  */
    break;

  case 1351:
#line 9385 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37667 "gram.c" /* yacc.c:1652  */
    break;

  case 1352:
#line 9386 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37673 "gram.c" /* yacc.c:1652  */
    break;

  case 1353:
#line 9390 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 37679 "gram.c" /* yacc.c:1652  */
    break;

  case 1354:
#line 9392 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 37685 "gram.c" /* yacc.c:1652  */
    break;

  case 1355:
#line 9397 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 37691 "gram.c" /* yacc.c:1652  */
    break;

  case 1356:
#line 9398 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 37697 "gram.c" /* yacc.c:1652  */
    break;

  case 1357:
#line 9399 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 37703 "gram.c" /* yacc.c:1652  */
    break;

  case 1358:
#line 9400 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 37709 "gram.c" /* yacc.c:1652  */
    break;

  case 1359:
#line 9401 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 37715 "gram.c" /* yacc.c:1652  */
    break;

  case 1360:
#line 9414 "gram.y" /* yacc.c:1652  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);
					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 37726 "gram.c" /* yacc.c:1652  */
    break;

  case 1361:
#line 9429 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37738 "gram.c" /* yacc.c:1652  */
    break;

  case 1362:
#line 9437 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37750 "gram.c" /* yacc.c:1652  */
    break;

  case 1363:
#line 9445 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37762 "gram.c" /* yacc.c:1652  */
    break;

  case 1364:
#line 9453 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37774 "gram.c" /* yacc.c:1652  */
    break;

  case 1365:
#line 9461 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37786 "gram.c" /* yacc.c:1652  */
    break;

  case 1366:
#line 9469 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37798 "gram.c" /* yacc.c:1652  */
    break;

  case 1367:
#line 9477 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37810 "gram.c" /* yacc.c:1652  */
    break;

  case 1368:
#line 9485 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37822 "gram.c" /* yacc.c:1652  */
    break;

  case 1369:
#line 9493 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37834 "gram.c" /* yacc.c:1652  */
    break;

  case 1370:
#line 9501 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37846 "gram.c" /* yacc.c:1652  */
    break;

  case 1371:
#line 9509 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37858 "gram.c" /* yacc.c:1652  */
    break;

  case 1372:
#line 9517 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37870 "gram.c" /* yacc.c:1652  */
    break;

  case 1373:
#line 9525 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37882 "gram.c" /* yacc.c:1652  */
    break;

  case 1374:
#line 9533 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37894 "gram.c" /* yacc.c:1652  */
    break;

  case 1375:
#line 9541 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37906 "gram.c" /* yacc.c:1652  */
    break;

  case 1376:
#line 9549 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37918 "gram.c" /* yacc.c:1652  */
    break;

  case 1377:
#line 9557 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37930 "gram.c" /* yacc.c:1652  */
    break;

  case 1378:
#line 9565 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37942 "gram.c" /* yacc.c:1652  */
    break;

  case 1379:
#line 9573 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37954 "gram.c" /* yacc.c:1652  */
    break;

  case 1380:
#line 9581 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37966 "gram.c" /* yacc.c:1652  */
    break;

  case 1381:
#line 9589 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37978 "gram.c" /* yacc.c:1652  */
    break;

  case 1382:
#line 9597 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37990 "gram.c" /* yacc.c:1652  */
    break;

  case 1383:
#line 9605 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38002 "gram.c" /* yacc.c:1652  */
    break;

  case 1384:
#line 9613 "gram.y" /* yacc.c:1652  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 38014 "gram.c" /* yacc.c:1652  */
    break;

  case 1385:
#line 9631 "gram.y" /* yacc.c:1652  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = true;
					}
					(yyval.node) = (Node *)n;
				}
#line 38034 "gram.c" /* yacc.c:1652  */
    break;

  case 1386:
#line 9649 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38040 "gram.c" /* yacc.c:1652  */
    break;

  case 1387:
#line 9650 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 38046 "gram.c" /* yacc.c:1652  */
    break;

  case 1388:
#line 9655 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 38054 "gram.c" /* yacc.c:1652  */
    break;

  case 1389:
#line 9659 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeInteger(true);
				}
#line 38062 "gram.c" /* yacc.c:1652  */
    break;

  case 1390:
#line 9679 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38073 "gram.c" /* yacc.c:1652  */
    break;

  case 1391:
#line 9686 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 38085 "gram.c" /* yacc.c:1652  */
    break;

  case 1392:
#line 9694 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 38097 "gram.c" /* yacc.c:1652  */
    break;

  case 1393:
#line 9702 "gram.y" /* yacc.c:1652  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 38109 "gram.c" /* yacc.c:1652  */
    break;

  case 1394:
#line 9719 "gram.y" /* yacc.c:1652  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38123 "gram.c" /* yacc.c:1652  */
    break;

  case 1395:
#line 9732 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 38131 "gram.c" /* yacc.c:1652  */
    break;

  case 1396:
#line 9736 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 38139 "gram.c" /* yacc.c:1652  */
    break;

  case 1397:
#line 9742 "gram.y" /* yacc.c:1652  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 38145 "gram.c" /* yacc.c:1652  */
    break;

  case 1398:
#line 9752 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38158 "gram.c" /* yacc.c:1652  */
    break;

  case 1399:
#line 9761 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38171 "gram.c" /* yacc.c:1652  */
    break;

  case 1400:
#line 9770 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38184 "gram.c" /* yacc.c:1652  */
    break;

  case 1401:
#line 9779 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38198 "gram.c" /* yacc.c:1652  */
    break;

  case 1402:
#line 9789 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(true), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 38212 "gram.c" /* yacc.c:1652  */
    break;

  case 1403:
#line 9799 "gram.y" /* yacc.c:1652  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(false), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 38226 "gram.c" /* yacc.c:1652  */
    break;

  case 1404:
#line 9817 "gram.y" /* yacc.c:1652  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38238 "gram.c" /* yacc.c:1652  */
    break;

  case 1405:
#line 9825 "gram.y" /* yacc.c:1652  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38250 "gram.c" /* yacc.c:1652  */
    break;

  case 1406:
#line 9843 "gram.y" /* yacc.c:1652  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38266 "gram.c" /* yacc.c:1652  */
    break;

  case 1407:
#line 9857 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38272 "gram.c" /* yacc.c:1652  */
    break;

  case 1408:
#line 9858 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38278 "gram.c" /* yacc.c:1652  */
    break;

  case 1409:
#line 9859 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38284 "gram.c" /* yacc.c:1652  */
    break;

  case 1410:
#line 9865 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 38294 "gram.c" /* yacc.c:1652  */
    break;

  case 1411:
#line 9871 "gram.y" /* yacc.c:1652  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 38304 "gram.c" /* yacc.c:1652  */
    break;

  case 1417:
#line 9887 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38310 "gram.c" /* yacc.c:1652  */
    break;

  case 1418:
#line 9888 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 38316 "gram.c" /* yacc.c:1652  */
    break;

  case 1419:
#line 9891 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_SELECT; }
#line 38322 "gram.c" /* yacc.c:1652  */
    break;

  case 1420:
#line 9892 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_UPDATE; }
#line 38328 "gram.c" /* yacc.c:1652  */
    break;

  case 1421:
#line 9893 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_DELETE; }
#line 38334 "gram.c" /* yacc.c:1652  */
    break;

  case 1422:
#line 9894 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CMD_INSERT; }
#line 38340 "gram.c" /* yacc.c:1652  */
    break;

  case 1423:
#line 9898 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 38346 "gram.c" /* yacc.c:1652  */
    break;

  case 1424:
#line 9899 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 38352 "gram.c" /* yacc.c:1652  */
    break;

  case 1425:
#line 9900 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 38358 "gram.c" /* yacc.c:1652  */
    break;

  case 1426:
#line 9913 "gram.y" /* yacc.c:1652  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38369 "gram.c" /* yacc.c:1652  */
    break;

  case 1427:
#line 9922 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38375 "gram.c" /* yacc.c:1652  */
    break;

  case 1428:
#line 9923 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 38381 "gram.c" /* yacc.c:1652  */
    break;

  case 1429:
#line 9927 "gram.y" /* yacc.c:1652  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38391 "gram.c" /* yacc.c:1652  */
    break;

  case 1430:
#line 9936 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38401 "gram.c" /* yacc.c:1652  */
    break;

  case 1431:
#line 9942 "gram.y" /* yacc.c:1652  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 38411 "gram.c" /* yacc.c:1652  */
    break;

  case 1432:
#line 9961 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38423 "gram.c" /* yacc.c:1652  */
    break;

  case 1433:
#line 9969 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38434 "gram.c" /* yacc.c:1652  */
    break;

  case 1434:
#line 9976 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38445 "gram.c" /* yacc.c:1652  */
    break;

  case 1435:
#line 9983 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38457 "gram.c" /* yacc.c:1652  */
    break;

  case 1436:
#line 9991 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38469 "gram.c" /* yacc.c:1652  */
    break;

  case 1437:
#line 9999 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 38481 "gram.c" /* yacc.c:1652  */
    break;

  case 1438:
#line 10007 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38492 "gram.c" /* yacc.c:1652  */
    break;

  case 1439:
#line 10014 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38503 "gram.c" /* yacc.c:1652  */
    break;

  case 1440:
#line 10021 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38514 "gram.c" /* yacc.c:1652  */
    break;

  case 1441:
#line 10028 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38525 "gram.c" /* yacc.c:1652  */
    break;

  case 1442:
#line 10035 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38536 "gram.c" /* yacc.c:1652  */
    break;

  case 1443:
#line 10042 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38547 "gram.c" /* yacc.c:1652  */
    break;

  case 1444:
#line 10049 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38558 "gram.c" /* yacc.c:1652  */
    break;

  case 1445:
#line 10056 "gram.y" /* yacc.c:1652  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38569 "gram.c" /* yacc.c:1652  */
    break;

  case 1446:
#line 10064 "gram.y" /* yacc.c:1652  */
    {}
#line 38575 "gram.c" /* yacc.c:1652  */
    break;

  case 1447:
#line 10065 "gram.y" /* yacc.c:1652  */
    {}
#line 38581 "gram.c" /* yacc.c:1652  */
    break;

  case 1448:
#line 10066 "gram.y" /* yacc.c:1652  */
    {}
#line 38587 "gram.c" /* yacc.c:1652  */
    break;

  case 1449:
#line 10071 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 38594 "gram.c" /* yacc.c:1652  */
    break;

  case 1450:
#line 10074 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 38601 "gram.c" /* yacc.c:1652  */
    break;

  case 1451:
#line 10077 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38608 "gram.c" /* yacc.c:1652  */
    break;

  case 1452:
#line 10080 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 38615 "gram.c" /* yacc.c:1652  */
    break;

  case 1453:
#line 10083 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38622 "gram.c" /* yacc.c:1652  */
    break;

  case 1454:
#line 10090 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38628 "gram.c" /* yacc.c:1652  */
    break;

  case 1455:
#line 10092 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38634 "gram.c" /* yacc.c:1652  */
    break;

  case 1456:
#line 10094 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38640 "gram.c" /* yacc.c:1652  */
    break;

  case 1458:
#line 10100 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38646 "gram.c" /* yacc.c:1652  */
    break;

  case 1459:
#line 10104 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 38652 "gram.c" /* yacc.c:1652  */
    break;

  case 1460:
#line 10105 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 38658 "gram.c" /* yacc.c:1652  */
    break;

  case 1461:
#line 10106 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 38664 "gram.c" /* yacc.c:1652  */
    break;

  case 1462:
#line 10120 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38680 "gram.c" /* yacc.c:1652  */
    break;

  case 1463:
#line 10133 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38696 "gram.c" /* yacc.c:1652  */
    break;

  case 1464:
#line 10146 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 38717 "gram.c" /* yacc.c:1652  */
    break;

  case 1465:
#line 10164 "gram.y" /* yacc.c:1652  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 38738 "gram.c" /* yacc.c:1652  */
    break;

  case 1466:
#line 10183 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 38744 "gram.c" /* yacc.c:1652  */
    break;

  case 1467:
#line 10184 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 38750 "gram.c" /* yacc.c:1652  */
    break;

  case 1468:
#line 10185 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 38756 "gram.c" /* yacc.c:1652  */
    break;

  case 1469:
#line 10186 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 38762 "gram.c" /* yacc.c:1652  */
    break;

  case 1470:
#line 10197 "gram.y" /* yacc.c:1652  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38772 "gram.c" /* yacc.c:1652  */
    break;

  case 1471:
#line 10213 "gram.y" /* yacc.c:1652  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38783 "gram.c" /* yacc.c:1652  */
    break;

  case 1472:
#line 10222 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38789 "gram.c" /* yacc.c:1652  */
    break;

  case 1473:
#line 10223 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 38795 "gram.c" /* yacc.c:1652  */
    break;

  case 1474:
#line 10227 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38801 "gram.c" /* yacc.c:1652  */
    break;

  case 1475:
#line 10228 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38807 "gram.c" /* yacc.c:1652  */
    break;

  case 1476:
#line 10233 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 38815 "gram.c" /* yacc.c:1652  */
    break;

  case 1477:
#line 10237 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 38823 "gram.c" /* yacc.c:1652  */
    break;

  case 1478:
#line 10241 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 38831 "gram.c" /* yacc.c:1652  */
    break;

  case 1479:
#line 10258 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38837 "gram.c" /* yacc.c:1652  */
    break;

  case 1480:
#line 10259 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 38843 "gram.c" /* yacc.c:1652  */
    break;

  case 1481:
#line 10260 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38849 "gram.c" /* yacc.c:1652  */
    break;

  case 1482:
#line 10261 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38855 "gram.c" /* yacc.c:1652  */
    break;

  case 1483:
#line 10262 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38861 "gram.c" /* yacc.c:1652  */
    break;

  case 1484:
#line 10263 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38867 "gram.c" /* yacc.c:1652  */
    break;

  case 1485:
#line 10264 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38873 "gram.c" /* yacc.c:1652  */
    break;

  case 1486:
#line 10271 "gram.y" /* yacc.c:1652  */
    {}
#line 38879 "gram.c" /* yacc.c:1652  */
    break;

  case 1487:
#line 10272 "gram.y" /* yacc.c:1652  */
    {}
#line 38885 "gram.c" /* yacc.c:1652  */
    break;

  case 1488:
#line 10284 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38896 "gram.c" /* yacc.c:1652  */
    break;

  case 1489:
#line 10291 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38907 "gram.c" /* yacc.c:1652  */
    break;

  case 1490:
#line 10298 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 38919 "gram.c" /* yacc.c:1652  */
    break;

  case 1491:
#line 10309 "gram.y" /* yacc.c:1652  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38930 "gram.c" /* yacc.c:1652  */
    break;

  case 1492:
#line 10326 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *)n;
				}
#line 38942 "gram.c" /* yacc.c:1652  */
    break;

  case 1493:
#line 10334 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *)n;
				}
#line 38954 "gram.c" /* yacc.c:1652  */
    break;

  case 1494:
#line 10342 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38966 "gram.c" /* yacc.c:1652  */
    break;

  case 1495:
#line 10350 "gram.y" /* yacc.c:1652  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38978 "gram.c" /* yacc.c:1652  */
    break;

  case 1496:
#line 10361 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 38986 "gram.c" /* yacc.c:1652  */
    break;

  case 1497:
#line 10365 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 38994 "gram.c" /* yacc.c:1652  */
    break;

  case 1498:
#line 10376 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 39002 "gram.c" /* yacc.c:1652  */
    break;

  case 1499:
#line 10388 "gram.y" /* yacc.c:1652  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 39012 "gram.c" /* yacc.c:1652  */
    break;

  case 1500:
#line 10405 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39022 "gram.c" /* yacc.c:1652  */
    break;

  case 1501:
#line 10411 "gram.y" /* yacc.c:1652  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 39032 "gram.c" /* yacc.c:1652  */
    break;

  case 1502:
#line 10427 "gram.y" /* yacc.c:1652  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 39045 "gram.c" /* yacc.c:1652  */
    break;

  case 1503:
#line 10440 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39057 "gram.c" /* yacc.c:1652  */
    break;

  case 1504:
#line 10449 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 39068 "gram.c" /* yacc.c:1652  */
    break;

  case 1505:
#line 10457 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 39079 "gram.c" /* yacc.c:1652  */
    break;

  case 1506:
#line 10465 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39091 "gram.c" /* yacc.c:1652  */
    break;

  case 1507:
#line 10474 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 39105 "gram.c" /* yacc.c:1652  */
    break;

  case 1508:
#line 10485 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 39119 "gram.c" /* yacc.c:1652  */
    break;

  case 1509:
#line 10496 "gram.y" /* yacc.c:1652  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 39131 "gram.c" /* yacc.c:1652  */
    break;

  case 1510:
#line 10505 "gram.y" /* yacc.c:1652  */
    {}
#line 39137 "gram.c" /* yacc.c:1652  */
    break;

  case 1511:
#line 10506 "gram.y" /* yacc.c:1652  */
    {}
#line 39143 "gram.c" /* yacc.c:1652  */
    break;

  case 1512:
#line 10518 "gram.y" /* yacc.c:1652  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39154 "gram.c" /* yacc.c:1652  */
    break;

  case 1513:
#line 10528 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39169 "gram.c" /* yacc.c:1652  */
    break;

  case 1514:
#line 10539 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 39184 "gram.c" /* yacc.c:1652  */
    break;

  case 1515:
#line 10550 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 39199 "gram.c" /* yacc.c:1652  */
    break;

  case 1516:
#line 10561 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 39214 "gram.c" /* yacc.c:1652  */
    break;

  case 1517:
#line 10572 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 39227 "gram.c" /* yacc.c:1652  */
    break;

  case 1518:
#line 10581 "gram.y" /* yacc.c:1652  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 39240 "gram.c" /* yacc.c:1652  */
    break;

  case 1519:
#line 10592 "gram.y" /* yacc.c:1652  */
    {}
#line 39246 "gram.c" /* yacc.c:1652  */
    break;

  case 1520:
#line 10593 "gram.y" /* yacc.c:1652  */
    {}
#line 39252 "gram.c" /* yacc.c:1652  */
    break;

  case 1521:
#line 10609 "gram.y" /* yacc.c:1652  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 39266 "gram.c" /* yacc.c:1652  */
    break;

  case 1522:
#line 10631 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->options = 0;
					if ((yyvsp[-2].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39280 "gram.c" /* yacc.c:1652  */
    break;

  case 1523:
#line 10641 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->options = 0;
					if ((yyvsp[0].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39294 "gram.c" /* yacc.c:1652  */
    break;

  case 1524:
#line 10652 "gram.y" /* yacc.c:1652  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->options = 0;
					if ((yyvsp[-3].boolean))
						n->options |= CLUOPT_VERBOSE;
					(yyval.node) = (Node*)n;
				}
#line 39308 "gram.c" /* yacc.c:1652  */
    break;

  case 1525:
#line 10664 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39314 "gram.c" /* yacc.c:1652  */
    break;

  case 1526:
#line 10665 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 39320 "gram.c" /* yacc.c:1652  */
    break;

  case 1527:
#line 10678 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *)n;
				}
#line 39344 "gram.c" /* yacc.c:1652  */
    break;

  case 1528:
#line 10698 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 39356 "gram.c" /* yacc.c:1652  */
    break;

  case 1529:
#line 10708 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *)n;
				}
#line 39371 "gram.c" /* yacc.c:1652  */
    break;

  case 1530:
#line 10719 "gram.y" /* yacc.c:1652  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 39383 "gram.c" /* yacc.c:1652  */
    break;

  case 1531:
#line 10730 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 39391 "gram.c" /* yacc.c:1652  */
    break;

  case 1532:
#line 10734 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 39399 "gram.c" /* yacc.c:1652  */
    break;

  case 1533:
#line 10740 "gram.y" /* yacc.c:1652  */
    {}
#line 39405 "gram.c" /* yacc.c:1652  */
    break;

  case 1534:
#line 10741 "gram.y" /* yacc.c:1652  */
    {}
#line 39411 "gram.c" /* yacc.c:1652  */
    break;

  case 1535:
#line 10746 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 39419 "gram.c" /* yacc.c:1652  */
    break;

  case 1536:
#line 10752 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39425 "gram.c" /* yacc.c:1652  */
    break;

  case 1537:
#line 10753 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "analyze"; }
#line 39431 "gram.c" /* yacc.c:1652  */
    break;

  case 1538:
#line 10757 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 39437 "gram.c" /* yacc.c:1652  */
    break;

  case 1539:
#line 10758 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 39443 "gram.c" /* yacc.c:1652  */
    break;

  case 1540:
#line 10759 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 39449 "gram.c" /* yacc.c:1652  */
    break;

  case 1541:
#line 10763 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 39455 "gram.c" /* yacc.c:1652  */
    break;

  case 1542:
#line 10764 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39461 "gram.c" /* yacc.c:1652  */
    break;

  case 1543:
#line 10768 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 39467 "gram.c" /* yacc.c:1652  */
    break;

  case 1544:
#line 10769 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39473 "gram.c" /* yacc.c:1652  */
    break;

  case 1545:
#line 10772 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 39479 "gram.c" /* yacc.c:1652  */
    break;

  case 1546:
#line 10773 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39485 "gram.c" /* yacc.c:1652  */
    break;

  case 1547:
#line 10776 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 39491 "gram.c" /* yacc.c:1652  */
    break;

  case 1548:
#line 10777 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 39497 "gram.c" /* yacc.c:1652  */
    break;

  case 1549:
#line 10781 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39503 "gram.c" /* yacc.c:1652  */
    break;

  case 1550:
#line 10782 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39509 "gram.c" /* yacc.c:1652  */
    break;

  case 1551:
#line 10787 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 39517 "gram.c" /* yacc.c:1652  */
    break;

  case 1552:
#line 10794 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39523 "gram.c" /* yacc.c:1652  */
    break;

  case 1553:
#line 10796 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39529 "gram.c" /* yacc.c:1652  */
    break;

  case 1554:
#line 10800 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39535 "gram.c" /* yacc.c:1652  */
    break;

  case 1555:
#line 10801 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39541 "gram.c" /* yacc.c:1652  */
    break;

  case 1556:
#line 10815 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 39552 "gram.c" /* yacc.c:1652  */
    break;

  case 1557:
#line 10822 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39566 "gram.c" /* yacc.c:1652  */
    break;

  case 1558:
#line 10832 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 39577 "gram.c" /* yacc.c:1652  */
    break;

  case 1559:
#line 10839 "gram.y" /* yacc.c:1652  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 39588 "gram.c" /* yacc.c:1652  */
    break;

  case 1569:
#line 10861 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 39596 "gram.c" /* yacc.c:1652  */
    break;

  case 1570:
#line 10865 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 39604 "gram.c" /* yacc.c:1652  */
    break;

  case 1571:
#line 10872 "gram.y" /* yacc.c:1652  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 39612 "gram.c" /* yacc.c:1652  */
    break;

  case 1572:
#line 10878 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39618 "gram.c" /* yacc.c:1652  */
    break;

  case 1573:
#line 10879 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "analyze"; }
#line 39624 "gram.c" /* yacc.c:1652  */
    break;

  case 1574:
#line 10883 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 39630 "gram.c" /* yacc.c:1652  */
    break;

  case 1575:
#line 10884 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 39636 "gram.c" /* yacc.c:1652  */
    break;

  case 1576:
#line 10885 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 39642 "gram.c" /* yacc.c:1652  */
    break;

  case 1577:
#line 10896 "gram.y" /* yacc.c:1652  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39654 "gram.c" /* yacc.c:1652  */
    break;

  case 1578:
#line 10905 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39660 "gram.c" /* yacc.c:1652  */
    break;

  case 1579:
#line 10906 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39666 "gram.c" /* yacc.c:1652  */
    break;

  case 1584:
#line 10924 "gram.y" /* yacc.c:1652  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39677 "gram.c" /* yacc.c:1652  */
    break;

  case 1585:
#line 10932 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 39697 "gram.c" /* yacc.c:1652  */
    break;

  case 1586:
#line 10949 "gram.y" /* yacc.c:1652  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 39717 "gram.c" /* yacc.c:1652  */
    break;

  case 1587:
#line 10966 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39723 "gram.c" /* yacc.c:1652  */
    break;

  case 1588:
#line 10967 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39729 "gram.c" /* yacc.c:1652  */
    break;

  case 1589:
#line 10978 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 39739 "gram.c" /* yacc.c:1652  */
    break;

  case 1590:
#line 10984 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 39749 "gram.c" /* yacc.c:1652  */
    break;

  case 1591:
#line 10990 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39759 "gram.c" /* yacc.c:1652  */
    break;

  case 1592:
#line 10996 "gram.y" /* yacc.c:1652  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39769 "gram.c" /* yacc.c:1652  */
    break;

  case 1593:
#line 11013 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 39781 "gram.c" /* yacc.c:1652  */
    break;

  case 1594:
#line 11030 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39789 "gram.c" /* yacc.c:1652  */
    break;

  case 1595:
#line 11034 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39798 "gram.c" /* yacc.c:1652  */
    break;

  case 1596:
#line 11042 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39808 "gram.c" /* yacc.c:1652  */
    break;

  case 1597:
#line 11048 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39819 "gram.c" /* yacc.c:1652  */
    break;

  case 1598:
#line 11055 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39829 "gram.c" /* yacc.c:1652  */
    break;

  case 1599:
#line 11061 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39840 "gram.c" /* yacc.c:1652  */
    break;

  case 1600:
#line 11068 "gram.y" /* yacc.c:1652  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 39850 "gram.c" /* yacc.c:1652  */
    break;

  case 1601:
#line 11076 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 39856 "gram.c" /* yacc.c:1652  */
    break;

  case 1602:
#line 11077 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 39862 "gram.c" /* yacc.c:1652  */
    break;

  case 1603:
#line 11082 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39868 "gram.c" /* yacc.c:1652  */
    break;

  case 1604:
#line 11084 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39874 "gram.c" /* yacc.c:1652  */
    break;

  case 1605:
#line 11089 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39886 "gram.c" /* yacc.c:1652  */
    break;

  case 1606:
#line 11100 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 39899 "gram.c" /* yacc.c:1652  */
    break;

  case 1607:
#line 11110 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 39912 "gram.c" /* yacc.c:1652  */
    break;

  case 1608:
#line 11119 "gram.y" /* yacc.c:1652  */
    {
					(yyval.onconflict) = NULL;
				}
#line 39920 "gram.c" /* yacc.c:1652  */
    break;

  case 1609:
#line 11126 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 39932 "gram.c" /* yacc.c:1652  */
    break;

  case 1610:
#line 11135 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 39944 "gram.c" /* yacc.c:1652  */
    break;

  case 1611:
#line 11143 "gram.y" /* yacc.c:1652  */
    {
					(yyval.infer) = NULL;
				}
#line 39952 "gram.c" /* yacc.c:1652  */
    break;

  case 1612:
#line 11149 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39958 "gram.c" /* yacc.c:1652  */
    break;

  case 1613:
#line 11150 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39964 "gram.c" /* yacc.c:1652  */
    break;

  case 1614:
#line 11163 "gram.y" /* yacc.c:1652  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 39978 "gram.c" /* yacc.c:1652  */
    break;

  case 1615:
#line 11175 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39984 "gram.c" /* yacc.c:1652  */
    break;

  case 1616:
#line 11176 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 39990 "gram.c" /* yacc.c:1652  */
    break;

  case 1617:
#line 11188 "gram.y" /* yacc.c:1652  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 40003 "gram.c" /* yacc.c:1652  */
    break;

  case 1618:
#line 11198 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 40009 "gram.c" /* yacc.c:1652  */
    break;

  case 1619:
#line 11199 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 40015 "gram.c" /* yacc.c:1652  */
    break;

  case 1620:
#line 11202 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessShareLock; }
#line 40021 "gram.c" /* yacc.c:1652  */
    break;

  case 1621:
#line 11203 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowShareLock; }
#line 40027 "gram.c" /* yacc.c:1652  */
    break;

  case 1622:
#line 11204 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = RowExclusiveLock; }
#line 40033 "gram.c" /* yacc.c:1652  */
    break;

  case 1623:
#line 11205 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 40039 "gram.c" /* yacc.c:1652  */
    break;

  case 1624:
#line 11206 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareLock; }
#line 40045 "gram.c" /* yacc.c:1652  */
    break;

  case 1625:
#line 11207 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 40051 "gram.c" /* yacc.c:1652  */
    break;

  case 1626:
#line 11208 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ExclusiveLock; }
#line 40057 "gram.c" /* yacc.c:1652  */
    break;

  case 1627:
#line 11209 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 40063 "gram.c" /* yacc.c:1652  */
    break;

  case 1628:
#line 11212 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 40069 "gram.c" /* yacc.c:1652  */
    break;

  case 1629:
#line 11213 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40075 "gram.c" /* yacc.c:1652  */
    break;

  case 1630:
#line 11217 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitError; }
#line 40081 "gram.c" /* yacc.c:1652  */
    break;

  case 1631:
#line 11218 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitSkip; }
#line 40087 "gram.c" /* yacc.c:1652  */
    break;

  case 1632:
#line 11219 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LockWaitBlock; }
#line 40093 "gram.c" /* yacc.c:1652  */
    break;

  case 1633:
#line 11235 "gram.y" /* yacc.c:1652  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 40108 "gram.c" /* yacc.c:1652  */
    break;

  case 1634:
#line 11248 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40114 "gram.c" /* yacc.c:1652  */
    break;

  case 1635:
#line 11249 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 40120 "gram.c" /* yacc.c:1652  */
    break;

  case 1636:
#line 11254 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 40129 "gram.c" /* yacc.c:1652  */
    break;

  case 1637:
#line 11259 "gram.y" /* yacc.c:1652  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 40154 "gram.c" /* yacc.c:1652  */
    break;

  case 1638:
#line 11283 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40166 "gram.c" /* yacc.c:1652  */
    break;

  case 1639:
#line 11293 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40172 "gram.c" /* yacc.c:1652  */
    break;

  case 1640:
#line 11294 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 40178 "gram.c" /* yacc.c:1652  */
    break;

  case 1641:
#line 11305 "gram.y" /* yacc.c:1652  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 40191 "gram.c" /* yacc.c:1652  */
    break;

  case 1642:
#line 11315 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40197 "gram.c" /* yacc.c:1652  */
    break;

  case 1643:
#line 11318 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40203 "gram.c" /* yacc.c:1652  */
    break;

  case 1644:
#line 11319 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 40209 "gram.c" /* yacc.c:1652  */
    break;

  case 1645:
#line 11320 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 40215 "gram.c" /* yacc.c:1652  */
    break;

  case 1646:
#line 11321 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 40221 "gram.c" /* yacc.c:1652  */
    break;

  case 1647:
#line 11322 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 40227 "gram.c" /* yacc.c:1652  */
    break;

  case 1648:
#line 11325 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40233 "gram.c" /* yacc.c:1652  */
    break;

  case 1649:
#line 11326 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 40239 "gram.c" /* yacc.c:1652  */
    break;

  case 1650:
#line 11327 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40245 "gram.c" /* yacc.c:1652  */
    break;

  case 1653:
#line 11380 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40251 "gram.c" /* yacc.c:1652  */
    break;

  case 1654:
#line 11381 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40257 "gram.c" /* yacc.c:1652  */
    break;

  case 1655:
#line 11396 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40263 "gram.c" /* yacc.c:1652  */
    break;

  case 1656:
#line 11398 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 40274 "gram.c" /* yacc.c:1652  */
    break;

  case 1657:
#line 11405 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40286 "gram.c" /* yacc.c:1652  */
    break;

  case 1658:
#line 11413 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40298 "gram.c" /* yacc.c:1652  */
    break;

  case 1659:
#line 11421 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 40310 "gram.c" /* yacc.c:1652  */
    break;

  case 1660:
#line 11429 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 40322 "gram.c" /* yacc.c:1652  */
    break;

  case 1661:
#line 11437 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40334 "gram.c" /* yacc.c:1652  */
    break;

  case 1662:
#line 11445 "gram.y" /* yacc.c:1652  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 40346 "gram.c" /* yacc.c:1652  */
    break;

  case 1663:
#line 11455 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40352 "gram.c" /* yacc.c:1652  */
    break;

  case 1664:
#line 11456 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40358 "gram.c" /* yacc.c:1652  */
    break;

  case 1665:
#line 11486 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 40374 "gram.c" /* yacc.c:1652  */
    break;

  case 1666:
#line 11500 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 40391 "gram.c" /* yacc.c:1652  */
    break;

  case 1667:
#line 11512 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40397 "gram.c" /* yacc.c:1652  */
    break;

  case 1668:
#line 11514 "gram.y" /* yacc.c:1652  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 40420 "gram.c" /* yacc.c:1652  */
    break;

  case 1669:
#line 11533 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40428 "gram.c" /* yacc.c:1652  */
    break;

  case 1670:
#line 11537 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40436 "gram.c" /* yacc.c:1652  */
    break;

  case 1671:
#line 11541 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 40444 "gram.c" /* yacc.c:1652  */
    break;

  case 1672:
#line 11558 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 40455 "gram.c" /* yacc.c:1652  */
    break;

  case 1673:
#line 11565 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 40466 "gram.c" /* yacc.c:1652  */
    break;

  case 1674:
#line 11572 "gram.y" /* yacc.c:1652  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 40477 "gram.c" /* yacc.c:1652  */
    break;

  case 1675:
#line 11581 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40483 "gram.c" /* yacc.c:1652  */
    break;

  case 1676:
#line 11582 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40489 "gram.c" /* yacc.c:1652  */
    break;

  case 1677:
#line 11586 "gram.y" /* yacc.c:1652  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-6].str);
				n->aliascolnames = (yyvsp[-5].list);
				n->ctematerialized = (yyvsp[-3].ival);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 40503 "gram.c" /* yacc.c:1652  */
    break;

  case 1678:
#line 11598 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 40509 "gram.c" /* yacc.c:1652  */
    break;

  case 1679:
#line 11599 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 40515 "gram.c" /* yacc.c:1652  */
    break;

  case 1680:
#line 11600 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 40521 "gram.c" /* yacc.c:1652  */
    break;

  case 1681:
#line 11604 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = (yyvsp[0].with); }
#line 40527 "gram.c" /* yacc.c:1652  */
    break;

  case 1682:
#line 11605 "gram.y" /* yacc.c:1652  */
    { (yyval.with) = NULL; }
#line 40533 "gram.c" /* yacc.c:1652  */
    break;

  case 1683:
#line 11610 "gram.y" /* yacc.c:1652  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 40548 "gram.c" /* yacc.c:1652  */
    break;

  case 1684:
#line 11621 "gram.y" /* yacc.c:1652  */
    { (yyval.into) = NULL; }
#line 40554 "gram.c" /* yacc.c:1652  */
    break;

  case 1685:
#line 11630 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40563 "gram.c" /* yacc.c:1652  */
    break;

  case 1686:
#line 11635 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40572 "gram.c" /* yacc.c:1652  */
    break;

  case 1687:
#line 11640 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40581 "gram.c" /* yacc.c:1652  */
    break;

  case 1688:
#line 11645 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40590 "gram.c" /* yacc.c:1652  */
    break;

  case 1689:
#line 11650 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40602 "gram.c" /* yacc.c:1652  */
    break;

  case 1690:
#line 11658 "gram.y" /* yacc.c:1652  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 40614 "gram.c" /* yacc.c:1652  */
    break;

  case 1691:
#line 11666 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 40623 "gram.c" /* yacc.c:1652  */
    break;

  case 1692:
#line 11671 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 40632 "gram.c" /* yacc.c:1652  */
    break;

  case 1693:
#line 11676 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 40641 "gram.c" /* yacc.c:1652  */
    break;

  case 1694:
#line 11682 "gram.y" /* yacc.c:1652  */
    {}
#line 40647 "gram.c" /* yacc.c:1652  */
    break;

  case 1695:
#line 11683 "gram.y" /* yacc.c:1652  */
    {}
#line 40653 "gram.c" /* yacc.c:1652  */
    break;

  case 1696:
#line 11687 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 40659 "gram.c" /* yacc.c:1652  */
    break;

  case 1697:
#line 11688 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40665 "gram.c" /* yacc.c:1652  */
    break;

  case 1698:
#line 11689 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 40671 "gram.c" /* yacc.c:1652  */
    break;

  case 1699:
#line 11696 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(NIL); }
#line 40677 "gram.c" /* yacc.c:1652  */
    break;

  case 1700:
#line 11697 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40683 "gram.c" /* yacc.c:1652  */
    break;

  case 1701:
#line 11701 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL;}
#line 40689 "gram.c" /* yacc.c:1652  */
    break;

  case 1702:
#line 11702 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40695 "gram.c" /* yacc.c:1652  */
    break;

  case 1703:
#line 11706 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list);}
#line 40701 "gram.c" /* yacc.c:1652  */
    break;

  case 1704:
#line 11707 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40707 "gram.c" /* yacc.c:1652  */
    break;

  case 1705:
#line 11711 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40713 "gram.c" /* yacc.c:1652  */
    break;

  case 1706:
#line 11715 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 40719 "gram.c" /* yacc.c:1652  */
    break;

  case 1707:
#line 11716 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 40725 "gram.c" /* yacc.c:1652  */
    break;

  case 1708:
#line 11720 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 40738 "gram.c" /* yacc.c:1652  */
    break;

  case 1709:
#line 11729 "gram.y" /* yacc.c:1652  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 40751 "gram.c" /* yacc.c:1652  */
    break;

  case 1710:
#line 11742 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 40760 "gram.c" /* yacc.c:1652  */
    break;

  case 1711:
#line 11747 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 40769 "gram.c" /* yacc.c:1652  */
    break;

  case 1712:
#line 11752 "gram.y" /* yacc.c:1652  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 40777 "gram.c" /* yacc.c:1652  */
    break;

  case 1713:
#line 11756 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 40789 "gram.c" /* yacc.c:1652  */
    break;

  case 1714:
#line 11766 "gram.y" /* yacc.c:1652  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 40795 "gram.c" /* yacc.c:1652  */
    break;

  case 1715:
#line 11767 "gram.y" /* yacc.c:1652  */
    { (yyval.selectlimit) = NULL; }
#line 40801 "gram.c" /* yacc.c:1652  */
    break;

  case 1716:
#line 11772 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 40813 "gram.c" /* yacc.c:1652  */
    break;

  case 1717:
#line 11780 "gram.y" /* yacc.c:1652  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 40826 "gram.c" /* yacc.c:1652  */
    break;

  case 1718:
#line 11796 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 40838 "gram.c" /* yacc.c:1652  */
    break;

  case 1719:
#line 11804 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 40850 "gram.c" /* yacc.c:1652  */
    break;

  case 1720:
#line 11812 "gram.y" /* yacc.c:1652  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));
					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 40862 "gram.c" /* yacc.c:1652  */
    break;

  case 1721:
#line 11823 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40868 "gram.c" /* yacc.c:1652  */
    break;

  case 1722:
#line 11826 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40874 "gram.c" /* yacc.c:1652  */
    break;

  case 1723:
#line 11830 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40880 "gram.c" /* yacc.c:1652  */
    break;

  case 1724:
#line 11832 "gram.y" /* yacc.c:1652  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 40889 "gram.c" /* yacc.c:1652  */
    break;

  case 1725:
#line 11839 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40895 "gram.c" /* yacc.c:1652  */
    break;

  case 1726:
#line 11859 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40901 "gram.c" /* yacc.c:1652  */
    break;

  case 1727:
#line 11861 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40907 "gram.c" /* yacc.c:1652  */
    break;

  case 1728:
#line 11863 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40913 "gram.c" /* yacc.c:1652  */
    break;

  case 1729:
#line 11867 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 40919 "gram.c" /* yacc.c:1652  */
    break;

  case 1730:
#line 11868 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 40925 "gram.c" /* yacc.c:1652  */
    break;

  case 1731:
#line 11872 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40931 "gram.c" /* yacc.c:1652  */
    break;

  case 1732:
#line 11873 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40937 "gram.c" /* yacc.c:1652  */
    break;

  case 1733:
#line 11876 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40943 "gram.c" /* yacc.c:1652  */
    break;

  case 1734:
#line 11877 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 40949 "gram.c" /* yacc.c:1652  */
    break;

  case 1735:
#line 11902 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40955 "gram.c" /* yacc.c:1652  */
    break;

  case 1736:
#line 11903 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 40961 "gram.c" /* yacc.c:1652  */
    break;

  case 1737:
#line 11907 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40967 "gram.c" /* yacc.c:1652  */
    break;

  case 1738:
#line 11908 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 40973 "gram.c" /* yacc.c:1652  */
    break;

  case 1739:
#line 11912 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40979 "gram.c" /* yacc.c:1652  */
    break;

  case 1740:
#line 11913 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40985 "gram.c" /* yacc.c:1652  */
    break;

  case 1741:
#line 11914 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40991 "gram.c" /* yacc.c:1652  */
    break;

  case 1742:
#line 11915 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40997 "gram.c" /* yacc.c:1652  */
    break;

  case 1743:
#line 11916 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41003 "gram.c" /* yacc.c:1652  */
    break;

  case 1744:
#line 11921 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 41011 "gram.c" /* yacc.c:1652  */
    break;

  case 1745:
#line 11934 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41019 "gram.c" /* yacc.c:1652  */
    break;

  case 1746:
#line 11941 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41027 "gram.c" /* yacc.c:1652  */
    break;

  case 1747:
#line 11948 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41035 "gram.c" /* yacc.c:1652  */
    break;

  case 1748:
#line 11954 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41041 "gram.c" /* yacc.c:1652  */
    break;

  case 1749:
#line 11955 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41047 "gram.c" /* yacc.c:1652  */
    break;

  case 1750:
#line 11959 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41053 "gram.c" /* yacc.c:1652  */
    break;

  case 1751:
#line 11960 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41059 "gram.c" /* yacc.c:1652  */
    break;

  case 1752:
#line 11964 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41065 "gram.c" /* yacc.c:1652  */
    break;

  case 1753:
#line 11965 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41071 "gram.c" /* yacc.c:1652  */
    break;

  case 1754:
#line 11969 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41077 "gram.c" /* yacc.c:1652  */
    break;

  case 1755:
#line 11970 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 41083 "gram.c" /* yacc.c:1652  */
    break;

  case 1756:
#line 11975 "gram.y" /* yacc.c:1652  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 41095 "gram.c" /* yacc.c:1652  */
    break;

  case 1757:
#line 11985 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 41101 "gram.c" /* yacc.c:1652  */
    break;

  case 1758:
#line 11986 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 41107 "gram.c" /* yacc.c:1652  */
    break;

  case 1759:
#line 11987 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 41113 "gram.c" /* yacc.c:1652  */
    break;

  case 1760:
#line 11988 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 41119 "gram.c" /* yacc.c:1652  */
    break;

  case 1761:
#line 11992 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41125 "gram.c" /* yacc.c:1652  */
    break;

  case 1762:
#line 11993 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41131 "gram.c" /* yacc.c:1652  */
    break;

  case 1763:
#line 12004 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41141 "gram.c" /* yacc.c:1652  */
    break;

  case 1764:
#line 12010 "gram.y" /* yacc.c:1652  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41151 "gram.c" /* yacc.c:1652  */
    break;

  case 1765:
#line 12027 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41157 "gram.c" /* yacc.c:1652  */
    break;

  case 1766:
#line 12028 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41163 "gram.c" /* yacc.c:1652  */
    break;

  case 1767:
#line 12032 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41169 "gram.c" /* yacc.c:1652  */
    break;

  case 1768:
#line 12033 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41175 "gram.c" /* yacc.c:1652  */
    break;

  case 1769:
#line 12040 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 41184 "gram.c" /* yacc.c:1652  */
    break;

  case 1770:
#line 12045 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 41196 "gram.c" /* yacc.c:1652  */
    break;

  case 1771:
#line 12053 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 41207 "gram.c" /* yacc.c:1652  */
    break;

  case 1772:
#line 12060 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 41219 "gram.c" /* yacc.c:1652  */
    break;

  case 1773:
#line 12068 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 41229 "gram.c" /* yacc.c:1652  */
    break;

  case 1774:
#line 12074 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 41240 "gram.c" /* yacc.c:1652  */
    break;

  case 1775:
#line 12081 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 41279 "gram.c" /* yacc.c:1652  */
    break;

  case 1776:
#line 12116 "gram.y" /* yacc.c:1652  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 41308 "gram.c" /* yacc.c:1652  */
    break;

  case 1777:
#line 12141 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 41316 "gram.c" /* yacc.c:1652  */
    break;

  case 1778:
#line 12145 "gram.y" /* yacc.c:1652  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 41325 "gram.c" /* yacc.c:1652  */
    break;

  case 1779:
#line 12171 "gram.y" /* yacc.c:1652  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 41333 "gram.c" /* yacc.c:1652  */
    break;

  case 1780:
#line 12175 "gram.y" /* yacc.c:1652  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 41349 "gram.c" /* yacc.c:1652  */
    break;

  case 1781:
#line 12187 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 41366 "gram.c" /* yacc.c:1652  */
    break;

  case 1782:
#line 12200 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 41384 "gram.c" /* yacc.c:1652  */
    break;

  case 1783:
#line 12214 "gram.y" /* yacc.c:1652  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 41399 "gram.c" /* yacc.c:1652  */
    break;

  case 1784:
#line 12225 "gram.y" /* yacc.c:1652  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 41415 "gram.c" /* yacc.c:1652  */
    break;

  case 1785:
#line 12240 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 41425 "gram.c" /* yacc.c:1652  */
    break;

  case 1786:
#line 12246 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 41434 "gram.c" /* yacc.c:1652  */
    break;

  case 1787:
#line 12251 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 41444 "gram.c" /* yacc.c:1652  */
    break;

  case 1788:
#line 12257 "gram.y" /* yacc.c:1652  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 41453 "gram.c" /* yacc.c:1652  */
    break;

  case 1789:
#line 12263 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 41459 "gram.c" /* yacc.c:1652  */
    break;

  case 1790:
#line 12264 "gram.y" /* yacc.c:1652  */
    { (yyval.alias) = NULL; }
#line 41465 "gram.c" /* yacc.c:1652  */
    break;

  case 1791:
#line 12273 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 41473 "gram.c" /* yacc.c:1652  */
    break;

  case 1792:
#line 12277 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 41481 "gram.c" /* yacc.c:1652  */
    break;

  case 1793:
#line 12281 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 41491 "gram.c" /* yacc.c:1652  */
    break;

  case 1794:
#line 12287 "gram.y" /* yacc.c:1652  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 41501 "gram.c" /* yacc.c:1652  */
    break;

  case 1795:
#line 12293 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 41509 "gram.c" /* yacc.c:1652  */
    break;

  case 1796:
#line 12298 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_FULL; }
#line 41515 "gram.c" /* yacc.c:1652  */
    break;

  case 1797:
#line 12299 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 41521 "gram.c" /* yacc.c:1652  */
    break;

  case 1798:
#line 12300 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 41527 "gram.c" /* yacc.c:1652  */
    break;

  case 1799:
#line 12301 "gram.y" /* yacc.c:1652  */
    { (yyval.jtype) = JOIN_INNER; }
#line 41533 "gram.c" /* yacc.c:1652  */
    break;

  case 1800:
#line 12305 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41539 "gram.c" /* yacc.c:1652  */
    break;

  case 1801:
#line 12306 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41545 "gram.c" /* yacc.c:1652  */
    break;

  case 1802:
#line 12318 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 41551 "gram.c" /* yacc.c:1652  */
    break;

  case 1803:
#line 12319 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41557 "gram.c" /* yacc.c:1652  */
    break;

  case 1804:
#line 12325 "gram.y" /* yacc.c:1652  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 41568 "gram.c" /* yacc.c:1652  */
    break;

  case 1805:
#line 12332 "gram.y" /* yacc.c:1652  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 41579 "gram.c" /* yacc.c:1652  */
    break;

  case 1806:
#line 12339 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 41590 "gram.c" /* yacc.c:1652  */
    break;

  case 1807:
#line 12346 "gram.y" /* yacc.c:1652  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 41601 "gram.c" /* yacc.c:1652  */
    break;

  case 1808:
#line 12356 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 41607 "gram.c" /* yacc.c:1652  */
    break;

  case 1809:
#line 12357 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 41613 "gram.c" /* yacc.c:1652  */
    break;

  case 1810:
#line 12371 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 41621 "gram.c" /* yacc.c:1652  */
    break;

  case 1811:
#line 12375 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 41632 "gram.c" /* yacc.c:1652  */
    break;

  case 1812:
#line 12382 "gram.y" /* yacc.c:1652  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 41643 "gram.c" /* yacc.c:1652  */
    break;

  case 1813:
#line 12395 "gram.y" /* yacc.c:1652  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 41657 "gram.c" /* yacc.c:1652  */
    break;

  case 1814:
#line 12407 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 41663 "gram.c" /* yacc.c:1652  */
    break;

  case 1815:
#line 12408 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41669 "gram.c" /* yacc.c:1652  */
    break;

  case 1816:
#line 12424 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41683 "gram.c" /* yacc.c:1652  */
    break;

  case 1817:
#line 12434 "gram.y" /* yacc.c:1652  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41697 "gram.c" /* yacc.c:1652  */
    break;

  case 1818:
#line 12446 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 41703 "gram.c" /* yacc.c:1652  */
    break;

  case 1819:
#line 12450 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 41709 "gram.c" /* yacc.c:1652  */
    break;

  case 1820:
#line 12451 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 41715 "gram.c" /* yacc.c:1652  */
    break;

  case 1821:
#line 12454 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41721 "gram.c" /* yacc.c:1652  */
    break;

  case 1822:
#line 12455 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41727 "gram.c" /* yacc.c:1652  */
    break;

  case 1823:
#line 12458 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 41733 "gram.c" /* yacc.c:1652  */
    break;

  case 1824:
#line 12459 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 41739 "gram.c" /* yacc.c:1652  */
    break;

  case 1825:
#line 12464 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41745 "gram.c" /* yacc.c:1652  */
    break;

  case 1826:
#line 12465 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41751 "gram.c" /* yacc.c:1652  */
    break;

  case 1827:
#line 12470 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41757 "gram.c" /* yacc.c:1652  */
    break;

  case 1828:
#line 12472 "gram.y" /* yacc.c:1652  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 41769 "gram.c" /* yacc.c:1652  */
    break;

  case 1829:
#line 12479 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 41775 "gram.c" /* yacc.c:1652  */
    break;

  case 1830:
#line 12484 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41781 "gram.c" /* yacc.c:1652  */
    break;

  case 1831:
#line 12485 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 41787 "gram.c" /* yacc.c:1652  */
    break;

  case 1832:
#line 12490 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 41795 "gram.c" /* yacc.c:1652  */
    break;

  case 1833:
#line 12494 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 41803 "gram.c" /* yacc.c:1652  */
    break;

  case 1834:
#line 12500 "gram.y" /* yacc.c:1652  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 41825 "gram.c" /* yacc.c:1652  */
    break;

  case 1835:
#line 12524 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41839 "gram.c" /* yacc.c:1652  */
    break;

  case 1836:
#line 12535 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 41853 "gram.c" /* yacc.c:1652  */
    break;

  case 1837:
#line 12546 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41859 "gram.c" /* yacc.c:1652  */
    break;

  case 1838:
#line 12547 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41865 "gram.c" /* yacc.c:1652  */
    break;

  case 1839:
#line 12552 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 41883 "gram.c" /* yacc.c:1652  */
    break;

  case 1840:
#line 12566 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 41944 "gram.c" /* yacc.c:1652  */
    break;

  case 1841:
#line 12623 "gram.y" /* yacc.c:1652  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 41959 "gram.c" /* yacc.c:1652  */
    break;

  case 1842:
#line 12637 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41965 "gram.c" /* yacc.c:1652  */
    break;

  case 1843:
#line 12639 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41971 "gram.c" /* yacc.c:1652  */
    break;

  case 1844:
#line 12644 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 41977 "gram.c" /* yacc.c:1652  */
    break;

  case 1845:
#line 12646 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 41983 "gram.c" /* yacc.c:1652  */
    break;

  case 1846:
#line 12648 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 41989 "gram.c" /* yacc.c:1652  */
    break;

  case 1847:
#line 12650 "gram.y" /* yacc.c:1652  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 41995 "gram.c" /* yacc.c:1652  */
    break;

  case 1848:
#line 12655 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 42001 "gram.c" /* yacc.c:1652  */
    break;

  case 1849:
#line 12657 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 42007 "gram.c" /* yacc.c:1652  */
    break;

  case 1850:
#line 12662 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 42019 "gram.c" /* yacc.c:1652  */
    break;

  case 1851:
#line 12670 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 42031 "gram.c" /* yacc.c:1652  */
    break;

  case 1852:
#line 12690 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 42040 "gram.c" /* yacc.c:1652  */
    break;

  case 1853:
#line 12695 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 42050 "gram.c" /* yacc.c:1652  */
    break;

  case 1854:
#line 12702 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 42059 "gram.c" /* yacc.c:1652  */
    break;

  case 1855:
#line 12707 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 42069 "gram.c" /* yacc.c:1652  */
    break;

  case 1856:
#line 12713 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 42078 "gram.c" /* yacc.c:1652  */
    break;

  case 1857:
#line 12718 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 42088 "gram.c" /* yacc.c:1652  */
    break;

  case 1858:
#line 12727 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 42094 "gram.c" /* yacc.c:1652  */
    break;

  case 1859:
#line 12729 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 42100 "gram.c" /* yacc.c:1652  */
    break;

  case 1860:
#line 12731 "gram.y" /* yacc.c:1652  */
    {  (yyval.list) = NIL; }
#line 42106 "gram.c" /* yacc.c:1652  */
    break;

  case 1861:
#line 12735 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42112 "gram.c" /* yacc.c:1652  */
    break;

  case 1862:
#line 12736 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42118 "gram.c" /* yacc.c:1652  */
    break;

  case 1863:
#line 12737 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42124 "gram.c" /* yacc.c:1652  */
    break;

  case 1864:
#line 12738 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42130 "gram.c" /* yacc.c:1652  */
    break;

  case 1865:
#line 12739 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42136 "gram.c" /* yacc.c:1652  */
    break;

  case 1866:
#line 12741 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 42145 "gram.c" /* yacc.c:1652  */
    break;

  case 1867:
#line 12746 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 42155 "gram.c" /* yacc.c:1652  */
    break;

  case 1868:
#line 12765 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42161 "gram.c" /* yacc.c:1652  */
    break;

  case 1869:
#line 12766 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42167 "gram.c" /* yacc.c:1652  */
    break;

  case 1870:
#line 12767 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42173 "gram.c" /* yacc.c:1652  */
    break;

  case 1871:
#line 12768 "gram.y" /* yacc.c:1652  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 42179 "gram.c" /* yacc.c:1652  */
    break;

  case 1872:
#line 12780 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42189 "gram.c" /* yacc.c:1652  */
    break;

  case 1873:
#line 12786 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 42199 "gram.c" /* yacc.c:1652  */
    break;

  case 1874:
#line 12793 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42205 "gram.c" /* yacc.c:1652  */
    break;

  case 1875:
#line 12794 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 42211 "gram.c" /* yacc.c:1652  */
    break;

  case 1876:
#line 12801 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42220 "gram.c" /* yacc.c:1652  */
    break;

  case 1877:
#line 12806 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42229 "gram.c" /* yacc.c:1652  */
    break;

  case 1878:
#line 12811 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42238 "gram.c" /* yacc.c:1652  */
    break;

  case 1879:
#line 12816 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42247 "gram.c" /* yacc.c:1652  */
    break;

  case 1880:
#line 12821 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42256 "gram.c" /* yacc.c:1652  */
    break;

  case 1881:
#line 12826 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42265 "gram.c" /* yacc.c:1652  */
    break;

  case 1882:
#line 12831 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42274 "gram.c" /* yacc.c:1652  */
    break;

  case 1883:
#line 12836 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42284 "gram.c" /* yacc.c:1652  */
    break;

  case 1884:
#line 12842 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42294 "gram.c" /* yacc.c:1652  */
    break;

  case 1885:
#line 12848 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42304 "gram.c" /* yacc.c:1652  */
    break;

  case 1886:
#line 12854 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42313 "gram.c" /* yacc.c:1652  */
    break;

  case 1887:
#line 12861 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 42338 "gram.c" /* yacc.c:1652  */
    break;

  case 1888:
#line 12882 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 42346 "gram.c" /* yacc.c:1652  */
    break;

  case 1889:
#line 12892 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42354 "gram.c" /* yacc.c:1652  */
    break;

  case 1890:
#line 12896 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42362 "gram.c" /* yacc.c:1652  */
    break;

  case 1891:
#line 12904 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42370 "gram.c" /* yacc.c:1652  */
    break;

  case 1892:
#line 12908 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 42379 "gram.c" /* yacc.c:1652  */
    break;

  case 1893:
#line 12916 "gram.y" /* yacc.c:1652  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42392 "gram.c" /* yacc.c:1652  */
    break;

  case 1894:
#line 12928 "gram.y" /* yacc.c:1652  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42410 "gram.c" /* yacc.c:1652  */
    break;

  case 1895:
#line 12949 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42418 "gram.c" /* yacc.c:1652  */
    break;

  case 1896:
#line 12953 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42426 "gram.c" /* yacc.c:1652  */
    break;

  case 1897:
#line 12959 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 42434 "gram.c" /* yacc.c:1652  */
    break;

  case 1898:
#line 12963 "gram.y" /* yacc.c:1652  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 42449 "gram.c" /* yacc.c:1652  */
    break;

  case 1899:
#line 12976 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 42459 "gram.c" /* yacc.c:1652  */
    break;

  case 1900:
#line 12984 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42471 "gram.c" /* yacc.c:1652  */
    break;

  case 1901:
#line 12994 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42477 "gram.c" /* yacc.c:1652  */
    break;

  case 1902:
#line 12996 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42483 "gram.c" /* yacc.c:1652  */
    break;

  case 1903:
#line 12998 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "varchar"; }
#line 42489 "gram.c" /* yacc.c:1652  */
    break;

  case 1904:
#line 13000 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42495 "gram.c" /* yacc.c:1652  */
    break;

  case 1905:
#line 13002 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42501 "gram.c" /* yacc.c:1652  */
    break;

  case 1906:
#line 13004 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 42507 "gram.c" /* yacc.c:1652  */
    break;

  case 1907:
#line 13008 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 42513 "gram.c" /* yacc.c:1652  */
    break;

  case 1908:
#line 13009 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 42519 "gram.c" /* yacc.c:1652  */
    break;

  case 1909:
#line 13017 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42532 "gram.c" /* yacc.c:1652  */
    break;

  case 1910:
#line 13026 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42544 "gram.c" /* yacc.c:1652  */
    break;

  case 1911:
#line 13034 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 42557 "gram.c" /* yacc.c:1652  */
    break;

  case 1912:
#line 13043 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 42569 "gram.c" /* yacc.c:1652  */
    break;

  case 1913:
#line 13054 "gram.y" /* yacc.c:1652  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 42578 "gram.c" /* yacc.c:1652  */
    break;

  case 1914:
#line 13061 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 42584 "gram.c" /* yacc.c:1652  */
    break;

  case 1915:
#line 13062 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 42590 "gram.c" /* yacc.c:1652  */
    break;

  case 1916:
#line 13063 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 42596 "gram.c" /* yacc.c:1652  */
    break;

  case 1917:
#line 13068 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 42602 "gram.c" /* yacc.c:1652  */
    break;

  case 1918:
#line 13070 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 42608 "gram.c" /* yacc.c:1652  */
    break;

  case 1919:
#line 13072 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 42614 "gram.c" /* yacc.c:1652  */
    break;

  case 1920:
#line 13074 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 42620 "gram.c" /* yacc.c:1652  */
    break;

  case 1921:
#line 13076 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 42626 "gram.c" /* yacc.c:1652  */
    break;

  case 1922:
#line 13078 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42632 "gram.c" /* yacc.c:1652  */
    break;

  case 1923:
#line 13080 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 42641 "gram.c" /* yacc.c:1652  */
    break;

  case 1924:
#line 13085 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 42650 "gram.c" /* yacc.c:1652  */
    break;

  case 1925:
#line 13090 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 42660 "gram.c" /* yacc.c:1652  */
    break;

  case 1926:
#line 13096 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42672 "gram.c" /* yacc.c:1652  */
    break;

  case 1927:
#line 13104 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 42681 "gram.c" /* yacc.c:1652  */
    break;

  case 1928:
#line 13109 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42692 "gram.c" /* yacc.c:1652  */
    break;

  case 1929:
#line 13116 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42702 "gram.c" /* yacc.c:1652  */
    break;

  case 1930:
#line 13122 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 42708 "gram.c" /* yacc.c:1652  */
    break;

  case 1931:
#line 13127 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 42716 "gram.c" /* yacc.c:1652  */
    break;

  case 1932:
#line 13131 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 42725 "gram.c" /* yacc.c:1652  */
    break;

  case 1933:
#line 13166 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42731 "gram.c" /* yacc.c:1652  */
    break;

  case 1934:
#line 13168 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 42737 "gram.c" /* yacc.c:1652  */
    break;

  case 1935:
#line 13170 "gram.y" /* yacc.c:1652  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 42749 "gram.c" /* yacc.c:1652  */
    break;

  case 1936:
#line 13178 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 42759 "gram.c" /* yacc.c:1652  */
    break;

  case 1937:
#line 13193 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42765 "gram.c" /* yacc.c:1652  */
    break;

  case 1938:
#line 13195 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 42771 "gram.c" /* yacc.c:1652  */
    break;

  case 1939:
#line 13197 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42777 "gram.c" /* yacc.c:1652  */
    break;

  case 1940:
#line 13199 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42783 "gram.c" /* yacc.c:1652  */
    break;

  case 1941:
#line 13201 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42789 "gram.c" /* yacc.c:1652  */
    break;

  case 1942:
#line 13203 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42795 "gram.c" /* yacc.c:1652  */
    break;

  case 1943:
#line 13205 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42801 "gram.c" /* yacc.c:1652  */
    break;

  case 1944:
#line 13207 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42807 "gram.c" /* yacc.c:1652  */
    break;

  case 1945:
#line 13209 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42813 "gram.c" /* yacc.c:1652  */
    break;

  case 1946:
#line 13211 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42819 "gram.c" /* yacc.c:1652  */
    break;

  case 1947:
#line 13213 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42825 "gram.c" /* yacc.c:1652  */
    break;

  case 1948:
#line 13215 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42831 "gram.c" /* yacc.c:1652  */
    break;

  case 1949:
#line 13217 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42837 "gram.c" /* yacc.c:1652  */
    break;

  case 1950:
#line 13219 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42843 "gram.c" /* yacc.c:1652  */
    break;

  case 1951:
#line 13222 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42849 "gram.c" /* yacc.c:1652  */
    break;

  case 1952:
#line 13224 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42855 "gram.c" /* yacc.c:1652  */
    break;

  case 1953:
#line 13226 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 42861 "gram.c" /* yacc.c:1652  */
    break;

  case 1954:
#line 13229 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42867 "gram.c" /* yacc.c:1652  */
    break;

  case 1955:
#line 13231 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42873 "gram.c" /* yacc.c:1652  */
    break;

  case 1956:
#line 13233 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42879 "gram.c" /* yacc.c:1652  */
    break;

  case 1957:
#line 13235 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42885 "gram.c" /* yacc.c:1652  */
    break;

  case 1958:
#line 13238 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42894 "gram.c" /* yacc.c:1652  */
    break;

  case 1959:
#line 13243 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42906 "gram.c" /* yacc.c:1652  */
    break;

  case 1960:
#line 13251 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42915 "gram.c" /* yacc.c:1652  */
    break;

  case 1961:
#line 13256 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42927 "gram.c" /* yacc.c:1652  */
    break;

  case 1962:
#line 13264 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42936 "gram.c" /* yacc.c:1652  */
    break;

  case 1963:
#line 13269 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42948 "gram.c" /* yacc.c:1652  */
    break;

  case 1964:
#line 13277 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42957 "gram.c" /* yacc.c:1652  */
    break;

  case 1965:
#line 13282 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42969 "gram.c" /* yacc.c:1652  */
    break;

  case 1966:
#line 13291 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make1((yyvsp[0].node)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 42981 "gram.c" /* yacc.c:1652  */
    break;

  case 1967:
#line 13299 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42993 "gram.c" /* yacc.c:1652  */
    break;

  case 1968:
#line 13307 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make1((yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 43005 "gram.c" /* yacc.c:1652  */
    break;

  case 1969:
#line 13315 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_to_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 43017 "gram.c" /* yacc.c:1652  */
    break;

  case 1970:
#line 13333 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43029 "gram.c" /* yacc.c:1652  */
    break;

  case 1971:
#line 13341 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43041 "gram.c" /* yacc.c:1652  */
    break;

  case 1972:
#line 13349 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 43053 "gram.c" /* yacc.c:1652  */
    break;

  case 1973:
#line 13357 "gram.y" /* yacc.c:1652  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43065 "gram.c" /* yacc.c:1652  */
    break;

  case 1974:
#line 13365 "gram.y" /* yacc.c:1652  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 43085 "gram.c" /* yacc.c:1652  */
    break;

  case 1975:
#line 13381 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43097 "gram.c" /* yacc.c:1652  */
    break;

  case 1976:
#line 13389 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43109 "gram.c" /* yacc.c:1652  */
    break;

  case 1977:
#line 13397 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43121 "gram.c" /* yacc.c:1652  */
    break;

  case 1978:
#line 13405 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43133 "gram.c" /* yacc.c:1652  */
    break;

  case 1979:
#line 13413 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 43145 "gram.c" /* yacc.c:1652  */
    break;

  case 1980:
#line 13421 "gram.y" /* yacc.c:1652  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 43157 "gram.c" /* yacc.c:1652  */
    break;

  case 1981:
#line 13429 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 43165 "gram.c" /* yacc.c:1652  */
    break;

  case 1982:
#line 13433 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 43173 "gram.c" /* yacc.c:1652  */
    break;

  case 1983:
#line 13437 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43181 "gram.c" /* yacc.c:1652  */
    break;

  case 1984:
#line 13441 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 43189 "gram.c" /* yacc.c:1652  */
    break;

  case 1985:
#line 13445 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 43201 "gram.c" /* yacc.c:1652  */
    break;

  case 1986:
#line 13453 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 43213 "gram.c" /* yacc.c:1652  */
    break;

  case 1987:
#line 13461 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 43225 "gram.c" /* yacc.c:1652  */
    break;

  case 1988:
#line 13469 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 43237 "gram.c" /* yacc.c:1652  */
    break;

  case 1989:
#line 13477 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 43261 "gram.c" /* yacc.c:1652  */
    break;

  case 1990:
#line 13497 "gram.y" /* yacc.c:1652  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 43287 "gram.c" /* yacc.c:1652  */
    break;

  case 1991:
#line 13519 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 43302 "gram.c" /* yacc.c:1652  */
    break;

  case 1992:
#line 13530 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 43313 "gram.c" /* yacc.c:1652  */
    break;

  case 1993:
#line 13537 "gram.y" /* yacc.c:1652  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 43333 "gram.c" /* yacc.c:1652  */
    break;

  case 1994:
#line 13553 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43342 "gram.c" /* yacc.c:1652  */
    break;

  case 1995:
#line 13558 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 43352 "gram.c" /* yacc.c:1652  */
    break;

  case 1996:
#line 13564 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"), list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43360 "gram.c" /* yacc.c:1652  */
    break;

  case 1997:
#line 13568 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"), list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))), (yylsp[-2]));
				}
#line 43368 "gram.c" /* yacc.c:1652  */
    break;

  case 1998:
#line 13572 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"), list_make1((yyvsp[-3].node)), (yylsp[-2])), (yylsp[-2]));
				}
#line 43376 "gram.c" /* yacc.c:1652  */
    break;

  case 1999:
#line 13576 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"), list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))), (yylsp[-3])), (yylsp[-3]));
				}
#line 43384 "gram.c" /* yacc.c:1652  */
    break;

  case 2000:
#line 13580 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43402 "gram.c" /* yacc.c:1652  */
    break;

  case 2001:
#line 13605 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43408 "gram.c" /* yacc.c:1652  */
    break;

  case 2002:
#line 13607 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 43414 "gram.c" /* yacc.c:1652  */
    break;

  case 2003:
#line 13609 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43420 "gram.c" /* yacc.c:1652  */
    break;

  case 2004:
#line 13611 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 43426 "gram.c" /* yacc.c:1652  */
    break;

  case 2005:
#line 13613 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43432 "gram.c" /* yacc.c:1652  */
    break;

  case 2006:
#line 13615 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43438 "gram.c" /* yacc.c:1652  */
    break;

  case 2007:
#line 13617 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43444 "gram.c" /* yacc.c:1652  */
    break;

  case 2008:
#line 13619 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43450 "gram.c" /* yacc.c:1652  */
    break;

  case 2009:
#line 13621 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43456 "gram.c" /* yacc.c:1652  */
    break;

  case 2010:
#line 13623 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43462 "gram.c" /* yacc.c:1652  */
    break;

  case 2011:
#line 13625 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43468 "gram.c" /* yacc.c:1652  */
    break;

  case 2012:
#line 13627 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43474 "gram.c" /* yacc.c:1652  */
    break;

  case 2013:
#line 13629 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43480 "gram.c" /* yacc.c:1652  */
    break;

  case 2014:
#line 13631 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43486 "gram.c" /* yacc.c:1652  */
    break;

  case 2015:
#line 13633 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43492 "gram.c" /* yacc.c:1652  */
    break;

  case 2016:
#line 13635 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43498 "gram.c" /* yacc.c:1652  */
    break;

  case 2017:
#line 13637 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 43504 "gram.c" /* yacc.c:1652  */
    break;

  case 2018:
#line 13639 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 43510 "gram.c" /* yacc.c:1652  */
    break;

  case 2019:
#line 13641 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 43516 "gram.c" /* yacc.c:1652  */
    break;

  case 2020:
#line 13643 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 43524 "gram.c" /* yacc.c:1652  */
    break;

  case 2021:
#line 13647 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 43532 "gram.c" /* yacc.c:1652  */
    break;

  case 2022:
#line 13651 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43540 "gram.c" /* yacc.c:1652  */
    break;

  case 2023:
#line 13655 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 43548 "gram.c" /* yacc.c:1652  */
    break;

  case 2024:
#line 13659 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 43557 "gram.c" /* yacc.c:1652  */
    break;

  case 2025:
#line 13664 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 43567 "gram.c" /* yacc.c:1652  */
    break;

  case 2026:
#line 13679 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43573 "gram.c" /* yacc.c:1652  */
    break;

  case 2027:
#line 13680 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43579 "gram.c" /* yacc.c:1652  */
    break;

  case 2028:
#line 13682 "gram.y" /* yacc.c:1652  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 43598 "gram.c" /* yacc.c:1652  */
    break;

  case 2029:
#line 13697 "gram.y" /* yacc.c:1652  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 43636 "gram.c" /* yacc.c:1652  */
    break;

  case 2030:
#line 13731 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43642 "gram.c" /* yacc.c:1652  */
    break;

  case 2031:
#line 13733 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43648 "gram.c" /* yacc.c:1652  */
    break;

  case 2032:
#line 13735 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 43663 "gram.c" /* yacc.c:1652  */
    break;

  case 2033:
#line 13746 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 43691 "gram.c" /* yacc.c:1652  */
    break;

  case 2034:
#line 13770 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43706 "gram.c" /* yacc.c:1652  */
    break;

  case 2035:
#line 13781 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43721 "gram.c" /* yacc.c:1652  */
    break;

  case 2036:
#line 13792 "gram.y" /* yacc.c:1652  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43732 "gram.c" /* yacc.c:1652  */
    break;

  case 2037:
#line 13799 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43746 "gram.c" /* yacc.c:1652  */
    break;

  case 2038:
#line 13809 "gram.y" /* yacc.c:1652  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43760 "gram.c" /* yacc.c:1652  */
    break;

  case 2039:
#line 13819 "gram.y" /* yacc.c:1652  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 43771 "gram.c" /* yacc.c:1652  */
    break;

  case 2040:
#line 13828 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 43779 "gram.c" /* yacc.c:1652  */
    break;

  case 2041:
#line 13832 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43789 "gram.c" /* yacc.c:1652  */
    break;

  case 2042:
#line 13838 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43800 "gram.c" /* yacc.c:1652  */
    break;

  case 2043:
#line 13845 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43811 "gram.c" /* yacc.c:1652  */
    break;

  case 2044:
#line 13852 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 43825 "gram.c" /* yacc.c:1652  */
    break;

  case 2045:
#line 13862 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *)n;
				}
#line 43836 "gram.c" /* yacc.c:1652  */
    break;

  case 2046:
#line 13869 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = true;
					(yyval.node) = (Node *)n;
				}
#line 43856 "gram.c" /* yacc.c:1652  */
    break;

  case 2047:
#line 13897 "gram.y" /* yacc.c:1652  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 43895 "gram.c" /* yacc.c:1652  */
    break;

  case 2048:
#line 13932 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43901 "gram.c" /* yacc.c:1652  */
    break;

  case 2049:
#line 13942 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43907 "gram.c" /* yacc.c:1652  */
    break;

  case 2050:
#line 13943 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43913 "gram.c" /* yacc.c:1652  */
    break;

  case 2051:
#line 13951 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 43923 "gram.c" /* yacc.c:1652  */
    break;

  case 2052:
#line 13957 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 43931 "gram.c" /* yacc.c:1652  */
    break;

  case 2053:
#line 13961 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 43939 "gram.c" /* yacc.c:1652  */
    break;

  case 2054:
#line 13965 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43947 "gram.c" /* yacc.c:1652  */
    break;

  case 2055:
#line 13969 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 43955 "gram.c" /* yacc.c:1652  */
    break;

  case 2056:
#line 13973 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43963 "gram.c" /* yacc.c:1652  */
    break;

  case 2057:
#line 13977 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 43971 "gram.c" /* yacc.c:1652  */
    break;

  case 2058:
#line 13981 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43979 "gram.c" /* yacc.c:1652  */
    break;

  case 2059:
#line 13985 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 43987 "gram.c" /* yacc.c:1652  */
    break;

  case 2060:
#line 13989 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43995 "gram.c" /* yacc.c:1652  */
    break;

  case 2061:
#line 13993 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 44003 "gram.c" /* yacc.c:1652  */
    break;

  case 2062:
#line 13997 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 44011 "gram.c" /* yacc.c:1652  */
    break;

  case 2063:
#line 14001 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 44019 "gram.c" /* yacc.c:1652  */
    break;

  case 2064:
#line 14005 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 44027 "gram.c" /* yacc.c:1652  */
    break;

  case 2065:
#line 14009 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 44035 "gram.c" /* yacc.c:1652  */
    break;

  case 2066:
#line 14013 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 44043 "gram.c" /* yacc.c:1652  */
    break;

  case 2067:
#line 14017 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 44049 "gram.c" /* yacc.c:1652  */
    break;

  case 2068:
#line 14019 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44057 "gram.c" /* yacc.c:1652  */
    break;

  case 2069:
#line 14023 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"), list_make1((yyvsp[-1].node)), (yylsp[-3]));
				}
#line 44065 "gram.c" /* yacc.c:1652  */
    break;

  case 2070:
#line 14027 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"), list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))), (yylsp[-5]));
				}
#line 44073 "gram.c" /* yacc.c:1652  */
    break;

  case 2071:
#line 14031 "gram.y" /* yacc.c:1652  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44086 "gram.c" /* yacc.c:1652  */
    break;

  case 2072:
#line 14040 "gram.y" /* yacc.c:1652  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44095 "gram.c" /* yacc.c:1652  */
    break;

  case 2073:
#line 14045 "gram.y" /* yacc.c:1652  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44106 "gram.c" /* yacc.c:1652  */
    break;

  case 2074:
#line 14052 "gram.y" /* yacc.c:1652  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 44125 "gram.c" /* yacc.c:1652  */
    break;

  case 2075:
#line 14067 "gram.y" /* yacc.c:1652  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44136 "gram.c" /* yacc.c:1652  */
    break;

  case 2076:
#line 14074 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44144 "gram.c" /* yacc.c:1652  */
    break;

  case 2077:
#line 14078 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 44152 "gram.c" /* yacc.c:1652  */
    break;

  case 2078:
#line 14082 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44160 "gram.c" /* yacc.c:1652  */
    break;

  case 2079:
#line 14086 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 44168 "gram.c" /* yacc.c:1652  */
    break;

  case 2080:
#line 14090 "gram.y" /* yacc.c:1652  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 44179 "gram.c" /* yacc.c:1652  */
    break;

  case 2081:
#line 14097 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 44191 "gram.c" /* yacc.c:1652  */
    break;

  case 2082:
#line 14105 "gram.y" /* yacc.c:1652  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 44203 "gram.c" /* yacc.c:1652  */
    break;

  case 2083:
#line 14113 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 44211 "gram.c" /* yacc.c:1652  */
    break;

  case 2084:
#line 14117 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 44219 "gram.c" /* yacc.c:1652  */
    break;

  case 2085:
#line 14121 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 44227 "gram.c" /* yacc.c:1652  */
    break;

  case 2086:
#line 14125 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 44235 "gram.c" /* yacc.c:1652  */
    break;

  case 2087:
#line 14129 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 44243 "gram.c" /* yacc.c:1652  */
    break;

  case 2088:
#line 14133 "gram.y" /* yacc.c:1652  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 44253 "gram.c" /* yacc.c:1652  */
    break;

  case 2089:
#line 14139 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 44261 "gram.c" /* yacc.c:1652  */
    break;

  case 2090:
#line 14143 "gram.y" /* yacc.c:1652  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 44274 "gram.c" /* yacc.c:1652  */
    break;

  case 2091:
#line 14152 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 44282 "gram.c" /* yacc.c:1652  */
    break;

  case 2092:
#line 14156 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 44290 "gram.c" /* yacc.c:1652  */
    break;

  case 2093:
#line 14160 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 44299 "gram.c" /* yacc.c:1652  */
    break;

  case 2094:
#line 14165 "gram.y" /* yacc.c:1652  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 44312 "gram.c" /* yacc.c:1652  */
    break;

  case 2095:
#line 14179 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44318 "gram.c" /* yacc.c:1652  */
    break;

  case 2096:
#line 14181 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeNullAConst(-1); }
#line 44324 "gram.c" /* yacc.c:1652  */
    break;

  case 2097:
#line 14185 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 44330 "gram.c" /* yacc.c:1652  */
    break;

  case 2098:
#line 14187 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 44336 "gram.c" /* yacc.c:1652  */
    break;

  case 2099:
#line 14189 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 44342 "gram.c" /* yacc.c:1652  */
    break;

  case 2100:
#line 14191 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 44348 "gram.c" /* yacc.c:1652  */
    break;

  case 2101:
#line 14194 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44354 "gram.c" /* yacc.c:1652  */
    break;

  case 2102:
#line 14197 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44360 "gram.c" /* yacc.c:1652  */
    break;

  case 2103:
#line 14198 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44366 "gram.c" /* yacc.c:1652  */
    break;

  case 2104:
#line 14202 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 44378 "gram.c" /* yacc.c:1652  */
    break;

  case 2105:
#line 14210 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 44390 "gram.c" /* yacc.c:1652  */
    break;

  case 2106:
#line 14219 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 44396 "gram.c" /* yacc.c:1652  */
    break;

  case 2107:
#line 14220 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 44402 "gram.c" /* yacc.c:1652  */
    break;

  case 2108:
#line 14223 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = true; }
#line 44408 "gram.c" /* yacc.c:1652  */
    break;

  case 2109:
#line 14224 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 44414 "gram.c" /* yacc.c:1652  */
    break;

  case 2110:
#line 14225 "gram.y" /* yacc.c:1652  */
    { (yyval.boolean) = false; }
#line 44420 "gram.c" /* yacc.c:1652  */
    break;

  case 2111:
#line 14231 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44428 "gram.c" /* yacc.c:1652  */
    break;

  case 2112:
#line 14235 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44436 "gram.c" /* yacc.c:1652  */
    break;

  case 2113:
#line 14239 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44444 "gram.c" /* yacc.c:1652  */
    break;

  case 2114:
#line 14243 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44452 "gram.c" /* yacc.c:1652  */
    break;

  case 2117:
#line 14258 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44458 "gram.c" /* yacc.c:1652  */
    break;

  case 2118:
#line 14259 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44464 "gram.c" /* yacc.c:1652  */
    break;

  case 2119:
#line 14263 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44470 "gram.c" /* yacc.c:1652  */
    break;

  case 2120:
#line 14264 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 44476 "gram.c" /* yacc.c:1652  */
    break;

  case 2121:
#line 14272 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44482 "gram.c" /* yacc.c:1652  */
    break;

  case 2122:
#line 14273 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44488 "gram.c" /* yacc.c:1652  */
    break;

  case 2123:
#line 14277 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 44494 "gram.c" /* yacc.c:1652  */
    break;

  case 2124:
#line 14279 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 44500 "gram.c" /* yacc.c:1652  */
    break;

  case 2125:
#line 14284 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 44510 "gram.c" /* yacc.c:1652  */
    break;

  case 2126:
#line 14292 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 44516 "gram.c" /* yacc.c:1652  */
    break;

  case 2127:
#line 14294 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 44533 "gram.c" /* yacc.c:1652  */
    break;

  case 2128:
#line 14307 "gram.y" /* yacc.c:1652  */
    { (yyval.windef) = NULL; }
#line 44539 "gram.c" /* yacc.c:1652  */
    break;

  case 2129:
#line 14312 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 44557 "gram.c" /* yacc.c:1652  */
    break;

  case 2130:
#line 14337 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44563 "gram.c" /* yacc.c:1652  */
    break;

  case 2131:
#line 14338 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = NULL; }
#line 44569 "gram.c" /* yacc.c:1652  */
    break;

  case 2132:
#line 14341 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44575 "gram.c" /* yacc.c:1652  */
    break;

  case 2133:
#line 14342 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44581 "gram.c" /* yacc.c:1652  */
    break;

  case 2134:
#line 14351 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44592 "gram.c" /* yacc.c:1652  */
    break;

  case 2135:
#line 14358 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44603 "gram.c" /* yacc.c:1652  */
    break;

  case 2136:
#line 14365 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 44614 "gram.c" /* yacc.c:1652  */
    break;

  case 2137:
#line 14372 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44626 "gram.c" /* yacc.c:1652  */
    break;

  case 2138:
#line 14382 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 44647 "gram.c" /* yacc.c:1652  */
    break;

  case 2139:
#line 14399 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 44688 "gram.c" /* yacc.c:1652  */
    break;

  case 2140:
#line 14444 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44700 "gram.c" /* yacc.c:1652  */
    break;

  case 2141:
#line 14452 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44712 "gram.c" /* yacc.c:1652  */
    break;

  case 2142:
#line 14460 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44724 "gram.c" /* yacc.c:1652  */
    break;

  case 2143:
#line 14468 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44736 "gram.c" /* yacc.c:1652  */
    break;

  case 2144:
#line 14476 "gram.y" /* yacc.c:1652  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44748 "gram.c" /* yacc.c:1652  */
    break;

  case 2145:
#line 14486 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 44754 "gram.c" /* yacc.c:1652  */
    break;

  case 2146:
#line 14487 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 44760 "gram.c" /* yacc.c:1652  */
    break;

  case 2147:
#line 14488 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 44766 "gram.c" /* yacc.c:1652  */
    break;

  case 2148:
#line 14489 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 44772 "gram.c" /* yacc.c:1652  */
    break;

  case 2149:
#line 14490 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = 0; }
#line 44778 "gram.c" /* yacc.c:1652  */
    break;

  case 2150:
#line 14504 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44784 "gram.c" /* yacc.c:1652  */
    break;

  case 2151:
#line 14505 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44790 "gram.c" /* yacc.c:1652  */
    break;

  case 2152:
#line 14506 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44796 "gram.c" /* yacc.c:1652  */
    break;

  case 2153:
#line 14509 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44802 "gram.c" /* yacc.c:1652  */
    break;

  case 2154:
#line 14510 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 44808 "gram.c" /* yacc.c:1652  */
    break;

  case 2155:
#line 14513 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44814 "gram.c" /* yacc.c:1652  */
    break;

  case 2156:
#line 14516 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 44820 "gram.c" /* yacc.c:1652  */
    break;

  case 2157:
#line 14517 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 44826 "gram.c" /* yacc.c:1652  */
    break;

  case 2158:
#line 14518 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 44832 "gram.c" /* yacc.c:1652  */
    break;

  case 2159:
#line 14521 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44838 "gram.c" /* yacc.c:1652  */
    break;

  case 2160:
#line 14522 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44844 "gram.c" /* yacc.c:1652  */
    break;

  case 2161:
#line 14525 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "+"; }
#line 44850 "gram.c" /* yacc.c:1652  */
    break;

  case 2162:
#line 14526 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "-"; }
#line 44856 "gram.c" /* yacc.c:1652  */
    break;

  case 2163:
#line 14527 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "*"; }
#line 44862 "gram.c" /* yacc.c:1652  */
    break;

  case 2164:
#line 14528 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "/"; }
#line 44868 "gram.c" /* yacc.c:1652  */
    break;

  case 2165:
#line 14529 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "%"; }
#line 44874 "gram.c" /* yacc.c:1652  */
    break;

  case 2166:
#line 14530 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "^"; }
#line 44880 "gram.c" /* yacc.c:1652  */
    break;

  case 2167:
#line 14531 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<"; }
#line 44886 "gram.c" /* yacc.c:1652  */
    break;

  case 2168:
#line 14532 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">"; }
#line 44892 "gram.c" /* yacc.c:1652  */
    break;

  case 2169:
#line 14533 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "="; }
#line 44898 "gram.c" /* yacc.c:1652  */
    break;

  case 2170:
#line 14534 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<="; }
#line 44904 "gram.c" /* yacc.c:1652  */
    break;

  case 2171:
#line 14535 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = ">="; }
#line 44910 "gram.c" /* yacc.c:1652  */
    break;

  case 2172:
#line 14536 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "<>"; }
#line 44916 "gram.c" /* yacc.c:1652  */
    break;

  case 2173:
#line 14540 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44922 "gram.c" /* yacc.c:1652  */
    break;

  case 2174:
#line 14542 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44928 "gram.c" /* yacc.c:1652  */
    break;

  case 2175:
#line 14547 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44934 "gram.c" /* yacc.c:1652  */
    break;

  case 2176:
#line 14549 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44940 "gram.c" /* yacc.c:1652  */
    break;

  case 2177:
#line 14554 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44946 "gram.c" /* yacc.c:1652  */
    break;

  case 2178:
#line 14556 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44952 "gram.c" /* yacc.c:1652  */
    break;

  case 2179:
#line 14558 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 44958 "gram.c" /* yacc.c:1652  */
    break;

  case 2180:
#line 14560 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 44964 "gram.c" /* yacc.c:1652  */
    break;

  case 2181:
#line 14562 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 44970 "gram.c" /* yacc.c:1652  */
    break;

  case 2182:
#line 14564 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 44976 "gram.c" /* yacc.c:1652  */
    break;

  case 2183:
#line 14576 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44984 "gram.c" /* yacc.c:1652  */
    break;

  case 2184:
#line 14580 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44992 "gram.c" /* yacc.c:1652  */
    break;

  case 2185:
#line 14587 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 45000 "gram.c" /* yacc.c:1652  */
    break;

  case 2186:
#line 14591 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 45008 "gram.c" /* yacc.c:1652  */
    break;

  case 2187:
#line 14597 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 45016 "gram.c" /* yacc.c:1652  */
    break;

  case 2188:
#line 14601 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 45029 "gram.c" /* yacc.c:1652  */
    break;

  case 2189:
#line 14610 "gram.y" /* yacc.c:1652  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 45042 "gram.c" /* yacc.c:1652  */
    break;

  case 2190:
#line 14620 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 45048 "gram.c" /* yacc.c:1652  */
    break;

  case 2191:
#line 14621 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 45054 "gram.c" /* yacc.c:1652  */
    break;

  case 2192:
#line 14625 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 45062 "gram.c" /* yacc.c:1652  */
    break;

  case 2193:
#line 14629 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 45070 "gram.c" /* yacc.c:1652  */
    break;

  case 2194:
#line 14633 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 45078 "gram.c" /* yacc.c:1652  */
    break;

  case 2195:
#line 14638 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45084 "gram.c" /* yacc.c:1652  */
    break;

  case 2196:
#line 14639 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45090 "gram.c" /* yacc.c:1652  */
    break;

  case 2197:
#line 14645 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 45098 "gram.c" /* yacc.c:1652  */
    break;

  case 2198:
#line 14648 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45104 "gram.c" /* yacc.c:1652  */
    break;

  case 2199:
#line 14655 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45110 "gram.c" /* yacc.c:1652  */
    break;

  case 2200:
#line 14656 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "year"; }
#line 45116 "gram.c" /* yacc.c:1652  */
    break;

  case 2201:
#line 14657 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "month"; }
#line 45122 "gram.c" /* yacc.c:1652  */
    break;

  case 2202:
#line 14658 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "day"; }
#line 45128 "gram.c" /* yacc.c:1652  */
    break;

  case 2203:
#line 14659 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "hour"; }
#line 45134 "gram.c" /* yacc.c:1652  */
    break;

  case 2204:
#line 14660 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "minute"; }
#line 45140 "gram.c" /* yacc.c:1652  */
    break;

  case 2205:
#line 14661 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "second"; }
#line 45146 "gram.c" /* yacc.c:1652  */
    break;

  case 2206:
#line 14662 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45152 "gram.c" /* yacc.c:1652  */
    break;

  case 2207:
#line 14666 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "nfc"; }
#line 45158 "gram.c" /* yacc.c:1652  */
    break;

  case 2208:
#line 14667 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "nfd"; }
#line 45164 "gram.c" /* yacc.c:1652  */
    break;

  case 2209:
#line 14668 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "nfkc"; }
#line 45170 "gram.c" /* yacc.c:1652  */
    break;

  case 2210:
#line 14669 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = "nfkd"; }
#line 45176 "gram.c" /* yacc.c:1652  */
    break;

  case 2211:
#line 14680 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45184 "gram.c" /* yacc.c:1652  */
    break;

  case 2212:
#line 14684 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45192 "gram.c" /* yacc.c:1652  */
    break;

  case 2213:
#line 14691 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45198 "gram.c" /* yacc.c:1652  */
    break;

  case 2214:
#line 14697 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 45204 "gram.c" /* yacc.c:1652  */
    break;

  case 2215:
#line 14698 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45210 "gram.c" /* yacc.c:1652  */
    break;

  case 2216:
#line 14715 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45218 "gram.c" /* yacc.c:1652  */
    break;

  case 2217:
#line 14719 "gram.y" /* yacc.c:1652  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 45227 "gram.c" /* yacc.c:1652  */
    break;

  case 2218:
#line 14724 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 45235 "gram.c" /* yacc.c:1652  */
    break;

  case 2219:
#line 14728 "gram.y" /* yacc.c:1652  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 45254 "gram.c" /* yacc.c:1652  */
    break;

  case 2220:
#line 14743 "gram.y" /* yacc.c:1652  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 45262 "gram.c" /* yacc.c:1652  */
    break;

  case 2221:
#line 14747 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45268 "gram.c" /* yacc.c:1652  */
    break;

  case 2222:
#line 14751 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45274 "gram.c" /* yacc.c:1652  */
    break;

  case 2223:
#line 14754 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45280 "gram.c" /* yacc.c:1652  */
    break;

  case 2224:
#line 14757 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 45286 "gram.c" /* yacc.c:1652  */
    break;

  case 2225:
#line 14758 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45292 "gram.c" /* yacc.c:1652  */
    break;

  case 2226:
#line 14759 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45298 "gram.c" /* yacc.c:1652  */
    break;

  case 2227:
#line 14763 "gram.y" /* yacc.c:1652  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 45309 "gram.c" /* yacc.c:1652  */
    break;

  case 2228:
#line 14769 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 45315 "gram.c" /* yacc.c:1652  */
    break;

  case 2229:
#line 14780 "gram.y" /* yacc.c:1652  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 45329 "gram.c" /* yacc.c:1652  */
    break;

  case 2230:
#line 14793 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45335 "gram.c" /* yacc.c:1652  */
    break;

  case 2231:
#line 14794 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45341 "gram.c" /* yacc.c:1652  */
    break;

  case 2232:
#line 14799 "gram.y" /* yacc.c:1652  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 45353 "gram.c" /* yacc.c:1652  */
    break;

  case 2233:
#line 14809 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45359 "gram.c" /* yacc.c:1652  */
    break;

  case 2234:
#line 14810 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 45365 "gram.c" /* yacc.c:1652  */
    break;

  case 2235:
#line 14813 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45371 "gram.c" /* yacc.c:1652  */
    break;

  case 2236:
#line 14814 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 45377 "gram.c" /* yacc.c:1652  */
    break;

  case 2237:
#line 14818 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 45385 "gram.c" /* yacc.c:1652  */
    break;

  case 2238:
#line 14822 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 45393 "gram.c" /* yacc.c:1652  */
    break;

  case 2239:
#line 14829 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 45401 "gram.c" /* yacc.c:1652  */
    break;

  case 2240:
#line 14833 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 45409 "gram.c" /* yacc.c:1652  */
    break;

  case 2241:
#line 14837 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 45421 "gram.c" /* yacc.c:1652  */
    break;

  case 2242:
#line 14845 "gram.y" /* yacc.c:1652  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 45433 "gram.c" /* yacc.c:1652  */
    break;

  case 2243:
#line 14855 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45439 "gram.c" /* yacc.c:1652  */
    break;

  case 2244:
#line 14856 "gram.y" /* yacc.c:1652  */
    { (yyval.node) = NULL; }
#line 45445 "gram.c" /* yacc.c:1652  */
    break;

  case 2245:
#line 14860 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45451 "gram.c" /* yacc.c:1652  */
    break;

  case 2246:
#line 14861 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45457 "gram.c" /* yacc.c:1652  */
    break;

  case 2247:
#line 14865 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45463 "gram.c" /* yacc.c:1652  */
    break;

  case 2248:
#line 14866 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45469 "gram.c" /* yacc.c:1652  */
    break;

  case 2251:
#line 14880 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45475 "gram.c" /* yacc.c:1652  */
    break;

  case 2252:
#line 14881 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = NIL; }
#line 45481 "gram.c" /* yacc.c:1652  */
    break;

  case 2253:
#line 14885 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45487 "gram.c" /* yacc.c:1652  */
    break;

  case 2254:
#line 14886 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45493 "gram.c" /* yacc.c:1652  */
    break;

  case 2255:
#line 14890 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 45505 "gram.c" /* yacc.c:1652  */
    break;

  case 2256:
#line 14906 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45517 "gram.c" /* yacc.c:1652  */
    break;

  case 2257:
#line 14914 "gram.y" /* yacc.c:1652  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 45529 "gram.c" /* yacc.c:1652  */
    break;

  case 2258:
#line 14922 "gram.y" /* yacc.c:1652  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 45545 "gram.c" /* yacc.c:1652  */
    break;

  case 2259:
#line 14943 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 45551 "gram.c" /* yacc.c:1652  */
    break;

  case 2260:
#line 14944 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 45557 "gram.c" /* yacc.c:1652  */
    break;

  case 2261:
#line 14956 "gram.y" /* yacc.c:1652  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 45565 "gram.c" /* yacc.c:1652  */
    break;

  case 2262:
#line 14960 "gram.y" /* yacc.c:1652  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 45594 "gram.c" /* yacc.c:1652  */
    break;

  case 2263:
#line 14987 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45600 "gram.c" /* yacc.c:1652  */
    break;

  case 2264:
#line 14989 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 45606 "gram.c" /* yacc.c:1652  */
    break;

  case 2265:
#line 14993 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45612 "gram.c" /* yacc.c:1652  */
    break;

  case 2266:
#line 14996 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45618 "gram.c" /* yacc.c:1652  */
    break;

  case 2267:
#line 14999 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45624 "gram.c" /* yacc.c:1652  */
    break;

  case 2268:
#line 15001 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45630 "gram.c" /* yacc.c:1652  */
    break;

  case 2269:
#line 15003 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45636 "gram.c" /* yacc.c:1652  */
    break;

  case 2270:
#line 15005 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45642 "gram.c" /* yacc.c:1652  */
    break;

  case 2271:
#line 15016 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 45648 "gram.c" /* yacc.c:1652  */
    break;

  case 2272:
#line 15018 "gram.y" /* yacc.c:1652  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 45657 "gram.c" /* yacc.c:1652  */
    break;

  case 2273:
#line 15029 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 45665 "gram.c" /* yacc.c:1652  */
    break;

  case 2274:
#line 15033 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45673 "gram.c" /* yacc.c:1652  */
    break;

  case 2275:
#line 15037 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45681 "gram.c" /* yacc.c:1652  */
    break;

  case 2276:
#line 15041 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45689 "gram.c" /* yacc.c:1652  */
    break;

  case 2277:
#line 15045 "gram.y" /* yacc.c:1652  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 45702 "gram.c" /* yacc.c:1652  */
    break;

  case 2278:
#line 15054 "gram.y" /* yacc.c:1652  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45713 "gram.c" /* yacc.c:1652  */
    break;

  case 2279:
#line 15061 "gram.y" /* yacc.c:1652  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45749 "gram.c" /* yacc.c:1652  */
    break;

  case 2280:
#line 15093 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 45757 "gram.c" /* yacc.c:1652  */
    break;

  case 2281:
#line 15097 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 45767 "gram.c" /* yacc.c:1652  */
    break;

  case 2282:
#line 15103 "gram.y" /* yacc.c:1652  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45778 "gram.c" /* yacc.c:1652  */
    break;

  case 2283:
#line 15110 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 45786 "gram.c" /* yacc.c:1652  */
    break;

  case 2284:
#line 15114 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 45794 "gram.c" /* yacc.c:1652  */
    break;

  case 2285:
#line 15118 "gram.y" /* yacc.c:1652  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45802 "gram.c" /* yacc.c:1652  */
    break;

  case 2286:
#line 15123 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 45808 "gram.c" /* yacc.c:1652  */
    break;

  case 2287:
#line 15124 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45814 "gram.c" /* yacc.c:1652  */
    break;

  case 2288:
#line 15126 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 45820 "gram.c" /* yacc.c:1652  */
    break;

  case 2289:
#line 15127 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 45826 "gram.c" /* yacc.c:1652  */
    break;

  case 2290:
#line 15128 "gram.y" /* yacc.c:1652  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 45832 "gram.c" /* yacc.c:1652  */
    break;

  case 2291:
#line 15133 "gram.y" /* yacc.c:1652  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 45867 "gram.c" /* yacc.c:1652  */
    break;

  case 2292:
#line 15166 "gram.y" /* yacc.c:1652  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 45898 "gram.c" /* yacc.c:1652  */
    break;

  case 2293:
#line 15193 "gram.y" /* yacc.c:1652  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 45906 "gram.c" /* yacc.c:1652  */
    break;

  case 2294:
#line 15197 "gram.y" /* yacc.c:1652  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 45914 "gram.c" /* yacc.c:1652  */
    break;

  case 2295:
#line 15203 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 45920 "gram.c" /* yacc.c:1652  */
    break;

  case 2296:
#line 15205 "gram.y" /* yacc.c:1652  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 45926 "gram.c" /* yacc.c:1652  */
    break;

  case 2297:
#line 15221 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45932 "gram.c" /* yacc.c:1652  */
    break;

  case 2298:
#line 15222 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45938 "gram.c" /* yacc.c:1652  */
    break;

  case 2299:
#line 15223 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45944 "gram.c" /* yacc.c:1652  */
    break;

  case 2300:
#line 15228 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45950 "gram.c" /* yacc.c:1652  */
    break;

  case 2301:
#line 15229 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45956 "gram.c" /* yacc.c:1652  */
    break;

  case 2302:
#line 15230 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45962 "gram.c" /* yacc.c:1652  */
    break;

  case 2303:
#line 15235 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45968 "gram.c" /* yacc.c:1652  */
    break;

  case 2304:
#line 15236 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45974 "gram.c" /* yacc.c:1652  */
    break;

  case 2305:
#line 15237 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45980 "gram.c" /* yacc.c:1652  */
    break;

  case 2306:
#line 15238 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45986 "gram.c" /* yacc.c:1652  */
    break;

  case 2307:
#line 15244 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45992 "gram.c" /* yacc.c:1652  */
    break;

  case 2308:
#line 15245 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45998 "gram.c" /* yacc.c:1652  */
    break;

  case 2309:
#line 15246 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46004 "gram.c" /* yacc.c:1652  */
    break;

  case 2310:
#line 15247 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46010 "gram.c" /* yacc.c:1652  */
    break;

  case 2311:
#line 15248 "gram.y" /* yacc.c:1652  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 46016 "gram.c" /* yacc.c:1652  */
    break;


#line 46020 "gram.c" /* yacc.c:1652  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif


/*-----------------------------------------------------.
| yyreturn -- parsing is finished, return the result.  |
`-----------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15755 "gram.y" /* yacc.c:1918  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause && limitClause->limitOption != LIMIT_OPTION_DEFAULT)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES options can not be specified without ORDER BY clause")));
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
